-- MySQL dump 10.13  Distrib 5.1.68, for unknown-linux-gnu (x86_64)
--
-- Host: localhost    Database: project_rockwall_clean
-- ------------------------------------------------------
-- Server version	5.1.68-cll












--
-- Table structure for table `#__assets`
--



CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=MyISAM AUTO_INCREMENT=163 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__assets`
--


INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES (1,0,1,484,0,'root.1','Root Asset','{\"core.login.site\":{\"6\":1,\"2\":1},\"core.login.admin\":{\"6\":1},\"core.login.offline\":[],\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(2,1,1,2,1,'com_admin','com_admin','{}'),(3,1,3,8,1,'com_banners','com_banners','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(4,1,9,10,1,'com_cache','com_cache','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(5,1,11,12,1,'com_checkin','com_checkin','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(6,1,13,14,1,'com_config','com_config','{}'),(7,1,15,22,1,'com_contact','com_contact','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(8,1,23,76,1,'com_content','com_content','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),(9,1,77,78,1,'com_cpanel','com_cpanel','{}'),(10,1,79,80,1,'com_installer','com_installer','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1},\"core.delete\":[],\"core.edit.state\":[]}'),(11,1,81,82,1,'com_languages','com_languages','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(12,1,83,84,1,'com_login','com_login','{}'),(13,1,85,86,1,'com_mailto','com_mailto','{}'),(14,1,87,88,1,'com_massmail','com_massmail','{}'),(15,1,89,90,1,'com_media','com_media','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":{\"5\":1}}'),(16,1,91,92,1,'com_menus','com_menus','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(17,1,93,94,1,'com_messages','com_messages','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(18,1,95,96,1,'com_modules','com_modules','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(19,1,97,104,1,'com_newsfeeds','com_newsfeeds','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(20,1,105,106,1,'com_plugins','com_plugins','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(21,1,107,108,1,'com_redirect','com_redirect','{\"core.admin\":{\"7\":1},\"core.manage\":[]}'),(22,1,109,110,1,'com_search','com_search','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.edit.state\":[]}'),(23,1,111,112,1,'com_templates','com_templates','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(24,1,113,114,1,'com_users','com_users','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(25,1,115,122,1,'com_weblinks','com_weblinks','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),(26,1,123,124,1,'com_wrapper','com_wrapper','{}'),(27,8,24,31,2,'com_content.category.2','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(28,3,4,5,2,'com_banners.category.3','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(29,7,16,17,2,'com_contact.category.4','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(30,19,98,99,2,'com_newsfeeds.category.5','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(31,25,116,117,2,'com_weblinks.category.6','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(32,33,33,34,3,'com_content.article.1','Typography','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(33,8,32,45,2,'com_content.category.7','Template articles','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(34,33,35,36,3,'com_content.article.2','Module positions','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(35,33,37,38,3,'com_content.article.3','Messages','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(39,8,46,47,2,'com_content.category.9','Layouts','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(52,33,39,40,3,'com_content.article.18','Module variations','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(53,7,18,19,2,'com_contact.category.10','Sample category I','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(54,7,20,21,2,'com_contact.category.11','Sample category II','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(55,25,118,119,2,'com_weblinks.category.12','Joomla Weblink Category','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(56,25,120,121,2,'com_weblinks.category.13','GavickPro','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(57,19,100,101,2,'com_newsfeeds.category.14','GavickPro','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(58,19,102,103,2,'com_newsfeeds.category.15','Joomla!','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(59,27,25,26,3,'com_content.article.19','Archive article I','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(60,27,27,28,3,'com_content.article.20','Archive article II','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(61,27,29,30,3,'com_content.article.21','Archive article III','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(115,33,41,42,3,'com_content.article.56','Page break example','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(116,33,43,44,3,'com_content.article.57','Page Break','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(127,8,48,75,2,'com_content.category.32','Demo content','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(128,127,49,54,3,'com_content.category.33','Subcategory I','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(129,127,55,60,3,'com_content.category.34','Subcategory II','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(138,127,61,62,3,'com_content.article.66',' Welcome to our new web site ','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(139,127,63,64,3,'com_content.article.67','SCORPIONS for a short spell','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(141,3,6,7,2,'com_banners.category.35','Demo','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(142,1,480,481,1,'com_k2','com_k2','{\"core.admin\":[],\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(144,1,482,483,1,'com_joomlaupdate','com_joomlaupdate','{\"core.admin\":[],\"core.manage\":[],\"core.delete\":[],\"core.edit.state\":[]}'),(151,127,65,66,3,'com_content.article.71','The Show starts today','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(152,127,67,68,3,'com_content.article.72',' Mobile layout UI design ','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(155,127,69,70,3,'com_content.article.75','One Republic top hit','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(156,129,56,57,4,'com_content.article.76','Feat. Pitbull & Havana Brown Single Premiereft','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(157,128,50,51,4,'com_content.article.77','Feat. Pitbull &  Havana Brown Single Premiereft','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(158,127,71,72,3,'com_content.article.78','David Bowie memento','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(159,128,52,53,4,'com_content.article.79','Watch Man Overboard\'s New Video For \"Where I Left You\"','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(160,129,58,59,4,'com_content.article.80','Vinnie Caruana Announces Geoff Rickly of Thursday','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(161,127,73,74,3,'com_content.article.81','Cody ChesnuTT Explains Why It Took 10  Masterpiece','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}');


--
-- Table structure for table `#__associations`
--



CREATE TABLE `#__associations` (
  `id` varchar(50) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__associations`
--




--
-- Table structure for table `#__banner_clients`
--



CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__banner_clients`
--




--
-- Table structure for table `#__banner_tracks`
--



CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__banner_tracks`
--




--
-- Table structure for table `#__banners`
--



CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__banners`
--


INSERT INTO `#__banners` (`id`, `cid`, `type`, `name`, `alias`, `imptotal`, `impmade`, `clicks`, `clickurl`, `state`, `catid`, `description`, `custombannercode`, `sticky`, `ordering`, `metakey`, `params`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `reset`, `created`, `language`) VALUES (1,0,1,'Joomla!','joomla',0,5496,0,'',1,3,'','<a href=\"{CLICKURL}\" target=\"_blank\">{NAME}</a>\r\n<br/>\r\nJoomla! The most popular and widely used Open Source CMS Project in the world.',0,1,'','{\"imageurl\":\"\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}',0,'',-1,0,0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-02-13 00:00:00','2011-01-13 13:00:45','*'),(2,0,1,'JoomlaCode','joomlacode',0,5496,0,'',1,3,'','<a href=\"{CLICKURL}\" target=\"_blank\">{NAME}</a>\r\n<br/>\r\nJoomlaCode, development and distribution made easy.',0,2,'','{\"imageurl\":\"\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}',0,'',-1,0,0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-02-13 00:00:00','2011-01-13 13:01:50','*'),(5,0,1,'GavickPro','gavick',0,4769,0,'http://gavick.com',1,3,'','<a href=\"{CLICKURL}\" target=\"_blank\">{NAME}</a>\r\n<br/>\r\nThe best Joomla! Templates.',0,3,'','{\"imageurl\":\"\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}',0,'',-1,0,0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-12-08 00:00:00','2011-11-08 16:29:01','*'),(6,0,1,'Tools','tools-gavickpro',0,4081,0,'http://tools.gavick.com',1,3,'','<a href=\"{CLICKURL}\" target=\"_blank\">{NAME}</a>\r\n<br/>\r\nThe Best Joomla! Extensions',0,4,'','{\"imageurl\":\"\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}',0,'',-1,0,0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-12-08 00:00:00','2011-11-08 16:30:15','*');


--
-- Table structure for table `#__categories`
--



CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned DEFAULT NULL,
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=36 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__categories`
--


INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (1,0,0,0,35,0,'','system','ROOT','root','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2009-10-18 16:07:09',0,'0000-00-00 00:00:00',0,'*'),(2,27,1,1,2,1,'uncategorised','com_content','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:26:37',0,'0000-00-00 00:00:00',0,'*'),(3,28,1,3,4,1,'uncategorised','com_banners','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\",\"foobar\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:27:35',0,'0000-00-00 00:00:00',0,'*'),(4,29,1,5,6,1,'uncategorised','com_contact','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:27:57',0,'0000-00-00 00:00:00',0,'*'),(5,30,1,7,8,1,'uncategorised','com_newsfeeds','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:28:15',0,'0000-00-00 00:00:00',0,'*'),(6,31,1,9,10,1,'uncategorised','com_weblinks','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:28:33',0,'0000-00-00 00:00:00',0,'*'),(7,33,1,11,12,1,'template','com_content','Template articles','template','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-11 22:34:53',42,'2011-01-12 17:11:44',0,'*'),(9,39,1,13,14,1,'layouts','com_content','Layouts','layouts','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-12 19:18:18',0,'0000-00-00 00:00:00',0,'*'),(10,53,1,15,16,1,'sample-category-i','com_contact','Sample category I','sample-category-i','','<p>Category description</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 14:51:48',0,'0000-00-00 00:00:00',0,'*'),(11,54,1,17,18,1,'sample-category-ii','com_contact','Sample category II','sample-category-ii','','<p>Sample category description</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 14:52:10',0,'0000-00-00 00:00:00',0,'*'),(12,55,1,19,20,1,'joomla-weblink-category','com_weblinks','Joomla Weblink Category','joomla-weblink-category','','<p>Simple category with Joomla links!</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 15:01:01',0,'0000-00-00 00:00:00',0,'*'),(13,56,1,21,22,1,'gavick','com_weblinks','GavickPro','gavick','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 15:05:39',42,'2011-01-13 15:11:56',0,'*'),(14,57,1,23,24,1,'gavickpro','com_newsfeeds','GavickPro','gavickpro','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 15:34:33',0,'0000-00-00 00:00:00',0,'*'),(15,58,1,25,26,1,'joomla','com_newsfeeds','Joomla!','joomla','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 15:48:47',0,'0000-00-00 00:00:00',0,'*'),(32,127,1,27,32,1,'demo-content','com_content','Demo content','demo-content','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut ac augue ac enim interdum interdum ut vitae tellus.</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"images\\/demo\\/blank_small.png\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2012-02-04 16:48:49',42,'2012-10-29 19:38:00',0,'*'),(33,128,32,28,29,2,'demo-content/subcategory-1','com_content','Subcategory I','subcategory-1','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"images\\/demo\\/blank_small.png\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2012-02-04 16:49:25',42,'2012-03-07 11:49:12',0,'*'),(34,129,32,30,31,2,'demo-content/subcategory-2','com_content','Subcategory II','subcategory-2','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"images\\/demo\\/blank_small.png\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2012-02-04 16:51:56',42,'2012-03-07 11:49:20',0,'*'),(35,141,1,33,34,1,'demo','com_banners','Demo','demo','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2012-03-06 13:32:41',0,'0000-00-00 00:00:00',0,'*');


--
-- Table structure for table `#__contact_details`
--



CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `imagepos` varchar(20) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__contact_details`
--


INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `imagepos`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES (1,'ERIK Curd','erik-curd','','3635 Willie Green Rd\r\nLondon, KY(Kentucky) 40741-9233\r\n(606) 877-1749','','UK','','','','','','images/robert_2.jpg',NULL,'test@test.com',0,1,0,'0000-00-00 00:00:00',1,'{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":null,\"linkb_name\":\"\",\"linkb\":null,\"linkc_name\":\"\",\"linkc\":null,\"linkd_name\":\"\",\"linkd\":null,\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}',0,11,1,'','','','','','*','2012-03-14 22:51:49',142,'','2013-04-30 21:42:56',838,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(2,'Our address','our-address','','B.S. Sound 25 Cromwell St, Glen Iris\r\n','Victoria','','Australia','00-000,','+49 5241 80-0 00','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eget nisl eros. Suspendisse non sem leo. Suspendisse aliquet eros in erat commodo porttitor. Nam et tortor non enim ornare varius sit amet sed turpis.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eget nisl eros. Suspendisse non sem leo. Suspendisse aliquet eros in erat commodo porttitor. Nam et tortor non enim ornare varius sit amet sed turpis.</p>','',NULL,'sample@mail.com',0,1,0,'0000-00-00 00:00:00',2,'{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":null,\"linkb_name\":\"\",\"linkb\":null,\"linkc_name\":\"\",\"linkc\":null,\"linkd_name\":\"\",\"linkd\":null,\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}',0,10,1,'','','','','','*','2011-01-13 14:54:01',42,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\"}',1,'','0000-00-00 00:00:00','0000-00-00 00:00:00');


--
-- Table structure for table `#__content`
--



CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `title_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Deprecated in Joomla! 3.0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `sectionid` int(10) unsigned NOT NULL DEFAULT '0',
  `mask` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `parentid` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`),
  KEY `jr_created` (`created`),
  KEY `jr_modified` (`modified`),
  KEY `jr_hits` (`hits`),
  KEY `jr_ordering` (`ordering`),
  KEY `jr_title` (`title`(3)),
  KEY `jr_listing_count` (`catid`,`state`,`access`,`publish_up`,`publish_down`)
) ENGINE=MyISAM AUTO_INCREMENT=83 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content`
--


INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES (1,32,'Typography','typography','','<p>It is possible with templates which have a typography page to show you how you can use e.g. headline tags in order to structure your content in a better way. Below, we present rebuilt and refreshed typographical aspects of Gavern Framework. In order to use it, you have to use a plug in which is delivered in a package with a template or use HTML code.</p>\r\n<div id=\"warnings\" class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Warnings</h4>\r\n	<p class=\"gkInfo1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum venenatis orci non tortor accumsan...</p>\r\n	<p class=\"gkTips1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum venenatis orci non tortor accumsan...</p>\r\n	<p class=\"gkWarning1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum venenatis orci non tortor accumsan...</p>\r\n</div>\r\n<div class=\"demo-typoDiv\">\r\n	<h4 class=\"demo-typo\">Headings</h4>\r\n	<div class=\"demo-typo_padd\">\r\n		<h1>This is heading 1</h1>\r\n		<h2>This is heading 2</h2>\r\n		<h3>This is heading 3</h3>\r\n		<h4>This is heading 4</h4>\r\n		<h5>This is heading 5</h5>\r\n		<h6>This is heading 6</h6>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc \">\r\n	<h4 class=\"demo-typo\">Highlights</h4>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p>This is a <span class=\"gkHighlight1\">highlight phrase</span>. <br />\r\n				<small>Use &lt;span class=\"gkHighlight1\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n			<p>This is a <span class=\"gkHighlight2\">highlight phrase</span>. <br />\r\n				<small>Use &lt;span class=\"gkHighlight2\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p>This is a <span class=\"gkHighlight3\">highlight phrase</span>. <br />\r\n				<small>Use &lt;span class=\"gkHighlight3\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n			<p>This is a <span class=\"gkHighlight4\">highlight phrase</span>.<br />\r\n				<small>Use &lt;span class=\"gkHighlight4\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Code</h4>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<pre>#wrapper {<br />  position: relative;<br />  float: left;<br />  display: block;<br />}<br />\r\n</pre>\r\n			<p><small>Use &lt;pre&gt; or &lt;div class=\"gkCode1\"&gt;Here goes your code&lt;/div&gt;</small></p>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<div class=\"gkCode2\">\r\n				#wrapper {<br />\r\n				position: relative;<br />\r\n				float: left;<br />\r\n				display: block;<br />\r\n				}\r\n			</div>\r\n			<p><small>Use &lt;div class=\"gkCode2\"&gt;Here goes your code&lt;/div&gt;</small></p>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<div class=\"gkCode3\">\r\n				<h4>File</h4>\r\n				#wrapper {<br />\r\n				position: relative;<br />\r\n				float: left;<br />\r\n				display: block;<br />\r\n				}\r\n			</div>\r\n			<p><small>Use &lt;div class=\"gkCode3\"&gt;&lt;h4&gt;Name of your file&lt;/h4&gt;Here goes your code&lt;/div&gt;</small></p>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Unordered lists</h4>\r\n	<div class=\"demo-typo-col4\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;ul class=\"gkBullet1\"&gt;</small></p>\r\n			<ul class=\"gkBullet1\">\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n			</ul>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;ul class=\"gkBullet2\"&gt;</small></p>\r\n			<ul class=\"gkBullet2\">\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n			</ul>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;ul class=\"gkBullet3\"&gt;</small></p>\r\n			<ul class=\"gkBullet3\">\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n			</ul>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;ul class=\"gkBullet4\"&gt;</small></p>\r\n			<ul class=\"gkBullet4\">\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n			</ul>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">numBlocks</h4>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;p class=\"numblocks num-1\"&gt;&lt;span&gt;here goes a number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n			<p class=\"numblocks num-1\"><span>01</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n			<p class=\"numblocks num-1\"><span>02</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;p class=\"numblocks num-2\"&gt;&lt;span&gt;here goes a number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n			<p class=\"numblocks num-2\"><span>01</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n			<p class=\"numblocks num-2\"><span>02</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;p class=\"numblocks num-3\"&gt;&lt;span&gt;here goes a number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n			<p class=\"numblocks num-3\"><span>01</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n			<p class=\"numblocks num-3\"><span>02</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv demo-typo-col2 typoDesc\">\r\n	<div class=\"demo-typo_padd\">\r\n		<h4 class=\"demo-typo\">Blocks</h4>\r\n		<div class=\"gkblock-1\">\r\n			Lorem ipsum dolor sit amet, consectetuer adipiscing.\r\n			<p><small> Use &lt;div class=\"gkblock-1\"&gt;content here... &lt;/div&gt;</small></p>\r\n		</div>\r\n		<div class=\"gkblock-2\">\r\n			Lorem ipsum dolor sit amet, consectetuer adipiscing.\r\n			<p><small> Use &lt;div class=\"gkblock-2\"&gt;content here... &lt;/div&gt;</small></p>\r\n		</div>\r\n		<div class=\"gkblock-3\">\r\n			Lorem ipsum dolor sit amet, consectetuer adipiscing.\r\n			<p><small> Use &lt;div class=\"gkblock-3\"&gt;content here... &lt;/div&gt;</small></p>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typo-col2 typoDesc\">\r\n	<div class=\"demo-typo_padd\">\r\n		<h4 class=\"demo-typo\">Legends</h4>\r\n		<div class=\"gkLegend1\">\r\n			<h4>Legend</h4>\r\n			<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</p>\r\n			<p><small> Use &lt;div class=\"gkLegend1\"&gt; &lt;h4&gt; Title &lt;/h4&gt; &lt;p&gt;and here text.&lt;/p&gt; &lt;/div&gt;</small></p>\r\n		</div>\r\n		<h4 class=\"demo-typo\">Bubbles</h4>\r\n		<div class=\"bubble-1\">\r\n			Lorem ipsum dolor sit amet, consectetuer adipiscing.\r\n			<p><small>Use &lt;div class=\"bubble-1\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n			<cite>Robert Gavick</cite>\r\n		</div>\r\n		<div class=\"bubble-2\">\r\n			Lorem ipsum dolor sit amet, consectetuer adipiscing.\r\n			<p><small>Use &lt;div class=\"bubble-2\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n			<cite>Robert Gavick</cite>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Blockquotes</h4>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<blockquote>\r\n				<div class=\"gkBlockquote1\">\r\n					<div>\r\n						Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n						<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote1\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n					</div>\r\n				</div>\r\n			</blockquote>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<blockquote>\r\n				<div class=\"gkBlockquote2\">\r\n					<div>\r\n						Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n						<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote2\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n					</div>\r\n				</div>\r\n			</blockquote>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<blockquote>\r\n				<div class=\"gkBlockquote3\">\r\n					<div>\r\n						Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n						<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote3\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n					</div>\r\n				</div>\r\n			</blockquote>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<blockquote>\r\n				<div class=\"gkBlockquote4\">\r\n					<div>\r\n						Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n						<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote4\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n					</div>\r\n				</div>\r\n			</blockquote>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Floated blocks</h4>\r\n	<p><small>&lt;p&gt; Here goes main part of the text &lt;span class=\"gkBlockTextLeft\"&gt;Block of text&lt;/span&gt;rest of the text&lt;/p&gt; </small></p>\r\n	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextLeft\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus.</p>\r\n	<br />\r\n	<br />\r\n	<p><small>&lt;p&gt; Here goes main part of the text &lt;span class=\"gkBlockTextRight\"&gt;Block of text&lt;/span&gt;rest of the text&lt;/p&gt; </small></p>\r\n	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextRight\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus.</p>\r\n	<br />\r\n	<br />\r\n	<p><small>&lt;p&gt; Here goes main part of the text &lt;span class=\"gkBlockTextCenter\"&gt;Block of text&lt;/span&gt;rest of the text&lt;/p&gt; </small></p>\r\n	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextCenter\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus. Nunc a malesuada felis. Cras ultrices sapien eu nisi elementum non blandit urna sodales.</p>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Icons - Font Awesome</h4>\r\n	<p>The Font Awesome is a set of base icons similar to the Glyphicons included with Bootstrap, plus a set of extended icons that include pictograms for external links, thumbs up/down, comments, cogs and more.\r\n		\r\n		Font Awesome is licensed under the <a href=\"http://creativecommons.org/licenses/by/3.0/\" target=\"_blank\">Creative Commons Attribution 3.0 Unported</a> (CC BY 3.0). More details you can find on project homepage at <a target=\"_blank\" href=\"http://fortawesome.github.com/Font-Awesome\">http://fortawesome.github.com/Font-Awesome</a></p>\r\n<p><small> Use &lt;i class=\"<b>icon-CLASS_NAME</b>\"&gt;&lt;/i&gt; content here... </small></p>\r\n\r\n	<h5 class=\"page-header\">Web Application Icons</h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-adjust\"></i> icon-adjust</li>\r\n			<li><i class=\"icon-asterisk\"></i> icon-asterisk</li>\r\n			<li><i class=\"icon-ban-circle\"></i> icon-ban-circle</li>\r\n			<li><i class=\"icon-bar-chart\"></i> icon-bar-chart</li>\r\n			<li><i class=\"icon-barcode\"></i> icon-barcode</li>\r\n			<li><i class=\"icon-beaker\"></i> icon-beaker</li>\r\n			<li><i class=\"icon-beer\"></i> icon-beer</li>\r\n			<li><i class=\"icon-bell\"></i> icon-bell</li>\r\n			<li><i class=\"icon-bell-alt\"></i> icon-bell-alt</li>\r\n			<li><i class=\"icon-bolt\"></i> icon-bolt</li>\r\n			<li><i class=\"icon-book\"></i> icon-book</li>\r\n			<li><i class=\"icon-bookmark\"></i> icon-bookmark</li>\r\n			<li><i class=\"icon-bookmark-empty\"></i> icon-bookmark-empty</li>\r\n			<li><i class=\"icon-briefcase\"></i> icon-briefcase</li>\r\n			<li><i class=\"icon-bullhorn\"></i> icon-bullhorn</li>\r\n			<li><i class=\"icon-calendar\"></i> icon-calendar</li>\r\n			<li><i class=\"icon-camera\"></i> icon-camera</li>\r\n			<li><i class=\"icon-camera-retro\"></i> icon-camera-retro</li>\r\n			<li><i class=\"icon-certificate\"></i> icon-certificate</li>\r\n			<li><i class=\"icon-check\"></i> icon-check</li>\r\n			<li><i class=\"icon-check-empty\"></i> icon-check-empty</li>\r\n			<li><i class=\"icon-circle\"></i> icon-circle</li>\r\n			<li><i class=\"icon-circle-blank\"></i> icon-circle-blank</li>\r\n			<li><i class=\"icon-cloud\"></i> icon-cloud</li>\r\n			<li><i class=\"icon-cloud-download\"></i> icon-cloud-download</li>\r\n			<li><i class=\"icon-cloud-upload\"></i> icon-cloud-upload</li>\r\n			<li><i class=\"icon-coffee\"></i> icon-coffee</li>\r\n			<li><i class=\"icon-cog\"></i> icon-cog</li>\r\n			<li><i class=\"icon-cogs\"></i> icon-cogs</li>\r\n			<li><i class=\"icon-comment\"></i> icon-comment</li>\r\n			<li><i class=\"icon-comment-alt\"></i> icon-comment-alt</li>\r\n			<li><i class=\"icon-comments\"></i> icon-comments</li>\r\n			<li><i class=\"icon-comments-alt\"></i> icon-comments-alt</li>\r\n			<li><i class=\"icon-credit-card\"></i> icon-credit-card</li>\r\n			<li><i class=\"icon-dashboard\"></i> icon-dashboard</li>\r\n			<li><i class=\"icon-desktop\"></i> icon-desktop</li>\r\n			<li><i class=\"icon-download\"></i> icon-download</li>\r\n			<li><i class=\"icon-download-alt\"></i> icon-download-alt</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-edit\"></i> icon-edit</li>\r\n			<li><i class=\"icon-envelope\"></i> icon-envelope</li>\r\n			<li><i class=\"icon-envelope-alt\"></i> icon-envelope-alt</li>\r\n			<li><i class=\"icon-exchange\"></i> icon-exchange</li>\r\n			<li><i class=\"icon-exclamation-sign\"></i> icon-exclamation-sign</li>\r\n			<li><i class=\"icon-external-link\"></i> icon-external-link</li>\r\n			<li><i class=\"icon-eye-close\"></i> icon-eye-close</li>\r\n			<li><i class=\"icon-eye-open\"></i> icon-eye-open</li>\r\n			<li><i class=\"icon-facetime-video\"></i> icon-facetime-video</li>\r\n			<li><i class=\"icon-fighter-jet\"></i> icon-fighter-jet</li>\r\n			<li><i class=\"icon-film\"></i> icon-film</li>\r\n			<li><i class=\"icon-filter\"></i> icon-filter</li>\r\n			<li><i class=\"icon-fire\"></i> icon-fire</li>\r\n			<li><i class=\"icon-flag\"></i> icon-flag</li>\r\n			<li><i class=\"icon-folder-close\"></i> icon-folder-close</li>\r\n			<li><i class=\"icon-folder-open\"></i> icon-folder-open</li>\r\n			<li><i class=\"icon-folder-close-alt\"></i> icon-folder-close-alt</li>\r\n			<li><i class=\"icon-folder-open-alt\"></i> icon-folder-open-alt</li>\r\n			<li><i class=\"icon-food\"></i> icon-food</li>\r\n			<li><i class=\"icon-gift\"></i> icon-gift</li>\r\n			<li><i class=\"icon-glass\"></i> icon-glass</li>\r\n			<li><i class=\"icon-globe\"></i> icon-globe</li>\r\n			<li><i class=\"icon-group\"></i> icon-group</li>\r\n			<li><i class=\"icon-hdd\"></i> icon-hdd</li>\r\n			<li><i class=\"icon-headphones\"></i> icon-headphones</li>\r\n			<li><i class=\"icon-heart\"></i> icon-heart</li>\r\n			<li><i class=\"icon-heart-empty\"></i> icon-heart-empty</li>\r\n			<li><i class=\"icon-home\"></i> icon-home</li>\r\n			<li><i class=\"icon-inbox\"></i> icon-inbox</li>\r\n			<li><i class=\"icon-info-sign\"></i> icon-info-sign</li>\r\n			<li><i class=\"icon-key\"></i> icon-key</li>\r\n			<li><i class=\"icon-leaf\"></i> icon-leaf</li>\r\n			<li><i class=\"icon-laptop\"></i> icon-laptop</li>\r\n			<li><i class=\"icon-legal\"></i> icon-legal</li>\r\n			<li><i class=\"icon-lemon\"></i> icon-lemon</li>\r\n			<li><i class=\"icon-lightbulb\"></i> icon-lightbulb</li>\r\n			<li><i class=\"icon-lock\"></i> icon-lock</li>\r\n			<li><i class=\"icon-unlock\"></i> icon-unlock</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-magic\"></i> icon-magic</li>\r\n			<li><i class=\"icon-magnet\"></i> icon-magnet</li>\r\n			<li><i class=\"icon-map-marker\"></i> icon-map-marker</li>\r\n			<li><i class=\"icon-minus\"></i> icon-minus</li>\r\n			<li><i class=\"icon-minus-sign\"></i> icon-minus-sign</li>\r\n			<li><i class=\"icon-mobile-phone\"></i> icon-mobile-phone</li>\r\n			<li><i class=\"icon-money\"></i> icon-money</li>\r\n			<li><i class=\"icon-move\"></i> icon-move</li>\r\n			<li><i class=\"icon-music\"></i> icon-music</li>\r\n			<li><i class=\"icon-off\"></i> icon-off</li>\r\n			<li><i class=\"icon-ok\"></i> icon-ok</li>\r\n			<li><i class=\"icon-ok-circle\"></i> icon-ok-circle</li>\r\n			<li><i class=\"icon-ok-sign\"></i> icon-ok-sign</li>\r\n			<li><i class=\"icon-pencil\"></i> icon-pencil</li>\r\n			<li><i class=\"icon-picture\"></i> icon-picture</li>\r\n			<li><i class=\"icon-plane\"></i> icon-plane</li>\r\n			<li><i class=\"icon-plus\"></i> icon-plus</li>\r\n			<li><i class=\"icon-plus-sign\"></i> icon-plus-sign</li>\r\n			<li><i class=\"icon-print\"></i> icon-print</li>\r\n			<li><i class=\"icon-pushpin\"></i> icon-pushpin</li>\r\n			<li><i class=\"icon-qrcode\"></i> icon-qrcode</li>\r\n			<li><i class=\"icon-question-sign\"></i> icon-question-sign</li>\r\n			<li><i class=\"icon-quote-left\"></i> icon-quote-left</li>\r\n			<li><i class=\"icon-quote-right\"></i> icon-quote-right</li>\r\n			<li><i class=\"icon-random\"></i> icon-random</li>\r\n			<li><i class=\"icon-refresh\"></i> icon-refresh</li>\r\n			<li><i class=\"icon-remove\"></i> icon-remove</li>\r\n			<li><i class=\"icon-remove-circle\"></i> icon-remove-circle</li>\r\n			<li><i class=\"icon-remove-sign\"></i> icon-remove-sign</li>\r\n			<li><i class=\"icon-reorder\"></i> icon-reorder</li>\r\n			<li><i class=\"icon-reply\"></i> icon-reply</li>\r\n			<li><i class=\"icon-resize-horizontal\"></i> icon-resize-horizontal</li>\r\n			<li><i class=\"icon-resize-vertical\"></i> icon-resize-vertical</li>\r\n			<li><i class=\"icon-retweet\"></i> icon-retweet</li>\r\n			<li><i class=\"icon-road\"></i> icon-road</li>\r\n			<li><i class=\"icon-rss\"></i> icon-rss</li>\r\n			<li><i class=\"icon-screenshot\"></i> icon-screenshot</li>\r\n			<li><i class=\"icon-search\"></i> icon-search</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-share\"></i> icon-share</li>\r\n			<li><i class=\"icon-share-alt\"></i> icon-share-alt</li>\r\n			<li><i class=\"icon-shopping-cart\"></i> icon-shopping-cart</li>\r\n			<li><i class=\"icon-signal\"></i> icon-signal</li>\r\n			<li><i class=\"icon-signin\"></i> icon-signin</li>\r\n			<li><i class=\"icon-signout\"></i> icon-signout</li>\r\n			<li><i class=\"icon-sitemap\"></i> icon-sitemap</li>\r\n			<li><i class=\"icon-sort\"></i> icon-sort</li>\r\n			<li><i class=\"icon-sort-down\"></i> icon-sort-down</li>\r\n			<li><i class=\"icon-sort-up\"></i> icon-sort-up</li>\r\n			<li><i class=\"icon-spinner\"></i> icon-spinner</li>\r\n			<li><i class=\"icon-star\"></i> icon-star</li>\r\n			<li><i class=\"icon-star-empty\"></i> icon-star-empty</li>\r\n			<li><i class=\"icon-star-half\"></i> icon-star-half</li>\r\n			<li><i class=\"icon-tablet\"></i> icon-tablet</li>\r\n			<li><i class=\"icon-tag\"></i> icon-tag</li>\r\n			<li><i class=\"icon-tags\"></i> icon-tags</li>\r\n			<li><i class=\"icon-tasks\"></i> icon-tasks</li>\r\n			<li><i class=\"icon-thumbs-down\"></i> icon-thumbs-down</li>\r\n			<li><i class=\"icon-thumbs-up\"></i> icon-thumbs-up</li>\r\n			<li><i class=\"icon-time\"></i> icon-time</li>\r\n			<li><i class=\"icon-tint\"></i> icon-tint</li>\r\n			<li><i class=\"icon-trash\"></i> icon-trash</li>\r\n			<li><i class=\"icon-trophy\"></i> icon-trophy</li>\r\n			<li><i class=\"icon-truck\"></i> icon-truck</li>\r\n			<li><i class=\"icon-umbrella\"></i> icon-umbrella</li>\r\n			<li><i class=\"icon-upload\"></i> icon-upload</li>\r\n			<li><i class=\"icon-upload-alt\"></i> icon-upload-alt</li>\r\n			<li><i class=\"icon-user\"></i> icon-user</li>\r\n			<li><i class=\"icon-user-md\"></i> icon-user-md</li>\r\n			<li><i class=\"icon-volume-off\"></i> icon-volume-off</li>\r\n			<li><i class=\"icon-volume-down\"></i> icon-volume-down</li>\r\n			<li><i class=\"icon-volume-up\"></i> icon-volume-up</li>\r\n			<li><i class=\"icon-warning-sign\"></i> icon-warning-sign</li>\r\n			<li><i class=\"icon-wrench\"></i> icon-wrench</li>\r\n			<li><i class=\"icon-zoom-in\"></i> icon-zoom-in</li>\r\n			<li><i class=\"icon-zoom-out\"></i> icon-zoom-out</li>\r\n		</ul>\r\n	</div>\r\n	<h5 class=\"page-header\">Text Editor Icons</h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-file\"></i> icon-file</li>\r\n			<li><i class=\"icon-file-alt\"></i> icon-file-alt</li>\r\n			<li><i class=\"icon-cut\"></i> icon-cut</li>\r\n			<li><i class=\"icon-copy\"></i> icon-copy</li>\r\n			<li><i class=\"icon-paste\"></i> icon-paste</li>\r\n			<li><i class=\"icon-save\"></i> icon-save</li>\r\n			<li><i class=\"icon-undo\"></i> icon-undo</li>\r\n			<li><i class=\"icon-repeat\"></i> icon-repeat</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-text-height\"></i> icon-text-height</li>\r\n			<li><i class=\"icon-text-width\"></i> icon-text-width</li>\r\n			<li><i class=\"icon-align-left\"></i> icon-align-left</li>\r\n			<li><i class=\"icon-align-center\"></i> icon-align-center</li>\r\n			<li><i class=\"icon-align-right\"></i> icon-align-right</li>\r\n			<li><i class=\"icon-align-justify\"></i> icon-align-justify</li>\r\n			<li><i class=\"icon-indent-left\"></i> icon-indent-left</li>\r\n			<li><i class=\"icon-indent-right\"></i> icon-indent-right</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-font\"></i> icon-font</li>\r\n			<li><i class=\"icon-bold\"></i> icon-bold</li>\r\n			<li><i class=\"icon-italic\"></i> icon-italic</li>\r\n			<li><i class=\"icon-strikethrough\"></i> icon-strikethrough</li>\r\n			<li><i class=\"icon-underline\"></i> icon-underline</li>\r\n			<li><i class=\"icon-link\"></i> icon-link</li>\r\n			<li><i class=\"icon-paper-clip\"></i> icon-paper-clip</li>\r\n			<li><i class=\"icon-columns\"></i> icon-columns</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-table\"></i> icon-table</li>\r\n			<li><i class=\"icon-th-large\"></i> icon-th-large</li>\r\n			<li><i class=\"icon-th\"></i> icon-th</li>\r\n			<li><i class=\"icon-th-list\"></i> icon-th-list</li>\r\n			<li><i class=\"icon-list\"></i> icon-list</li>\r\n			<li><i class=\"icon-list-ol\"></i> icon-list-ol</li>\r\n			<li><i class=\"icon-list-ul\"></i> icon-list-ul</li>\r\n			<li><i class=\"icon-list-alt\"></i> icon-list-alt</li>\r\n		</ul>\r\n	</div>\r\n	<h5 class=\"page-header\">Directional Icons</h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-angle-left\"></i> icon-angle-left</li>\r\n			<li><i class=\"icon-angle-right\"></i> icon-angle-right</li>\r\n			<li><i class=\"icon-angle-up\"></i> icon-angle-up</li>\r\n			<li><i class=\"icon-angle-down\"></i> icon-angle-down</li>\r\n			<li><i class=\"icon-arrow-down\"></i> icon-arrow-down</li>\r\n			<li><i class=\"icon-arrow-left\"></i> icon-arrow-left</li>\r\n			<li><i class=\"icon-arrow-right\"></i> icon-arrow-right</li>\r\n			<li><i class=\"icon-arrow-up\"></i> icon-arrow-up</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-caret-down\"></i> icon-caret-down</li>\r\n			<li><i class=\"icon-caret-left\"></i> icon-caret-left</li>\r\n			<li><i class=\"icon-caret-right\"></i> icon-caret-right</li>\r\n			<li><i class=\"icon-caret-up\"></i> icon-caret-up</li>\r\n			<li><i class=\"icon-chevron-down\"></i> icon-chevron-down</li>\r\n			<li><i class=\"icon-chevron-left\"></i> icon-chevron-left</li>\r\n			<li><i class=\"icon-chevron-right\"></i> icon-chevron-right</li>\r\n			<li><i class=\"icon-chevron-up\"></i> icon-chevron-up</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-circle-arrow-down\"></i> icon-circle-arrow-down</li>\r\n			<li><i class=\"icon-circle-arrow-left\"></i> icon-circle-arrow-left</li>\r\n			<li><i class=\"icon-circle-arrow-right\"></i> icon-circle-arrow-right</li>\r\n			<li><i class=\"icon-circle-arrow-up\"></i> icon-circle-arrow-up</li>\r\n			<li><i class=\"icon-double-angle-left\"></i> icon-double-angle-left</li>\r\n			<li><i class=\"icon-double-angle-right\"></i> icon-double-angle-right</li>\r\n			<li><i class=\"icon-double-angle-up\"></i> icon-double-angle-up</li>\r\n			<li><i class=\"icon-double-angle-down\"></i> icon-double-angle-down</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-hand-down\"></i> icon-hand-down</li>\r\n			<li><i class=\"icon-hand-left\"></i> icon-hand-left</li>\r\n			<li><i class=\"icon-hand-right\"></i> icon-hand-right</li>\r\n			<li><i class=\"icon-hand-up\"></i> icon-hand-up</li>\r\n			<li><i class=\"icon-circle\"></i> icon-circle</li>\r\n			<li><i class=\"icon-circle-blank\"></i> icon-circle-blank</li>\r\n		</ul>\r\n	</div>\r\n	<h5 class=\"page-header\">Video Player Icons</h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-play-circle\"></i> icon-play-circle</li>\r\n			<li><i class=\"icon-play\"></i> icon-play</li>\r\n			<li><i class=\"icon-pause\"></i> icon-pause</li>\r\n			<li><i class=\"icon-stop\"></i> icon-stop</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-step-backward\"></i> icon-step-backward</li>\r\n			<li><i class=\"icon-fast-backward\"></i> icon-fast-backward</li>\r\n			<li><i class=\"icon-backward\"></i> icon-backward</li>\r\n			<li><i class=\"icon-forward\"></i> icon-forward</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-fast-forward\"></i> icon-fast-forward</li>\r\n			<li><i class=\"icon-step-forward\"></i> icon-step-forward</li>\r\n			<li><i class=\"icon-eject\"></i> icon-eject</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-fullscreen\"></i> icon-fullscreen</li>\r\n			<li><i class=\"icon-resize-full\"></i> icon-resize-full</li>\r\n			<li><i class=\"icon-resize-small\"></i> icon-resize-small</li>\r\n		</ul>\r\n	</div>\r\n	<h5 class=\"page-header\">Social Icons</h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-phone\"></i> icon-phone</li>\r\n			<li><i class=\"icon-phone-sign\"></i> icon-phone-sign</li>\r\n			<li><i class=\"icon-facebook\"></i> icon-facebook</li>\r\n			<li><i class=\"icon-facebook-sign\"></i> icon-facebook-sign</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-twitter\"></i> icon-twitter</li>\r\n			<li><i class=\"icon-twitter-sign\"></i> icon-twitter-sign</li>\r\n			<li><i class=\"icon-github\"></i> icon-github</li>\r\n			<li><i class=\"icon-github-alt\"></i> icon-github-alt</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-github-sign\"></i> icon-github-sign</li>\r\n			<li><i class=\"icon-linkedin\"></i> icon-linkedin</li>\r\n			<li><i class=\"icon-linkedin-sign\"></i> icon-linkedin-sign</li>\r\n			<li><i class=\"icon-pinterest\"></i> icon-pinterest</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-pinterest-sign\"></i> icon-pinterest-sign</li>\r\n			<li><i class=\"icon-google-plus\"></i> icon-google-plus</li>\r\n			<li><i class=\"icon-google-plus-sign\"></i> icon-google-plus-sign</li>\r\n			<li><i class=\"icon-sign-blank\"></i> icon-sign-blank</li>\r\n		</ul>\r\n	</div>\r\n	<h5 class=\"page-header\">Medical Icons </h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-ambulance\"></i> icon-ambulance</li>\r\n			<li><i class=\"icon-beaker\"></i> icon-beaker</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-h-sign\"></i> icon-h-sign</li>\r\n			<li><i class=\"icon-hospital\"></i> icon-hospital</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-medkit\"></i> icon-medkit</li>\r\n			<li><i class=\"icon-plus-sign-alt\"></i> icon-plus-sign-alt</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-stethoscope\"></i> icon-stethoscope</li>\r\n			<li><i class=\"icon-user-md\"></i> icon-user-md</li>\r\n		</ul>\r\n	</div>\r\n</div>\r\n','',1,0,0,7,'2011-01-11 22:34:23',142,'','2013-04-30 18:49:52',838,0,'0000-00-00 00:00:00','2011-01-11 22:34:23','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_icons\":\"\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_vote\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',315,0,7,'','',1,3620,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(2,34,'Module positions','module-positions','','<p style=\"margin: 0 auto;\"><img src=\"images/demo/module_positions.png\" border=\"0\" alt=\"\" /></p>','',1,0,0,7,'2011-01-12 16:57:05',142,'','2013-02-01 11:57:23',142,0,'0000-00-00 00:00:00','2011-01-12 16:57:05','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',8,0,6,'','',1,263,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(3,35,'Messages','messages','','<p>Joomla! offers three different types of messages. Creatings standard information about Joomla! system is presented depending on a message type as follows:</p>\r\n<p style=\"margin: 43px 0 0;\"> </p>\r\n<dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"message message fade\">\r\n<ul>\r\n<li>This is a sample message</li>\r\n</ul>\r\n</dd></dl><dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"notice message fade\">\r\n<ul>\r\n<li>This is a sample of notice message</li>\r\n</ul>\r\n</dd></dl><dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"error message fade\">\r\n<ul>\r\n<li>This is a sample of error message</li>\r\n</ul>\r\n</dd></dl>','',1,0,0,7,'2011-01-12 17:08:51',142,'','2013-02-01 11:57:00',142,0,'0000-00-00 00:00:00','2011-01-12 17:08:51','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"0\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',10,0,5,'','',1,413,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(18,52,'Module variations','module-variations','','<p>On this page you can see basic suffixes used in this template.</p>\r\n<p class=\"numblocks num-3\"><span>01</span>For the modules used on the <strong>top1-2</strong> and on the <strong>bottom1-4</strong> module positions we recommened to use only default module styles or use the same style for ale the modules located on the specific module position.</p>\r\n<p class=\"numblocks num-3\"><span>02</span>The <strong>clear</strong> suffix is very useful to create banners or images without additional borders, margins and paddings. The clear suffix is also very useful inside the <strong>mainbody</strong>, <strong>mainbody_top</strong> and <strong>mainbody_bottom</strong> module positions.</p>\r\n<p class=\"numblocks num-3\"><span>03</span>For the News Show Pro GK5, Tabs GK5 and Image Show GK4 modules please always disable usage of the default CSS styles in the module settings to avoid loading of the unnecessary CSS stylesheets.</p>\r\n<p class=\"numblocks num-3\"><span>04</span>For the News Show Pro GK5 module you can specify suffix <strong>nsptitle30</strong> - <strong>nsptitle90</strong>, then the title width can be changed from 30% (<strong>nsptitle30) to 90% (<strong>nsptitle90</strong>).</strong> For the links titles you can use suffixes: <strong>nsplinktitle30</strong> - <strong>nsplinktitle90</strong></p>\r\n<p class=\"numblocks num-3\"><span>05</span>If you need to achieve the News Show Pro GK5 style with title overlay over the image, please use suffix <strong>overlaywhite</strong> (white title text) or <strong>overlayblack</strong> (black title text). Please also remember to disable in the article structure all other elements than image and header. This style looks best with the links in columns as on our demo.</p>\r\n<p class=\"numblocks num-3\"><span>06</span>If you need to achieve the smaller gaps between columns (default it is 65 pixels) you can use page suffix <strong>gridpage</strong> - then the gap will be set to 14 pixels (as on the frontpage at demo content).</p>','',1,0,0,7,'2011-01-13 12:30:01',142,'','2013-04-30 17:01:52',838,0,'0000-00-00 00:00:00','2011-01-13 12:30:01','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"0\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',32,0,4,'','',1,4211,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(19,59,'Archive article I','archive-article-i','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>','',2,0,0,2,'2011-01-13 16:01:40',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,7,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(20,60,'Archive article II','archive-article-ii','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>','',2,0,0,2,'2011-01-13 16:01:40',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,4,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(21,61,'Archive article III','archive-article-iii','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>','',2,0,0,2,'2011-01-13 16:01:40',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(56,115,'Page break example','page-break-example','','<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Donec sed odio dui. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Etiam porta sem malesuada magna mollis euismod. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<hr title=\"First Page\" alt=\"first-page\" class=\"system-pagebreak\" />\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. Vestibulum id ligula porta felis euismod semper. Donec id elit non mi porta gravida at eget metus. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n<hr title=\"Second Page\" alt=\"second-page\" class=\"system-pagebreak\" />\r\n<p>Donec sed odio dui. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Etiam porta sem malesuada magna mollis euismod. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. Vestibulum id ligula porta felis euismod semper. Donec id elit non mi porta gravida at eget metus. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Donec id elit non mi porta gravida at eget metus.</p>\r\n<hr title=\"Third Page\" alt=\"third-page\" class=\"system-pagebreak\" />\r\n<p>Maecenas faucibus mollis interdum. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>\r\n<p>Vestibulum id ligula porta felis euismod semper. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec id elit non mi porta gravida at eget metus.</p>\r\n<hr title=\"Fourth Page\" alt=\"fourth-page\" class=\"system-pagebreak\" />\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Sed posuere consectetur est at lobortis. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.</p>\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Aenean lacinia bibendum nulla sed consectetur.</p>\r\n<p>Vestibulum id ligula porta felis euismod semper. Donec ullamcorper nulla non metus auctor fringilla. Curabitur blandit tempus porttitor. Donec id elit non mi porta gravida at eget metus. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>',1,0,0,7,'2011-09-10 19:01:23',142,'','2013-02-01 11:57:47',142,0,'0000-00-00 00:00:00','2011-09-10 19:01:23','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',4,0,3,'','',1,444,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(57,116,'Page Break','page-break','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit amet mi. Quisque ultrices, neque et laoreet dictum, arcu sapien pulvinar odio, in aliquam mi dui eu leo. Nullam posuere, arcu et egestas fermentum, enim purus fermentum diam, quis porta mauris lectus ut odio. In tincidunt dapibus malesuada. Integer a lorem ligula. In tincidunt augue eget velit convallis nec pharetra eros tincidunt. Maecenas et tortor libero, vel malesuada est.</p>\r\n<p>Quisque magna tellus, condimentum a porttitor eu, fermentum nec enim. Aenean et erat nec lectus adipiscing auctor. Sed tellus sapien, condimentum eget tristique ac, faucibus sed nisi. Curabitur pretium porta pulvinar. Integer cursus venenatis dictum. Morbi massa est, ultricies ut ultrices vitae, hendrerit vitae tellus. Duis a nulla quis tellus lacinia tristique.</p>\r\n<hr title=\"Page 1\" alt=\"page1\" class=\"system-pagebreak\" />\r\n<p>Donec libero urna, cursus vitae sollicitudin sit amet, elementum et massa. Donec feugiat, turpis a dictum vulputate, dui diam faucibus nunc, ac sodales augue magna id augue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sit amet nisi felis. Morbi faucibus nunc id elit aliquam ac condimentum leo laoreet. Sed nec risus sed nulla mattis volutpat in eget diam. In leo nisl, eleifend vel lobortis vel, tincidunt a ligula. Nulla placerat gravida laoreet. In lobortis, ligula in sagittis pellentesque, orci magna venenatis neque, eu sagittis lacus ante et tellus. Morbi vel semper augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam erat volutpat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit amet mi. Quisque ultrices, neque et laoreet dictum, arcu sapien pulvinar odio, in aliquam mi dui eu leo. Nullam posuere, arcu et egestas fermentum, enim purus fermentum diam, quis porta mauris lectus ut odio. In tincidunt dapibus malesuada. Integer a lorem ligula. In tincidunt augue eget velit convallis nec pharetra eros tincidunt. Maecenas et tortor libero, vel malesuada est.</p>\r\n<hr title=\"Page 2\" alt=\"page2\" class=\"system-pagebreak\" />\r\n<p>Quisque magna tellus, condimentum a porttitor eu, fermentum nec enim. Aenean et erat nec lectus adipiscing auctor. Sed tellus sapien, condimentum eget tristique ac, faucibus sed nisi. Curabitur pretium porta pulvinar. Integer cursus venenatis dictum. Morbi massa est, ultricies ut ultrices vitae, hendrerit vitae tellus. Duis a nulla quis tellus lacinia tristique.</p>\r\n<p>Donec libero urna, cursus vitae sollicitudin sit amet, elementum et massa. Donec feugiat, turpis a dictum vulputate, dui diam faucibus nunc, ac sodales augue magna id augue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sit amet nisi felis. Morbi faucibus nunc id elit aliquam ac condimentum leo laoreet. Sed nec risus sed nulla mattis volutpat in eget diam. In leo nisl, eleifend vel lobortis vel, tincidunt a ligula. Nulla placerat gravida laoreet. In lobortis, ligula in sagittis pellentesque, orci magna venenatis neque, eu sagittis lacus ante et tellus. Morbi vel semper augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam erat volutpat.</p>','',1,0,0,7,'2011-09-14 10:10:05',142,'','2013-02-01 11:57:39',142,0,'0000-00-00 00:00:00','2011-09-14 10:10:05','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,2,'','',1,16,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(66,138,' Welcome to our new web site ','welcome-to-our-new-web-site','','<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',1,0,0,32,'2012-02-04 19:37:14',142,'','2013-04-30 21:44:11',838,0,'0000-00-00 00:00:00','2012-02-04 19:37:14','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',36,0,5,'','',1,13,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(67,139,'SCORPIONS for a short spell','scorpions-for-a-short-spell','','<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',1,0,0,32,'2012-02-04 19:37:42',142,'','2013-04-30 21:46:36',838,0,'0000-00-00 00:00:00','2012-02-04 19:37:42','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',48,0,3,'','',1,264,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(71,151,'The Show starts today','the-show-starts-today','','<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',1,0,0,32,'2012-02-04 19:37:42',142,'','2013-04-30 21:46:52',838,0,'0000-00-00 00:00:00','2012-02-04 19:37:42','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',32,0,4,'','',1,20,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(72,152,' Mobile layout UI design ','mobile-layout-ui-design','','<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',-2,0,0,32,'2012-08-29 23:04:08',142,'','2013-03-02 02:59:27',934,0,'0000-00-00 00:00:00','2012-08-29 23:04:08','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/simplicity_k2_demo.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/simplicity_blog_demo_big.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',23,0,6,'','',1,114,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(75,155,'One Republic top hit','one-republic-top-hit','','<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',1,0,0,32,'2013-04-27 16:30:20',838,'','2013-04-30 21:46:13',838,0,'0000-00-00 00:00:00','2013-04-27 16:30:20','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,2,'','',1,41,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(76,156,'Feat. Pitbull & Havana Brown Single Premiereft','feat-pitbull-havana-brown-single-premiereft','','<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Maecenas sed diam eget risus varius blandit sit amet non magna. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Vestibulum id ligula porta felis euismod semper.</p>\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Maecenas sed diam eget risus varius blandit sit amet non magna. Sed posuere consectetur est at lobortis. Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit sit amet non magna.</p>','',1,0,0,34,'2013-04-27 16:30:20',838,'','2013-04-30 21:45:50',838,0,'0000-00-00 00:00:00','2013-04-27 16:30:20','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',5,0,1,'','',1,5,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(77,157,'Feat. Pitbull &  Havana Brown Single Premiereft','feat-pitbull-havana-brown-single-premiereft','','<p>Integer dolor velit, pharetra sit amet tempus non, rhoncus ac felis. Nulla interdum urna nec elit auctor luctus. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Nulla vitae elit libero, a pharetra augue. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum.</p>\r\n<p>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Vestibulum id ligula porta felis euismod semper. Aenean lacinia bibendum nulla sed consectetur. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>','',1,0,0,33,'2013-04-27 17:22:06',838,'','2013-04-30 21:45:16',838,0,'0000-00-00 00:00:00','2013-04-27 17:22:06','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,0,1,'','',1,22,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(78,158,'David Bowie memento','david-bowie-memento','','<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',1,0,0,32,'2013-04-27 17:41:53',838,'','2013-04-30 21:44:57',838,0,'0000-00-00 00:00:00','2013-04-27 17:41:53','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',4,0,1,'','',1,2,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(79,159,'Watch Man Overboard\'s New Video For \"Where I Left You\"','watch-man-overboard-s-new-video-for-where-i-left-you','','<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec sed odio dui. Donec id elit non mi porta gravida at eget metus. Cras mattis consectetur purus sit amet fermentum. Maecenas faucibus mollis interdum.</p>\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Maecenas faucibus mollis interdum.</p>','',1,0,0,33,'2013-04-27 17:42:45',838,'','2013-04-30 21:47:25',838,0,'0000-00-00 00:00:00','2013-04-27 17:42:45','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(80,160,'Vinnie Caruana Announces Geoff Rickly of Thursday','vinnie-caruana-announces-geoff-rickly-of-thursday','','<p>Donec id elit non mi porta gravida at eget metus. Donec ullamcorper nulla non metus auctor fringilla. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aenean lacinia bibendum nulla sed consectetur. Maecenas faucibus mollis interdum.</p>\r\n<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Sed posuere consectetur est at lobortis. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Sed posuere consectetur est at lobortis.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Nulla vitae elit libero, a pharetra augue.</p>','',1,0,0,34,'2013-04-27 17:43:31',838,'','2013-04-30 21:47:08',838,0,'0000-00-00 00:00:00','2013-04-27 17:43:31','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,0,'','',1,1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(81,161,'Cody ChesnuTT Explains Why It Took 10  Masterpiece','cody-chesnutt-explains-why-it-took-10-masterpiece','','<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',1,0,0,32,'2013-04-27 17:44:27',838,'','2013-04-30 21:44:33',838,0,'0000-00-00 00:00:00','2013-04-27 17:44:27','0000-00-00 00:00:00','{\"image_intro\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/demo\\/rock_k2_demo_dark.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,0,'','',1,3,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*','');


--
-- Table structure for table `#__content_frontpage`
--



CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content_frontpage`
--


INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES (4,10),(45,9),(53,8),(47,7),(24,6),(63,4),(64,3),(62,5),(72,2),(81,1);


--
-- Table structure for table `#__content_rating`
--



CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content_rating`
--


INSERT INTO `#__content_rating` (`content_id`, `rating_sum`, `rating_count`, `lastip`) VALUES (58,4,1,'83.5.96.90');


--
-- Table structure for table `#__core_log_searches`
--



CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__core_log_searches`
--




--
-- Table structure for table `#__extensions`
--



CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=MyISAM AUTO_INCREMENT=10079 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__extensions`
--


INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES (1,'com_mailto','component','com_mailto','',0,1,1,1,'{\"legacy\":false,\"name\":\"com_mailto\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_MAILTO_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(2,'com_wrapper','component','com_wrapper','',0,1,1,1,'{\"legacy\":false,\"name\":\"com_wrapper\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_WRAPPER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(3,'com_admin','component','com_admin','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_admin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_ADMIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(4,'com_banners','component','com_banners','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_banners\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_BANNERS_XML_DESCRIPTION\",\"group\":\"\"}','{\"purchase_type\":\"3\",\"track_impressions\":\"0\",\"track_clicks\":\"0\",\"metakey_prefix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(5,'com_cache','component','com_cache','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_cache\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(6,'com_categories','component','com_categories','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_categories\",\"type\":\"component\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(7,'com_checkin','component','com_checkin','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_checkin\",\"type\":\"component\",\"creationDate\":\"Unknown\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CHECKIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(8,'com_contact','component','com_contact','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_contact\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CONTACT_XML_DESCRIPTION\",\"group\":\"\"}','{\"contact_layout\":\"_:default\",\"show_contact_category\":\"hide\",\"show_contact_list\":\"0\",\"presentation_style\":\"plain\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"0\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_misc\":\"1\",\"show_image\":\"1\",\"image\":\"\",\"allow_vcard\":\"0\",\"show_articles\":\"0\",\"show_profile\":\"0\",\"show_links\":\"0\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"contact_icons\":\"0\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"category_layout\":\"_:default\",\"show_category_title\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"0\",\"maxLevel\":\"-1\",\"show_empty_categories\":\"0\",\"show_subcat_desc\":\"1\",\"show_cat_items\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_items_cat\":\"1\",\"show_pagination_limit\":\"1\",\"show_headings\":\"1\",\"show_position_headings\":\"1\",\"show_email_headings\":\"0\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"0\",\"show_fax_headings\":\"0\",\"show_suburb_headings\":\"1\",\"show_state_headings\":\"1\",\"show_country_headings\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"initial_sort\":\"ordering\",\"captcha\":\"\",\"show_email_form\":\"1\",\"show_email_copy\":\"1\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"0\",\"redirect\":\"\",\"show_feed_link\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(9,'com_cpanel','component','com_cpanel','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_cpanel\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CPANEL_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(10,'com_installer','component','com_installer','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_installer\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_INSTALLER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(11,'com_languages','component','com_languages','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_languages\",\"type\":\"component\",\"creationDate\":\"2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','{\"administrator\":\"en-GB\",\"site\":\"en-GB\"}','','',0,'0000-00-00 00:00:00',0,0),(12,'com_login','component','com_login','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_login\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(13,'com_media','component','com_media','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_media\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_MEDIA_XML_DESCRIPTION\",\"group\":\"\"}','{\"upload_extensions\":\"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\",\"upload_maxsize\":\"10\",\"file_path\":\"images\",\"image_path\":\"images\",\"restrict_uploads\":\"1\",\"allowed_media_usergroup\":\"3\",\"check_mime\":\"1\",\"image_extensions\":\"bmp,gif,jpg,png\",\"ignore_extensions\":\"\",\"upload_mime\":\"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip\",\"upload_mime_illegal\":\"text\\/html\",\"enable_flash\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(14,'com_menus','component','com_menus','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_menus\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_MENUS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(15,'com_messages','component','com_messages','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_messages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_MESSAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(16,'com_modules','component','com_modules','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_modules\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_MODULES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(17,'com_newsfeeds','component','com_newsfeeds','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_newsfeeds\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_feed_image\":\"1\",\"show_feed_description\":\"1\",\"show_item_description\":\"1\",\"feed_word_count\":\"0\",\"show_headings\":\"1\",\"show_name\":\"1\",\"show_articles\":\"0\",\"show_link\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"display_num\":\"\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\",\"show_cat_items\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(18,'com_plugins','component','com_plugins','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_plugins\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_PLUGINS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(19,'com_search','component','com_search','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_search\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_SEARCH_XML_DESCRIPTION\",\"group\":\"\"}','{\"enabled\":\"0\",\"search_areas\":\"0\",\"show_date\":\"0\",\"opensearch_name\":\"\",\"opensearch_description\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(20,'com_templates','component','com_templates','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_templates\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_TEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(21,'com_weblinks','component','com_weblinks','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_weblinks\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_comp_description\":\"1\",\"comp_description\":\"\",\"show_link_hits\":\"1\",\"show_link_description\":\"1\",\"show_other_cats\":\"0\",\"show_headings\":\"0\",\"show_numbers\":\"0\",\"show_report\":\"1\",\"count_clicks\":\"1\",\"target\":\"0\",\"link_icons\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(22,'com_content','component','com_content','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_content\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"1\",\"show_intro\":\"1\",\"show_category\":\"1\",\"link_category\":\"1\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"1\",\"link_author\":\"0\",\"show_create_date\":\"1\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"1\",\"show_vote\":\"0\",\"show_readmore\":\"1\",\"show_readmore_title\":\"0\",\"readmore_limit\":\"100\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"1\",\"show_noauth\":\"0\",\"urls_position\":\"1\",\"show_publishing_options\":\"1\",\"show_article_options\":\"1\",\"show_urls_images_frontend\":\"1\",\"show_urls_images_backend\":\"1\",\"targeta\":0,\"targetb\":0,\"targetc\":0,\"float_intro\":\"left\",\"float_fulltext\":\"left\",\"category_layout\":\"_:blog\",\"show_category_title\":\"1\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"1\",\"show_empty_categories\":\"0\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"0\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_articles_cat\":\"1\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"0\",\"show_pagination_limit\":\"1\",\"filter_field\":\"hide\",\"show_headings\":\"1\",\"list_show_date\":\"0\",\"date_format\":\"\",\"list_show_hits\":\"1\",\"list_show_author\":\"1\",\"orderby_pri\":\"order\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_feed_link\":\"1\",\"feed_summary\":\"0\",\"feed_show_readmore\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(23,'com_config','component','com_config','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_config\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CONFIG_XML_DESCRIPTION\",\"group\":\"\"}','{\"filters\":{\"1\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}','','',0,'0000-00-00 00:00:00',0,0),(24,'com_redirect','component','com_redirect','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_redirect\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(25,'com_users','component','com_users','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_users\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_USERS_XML_DESCRIPTION\",\"group\":\"\"}','{\"allowUserRegistration\":\"1\",\"new_usertype\":\"2\",\"guest_usergroup\":\"1\",\"sendpassword\":\"1\",\"useractivation\":\"1\",\"mail_to_admin\":\"0\",\"captcha\":\"\",\"frontend_userparams\":\"1\",\"site_language\":\"0\",\"change_login_name\":\"0\",\"reset_count\":\"10\",\"reset_time\":\"1\",\"mailSubjectPrefix\":\"\",\"mailBodySuffix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(27,'com_finder','component','com_finder','',1,1,0,0,'{\"legacy\":false,\"name\":\"com_finder\",\"type\":\"component\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_description\":\"1\",\"description_length\":255,\"allow_empty_query\":\"0\",\"show_url\":\"1\",\"show_advanced\":\"1\",\"expand_advanced\":\"0\",\"show_date_filters\":\"0\",\"highlight_terms\":\"1\",\"opensearch_name\":\"\",\"opensearch_description\":\"\",\"batch_size\":\"50\",\"memory_table_limit\":30000,\"title_multiplier\":\"1.7\",\"text_multiplier\":\"0.7\",\"meta_multiplier\":\"1.2\",\"path_multiplier\":\"2.0\",\"misc_multiplier\":\"0.3\",\"stemmer\":\"snowball\"}','','',0,'0000-00-00 00:00:00',0,0),(100,'PHPMailer','library','phpmailer','',0,1,1,1,'{\"legacy\":false,\"name\":\"PHPMailer\",\"type\":\"library\",\"creationDate\":\"2001\",\"author\":\"PHPMailer\",\"copyright\":\"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2011, Jim Jagielski. All Rights Reserved.\",\"authorEmail\":\"jimjag@gmail.com\",\"authorUrl\":\"https:\\/\\/code.google.com\\/a\\/apache-extras.org\\/p\\/phpmailer\\/\",\"version\":\"5.2\",\"description\":\"LIB_PHPMAILER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(101,'SimplePie','library','simplepie','',0,1,1,1,'{\"legacy\":false,\"name\":\"SimplePie\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"SimplePie\",\"copyright\":\"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon\",\"authorEmail\":\"\",\"authorUrl\":\"http:\\/\\/simplepie.org\\/\",\"version\":\"1.2\",\"description\":\"LIB_SIMPLEPIE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(102,'phputf8','library','phputf8','',0,1,1,1,'{\"legacy\":false,\"name\":\"phputf8\",\"type\":\"library\",\"creationDate\":\"2006\",\"author\":\"Harry Fuecks\",\"copyright\":\"Copyright various authors\",\"authorEmail\":\"hfuecks@gmail.com\",\"authorUrl\":\"http:\\/\\/sourceforge.net\\/projects\\/phputf8\",\"version\":\"0.5\",\"description\":\"LIB_PHPUTF8_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(103,'Joomla! Platform','library','joomla','',0,1,1,1,'{\"legacy\":false,\"name\":\"Joomla! Platform\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"http:\\/\\/www.joomla.org\",\"version\":\"11.4\",\"description\":\"LIB_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(200,'mod_articles_archive','module','mod_articles_archive','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_archive\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters.\\n\\t\\tAll rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(201,'mod_articles_latest','module','mod_articles_latest','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LATEST_NEWS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(202,'mod_articles_popular','module','mod_articles_popular','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_articles_popular\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(203,'mod_banners','module','mod_banners','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_banners\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_BANNERS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(204,'mod_breadcrumbs','module','mod_breadcrumbs','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_breadcrumbs\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_BREADCRUMBS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(205,'mod_custom','module','mod_custom','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(206,'mod_feed','module','mod_feed','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(207,'mod_footer','module','mod_footer','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_footer\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_FOOTER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(208,'mod_login','module','mod_login','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(209,'mod_menu','module','mod_menu','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(210,'mod_articles_news','module','mod_articles_news','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_articles_news\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_ARTICLES_NEWS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(211,'mod_random_image','module','mod_random_image','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_random_image\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_RANDOM_IMAGE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(212,'mod_related_items','module','mod_related_items','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_related_items\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_RELATED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(213,'mod_search','module','mod_search','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_search\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_SEARCH_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(214,'mod_stats','module','mod_stats','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_stats\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(215,'mod_syndicate','module','mod_syndicate','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_syndicate\",\"type\":\"module\",\"creationDate\":\"May 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_SYNDICATE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(216,'mod_users_latest','module','mod_users_latest','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_users_latest\",\"type\":\"module\",\"creationDate\":\"December 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_USERS_LATEST_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(217,'mod_weblinks','module','mod_weblinks','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_weblinks\",\"type\":\"module\",\"creationDate\":\"July 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(218,'mod_whosonline','module','mod_whosonline','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_whosonline\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_WHOSONLINE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(219,'mod_wrapper','module','mod_wrapper','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_wrapper\",\"type\":\"module\",\"creationDate\":\"October 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_WRAPPER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(220,'mod_articles_category','module','mod_articles_category','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_category\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(221,'mod_articles_categories','module','mod_articles_categories','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_categories\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(222,'mod_languages','module','mod_languages','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_languages\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(223,'mod_finder','module','mod_finder','',0,1,0,0,'{\"legacy\":false,\"name\":\"mod_finder\",\"type\":\"module\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(300,'mod_custom','module','mod_custom','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(301,'mod_feed','module','mod_feed','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(302,'mod_latest','module','mod_latest','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LATEST_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(303,'mod_logged','module','mod_logged','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_logged\",\"type\":\"module\",\"creationDate\":\"January 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LOGGED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(304,'mod_login','module','mod_login','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"March 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(305,'mod_menu','module','mod_menu','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(307,'mod_popular','module','mod_popular','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_popular\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(308,'mod_quickicon','module','mod_quickicon','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_quickicon\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_QUICKICON_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(309,'mod_status','module','mod_status','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_status\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_STATUS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(310,'mod_submenu','module','mod_submenu','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_submenu\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_SUBMENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(311,'mod_title','module','mod_title','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_title\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_TITLE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(312,'mod_toolbar','module','mod_toolbar','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_toolbar\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_TOOLBAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(313,'mod_multilangstatus','module','mod_multilangstatus','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_multilangstatus\",\"type\":\"module\",\"creationDate\":\"September 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_MULTILANGSTATUS_XML_DESCRIPTION\",\"group\":\"\"}','{\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(314,'mod_version','module','mod_version','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_version\",\"type\":\"module\",\"creationDate\":\"January 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_VERSION_XML_DESCRIPTION\",\"group\":\"\"}','{\"format\":\"short\",\"product\":\"1\",\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(400,'plg_authentication_gmail','plugin','gmail','authentication',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_authentication_gmail\",\"type\":\"plugin\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_GMAIL_XML_DESCRIPTION\",\"group\":\"\"}','{\"applysuffix\":\"0\",\"suffix\":\"\",\"verifypeer\":\"1\",\"user_blacklist\":\"\"}','','',0,'0000-00-00 00:00:00',1,0),(401,'plg_authentication_joomla','plugin','joomla','authentication',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_authentication_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_AUTH_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(402,'plg_authentication_ldap','plugin','ldap','authentication',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_authentication_ldap\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_LDAP_XML_DESCRIPTION\",\"group\":\"\"}','{\"host\":\"\",\"port\":\"389\",\"use_ldapV3\":\"0\",\"negotiate_tls\":\"0\",\"no_referrals\":\"0\",\"auth_method\":\"bind\",\"base_dn\":\"\",\"search_string\":\"\",\"users_dn\":\"\",\"username\":\"admin\",\"password\":\"bobby7\",\"ldap_fullname\":\"fullName\",\"ldap_email\":\"mail\",\"ldap_uid\":\"uid\"}','','',0,'0000-00-00 00:00:00',3,0),(404,'plg_content_emailcloak','plugin','emailcloak','content',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_content_emailcloak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION\",\"group\":\"\"}','{\"mode\":\"1\"}','','',0,'0000-00-00 00:00:00',1,0),(405,'plg_content_geshi','plugin','geshi','content',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_content_geshi\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"qbnz.com\\/highlighter\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTENT_GESHI_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(406,'plg_content_loadmodule','plugin','loadmodule','content',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_content_loadmodule\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_LOADMODULE_XML_DESCRIPTION\",\"group\":\"\"}','{\"style\":\"xhtml\"}','','',0,'2011-09-18 15:22:50',0,0),(407,'plg_content_pagebreak','plugin','pagebreak','content',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_content_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\"}','{\"title\":\"1\",\"article_index\":\"1\",\"article_index_text\":\"\",\"multipage_toc\":\"1\",\"showall\":\"1\",\"style\":\"pages\"}','','',0,'0000-00-00 00:00:00',4,0),(408,'plg_content_pagenavigation','plugin','pagenavigation','content',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_content_pagenavigation\",\"type\":\"plugin\",\"creationDate\":\"January 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_PAGENAVIGATION_XML_DESCRIPTION\",\"group\":\"\"}','{\"position\":\"1\"}','','',0,'0000-00-00 00:00:00',5,0),(409,'plg_content_vote','plugin','vote','content',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_content_vote\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_VOTE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',6,0),(410,'plg_editors_codemirror','plugin','codemirror','editors',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors_codemirror\",\"type\":\"plugin\",\"creationDate\":\"28 March 2011\",\"author\":\"Marijn Haverbeke\",\"copyright\":\"\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"PLG_CODEMIRROR_XML_DESCRIPTION\",\"group\":\"\"}','{\"linenumbers\":\"0\",\"tabmode\":\"indent\"}','','',0,'0000-00-00 00:00:00',1,0),(411,'plg_editors_none','plugin','none','editors',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors_none\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Unknown\",\"copyright\":\"\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"\",\"version\":\"2.5.0\",\"description\":\"PLG_NONE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(412,'plg_editors_tinymce','plugin','tinymce','editors',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors_tinymce\",\"type\":\"plugin\",\"creationDate\":\"2005-2013\",\"author\":\"Moxiecode Systems AB\",\"copyright\":\"Moxiecode Systems AB\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"tinymce.moxiecode.com\\/\",\"version\":\"3.5.4.1\",\"description\":\"PLG_TINY_XML_DESCRIPTION\",\"group\":\"\"}','{\"mode\":\"2\",\"skin\":\"0\",\"entity_encoding\":\"raw\",\"lang_mode\":\"0\",\"lang_code\":\"en\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"invalid_elements\":\"cms\",\"extended_elements\":\"\",\"toolbar\":\"top\",\"toolbar_align\":\"left\",\"html_height\":\"550\",\"html_width\":\"750\",\"resizing\":\"true\",\"resize_horizontal\":\"false\",\"element_path\":\"1\",\"fonts\":\"1\",\"paste\":\"1\",\"searchreplace\":\"1\",\"insertdate\":\"1\",\"format_date\":\"%Y-%m-%d\",\"inserttime\":\"1\",\"format_time\":\"%H:%M:%S\",\"colors\":\"1\",\"table\":\"1\",\"smilies\":\"1\",\"media\":\"1\",\"hr\":\"1\",\"directionality\":\"1\",\"fullscreen\":\"1\",\"style\":\"1\",\"layer\":\"1\",\"xhtmlxtras\":\"1\",\"visualchars\":\"1\",\"visualblocks\":\"1\",\"nonbreaking\":\"1\",\"template\":\"1\",\"blockquote\":\"1\",\"wordcount\":\"1\",\"advimage\":\"1\",\"advlink\":\"1\",\"advlist\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"inlinepopups\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"}','','',0,'0000-00-00 00:00:00',3,0),(413,'plg_editors-xtd_article','plugin','article','editors-xtd',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors-xtd_article\",\"type\":\"plugin\",\"creationDate\":\"October 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_ARTICLE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(414,'plg_editors-xtd_image','plugin','image','editors-xtd',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_editors-xtd_image\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_IMAGE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(415,'plg_editors-xtd_pagebreak','plugin','pagebreak','editors-xtd',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_editors-xtd_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(416,'plg_editors-xtd_readmore','plugin','readmore','editors-xtd',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_editors-xtd_readmore\",\"type\":\"plugin\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_READMORE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',4,0),(417,'plg_search_categories','plugin','categories','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_categories\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(418,'plg_search_contacts','plugin','contacts','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_contacts\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEARCH_CONTACTS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(419,'plg_search_content','plugin','content','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_content\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEARCH_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(420,'plg_search_newsfeeds','plugin','newsfeeds','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(421,'plg_search_weblinks','plugin','weblinks','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_weblinks\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(422,'plg_system_languagefilter','plugin','languagefilter','system',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_system_languagefilter\",\"type\":\"plugin\",\"creationDate\":\"July 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(423,'plg_system_p3p','plugin','p3p','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_p3p\",\"type\":\"plugin\",\"creationDate\":\"September 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_P3P_XML_DESCRIPTION\",\"group\":\"\"}','{\"headers\":\"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM\"}','','',0,'0000-00-00 00:00:00',2,0),(424,'plg_system_cache','plugin','cache','system',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_system_cache\",\"type\":\"plugin\",\"creationDate\":\"February 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','{\"browsercache\":\"0\",\"cachetime\":\"15\"}','','',0,'0000-00-00 00:00:00',9,0),(425,'plg_system_debug','plugin','debug','system',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_system_debug\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_DEBUG_XML_DESCRIPTION\",\"group\":\"\"}','{\"profile\":\"1\",\"queries\":\"1\",\"memory\":\"1\",\"language_files\":\"1\",\"language_strings\":\"1\",\"strip-first\":\"1\",\"strip-prefix\":\"\",\"strip-suffix\":\"\"}','','',0,'0000-00-00 00:00:00',4,0),(426,'plg_system_log','plugin','log','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_log\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_LOG_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',5,0),(427,'plg_system_redirect','plugin','redirect','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_redirect\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',6,0),(428,'plg_system_remember','plugin','remember','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_remember\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_REMEMBER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',7,0),(429,'plg_system_sef','plugin','sef','system',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_system_sef\",\"type\":\"plugin\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEF_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',8,0),(430,'plg_system_logout','plugin','logout','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_logout\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(431,'plg_user_contactcreator','plugin','contactcreator','user',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_user_contactcreator\",\"type\":\"plugin\",\"creationDate\":\"August 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTACTCREATOR_XML_DESCRIPTION\",\"group\":\"\"}','{\"autowebpage\":\"\",\"category\":\"34\",\"autopublish\":\"0\"}','','',0,'0000-00-00 00:00:00',1,0),(432,'plg_user_joomla','plugin','joomla','user',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_user_joomla\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2009 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_USER_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{\"autoregister\":\"1\"}','','',0,'0000-00-00 00:00:00',2,0),(433,'plg_user_profile','plugin','profile','user',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_user_profile\",\"type\":\"plugin\",\"creationDate\":\"January 2008\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_USER_PROFILE_XML_DESCRIPTION\",\"group\":\"\"}','{\"register-require_address1\":\"1\",\"register-require_address2\":\"1\",\"register-require_city\":\"1\",\"register-require_region\":\"1\",\"register-require_country\":\"1\",\"register-require_postal_code\":\"1\",\"register-require_phone\":\"1\",\"register-require_website\":\"1\",\"register-require_favoritebook\":\"1\",\"register-require_aboutme\":\"1\",\"register-require_tos\":\"1\",\"register-require_dob\":\"1\",\"profile-require_address1\":\"1\",\"profile-require_address2\":\"1\",\"profile-require_city\":\"1\",\"profile-require_region\":\"1\",\"profile-require_country\":\"1\",\"profile-require_postal_code\":\"1\",\"profile-require_phone\":\"1\",\"profile-require_website\":\"1\",\"profile-require_favoritebook\":\"1\",\"profile-require_aboutme\":\"1\",\"profile-require_tos\":\"1\",\"profile-require_dob\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(434,'plg_extension_joomla','plugin','joomla','extension',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_extension_joomla\",\"type\":\"plugin\",\"creationDate\":\"May 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(435,'plg_content_joomla','plugin','joomla','content',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_content_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTENT_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(436,'plg_system_languagecode','plugin','languagecode','system',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_system_languagecode\",\"type\":\"plugin\",\"creationDate\":\"November 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',10,0),(437,'plg_quickicon_joomlaupdate','plugin','joomlaupdate','quickicon',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_quickicon_joomlaupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(438,'plg_quickicon_extensionupdate','plugin','extensionupdate','quickicon',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_quickicon_extensionupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(439,'plg_captcha_recaptcha','plugin','recaptcha','captcha',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_captcha_recaptcha\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION\",\"group\":\"\"}','{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}','','',0,'0000-00-00 00:00:00',0,0),(440,'plg_system_highlight','plugin','highlight','system',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_system_highlight\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',7,0),(441,'plg_content_finder','plugin','finder','content',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_content_finder\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTENT_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(442,'plg_finder_categories','plugin','categories','finder',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_finder_categories\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_FINDER_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(443,'plg_finder_contacts','plugin','contacts','finder',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_finder_contacts\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_FINDER_CONTACTS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(444,'plg_finder_content','plugin','content','finder',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_finder_content\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_FINDER_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(445,'plg_finder_newsfeeds','plugin','newsfeeds','finder',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_finder_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',4,0),(446,'plg_finder_weblinks','plugin','weblinks','finder',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_finder_weblinks\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_FINDER_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',5,0),(500,'atomic','template','atomic','',0,1,1,0,'{\"legacy\":false,\"name\":\"atomic\",\"type\":\"template\",\"creationDate\":\"10\\/10\\/09\",\"author\":\"Ron Severdia\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"contact@kontentdesign.com\",\"authorUrl\":\"http:\\/\\/www.kontentdesign.com\",\"version\":\"2.5.0\",\"description\":\"TPL_ATOMIC_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(502,'bluestork','template','bluestork','',1,1,1,0,'{\"legacy\":false,\"name\":\"bluestork\",\"type\":\"template\",\"creationDate\":\"07\\/02\\/09\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"TPL_BLUESTORK_XML_DESCRIPTION\",\"group\":\"\"}','{\"useRoundedCorners\":\"1\",\"showSiteName\":\"0\",\"textBig\":\"0\",\"highContrast\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(503,'beez_20','template','beez_20','',0,1,1,0,'{\"legacy\":false,\"name\":\"beez_20\",\"type\":\"template\",\"creationDate\":\"25 November 2009\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"2.5.0\",\"description\":\"TPL_BEEZ2_XML_DESCRIPTION\",\"group\":\"\"}','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"templatecolor\":\"nature\"}','','',0,'0000-00-00 00:00:00',0,0),(504,'hathor','template','hathor','',1,1,1,0,'{\"legacy\":false,\"name\":\"hathor\",\"type\":\"template\",\"creationDate\":\"May 2010\",\"author\":\"Andrea Tarr\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"hathor@tarrconsulting.com\",\"authorUrl\":\"http:\\/\\/www.tarrconsulting.com\",\"version\":\"2.5.0\",\"description\":\"TPL_HATHOR_XML_DESCRIPTION\",\"group\":\"\"}','{\"showSiteName\":\"0\",\"colourChoice\":\"0\",\"boldText\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(505,'beez5','template','beez5','',0,1,1,0,'{\"legacy\":false,\"name\":\"beez5\",\"type\":\"template\",\"creationDate\":\"21 May 2010\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"2.5.0\",\"description\":\"TPL_BEEZ5_XML_DESCRIPTION\",\"group\":\"\"}','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"html5\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(600,'English (United Kingdom)','language','en-GB','',0,1,1,1,'{\"legacy\":false,\"name\":\"English (United Kingdom)\",\"type\":\"language\",\"creationDate\":\"2008-03-15\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.10\",\"description\":\"en-GB site language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(601,'English (United Kingdom)','language','en-GB','',1,1,1,1,'{\"legacy\":false,\"name\":\"English (United Kingdom)\",\"type\":\"language\",\"creationDate\":\"2008-03-15\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.10\",\"description\":\"en-GB administrator language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(700,'files_joomla','file','joomla','',0,1,1,1,'{\"legacy\":false,\"name\":\"files_joomla\",\"type\":\"file\",\"creationDate\":\"April 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.11\",\"description\":\"FILES_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(800,'PKG_JOOMLA','package','pkg_joomla','',0,1,1,1,'{\"legacy\":false,\"name\":\"PKG_JOOMLA\",\"type\":\"package\",\"creationDate\":\"2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"http:\\/\\/www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PKG_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(10033,'gk_rockwall','template','gk_rockwall','',0,1,1,0,'{\"legacy\":false,\"name\":\"gk_rockwall\",\"type\":\"template\",\"creationDate\":\"01 Mar 2013\",\"author\":\"GavickPro\",\"copyright\":\"Copyright (C) 2007 - 2013 GavickPro. All rights reserved.\",\"authorEmail\":\"support@gavick.com\",\"authorUrl\":\"http:\\/\\/gavick.com\",\"version\":\"3.8\",\"description\":\"\\n\\t\\t<link rel=\\\"stylesheet\\\" type=\\\"text\\/css\\\" href=\\\"..\\/templates\\/gk_simplicity\\/admin\\/style.css\\\" \\/>\\n\\t\\t\\t<style type=\\\"text\\/css\\\" media=\\\"all\\\">\\n\\t\\t\\t<!--\\n\\t\\t\\t#wrap1 {padding:0px 0px 4px 0px;}\\n\\t\\t\\th1 {clear:both;font-family: Georgia, sans-serif;font-size:38px;margin:30px 20px 12px ;padding:0px 0px 24px 10px;color:#333; border-bottom: 1px solid #ccc; font-weight: normal;}\\n\\t\\t\\th4 { border: none;  margin: 0 0 12px; padding:0; font: italic 20px\\/32px Georgia, sans-serif; color: #333; }\\n\\t\\t\\tsup { font-style: italic; font-size: }\\n\\t\\t\\t.wrap2 {background:#fff;padding: 20px; font-family: Arial; font-size:13px; text-align: justify; color: #4d4d4d; line-height: 24px;}\\n\\t\\t\\t.leftart {margin: 16px 0 0 176px; font-weight:normal!important; }\\n\\t\\t\\t.livedemo { margin-top: 28px; }\\n\\t\\t\\t-->\\n\\t\\t\\t<\\/style>\\t\\n\\t\\t\\t\\n\\t\\t\\t<div id=\\\"wrap1\\\">    \\n\\t\\t\\t<h1><em>Simplicity<\\/em><\\/h1>\\n\\t\\t\\t<div class=\\\"wrap2\\\">                    \\n\\t\\t\\t\\n\\t\\t\\t<a title=\\\"Visit the official website!\\\" href=\\\"http:\\/\\/demo.gavick.com\\/joomla25\\/simplicity\\/\\\" target=\\\"_blank\\\"> <img style=\\\"padding-left: 10px;float: left; background-color: #fff;\\\" src=\\\"..\\/templates\\/gk_simplicity\\/images\\/template_image.jpg\\\" border=\\\"0\\\" alt=\\\"Logo\\\" \\/><\\/a>       \\n\\t\\t\\t\\n\\t\\t\\t<div class=\\\"leftart\\\">            \\n\\t\\t\\t\\n\\t\\t\\t<h4>Joomla! Business \\/ Startup Template  <\\/h4>\\n\\t\\t\\t\\n\\t\\t\\t<p>\\tSimple doesn\'t mean unsuccessful or unattractive...<br \\/>\\n\\t\\t\\tSimplicity is just the beginning... the beginning of astartup!<\\/p><p>\\n\\t\\t\\tIf you run a business and you want to enliven your online identity, Simplicity is the best choice you may make in order to create a successful and breathtaking website!<\\/p><p>\\n\\t\\t\\t\\n\\t\\t\\tThis business Joomla! template uses the latest trends available. You may make undoubtedly unique and attractive landing page of a product with Simplicity thanks to interesting animations of CSS3 use!<\\/p><p>\\n\\t\\t\\t\\n\\t\\t\\tThe content on your Joomla! website will be presented in a clear manner thanks to K2 and our powerful News Show Pro GK4.\\n\\t\\t\\t\\n\\t\\t\\tMoreover, catchy typography elements makes Simplicity more advanced and useful. If you use this business Joomla! template, you may be sure that you will achieve success in your business!<\\/p><p>\\n\\t\\t\\t\\n\\t\\t\\tFancy presenting your products on a website in an easy and attractive way? Simplicity is the solution... Take it now and create an outstanding Joomla! website immediately!  \\n\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t<\\/p>\\n\\t\\t\\t\\n\\t\\t\\t<p class=\\\"livedemo\\\">View Simplicity template in action <a href=\\\"http:\\/\\/demo.gavick.com\\/joomla25\\/simplicity\\/\\\" target=\\\"_blank\\\">here<\\/a>...<\\/p><small>Gavern v.3.8<\\/small><\\/div>\\n\\t\\t\\t<\\/div> \\n\\t\\t\\t<\\/div>\\n\\t\",\"group\":\"\"}','{\"template_color\":\"1\",\"default_layout\":\"default\",\"layout_body_space\":\"20\",\"layout_grid_base\":\"320\",\"layout_grid_base_spaces\":\"10\",\"layout_content_width\":\"1.5\",\"layout_inset_width\":\"1.0\",\"layout_max_amount\":\"10\",\"logo_type\":\"image\",\"logo_image\":\"\",\"logo_text\":\"\",\"logo_slogan\":\"\",\"print_logo\":\"\",\"print_behaviour\":\"1\",\"favicon_image\":\"\",\"stylearea\":\"1\",\"framework_logo\":\"1\",\"webmaster_contact\":\"\",\"typography\":\"0\",\"typo_iconset\":\"0\",\"tools\":\"1\",\"startlevel\":\"0\",\"endlevel\":\"-1\",\"menu_animation\":\"slide\",\"menu_height\":\"0\",\"menu_width\":\"0\",\"menu_col_width\":\"200\",\"menu_duration\":\"500\",\"fb_api_id\":\"\",\"fb_lang\":\"en_US\",\"fb_login\":\"0\",\"fb_like\":\"0\",\"fb_like_send\":\"0\",\"fb_like_layout\":\"standard\",\"fb_like_show_faces\":\"true\",\"fb_like_width\":\"500\",\"fb_like_action\":\"like\",\"fb_like_font\":\"arial\",\"fb_like_colorscheme\":\"light\",\"google_plus\":\"1\",\"google_plus_count\":\"1\",\"google_plus_size\":\"medium\",\"google_plus_lang\":\"en-GB\",\"tweet_btn\":\"0\",\"tweet_btn_data_count\":\"vertical\",\"tweet_btn_data_via\":\"\",\"tweet_btn_data_lang\":\"en\",\"excluded_cats\":\"\",\"use_gk_cache\":\"0\",\"css_cache\":\"0\",\"css_compression\":\"0\",\"css_override\":\"0\",\"chrome_frame_support\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(10002,'System - GK Cache','plugin','plg_gkcache','system',0,0,1,0,'{\"legacy\":true,\"name\":\"System - GK Cache\",\"type\":\"plugin\",\"creationDate\":\"25 August 2011\",\"author\":\"www.gavick.com\",\"copyright\":\"All Rights Reserved.\",\"authorEmail\":\"test@gavick.com\",\"authorUrl\":\"http:\\/\\/www.gavick.com\",\"version\":\"1.0\",\"description\":\"Plugin necessary if you\'re using Joomla! cache for GavickPro templates\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10003,'Authentication - Facebook','plugin','facebook','authentication',0,1,1,0,'{\"legacy\":false,\"name\":\"Authentication - Facebook\",\"type\":\"plugin\",\"creationDate\":\"31 December 2011\",\"author\":\"GavickPro\",\"copyright\":\"Copyright (C) 2010 - 2011 GavickPro. All rights reserved.\",\"authorEmail\":\"support@gavick.com\",\"authorUrl\":\"http:\\/\\/gavick.com\",\"version\":\"GK4 1.2\",\"description\":\"GavickPro Facebook authentication plugin\",\"group\":\"\"}','{\"facebook_api_id\":\"171342606239806\",\"facebook_api_secret\":\"f08d507c3c74fc1688868f38cbe43331\",\"auto_register\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(10004,'Button - GK Typography','plugin','gk_typography','editors-xtd',0,1,1,0,'{\"legacy\":true,\"name\":\"Button - GK Typography\",\"type\":\"plugin\",\"creationDate\":\"08\\/01\\/2011\",\"author\":\"Robert Gavick - GavickPro\",\"copyright\":\"Copyrighted Commercial Software\",\"authorEmail\":\"info@gavick.com\",\"authorUrl\":\"http:\\/\\/www.gavick.com\",\"version\":\"1.0.2\",\"description\":\"Plugin to easier typography using in Joomla WYSIWYG editors.\",\"group\":\"\"}','[]','','',0,'0000-00-00 00:00:00',0,0),(10005,'System - GK Extended Cache','plugin','gavickExtCache','system',0,0,1,0,'{\"legacy\":false,\"name\":\"System - GK Extended Cache\",\"type\":\"plugin\",\"creationDate\":\"25 August 2011\",\"author\":\"www.gavick.com\",\"copyright\":\"All Rights Reserved.\",\"authorEmail\":\"test@gavick.com\",\"authorUrl\":\"http:\\/\\/www.gavick.com\",\"version\":\"1.0\",\"description\":\"Alternative for system cache plugin for GavickPro templates\",\"group\":\"\"}','[]','','',0,'0000-00-00 00:00:00',0,0),(10006,'System - GK Menu Extended Parameters','plugin','plg_gkextmenu','system',0,1,1,0,'{\"legacy\":true,\"name\":\"System - GK Menu Extended Parameters\",\"type\":\"plugin\",\"creationDate\":\"29 December 2010\",\"author\":\"www.gavick.com\",\"copyright\":\"All Rights Reserved.\",\"authorEmail\":\"test@gavick.com\",\"authorUrl\":\"http:\\/\\/www.gavick.com\",\"version\":\"1.0\",\"description\":\"Plugin which adds additional menu options for GavickPro templates\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10076,'News Show Pro GK5','module','mod_news_pro_gk5','',0,1,0,0,'{\"legacy\":false,\"name\":\"News Show Pro GK5\",\"type\":\"module\",\"creationDate\":\"24\\/04\\/2013\",\"author\":\"Gavick.com\",\"copyright\":\"(C) 2009-2013 Gavick.com\",\"authorEmail\":\"info@gavick.com\",\"authorUrl\":\"www.gavick.com\",\"version\":\"1.1.2\",\"description\":\"\\n\\t\\n\\t\\t<style type=\'text\\/css\'>\\n\\t\\t\\tspan.readonly { padding: 10px; font-family: Arial; font-size:13px !important; font-weight: normal !important; text-align: justify; color: #4d4d4d; line-height: 24px; } \\n\\t\\t\\tspan.readonly h1 { clear:both; font-family: Georgia, sans-serif; font-size:38px; margin:30px 20px 23px; padding:0px 0px 24px 10px; color:#333; border-bottom: 1px solid #eee; font-weight: normal; } \\n\\t\\t\\tspan.readonly p { margin: 0 26px 10px } \\n\\t\\t\\tspan.readonly p a { color: #ef6b09 } \\n\\t\\t\\tspan.readonly p.homepage { margin-top: 30px } \\n\\t\\t\\tspan.readonly p.license { border-top: 1px solid #eee; font-size: 11px; margin: 30px 26px 0; padding: 6px 0; }\\n\\t\\t<\\/style>\\n\\t\\t<span class=\'readonly\'>\\n\\t\\t\\t<h1>News Show Pro GK5 <small>ver. 1.1.2<\\/small><\\/h1>\\n\\t\\t\\t<p>GK5 is new generation of our extensions dedicated to Joomla 2.5+.<\\/p>\\n\\t\\t\\t<p>Basing on experiences gathered, we created probably the best tool to present articles for Joomla! Huge amount of options and possibilities of formatting causes News Show Pro GK5 is a complex tool in making www pages content attractive. News Show Pro is appropriate while preparing simple structures with an individual article, the same as, complex arrangements including few articles and a list of links.<\\/p> \\n\\t\\t\\t<p class=\'homepage\'><a href=\'http:\\/\\/www.gavick.com\\/news-show-pro-gk5.html\' target=\'_blank\'>Learn more at the NSP GK5 project website.<\\/a><\\/p>\\n\\t\\t\\t<p class=\'license\'>News Show Pro GK5 is released under the <a target=\\\"_blank\\\" href=\\\"http:\\/\\/www.gnu.org\\/licenses\\/gpl-2.0.html\\\">GNU\\/GPL v2 license.<\\/a><\\/p>\\n\\t\\t<\\/span>\\n\\t\\n\\t\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"module_unique_id\":\"\",\"module_mode\":\"normal\",\"use_own_article_format\":\"0\",\"article_format\":\"\",\"data_source\":\"\",\"source_name\":\"com_content\",\"com_content_categories\":\"\",\"com_content_articles\":\"\",\"k2_categories\":\"\",\"k2_tags\":\"\",\"k2_articles\":\"\",\"json_file\":\"\",\"xml_file\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"first\",\"portal_mode_news_gallery_amount\":\"10\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"1\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"0\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 20px 20px 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"responsive_images\":\"0\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"0\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"160\",\"img_height\":\"120\",\"img_margin\":\"6px 14px 0 0\",\"img_bg\":\"#000\",\"img_stretch\":\"0\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_editor\":\"\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"1\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(10009,'K2 Comments','module','mod_k2_comments','',0,1,0,0,'{\"legacy\":false,\"name\":\"K2 Comments\",\"type\":\"module\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"MOD_K2_COMMENTS_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"module_usage\":\"\",\"\":\"K2_TOP_COMMENTERS\",\"catfilter\":\"0\",\"category_id\":\"\",\"comments_limit\":\"5\",\"comments_word_limit\":\"10\",\"commenterName\":\"1\",\"commentAvatar\":\"1\",\"commentAvatarWidthSelect\":\"custom\",\"commentAvatarWidth\":\"50\",\"commentDate\":\"1\",\"commentDateFormat\":\"absolute\",\"commentLink\":\"1\",\"itemTitle\":\"1\",\"itemCategory\":\"1\",\"feed\":\"1\",\"commenters_limit\":\"5\",\"commenterNameOrUsername\":\"1\",\"commenterAvatar\":\"1\",\"commenterAvatarWidthSelect\":\"custom\",\"commenterAvatarWidth\":\"50\",\"commenterLink\":\"1\",\"commenterCommentsCounter\":\"1\",\"commenterLatestComment\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10010,'K2 Content','module','mod_k2_content','',0,1,0,0,'{\"legacy\":false,\"name\":\"K2 Content\",\"type\":\"module\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"K2_MOD_K2_CONTENT_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"getTemplate\":\"Default\",\"source\":\"filter\",\"\":\"K2_OTHER_OPTIONS\",\"catfilter\":\"0\",\"category_id\":\"\",\"getChildren\":\"0\",\"itemCount\":\"5\",\"itemsOrdering\":\"\",\"FeaturedItems\":\"1\",\"popularityRange\":\"\",\"videosOnly\":\"0\",\"item\":\"\",\"items\":\"\",\"itemTitle\":\"1\",\"itemAuthor\":\"1\",\"itemAuthorAvatar\":\"1\",\"itemAuthorAvatarWidthSelect\":\"custom\",\"itemAuthorAvatarWidth\":\"50\",\"userDescription\":\"1\",\"itemIntroText\":\"1\",\"itemIntroTextWordLimit\":\"\",\"itemImage\":\"1\",\"itemImgSize\":\"Small\",\"itemVideo\":\"1\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemAttachments\":\"1\",\"itemTags\":\"1\",\"itemCategory\":\"1\",\"itemDateCreated\":\"1\",\"itemHits\":\"1\",\"itemReadMore\":\"1\",\"itemExtraFields\":\"0\",\"itemCommentsCounter\":\"1\",\"feed\":\"1\",\"itemPreText\":\"\",\"itemCustomLink\":\"0\",\"itemCustomLinkTitle\":\"\",\"itemCustomLinkURL\":\"http:\\/\\/\",\"itemCustomLinkMenuItem\":\"\",\"K2Plugins\":\"1\",\"JPlugins\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10011,'K2 Login','module','mod_k2_login','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Login\",\"type\":\"module\",\"creationDate\":\"May 9th, 2012\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.5.7\",\"description\":\"K2_LOGIN_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"pretext\":\"\",\"\":\"K2_LOGIN_LOGOUT_REDIRECTION\",\"name\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"menu\":\"\",\"login\":\"\",\"logout\":\"\",\"usesecure\":\"0\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10012,'K2 Tools','module','mod_k2_tools','',0,1,0,0,'{\"legacy\":false,\"name\":\"K2 Tools\",\"type\":\"module\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"K2_TOOLS\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"\":\"K2_CUSTOM_CODE_SETTINGS\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"\",\"authors_module_category\":\"\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"\",\"catfilter\":\"0\",\"category_id\":\"\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":\"0\",\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10013,'K2 Users','module','mod_k2_users','',0,1,0,0,'{\"legacy\":false,\"name\":\"K2 Users\",\"type\":\"module\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"K2_MOD_K2_USERS_DESCRTIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"getTemplate\":\"Default\",\"source\":\"0\",\"\":\"K2_DISPLAY_OPTIONS\",\"filter\":\"1\",\"K2UserGroup\":\"\",\"ordering\":\"1\",\"limit\":\"4\",\"userIDs\":\"\",\"userName\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"userDescription\":\"1\",\"userDescriptionWordLimit\":\"\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeed\":\"1\",\"userItemCount\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10014,'K2 User','module','mod_k2_user','',0,1,0,0,'{\"legacy\":false,\"name\":\"K2 User\",\"type\":\"module\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"K2_MOD_K2_USER_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"pretext\":\"\",\"\":\"K2_LOGIN_LOGOUT_REDIRECTION\",\"name\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"menu\":\"\",\"login\":\"\",\"logout\":\"\",\"usesecure\":\"0\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10015,'K2 Quick Icons (admin)','module','mod_k2_quickicons','',1,1,2,0,'{\"legacy\":false,\"name\":\"K2 Quick Icons (admin)\",\"type\":\"module\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"K2_QUICKICONS_FOR_USE_IN_THE_JOOMLA_CONTROL_PANEL_DASHBOARD_PAGE\",\"group\":\"\"}','{\"modCSSStyling\":\"1\",\"modLogo\":\"1\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10016,'K2 Stats (admin)','module','mod_k2_stats','',1,1,2,0,'{\"legacy\":false,\"name\":\"K2 Stats (admin)\",\"type\":\"module\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"K2_STATS_FOR_USE_IN_THE_K2_DASHBOARD_PAGE\",\"group\":\"\"}','{\"latestItems\":\"1\",\"popularItems\":\"1\",\"mostCommentedItems\":\"1\",\"latestComments\":\"1\",\"statistics\":\"1\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10017,'plg_finder_k2','plugin','k2','finder',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_finder_k2\",\"type\":\"plugin\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"PLG_FINDER_K2_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10018,'Search - K2','plugin','k2','search',0,1,1,0,'{\"legacy\":false,\"name\":\"Search - K2\",\"type\":\"plugin\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"K2_THIS_PLUGIN_EXTENDS_THE_DEFAULT_JOOMLA_SEARCH_FUNCTIONALITY_TO_K2_CONTENT\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_tags\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(10019,'System - K2','plugin','k2','system',0,1,1,0,'{\"legacy\":false,\"name\":\"System - K2\",\"type\":\"plugin\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"K2_THE_K2_SYSTEM_PLUGIN_IS_USED_TO_ASSIST_THE_PROPER_FUNCTIONALITY_OF_THE_K2_COMPONENT_SITE_WIDE_MAKE_SURE_ITS_ALWAYS_PUBLISHED_WHEN_THE_K2_COMPONENT_IS_INSTALLED\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10020,'User - K2','plugin','k2','user',0,1,1,0,'{\"legacy\":false,\"name\":\"User - K2\",\"type\":\"plugin\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"K2_A_USER_SYNCHRONIZATION_PLUGIN_FOR_K2\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10021,'com_k2','component','com_k2','',1,1,0,0,'{\"legacy\":false,\"name\":\"COM_K2\",\"type\":\"component\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"Thank you for installing K2 by JoomlaWorks, the powerful content extension for Joomla!\",\"group\":\"\"}','{\"enable_css\":\"1\",\"jQueryHandling\":\"1.7remote\",\"backendJQueryHandling\":\"remote\",\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeedLink\":\"1\",\"userFeedIcon\":\"1\",\"userItemCount\":\"4\",\"userItemTitle\":\"1\",\"userItemTitleLinked\":\"1\",\"userItemDateCreated\":\"1\",\"userItemImage\":\"1\",\"userItemIntroText\":\"1\",\"userItemCategory\":\"1\",\"userItemTags\":\"0\",\"userItemCommentsAnchor\":\"1\",\"userItemReadMore\":\"1\",\"userItemK2Plugins\":\"1\",\"tagItemCount\":\"4\",\"tagItemTitle\":\"1\",\"tagItemTitleLinked\":\"1\",\"tagItemDateCreated\":\"1\",\"tagItemImage\":\"1\",\"tagItemIntroText\":\"1\",\"tagItemCategory\":\"1\",\"tagItemReadMore\":\"1\",\"tagItemExtraFields\":\"0\",\"tagOrdering\":\"\",\"tagFeedLink\":\"1\",\"tagFeedIcon\":\"1\",\"genericItemCount\":\"10\",\"genericItemTitle\":\"1\",\"genericItemTitleLinked\":\"1\",\"genericItemDateCreated\":\"1\",\"genericItemImage\":\"1\",\"genericItemIntroText\":\"1\",\"genericItemCategory\":\"0\",\"genericItemReadMore\":\"1\",\"genericItemExtraFields\":\"0\",\"genericFeedLink\":\"1\",\"genericFeedIcon\":\"1\",\"feedLimit\":\"10\",\"feedItemImage\":\"1\",\"feedImgSize\":\"M\",\"feedItemIntroText\":\"1\",\"feedTextWordLimit\":\"\",\"feedItemFullText\":\"1\",\"feedItemTags\":\"0\",\"feedItemVideo\":\"0\",\"feedItemGallery\":\"0\",\"feedItemAttachments\":\"0\",\"feedBogusEmail\":\"\",\"introTextCleanup\":\"0\",\"introTextCleanupExcludeTags\":\"\",\"introTextCleanupTagAttr\":\"\",\"fullTextCleanup\":\"0\",\"fullTextCleanupExcludeTags\":\"\",\"fullTextCleanupTagAttr\":\"\",\"xssFiltering\":\"0\",\"linkPopupWidth\":\"900\",\"linkPopupHeight\":\"600\",\"imagesQuality\":\"80\",\"itemImageXS\":\"100\",\"itemImageS\":\"200\",\"itemImageM\":\"500\",\"itemImageL\":\"782\",\"itemImageXL\":\"918\",\"itemImageGeneric\":\"782\",\"catImageWidth\":\"782\",\"catImageDefault\":\"1\",\"userImageWidth\":\"116\",\"userImageDefault\":\"1\",\"commenterImgWidth\":\"60\",\"onlineImageEditor\":\"splashup\",\"imageTimestamp\":\"0\",\"imageMemoryLimit\":\"\",\"socialButtonCode\":\"\",\"twitterUsername\":\"\",\"facebookImage\":\"Small\",\"comments\":\"1\",\"commentsOrdering\":\"DESC\",\"commentsLimit\":\"10\",\"commentsFormPosition\":\"below\",\"commentsPublishing\":\"0\",\"commentsReporting\":\"2\",\"commentsReportRecipient\":\"\",\"inlineCommentsModeration\":\"0\",\"gravatar\":\"1\",\"recaptcha\":\"0\",\"commentsFormNotes\":\"1\",\"commentsFormNotesText\":\"\",\"frontendEditing\":\"1\",\"showImageTab\":\"1\",\"showImageGalleryTab\":\"1\",\"showVideoTab\":\"1\",\"showExtraFieldsTab\":\"1\",\"showAttachmentsTab\":\"1\",\"showK2Plugins\":\"1\",\"sideBarDisplayFrontend\":\"0\",\"mergeEditors\":\"1\",\"sideBarDisplay\":\"1\",\"attachmentsFolder\":\"\",\"hideImportButton\":\"0\",\"googleSearch\":\"0\",\"googleSearchContainer\":\"k2Container\",\"K2UserProfile\":\"0\",\"K2UserGroup\":\"1\",\"redirect\":\"\",\"adminSearch\":\"simple\",\"cookieDomain\":\"\",\"taggingSystem\":\"1\",\"lockTags\":\"0\",\"showTagFilter\":\"0\",\"k2TagNorm\":\"0\",\"k2TagNormCase\":\"lower\",\"k2TagNormAdditionalReplacements\":\"\",\"recaptcha_public_key\":\"\",\"recaptcha_private_key\":\"\",\"recaptcha_theme\":\"clean\",\"recaptchaOnRegistration\":\"0\",\"stopForumSpam\":\"0\",\"stopForumSpamApiKey\":\"\",\"showItemsCounterAdmin\":\"1\",\"showChildCatItems\":\"1\",\"disableCompactOrdering\":\"0\",\"metaDescLimit\":\"150\",\"enforceSEFReplacements\":\"0\",\"SEFReplacements\":\"\\u00c5\\u00a0|S, \\u00c5\\u2019|O, \\u00c5\\u00bd|Z, \\u00c5\\u00a1|s, \\u00c5\\u201c|oe, \\u00c5\\u00be|z, \\u00c5\\u00b8|Y, \\u00c2\\u00a5|Y, \\u00c2\\u00b5|u, \\u00c3\\u20ac|A, \\u00c3\\ufffd|A, \\u00c3\\u201a|A, \\u00c3\\u0192|A, \\u00c3\\u201e|A, \\u00c3\\u2026|A, \\u00c3\\u2020|A, \\u00c3\\u2021|C, \\u00c3\\u02c6|E, \\u00c3\\u2030|E, \\u00c3\\u0160|E, \\u00c3\\u2039|E, \\u00c3\\u0152|I, \\u00c3\\ufffd|I, \\u00c3\\u017d|I, \\u00c3\\ufffd|I, \\u00c3\\ufffd|D, \\u00c3\\u2018|N, \\u00c3\\u2019|O, \\u00c3\\u201c|O, \\u00c3\\u201d|O, \\u00c3\\u2022|O, \\u00c3\\u2013|O, \\u00c3\\u02dc|O, \\u00c3\\u2122|U, \\u00c3\\u0161|U, \\u00c3\\u203a|U, \\u00c3\\u0153|U, \\u00c3\\ufffd|Y, \\u00c3\\u0178|s, \\u00c3\\u00a0|a, \\u00c3\\u00a1|a, \\u00c3\\u00a2|a, \\u00c3\\u00a3|a, \\u00c3\\u00a4|a, \\u00c3\\u00a5|a, \\u00c3\\u00a6|a, \\u00c3\\u00a7|c, \\u00c3\\u00a8|e, \\u00c3\\u00a9|e, \\u00c3\\u00aa|e, \\u00c3\\u00ab|e, \\u00c3\\u00ac|i, \\u00c3\\u00ad|i, \\u00c3\\u00ae|i, \\u00c3\\u00af|i, \\u00c3\\u00b0|o, \\u00c3\\u00b1|n, \\u00c3\\u00b2|o, \\u00c3\\u00b3|o, \\u00c3\\u00b4|o, \\u00c3\\u00b5|o, \\u00c3\\u00b6|o, \\u00c3\\u00b8|o, \\u00c3\\u00b9|u, \\u00c3\\u00ba|u, \\u00c3\\u00bb|u, \\u00c3\\u00bc|u, \\u00c3\\u00bd|y, \\u00c3\\u00bf|y, \\u00c3\\u0178|ss\",\"k2Sef\":\"0\",\"k2SefLabelCat\":\"content\",\"k2SefLabelTag\":\"tag\",\"k2SefLabelUser\":\"author\",\"k2SefLabelSearch\":\"search\",\"k2SefLabelDate\":\"date\",\"k2SefLabelItem\":\"0\",\"k2SefLabelItemCustomPrefix\":\"\",\"k2SefInsertItemId\":\"1\",\"k2SefItemIdTitleAliasSep\":\"dash\",\"k2SefUseItemTitleAlias\":\"1\",\"k2SefInsertCatId\":\"1\",\"k2SefCatIdTitleAliasSep\":\"dash\",\"k2SefUseCatTitleAlias\":\"1\",\"sh404SefLabelCat\":\"\",\"sh404SefLabelUser\":\"blog\",\"sh404SefLabelItem\":\"2\",\"sh404SefTitleAlias\":\"alias\",\"sh404SefModK2ContentFeedAlias\":\"feed\",\"sh404SefInsertItemId\":\"0\",\"sh404SefInsertUniqueItemId\":\"0\",\"cbIntegration\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(10025,'parameters','plugin','parameters','system',0,0,1,0,'false','{}','','',0,'0000-00-00 00:00:00',0,0),(28,'com_joomlaupdate','component','com_joomlaupdate','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_joomlaupdate\",\"type\":\"component\",\"creationDate\":\"February 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','{\"updatesource\":\"lts\",\"customurl\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(10070,'Josetta - K2 Categories','plugin','k2category','josetta_ext',0,1,1,0,'{\"legacy\":false,\"name\":\"Josetta - K2 Categories\",\"type\":\"plugin\",\"creationDate\":\"April 7th, 2013\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10071,'Josetta - K2 Items','plugin','k2item','josetta_ext',0,1,1,0,'{\"legacy\":false,\"name\":\"Josetta - K2 Items\",\"type\":\"plugin\",\"creationDate\":\"June 7th, 2012\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.6\",\"description\":\"\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10077,'Image Show GK4','module','mod_image_show_gk4','',0,1,0,0,'{\"legacy\":false,\"name\":\"Image Show GK4\",\"type\":\"module\",\"creationDate\":\"06\\/04\\/2012\",\"author\":\"GavickPro\",\"copyright\":\"Copyright (C) 2011-2013 GavickPro. All rights reserved.\",\"authorEmail\":\"info@gavick.com\",\"authorUrl\":\"www.gavickpro.com\",\"version\":\"GK4 1.34\",\"description\":\"\\n\\t\\t<style type=\\\"text\\/css\\\">\\n\\t\\t\\tspan.readonly { padding: 10px; font-family: Arial; font-size:13px !important; font-weight: normal !important; text-align: justify; color: #4d4d4d; line-height: 24px; }\\n\\t\\t\\tspan.readonly h1 { clear:both; font-family: Georgia, sans-serif; font-size:38px; margin:30px 20px 23px; padding:0px 0px 24px 10px; color:#333; border-bottom: 1px solid #eee; font-weight: normal; }\\n\\t\\t\\tspan.readonly p { margin: 0 26px 10px }\\n\\t\\t\\tspan.readonly p a { color: #8e0b8c }\\n\\t\\t\\tspan.readonly p.homepage { margin-top: 30px }\\n\\t\\t\\tspan.readonly p.license { border-top: 1px solid #eee; font-size: 11px; margin: 30px 26px 0; padding: 6px 0; }\\n\\t\\t<\\/style>\\n\\n\\t\\t<span class=\\\"readonly\\\"><h1>Image Show GK4<small>ver. 1.34<\\/small><\\/h1><p>GK4 is new generation of our extensions dedicated to Joomla 1.6+.<\\/p><p>With Image Show GK4 module, you can create slideshow on a site which include various images and article fragments or texts defined by a user. Thanks to slide management system integrated in the module, its support is very easy, intuitive and fast. With the new method of creating module styles you can easily move your slideshow style from one template to other template.<\\/p> <p class=\'homepage\'><a href=\'http:\\/\\/tools.gavick.com\\/image-show.html\' target=\'_blank\'>Learn more at the Image Show GK4 project website.<\\/a><\\/p><p class=\'license\'>Image Show GK4 is released under the <a target=\\\"_blank\\\" href=\\\"http:\\/\\/www.gnu.org\\/licenses\\/gpl-2.0.html\\\">GNU\\/GPL v2 license.<\\/a><\\/p><\\/span>\\n\\t\",\"group\":\"\"}','{\"automatic_module_id\":\"1\",\"module_id\":\"gk-is-1\",\"moduleclass_sfx\":\"\",\"module_style\":\"gk_coffe\",\"use_style_css\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(10078,'Tabs GK5','module','mod_tabs_gk5','',0,1,0,0,'{\"legacy\":false,\"name\":\"Tabs GK5\",\"type\":\"module\",\"creationDate\":\"11\\/04\\/2013\",\"author\":\"GavickPro\",\"copyright\":\"Copyright (C) 2011-2013 GavickPro. All rights reserved.\",\"authorEmail\":\"info@gavick.com\",\"authorUrl\":\"www.gavickpro.com\",\"version\":\"1.3\",\"description\":\"\\n\\t\\t<style type=\\\"text\\/css\\\">\\n\\t\\t\\tspan.readonly { padding: 10px; font-family: Arial; font-size:13px !important; font-weight: normal !important; text-align: justify; color: #4d4d4d; line-height: 24px; }\\n\\t\\t\\tspan.readonly h1 { clear:both; font-family: Georgia, sans-serif; font-size:38px; margin:30px 20px 23px; padding:0px 0px 24px 10px; color:#333; border-bottom: 1px solid #eee; font-weight: normal; }\\n\\t\\t\\tspan.readonly p { margin: 0 26px 10px }\\n\\t\\t\\tspan.readonly p a { color: #2F4C6D }\\n\\t\\t\\tspan.readonly p.homepage { margin-top: 30px }\\n\\t\\t\\tspan.readonly p.license { border-top: 1px solid #eee; font-size: 11px; margin: 30px 26px 0; padding: 6px 0; }\\n\\t\\t<\\/style>\\n\\t\\t\\n\\t\\t<span class=\\\"readonly\\\"><h1>Tabs GK5<small>ver. 1.3<\\/small><\\/h1><p>GK5 is one product of the next generation of GavickPro extensions designed exclusively for Joomla 2.5+.<\\/p><p>With the Tabs GK5 module, you can implement space-saving tabs on websites and incorporate a variety of content types via modules or user-defined custom HTML code.  Thanks to the tab management system we\'ve integrated into the module, Tabs GK5 remains easy, intuitive and quick to configure.  With built-in support for external data sources, the possibilities for implementing this new release are unlimited!<\\/p> <p class=\'homepage\'><a href=\'https:\\/\\/www.gavick.com\\/best-free-joomla-tab-module.html\' target=\'_blank\'>Learn more at the Tabs GK5 project website.<\\/a><\\/p><p class=\'license\'>Tabs GK5 is released under the <a target=\\\"_blank\\\" href=\\\"http:\\/\\/www.gnu.org\\/licenses\\/gpl-2.0.html\\\">GNU\\/GPL v2 license.<\\/a><\\/p><\\/span>\\n\\t\",\"group\":\"\"}','{\"automatic_module_id\":\"1\",\"module_id\":\"gk-tab-1\",\"moduleclass_sfx\":\"\",\"module_data_source\":\"tabsmanager\",\"external_source\":\"\",\"styleCSS\":\"style1\",\"module_auto_height\":\"1\",\"module_height\":\"200\",\"tabs_position\":\"top\",\"tabs_width\":\"200\",\"tabs_spans\":\"0\",\"buttons\":\"1\",\"activator\":\"click\",\"animation\":\"1\",\"animation_speed\":\"250\",\"animation_interval\":\"5000\",\"animation_type\":\"opacity\",\"animation_function\":\"Fx.Transitions.linear\",\"url_tab_selection\":\"1\",\"cookie_tab_selection\":\"0\",\"parse_plugins\":\"1\",\"useCSS\":\"1\",\"useScript\":\"1\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\",\"rtl\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0);


--
-- Table structure for table `#__finder_filters`
--



CREATE TABLE `#__finder_filters` (
  `filter_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) unsigned NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `params` mediumtext,
  PRIMARY KEY (`filter_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_filters`
--




--
-- Table structure for table `#__finder_links`
--



CREATE TABLE `#__finder_links` (
  `link_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double unsigned NOT NULL DEFAULT '0',
  `sale_price` double unsigned NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_title` (`title`),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`)
) ENGINE=MyISAM AUTO_INCREMENT=234 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links`
--


INSERT INTO `#__finder_links` (`link_id`, `url`, `route`, `title`, `description`, `indexdate`, `md5sum`, `published`, `state`, `access`, `language`, `publish_start_date`, `publish_end_date`, `start_date`, `end_date`, `list_price`, `sale_price`, `type_id`, `object`) VALUES (1,'index.php?option=com_k2&view=item&id=71','index.php?option=com_k2&view=item&id=71:grilled-portion-marinade-of-mahi-mahi&Itemid=425','Grilled portion marinade of mahi-mahi','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2012-05-28 03:16:48','a0ac86f772ce53bf5374c5ba95d494f7',1,1,1,'*','2012-03-05 10:51:34','0000-00-00 00:00:00','2012-03-05 10:51:34','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"71\";s:5:\"alias\";s:37:\"grilled-portion-marinade-of-mahi-mahi\";s:7:\"summary\";s:262:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:1560:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla. </p>\r\n<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Vestibulum id ligula porta felis euismod semper. Curabitur blandit tempus porttitor. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Curabitur blandit tempus porttitor. Sed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Donec ullamcorper nulla non metus auctor fringilla. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Donec sed odio dui. Nullam id dolor id nibh ultricies vehicula ut id elit. </p>\r\n<p>Donec id elit non mi porta gravida at eget metus. Aenean lacinia bibendum nulla sed consectetur. Donec sed odio dui. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Sed posuere consectetur est at lobortis. </p>\r\n<p>Maecenas faucibus mollis interdum. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Vestibulum id ligula porta felis euismod semper. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. </p>\";s:5:\"catid\";s:2:\"18\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-05-28 01:16:48\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":148:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"2\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"470\";s:10:\"itemImageL\";s:3:\"712\";s:11:\"itemImageXL\";s:3:\"712\";s:16:\"itemImageGeneric\";s:3:\"726\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"0\";s:15:\"catItemCategory\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:14:\"itemVideoWidth\";s:3:\"521\";s:15:\"itemVideoHeight\";s:3:\"221\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:16:\"itemRelatedLimit\";s:1:\"5\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:14:\"Steak & Frites\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:40:\"71:grilled-portion-marinade-of-mahi-mahi\";s:7:\"catslug\";s:15:\"18:steak-frites\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:86:\"index.php/2011-08-04-23-47-02/categories/item/71-grilled-portion-marinade-of-mahi-mahi\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:14:\"Steak & Frites\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:14:\"Steak & Frites\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=71\";s:5:\"route\";s:88:\"index.php?option=com_k2&view=item&id=71:grilled-portion-marinade-of-mahi-mahi&Itemid=425\";s:5:\"title\";s:37:\"Grilled portion marinade of mahi-mahi\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-03-05 10:51:34\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-05 10:51:34\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(2,'index.php?option=com_k2&view=item&id=72','index.php?option=com_k2&view=item&id=72:fresh-hazelnut-ice-cream-on-plate&Itemid=425','Fresh hazelnut ice cream on plate','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2012-05-28 03:17:07','e2ec1e15be61a10f247dd8a6411eff9e',1,1,1,'*','2012-02-09 20:17:44','0000-00-00 00:00:00','2012-02-09 20:17:44','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"72\";s:5:\"alias\";s:33:\"fresh-hazelnut-ice-cream-on-plate\";s:7:\"summary\";s:260:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.</p>\r\n\";s:4:\"body\";s:1745:\"\r\n<p>Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Cras mattis consectetur purus sit amet fermentum. </p>\r\n<p>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Donec sed odio dui. Nullam quis risus eget urna mollis ornare vel eu leo. </p>\r\n<p>Curabitur blandit tempus porttitor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean lacinia bibendum nulla sed consectetur. </p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. </p>\r\n<p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. </p>\r\n<p>Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. </p>\r\n<p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. </p>\";s:5:\"catid\";s:2:\"19\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-05-28 01:17:07\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":137:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"2\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"470\";s:10:\"itemImageL\";s:3:\"712\";s:11:\"itemImageXL\";s:3:\"712\";s:16:\"itemImageGeneric\";s:3:\"726\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"4\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:19:\"Sweets and Desserts\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:36:\"72:fresh-hazelnut-ice-cream-on-plate\";s:7:\"catslug\";s:22:\"19:sweets-and-desserts\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:82:\"index.php/2011-08-04-23-47-02/categories/item/72-fresh-hazelnut-ice-cream-on-plate\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:19:\"Sweets and Desserts\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:19:\"Sweets and Desserts\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=72\";s:5:\"route\";s:84:\"index.php?option=com_k2&view=item&id=72:fresh-hazelnut-ice-cream-on-plate&Itemid=425\";s:5:\"title\";s:33:\"Fresh hazelnut ice cream on plate\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 20:17:44\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-09 20:17:44\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(3,'index.php?option=com_k2&view=item&id=73','index.php?option=com_k2&view=item&id=73:french-style-crepes-on-shallow-dof&Itemid=425','French style crepes on shallow dof','New England Patriots coach Bill Belichick watches the action during the first half of the Patriots\' NFL football game against the Indianapolis Colts in Foxborough, Mass, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augu','2012-05-28 03:17:19','979a5e0798cfc6aba04eb06c0876da8e',1,1,1,'*','2012-02-09 20:19:18','0000-00-00 00:00:00','2012-02-09 20:19:18','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"73\";s:5:\"alias\";s:34:\"french-style-crepes-on-shallow-dof\";s:7:\"summary\";s:266:\"<p>New England Patriots coach Bill Belichick watches the action during the first half of the Patriots\' NFL football game against the Indianapolis Colts in Foxborough, Mass, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.</p>\r\n\";s:4:\"body\";s:1281:\"\r\n<p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Cras mattis consectetur purus sit amet fermentum. Nullam id dolor id nibh ultricies vehicula ut id elit. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Vestibulum id ligula porta felis euismod semper. </p>\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Nulla vitae elit libero, a pharetra augue. </p>\r\n<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Sed posuere consectetur est at lobortis. Aenean lacinia bibendum nulla sed consectetur. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. </p>\r\n<p>Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Etiam porta sem malesuada magna mollis euismod. </p>\r\n<p>Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras mattis consectetur purus sit amet fermentum.</p>\";s:5:\"catid\";s:2:\"19\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-05-28 01:17:19\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":137:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"2\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"470\";s:10:\"itemImageL\";s:3:\"712\";s:11:\"itemImageXL\";s:3:\"712\";s:16:\"itemImageGeneric\";s:3:\"726\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:19:\"Sweets and Desserts\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:37:\"73:french-style-crepes-on-shallow-dof\";s:7:\"catslug\";s:22:\"19:sweets-and-desserts\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:83:\"index.php/2011-08-04-23-47-02/categories/item/73-french-style-crepes-on-shallow-dof\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:19:\"Sweets and Desserts\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:19:\"Sweets and Desserts\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=73\";s:5:\"route\";s:85:\"index.php?option=com_k2&view=item&id=73:french-style-crepes-on-shallow-dof&Itemid=425\";s:5:\"title\";s:34:\"French style crepes on shallow dof\";s:11:\"description\";s:257:\"New England Patriots coach Bill Belichick watches the action during the first half of the Patriots\' NFL football game against the Indianapolis Colts in Foxborough, Mass, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 20:19:18\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-09 20:19:18\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(4,'index.php?option=com_k2&view=item&id=74','index.php?option=com_k2&view=item&id=74:running-like-mad-ted-ginn-jr-almost-raised-the-ball-in-the-air&Itemid=425','Running like mad, Ted Ginn Jr. almost raised the ball in the air','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2012-03-29 03:32:01','abf6cdc5ae7cf8cd2190c8092e19d918',1,1,1,'*','2012-02-09 20:21:13','0000-00-00 00:00:00','2012-02-09 20:21:13','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"74\";s:5:\"alias\";s:62:\"running-like-mad-ted-ginn-jr-almost-raised-the-ball-in-the-air\";s:7:\"summary\";s:262:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:1281:\"\r\n<p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Cras mattis consectetur purus sit amet fermentum. Nullam id dolor id nibh ultricies vehicula ut id elit. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Vestibulum id ligula porta felis euismod semper. </p>\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Nulla vitae elit libero, a pharetra augue. </p>\r\n<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Sed posuere consectetur est at lobortis. Aenean lacinia bibendum nulla sed consectetur. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. </p>\r\n<p>Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Etiam porta sem malesuada magna mollis euismod. </p>\r\n<p>Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras mattis consectetur purus sit amet fermentum.</p>\";s:5:\"catid\";s:2:\"15\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-03-08 01:05:46\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":188:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:2:\"10\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:2:\"10\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"S\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"400\";s:10:\"itemImageL\";s:3:\"600\";s:11:\"itemImageXL\";s:3:\"720\";s:16:\"itemImageGeneric\";s:3:\"300\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"0\";s:15:\"catItemCategory\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"1\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"1\";s:15:\"itemVideoAnchor\";s:1:\"1\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:14:\"itemVideoWidth\";s:3:\"521\";s:15:\"itemVideoHeight\";s:3:\"221\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"1\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:2:\"10\";s:5:\"trash\";s:1:\"1\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:12:\"Appspro Tech\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:65:\"74:running-like-mad-ted-ginn-jr-almost-raised-the-ball-in-the-air\";s:7:\"catslug\";s:15:\"15:appspro-tech\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:113:\"index.php?option=com_k2&view=item&id=74:running-like-mad-ted-ginn-jr-almost-raised-the-ball-in-the-air&Itemid=425\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:12:\"Appspro Tech\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:12:\"Appspro Tech\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=74\";s:5:\"route\";s:113:\"index.php?option=com_k2&view=item&id=74:running-like-mad-ted-ginn-jr-almost-raised-the-ball-in-the-air&Itemid=425\";s:5:\"title\";s:64:\"Running like mad, Ted Ginn Jr. almost raised the ball in the air\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 20:21:13\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-09 20:21:13\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(5,'index.php?option=com_k2&view=item&id=75','index.php?option=com_k2&view=item&id=75:the-new-orleans-saints-will-open-training-camp&Itemid=425','The New Orleans Saints will open training camp','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2012-03-29 03:32:02','8d0636439d198d853150fe5cff518dd7',1,1,1,'*','2012-02-09 20:24:52','0000-00-00 00:00:00','2012-02-09 20:24:52','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"75\";s:5:\"alias\";s:46:\"the-new-orleans-saints-will-open-training-camp\";s:7:\"summary\";s:260:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.</p>\r\n\";s:4:\"body\";s:1281:\"\r\n<p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Cras mattis consectetur purus sit amet fermentum. Nullam id dolor id nibh ultricies vehicula ut id elit. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Vestibulum id ligula porta felis euismod semper. </p>\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Nulla vitae elit libero, a pharetra augue. </p>\r\n<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Sed posuere consectetur est at lobortis. Aenean lacinia bibendum nulla sed consectetur. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. </p>\r\n<p>Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Etiam porta sem malesuada magna mollis euismod. </p>\r\n<p>Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras mattis consectetur purus sit amet fermentum.</p>\";s:5:\"catid\";s:2:\"15\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-03-08 01:05:05\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":188:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:2:\"10\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:2:\"10\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"S\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"400\";s:10:\"itemImageL\";s:3:\"600\";s:11:\"itemImageXL\";s:3:\"720\";s:16:\"itemImageGeneric\";s:3:\"300\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"0\";s:15:\"catItemCategory\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"1\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"1\";s:15:\"itemVideoAnchor\";s:1:\"1\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:14:\"itemVideoWidth\";s:3:\"521\";s:15:\"itemVideoHeight\";s:3:\"221\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"1\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:2:\"11\";s:5:\"trash\";s:1:\"1\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:12:\"Appspro Tech\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:49:\"75:the-new-orleans-saints-will-open-training-camp\";s:7:\"catslug\";s:15:\"15:appspro-tech\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:97:\"index.php?option=com_k2&view=item&id=75:the-new-orleans-saints-will-open-training-camp&Itemid=425\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:12:\"Appspro Tech\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:12:\"Appspro Tech\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=75\";s:5:\"route\";s:97:\"index.php?option=com_k2&view=item&id=75:the-new-orleans-saints-will-open-training-camp&Itemid=425\";s:5:\"title\";s:46:\"The New Orleans Saints will open training camp\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 20:24:52\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-09 20:24:52\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(6,'index.php?option=com_k2&view=item&id=76','index.php?option=com_k2&view=item&id=76:crepes-with-curd-cheese-and-fresh-strawberries&Itemid=425','Crepes with curd cheese and fresh strawberries','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. .','2012-05-28 03:17:43','68f986965371d277d0a90070b0a25eae',1,1,1,'*','2012-02-09 20:26:43','0000-00-00 00:00:00','2012-02-09 20:26:43','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"76\";s:5:\"alias\";s:46:\"crepes-with-curd-cheese-and-fresh-strawberries\";s:7:\"summary\";s:262:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. .</p>\r\n\";s:4:\"body\";s:1281:\"\r\n<p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Cras mattis consectetur purus sit amet fermentum. Nullam id dolor id nibh ultricies vehicula ut id elit. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Vestibulum id ligula porta felis euismod semper. </p>\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Nulla vitae elit libero, a pharetra augue. </p>\r\n<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Sed posuere consectetur est at lobortis. Aenean lacinia bibendum nulla sed consectetur. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. </p>\r\n<p>Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Etiam porta sem malesuada magna mollis euismod. </p>\r\n<p>Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras mattis consectetur purus sit amet fermentum.</p>\";s:5:\"catid\";s:2:\"19\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-05-28 01:17:42\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":137:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"2\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"470\";s:10:\"itemImageL\";s:3:\"712\";s:11:\"itemImageXL\";s:3:\"712\";s:16:\"itemImageGeneric\";s:3:\"726\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:19:\"Sweets and Desserts\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:49:\"76:crepes-with-curd-cheese-and-fresh-strawberries\";s:7:\"catslug\";s:22:\"19:sweets-and-desserts\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:95:\"index.php/2011-08-04-23-47-02/categories/item/76-crepes-with-curd-cheese-and-fresh-strawberries\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:19:\"Sweets and Desserts\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:19:\"Sweets and Desserts\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=76\";s:5:\"route\";s:97:\"index.php?option=com_k2&view=item&id=76:crepes-with-curd-cheese-and-fresh-strawberries&Itemid=425\";s:5:\"title\";s:46:\"Crepes with curd cheese and fresh strawberries\";s:11:\"description\";s:253:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. .\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 20:26:43\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-09 20:26:43\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(7,'index.php?option=com_k2&view=item&id=77','index.php?option=com_k2&view=item&id=77:red-chicken-curry-stripes-with-rice&Itemid=425','Red chicken curry stripes with rice','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. .','2012-05-28 03:17:33','e7a885e253adfb91ce9d3d0bef8a6e04',1,1,1,'*','2012-02-09 20:28:32','0000-00-00 00:00:00','2012-02-09 20:28:32','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"77\";s:5:\"alias\";s:35:\"red-chicken-curry-stripes-with-rice\";s:7:\"summary\";s:264:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. . </p>\r\n\";s:4:\"body\";s:1654:\"\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Nullam id dolor id nibh ultricies vehicula ut id elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sed odio dui. Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit sit amet non magna. </p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Aenean lacinia bibendum nulla sed consectetur. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. </p>\r\n<p>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. </p>\r\n<p>Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Aenean lacinia bibendum nulla sed consectetur. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Etiam porta sem malesuada magna mollis euismod. </p>\r\n<p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. </p>\";s:5:\"catid\";s:2:\"18\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-05-28 01:17:33\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":137:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"2\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"470\";s:10:\"itemImageL\";s:3:\"712\";s:11:\"itemImageXL\";s:3:\"712\";s:16:\"itemImageGeneric\";s:3:\"726\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"5\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:14:\"Steak & Frites\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:38:\"77:red-chicken-curry-stripes-with-rice\";s:7:\"catslug\";s:15:\"18:steak-frites\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:84:\"index.php/2011-08-04-23-47-02/categories/item/77-red-chicken-curry-stripes-with-rice\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:14:\"Steak & Frites\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:14:\"Steak & Frites\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=77\";s:5:\"route\";s:86:\"index.php?option=com_k2&view=item&id=77:red-chicken-curry-stripes-with-rice&Itemid=425\";s:5:\"title\";s:35:\"Red chicken curry stripes with rice\";s:11:\"description\";s:253:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. .\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 20:28:32\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-09 20:28:32\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(8,'index.php?option=com_k2&view=item&id=78','index.php?option=com_k2&view=item&id=78:pad-thai-noodles-with-naked-shrimp&Itemid=425','Pad Thai Noodles with naked Shrimp','Nullam quis risus eget urna mollis ornare vel eu leo. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Curabitur blandit tempus porttitor. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean eu leo quam. Pellent','2012-05-27 23:13:47','6c7f9610b7c900bfdba71b9b8ea8cf60',1,1,1,'*','2012-02-09 20:30:16','0000-00-00 00:00:00','2012-02-09 20:30:16','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"78\";s:5:\"alias\";s:34:\"pad-thai-noodles-with-naked-shrimp\";s:7:\"summary\";s:396:\"<p>Nullam quis risus eget urna mollis ornare vel eu leo. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Curabitur blandit tempus porttitor. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas faucibus mollis interdum. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:1311:\"\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Nullam id dolor id nibh ultricies vehicula ut id elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sed odio dui. Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit sit amet non magna. </p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Aenean lacinia bibendum nulla sed consectetur. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. </p>\r\n<p>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. </p>\r\n<p>Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Aenean lacinia bibendum nulla sed consectetur. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Etiam porta sem malesuada magna mollis euismod. </p>\";s:5:\"catid\";s:2:\"21\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-05-27 21:13:46\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":137:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"2\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"470\";s:10:\"itemImageL\";s:3:\"712\";s:11:\"itemImageXL\";s:3:\"712\";s:16:\"itemImageGeneric\";s:3:\"726\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:16:\"Fish & Shellfish\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:37:\"78:pad-thai-noodles-with-naked-shrimp\";s:7:\"catslug\";s:17:\"21:fish-shellfish\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:83:\"index.php/2011-08-04-23-47-02/categories/item/78-pad-thai-noodles-with-naked-shrimp\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:16:\"Fish & Shellfish\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:16:\"Fish & Shellfish\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=78\";s:5:\"route\";s:85:\"index.php?option=com_k2&view=item&id=78:pad-thai-noodles-with-naked-shrimp&Itemid=425\";s:5:\"title\";s:34:\"Pad Thai Noodles with naked Shrimp\";s:11:\"description\";s:384:\"Nullam quis risus eget urna mollis ornare vel eu leo. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Curabitur blandit tempus porttitor. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas faucibus mollis interdum. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 20:30:16\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-09 20:30:16\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(9,'index.php?option=com_k2&view=item&id=88','index.php?option=com_k2&view=item&id=88:cloud-mobility-to-drive-security-market','Cloud, mobility to drive security market','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2012-03-31 12:04:15','30d8328c7c00de773bf9648c12b5ff65',1,1,1,'*','2012-02-09 21:25:59','0000-00-00 00:00:00','2012-03-07 03:34:32','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"88\";s:5:\"alias\";s:39:\"cloud-mobility-to-drive-security-market\";s:7:\"summary\";s:262:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:1218:\"\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. </p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Vestibulum id ligula porta felis euismod semper. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula ut id elit. Donec id elit non mi porta gravida at eget metus. </p>\r\n<p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Curabitur blandit tempus porttitor. </p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. </p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam id dolor id nibh ultricies vehicula ut id elit. Nullam quis risus eget urna mollis ornare vel eu leo. </p>\";s:5:\"catid\";s:2:\"16\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-03-31 10:04:13\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":240:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:2:\"10\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:2:\"10\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"400\";s:10:\"itemImageL\";s:3:\"600\";s:11:\"itemImageXL\";s:3:\"720\";s:16:\"itemImageGeneric\";s:3:\"600\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"1\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"2\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"2\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:4:\"none\";s:14:\"catCatalogMode\";s:1:\"0\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"2\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"1\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"0\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"1\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"1\";s:15:\"itemVideoAnchor\";s:1:\"1\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"1\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"1\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"1\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"1\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:18:\"Demo subcategory I\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:42:\"88:cloud-mobility-to-drive-security-market\";s:7:\"catslug\";s:19:\"16:demo-subcategory\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:79:\"index.php?option=com_k2&view=item&id=88:cloud-mobility-to-drive-security-market\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:18:\"Demo subcategory I\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:18:\"Demo subcategory I\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=88\";s:5:\"route\";s:79:\"index.php?option=com_k2&view=item&id=88:cloud-mobility-to-drive-security-market\";s:5:\"title\";s:40:\"Cloud, mobility to drive security market\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 21:25:59\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-07 03:34:32\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(10,'index.php?option=com_k2&view=item&id=79','index.php?option=com_k2&view=item&id=79:succulent-grilled-steak-with-salad&Itemid=425','Succulent Grilled steak with salad','Nullam quis risus eget urna mollis ornare vel eu leo. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Curabitur blandit tempus porttitor. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean eu leo quam. Pellent','2012-04-28 21:57:56','74b0f9d4def959e89b96b42b2402b2dd',1,1,1,'*','2012-02-09 20:31:57','0000-00-00 00:00:00','2012-02-09 20:31:57','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"79\";s:5:\"alias\";s:34:\"succulent-grilled-steak-with-salad\";s:7:\"summary\";s:396:\"<p>Nullam quis risus eget urna mollis ornare vel eu leo. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Curabitur blandit tempus porttitor. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas faucibus mollis interdum. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:1311:\"\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Nullam id dolor id nibh ultricies vehicula ut id elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sed odio dui. Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit sit amet non magna. </p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Aenean lacinia bibendum nulla sed consectetur. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. </p>\r\n<p>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. </p>\r\n<p>Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Aenean lacinia bibendum nulla sed consectetur. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Etiam porta sem malesuada magna mollis euismod. </p>\";s:5:\"catid\";s:2:\"18\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-04-28 19:57:56\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":137:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:2:\"10\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:2:\"10\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"400\";s:10:\"itemImageL\";s:3:\"726\";s:11:\"itemImageXL\";s:3:\"726\";s:16:\"itemImageGeneric\";s:3:\"726\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:14:\"Steak & Frites\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:37:\"79:succulent-grilled-steak-with-salad\";s:7:\"catslug\";s:15:\"18:steak-frites\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:83:\"index.php/2011-08-04-23-47-02/categories/item/79-succulent-grilled-steak-with-salad\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:14:\"Steak & Frites\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:14:\"Steak & Frites\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=79\";s:5:\"route\";s:85:\"index.php?option=com_k2&view=item&id=79:succulent-grilled-steak-with-salad&Itemid=425\";s:5:\"title\";s:34:\"Succulent Grilled steak with salad\";s:11:\"description\";s:384:\"Nullam quis risus eget urna mollis ornare vel eu leo. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Curabitur blandit tempus porttitor. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas faucibus mollis interdum. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 20:31:57\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-09 20:31:57\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(11,'index.php?option=com_k2&view=item&id=80','index.php?option=com_k2&view=item&id=80:williams-offered-bounties-with-redskins-bills','Vgbest tablet','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2012-03-31 12:07:21','490230d220c3bab73fadb9c8b286bcaf',1,1,1,'*','2012-02-09 21:25:59','0000-00-00 00:00:00','2012-02-09 21:25:59','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"80\";s:5:\"alias\";s:45:\"williams-offered-bounties-with-redskins-bills\";s:7:\"summary\";s:260:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.</p>\r\n\";s:4:\"body\";s:1218:\"\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. </p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Vestibulum id ligula porta felis euismod semper. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula ut id elit. Donec id elit non mi porta gravida at eget metus. </p>\r\n<p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Curabitur blandit tempus porttitor. </p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. </p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam id dolor id nibh ultricies vehicula ut id elit. Nullam quis risus eget urna mollis ornare vel eu leo. </p>\";s:5:\"catid\";s:2:\"16\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-03-31 10:07:20\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":240:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:2:\"10\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:2:\"10\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"400\";s:10:\"itemImageL\";s:3:\"600\";s:11:\"itemImageXL\";s:3:\"720\";s:16:\"itemImageGeneric\";s:3:\"600\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"1\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"2\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"2\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:4:\"none\";s:14:\"catCatalogMode\";s:1:\"0\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"2\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"1\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"0\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"1\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"1\";s:15:\"itemVideoAnchor\";s:1:\"1\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"1\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"1\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"1\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"1\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:18:\"Demo subcategory I\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:48:\"80:williams-offered-bounties-with-redskins-bills\";s:7:\"catslug\";s:19:\"16:demo-subcategory\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:85:\"index.php?option=com_k2&view=item&id=80:williams-offered-bounties-with-redskins-bills\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:18:\"Demo subcategory I\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:18:\"Demo subcategory I\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=80\";s:5:\"route\";s:85:\"index.php?option=com_k2&view=item&id=80:williams-offered-bounties-with-redskins-bills\";s:5:\"title\";s:13:\"Vgbest tablet\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 21:25:59\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-09 21:25:59\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(12,'index.php?option=com_k2&view=item&id=90','index.php?option=com_k2&view=item&id=90:igk-pro-business','iGK Pro Business ','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2012-03-31 12:03:25','ebfb28953d4877470076f43eaa3caefe',1,1,1,'*','2012-02-09 21:27:32','0000-00-00 00:00:00','2012-03-07 04:08:37','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"90\";s:5:\"alias\";s:16:\"igk-pro-business\";s:7:\"summary\";s:263:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.  </p>\r\n\";s:4:\"body\";s:1179:\"\r\n<p>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Donec ullamcorper nulla non metus auctor fringilla. Maecenas faucibus mollis interdum. Etiam porta sem malesuada magna mollis euismod. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. </p>\r\n<p>Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Sed posuere consectetur est at lobortis. </p>\r\n<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Nullam id dolor id nibh ultricies vehicula ut id elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed posuere consectetur est at lobortis. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. </p>\r\n<p>Curabitur blandit tempus porttitor. Donec sed odio dui. Curabitur blandit tempus porttitor. Etiam porta sem malesuada magna mollis euismod. </p>\";s:5:\"catid\";s:2:\"17\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-03-31 10:03:23\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":240:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:2:\"10\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:2:\"10\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"400\";s:10:\"itemImageL\";s:3:\"600\";s:11:\"itemImageXL\";s:3:\"720\";s:16:\"itemImageGeneric\";s:3:\"600\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"1\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"2\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"2\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:4:\"none\";s:14:\"catCatalogMode\";s:1:\"0\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"2\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"1\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"0\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"1\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"1\";s:15:\"itemVideoAnchor\";s:1:\"1\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"1\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"1\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"1\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"1\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:19:\"Demo subcategory II\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:19:\"90:igk-pro-business\";s:7:\"catslug\";s:21:\"17:demo-subcategory-2\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:56:\"index.php?option=com_k2&view=item&id=90:igk-pro-business\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:19:\"Demo subcategory II\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:19:\"Demo subcategory II\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=90\";s:5:\"route\";s:56:\"index.php?option=com_k2&view=item&id=90:igk-pro-business\";s:5:\"title\";s:17:\"iGK Pro Business \";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 21:27:32\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-07 04:08:37\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(13,'index.php?option=com_k2&view=item&id=81','index.php?option=com_k2&view=item&id=81:receive-an-automatic-notice','Receive an automatic notice','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2012-03-31 12:07:01','1ce0041365ea8ac9e1e8f9ab2dce01a6',1,1,1,'*','2012-02-09 21:27:32','0000-00-00 00:00:00','2012-02-09 21:27:32','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"81\";s:5:\"alias\";s:27:\"receive-an-automatic-notice\";s:7:\"summary\";s:263:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.  </p>\r\n\";s:4:\"body\";s:1179:\"\r\n<p>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Donec ullamcorper nulla non metus auctor fringilla. Maecenas faucibus mollis interdum. Etiam porta sem malesuada magna mollis euismod. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. </p>\r\n<p>Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Sed posuere consectetur est at lobortis. </p>\r\n<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Nullam id dolor id nibh ultricies vehicula ut id elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed posuere consectetur est at lobortis. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. </p>\r\n<p>Curabitur blandit tempus porttitor. Donec sed odio dui. Curabitur blandit tempus porttitor. Etiam porta sem malesuada magna mollis euismod. </p>\";s:5:\"catid\";s:2:\"17\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-03-31 10:06:59\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":240:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:2:\"10\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:2:\"10\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"400\";s:10:\"itemImageL\";s:3:\"600\";s:11:\"itemImageXL\";s:3:\"720\";s:16:\"itemImageGeneric\";s:3:\"600\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"1\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"2\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"2\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:4:\"none\";s:14:\"catCatalogMode\";s:1:\"0\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"2\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"1\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"0\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"1\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"1\";s:15:\"itemVideoAnchor\";s:1:\"1\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"1\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"1\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"1\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"1\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:19:\"Demo subcategory II\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:30:\"81:receive-an-automatic-notice\";s:7:\"catslug\";s:21:\"17:demo-subcategory-2\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:67:\"index.php?option=com_k2&view=item&id=81:receive-an-automatic-notice\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:19:\"Demo subcategory II\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:19:\"Demo subcategory II\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=81\";s:5:\"route\";s:67:\"index.php?option=com_k2&view=item&id=81:receive-an-automatic-notice\";s:5:\"title\";s:27:\"Receive an automatic notice\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 21:27:32\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-09 21:27:32\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(14,'index.php?option=com_k2&view=item&id=91','index.php?option=com_k2&view=item&id=91:igk-tablet','iGK Tablet ','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2012-03-31 11:59:12','2b9ff4fc74505b4cdad5bba1bbbbfbab',1,1,1,'*','2012-02-09 21:27:32','0000-00-00 00:00:00','2012-03-07 04:08:42','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"91\";s:5:\"alias\";s:10:\"igk-tablet\";s:7:\"summary\";s:263:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.  </p>\r\n\";s:4:\"body\";s:1179:\"\r\n<p>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Donec ullamcorper nulla non metus auctor fringilla. Maecenas faucibus mollis interdum. Etiam porta sem malesuada magna mollis euismod. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. </p>\r\n<p>Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Sed posuere consectetur est at lobortis. </p>\r\n<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Nullam id dolor id nibh ultricies vehicula ut id elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed posuere consectetur est at lobortis. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. </p>\r\n<p>Curabitur blandit tempus porttitor. Donec sed odio dui. Curabitur blandit tempus porttitor. Etiam porta sem malesuada magna mollis euismod. </p>\";s:5:\"catid\";s:2:\"17\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-03-31 09:59:10\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":240:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:2:\"10\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:2:\"10\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"400\";s:10:\"itemImageL\";s:3:\"600\";s:11:\"itemImageXL\";s:3:\"720\";s:16:\"itemImageGeneric\";s:3:\"600\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"1\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"2\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"2\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:4:\"none\";s:14:\"catCatalogMode\";s:1:\"0\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"2\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"1\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"0\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"1\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"1\";s:15:\"itemVideoAnchor\";s:1:\"1\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"1\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"1\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"1\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"1\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:19:\"Demo subcategory II\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:13:\"91:igk-tablet\";s:7:\"catslug\";s:21:\"17:demo-subcategory-2\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:50:\"index.php?option=com_k2&view=item&id=91:igk-tablet\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:19:\"Demo subcategory II\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:19:\"Demo subcategory II\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=91\";s:5:\"route\";s:50:\"index.php?option=com_k2&view=item&id=91:igk-tablet\";s:5:\"title\";s:11:\"iGK Tablet \";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 21:27:32\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-07 04:08:42\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(17,'index.php?option=com_k2&view=item&id=89','index.php?option=com_k2&view=item&id=89:the-igk-tablet','The iGK Tablet ','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2012-03-31 12:03:48','09d2cb74bfea45f928536402c69a24fa',1,1,1,'*','2012-02-09 21:25:59','0000-00-00 00:00:00','2012-03-07 03:34:38','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"89\";s:5:\"alias\";s:14:\"the-igk-tablet\";s:7:\"summary\";s:260:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.</p>\r\n\";s:4:\"body\";s:1218:\"\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. </p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Vestibulum id ligula porta felis euismod semper. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula ut id elit. Donec id elit non mi porta gravida at eget metus. </p>\r\n<p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Curabitur blandit tempus porttitor. </p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. </p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam id dolor id nibh ultricies vehicula ut id elit. Nullam quis risus eget urna mollis ornare vel eu leo. </p>\";s:5:\"catid\";s:2:\"16\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2012-03-31 10:03:46\";s:11:\"modified_by\";s:2:\"42\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":240:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:2:\"10\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:18:\"defaultUsersItemid\";s:0:\"\";s:12:\"tagItemCount\";s:2:\"10\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:17:\"defaultTagsItemid\";s:0:\"\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"400\";s:10:\"itemImageL\";s:3:\"600\";s:11:\"itemImageXL\";s:3:\"720\";s:16:\"itemImageGeneric\";s:3:\"600\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"1\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"2\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"2\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:4:\"none\";s:14:\"catCatalogMode\";s:1:\"0\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"2\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"1\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"0\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"1\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"1\";s:15:\"itemVideoAnchor\";s:1:\"1\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"1\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"1\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"1\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"1\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:18:\"Demo subcategory I\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:17:\"89:the-igk-tablet\";s:7:\"catslug\";s:19:\"16:demo-subcategory\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:54:\"index.php?option=com_k2&view=item&id=89:the-igk-tablet\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:18:\"Demo subcategory I\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:18:\"Demo subcategory I\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=89\";s:5:\"route\";s:54:\"index.php?option=com_k2&view=item&id=89:the-igk-tablet\";s:5:\"title\";s:15:\"The iGK Tablet \";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-09 21:25:59\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-07 03:34:38\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(22,'index.php?option=com_content&view=category&id=2','index.php?option=com_content&view=category&id=2','Uncategorised','','2012-03-14 23:55:04','bdb48df5096942eb00ae3b76526aea68',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2010-06-28 13:26:37','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:1:\"2\";s:5:\"alias\";s:13:\"uncategorised\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:11:\"com_content\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":3:{s:10:\"page_title\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:1:\"1\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"target\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:15:\"2:uncategorised\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:52:\"index.php/component/content/category/2-uncategorised\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=category&id=2\";s:5:\"route\";s:47:\"index.php?option=com_content&view=category&id=2\";s:5:\"title\";s:13:\"Uncategorised\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2010-06-28 13:26:37\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(23,'index.php?option=com_banners&view=category&id=3','index.php?option=com_content&view=category&id=3','Uncategorised','','2012-03-14 23:55:04','aecf9d84e2c649aeb65a7af3f31a97f6',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2010-06-28 13:27:35','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:1:\"3\";s:5:\"alias\";s:13:\"uncategorised\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:11:\"com_banners\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":3:{s:10:\"page_title\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:1:\"3\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":3:{s:6:\"target\";s:0:\"\";s:5:\"image\";s:0:\"\";s:6:\"foobar\";s:0:\"\";}}s:4:\"slug\";s:15:\"3:uncategorised\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:41:\"index.php/component/content/category?id=3\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_banners&view=category&id=3\";s:5:\"route\";s:47:\"index.php?option=com_content&view=category&id=3\";s:5:\"title\";s:13:\"Uncategorised\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2010-06-28 13:27:35\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(24,'index.php?option=com_contact&view=category&id=4','index.php?option=com_contact&view=category&id=4','Uncategorised','','2012-03-14 23:55:04','88f5d27d09425a1801a5c6f6e899ffc7',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2010-06-28 13:27:57','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:1:\"4\";s:5:\"alias\";s:13:\"uncategorised\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:11:\"com_contact\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":3:{s:10:\"page_title\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:1:\"5\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"target\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:15:\"4:uncategorised\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:52:\"index.php/component/contact/category/4-uncategorised\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_contact&view=category&id=4\";s:5:\"route\";s:47:\"index.php?option=com_contact&view=category&id=4\";s:5:\"title\";s:13:\"Uncategorised\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2010-06-28 13:27:57\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(25,'index.php?option=com_newsfeeds&view=category&id=5','index.php?option=com_newsfeeds&view=category&id=5','Uncategorised','','2012-03-14 23:55:04','7d630f8dc5e8761705bbacb124df6107',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2010-06-28 13:28:15','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:1:\"5\";s:5:\"alias\";s:13:\"uncategorised\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:13:\"com_newsfeeds\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":3:{s:10:\"page_title\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:1:\"7\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"target\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:15:\"5:uncategorised\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:54:\"index.php/component/newsfeeds/category/5-uncategorised\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:49:\"index.php?option=com_newsfeeds&view=category&id=5\";s:5:\"route\";s:49:\"index.php?option=com_newsfeeds&view=category&id=5\";s:5:\"title\";s:13:\"Uncategorised\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2010-06-28 13:28:15\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(26,'index.php?option=com_weblinks&view=category&id=6','index.php?option=com_weblinks&view=category&id=6','Uncategorised','','2012-03-14 23:55:04','cb9ed44971ebf2d49e5d829ef7497505',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2010-06-28 13:28:33','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:1:\"6\";s:5:\"alias\";s:13:\"uncategorised\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:12:\"com_weblinks\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":3:{s:10:\"page_title\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:1:\"9\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"target\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:15:\"6:uncategorised\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:53:\"index.php/component/weblinks/category/6-uncategorised\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:48:\"index.php?option=com_weblinks&view=category&id=6\";s:5:\"route\";s:48:\"index.php?option=com_weblinks&view=category&id=6\";s:5:\"title\";s:13:\"Uncategorised\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2010-06-28 13:28:33\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(27,'index.php?option=com_content&view=category&id=7','index.php?Itemid=195','Template articles','','2012-03-14 23:55:04','cbe82926c46d2f12ba6e317eefe14d25',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-11 22:34:53','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:1:\"7\";s:5:\"alias\";s:8:\"template\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:11:\"com_content\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"2011-01-12 17:11:44\";s:11:\"modified_by\";s:2:\"42\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"11\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:10:\"7:template\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:40:\"index.php/joomla-pages-iii/category-list\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=category&id=7\";s:5:\"route\";s:20:\"index.php?Itemid=195\";s:5:\"title\";s:17:\"Template articles\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-11 22:34:53\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(28,'index.php?option=com_content&view=category&id=8','index.php?option=com_content&view=category&id=8','Menu types','','2012-10-30 12:35:57','b61cf162f3c60185ea0245be0d39c7c7',1,0,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-12 17:56:17','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:18:{s:2:\"id\";s:1:\"8\";s:5:\"alias\";s:10:\"menu-types\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:11:\"com_content\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"13\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:12:\"8:menu-types\";s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:41:\"index.php/component/content/category?id=8\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=category&id=8\";s:5:\"route\";s:47:\"index.php?option=com_content&view=category&id=8\";s:5:\"title\";s:10:\"Menu types\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 17:56:17\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(29,'index.php?option=com_content&view=category&id=9','index.php?option=com_content&view=category&id=9','Layouts','','2012-03-14 23:55:04','484c061a787fe27a1a0fbba312346bf9',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-12 19:18:18','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:1:\"9\";s:5:\"alias\";s:7:\"layouts\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:11:\"com_content\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"15\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:9:\"9:layouts\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:46:\"index.php/component/content/category/9-layouts\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=category&id=9\";s:5:\"route\";s:47:\"index.php?option=com_content&view=category&id=9\";s:5:\"title\";s:7:\"Layouts\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 19:18:18\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(30,'index.php?option=com_contact&view=category&id=10','index.php?Itemid=177','Sample category I','Category description','2012-03-14 23:55:04','d0708751422c9a6fa5f516efe29d569f',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-13 14:51:48','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:2:\"10\";s:5:\"alias\";s:17:\"sample-category-i\";s:7:\"summary\";s:27:\"<p>Category description</p>\";s:9:\"extension\";s:11:\"com_contact\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"17\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:20:\"10:sample-category-i\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:45:\"index.php/joomla-pages-i/contacts-in-category\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:48:\"index.php?option=com_contact&view=category&id=10\";s:5:\"route\";s:20:\"index.php?Itemid=177\";s:5:\"title\";s:17:\"Sample category I\";s:11:\"description\";s:20:\"Category description\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 14:51:48\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(31,'index.php?option=com_contact&view=category&id=11','index.php?option=com_contact&view=category&id=11','Sample category II','Sample category description','2012-03-14 23:55:05','3fff045ed91bf1b328e2de748fa3bdb4',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-13 14:52:10','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:2:\"11\";s:5:\"alias\";s:18:\"sample-category-ii\";s:7:\"summary\";s:34:\"<p>Sample category description</p>\";s:9:\"extension\";s:11:\"com_contact\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"19\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:21:\"11:sample-category-ii\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:58:\"index.php/component/contact/category/11-sample-category-ii\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:48:\"index.php?option=com_contact&view=category&id=11\";s:5:\"route\";s:48:\"index.php?option=com_contact&view=category&id=11\";s:5:\"title\";s:18:\"Sample category II\";s:11:\"description\";s:27:\"Sample category description\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 14:52:10\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(32,'index.php?option=com_weblinks&view=category&id=12','index.php?option=com_weblinks&view=category&id=12','Joomla Weblink Category','Simple category with Joomla links!','2012-03-14 23:55:05','3c9f04e5a75ac3ad9948b26c6e3e1c2b',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-13 15:01:01','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:2:\"12\";s:5:\"alias\";s:23:\"joomla-weblink-category\";s:7:\"summary\";s:41:\"<p>Simple category with Joomla links!</p>\";s:9:\"extension\";s:12:\"com_weblinks\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"21\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:26:\"12:joomla-weblink-category\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:64:\"index.php/component/weblinks/category/12-joomla-weblink-category\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:49:\"index.php?option=com_weblinks&view=category&id=12\";s:5:\"route\";s:49:\"index.php?option=com_weblinks&view=category&id=12\";s:5:\"title\";s:23:\"Joomla Weblink Category\";s:11:\"description\";s:34:\"Simple category with Joomla links!\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 15:01:01\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(33,'index.php?option=com_weblinks&view=category&id=13','index.php?Itemid=184','GavickPro','','2012-03-14 23:55:05','0ec3ca85a7bb38a542a314af8ac16497',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-13 15:05:39','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:2:\"13\";s:5:\"alias\";s:6:\"gavick\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:12:\"com_weblinks\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"2011-01-13 15:11:56\";s:11:\"modified_by\";s:2:\"42\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"23\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:9:\"13:gavick\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:50:\"index.php/joomla-pages-ii/news-feeds-in-a-category\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:49:\"index.php?option=com_weblinks&view=category&id=13\";s:5:\"route\";s:20:\"index.php?Itemid=184\";s:5:\"title\";s:9:\"GavickPro\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 15:05:39\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(34,'index.php?option=com_newsfeeds&view=category&id=14','index.php?Itemid=433','GavickPro','','2012-03-14 23:55:05','8d5a396a3b781c82b1a67ac8df79c1fd',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-13 15:34:33','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:2:\"14\";s:5:\"alias\";s:9:\"gavickpro\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:13:\"com_newsfeeds\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"25\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:12:\"14:gavickpro\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:70:\"index.php/template/lorem-ipsum/newsfeeds/list-news-feeds-in-a-category\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:50:\"index.php?option=com_newsfeeds&view=category&id=14\";s:5:\"route\";s:20:\"index.php?Itemid=433\";s:5:\"title\";s:9:\"GavickPro\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 15:34:33\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(35,'index.php?option=com_newsfeeds&view=category&id=15','index.php?option=com_newsfeeds&view=category&id=15','Joomla!','','2012-03-14 23:55:05','3f27f31a00a2a78b1557382e29465fcb',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-13 15:48:47','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:2:\"15\";s:5:\"alias\";s:6:\"joomla\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:13:\"com_newsfeeds\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"27\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:9:\"15:joomla\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:48:\"index.php/component/newsfeeds/category/15-joomla\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:50:\"index.php?option=com_newsfeeds&view=category&id=15\";s:5:\"route\";s:50:\"index.php?option=com_newsfeeds&view=category&id=15\";s:5:\"title\";s:7:\"Joomla!\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 15:48:47\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(36,'index.php?option=com_content&view=category&id=32','index.php?Itemid=422','Demo content','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut ac augue ac enim interdum interdum ut vitae tellus.','2012-10-29 20:38:00','b9f0589238967fbb3fc0fdb4b11d5ed1',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-02-04 16:48:49','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:18:{s:2:\"id\";s:2:\"32\";s:5:\"alias\";s:12:\"demo-content\";s:7:\"summary\";s:118:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut ac augue ac enim interdum interdum ut vitae tellus.</p>\";s:9:\"extension\";s:11:\"com_content\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"2012-10-29 19:38:00\";s:11:\"modified_by\";s:2:\"42\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"29\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:27:\"images/demo/blank_small.png\";}}s:4:\"slug\";s:15:\"32:demo-content\";s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:53:\"index.php/template/lorem-ipsum/articles/category-list\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:48:\"index.php?option=com_content&view=category&id=32\";s:5:\"route\";s:20:\"index.php?Itemid=422\";s:5:\"title\";s:12:\"Demo content\";s:11:\"description\";s:111:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut ac augue ac enim interdum interdum ut vitae tellus.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-04 16:48:49\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(37,'index.php?option=com_content&view=category&id=33','index.php?option=com_content&view=category&id=33&Itemid=422','Subcategory I','','2012-03-14 23:55:05','74eb59466dcb301894ad6b11f12e5176',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-02-04 16:49:25','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:2:\"33\";s:5:\"alias\";s:13:\"subcategory-1\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:11:\"com_content\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"2012-03-07 11:49:12\";s:11:\"modified_by\";s:2:\"42\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"30\";s:9:\"parent_id\";s:2:\"32\";s:5:\"level\";s:1:\"2\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:27:\"images/demo/blank_small.png\";}}s:4:\"slug\";s:16:\"33:subcategory-1\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:83:\"index.php/template/lorem-ipsum/articles/category-list/33-demo-content/subcategory-1\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:48:\"index.php?option=com_content&view=category&id=33\";s:5:\"route\";s:59:\"index.php?option=com_content&view=category&id=33&Itemid=422\";s:5:\"title\";s:13:\"Subcategory I\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-04 16:49:25\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(38,'index.php?option=com_content&view=category&id=34','index.php?option=com_content&view=category&id=34&Itemid=422','Subcategory II','','2012-03-14 23:55:05','709e52aa43a608b15e1a15d118fa13f4',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-02-04 16:51:56','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:2:\"34\";s:5:\"alias\";s:13:\"subcategory-2\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:11:\"com_content\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"2012-03-07 11:49:20\";s:11:\"modified_by\";s:2:\"42\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"32\";s:9:\"parent_id\";s:2:\"32\";s:5:\"level\";s:1:\"2\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:27:\"images/demo/blank_small.png\";}}s:4:\"slug\";s:16:\"34:subcategory-2\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:83:\"index.php/template/lorem-ipsum/articles/category-list/34-demo-content/subcategory-2\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:48:\"index.php?option=com_content&view=category&id=34\";s:5:\"route\";s:59:\"index.php?option=com_content&view=category&id=34&Itemid=422\";s:5:\"title\";s:14:\"Subcategory II\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-04 16:51:56\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(39,'index.php?option=com_banners&view=category&id=35','index.php?option=com_content&view=category&id=35','Demo','','2012-03-14 23:55:05','23bc0d5cb912d618ec2c2c5b08c5745a',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-03-06 13:32:41','0000-00-00 00:00:00',0,0,2,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:19:{s:2:\"id\";s:2:\"35\";s:5:\"alias\";s:4:\"demo\";s:7:\"summary\";s:0:\"\";s:9:\"extension\";s:11:\"com_banners\";s:10:\"created_by\";s:2:\"42\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"author\";s:0:\"\";s:6:\"robots\";s:0:\"\";}}s:3:\"lft\";s:2:\"35\";s:9:\"parent_id\";s:1:\"1\";s:5:\"level\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:15:\"category_layout\";s:0:\"\";s:5:\"image\";s:0:\"\";}}s:4:\"slug\";s:7:\"35:demo\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"category\";s:10:\"metaauthor\";N;s:4:\"path\";s:42:\"index.php/component/content/category?id=35\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:2:{s:4:\"Type\";a:1:{s:8:\"Category\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Category\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:48:\"index.php?option=com_banners&view=category&id=35\";s:5:\"route\";s:48:\"index.php?option=com_content&view=category&id=35\";s:5:\"title\";s:4:\"Demo\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-06 13:32:41\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:2;}'),(40,'index.php?option=com_contact&view=contact&id=1','index.php?option=com_contact&view=contact&id=1:erik-curd&catid=11:sample-category-ii&Itemid=178','ERIK Curd','','2013-04-30 23:42:56','73a339ff92fea5c23b7c5344e3c44408',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-03-14 22:51:49','0000-00-00 00:00:00',0,0,3,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:34:{s:2:\"id\";s:1:\"1\";s:5:\"alias\";s:9:\"erik-curd\";s:8:\"position\";s:0:\"\";s:7:\"address\";s:69:\"3635 Willie Green Rd\r\nLondon, KY(Kentucky) 40741-9233\r\n(606) 877-1749\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:42:56\";s:11:\"modified_by\";s:3:\"838\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";s:25:\"{\"robots\":\"\",\"rights\":\"\"}\";s:9:\"sortname1\";s:0:\"\";s:9:\"sortname2\";s:0:\"\";s:9:\"sortname3\";s:0:\"\";s:4:\"city\";s:0:\"\";s:6:\"region\";s:2:\"UK\";s:7:\"country\";s:0:\"\";s:3:\"zip\";s:0:\"\";s:9:\"telephone\";s:0:\"\";s:3:\"fax\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:5:\"email\";s:13:\"test@test.com\";s:6:\"mobile\";s:0:\"\";s:7:\"webpage\";s:0:\"\";s:8:\"ordering\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":40:{s:21:\"show_contact_category\";s:0:\"\";s:17:\"show_contact_list\";s:0:\"\";s:18:\"presentation_style\";s:0:\"\";s:9:\"show_name\";s:0:\"\";s:13:\"show_position\";s:0:\"\";s:10:\"show_email\";s:0:\"\";s:19:\"show_street_address\";s:0:\"\";s:11:\"show_suburb\";s:0:\"\";s:10:\"show_state\";s:0:\"\";s:13:\"show_postcode\";s:0:\"\";s:12:\"show_country\";s:0:\"\";s:14:\"show_telephone\";s:0:\"\";s:11:\"show_mobile\";s:0:\"\";s:8:\"show_fax\";s:0:\"\";s:12:\"show_webpage\";s:0:\"\";s:9:\"show_misc\";s:0:\"\";s:10:\"show_image\";s:0:\"\";s:11:\"allow_vcard\";s:0:\"\";s:13:\"show_articles\";s:0:\"\";s:12:\"show_profile\";s:0:\"\";s:10:\"show_links\";s:0:\"\";s:10:\"linka_name\";s:0:\"\";s:5:\"linka\";N;s:10:\"linkb_name\";s:0:\"\";s:5:\"linkb\";N;s:10:\"linkc_name\";s:0:\"\";s:5:\"linkc\";N;s:10:\"linkd_name\";s:0:\"\";s:5:\"linkd\";N;s:10:\"linke_name\";s:0:\"\";s:5:\"linke\";s:0:\"\";s:14:\"contact_layout\";s:0:\"\";s:15:\"show_email_form\";s:0:\"\";s:15:\"show_email_copy\";s:0:\"\";s:12:\"banned_email\";s:0:\"\";s:14:\"banned_subject\";s:0:\"\";s:11:\"banned_text\";s:0:\"\";s:16:\"validate_session\";s:0:\"\";s:12:\"custom_reply\";s:0:\"\";s:8:\"redirect\";s:0:\"\";}}s:5:\"catid\";s:2:\"11\";s:8:\"category\";s:18:\"Sample category II\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:11:\"1:erik-curd\";s:7:\"catslug\";s:21:\"11:sample-category-ii\";s:4:\"user\";N;s:6:\"layout\";s:7:\"contact\";s:4:\"path\";s:73:\"index.php/joomla-pages-i/single-contact/11-sample-category-ii/1-erik-curd\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:15:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:8:\"position\";i:4;s:7:\"address\";i:5;s:4:\"city\";i:6;s:6:\"region\";i:7;s:7:\"country\";i:8;s:3:\"zip\";i:9;s:9:\"telephone\";i:10;s:3:\"fax\";i:11;s:5:\"email\";i:12;s:6:\"mobile\";i:13;s:7:\"webpage\";i:14;s:4:\"user\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Contact\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Contact\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:18:\"Sample category II\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:18:\"Sample category II\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Region\";a:1:{s:2:\"UK\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:2:\"UK\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:46:\"index.php?option=com_contact&view=contact&id=1\";s:5:\"route\";s:95:\"index.php?option=com_contact&view=contact&id=1:erik-curd&catid=11:sample-category-ii&Itemid=178\";s:5:\"title\";s:9:\"ERIK Curd\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";s:1:\"1\";s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-14 22:51:49\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:3;}'),(41,'index.php?option=com_contact&view=contact&id=2','index.php?option=com_contact&view=contact&id=2:our-address&catid=10:sample-category-i&Itemid=177','Our address','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eget nisl eros. Suspendisse non sem leo. Suspendisse aliquet eros in erat commodo porttitor. Nam et tortor non enim ornare varius sit amet sed turpis. Lorem ipsum dolor sit amet, consectetur adi','2012-03-14 23:55:05','a20c423d7d817f307e00b97509e02d33',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-13 14:54:01','0000-00-00 00:00:00',0,0,3,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:35:{s:2:\"id\";s:1:\"2\";s:5:\"alias\";s:11:\"our-address\";s:8:\"position\";s:0:\"\";s:7:\"address\";s:38:\"B.S. Sound 25 Cromwell St, Glen Iris\r\n\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";s:25:\"{\"robots\":\"\",\"rights\":\"\"}\";s:9:\"sortname1\";s:0:\"\";s:9:\"sortname2\";s:0:\"\";s:9:\"sortname3\";s:0:\"\";s:4:\"city\";s:8:\"Victoria\";s:6:\"region\";s:0:\"\";s:7:\"country\";s:9:\"Australia\";s:3:\"zip\";s:7:\"00-000,\";s:9:\"telephone\";s:16:\"+49 5241 80-0 00\";s:3:\"fax\";s:0:\"\";s:7:\"summary\";s:438:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eget nisl eros. Suspendisse non sem leo. Suspendisse aliquet eros in erat commodo porttitor. Nam et tortor non enim ornare varius sit amet sed turpis.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eget nisl eros. Suspendisse non sem leo. Suspendisse aliquet eros in erat commodo porttitor. Nam et tortor non enim ornare varius sit amet sed turpis.</p>\";s:5:\"email\";s:15:\"sample@mail.com\";s:6:\"mobile\";s:0:\"\";s:7:\"webpage\";s:0:\"\";s:8:\"ordering\";s:1:\"2\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":40:{s:21:\"show_contact_category\";s:0:\"\";s:17:\"show_contact_list\";s:0:\"\";s:18:\"presentation_style\";s:0:\"\";s:9:\"show_name\";s:0:\"\";s:13:\"show_position\";s:0:\"\";s:10:\"show_email\";s:0:\"\";s:19:\"show_street_address\";s:0:\"\";s:11:\"show_suburb\";s:0:\"\";s:10:\"show_state\";s:0:\"\";s:13:\"show_postcode\";s:0:\"\";s:12:\"show_country\";s:0:\"\";s:14:\"show_telephone\";s:0:\"\";s:11:\"show_mobile\";s:0:\"\";s:8:\"show_fax\";s:0:\"\";s:12:\"show_webpage\";s:0:\"\";s:9:\"show_misc\";s:0:\"\";s:10:\"show_image\";s:0:\"\";s:11:\"allow_vcard\";s:0:\"\";s:13:\"show_articles\";s:0:\"\";s:12:\"show_profile\";s:0:\"\";s:10:\"show_links\";s:0:\"\";s:10:\"linka_name\";s:0:\"\";s:5:\"linka\";N;s:10:\"linkb_name\";s:0:\"\";s:5:\"linkb\";N;s:10:\"linkc_name\";s:0:\"\";s:5:\"linkc\";N;s:10:\"linkd_name\";s:0:\"\";s:5:\"linkd\";N;s:10:\"linke_name\";s:0:\"\";s:5:\"linke\";s:0:\"\";s:14:\"contact_layout\";s:0:\"\";s:15:\"show_email_form\";s:0:\"\";s:15:\"show_email_copy\";s:0:\"\";s:12:\"banned_email\";s:0:\"\";s:14:\"banned_subject\";s:0:\"\";s:11:\"banned_text\";s:0:\"\";s:16:\"validate_session\";s:0:\"\";s:12:\"custom_reply\";s:0:\"\";s:8:\"redirect\";s:0:\"\";}}s:5:\"catid\";s:2:\"10\";s:8:\"category\";s:17:\"Sample category I\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:13:\"2:our-address\";s:7:\"catslug\";s:20:\"10:sample-category-i\";s:4:\"user\";N;s:4:\"mime\";N;s:6:\"layout\";s:7:\"contact\";s:4:\"path\";s:80:\"index.php/joomla-pages-i/contacts-in-category/10-sample-category-i/2-our-address\";}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:15:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:8:\"position\";i:4;s:7:\"address\";i:5;s:4:\"city\";i:6;s:6:\"region\";i:7;s:7:\"country\";i:8;s:3:\"zip\";i:9;s:9:\"telephone\";i:10;s:3:\"fax\";i:11;s:5:\"email\";i:12;s:6:\"mobile\";i:13;s:7:\"webpage\";i:14;s:4:\"user\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Contact\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Contact\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:17:\"Sample category I\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:17:\"Sample category I\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:7:\"Country\";a:1:{s:9:\"Australia\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"Australia\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:46:\"index.php?option=com_contact&view=contact&id=2\";s:5:\"route\";s:96:\"index.php?option=com_contact&view=contact&id=2:our-address&catid=10:sample-category-i&Itemid=177\";s:5:\"title\";s:11:\"Our address\";s:11:\"description\";s:423:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eget nisl eros. Suspendisse non sem leo. Suspendisse aliquet eros in erat commodo porttitor. Nam et tortor non enim ornare varius sit amet sed turpis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eget nisl eros. Suspendisse non sem leo. Suspendisse aliquet eros in erat commodo porttitor. Nam et tortor non enim ornare varius sit amet sed turpis.\";s:9:\"published\";N;s:5:\"state\";s:1:\"1\";s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 14:54:01\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:3;}'),(42,'index.php?option=com_content&view=article&id=1','index.php?option=com_content&view=article&id=1:typography&catid=7:template&Itemid=263','Typography','It is possible with templates which have a typography page to show you how you can use e.g. headline tags in order to structure your content in a better way. Below, we present rebuilt and refreshed typographical aspects of Gavern Framework. In order to us','2013-04-30 20:49:52','6d5c94d8e20f6fcf423ae28cb23a79e8',1,1,1,'*','2011-01-11 22:34:23','0000-00-00 00:00:00','2011-01-11 22:34:23','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:1:\"1\";s:5:\"alias\";s:10:\"typography\";s:7:\"summary\";s:29981:\"<p>It is possible with templates which have a typography page to show you how you can use e.g. headline tags in order to structure your content in a better way. Below, we present rebuilt and refreshed typographical aspects of Gavern Framework. In order to use it, you have to use a plug in which is delivered in a package with a template or use HTML code.</p>\r\n<div id=\"warnings\" class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Warnings</h4>\r\n	<p class=\"gkInfo1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum venenatis orci non tortor accumsan...</p>\r\n	<p class=\"gkTips1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum venenatis orci non tortor accumsan...</p>\r\n	<p class=\"gkWarning1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum venenatis orci non tortor accumsan...</p>\r\n</div>\r\n<div class=\"demo-typoDiv\">\r\n	<h4 class=\"demo-typo\">Headings</h4>\r\n	<div class=\"demo-typo_padd\">\r\n		<h1>This is heading 1</h1>\r\n		<h2>This is heading 2</h2>\r\n		<h3>This is heading 3</h3>\r\n		<h4>This is heading 4</h4>\r\n		<h5>This is heading 5</h5>\r\n		<h6>This is heading 6</h6>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc \">\r\n	<h4 class=\"demo-typo\">Highlights</h4>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p>This is a <span class=\"gkHighlight1\">highlight phrase</span>. <br />\r\n				<small>Use &lt;span class=\"gkHighlight1\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n			<p>This is a <span class=\"gkHighlight2\">highlight phrase</span>. <br />\r\n				<small>Use &lt;span class=\"gkHighlight2\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p>This is a <span class=\"gkHighlight3\">highlight phrase</span>. <br />\r\n				<small>Use &lt;span class=\"gkHighlight3\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n			<p>This is a <span class=\"gkHighlight4\">highlight phrase</span>.<br />\r\n				<small>Use &lt;span class=\"gkHighlight4\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Code</h4>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<pre>#wrapper {<br />  position: relative;<br />  float: left;<br />  display: block;<br />}<br />\r\n</pre>\r\n			<p><small>Use &lt;pre&gt; or &lt;div class=\"gkCode1\"&gt;Here goes your code&lt;/div&gt;</small></p>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<div class=\"gkCode2\">\r\n				#wrapper {<br />\r\n				position: relative;<br />\r\n				float: left;<br />\r\n				display: block;<br />\r\n				}\r\n			</div>\r\n			<p><small>Use &lt;div class=\"gkCode2\"&gt;Here goes your code&lt;/div&gt;</small></p>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<div class=\"gkCode3\">\r\n				<h4>File</h4>\r\n				#wrapper {<br />\r\n				position: relative;<br />\r\n				float: left;<br />\r\n				display: block;<br />\r\n				}\r\n			</div>\r\n			<p><small>Use &lt;div class=\"gkCode3\"&gt;&lt;h4&gt;Name of your file&lt;/h4&gt;Here goes your code&lt;/div&gt;</small></p>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Unordered lists</h4>\r\n	<div class=\"demo-typo-col4\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;ul class=\"gkBullet1\"&gt;</small></p>\r\n			<ul class=\"gkBullet1\">\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n			</ul>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;ul class=\"gkBullet2\"&gt;</small></p>\r\n			<ul class=\"gkBullet2\">\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n			</ul>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;ul class=\"gkBullet3\"&gt;</small></p>\r\n			<ul class=\"gkBullet3\">\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n			</ul>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;ul class=\"gkBullet4\"&gt;</small></p>\r\n			<ul class=\"gkBullet4\">\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n				<li>Lorem ipsum dolor sit amet.</li>\r\n			</ul>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">numBlocks</h4>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;p class=\"numblocks num-1\"&gt;&lt;span&gt;here goes a number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n			<p class=\"numblocks num-1\"><span>01</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n			<p class=\"numblocks num-1\"><span>02</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;p class=\"numblocks num-2\"&gt;&lt;span&gt;here goes a number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n			<p class=\"numblocks num-2\"><span>01</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n			<p class=\"numblocks num-2\"><span>02</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col3\">\r\n		<div class=\"demo-typo_padd\">\r\n			<p><small>&lt;p class=\"numblocks num-3\"&gt;&lt;span&gt;here goes a number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n			<p class=\"numblocks num-3\"><span>01</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n			<p class=\"numblocks num-3\"><span>02</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv demo-typo-col2 typoDesc\">\r\n	<div class=\"demo-typo_padd\">\r\n		<h4 class=\"demo-typo\">Blocks</h4>\r\n		<div class=\"gkblock-1\">\r\n			Lorem ipsum dolor sit amet, consectetuer adipiscing.\r\n			<p><small> Use &lt;div class=\"gkblock-1\"&gt;content here... &lt;/div&gt;</small></p>\r\n		</div>\r\n		<div class=\"gkblock-2\">\r\n			Lorem ipsum dolor sit amet, consectetuer adipiscing.\r\n			<p><small> Use &lt;div class=\"gkblock-2\"&gt;content here... &lt;/div&gt;</small></p>\r\n		</div>\r\n		<div class=\"gkblock-3\">\r\n			Lorem ipsum dolor sit amet, consectetuer adipiscing.\r\n			<p><small> Use &lt;div class=\"gkblock-3\"&gt;content here... &lt;/div&gt;</small></p>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typo-col2 typoDesc\">\r\n	<div class=\"demo-typo_padd\">\r\n		<h4 class=\"demo-typo\">Legends</h4>\r\n		<div class=\"gkLegend1\">\r\n			<h4>Legend</h4>\r\n			<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</p>\r\n			<p><small> Use &lt;div class=\"gkLegend1\"&gt; &lt;h4&gt; Title &lt;/h4&gt; &lt;p&gt;and here text.&lt;/p&gt; &lt;/div&gt;</small></p>\r\n		</div>\r\n		<h4 class=\"demo-typo\">Bubbles</h4>\r\n		<div class=\"bubble-1\">\r\n			Lorem ipsum dolor sit amet, consectetuer adipiscing.\r\n			<p><small>Use &lt;div class=\"bubble-1\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n			<cite>Robert Gavick</cite>\r\n		</div>\r\n		<div class=\"bubble-2\">\r\n			Lorem ipsum dolor sit amet, consectetuer adipiscing.\r\n			<p><small>Use &lt;div class=\"bubble-2\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n			<cite>Robert Gavick</cite>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Blockquotes</h4>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<blockquote>\r\n				<div class=\"gkBlockquote1\">\r\n					<div>\r\n						Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n						<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote1\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n					</div>\r\n				</div>\r\n			</blockquote>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<blockquote>\r\n				<div class=\"gkBlockquote2\">\r\n					<div>\r\n						Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n						<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote2\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n					</div>\r\n				</div>\r\n			</blockquote>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<blockquote>\r\n				<div class=\"gkBlockquote3\">\r\n					<div>\r\n						Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n						<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote3\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n					</div>\r\n				</div>\r\n			</blockquote>\r\n		</div>\r\n	</div>\r\n	<div class=\"demo-typo-col2\">\r\n		<div class=\"demo-typo_padd\">\r\n			<blockquote>\r\n				<div class=\"gkBlockquote4\">\r\n					<div>\r\n						Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n						<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote4\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n					</div>\r\n				</div>\r\n			</blockquote>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Floated blocks</h4>\r\n	<p><small>&lt;p&gt; Here goes main part of the text &lt;span class=\"gkBlockTextLeft\"&gt;Block of text&lt;/span&gt;rest of the text&lt;/p&gt; </small></p>\r\n	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextLeft\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus.</p>\r\n	<br />\r\n	<br />\r\n	<p><small>&lt;p&gt; Here goes main part of the text &lt;span class=\"gkBlockTextRight\"&gt;Block of text&lt;/span&gt;rest of the text&lt;/p&gt; </small></p>\r\n	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextRight\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus.</p>\r\n	<br />\r\n	<br />\r\n	<p><small>&lt;p&gt; Here goes main part of the text &lt;span class=\"gkBlockTextCenter\"&gt;Block of text&lt;/span&gt;rest of the text&lt;/p&gt; </small></p>\r\n	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextCenter\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus. Nunc a malesuada felis. Cras ultrices sapien eu nisi elementum non blandit urna sodales.</p>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n	<h4 class=\"demo-typo\">Icons - Font Awesome</h4>\r\n	<p>The Font Awesome is a set of base icons similar to the Glyphicons included with Bootstrap, plus a set of extended icons that include pictograms for external links, thumbs up/down, comments, cogs and more.\r\n		\r\n		Font Awesome is licensed under the <a href=\"http://creativecommons.org/licenses/by/3.0/\" target=\"_blank\">Creative Commons Attribution 3.0 Unported</a> (CC BY 3.0). More details you can find on project homepage at <a target=\"_blank\" href=\"http://fortawesome.github.com/Font-Awesome\">http://fortawesome.github.com/Font-Awesome</a></p>\r\n<p><small> Use &lt;i class=\"<b>icon-CLASS_NAME</b>\"&gt;&lt;/i&gt; content here... </small></p>\r\n\r\n	<h5 class=\"page-header\">Web Application Icons</h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-adjust\"></i> icon-adjust</li>\r\n			<li><i class=\"icon-asterisk\"></i> icon-asterisk</li>\r\n			<li><i class=\"icon-ban-circle\"></i> icon-ban-circle</li>\r\n			<li><i class=\"icon-bar-chart\"></i> icon-bar-chart</li>\r\n			<li><i class=\"icon-barcode\"></i> icon-barcode</li>\r\n			<li><i class=\"icon-beaker\"></i> icon-beaker</li>\r\n			<li><i class=\"icon-beer\"></i> icon-beer</li>\r\n			<li><i class=\"icon-bell\"></i> icon-bell</li>\r\n			<li><i class=\"icon-bell-alt\"></i> icon-bell-alt</li>\r\n			<li><i class=\"icon-bolt\"></i> icon-bolt</li>\r\n			<li><i class=\"icon-book\"></i> icon-book</li>\r\n			<li><i class=\"icon-bookmark\"></i> icon-bookmark</li>\r\n			<li><i class=\"icon-bookmark-empty\"></i> icon-bookmark-empty</li>\r\n			<li><i class=\"icon-briefcase\"></i> icon-briefcase</li>\r\n			<li><i class=\"icon-bullhorn\"></i> icon-bullhorn</li>\r\n			<li><i class=\"icon-calendar\"></i> icon-calendar</li>\r\n			<li><i class=\"icon-camera\"></i> icon-camera</li>\r\n			<li><i class=\"icon-camera-retro\"></i> icon-camera-retro</li>\r\n			<li><i class=\"icon-certificate\"></i> icon-certificate</li>\r\n			<li><i class=\"icon-check\"></i> icon-check</li>\r\n			<li><i class=\"icon-check-empty\"></i> icon-check-empty</li>\r\n			<li><i class=\"icon-circle\"></i> icon-circle</li>\r\n			<li><i class=\"icon-circle-blank\"></i> icon-circle-blank</li>\r\n			<li><i class=\"icon-cloud\"></i> icon-cloud</li>\r\n			<li><i class=\"icon-cloud-download\"></i> icon-cloud-download</li>\r\n			<li><i class=\"icon-cloud-upload\"></i> icon-cloud-upload</li>\r\n			<li><i class=\"icon-coffee\"></i> icon-coffee</li>\r\n			<li><i class=\"icon-cog\"></i> icon-cog</li>\r\n			<li><i class=\"icon-cogs\"></i> icon-cogs</li>\r\n			<li><i class=\"icon-comment\"></i> icon-comment</li>\r\n			<li><i class=\"icon-comment-alt\"></i> icon-comment-alt</li>\r\n			<li><i class=\"icon-comments\"></i> icon-comments</li>\r\n			<li><i class=\"icon-comments-alt\"></i> icon-comments-alt</li>\r\n			<li><i class=\"icon-credit-card\"></i> icon-credit-card</li>\r\n			<li><i class=\"icon-dashboard\"></i> icon-dashboard</li>\r\n			<li><i class=\"icon-desktop\"></i> icon-desktop</li>\r\n			<li><i class=\"icon-download\"></i> icon-download</li>\r\n			<li><i class=\"icon-download-alt\"></i> icon-download-alt</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-edit\"></i> icon-edit</li>\r\n			<li><i class=\"icon-envelope\"></i> icon-envelope</li>\r\n			<li><i class=\"icon-envelope-alt\"></i> icon-envelope-alt</li>\r\n			<li><i class=\"icon-exchange\"></i> icon-exchange</li>\r\n			<li><i class=\"icon-exclamation-sign\"></i> icon-exclamation-sign</li>\r\n			<li><i class=\"icon-external-link\"></i> icon-external-link</li>\r\n			<li><i class=\"icon-eye-close\"></i> icon-eye-close</li>\r\n			<li><i class=\"icon-eye-open\"></i> icon-eye-open</li>\r\n			<li><i class=\"icon-facetime-video\"></i> icon-facetime-video</li>\r\n			<li><i class=\"icon-fighter-jet\"></i> icon-fighter-jet</li>\r\n			<li><i class=\"icon-film\"></i> icon-film</li>\r\n			<li><i class=\"icon-filter\"></i> icon-filter</li>\r\n			<li><i class=\"icon-fire\"></i> icon-fire</li>\r\n			<li><i class=\"icon-flag\"></i> icon-flag</li>\r\n			<li><i class=\"icon-folder-close\"></i> icon-folder-close</li>\r\n			<li><i class=\"icon-folder-open\"></i> icon-folder-open</li>\r\n			<li><i class=\"icon-folder-close-alt\"></i> icon-folder-close-alt</li>\r\n			<li><i class=\"icon-folder-open-alt\"></i> icon-folder-open-alt</li>\r\n			<li><i class=\"icon-food\"></i> icon-food</li>\r\n			<li><i class=\"icon-gift\"></i> icon-gift</li>\r\n			<li><i class=\"icon-glass\"></i> icon-glass</li>\r\n			<li><i class=\"icon-globe\"></i> icon-globe</li>\r\n			<li><i class=\"icon-group\"></i> icon-group</li>\r\n			<li><i class=\"icon-hdd\"></i> icon-hdd</li>\r\n			<li><i class=\"icon-headphones\"></i> icon-headphones</li>\r\n			<li><i class=\"icon-heart\"></i> icon-heart</li>\r\n			<li><i class=\"icon-heart-empty\"></i> icon-heart-empty</li>\r\n			<li><i class=\"icon-home\"></i> icon-home</li>\r\n			<li><i class=\"icon-inbox\"></i> icon-inbox</li>\r\n			<li><i class=\"icon-info-sign\"></i> icon-info-sign</li>\r\n			<li><i class=\"icon-key\"></i> icon-key</li>\r\n			<li><i class=\"icon-leaf\"></i> icon-leaf</li>\r\n			<li><i class=\"icon-laptop\"></i> icon-laptop</li>\r\n			<li><i class=\"icon-legal\"></i> icon-legal</li>\r\n			<li><i class=\"icon-lemon\"></i> icon-lemon</li>\r\n			<li><i class=\"icon-lightbulb\"></i> icon-lightbulb</li>\r\n			<li><i class=\"icon-lock\"></i> icon-lock</li>\r\n			<li><i class=\"icon-unlock\"></i> icon-unlock</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-magic\"></i> icon-magic</li>\r\n			<li><i class=\"icon-magnet\"></i> icon-magnet</li>\r\n			<li><i class=\"icon-map-marker\"></i> icon-map-marker</li>\r\n			<li><i class=\"icon-minus\"></i> icon-minus</li>\r\n			<li><i class=\"icon-minus-sign\"></i> icon-minus-sign</li>\r\n			<li><i class=\"icon-mobile-phone\"></i> icon-mobile-phone</li>\r\n			<li><i class=\"icon-money\"></i> icon-money</li>\r\n			<li><i class=\"icon-move\"></i> icon-move</li>\r\n			<li><i class=\"icon-music\"></i> icon-music</li>\r\n			<li><i class=\"icon-off\"></i> icon-off</li>\r\n			<li><i class=\"icon-ok\"></i> icon-ok</li>\r\n			<li><i class=\"icon-ok-circle\"></i> icon-ok-circle</li>\r\n			<li><i class=\"icon-ok-sign\"></i> icon-ok-sign</li>\r\n			<li><i class=\"icon-pencil\"></i> icon-pencil</li>\r\n			<li><i class=\"icon-picture\"></i> icon-picture</li>\r\n			<li><i class=\"icon-plane\"></i> icon-plane</li>\r\n			<li><i class=\"icon-plus\"></i> icon-plus</li>\r\n			<li><i class=\"icon-plus-sign\"></i> icon-plus-sign</li>\r\n			<li><i class=\"icon-print\"></i> icon-print</li>\r\n			<li><i class=\"icon-pushpin\"></i> icon-pushpin</li>\r\n			<li><i class=\"icon-qrcode\"></i> icon-qrcode</li>\r\n			<li><i class=\"icon-question-sign\"></i> icon-question-sign</li>\r\n			<li><i class=\"icon-quote-left\"></i> icon-quote-left</li>\r\n			<li><i class=\"icon-quote-right\"></i> icon-quote-right</li>\r\n			<li><i class=\"icon-random\"></i> icon-random</li>\r\n			<li><i class=\"icon-refresh\"></i> icon-refresh</li>\r\n			<li><i class=\"icon-remove\"></i> icon-remove</li>\r\n			<li><i class=\"icon-remove-circle\"></i> icon-remove-circle</li>\r\n			<li><i class=\"icon-remove-sign\"></i> icon-remove-sign</li>\r\n			<li><i class=\"icon-reorder\"></i> icon-reorder</li>\r\n			<li><i class=\"icon-reply\"></i> icon-reply</li>\r\n			<li><i class=\"icon-resize-horizontal\"></i> icon-resize-horizontal</li>\r\n			<li><i class=\"icon-resize-vertical\"></i> icon-resize-vertical</li>\r\n			<li><i class=\"icon-retweet\"></i> icon-retweet</li>\r\n			<li><i class=\"icon-road\"></i> icon-road</li>\r\n			<li><i class=\"icon-rss\"></i> icon-rss</li>\r\n			<li><i class=\"icon-screenshot\"></i> icon-screenshot</li>\r\n			<li><i class=\"icon-search\"></i> icon-search</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-share\"></i> icon-share</li>\r\n			<li><i class=\"icon-share-alt\"></i> icon-share-alt</li>\r\n			<li><i class=\"icon-shopping-cart\"></i> icon-shopping-cart</li>\r\n			<li><i class=\"icon-signal\"></i> icon-signal</li>\r\n			<li><i class=\"icon-signin\"></i> icon-signin</li>\r\n			<li><i class=\"icon-signout\"></i> icon-signout</li>\r\n			<li><i class=\"icon-sitemap\"></i> icon-sitemap</li>\r\n			<li><i class=\"icon-sort\"></i> icon-sort</li>\r\n			<li><i class=\"icon-sort-down\"></i> icon-sort-down</li>\r\n			<li><i class=\"icon-sort-up\"></i> icon-sort-up</li>\r\n			<li><i class=\"icon-spinner\"></i> icon-spinner</li>\r\n			<li><i class=\"icon-star\"></i> icon-star</li>\r\n			<li><i class=\"icon-star-empty\"></i> icon-star-empty</li>\r\n			<li><i class=\"icon-star-half\"></i> icon-star-half</li>\r\n			<li><i class=\"icon-tablet\"></i> icon-tablet</li>\r\n			<li><i class=\"icon-tag\"></i> icon-tag</li>\r\n			<li><i class=\"icon-tags\"></i> icon-tags</li>\r\n			<li><i class=\"icon-tasks\"></i> icon-tasks</li>\r\n			<li><i class=\"icon-thumbs-down\"></i> icon-thumbs-down</li>\r\n			<li><i class=\"icon-thumbs-up\"></i> icon-thumbs-up</li>\r\n			<li><i class=\"icon-time\"></i> icon-time</li>\r\n			<li><i class=\"icon-tint\"></i> icon-tint</li>\r\n			<li><i class=\"icon-trash\"></i> icon-trash</li>\r\n			<li><i class=\"icon-trophy\"></i> icon-trophy</li>\r\n			<li><i class=\"icon-truck\"></i> icon-truck</li>\r\n			<li><i class=\"icon-umbrella\"></i> icon-umbrella</li>\r\n			<li><i class=\"icon-upload\"></i> icon-upload</li>\r\n			<li><i class=\"icon-upload-alt\"></i> icon-upload-alt</li>\r\n			<li><i class=\"icon-user\"></i> icon-user</li>\r\n			<li><i class=\"icon-user-md\"></i> icon-user-md</li>\r\n			<li><i class=\"icon-volume-off\"></i> icon-volume-off</li>\r\n			<li><i class=\"icon-volume-down\"></i> icon-volume-down</li>\r\n			<li><i class=\"icon-volume-up\"></i> icon-volume-up</li>\r\n			<li><i class=\"icon-warning-sign\"></i> icon-warning-sign</li>\r\n			<li><i class=\"icon-wrench\"></i> icon-wrench</li>\r\n			<li><i class=\"icon-zoom-in\"></i> icon-zoom-in</li>\r\n			<li><i class=\"icon-zoom-out\"></i> icon-zoom-out</li>\r\n		</ul>\r\n	</div>\r\n	<h5 class=\"page-header\">Text Editor Icons</h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-file\"></i> icon-file</li>\r\n			<li><i class=\"icon-file-alt\"></i> icon-file-alt</li>\r\n			<li><i class=\"icon-cut\"></i> icon-cut</li>\r\n			<li><i class=\"icon-copy\"></i> icon-copy</li>\r\n			<li><i class=\"icon-paste\"></i> icon-paste</li>\r\n			<li><i class=\"icon-save\"></i> icon-save</li>\r\n			<li><i class=\"icon-undo\"></i> icon-undo</li>\r\n			<li><i class=\"icon-repeat\"></i> icon-repeat</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-text-height\"></i> icon-text-height</li>\r\n			<li><i class=\"icon-text-width\"></i> icon-text-width</li>\r\n			<li><i class=\"icon-align-left\"></i> icon-align-left</li>\r\n			<li><i class=\"icon-align-center\"></i> icon-align-center</li>\r\n			<li><i class=\"icon-align-right\"></i> icon-align-right</li>\r\n			<li><i class=\"icon-align-justify\"></i> icon-align-justify</li>\r\n			<li><i class=\"icon-indent-left\"></i> icon-indent-left</li>\r\n			<li><i class=\"icon-indent-right\"></i> icon-indent-right</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-font\"></i> icon-font</li>\r\n			<li><i class=\"icon-bold\"></i> icon-bold</li>\r\n			<li><i class=\"icon-italic\"></i> icon-italic</li>\r\n			<li><i class=\"icon-strikethrough\"></i> icon-strikethrough</li>\r\n			<li><i class=\"icon-underline\"></i> icon-underline</li>\r\n			<li><i class=\"icon-link\"></i> icon-link</li>\r\n			<li><i class=\"icon-paper-clip\"></i> icon-paper-clip</li>\r\n			<li><i class=\"icon-columns\"></i> icon-columns</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-table\"></i> icon-table</li>\r\n			<li><i class=\"icon-th-large\"></i> icon-th-large</li>\r\n			<li><i class=\"icon-th\"></i> icon-th</li>\r\n			<li><i class=\"icon-th-list\"></i> icon-th-list</li>\r\n			<li><i class=\"icon-list\"></i> icon-list</li>\r\n			<li><i class=\"icon-list-ol\"></i> icon-list-ol</li>\r\n			<li><i class=\"icon-list-ul\"></i> icon-list-ul</li>\r\n			<li><i class=\"icon-list-alt\"></i> icon-list-alt</li>\r\n		</ul>\r\n	</div>\r\n	<h5 class=\"page-header\">Directional Icons</h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-angle-left\"></i> icon-angle-left</li>\r\n			<li><i class=\"icon-angle-right\"></i> icon-angle-right</li>\r\n			<li><i class=\"icon-angle-up\"></i> icon-angle-up</li>\r\n			<li><i class=\"icon-angle-down\"></i> icon-angle-down</li>\r\n			<li><i class=\"icon-arrow-down\"></i> icon-arrow-down</li>\r\n			<li><i class=\"icon-arrow-left\"></i> icon-arrow-left</li>\r\n			<li><i class=\"icon-arrow-right\"></i> icon-arrow-right</li>\r\n			<li><i class=\"icon-arrow-up\"></i> icon-arrow-up</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-caret-down\"></i> icon-caret-down</li>\r\n			<li><i class=\"icon-caret-left\"></i> icon-caret-left</li>\r\n			<li><i class=\"icon-caret-right\"></i> icon-caret-right</li>\r\n			<li><i class=\"icon-caret-up\"></i> icon-caret-up</li>\r\n			<li><i class=\"icon-chevron-down\"></i> icon-chevron-down</li>\r\n			<li><i class=\"icon-chevron-left\"></i> icon-chevron-left</li>\r\n			<li><i class=\"icon-chevron-right\"></i> icon-chevron-right</li>\r\n			<li><i class=\"icon-chevron-up\"></i> icon-chevron-up</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-circle-arrow-down\"></i> icon-circle-arrow-down</li>\r\n			<li><i class=\"icon-circle-arrow-left\"></i> icon-circle-arrow-left</li>\r\n			<li><i class=\"icon-circle-arrow-right\"></i> icon-circle-arrow-right</li>\r\n			<li><i class=\"icon-circle-arrow-up\"></i> icon-circle-arrow-up</li>\r\n			<li><i class=\"icon-double-angle-left\"></i> icon-double-angle-left</li>\r\n			<li><i class=\"icon-double-angle-right\"></i> icon-double-angle-right</li>\r\n			<li><i class=\"icon-double-angle-up\"></i> icon-double-angle-up</li>\r\n			<li><i class=\"icon-double-angle-down\"></i> icon-double-angle-down</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-hand-down\"></i> icon-hand-down</li>\r\n			<li><i class=\"icon-hand-left\"></i> icon-hand-left</li>\r\n			<li><i class=\"icon-hand-right\"></i> icon-hand-right</li>\r\n			<li><i class=\"icon-hand-up\"></i> icon-hand-up</li>\r\n			<li><i class=\"icon-circle\"></i> icon-circle</li>\r\n			<li><i class=\"icon-circle-blank\"></i> icon-circle-blank</li>\r\n		</ul>\r\n	</div>\r\n	<h5 class=\"page-header\">Video Player Icons</h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-play-circle\"></i> icon-play-circle</li>\r\n			<li><i class=\"icon-play\"></i> icon-play</li>\r\n			<li><i class=\"icon-pause\"></i> icon-pause</li>\r\n			<li><i class=\"icon-stop\"></i> icon-stop</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-step-backward\"></i> icon-step-backward</li>\r\n			<li><i class=\"icon-fast-backward\"></i> icon-fast-backward</li>\r\n			<li><i class=\"icon-backward\"></i> icon-backward</li>\r\n			<li><i class=\"icon-forward\"></i> icon-forward</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-fast-forward\"></i> icon-fast-forward</li>\r\n			<li><i class=\"icon-step-forward\"></i> icon-step-forward</li>\r\n			<li><i class=\"icon-eject\"></i> icon-eject</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-fullscreen\"></i> icon-fullscreen</li>\r\n			<li><i class=\"icon-resize-full\"></i> icon-resize-full</li>\r\n			<li><i class=\"icon-resize-small\"></i> icon-resize-small</li>\r\n		</ul>\r\n	</div>\r\n	<h5 class=\"page-header\">Social Icons</h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-phone\"></i> icon-phone</li>\r\n			<li><i class=\"icon-phone-sign\"></i> icon-phone-sign</li>\r\n			<li><i class=\"icon-facebook\"></i> icon-facebook</li>\r\n			<li><i class=\"icon-facebook-sign\"></i> icon-facebook-sign</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-twitter\"></i> icon-twitter</li>\r\n			<li><i class=\"icon-twitter-sign\"></i> icon-twitter-sign</li>\r\n			<li><i class=\"icon-github\"></i> icon-github</li>\r\n			<li><i class=\"icon-github-alt\"></i> icon-github-alt</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-github-sign\"></i> icon-github-sign</li>\r\n			<li><i class=\"icon-linkedin\"></i> icon-linkedin</li>\r\n			<li><i class=\"icon-linkedin-sign\"></i> icon-linkedin-sign</li>\r\n			<li><i class=\"icon-pinterest\"></i> icon-pinterest</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-pinterest-sign\"></i> icon-pinterest-sign</li>\r\n			<li><i class=\"icon-google-plus\"></i> icon-google-plus</li>\r\n			<li><i class=\"icon-google-plus-sign\"></i> icon-google-plus-sign</li>\r\n			<li><i class=\"icon-sign-blank\"></i> icon-sign-blank</li>\r\n		</ul>\r\n	</div>\r\n	<h5 class=\"page-header\">Medical Icons </h5>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-ambulance\"></i> icon-ambulance</li>\r\n			<li><i class=\"icon-beaker\"></i> icon-beaker</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-h-sign\"></i> icon-h-sign</li>\r\n			<li><i class=\"icon-hospital\"></i> icon-hospital</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-medkit\"></i> icon-medkit</li>\r\n			<li><i class=\"icon-plus-sign-alt\"></i> icon-plus-sign-alt</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-stethoscope\"></i> icon-stethoscope</li>\r\n			<li><i class=\"icon-user-md\"></i> icon-user-md</li>\r\n		</ul>\r\n	</div>\r\n</div>\r\n\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"7\";s:10:\"created_by\";s:3:\"142\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 18:49:52\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"0\";s:10:\"show_intro\";s:1:\"0\";s:13:\"show_category\";s:1:\"0\";s:13:\"link_category\";s:1:\"0\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"0\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"0\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"0\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"0\";s:15:\"show_email_icon\";s:1:\"0\";s:9:\"show_hits\";s:1:\"0\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:3:\"315\";s:8:\"ordering\";s:1:\"7\";s:8:\"category\";s:17:\"Template articles\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:12:\"1:typography\";s:7:\"catslug\";s:10:\"7:template\";s:6:\"author\";N;s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:44:\"index.php/typography/7-template/1-typography\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:17:\"Template articles\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:17:\"Template articles\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:46:\"index.php?option=com_content&view=article&id=1\";s:5:\"route\";s:85:\"index.php?option=com_content&view=article&id=1:typography&catid=7:template&Itemid=263\";s:5:\"title\";s:10:\"Typography\";s:11:\"description\";s:11412:\"It is possible with templates which have a typography page to show you how you can use e.g. headline tags in order to structure your content in a better way. Below, we present rebuilt and refreshed typographical aspects of Gavern Framework. In order to use it, you have to use a plug in which is delivered in a package with a template or use HTML code. Warnings Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum venenatis orci non tortor accumsan... Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum venenatis orci non tortor accumsan... Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum venenatis orci non tortor accumsan... Headings This is heading 1 This is heading 2 This is heading 3 This is heading 4 This is heading 5 This is heading 6 Highlights This is a highlight phrase . Use <span class=\"gkHighlight1\">Your highlight phrase goes here!</span> . This is a highlight phrase . Use <span class=\"gkHighlight2\">Your highlight phrase goes here!</span> . This is a highlight phrase . Use <span class=\"gkHighlight3\">Your highlight phrase goes here!</span> . This is a highlight phrase . Use <spanclass=\"gkHighlight4\">Your highlight phrase goes here!</span> . Code #wrapper { position: relative; float: left; display: block; } Use <pre> or <div class=\"gkCode1\">Here goes your code</div> #wrapper { position: relative; float: left; display: block; } Use <div class=\"gkCode2\">Here goes your code</div> File #wrapper { position: relative; float: left; display: block; } Use <div class=\"gkCode3\"><h4>Name of your file</h4>Here goes your code</div> Unordered lists <ul class=\"gkBullet1\"> Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet. <ul class=\"gkBullet2\"> Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet. <ul class=\"gkBullet3\"> Lorem ipsum dolor sitamet. Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet. <ul class=\"gkBullet4\"> Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet. numBlocks <p class=\"numblocks num-1\"><span>here goes a number</span>and here text of element</p> 01 Lorem ipsum dolor sit amet, consectetur adipiscing elit. 02 Lorem ipsum dolor sit amet, consectetur adipiscing elit. <p class=\"numblocks num-2\"><span>here goes a number</span>and here text of element</p> 01 Lorem ipsum dolor sit amet, consectetur adipiscing elit. 02 Lorem ipsum dolor sit amet, consectetur adipiscing elit. <p class=\"numblocks num-3\"><span>here goes a number</span>and here text of element</p> 01 Lorem ipsum dolor sit amet, consectetur adipiscing elit. 02 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Blocks Lorem ipsum dolor sit amet, consectetuer adipiscing. Use<div class=\"gkblock-1\">content here... </div> Lorem ipsum dolor sit amet, consectetuer adipiscing. Use <div class=\"gkblock-2\">content here... </div> Lorem ipsum dolor sit amet, consectetuer adipiscing. Use <div class=\"gkblock-3\">content here... </div> Legends Legend Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Use <div class=\"gkLegend1\"> <h4> Title </h4> <p>and here text.</p> </div> Bubbles Lorem ipsum dolor sit amet, consectetuer adipiscing. Use <div class=\"bubble-1\">content here... <cite>Author name</cite></div> Robert Gavick Lorem ipsum dolor sit amet, consectetuer adipiscing. Use <div class=\"bubble-2\">content here... <cite>Author name</cite></div> Robert Gavick Blockquotes Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Use < blockquote><div class=\"gkBlockquote1\"><div> Your quoted text goes here!< /div>< /div>< /blockquote >class=\"gkBlockquote2\"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Use < blockquote><div class=\"gkBlockquote2\"><div> Your quoted text goes here!< /div>< /div>< /blockquote > Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Use < blockquote><div class=\"gkBlockquote3\"><div> Your quoted text goes here!< /div>< /div>< /blockquote > Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Use < blockquote><div class=\"gkBlockquote4\"><div> Your quoted text goes here!< /div>< /div>< /blockquote > Floated blocks <p> Here goes main part of the text <span class=\"gkBlockTextLeft\">Block of text</span>rest of the text</p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congueaugue. Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus. <p> Here goes main part of the text <span class=\"gkBlockTextRight\">Block of text</span>rest of the text</p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus. <p> Here goes main part of the text <span class=\"gkBlockTextCenter\">Block of text</span>rest of the text</p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Donec eget dignissim augue. Donecante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus. Nunc a malesuada felis. Cras ultrices sapien eu nisi elementum non blandit urna sodales. Icons - Font Awesome The Font Awesome is a set of base icons similar to the Glyphicons included with Bootstrap, plus a set of extended icons that include pictograms for external links, thumbs up/down, comments, cogs and more. Font Awesome is licensed under the Creative Commons Attribution 3.0 Unported (CC BY 3.0). More details you can find on project homepage at http://fortawesome.github.com/Font-Awesome Use <i class=\" icon-CLASS_NAME \"></i> content here... Web Application Icons icon-adjust icon-asterisk icon-ban-circle icon-bar-chart icon-barcode icon-beaker icon-beer icon-bell icon-bell-alt icon-bolt icon-book icon-bookmark icon-bookmark-emptyclass=\"icon-briefcase\"> icon-briefcase icon-bullhorn icon-calendar icon-camera icon-camera-retro icon-certificate icon-check icon-check-empty icon-circle icon-circle-blank icon-cloud icon-cloud-download icon-cloud-upload icon-coffee icon-cog icon-cogs icon-comment icon-comment-alt icon-comments icon-comments-alt icon-credit-card icon-dashboard icon-desktop icon-download icon-download-alt icon-edit icon-envelope icon-envelope-alt icon-exchange icon-exclamation-sign icon-external-link icon-eye-close icon-eye-openclass=\"icon-facetime-video\"> icon-facetime-video icon-fighter-jet icon-film icon-filter icon-fire icon-flag icon-folder-close icon-folder-open icon-folder-close-alt icon-folder-open-alt icon-food icon-gift icon-glass icon-globe icon-group icon-hdd icon-headphones icon-heart icon-heart-empty icon-home icon-inbox icon-info-sign icon-key icon-leaf icon-laptop icon-legal icon-lemon icon-lightbulb icon-lock icon-unlock icon-magic icon-magnet icon-map-marker icon-minus icon-minus-signicon-mobile-phone icon-money icon-move icon-music icon-off icon-ok icon-ok-circle icon-ok-sign icon-pencil icon-picture icon-plane icon-plus icon-plus-sign icon-print icon-pushpin icon-qrcode icon-question-sign icon-quote-left icon-quote-right icon-random icon-refresh icon-remove icon-remove-circle icon-remove-sign icon-reorder icon-reply icon-resize-horizontal icon-resize-vertical icon-retweet icon-road icon-rss icon-screenshot icon-search icon-share icon-share-alticon-shopping-cart icon-signal icon-signin icon-signout icon-sitemap icon-sort icon-sort-down icon-sort-up icon-spinner icon-star icon-star-empty icon-star-half icon-tablet icon-tag icon-tags icon-tasks icon-thumbs-down icon-thumbs-up icon-time icon-tint icon-trash icon-trophy icon-truck icon-umbrella icon-upload icon-upload-alt icon-user icon-user-md icon-volume-off icon-volume-down icon-volume-up icon-warning-sign icon-wrench icon-zoom-in icon-zoom-out Text Editor Iconsicon-file icon-file-alt icon-cut icon-copy icon-paste icon-save icon-undo icon-repeat icon-text-height icon-text-width icon-align-left icon-align-center icon-align-right icon-align-justify icon-indent-left icon-indent-right icon-font icon-bold icon-italic icon-strikethrough icon-underline icon-link icon-paper-clip icon-columns icon-table icon-th-large icon-th icon-th-list icon-list icon-list-ol icon-list-ul icon-list-alt Directional Iconsclass=\"demo-typo-col4\"> icon-angle-left icon-angle-right icon-angle-up icon-angle-down icon-arrow-down icon-arrow-left icon-arrow-right icon-arrow-up icon-caret-down icon-caret-left icon-caret-right icon-caret-up icon-chevron-down icon-chevron-left icon-chevron-right icon-chevron-up icon-circle-arrow-down icon-circle-arrow-left icon-circle-arrow-right icon-circle-arrow-up icon-double-angle-left icon-double-angle-right icon-double-angle-up icon-double-angle-down icon-hand-down icon-hand-left icon-hand-rightclass=\"icon-hand-up\"> icon-hand-up icon-circle icon-circle-blank Video Player Icons icon-play-circle icon-play icon-pause icon-stop icon-step-backward icon-fast-backward icon-backward icon-forward icon-fast-forward icon-step-forward icon-eject icon-fullscreen icon-resize-full icon-resize-small Social Icons icon-phone icon-phone-sign icon-facebook icon-facebook-sign icon-twitter icon-twitter-sign icon-github icon-github-altclass=\"demo-typo-col4\"> icon-github-sign icon-linkedin icon-linkedin-sign icon-pinterest icon-pinterest-sign icon-google-plus icon-google-plus-sign icon-sign-blank Medical Icons icon-ambulance icon-beaker icon-h-sign icon-hospital icon-medkit icon-plus-sign-alt icon-stethoscope icon-user-md\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-11 22:34:23\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-11 22:34:23\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(43,'index.php?option=com_content&view=article&id=2','index.php?option=com_content&view=article&id=2:module-positions&catid=7:template&Itemid=107','Module positions','','2013-02-01 12:57:23','bb8811adb9da30b88f7998cd9efd6d3d',1,1,1,'*','2011-01-12 16:57:05','0000-00-00 00:00:00','2011-01-12 16:57:05','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:1:\"2\";s:5:\"alias\";s:16:\"module-positions\";s:7:\"summary\";s:95:\"<p style=\"margin: 0 auto;\"><img src=\"images/demo/module_positions.png\" border=\"0\" alt=\"\" /></p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"7\";s:10:\"created_by\";s:3:\"142\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-02-01 11:57:23\";s:11:\"modified_by\";s:3:\"142\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"8\";s:8:\"ordering\";s:1:\"6\";s:8:\"category\";s:17:\"Template articles\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:18:\"2:module-positions\";s:7:\"catslug\";s:10:\"7:template\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:83:\"index.php/template/template-articles/module-positions/7-template/2-module-positions\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:17:\"Template articles\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:17:\"Template articles\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:46:\"index.php?option=com_content&view=article&id=2\";s:5:\"route\";s:91:\"index.php?option=com_content&view=article&id=2:module-positions&catid=7:template&Itemid=107\";s:5:\"title\";s:16:\"Module positions\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-12 16:57:05\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 16:57:05\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(44,'index.php?option=com_content&view=article&id=3','index.php?option=com_content&view=article&id=3:messages&catid=7:template&Itemid=161','Messages','Joomla! offers three different types of messages. Creatings standard information about Joomla! system is presented depending on a message type as follows: Error This is a sample message Error This is a sample of notice message Error This is a sample of er','2013-02-01 12:57:00','d77b3e40d706e6fcf5cb1c367b5dc054',1,1,1,'*','2011-01-12 17:08:51','0000-00-00 00:00:00','2011-01-12 17:08:51','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:1:\"3\";s:5:\"alias\";s:8:\"messages\";s:7:\"summary\";s:651:\"<p>Joomla! offers three different types of messages. Creatings standard information about Joomla! system is presented depending on a message type as follows:</p>\r\n<p style=\"margin: 43px 0 0;\"> </p>\r\n<dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"message message fade\">\r\n<ul>\r\n<li>This is a sample message</li>\r\n</ul>\r\n</dd></dl><dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"notice message fade\">\r\n<ul>\r\n<li>This is a sample of notice message</li>\r\n</ul>\r\n</dd></dl><dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"error message fade\">\r\n<ul>\r\n<li>This is a sample of error message</li>\r\n</ul>\r\n</dd></dl>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"7\";s:10:\"created_by\";s:3:\"142\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-02-01 11:57:00\";s:11:\"modified_by\";s:3:\"142\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"0\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:2:\"10\";s:8:\"ordering\";s:1:\"5\";s:8:\"category\";s:17:\"Template articles\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:10:\"3:messages\";s:7:\"catslug\";s:10:\"7:template\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:58:\"index.php/template-articles/messages/7-template/3-messages\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:17:\"Template articles\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:17:\"Template articles\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:46:\"index.php?option=com_content&view=article&id=3\";s:5:\"route\";s:83:\"index.php?option=com_content&view=article&id=3:messages&catid=7:template&Itemid=161\";s:5:\"title\";s:8:\"Messages\";s:11:\"description\";s:266:\"Joomla! offers three different types of messages. Creatings standard information about Joomla! system is presented depending on a message type as follows: Error This is a sample message Error This is a sample of notice message Error This is a sample of error message\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-12 17:08:51\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 17:08:51\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(47,'index.php?option=com_content&view=article&id=6','index.php?option=com_content&view=article&id=6:right-column&catid=9:layouts&Itemid=114','Right column','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada','2012-05-14 11:51:03','007906949297531bc9045a40a3fe0546',1,0,1,'*','2011-01-12 19:18:41','0000-00-00 00:00:00','2011-01-12 19:18:41','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:1:\"6\";s:5:\"alias\";s:12:\"right-column\";s:7:\"summary\";s:1183:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"9\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":67:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"1\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"1\";s:8:\"ordering\";s:1:\"8\";s:8:\"category\";s:7:\"Layouts\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:14:\"6:right-column\";s:7:\"catslug\";s:9:\"9:layouts\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:79:\"index.php/template/lorem-ipsum-ii/layouts/right-column/9-layouts/6-right-column\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:7:\"Layouts\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Layouts\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:46:\"index.php?option=com_content&view=article&id=6\";s:5:\"route\";s:86:\"index.php?option=com_content&view=article&id=6:right-column&catid=9:layouts&Itemid=114\";s:5:\"title\";s:12:\"Right column\";s:11:\"description\";s:1176:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-12 19:18:41\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 19:18:41\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(48,'index.php?option=com_content&view=article&id=8','index.php?option=com_content&view=article&id=8:left-column&catid=9:layouts&Itemid=116','Left column','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada','2012-05-14 11:51:03','fbb275d1f1d9389bc2a20c1122805dbe',1,0,1,'*','2011-01-12 19:33:11','0000-00-00 00:00:00','2011-01-12 19:33:11','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:1:\"8\";s:5:\"alias\";s:11:\"left-column\";s:7:\"summary\";s:1183:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"9\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":67:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"1\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"1\";s:8:\"ordering\";s:1:\"6\";s:8:\"category\";s:7:\"Layouts\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:13:\"8:left-column\";s:7:\"catslug\";s:9:\"9:layouts\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:77:\"index.php/template/lorem-ipsum-ii/layouts/left-column/9-layouts/8-left-column\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:7:\"Layouts\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Layouts\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:46:\"index.php?option=com_content&view=article&id=8\";s:5:\"route\";s:85:\"index.php?option=com_content&view=article&id=8:left-column&catid=9:layouts&Itemid=116\";s:5:\"title\";s:11:\"Left column\";s:11:\"description\";s:1176:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-12 19:33:11\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 19:33:11\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(49,'index.php?option=com_content&view=article&id=10','index.php?option=com_content&view=article&id=10:content-inset-left&catid=9:layouts&Itemid=118','Content inset left','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada','2012-05-14 11:51:03','2798a356fe58a10570fe920b92df4ebd',1,0,1,'*','2011-01-12 21:11:22','0000-00-00 00:00:00','2011-01-12 21:11:22','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"10\";s:5:\"alias\";s:18:\"content-inset-left\";s:7:\"summary\";s:1183:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"9\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":67:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"1\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"1\";s:8:\"ordering\";s:1:\"4\";s:8:\"category\";s:7:\"Layouts\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:21:\"10:content-inset-left\";s:7:\"catslug\";s:9:\"9:layouts\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:92:\"index.php/template/lorem-ipsum-ii/layouts/content-inset-left/9-layouts/10-content-inset-left\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:7:\"Layouts\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Layouts\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=10\";s:5:\"route\";s:93:\"index.php?option=com_content&view=article&id=10:content-inset-left&catid=9:layouts&Itemid=118\";s:5:\"title\";s:18:\"Content inset left\";s:11:\"description\";s:1176:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-12 21:11:22\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 21:11:22\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(50,'index.php?option=com_content&view=article&id=11','index.php?option=com_content&view=article&id=11:content-inset-right&catid=9:layouts&Itemid=120','Content inset right','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada','2012-05-14 11:51:03','88dc530c83996398e05d932cc5cb6a06',1,0,1,'*','2011-01-12 21:12:26','0000-00-00 00:00:00','2011-01-12 21:12:26','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"11\";s:5:\"alias\";s:19:\"content-inset-right\";s:7:\"summary\";s:1183:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"9\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":67:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"1\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"1\";s:8:\"ordering\";s:1:\"3\";s:8:\"category\";s:7:\"Layouts\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:22:\"11:content-inset-right\";s:7:\"catslug\";s:9:\"9:layouts\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:94:\"index.php/template/lorem-ipsum-ii/layouts/content-inset-right/9-layouts/11-content-inset-right\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:7:\"Layouts\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Layouts\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=11\";s:5:\"route\";s:94:\"index.php?option=com_content&view=article&id=11:content-inset-right&catid=9:layouts&Itemid=120\";s:5:\"title\";s:19:\"Content inset right\";s:11:\"description\";s:1176:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-12 21:12:26\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 21:12:26\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(51,'index.php?option=com_content&view=article&id=12','index.php?option=com_content&view=article&id=12:content-inset-both&catid=9:layouts&Itemid=119','Content inset both','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada','2012-05-14 11:51:02','9526b12c7717c352881f5da2c47ee0aa',1,0,1,'*','2011-01-12 21:12:26','0000-00-00 00:00:00','2011-01-12 21:12:26','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"12\";s:5:\"alias\";s:18:\"content-inset-both\";s:7:\"summary\";s:1183:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"9\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":67:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"1\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"1\";s:8:\"ordering\";s:1:\"2\";s:8:\"category\";s:7:\"Layouts\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:21:\"12:content-inset-both\";s:7:\"catslug\";s:9:\"9:layouts\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:92:\"index.php/template/lorem-ipsum-ii/layouts/content-inset-both/9-layouts/12-content-inset-both\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:7:\"Layouts\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Layouts\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=12\";s:5:\"route\";s:93:\"index.php?option=com_content&view=article&id=12:content-inset-both&catid=9:layouts&Itemid=119\";s:5:\"title\";s:18:\"Content inset both\";s:11:\"description\";s:1176:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-12 21:12:26\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 21:12:26\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(52,'index.php?option=com_content&view=article&id=13','index.php?option=com_content&view=article&id=13:content-inset--column&catid=9:layouts&Itemid=121','Content inset + column','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada','2012-05-14 11:51:01','f7cdb7d88531580a6d674ebb30df10fe',1,0,1,'*','2011-01-12 22:01:45','0000-00-00 00:00:00','2011-01-12 22:01:45','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"13\";s:5:\"alias\";s:21:\"content-inset--column\";s:7:\"summary\";s:1183:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"9\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":67:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"1\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"1\";s:8:\"ordering\";s:1:\"1\";s:8:\"category\";s:7:\"Layouts\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:24:\"13:content-inset--column\";s:7:\"catslug\";s:9:\"9:layouts\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:97:\"index.php/template/lorem-ipsum-ii/layouts/content-inset-column/9-layouts/13-content-inset--column\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:7:\"Layouts\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Layouts\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=13\";s:5:\"route\";s:96:\"index.php?option=com_content&view=article&id=13:content-inset--column&catid=9:layouts&Itemid=121\";s:5:\"title\";s:22:\"Content inset + column\";s:11:\"description\";s:1176:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-12 22:01:45\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 22:01:45\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(53,'index.php?option=com_content&view=article&id=14','index.php?option=com_content&view=article&id=14:content-inset--column-2x&catid=9:layouts&Itemid=122','Content inset + column (2x)','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada','2012-05-14 11:51:02','ba9aca3ab4a6234fb7ed820fbcece0d7',1,0,1,'*','2011-01-12 22:03:08','0000-00-00 00:00:00','2011-01-12 22:03:08','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"14\";s:5:\"alias\";s:24:\"content-inset--column-2x\";s:7:\"summary\";s:1183:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"9\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":67:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"1\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"1\";s:8:\"ordering\";s:1:\"0\";s:8:\"category\";s:7:\"Layouts\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:27:\"14:content-inset--column-2x\";s:7:\"catslug\";s:9:\"9:layouts\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:103:\"index.php/template/lorem-ipsum-ii/layouts/content-inset-column-2x/9-layouts/14-content-inset--column-2x\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:7:\"Layouts\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Layouts\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=14\";s:5:\"route\";s:99:\"index.php?option=com_content&view=article&id=14:content-inset--column-2x&catid=9:layouts&Itemid=122\";s:5:\"title\";s:27:\"Content inset + column (2x)\";s:11:\"description\";s:1176:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-12 22:03:08\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-12 22:03:08\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(57,'index.php?option=com_content&view=article&id=18','index.php?option=com_content&view=article&id=18:module-variations&catid=7:template&Itemid=127','Module variations','On this page you can see basic suffixes used in this template. 01 For the modules used on the top1-2 and on the bottom1-4 module positions we recommened to use only default module styles or use the same style for ale the modules located on the specific mo','2013-04-30 19:01:52','9c1d99623a99232783b9661ef8691e72',1,1,1,'*','2011-01-13 12:30:01','0000-00-00 00:00:00','2011-01-13 12:30:01','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"18\";s:5:\"alias\";s:17:\"module-variations\";s:7:\"summary\";s:1986:\"<p>On this page you can see basic suffixes used in this template.</p>\r\n<p class=\"numblocks num-3\"><span>01</span>For the modules used on the <strong>top1-2</strong> and on the <strong>bottom1-4</strong> module positions we recommened to use only default module styles or use the same style for ale the modules located on the specific module position.</p>\r\n<p class=\"numblocks num-3\"><span>02</span>The <strong>clear</strong> suffix is very useful to create banners or images without additional borders, margins and paddings. The clear suffix is also very useful inside the <strong>mainbody</strong>, <strong>mainbody_top</strong> and <strong>mainbody_bottom</strong> module positions.</p>\r\n<p class=\"numblocks num-3\"><span>03</span>For the News Show Pro GK5, Tabs GK5 and Image Show GK4 modules please always disable usage of the default CSS styles in the module settings to avoid loading of the unnecessary CSS stylesheets.</p>\r\n<p class=\"numblocks num-3\"><span>04</span>For the News Show Pro GK5 module you can specify suffix <strong>nsptitle30</strong> - <strong>nsptitle90</strong>, then the title width can be changed from 30% (<strong>nsptitle30) to 90% (<strong>nsptitle90</strong>).</strong> For the links titles you can use suffixes: <strong>nsplinktitle30</strong> - <strong>nsplinktitle90</strong></p>\r\n<p class=\"numblocks num-3\"><span>05</span>If you need to achieve the News Show Pro GK5 style with title overlay over the image, please use suffix <strong>overlaywhite</strong> (white title text) or <strong>overlayblack</strong> (black title text). Please also remember to disable in the article structure all other elements than image and header. This style looks best with the links in columns as on our demo.</p>\r\n<p class=\"numblocks num-3\"><span>06</span>If you need to achieve the smaller gaps between columns (default it is 65 pixels) you can use page suffix <strong>gridpage</strong> - then the gap will be set to 14 pixels (as on the frontpage at demo content).</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"7\";s:10:\"created_by\";s:3:\"142\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 17:01:52\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"0\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:2:\"32\";s:8:\"ordering\";s:1:\"4\";s:8:\"category\";s:17:\"Template articles\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:20:\"18:module-variations\";s:7:\"catslug\";s:10:\"7:template\";s:6:\"author\";N;s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:77:\"index.php/template-features/module-variations/7-template/18-module-variations\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:17:\"Template articles\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:17:\"Template articles\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=18\";s:5:\"route\";s:93:\"index.php?option=com_content&view=article&id=18:module-variations&catid=7:template&Itemid=127\";s:5:\"title\";s:17:\"Module variations\";s:11:\"description\";s:1465:\"On this page you can see basic suffixes used in this template. 01 For the modules used on the top1-2 and on the bottom1-4 module positions we recommened to use only default module styles or use the same style for ale the modules located on the specific module position. 02 The clear suffix is very useful to create banners or images without additional borders, margins and paddings. The clear suffix is also very useful inside the mainbody , mainbody_top and mainbody_bottom module positions. 03 For the News Show Pro GK5, Tabs GK5 and Image Show GK4 modules please always disable usage of the default CSS styles in the module settings to avoid loading of the unnecessary CSS stylesheets. 04 For the News Show Pro GK5 module you can specify suffix nsptitle30 - nsptitle90 , then the title width can be changed from 30% ( nsptitle30) to 90% ( nsptitle90 ). For the links titles you can use suffixes: nsplinktitle30 - nsplinktitle90 05 If you need to achieve the News Show Pro GK5 style with title overlay over the image, please use suffix overlaywhite (white title text) or overlayblack (black title text). Please also remember to disable in the article structure all other elements than image and header. This style looks best with the links in columns as on our demo. 06 If you need to achieve the smaller gaps between columns (default it is 65 pixels) you can use page suffix gridpage - then the gap will be set to 14 pixels (as on the frontpage at demo content).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-01-13 12:30:01\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 12:30:01\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(58,'index.php?option=com_content&view=article&id=19','index.php?option=com_content&view=article&id=19:archive-article-i&catid=2:uncategorised','Archive article I','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tort','2012-03-14 23:55:09','ff079026e375b362d87126462fbf75cb',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-13 16:01:40','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"19\";s:5:\"alias\";s:17:\"archive-article-i\";s:7:\"summary\";s:1924:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"2\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":66:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"0\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"1\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"1\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"0\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"0\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"1\";s:8:\"ordering\";s:1:\"3\";s:8:\"category\";s:13:\"Uncategorised\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:20:\"19:archive-article-i\";s:7:\"catslug\";s:15:\"2:uncategorised\";s:6:\"author\";s:10:\"Super User\";s:4:\"mime\";N;s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:72:\"index.php/component/content/article/2-uncategorised/19-archive-article-i\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:13:\"Uncategorised\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:13:\"Uncategorised\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=19\";s:5:\"route\";s:87:\"index.php?option=com_content&view=article&id=19:archive-article-i&catid=2:uncategorised\";s:5:\"title\";s:17:\"Archive article I\";s:11:\"description\";s:1905:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 16:01:40\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(59,'index.php?option=com_content&view=article&id=20','index.php?option=com_content&view=article&id=20:archive-article-ii&catid=2:uncategorised','Archive article II','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tort','2012-03-14 23:55:09','212011586e6473dd40d2722ba5356c86',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-13 16:01:40','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"20\";s:5:\"alias\";s:18:\"archive-article-ii\";s:7:\"summary\";s:1924:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"2\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":66:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"0\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"1\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"1\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"0\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"0\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"1\";s:8:\"ordering\";s:1:\"2\";s:8:\"category\";s:13:\"Uncategorised\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:21:\"20:archive-article-ii\";s:7:\"catslug\";s:15:\"2:uncategorised\";s:6:\"author\";s:10:\"Super User\";s:4:\"mime\";N;s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:73:\"index.php/component/content/article/2-uncategorised/20-archive-article-ii\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:13:\"Uncategorised\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:13:\"Uncategorised\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=20\";s:5:\"route\";s:88:\"index.php?option=com_content&view=article&id=20:archive-article-ii&catid=2:uncategorised\";s:5:\"title\";s:18:\"Archive article II\";s:11:\"description\";s:1905:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 16:01:40\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(60,'index.php?option=com_content&view=article&id=21','index.php?option=com_content&view=article&id=21:archive-article-iii&catid=2:uncategorised','Archive article III','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tort','2012-03-14 23:55:10','c88943fab3f6e693ef98a124d776c244',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-01-13 16:01:40','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"21\";s:5:\"alias\";s:19:\"archive-article-iii\";s:7:\"summary\";s:1924:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"2\";s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":66:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"0\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"1\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"1\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"0\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"0\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"1\";s:8:\"ordering\";s:1:\"1\";s:8:\"category\";s:13:\"Uncategorised\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:22:\"21:archive-article-iii\";s:7:\"catslug\";s:15:\"2:uncategorised\";s:6:\"author\";s:10:\"Super User\";s:4:\"mime\";N;s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:74:\"index.php/component/content/article/2-uncategorised/21-archive-article-iii\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:13:\"Uncategorised\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:13:\"Uncategorised\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=21\";s:5:\"route\";s:89:\"index.php?option=com_content&view=article&id=21:archive-article-iii&catid=2:uncategorised\";s:5:\"title\";s:19:\"Archive article III\";s:11:\"description\";s:1905:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-01-13 16:01:40\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(64,'index.php?option=com_content&view=article&id=56','index.php?option=com_content&view=article&id=56:page-break-example&catid=7:template&Itemid=272','Page break example','Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl','2013-02-01 12:57:47','541814ded119050cc4d8f8b01c048138',1,1,1,'*','2011-09-10 19:01:23','0000-00-00 00:00:00','2011-09-10 19:01:23','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"56\";s:5:\"alias\";s:18:\"page-break-example\";s:7:\"summary\";s:914:\"<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Donec sed odio dui. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Etiam porta sem malesuada magna mollis euismod. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n\";s:4:\"body\";s:5072:\"\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<hr title=\"First Page\" alt=\"first-page\" class=\"system-pagebreak\" />\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. Vestibulum id ligula porta felis euismod semper. Donec id elit non mi porta gravida at eget metus. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n<hr title=\"Second Page\" alt=\"second-page\" class=\"system-pagebreak\" />\r\n<p>Donec sed odio dui. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Etiam porta sem malesuada magna mollis euismod. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. Vestibulum id ligula porta felis euismod semper. Donec id elit non mi porta gravida at eget metus. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Donec id elit non mi porta gravida at eget metus.</p>\r\n<hr title=\"Third Page\" alt=\"third-page\" class=\"system-pagebreak\" />\r\n<p>Maecenas faucibus mollis interdum. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>\r\n<p>Vestibulum id ligula porta felis euismod semper. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec id elit non mi porta gravida at eget metus.</p>\r\n<hr title=\"Fourth Page\" alt=\"fourth-page\" class=\"system-pagebreak\" />\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Sed posuere consectetur est at lobortis. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.</p>\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Aenean lacinia bibendum nulla sed consectetur.</p>\r\n<p>Vestibulum id ligula porta felis euismod semper. Donec ullamcorper nulla non metus auctor fringilla. Curabitur blandit tempus porttitor. Donec id elit non mi porta gravida at eget metus. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\";s:5:\"catid\";s:1:\"7\";s:10:\"created_by\";s:3:\"142\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-02-01 11:57:47\";s:11:\"modified_by\";s:3:\"142\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"4\";s:8:\"ordering\";s:1:\"3\";s:8:\"category\";s:17:\"Template articles\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:21:\"56:page-break-example\";s:7:\"catslug\";s:10:\"7:template\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:81:\"index.php/template/template-articles/page-breaks/7-template/56-page-break-example\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:17:\"Template articles\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:17:\"Template articles\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=56\";s:5:\"route\";s:94:\"index.php?option=com_content&view=article&id=56:page-break-example&catid=7:template&Itemid=272\";s:5:\"title\";s:18:\"Page break example\";s:11:\"description\";s:889:\"Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis. Donec sed odio dui. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Etiam porta sem malesuada magna mollis euismod. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-09-10 19:01:23\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-09-10 19:01:23\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(65,'index.php?option=com_content&view=article&id=57','index.php?option=com_content&view=article&id=57:page-break&catid=7:template&Itemid=195','Page Break','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit amet mi.','2013-02-01 12:57:39','f00fbb044d2bdc12222a869de647df66',1,1,1,'*','2011-09-14 10:10:05','0000-00-00 00:00:00','2011-09-14 10:10:05','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"57\";s:5:\"alias\";s:10:\"page-break\";s:7:\"summary\";s:3584:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit amet mi. Quisque ultrices, neque et laoreet dictum, arcu sapien pulvinar odio, in aliquam mi dui eu leo. Nullam posuere, arcu et egestas fermentum, enim purus fermentum diam, quis porta mauris lectus ut odio. In tincidunt dapibus malesuada. Integer a lorem ligula. In tincidunt augue eget velit convallis nec pharetra eros tincidunt. Maecenas et tortor libero, vel malesuada est.</p>\r\n<p>Quisque magna tellus, condimentum a porttitor eu, fermentum nec enim. Aenean et erat nec lectus adipiscing auctor. Sed tellus sapien, condimentum eget tristique ac, faucibus sed nisi. Curabitur pretium porta pulvinar. Integer cursus venenatis dictum. Morbi massa est, ultricies ut ultrices vitae, hendrerit vitae tellus. Duis a nulla quis tellus lacinia tristique.</p>\r\n<hr title=\"Page 1\" alt=\"page1\" class=\"system-pagebreak\" />\r\n<p>Donec libero urna, cursus vitae sollicitudin sit amet, elementum et massa. Donec feugiat, turpis a dictum vulputate, dui diam faucibus nunc, ac sodales augue magna id augue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sit amet nisi felis. Morbi faucibus nunc id elit aliquam ac condimentum leo laoreet. Sed nec risus sed nulla mattis volutpat in eget diam. In leo nisl, eleifend vel lobortis vel, tincidunt a ligula. Nulla placerat gravida laoreet. In lobortis, ligula in sagittis pellentesque, orci magna venenatis neque, eu sagittis lacus ante et tellus. Morbi vel semper augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam erat volutpat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit amet mi. Quisque ultrices, neque et laoreet dictum, arcu sapien pulvinar odio, in aliquam mi dui eu leo. Nullam posuere, arcu et egestas fermentum, enim purus fermentum diam, quis porta mauris lectus ut odio. In tincidunt dapibus malesuada. Integer a lorem ligula. In tincidunt augue eget velit convallis nec pharetra eros tincidunt. Maecenas et tortor libero, vel malesuada est.</p>\r\n<hr title=\"Page 2\" alt=\"page2\" class=\"system-pagebreak\" />\r\n<p>Quisque magna tellus, condimentum a porttitor eu, fermentum nec enim. Aenean et erat nec lectus adipiscing auctor. Sed tellus sapien, condimentum eget tristique ac, faucibus sed nisi. Curabitur pretium porta pulvinar. Integer cursus venenatis dictum. Morbi massa est, ultricies ut ultrices vitae, hendrerit vitae tellus. Duis a nulla quis tellus lacinia tristique.</p>\r\n<p>Donec libero urna, cursus vitae sollicitudin sit amet, elementum et massa. Donec feugiat, turpis a dictum vulputate, dui diam faucibus nunc, ac sodales augue magna id augue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sit amet nisi felis. Morbi faucibus nunc id elit aliquam ac condimentum leo laoreet. Sed nec risus sed nulla mattis volutpat in eget diam. In leo nisl, eleifend vel lobortis vel, tincidunt a ligula. Nulla placerat gravida laoreet. In lobortis, ligula in sagittis pellentesque, orci magna venenatis neque, eu sagittis lacus ante et tellus. Morbi vel semper augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam erat volutpat.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:1:\"7\";s:10:\"created_by\";s:3:\"142\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-02-01 11:57:39\";s:11:\"modified_by\";s:3:\"142\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"0\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"2\";s:8:\"ordering\";s:1:\"2\";s:8:\"category\";s:17:\"Template articles\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:13:\"57:page-break\";s:7:\"catslug\";s:10:\"7:template\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:65:\"index.php/joomla-pages-iii/category-list/7-template/57-page-break\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:17:\"Template articles\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:17:\"Template articles\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=57\";s:5:\"route\";s:86:\"index.php?option=com_content&view=article&id=57:page-break&catid=7:template&Itemid=195\";s:5:\"title\";s:10:\"Page Break\";s:11:\"description\";s:3416:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit amet mi. Quisque ultrices, neque et laoreet dictum, arcu sapien pulvinar odio, in aliquam mi dui eu leo. Nullam posuere, arcu et egestas fermentum, enim purus fermentum diam, quis porta mauris lectus ut odio. In tincidunt dapibus malesuada. Integer a lorem ligula. In tincidunt augue eget velit convallis nec pharetra eros tincidunt. Maecenas et tortor libero, vel malesuada est. Quisque magna tellus, condimentum a porttitor eu, fermentum nec enim. Aenean et erat nec lectus adipiscing auctor. Sed tellus sapien, condimentum eget tristique ac, faucibus sed nisi. Curabitur pretium porta pulvinar. Integer cursus venenatis dictum. Morbi massa est, ultricies ut ultrices vitae, hendrerit vitae tellus. Duis a nulla quis tellus lacinia tristique. Donec libero urna, cursus vitae sollicitudin sit amet, elementum et massa. Donec feugiat, turpis a dictum vulputate, dui diam faucibus nunc, ac sodales augue magna id augue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sit amet nisi felis. Morbi faucibus nunc id elit aliquam ac condimentum leo laoreet. Sed nec risus sed nulla mattis volutpat in eget diam. In leo nisl, eleifend vel lobortis vel, tincidunt a ligula. Nulla placerat gravida laoreet. In lobortis, ligula in sagittis pellentesque, orci magna venenatis neque, eu sagittis lacus ante et tellus. Morbi vel semper augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit ametmi. Quisque ultrices, neque et laoreet dictum, arcu sapien pulvinar odio, in aliquam mi dui eu leo. Nullam posuere, arcu et egestas fermentum, enim purus fermentum diam, quis porta mauris lectus ut odio. In tincidunt dapibus malesuada. Integer a lorem ligula. In tincidunt augue eget velit convallis nec pharetra eros tincidunt. Maecenas et tortor libero, vel malesuada est. Quisque magna tellus, condimentum a porttitor eu, fermentum nec enim. Aenean et erat nec lectus adipiscing auctor. Sed tellus sapien, condimentum eget tristique ac, faucibus sed nisi. Curabitur pretium porta pulvinar. Integer cursus venenatis dictum. Morbi massa est, ultricies ut ultrices vitae, hendrerit vitae tellus. Duis a nulla quis tellus lacinia tristique. Donec libero urna, cursus vitae sollicitudin sit amet, elementum et massa. Donec feugiat, turpis a dictum vulputate, dui diam faucibus nunc, ac sodales augue magna id augue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sit amet nisi felis. Morbi faucibus nunc id elit aliquam ac condimentum leo laoreet. Sed nec risus sed nulla mattis volutpat in eget diam. In leo nisl, eleifend vel lobortis vel, tincidunt a ligula. Nulla placerat gravida laoreet. In lobortis, ligula in sagittis pellentesque, orci magna venenatis neque, eu sagittis lacus ante et tellus. Morbi vel semper augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam erat volutpat.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2011-09-14 10:10:05\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2011-09-14 10:10:05\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(70,'index.php?option=com_content&view=article&id=66','index.php?option=com_content&view=article&id=66:welcome-to-our-new-web-site&catid=32:demo-content&Itemid=422',' Welcome to our new web site ','Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.','2013-04-30 23:44:11','74c043441b13aeb2ddaeeb86880b3b37',1,1,1,'*','2012-02-04 19:37:14','0000-00-00 00:00:00','2012-02-04 19:37:14','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"66\";s:5:\"alias\";s:27:\"welcome-to-our-new-web-site\";s:7:\"summary\";s:256:\"<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n\";s:4:\"body\";s:913:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"142\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:44:11\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:2:\"36\";s:8:\"ordering\";s:1:\"5\";s:8:\"category\";s:12:\"Demo content\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:30:\"66:welcome-to-our-new-web-site\";s:7:\"catslug\";s:15:\"32:demo-content\";s:6:\"author\";N;s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:88:\"index.php/template/articles/category-list/32-demo-content/66-welcome-to-our-new-web-site\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:12:\"Demo content\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:12:\"Demo content\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=66\";s:5:\"route\";s:108:\"index.php?option=com_content&view=article&id=66:welcome-to-our-new-web-site&catid=32:demo-content&Itemid=422\";s:5:\"title\";s:29:\" Welcome to our new web site \";s:11:\"description\";s:247:\"Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-04 19:37:14\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-04 19:37:14\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(71,'index.php?option=com_content&view=article&id=67','index.php?option=com_content&view=article&id=67:scorpions-for-a-short-spell&catid=32:demo-content&Itemid=419','SCORPIONS for a short spell','Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.','2013-04-30 23:46:36','d3195a565bfe5aa8447f888821736862',1,1,1,'*','2012-02-04 19:37:42','0000-00-00 00:00:00','2012-02-04 19:37:42','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"67\";s:5:\"alias\";s:27:\"scorpions-for-a-short-spell\";s:7:\"summary\";s:256:\"<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n\";s:4:\"body\";s:913:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"142\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:46:36\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:2:\"48\";s:8:\"ordering\";s:1:\"3\";s:8:\"category\";s:12:\"Demo content\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:30:\"67:scorpions-for-a-short-spell\";s:7:\"catslug\";s:15:\"32:demo-content\";s:6:\"author\";N;s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:89:\"index.php/template/articles/single-article/32-demo-content/67-scorpions-for-a-short-spell\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:12:\"Demo content\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:12:\"Demo content\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=67\";s:5:\"route\";s:108:\"index.php?option=com_content&view=article&id=67:scorpions-for-a-short-spell&catid=32:demo-content&Itemid=419\";s:5:\"title\";s:27:\"SCORPIONS for a short spell\";s:11:\"description\";s:247:\"Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-04 19:37:42\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-04 19:37:42\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(73,'index.php?option=com_newsfeeds&view=newsfeed&id=1','index.php?option=com_newsfeeds&view=newsfeed&id=1:gavickpro-news&catid=14:gavickpro&Itemid=434','GavickPro News','','2012-03-14 23:55:14','29a86b95764080f9f0308a8462090af9',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-03-14 22:54:46','0000-00-00 00:00:00',0,0,5,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:22:{s:2:\"id\";s:1:\"1\";s:5:\"catid\";s:2:\"14\";s:5:\"alias\";s:14:\"gavickpro-news\";s:4:\"link\";s:60:\"http://www.gavickmagazine.com/index.php?format=feed&type=rss\";s:8:\"ordering\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":6:{s:15:\"show_feed_image\";s:0:\"\";s:21:\"show_feed_description\";s:0:\"\";s:21:\"show_item_description\";s:0:\"\";s:20:\"feed_character_count\";s:1:\"0\";s:15:\"newsfeed_layout\";s:0:\"\";s:18:\"feed_display_order\";s:0:\"\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"rights\";s:0:\"\";}}s:10:\"created_by\";s:2:\"42\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:8:\"category\";s:9:\"GavickPro\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:16:\"1:gavickpro-news\";s:7:\"catslug\";s:12:\"14:gavickpro\";s:4:\"mime\";N;s:6:\"layout\";s:8:\"newsfeed\";s:4:\"path\";s:87:\"index.php/template/lorem-ipsum/newsfeeds/single-news-feed/14-gavickpro/1-gavickpro-news\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:9:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";i:8;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:9:\"News Feed\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"News Feed\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:9:\"GavickPro\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"GavickPro\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:49:\"index.php?option=com_newsfeeds&view=newsfeed&id=1\";s:5:\"route\";s:94:\"index.php?option=com_newsfeeds&view=newsfeed&id=1:gavickpro-news&catid=14:gavickpro&Itemid=434\";s:5:\"title\";s:14:\"GavickPro News\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";s:1:\"1\";s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-14 22:54:46\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:5;}'),(74,'index.php?option=com_weblinks&view=weblink&id=1','index.php?option=com_weblinks&view=weblink&id=1:gavickpro-demo&catid=13:gavick&Itemid=184','GavickPro Demo','','2012-03-14 23:56:57','78bad0f7bb52d2acce4fab23d6d60064',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-03-14 22:56:57','0000-00-00 00:00:00',0,0,6,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:22:{s:2:\"id\";s:1:\"1\";s:5:\"catid\";s:2:\"13\";s:5:\"alias\";s:14:\"gavickpro-demo\";s:4:\"link\";s:22:\"http://demo.gavick.com\";s:7:\"summary\";s:0:\"\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"rights\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:8:\"approved\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"target\";s:0:\"\";s:5:\"width\";s:0:\"\";s:6:\"height\";s:0:\"\";s:12:\"count_clicks\";s:0:\"\";}}s:8:\"category\";s:9:\"GavickPro\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:16:\"1:gavickpro-demo\";s:7:\"catslug\";s:9:\"13:gavick\";s:6:\"layout\";s:7:\"weblink\";s:4:\"path\";s:77:\"index.php/joomla-pages-ii/news-feeds-in-a-category/13-gavick/1-gavickpro-demo\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:9:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";i:8;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:8:\"Web Link\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Web Link\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:9:\"GavickPro\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"GavickPro\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_weblinks&view=weblink&id=1\";s:5:\"route\";s:89:\"index.php?option=com_weblinks&view=weblink&id=1:gavickpro-demo&catid=13:gavick&Itemid=184\";s:5:\"title\";s:14:\"GavickPro Demo\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";s:1:\"1\";s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-14 22:56:57\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:6;}'),(75,'index.php?option=com_weblinks&view=weblink&id=2','index.php?option=com_weblinks&view=weblink&id=2:gavickpro-facebook&catid=13:gavick&Itemid=184','GavickPro Facebook','','2012-03-14 23:57:23','4dc7cf8cf4d76cc283a713fc869ca5d1',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-03-14 22:57:23','0000-00-00 00:00:00',0,0,6,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:22:{s:2:\"id\";s:1:\"2\";s:5:\"catid\";s:2:\"13\";s:5:\"alias\";s:18:\"gavickpro-facebook\";s:4:\"link\";s:33:\"http://www.facebook.com/gavickpro\";s:7:\"summary\";s:0:\"\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"rights\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:8:\"approved\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"target\";s:0:\"\";s:5:\"width\";s:0:\"\";s:6:\"height\";s:0:\"\";s:12:\"count_clicks\";s:0:\"\";}}s:8:\"category\";s:9:\"GavickPro\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:20:\"2:gavickpro-facebook\";s:7:\"catslug\";s:9:\"13:gavick\";s:6:\"layout\";s:7:\"weblink\";s:4:\"path\";s:81:\"index.php/joomla-pages-ii/news-feeds-in-a-category/13-gavick/2-gavickpro-facebook\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:9:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";i:8;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:8:\"Web Link\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Web Link\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:9:\"GavickPro\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"GavickPro\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_weblinks&view=weblink&id=2\";s:5:\"route\";s:93:\"index.php?option=com_weblinks&view=weblink&id=2:gavickpro-facebook&catid=13:gavick&Itemid=184\";s:5:\"title\";s:18:\"GavickPro Facebook\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";s:1:\"1\";s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-14 22:57:23\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:6;}'),(76,'index.php?option=com_weblinks&view=weblink&id=3','index.php?option=com_weblinks&view=weblink&id=3:gavickpro-homepage&catid=13:gavick&Itemid=184','GavickPro Homepage','','2012-03-14 23:57:51','52b156b569d76fe1bac8eae681b04307',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-03-14 22:57:51','0000-00-00 00:00:00',0,0,6,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:22:{s:2:\"id\";s:1:\"3\";s:5:\"catid\";s:2:\"13\";s:5:\"alias\";s:18:\"gavickpro-homepage\";s:4:\"link\";s:21:\"http://www.gavick.com\";s:7:\"summary\";s:0:\"\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"rights\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:8:\"approved\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"target\";s:0:\"\";s:5:\"width\";s:0:\"\";s:6:\"height\";s:0:\"\";s:12:\"count_clicks\";s:0:\"\";}}s:8:\"category\";s:9:\"GavickPro\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:20:\"3:gavickpro-homepage\";s:7:\"catslug\";s:9:\"13:gavick\";s:6:\"layout\";s:7:\"weblink\";s:4:\"path\";s:81:\"index.php/joomla-pages-ii/news-feeds-in-a-category/13-gavick/3-gavickpro-homepage\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:9:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";i:8;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:8:\"Web Link\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Web Link\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:9:\"GavickPro\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"GavickPro\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_weblinks&view=weblink&id=3\";s:5:\"route\";s:93:\"index.php?option=com_weblinks&view=weblink&id=3:gavickpro-homepage&catid=13:gavick&Itemid=184\";s:5:\"title\";s:18:\"GavickPro Homepage\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";s:1:\"1\";s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-14 22:57:51\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:6;}'),(77,'index.php?option=com_weblinks&view=weblink&id=4','index.php?option=com_weblinks&view=weblink&id=4:gavickpro-magazine&catid=13:gavick&Itemid=184','GavickPro Magazine','','2012-03-14 23:58:30','94bfc34e0dacf079408caa3f4fc8c32d',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-03-14 22:58:30','0000-00-00 00:00:00',0,0,6,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:22:{s:2:\"id\";s:1:\"4\";s:5:\"catid\";s:2:\"13\";s:5:\"alias\";s:18:\"gavickpro-magazine\";s:4:\"link\";s:29:\"http://www.gavickmagazine.com\";s:7:\"summary\";s:0:\"\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"rights\";s:0:\"\";}}s:8:\"ordering\";s:1:\"4\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:8:\"approved\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"target\";s:0:\"\";s:5:\"width\";s:0:\"\";s:6:\"height\";s:0:\"\";s:12:\"count_clicks\";s:0:\"\";}}s:8:\"category\";s:9:\"GavickPro\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:20:\"4:gavickpro-magazine\";s:7:\"catslug\";s:9:\"13:gavick\";s:6:\"layout\";s:7:\"weblink\";s:4:\"path\";s:81:\"index.php/joomla-pages-ii/news-feeds-in-a-category/13-gavick/4-gavickpro-magazine\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:9:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";i:8;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:8:\"Web Link\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Web Link\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:9:\"GavickPro\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"GavickPro\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_weblinks&view=weblink&id=4\";s:5:\"route\";s:93:\"index.php?option=com_weblinks&view=weblink&id=4:gavickpro-magazine&catid=13:gavick&Itemid=184\";s:5:\"title\";s:18:\"GavickPro Magazine\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";s:1:\"1\";s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-14 22:58:30\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:6;}'),(78,'index.php?option=com_weblinks&view=weblink&id=5','index.php?option=com_weblinks&view=weblink&id=5:gavickpro-rss-news&catid=13:gavick&Itemid=184','GavickPro RSS & News','','2012-03-14 23:58:54','7f554fedb765a52bb5802c4aec80e52d',1,1,1,'*','0000-00-00 00:00:00','0000-00-00 00:00:00','2012-03-14 22:58:54','0000-00-00 00:00:00',0,0,6,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:22:{s:2:\"id\";s:1:\"5\";s:5:\"catid\";s:2:\"13\";s:5:\"alias\";s:18:\"gavickpro-rss-news\";s:4:\"link\";s:60:\"http://www.gavickmagazine.com/index.php?format=feed&type=rss\";s:7:\"summary\";s:0:\"\";s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"rights\";s:0:\"\";}}s:8:\"ordering\";s:1:\"5\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:8:\"approved\";s:1:\"1\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"target\";s:0:\"\";s:5:\"width\";s:0:\"\";s:6:\"height\";s:0:\"\";s:12:\"count_clicks\";s:0:\"\";}}s:8:\"category\";s:9:\"GavickPro\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:20:\"5:gavickpro-rss-news\";s:7:\"catslug\";s:9:\"13:gavick\";s:6:\"layout\";s:7:\"weblink\";s:4:\"path\";s:81:\"index.php/joomla-pages-ii/news-feeds-in-a-category/13-gavick/5-gavickpro-rss-news\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:9:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:4:\"link\";i:4;s:7:\"metakey\";i:5;s:8:\"metadesc\";i:6;s:10:\"metaauthor\";i:7;s:6:\"author\";i:8;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:8:\"Web Link\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Web Link\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:9:\"GavickPro\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"GavickPro\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_weblinks&view=weblink&id=5\";s:5:\"route\";s:93:\"index.php?option=com_weblinks&view=weblink&id=5:gavickpro-rss-news&catid=13:gavick&Itemid=184\";s:5:\"title\";s:20:\"GavickPro RSS & News\";s:11:\"description\";s:0:\"\";s:9:\"published\";N;s:5:\"state\";s:1:\"1\";s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"0000-00-00 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-03-14 22:58:54\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:6;}'),(220,'index.php?option=com_k2&view=item&id=220','index.php?option=com_k2&view=item&id=220:htda-new-trent-reznor-project&Itemid=674','HTDA: New Trent Reznor Project','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:38:19','094bafa6dddf596d7dcc21950311d765',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 16:48:41','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"220\";s:5:\"alias\";s:29:\"htda-new-trent-reznor-project\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:38:16\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:9:\"Band News\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:33:\"220:htda-new-trent-reznor-project\";s:7:\"catslug\";s:12:\"32:band-news\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:75:\"index.php/k2/k2-categories/band-news/item/220-htda-new-trent-reznor-project\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:9:\"Band News\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"Band News\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=220\";s:5:\"route\";s:81:\"index.php?option=com_k2&view=item&id=220:htda-new-trent-reznor-project&Itemid=674\";s:5:\"title\";s:30:\"HTDA: New Trent Reznor Project\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 16:48:41\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(221,'index.php?option=com_k2&view=item&id=221','index.php?option=com_k2&view=item&id=221:ryan-tedder-the-mastermind-hits&Itemid=674','Ryan Tedder the mastermind hits','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:37:41','567f9bef926dd68035845e9bb0de1b36',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 16:48:44','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"221\";s:5:\"alias\";s:31:\"ryan-tedder-the-mastermind-hits\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:37:38\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:9:\"Band News\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:35:\"221:ryan-tedder-the-mastermind-hits\";s:7:\"catslug\";s:12:\"32:band-news\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:77:\"index.php/k2/k2-categories/band-news/item/221-ryan-tedder-the-mastermind-hits\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:9:\"Band News\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"Band News\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=221\";s:5:\"route\";s:83:\"index.php?option=com_k2&view=item&id=221:ryan-tedder-the-mastermind-hits&Itemid=674\";s:5:\"title\";s:31:\"Ryan Tedder the mastermind hits\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 16:48:44\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(121,'index.php?option=com_content&view=article&id=71','index.php?option=com_content&view=article&id=71:the-show-starts-today&catid=32:demo-content&Itemid=422','The Show starts today','Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.','2013-04-30 23:46:52','df4ec6b223f9947d8d2c740745062dff',1,1,1,'*','2012-02-04 19:37:42','0000-00-00 00:00:00','2012-02-04 19:37:42','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"71\";s:5:\"alias\";s:21:\"the-show-starts-today\";s:7:\"summary\";s:256:\"<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n\";s:4:\"body\";s:913:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"142\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:46:52\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:2:\"32\";s:8:\"ordering\";s:1:\"4\";s:8:\"category\";s:12:\"Demo content\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:24:\"71:the-show-starts-today\";s:7:\"catslug\";s:15:\"32:demo-content\";s:6:\"author\";N;s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:82:\"index.php/template/articles/category-list/32-demo-content/71-the-show-starts-today\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:12:\"Demo content\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:12:\"Demo content\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=71\";s:5:\"route\";s:102:\"index.php?option=com_content&view=article&id=71:the-show-starts-today&catid=32:demo-content&Itemid=422\";s:5:\"title\";s:21:\"The Show starts today\";s:11:\"description\";s:247:\"Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-02-04 19:37:42\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-02-04 19:37:42\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(146,'index.php?option=com_content&view=article&id=72','index.php?option=com_content&view=article&id=72:mobile-layout-ui-design&catid=32:demo-content&Itemid=422',' Mobile layout UI design ','Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.','2013-04-30 23:43:39','392bdc875cfe9dcb6bc22865821e735a',1,0,1,'*','2012-08-29 23:04:08','0000-00-00 00:00:00','2012-08-29 23:04:08','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"72\";s:5:\"alias\";s:23:\"mobile-layout-ui-design\";s:7:\"summary\";s:256:\"<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n\";s:4:\"body\";s:913:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"142\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-03-02 02:59:27\";s:11:\"modified_by\";s:3:\"934\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:2:\"23\";s:8:\"ordering\";s:1:\"6\";s:8:\"category\";s:12:\"Demo content\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:26:\"72:mobile-layout-ui-design\";s:7:\"catslug\";s:15:\"32:demo-content\";s:6:\"author\";N;s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:84:\"index.php/template/articles/category-list/32-demo-content/72-mobile-layout-ui-design\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:3:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:12:\"Demo content\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:12:\"Demo content\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=72\";s:5:\"route\";s:104:\"index.php?option=com_content&view=article&id=72:mobile-layout-ui-design&catid=32:demo-content&Itemid=422\";s:5:\"title\";s:25:\" Mobile layout UI design \";s:11:\"description\";s:247:\"Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.\";s:9:\"published\";N;s:5:\"state\";i:0;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2012-08-29 23:04:08\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2012-08-29 23:04:08\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(208,'index.php?option=com_k2&view=item&id=218','index.php?option=com_k2&view=item&id=218:the-wanted-s-third-studio-album&Itemid=667','The Wanted\'s third studio album','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:36:55','d93f7c55107628da8b14cb3d106d1384',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-03-01 10:09:00','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"218\";s:5:\"alias\";s:31:\"the-wanted-s-third-studio-album\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"31\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:36:52\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:10:\"New Albums\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:35:\"218:the-wanted-s-third-studio-album\";s:7:\"catslug\";s:13:\"31:new-albums\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:61:\"index.php/k2/k2-item/item/218-the-wanted-s-third-studio-album\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:10:\"New Albums\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"New Albums\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=218\";s:5:\"route\";s:83:\"index.php?option=com_k2&view=item&id=218:the-wanted-s-third-studio-album&Itemid=667\";s:5:\"title\";s:31:\"The Wanted\'s third studio album\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-03-01 10:09:00\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(219,'index.php?option=com_k2&view=item&id=219','index.php?option=com_k2&view=item&id=219:valora-i-waited-for-you-video&Itemid=674','Valora \"I Waited For You\" video','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:38:00','29303f3be7613aaeac80313c72f33a51',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 16:46:47','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"219\";s:5:\"alias\";s:29:\"valora-i-waited-for-you-video\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:37:57\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"4\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:9:\"Band News\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:33:\"219:valora-i-waited-for-you-video\";s:7:\"catslug\";s:12:\"32:band-news\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:75:\"index.php/k2/k2-categories/band-news/item/219-valora-i-waited-for-you-video\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:9:\"Band News\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"Band News\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=219\";s:5:\"route\";s:81:\"index.php?option=com_k2&view=item&id=219:valora-i-waited-for-you-video&Itemid=674\";s:5:\"title\";s:31:\"Valora \"I Waited For You\" video\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 16:46:47\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(222,'index.php?option=com_k2&view=item&id=222','index.php?option=com_k2&view=item&id=222:bono-larger-than-life-personality&Itemid=674','Bono larger than life personality','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:37:20','1c8b879cd0f26867f211cd2266f4f704',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 16:48:49','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"222\";s:5:\"alias\";s:33:\"bono-larger-than-life-personality\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:37:17\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:9:\"Band News\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:37:\"222:bono-larger-than-life-personality\";s:7:\"catslug\";s:12:\"32:band-news\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:79:\"index.php/k2/k2-categories/band-news/item/222-bono-larger-than-life-personality\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:9:\"Band News\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"Band News\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=222\";s:5:\"route\";s:85:\"index.php?option=com_k2&view=item&id=222:bono-larger-than-life-personality&Itemid=674\";s:5:\"title\";s:33:\"Bono larger than life personality\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 16:48:49\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(227,'index.php?option=com_k2&view=item&id=227','index.php?option=com_k2&view=item&id=227:sweet-voice-stage-named-joss-stone&Itemid=668','Sweet voice stage named Joss Stone','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:42:37','4ee0a389e0b0babc93c6fa748104107e',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 17:45:02','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"227\";s:5:\"alias\";s:34:\"sweet-voice-stage-named-joss-stone\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"34\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:42:34\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"4\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:20:\"Featured Band Events\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:38:\"227:sweet-voice-stage-named-joss-stone\";s:7:\"catslug\";s:23:\"34:featured-band-events\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:70:\"index.php/k2/k2-categories/item/227-sweet-voice-stage-named-joss-stone\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:20:\"Featured Band Events\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:20:\"Featured Band Events\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=227\";s:5:\"route\";s:86:\"index.php?option=com_k2&view=item&id=227:sweet-voice-stage-named-joss-stone&Itemid=668\";s:5:\"title\";s:34:\"Sweet voice stage named Joss Stone\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 17:45:02\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(224,'index.php?option=com_k2&view=item&id=226','index.php?option=com_k2&view=item&id=226:it-s-been-a-long-time-since-i-ve-want&Itemid=675','\"It\'s been a long time since i\'ve want...\"','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:38:49','531380f7dffa9b99ba877dfeae5f3f41',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 17:26:21','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"226\";s:5:\"alias\";s:37:\"it-s-been-a-long-time-since-i-ve-want\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"33\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:38:46\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"4\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:21:\"Breaking and Entering\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:41:\"226:it-s-been-a-long-time-since-i-ve-want\";s:7:\"catslug\";s:24:\"33:breaking-and-entering\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:95:\"index.php/k2/k2-categories/breaking-and-entering/item/226-it-s-been-a-long-time-since-i-ve-want\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:21:\"Breaking and Entering\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:21:\"Breaking and Entering\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=226\";s:5:\"route\";s:89:\"index.php?option=com_k2&view=item&id=226:it-s-been-a-long-time-since-i-ve-want&Itemid=675\";s:5:\"title\";s:42:\"\"It\'s been a long time since i\'ve want...\"\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 17:26:21\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(225,'index.php?option=com_k2&view=item&id=225','index.php?option=com_k2&view=item&id=225:blue-wave-set-for-saturday&Itemid=675','Blue Wave set for Saturday','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:40:33','600d310bc15d1786bed8b3ffb9396544',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 17:26:18','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"225\";s:5:\"alias\";s:26:\"blue-wave-set-for-saturday\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"33\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:40:30\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:21:\"Breaking and Entering\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:30:\"225:blue-wave-set-for-saturday\";s:7:\"catslug\";s:24:\"33:breaking-and-entering\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:84:\"index.php/k2/k2-categories/breaking-and-entering/item/225-blue-wave-set-for-saturday\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:21:\"Breaking and Entering\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:21:\"Breaking and Entering\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=225\";s:5:\"route\";s:78:\"index.php?option=com_k2&view=item&id=225:blue-wave-set-for-saturday&Itemid=675\";s:5:\"title\";s:26:\"Blue Wave set for Saturday\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 17:26:18\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(226,'index.php?option=com_k2&view=item&id=224','index.php?option=com_k2&view=item&id=224:30-seconds-to-mars-up-in-the-air&Itemid=675','30 Seconds to Mars “Up in the Air”','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:40:52','1594ee935df6f008b1964080c1d77c2f',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 17:26:14','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"224\";s:5:\"alias\";s:32:\"30-seconds-to-mars-up-in-the-air\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"33\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:40:49\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:21:\"Breaking and Entering\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:36:\"224:30-seconds-to-mars-up-in-the-air\";s:7:\"catslug\";s:24:\"33:breaking-and-entering\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:90:\"index.php/k2/k2-categories/breaking-and-entering/item/224-30-seconds-to-mars-up-in-the-air\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:21:\"Breaking and Entering\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:21:\"Breaking and Entering\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=224\";s:5:\"route\";s:84:\"index.php?option=com_k2&view=item&id=224:30-seconds-to-mars-up-in-the-air&Itemid=675\";s:5:\"title\";s:38:\"30 Seconds to Mars “Up in the Air”\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 17:26:14\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(228,'index.php?option=com_k2&view=item&id=230','index.php?option=com_k2&view=item&id=230:preeminent-rock-musicians-star&Itemid=668','Preeminent rock musicians star','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:41:35','e6db090004bde1c7a059265ca20e61ae',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 17:45:29','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"230\";s:5:\"alias\";s:30:\"preeminent-rock-musicians-star\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"34\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:41:31\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:20:\"Featured Band Events\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:34:\"230:preeminent-rock-musicians-star\";s:7:\"catslug\";s:23:\"34:featured-band-events\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:66:\"index.php/k2/k2-categories/item/230-preeminent-rock-musicians-star\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:20:\"Featured Band Events\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:20:\"Featured Band Events\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=230\";s:5:\"route\";s:82:\"index.php?option=com_k2&view=item&id=230:preeminent-rock-musicians-star&Itemid=668\";s:5:\"title\";s:30:\"Preeminent rock musicians star\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 17:45:29\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(229,'index.php?option=com_k2&view=item&id=229','index.php?option=com_k2&view=item&id=229:primal-scream-s-in-many-ways&Itemid=668','Primal Scream\'s in many ways','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:41:54','509e800557b18dedbb7563bb623e72ce',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 17:45:26','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"229\";s:5:\"alias\";s:28:\"primal-scream-s-in-many-ways\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"34\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:41:51\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:20:\"Featured Band Events\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:32:\"229:primal-scream-s-in-many-ways\";s:7:\"catslug\";s:23:\"34:featured-band-events\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:64:\"index.php/k2/k2-categories/item/229-primal-scream-s-in-many-ways\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:20:\"Featured Band Events\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:20:\"Featured Band Events\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=229\";s:5:\"route\";s:80:\"index.php?option=com_k2&view=item&id=229:primal-scream-s-in-many-ways&Itemid=668\";s:5:\"title\";s:28:\"Primal Scream\'s in many ways\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 17:45:26\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(230,'index.php?option=com_k2&view=item&id=228','index.php?option=com_k2&view=item&id=228:reznor-turns-mariqueen-in-star&Itemid=668','Reznor turns Mariqueen in star','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:42:16','5962939e54de9a516b45c7b49a1725a0',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 17:45:23','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"228\";s:5:\"alias\";s:30:\"reznor-turns-mariqueen-in-star\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"34\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:42:13\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:20:\"Featured Band Events\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:34:\"228:reznor-turns-mariqueen-in-star\";s:7:\"catslug\";s:23:\"34:featured-band-events\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:66:\"index.php/k2/k2-categories/item/228-reznor-turns-mariqueen-in-star\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:20:\"Featured Band Events\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:20:\"Featured Band Events\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=228\";s:5:\"route\";s:82:\"index.php?option=com_k2&view=item&id=228:reznor-turns-mariqueen-in-star&Itemid=668\";s:5:\"title\";s:30:\"Reznor turns Mariqueen in star\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 17:45:23\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(211,'index.php?option=com_content&view=article&id=75','index.php?option=com_content&view=article&id=75:one-republic-top-hit&catid=32:demo-content&Itemid=422','One Republic top hit','Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.','2013-04-30 23:46:13','50ae98f37809b02008049814b5aa82d5',1,1,1,'*','2013-04-27 16:30:20','0000-00-00 00:00:00','2013-04-27 16:30:20','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"75\";s:5:\"alias\";s:20:\"one-republic-top-hit\";s:7:\"summary\";s:256:\"<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n\";s:4:\"body\";s:913:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:46:13\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"7\";s:8:\"ordering\";s:1:\"2\";s:8:\"category\";s:12:\"Demo content\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:23:\"75:one-republic-top-hit\";s:7:\"catslug\";s:15:\"32:demo-content\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:81:\"index.php/template/articles/category-list/32-demo-content/75-one-republic-top-hit\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:12:\"Demo content\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:12:\"Demo content\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=75\";s:5:\"route\";s:101:\"index.php?option=com_content&view=article&id=75:one-republic-top-hit&catid=32:demo-content&Itemid=422\";s:5:\"title\";s:20:\"One Republic top hit\";s:11:\"description\";s:247:\"Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-27 16:30:20\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-27 16:30:20\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(232,'index.php?option=com_k2&view=item&id=232','index.php?option=com_k2&view=item&id=232:nearly-three-dozen-guitar-virtuosos-perform&Itemid=673','Nearly three dozen guitar virtuosos perform','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:36:13','a2dfe2b2a2b3d18caba552db22f12a5d',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 18:58:55','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"232\";s:5:\"alias\";s:43:\"nearly-three-dozen-guitar-virtuosos-perform\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"31\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:36:10\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:10:\"New Albums\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:47:\"232:nearly-three-dozen-guitar-virtuosos-perform\";s:7:\"catslug\";s:13:\"31:new-albums\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:90:\"index.php/k2/k2-categories/new-albums/item/232-nearly-three-dozen-guitar-virtuosos-perform\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:10:\"New Albums\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"New Albums\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=232\";s:5:\"route\";s:95:\"index.php?option=com_k2&view=item&id=232:nearly-three-dozen-guitar-virtuosos-perform&Itemid=673\";s:5:\"title\";s:43:\"Nearly three dozen guitar virtuosos perform\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 18:58:55\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(233,'index.php?option=com_k2&view=item&id=231','index.php?option=com_k2&view=item&id=231:here-i-am-waiting-i-ll-have-to-leave-soon&Itemid=673','Here I am waiting I\'ll have to leave soon','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:36:35','5a386eaedf4a31a347b6cf46d7bb13ad',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 18:58:50','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"231\";s:5:\"alias\";s:41:\"here-i-am-waiting-i-ll-have-to-leave-soon\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"31\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:36:31\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:10:\"New Albums\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:45:\"231:here-i-am-waiting-i-ll-have-to-leave-soon\";s:7:\"catslug\";s:13:\"31:new-albums\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:88:\"index.php/k2/k2-categories/new-albums/item/231-here-i-am-waiting-i-ll-have-to-leave-soon\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:10:\"New Albums\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"New Albums\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=231\";s:5:\"route\";s:93:\"index.php?option=com_k2&view=item&id=231:here-i-am-waiting-i-ll-have-to-leave-soon&Itemid=673\";s:5:\"title\";s:41:\"Here I am waiting I\'ll have to leave soon\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 18:58:50\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(212,'index.php?option=com_content&view=article&id=76','index.php?option=com_content&view=article&id=76:feat-pitbull-havana-brown-single-premiereft&catid=34:subcategory-2&Itemid=422','Feat. Pitbull & Havana Brown Single Premiereft','Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Maecenas sed diam eget risus varius blandit sit amet non magna. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Fusce dapibus, tellus ac c','2013-04-30 23:45:50','01c08aacde89fcee321925f04c6dca82',1,1,1,'*','2013-04-27 16:30:20','0000-00-00 00:00:00','2013-04-27 16:30:20','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"76\";s:5:\"alias\";s:43:\"feat-pitbull-havana-brown-single-premiereft\";s:7:\"summary\";s:749:\"<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Maecenas sed diam eget risus varius blandit sit amet non magna. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Vestibulum id ligula porta felis euismod semper.</p>\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Maecenas sed diam eget risus varius blandit sit amet non magna. Sed posuere consectetur est at lobortis. Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit sit amet non magna.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:2:\"34\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:45:50\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"5\";s:8:\"ordering\";s:1:\"1\";s:8:\"category\";s:14:\"Subcategory II\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:46:\"76:feat-pitbull-havana-brown-single-premiereft\";s:7:\"catslug\";s:16:\"34:subcategory-2\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:118:\"index.php/template/articles/category-list/34-demo-content/subcategory-2/76-feat-pitbull-havana-brown-single-premiereft\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:14:\"Subcategory II\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:14:\"Subcategory II\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=76\";s:5:\"route\";s:125:\"index.php?option=com_content&view=article&id=76:feat-pitbull-havana-brown-single-premiereft&catid=34:subcategory-2&Itemid=422\";s:5:\"title\";s:46:\"Feat. Pitbull & Havana Brown Single Premiereft\";s:11:\"description\";s:734:\"Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Maecenas sed diam eget risus varius blandit sit amet non magna. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Vestibulum id ligula porta felis euismod semper. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Maecenas sed diam eget risus varius blandit sit amet non magna. Sed posuere consectetur est at lobortis. Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit sit amet non magna.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-27 16:30:20\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-27 16:30:20\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(213,'index.php?option=com_content&view=article&id=77','index.php?option=com_content&view=article&id=77:feat-pitbull-havana-brown-single-premiereft&catid=33:subcategory-1&Itemid=422','Feat. Pitbull &  Havana Brown Single Premiereft','Integer dolor velit, pharetra sit amet tempus non, rhoncus ac felis. Nulla interdum urna nec elit auctor luctus. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Nulla vitae','2013-04-30 23:45:16','48732d3ff7fa5115fee460c11f12d5e0',1,1,1,'*','2013-04-27 17:22:06','0000-00-00 00:00:00','2013-04-27 17:22:06','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"77\";s:5:\"alias\";s:43:\"feat-pitbull-havana-brown-single-premiereft\";s:7:\"summary\";s:798:\"<p>Integer dolor velit, pharetra sit amet tempus non, rhoncus ac felis. Nulla interdum urna nec elit auctor luctus. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Nulla vitae elit libero, a pharetra augue. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum.</p>\r\n<p>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Vestibulum id ligula porta felis euismod semper. Aenean lacinia bibendum nulla sed consectetur. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:2:\"33\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:45:16\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"3\";s:8:\"ordering\";s:1:\"1\";s:8:\"category\";s:13:\"Subcategory I\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:46:\"77:feat-pitbull-havana-brown-single-premiereft\";s:7:\"catslug\";s:16:\"33:subcategory-1\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:118:\"index.php/template/articles/category-list/33-demo-content/subcategory-1/77-feat-pitbull-havana-brown-single-premiereft\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:13:\"Subcategory I\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:13:\"Subcategory I\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=77\";s:5:\"route\";s:125:\"index.php?option=com_content&view=article&id=77:feat-pitbull-havana-brown-single-premiereft&catid=33:subcategory-1&Itemid=422\";s:5:\"title\";s:47:\"Feat. Pitbull &  Havana Brown Single Premiereft\";s:11:\"description\";s:783:\"Integer dolor velit, pharetra sit amet tempus non, rhoncus ac felis. Nulla interdum urna nec elit auctor luctus. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Nulla vitae elit libero, a pharetra augue. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Vestibulum id ligula porta felis euismod semper. Aenean lacinia bibendum nulla sed consectetur. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Cras justo odio, dapibus ac facilisis in, egestas eget quam.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-27 17:22:06\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-27 17:22:06\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(214,'index.php?option=com_content&view=article&id=78','index.php?option=com_content&view=article&id=78:david-bowie-memento&catid=32:demo-content&Itemid=422','David Bowie memento','Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.','2013-04-30 23:44:58','7bc41ecc2bc73d776351c6c8193ffae0',1,1,1,'*','2013-04-27 17:41:53','0000-00-00 00:00:00','2013-04-27 17:41:53','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"78\";s:5:\"alias\";s:19:\"david-bowie-memento\";s:7:\"summary\";s:256:\"<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n\";s:4:\"body\";s:913:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:44:57\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"4\";s:8:\"ordering\";s:1:\"1\";s:8:\"category\";s:12:\"Demo content\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:22:\"78:david-bowie-memento\";s:7:\"catslug\";s:15:\"32:demo-content\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:80:\"index.php/template/articles/category-list/32-demo-content/78-david-bowie-memento\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:12:\"Demo content\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:12:\"Demo content\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=78\";s:5:\"route\";s:100:\"index.php?option=com_content&view=article&id=78:david-bowie-memento&catid=32:demo-content&Itemid=422\";s:5:\"title\";s:19:\"David Bowie memento\";s:11:\"description\";s:247:\"Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-27 17:41:53\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-27 17:41:53\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(215,'index.php?option=com_content&view=article&id=79','index.php?option=com_content&view=article&id=79:watch-man-overboard-s-new-video-for-where-i-left-you&catid=33:subcategory-1&Itemid=422','Watch Man Overboard\'s New Video For \"Where I Left You\"','Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec sed odio dui. Donec id elit non mi porta gravida at eget metus. Cras mattis consectetur purus sit amet fermentum. Maecenas faucibus mollis interdum. Nullam id dolo','2013-04-30 23:47:25','08d0176bc476dbdd721b7e1afc083b6d',1,1,1,'*','2013-04-27 17:42:45','0000-00-00 00:00:00','2013-04-27 17:42:45','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"79\";s:5:\"alias\";s:52:\"watch-man-overboard-s-new-video-for-where-i-left-you\";s:7:\"summary\";s:552:\"<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec sed odio dui. Donec id elit non mi porta gravida at eget metus. Cras mattis consectetur purus sit amet fermentum. Maecenas faucibus mollis interdum.</p>\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Maecenas faucibus mollis interdum.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:2:\"33\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:47:25\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"2\";s:8:\"ordering\";s:1:\"0\";s:8:\"category\";s:13:\"Subcategory I\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:55:\"79:watch-man-overboard-s-new-video-for-where-i-left-you\";s:7:\"catslug\";s:16:\"33:subcategory-1\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:127:\"index.php/template/articles/category-list/33-demo-content/subcategory-1/79-watch-man-overboard-s-new-video-for-where-i-left-you\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:13:\"Subcategory I\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:13:\"Subcategory I\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=79\";s:5:\"route\";s:134:\"index.php?option=com_content&view=article&id=79:watch-man-overboard-s-new-video-for-where-i-left-you&catid=33:subcategory-1&Itemid=422\";s:5:\"title\";s:54:\"Watch Man Overboard\'s New Video For \"Where I Left You\"\";s:11:\"description\";s:537:\"Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec sed odio dui. Donec id elit non mi porta gravida at eget metus. Cras mattis consectetur purus sit amet fermentum. Maecenas faucibus mollis interdum. Nullam id dolor id nibh ultricies vehicula ut id elit. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Maecenas faucibus mollis interdum.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-27 17:42:45\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-27 17:42:45\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(216,'index.php?option=com_content&view=article&id=80','index.php?option=com_content&view=article&id=80:vinnie-caruana-announces-geoff-rickly-of-thursday&catid=34:subcategory-2&Itemid=422','Vinnie Caruana Announces Geoff Rickly of Thursday','Donec id elit non mi porta gravida at eget metus. Donec ullamcorper nulla non metus auctor fringilla. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aenean lacinia bibendum nulla sed consectetur. Maecenas faucibus mo','2013-04-30 23:47:08','227deb9d813452a133fa323a1bc6c881',1,1,1,'*','2013-04-27 17:43:31','0000-00-00 00:00:00','2013-04-27 17:43:31','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"80\";s:5:\"alias\";s:49:\"vinnie-caruana-announces-geoff-rickly-of-thursday\";s:7:\"summary\";s:798:\"<p>Donec id elit non mi porta gravida at eget metus. Donec ullamcorper nulla non metus auctor fringilla. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aenean lacinia bibendum nulla sed consectetur. Maecenas faucibus mollis interdum.</p>\r\n<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Sed posuere consectetur est at lobortis. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Sed posuere consectetur est at lobortis.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Nulla vitae elit libero, a pharetra augue.</p>\";s:4:\"body\";s:0:\"\";s:5:\"catid\";s:2:\"34\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:47:08\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"2\";s:8:\"ordering\";s:1:\"0\";s:8:\"category\";s:14:\"Subcategory II\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:52:\"80:vinnie-caruana-announces-geoff-rickly-of-thursday\";s:7:\"catslug\";s:16:\"34:subcategory-2\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:124:\"index.php/template/articles/category-list/34-demo-content/subcategory-2/80-vinnie-caruana-announces-geoff-rickly-of-thursday\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:14:\"Subcategory II\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:14:\"Subcategory II\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=80\";s:5:\"route\";s:131:\"index.php?option=com_content&view=article&id=80:vinnie-caruana-announces-geoff-rickly-of-thursday&catid=34:subcategory-2&Itemid=422\";s:5:\"title\";s:49:\"Vinnie Caruana Announces Geoff Rickly of Thursday\";s:11:\"description\";s:775:\"Donec id elit non mi porta gravida at eget metus. Donec ullamcorper nulla non metus auctor fringilla. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aenean lacinia bibendum nulla sed consectetur. Maecenas faucibus mollis interdum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Sed posuere consectetur est at lobortis. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-27 17:43:31\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-27 17:43:31\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(217,'index.php?option=com_content&view=article&id=81','index.php?option=com_content&view=article&id=81:cody-chesnutt-explains-why-it-took-10-masterpiece&catid=32:demo-content&Itemid=422','Cody ChesnuTT Explains Why It Took 10  Masterpiece','Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.','2013-04-30 23:44:33','6101037973cce7986a952939c3bc4c5b',1,1,1,'*','2013-04-27 17:44:27','0000-00-00 00:00:00','2013-04-27 17:44:27','0000-00-00 00:00:00',0,0,4,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:24:{s:2:\"id\";s:2:\"81\";s:5:\"alias\";s:49:\"cody-chesnutt-explains-why-it-took-10-masterpiece\";s:7:\"summary\";s:256:\"<p>Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.</p>\r\n\";s:4:\"body\";s:913:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<pre>Karma uses Clearwire’s 4G WiMAX network and offers inexpensive 4G mobile hotspot access and 100MB of free data to new users.</pre>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:2:\"32\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:44:33\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":68:{s:14:\"article_layout\";s:9:\"_:default\";s:10:\"show_title\";s:1:\"1\";s:11:\"link_titles\";s:1:\"1\";s:10:\"show_intro\";s:1:\"1\";s:13:\"show_category\";s:1:\"1\";s:13:\"link_category\";s:1:\"1\";s:20:\"show_parent_category\";s:1:\"0\";s:20:\"link_parent_category\";s:1:\"0\";s:11:\"show_author\";s:1:\"1\";s:11:\"link_author\";s:1:\"0\";s:16:\"show_create_date\";s:1:\"1\";s:16:\"show_modify_date\";s:1:\"0\";s:17:\"show_publish_date\";s:1:\"0\";s:20:\"show_item_navigation\";s:1:\"1\";s:9:\"show_vote\";s:1:\"0\";s:13:\"show_readmore\";s:1:\"1\";s:19:\"show_readmore_title\";s:1:\"0\";s:14:\"readmore_limit\";s:3:\"100\";s:10:\"show_icons\";s:1:\"1\";s:15:\"show_print_icon\";s:1:\"1\";s:15:\"show_email_icon\";s:1:\"1\";s:9:\"show_hits\";s:1:\"1\";s:11:\"show_noauth\";s:1:\"0\";s:13:\"urls_position\";s:1:\"1\";s:23:\"show_publishing_options\";s:1:\"1\";s:20:\"show_article_options\";s:1:\"1\";s:25:\"show_urls_images_frontend\";s:1:\"1\";s:24:\"show_urls_images_backend\";s:1:\"1\";s:7:\"targeta\";i:0;s:7:\"targetb\";i:0;s:7:\"targetc\";i:0;s:11:\"float_intro\";s:4:\"left\";s:14:\"float_fulltext\";s:4:\"left\";s:15:\"category_layout\";s:6:\"_:blog\";s:19:\"show_category_title\";s:1:\"1\";s:16:\"show_description\";s:1:\"0\";s:22:\"show_description_image\";s:1:\"0\";s:8:\"maxLevel\";s:1:\"1\";s:21:\"show_empty_categories\";s:1:\"0\";s:16:\"show_no_articles\";s:1:\"1\";s:16:\"show_subcat_desc\";s:1:\"1\";s:21:\"show_cat_num_articles\";s:1:\"0\";s:21:\"show_base_description\";s:1:\"1\";s:11:\"maxLevelcat\";s:2:\"-1\";s:25:\"show_empty_categories_cat\";s:1:\"0\";s:20:\"show_subcat_desc_cat\";s:1:\"1\";s:25:\"show_cat_num_articles_cat\";s:1:\"1\";s:20:\"num_leading_articles\";s:1:\"1\";s:18:\"num_intro_articles\";s:1:\"4\";s:11:\"num_columns\";s:1:\"2\";s:9:\"num_links\";s:1:\"4\";s:18:\"multi_column_order\";s:1:\"0\";s:24:\"show_subcategory_content\";s:1:\"0\";s:21:\"show_pagination_limit\";s:1:\"1\";s:12:\"filter_field\";s:4:\"hide\";s:13:\"show_headings\";s:1:\"1\";s:14:\"list_show_date\";s:1:\"0\";s:11:\"date_format\";s:0:\"\";s:14:\"list_show_hits\";s:1:\"1\";s:16:\"list_show_author\";s:1:\"1\";s:11:\"orderby_pri\";s:5:\"order\";s:11:\"orderby_sec\";s:5:\"rdate\";s:10:\"order_date\";s:9:\"published\";s:15:\"show_pagination\";s:1:\"2\";s:23:\"show_pagination_results\";s:1:\"1\";s:14:\"show_feed_link\";s:1:\"1\";s:12:\"feed_summary\";s:1:\"0\";s:18:\"feed_show_readmore\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":4:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";s:6:\"rights\";s:0:\"\";s:10:\"xreference\";s:0:\"\";}}s:7:\"version\";s:1:\"6\";s:8:\"ordering\";s:1:\"0\";s:8:\"category\";s:12:\"Demo content\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:52:\"81:cody-chesnutt-explains-why-it-took-10-masterpiece\";s:7:\"catslug\";s:15:\"32:demo-content\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:7:\"article\";s:4:\"path\";s:110:\"index.php/template/articles/category-list/32-demo-content/81-cody-chesnutt-explains-why-it-took-10-masterpiece\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"Article\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"Article\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Category\";a:1:{s:12:\"Demo content\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:12:\"Demo content\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:47:\"index.php?option=com_content&view=article&id=81\";s:5:\"route\";s:130:\"index.php?option=com_content&view=article&id=81:cody-chesnutt-explains-why-it-took-10-masterpiece&catid=32:demo-content&Itemid=422\";s:5:\"title\";s:50:\"Cody ChesnuTT Explains Why It Took 10  Masterpiece\";s:11:\"description\";s:247:\"Sed a velit vitae nunc porta iaculis. Aliquam tempus rutrum diam, non tincidunt odio pharetra vitae. Nulla facilisi. Duis sed laoreet dui. Duis a risus nec erat tincidunt feugiat. Cras dui velit, luctus vitae volutpat vitae, vestibulum vitae orci.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-27 17:44:27\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-27 17:44:27\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:4;}'),(223,'index.php?option=com_k2&view=item&id=223','index.php?option=com_k2&view=item&id=223:rolling-stones-on-north-american-tour&Itemid=675','Rolling Stones on North American Tour','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:41:12','2c18744d7d85b7650335266da36f6969',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 17:24:39','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"223\";s:5:\"alias\";s:37:\"rolling-stones-on-north-american-tour\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"33\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:41:09\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:21:\"Breaking and Entering\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:41:\"223:rolling-stones-on-north-american-tour\";s:7:\"catslug\";s:24:\"33:breaking-and-entering\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:95:\"index.php/k2/k2-categories/breaking-and-entering/item/223-rolling-stones-on-north-american-tour\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:21:\"Breaking and Entering\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:21:\"Breaking and Entering\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=223\";s:5:\"route\";s:89:\"index.php?option=com_k2&view=item&id=223:rolling-stones-on-north-american-tour&Itemid=675\";s:5:\"title\";s:37:\"Rolling Stones on North American Tour\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 17:24:39\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}'),(231,'index.php?option=com_k2&view=item&id=233','index.php?option=com_k2&view=item&id=233:feat-pitbull-havana-brown-single-premiereft&Itemid=673','Feat. Pitbull & Havana Brown Single Premiereft','The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).','2013-04-30 23:35:47','dc0bd38f9729016b5fcbfe8c00fa49a3',1,1,1,'*','2013-02-01 00:00:00','0000-00-00 00:00:00','2013-04-30 18:59:02','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":18:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:3:\"233\";s:5:\"alias\";s:43:\"feat-pitbull-havana-brown-single-premiereft\";s:7:\"summary\";s:232:\"<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n\";s:4:\"body\";s:2498:\"\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>\";s:5:\"catid\";s:2:\"31\";s:10:\"created_by\";s:3:\"838\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-30 21:35:44\";s:11:\"modified_by\";s:3:\"838\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":256:{s:10:\"enable_css\";s:1:\"1\";s:14:\"jQueryHandling\";s:9:\"1.7remote\";s:21:\"backendJQueryHandling\";s:6:\"remote\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"4\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"0\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"0\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"M\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:2:\"80\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"200\";s:10:\"itemImageM\";s:3:\"500\";s:10:\"itemImageL\";s:3:\"782\";s:11:\"itemImageXL\";s:3:\"918\";s:16:\"itemImageGeneric\";s:3:\"782\";s:13:\"catImageWidth\";s:3:\"782\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"116\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"60\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:5:\"Small\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"0\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"0\";s:11:\"K2UserGroup\";s:1:\"1\";s:8:\"redirect\";s:0:\"\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:583:\"Å |S, Å’|O, Å½|Z, Å¡|s, Å“|oe, Å¾|z, Å¸|Y, Â¥|Y, Âµ|u, Ã€|A, Ã�|A, Ã‚|A, Ãƒ|A, Ã„|A, Ã…|A, Ã†|A, Ã‡|C, Ãˆ|E, Ã‰|E, ÃŠ|E, Ã‹|E, ÃŒ|I, Ã�|I, ÃŽ|I, Ã�|I, Ã�|D, Ã‘|N, Ã’|O, Ã“|O, Ã”|O, Ã•|O, Ã–|O, Ã˜|O, Ã™|U, Ãš|U, Ã›|U, Ãœ|U, Ã�|Y, ÃŸ|s, Ã |a, Ã¡|a, Ã¢|a, Ã£|a, Ã¤|a, Ã¥|a, Ã¦|a, Ã§|c, Ã¨|e, Ã©|e, Ãª|e, Ã«|e, Ã¬|i, Ã­|i, Ã®|i, Ã¯|i, Ã°|o, Ã±|n, Ã²|o, Ã³|o, Ã´|o, Ãµ|o, Ã¶|o, Ã¸|o, Ã¹|u, Ãº|u, Ã»|u, Ã¼|u, Ã½|y, Ã¿|y, ÃŸ|ss\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:11:\"inheritFrom\";s:1:\"0\";s:17:\"num_leading_items\";s:1:\"2\";s:19:\"num_leading_columns\";s:1:\"1\";s:14:\"leadingImgSize\";s:5:\"Large\";s:17:\"num_primary_items\";s:1:\"2\";s:19:\"num_primary_columns\";s:1:\"1\";s:14:\"primaryImgSize\";s:5:\"Large\";s:19:\"num_secondary_items\";s:1:\"0\";s:21:\"num_secondary_columns\";s:1:\"1\";s:16:\"secondaryImgSize\";s:5:\"Large\";s:9:\"num_links\";s:1:\"0\";s:17:\"num_links_columns\";s:1:\"1\";s:12:\"linksImgSize\";s:6:\"XSmall\";s:14:\"catCatalogMode\";s:1:\"1\";s:16:\"catFeaturedItems\";s:1:\"1\";s:13:\"catPagination\";s:1:\"2\";s:20:\"catPaginationResults\";s:1:\"1\";s:8:\"catTitle\";s:1:\"0\";s:19:\"catTitleItemCounter\";s:1:\"0\";s:14:\"catDescription\";s:1:\"0\";s:8:\"catImage\";s:1:\"0\";s:11:\"catFeedLink\";s:1:\"1\";s:11:\"catFeedIcon\";s:1:\"1\";s:13:\"subCategories\";s:1:\"1\";s:13:\"subCatColumns\";s:1:\"1\";s:11:\"subCatTitle\";s:1:\"1\";s:22:\"subCatTitleItemCounter\";s:1:\"1\";s:17:\"subCatDescription\";s:1:\"1\";s:11:\"subCatImage\";s:1:\"1\";s:12:\"catItemTitle\";s:1:\"1\";s:18:\"catItemTitleLinked\";s:1:\"1\";s:21:\"catItemFeaturedNotice\";s:1:\"0\";s:13:\"catItemAuthor\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";s:13:\"catItemRating\";s:1:\"0\";s:12:\"catItemImage\";s:1:\"1\";s:16:\"catItemIntroText\";s:1:\"1\";s:18:\"catItemExtraFields\";s:1:\"0\";s:11:\"catItemHits\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";s:11:\"catItemTags\";s:1:\"0\";s:18:\"catItemAttachments\";s:1:\"0\";s:25:\"catItemAttachmentsCounter\";s:1:\"0\";s:12:\"catItemVideo\";s:1:\"0\";s:20:\"catItemVideoAutoPlay\";s:1:\"0\";s:19:\"catItemImageGallery\";s:1:\"0\";s:19:\"catItemDateModified\";s:1:\"0\";s:15:\"catItemReadMore\";s:1:\"1\";s:21:\"catItemCommentsAnchor\";s:1:\"1\";s:16:\"catItemK2Plugins\";s:1:\"1\";s:15:\"itemDateCreated\";s:1:\"1\";s:9:\"itemTitle\";s:1:\"1\";s:18:\"itemFeaturedNotice\";s:1:\"1\";s:10:\"itemAuthor\";s:1:\"1\";s:15:\"itemFontResizer\";s:1:\"0\";s:15:\"itemPrintButton\";s:1:\"1\";s:15:\"itemEmailButton\";s:1:\"1\";s:16:\"itemSocialButton\";s:1:\"0\";s:15:\"itemVideoAnchor\";s:1:\"0\";s:22:\"itemImageGalleryAnchor\";s:1:\"1\";s:18:\"itemCommentsAnchor\";s:1:\"1\";s:10:\"itemRating\";s:1:\"1\";s:9:\"itemImage\";s:1:\"1\";s:11:\"itemImgSize\";s:5:\"Large\";s:20:\"itemImageMainCaption\";s:1:\"1\";s:20:\"itemImageMainCredits\";s:1:\"1\";s:13:\"itemIntroText\";s:1:\"1\";s:12:\"itemFullText\";s:1:\"1\";s:15:\"itemExtraFields\";s:1:\"0\";s:16:\"itemDateModified\";s:1:\"0\";s:8:\"itemHits\";s:1:\"0\";s:12:\"itemCategory\";s:1:\"0\";s:8:\"itemTags\";s:1:\"1\";s:15:\"itemAttachments\";s:1:\"0\";s:22:\"itemAttachmentsCounter\";s:1:\"0\";s:9:\"itemVideo\";s:1:\"1\";s:17:\"itemVideoAutoPlay\";s:1:\"0\";s:16:\"itemVideoCaption\";s:1:\"1\";s:16:\"itemVideoCredits\";s:1:\"1\";s:16:\"itemImageGallery\";s:1:\"1\";s:14:\"itemNavigation\";s:1:\"0\";s:12:\"itemComments\";s:1:\"1\";s:17:\"itemTwitterButton\";s:1:\"1\";s:18:\"itemFacebookButton\";s:1:\"1\";s:23:\"itemGooglePlusOneButton\";s:1:\"1\";s:15:\"itemAuthorBlock\";s:1:\"1\";s:15:\"itemAuthorImage\";s:1:\"1\";s:21:\"itemAuthorDescription\";s:1:\"1\";s:13:\"itemAuthorURL\";s:1:\"1\";s:15:\"itemAuthorEmail\";s:1:\"0\";s:16:\"itemAuthorLatest\";s:1:\"0\";s:21:\"itemAuthorLatestLimit\";s:1:\"5\";s:11:\"itemRelated\";s:1:\"0\";s:16:\"itemRelatedLimit\";s:1:\"5\";s:16:\"itemRelatedTitle\";s:1:\"0\";s:19:\"itemRelatedCategory\";s:1:\"0\";s:20:\"itemRelatedImageSize\";s:1:\"0\";s:20:\"itemRelatedIntrotext\";s:1:\"0\";s:19:\"itemRelatedFulltext\";s:1:\"0\";s:17:\"itemRelatedAuthor\";s:1:\"0\";s:16:\"itemRelatedMedia\";s:1:\"0\";s:23:\"itemRelatedImageGallery\";s:1:\"0\";s:13:\"itemK2Plugins\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"4\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:10:\"New Albums\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:47:\"233:feat-pitbull-havana-brown-single-premiereft\";s:7:\"catslug\";s:13:\"31:new-albums\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:90:\"index.php/k2/k2-categories/new-albums/item/233-feat-pitbull-havana-brown-single-premiereft\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:10:\"New Albums\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"New Albums\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:40:\"index.php?option=com_k2&view=item&id=233\";s:5:\"route\";s:95:\"index.php?option=com_k2&view=item&id=233:feat-pitbull-havana-brown-single-premiereft&Itemid=673\";s:5:\"title\";s:46:\"Feat. Pitbull & Havana Brown Single Premiereft\";s:11:\"description\";s:224:\"The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-02-01 00:00:00\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-30 18:59:02\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;}');


--
-- Table structure for table `#__finder_links_terms0`
--



CREATE TABLE `#__finder_links_terms0` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms0`
--


INSERT INTO `#__finder_links_terms0` (`link_id`, `term_id`, `weight`) VALUES (27,1428,0.90661),(30,1441,1.48),(30,1442,5.55),(30,1443,5.79679),(31,1441,1.76),(31,1442,6.6),(31,1446,1.33),(31,1447,5.92),(32,1456,0.28),(32,1457,1.05),(32,1458,1.16669),(36,8,0.18662),(36,25,0.18669),(36,47,0.23331),(36,393,0.14),(36,394,0.88669),(36,467,0.46669),(36,468,1.05),(36,474,1.07331),(36,475,1.33),(36,637,1.16669),(36,13808,0.88669),(36,13809,0.95669),(36,13810,0.86331),(36,13811,1.07331),(36,13812,1.12),(36,13813,0.88669),(36,13814,1.00331),(37,1076,2.71321),(37,1077,2.43661),(37,1482,2.8666),(38,1076,2.71321),(38,1171,2.49339),(38,1484,2.8666),(40,1441,0.48),(40,1442,1.8),(40,1447,1.92),(41,20,0.65338),(41,25,0.74676),(41,374,0.28),(41,383,0.28),(41,393,0.56),(41,394,3.54676),(41,467,0.93338),(41,468,2.1),(41,474,2.14662),(41,475,2.66),(41,637,2.33338),(41,1441,0.96),(41,1442,1.8),(41,1443,1.88004),(41,1491,1.44),(41,1507,0.08004),(41,1508,1.47996),(41,1509,1.59996),(41,1510,0.39996),(41,1511,1.52004),(41,1512,1.88004),(41,1513,0.15996),(41,1514,1.47996),(41,1515,1.68),(41,1533,1.72679),(41,1534,2.28662),(41,1535,1.96),(41,1536,2.1),(41,1537,1.77338),(41,1538,2.1),(41,1579,1.64004),(41,1580,1.8),(41,1581,1.86662),(41,1582,1.07331),(41,1583,1.72662),(41,1584,2.28662),(41,1585,1.96),(41,1586,2.05324),(41,1587,2.28662),(41,1588,2.52),(41,1589,2.1),(41,1590,2.28662),(42,3,0.70035),(42,8,0.55986),(42,25,8.21436),(42,31,0.56007),(42,34,0.09331),(42,47,2.09979),(42,374,1.68),(42,393,6.16),(42,394,38.1277),(42,467,13.0673),(42,468,21),(42,474,20.3929),(42,475,25.27),(42,480,0.84),(42,487,5.74014),(42,637,22.1671),(42,1428,0.63996),(42,1619,0.88669),(42,1620,0.98),(42,1627,3.82676),(42,1628,4.48),(42,1637,0.95669),(42,1638,1.09669),(42,1641,2.66007),(42,1642,3.00993),(42,1643,0.91),(42,1644,1.02669),(42,1645,0.84),(42,1646,0.91),(42,1672,0.93331),(42,1673,1.00331),(42,1674,0.98),(42,1675,1.09669),(42,1695,5.32014),(42,1696,6.01986),(42,1701,1.11993),(42,1719,4.76),(42,1723,1.14331),(42,1724,11.7602),(42,1725,3.21993),(42,1726,3.50007),(42,1731,3.92028),(42,1732,3.15),(42,1733,3.50007),(42,1734,2.94),(42,1735,3.42993),(42,1736,3.15),(42,1737,3.50007),(42,1742,2.79993),(42,1743,3.50007),(42,1758,3.21993),(42,1759,3.57),(42,1760,6.58014),(42,1761,8.11986),(42,1764,7.46648),(42,1765,8.58648),(42,1774,2.58993),(42,1775,3.00993),(42,1776,3.54676),(42,1777,4.57324),(42,1793,3.54676),(42,1794,4.01324),(42,1797,1.00331),(42,1798,1.33),(42,1803,2.79993),(42,1804,3.36),(42,1811,0.56004),(42,1812,0.32669),(42,1813,0.93331),(42,1814,1.09669),(42,1823,2.14662),(42,1824,3.21993),(42,1825,2.79993),(42,1826,3.15),(42,1831,0.56),(42,1832,1.91338),(42,1833,2.14662),(42,3439,0.28),(42,3440,0.91),(42,3441,1.02669),(42,3457,5.88),(42,3458,6.85986),(42,3463,2.73),(42,3464,3.15),(42,3469,2.79993),(42,3470,3.08007),(42,3481,0.28),(42,3484,0.18669),(42,3485,0.88669),(42,3486,0.98),(42,3492,3.50007),(42,3493,7.14),(42,3495,7.18683),(42,3500,2.87007),(42,3501,3.92),(42,3508,0.28),(42,3509,0.98),(42,3511,0.32669),(42,3522,3.7338),(42,3523,2.66007),(42,3524,3.00993),(42,3525,5.59986),(42,3526,1.35331),(42,3527,1.30669),(42,3528,1.33),(42,3532,1.23669),(42,3533,1.23669),(42,3534,1.23669),(42,3536,0.91),(42,3537,1.09669),(42,3538,2.73),(42,3539,3.08007),(42,3544,2.73),(42,3545,2.94),(42,3552,0.42),(42,3553,1.02669),(42,3554,1.21331),(42,6440,0.51331),(42,9128,3.36),(42,9129,1.21331),(42,9130,2.19338),(42,9170,2.73),(42,9171,2.94),(42,10422,0.98007),(42,11138,1.63338),(42,11139,1.77338),(42,11394,1.68),(42,16894,1.02669),(42,16895,1.07331),(42,16913,1.12),(42,17257,1.09669),(42,17258,1.21331),(42,17259,2.05338),(42,17260,2.33338),(42,17888,5.13345),(42,17889,4.48),(42,19976,1.09669),(42,19977,1.37669),(42,20750,1.23669),(42,20829,1.86662),(42,20830,0.98),(42,20923,0.88669),(42,20924,1.00331),(42,20925,0.86331),(42,20926,1.14331),(42,20927,0.51331),(42,20928,1.05),(42,20929,1.26),(42,20930,1.14331),(42,20931,0.95669),(42,20932,1.07331),(42,21026,0.95669),(42,21027,1.05),(42,21028,0.32669),(42,21029,0.93331),(42,21030,1.02669),(42,21031,1.00331),(42,21032,1.12),(43,397,0.79992),(43,400,3.19992),(43,1428,0.63996),(43,1811,0.56004),(44,3,0.18676),(44,397,0.79992),(44,400,3.19992),(44,1193,0.28),(44,1428,0.63996),(44,1441,0.84),(44,1647,2.66007),(44,1659,1.91338),(44,1811,0.56004),(44,3421,1.82),(44,3880,0.91),(44,3881,1.02669),(44,3882,1.07331),(44,3883,0.23331),(44,3884,0.98),(44,3885,1.14331),(44,3886,0.09331),(44,3887,0.93331),(44,3888,1.07331),(44,3936,1.02669),(44,3937,1.16669),(44,3938,1.05),(44,3939,1.07331),(44,3940,0.37331),(44,3941,1.16669),(44,3942,1.30669),(44,3943,0.91),(44,3944,1.14331),(57,34,0.09331),(57,480,0.7),(57,1428,0.63996),(57,1716,0.46669),(57,1811,0.88673),(57,3481,0.14),(57,3484,0.74676),(57,3552,0.42),(57,3886,0.18662),(57,4590,0.14),(57,4591,0.91),(57,4592,1.12),(57,4593,2.66007),(57,4598,1.4),(57,4601,0.74662),(57,4606,1.00331),(57,4607,1.07331),(57,6758,0.65338),(57,6770,0.37338),(57,6781,0.84),(57,6782,0.93331),(57,7382,0.69993),(57,7431,1.12),(57,7432,1.30669),(57,7433,0.98),(57,7490,1.82),(57,7491,1.02669),(57,7929,0.14),(57,8448,0.84),(57,8470,0.37331),(57,8473,0.32669),(57,9465,0.91),(57,9466,1.07331),(57,9469,0.98),(57,9470,1.14331),(57,9471,1.07331),(57,9641,1.02669),(57,13948,0.32669),(57,16810,0.56),(57,18245,0.28),(57,18246,1.02669),(57,18247,1.16669),(57,18275,0.37331),(57,18278,0.91),(57,18279,1.00331),(57,19647,0.14),(57,19648,0.86331),(57,19649,1.05),(57,19650,0.91),(57,19651,1.02669),(57,19652,0.23331),(57,19653,1.00331),(57,19654,1.07331),(57,19683,0.18669),(57,19684,0.93331),(57,19685,1.02669),(57,19686,0.95669),(57,19687,1.09669),(57,19688,0.88669),(57,19689,1.07331),(57,19690,2.94),(57,19691,1.05),(57,19692,1.26),(57,19693,0.91),(57,19694,1.00331),(57,19695,0.91),(57,19696,1.00331),(57,19697,0.51331),(57,19812,1.02669),(57,19813,1.28331),(57,19814,1.02669),(57,19815,1.12),(57,19816,1.09669),(57,19817,1.35331),(57,21105,1.91338),(57,21106,1.14331),(57,21107,1.63338),(57,21108,0.91),(57,21109,0.86331),(57,21110,1.05),(57,21142,0.91),(57,21143,0.98),(57,21144,1.16669),(57,21145,1.05),(57,21146,1.16669),(57,22063,1.07331),(57,22064,0.91),(57,22065,1.12),(57,22066,1.00331),(57,22067,1.07331),(57,22068,0.93331),(57,22069,1.05),(57,22070,1.09669),(57,22071,1.19),(57,22072,0.91),(57,22132,1.00331),(57,22133,1.14331),(57,22134,0.95669),(57,22135,1.07331),(57,22136,0.93331),(57,22137,1.07331),(57,22138,1.14331),(57,22139,1.28331),(57,22140,1.23669),(57,22141,1.4),(58,3,0.28014),(58,6,0.93331),(58,20,0.32669),(58,25,1.68021),(58,34,0.55986),(58,43,0.56),(58,47,0.69993),(58,374,1.4),(58,383,0.28),(58,388,0.28),(58,393,1.26),(58,394,7.98021),(58,397,0.79992),(58,400,3.19992),(58,467,2.80014),(58,468,3.15),(58,474,3.21993),(58,475,3.99),(58,637,3.50007),(58,796,0.28),(58,797,1.02669),(58,798,1.26),(58,903,1.14331),(58,1534,1.14331),(58,1635,0.86331),(58,1731,0.65338),(58,1805,0.56007),(58,1806,0.88669),(58,1807,1.00331),(58,1811,2.28683),(58,1827,0.88669),(58,3439,0.84),(58,3467,0.93331),(58,3469,0.93331),(58,3516,1.68),(58,4188,0.91),(58,4428,0.86331),(58,4432,1.00331),(58,4629,0.84),(58,4630,1.02669),(58,4631,1.00331),(58,4632,0.86331),(58,4633,0.98),(58,4634,1.02669),(58,4635,0.84),(58,4636,0.95669),(58,4637,0.88669),(58,4638,1.19),(58,4639,1.19),(58,4640,1.16669),(58,4641,1.26),(58,4642,1.09669),(58,4643,1.14331),(58,4644,1.02669),(58,4645,1.14331),(58,4646,1.09669),(58,4647,1.4),(58,4648,1.02669),(58,4649,1.09669),(58,4650,0.95669),(58,4651,1.05),(58,4652,1.00331),(58,4653,1.09669),(58,4654,0.91),(58,4655,1.09669),(58,4656,0.98),(58,4657,1.05),(58,4658,0.95669),(58,4659,1.09669),(58,4660,1.07331),(58,4661,1.00331),(58,4662,1.16669),(58,4663,1.72679),(58,4664,5.55),(58,4665,5.79679),(58,4666,0.95669),(58,4667,1.19),(58,4668,0.93331),(58,4669,1.02669),(58,4670,4.81),(58,4671,0.98),(58,4672,1.12),(58,4673,0.91),(58,4674,1.00331),(58,4675,0.81669),(58,4676,0.95669),(58,4677,0.91),(58,4678,1.02669),(58,4679,1.05),(58,4680,1.21331),(58,4681,0.93331),(58,4682,1.02669),(58,4683,1.07331),(58,4684,1.28331),(58,4685,1.05),(58,4686,1.19),(58,4687,1.07331),(58,4688,1.05),(58,4689,1.26),(58,4690,0.91),(58,4691,1.02669),(58,4994,1.00331),(58,4995,1.07331),(58,4996,1.05),(58,4997,1.14331),(58,4998,0.93331),(58,4999,1.09669),(58,5000,0.88669),(58,5001,1.02669),(58,5002,0.95669),(58,5003,1.09669),(58,5004,0.93331),(58,5005,1.05),(58,5006,0.91),(58,5007,1.02669),(58,5008,0.91),(58,5009,1.05),(58,5010,1.02669),(58,5011,1.02669),(58,5012,1.09669),(58,5013,0.93331),(58,5014,1.07331),(58,5015,1.00331),(58,5016,1.07331),(58,5017,0.95669),(58,5018,1.19),(58,5019,0.95669),(58,5020,1.19),(58,5021,1.02669),(58,5022,1.14331),(58,5023,1.09669),(58,5024,1.00331),(58,5025,1.07331),(58,5026,1.05),(58,5027,1.09669),(58,5028,1.12),(58,5029,1.28331),(58,5030,1.14331),(58,5031,1.28331),(58,5032,1.07331),(58,5033,1.30669),(59,3,0.28014),(59,6,0.93331),(59,20,0.32669),(59,25,1.68021),(59,34,0.55986),(59,43,0.56),(59,47,0.69993),(59,374,1.4),(59,383,0.28),(59,388,0.28),(59,393,1.26),(59,394,7.98021),(59,397,0.79992),(59,400,3.19992),(59,467,2.80014),(59,468,3.15),(59,474,3.21993),(59,475,3.99),(59,637,3.50007),(59,796,0.28),(59,797,1.02669),(59,798,1.26),(59,903,1.14331),(59,1534,1.14331),(59,1635,0.86331),(59,1731,0.65338),(59,1805,0.56007),(59,1806,0.88669),(59,1807,1.00331),(59,1811,2.28683),(59,1827,0.88669),(59,3439,0.84),(59,3467,0.93331),(59,3469,0.93331),(59,3516,1.68),(59,4188,0.91),(59,4428,0.86331),(59,4432,1.00331),(59,4629,0.84),(59,4630,1.02669),(59,4631,1.00331),(59,4632,0.86331),(59,4633,0.98),(59,4634,1.02669),(59,4635,0.84),(59,4636,0.95669),(59,4637,0.88669),(59,4638,1.19),(59,4639,1.19),(59,4640,1.16669),(59,4641,1.26),(59,4642,1.09669),(59,4643,1.14331),(59,4644,1.02669),(59,4645,1.14331),(59,4646,1.09669),(59,4647,1.4),(59,4648,1.02669),(59,4649,1.09669),(59,4650,0.95669),(59,4651,1.05),(59,4652,1.00331),(59,4653,1.09669),(59,4654,0.91),(59,4655,1.09669),(59,4656,0.98),(59,4657,1.05),(59,4658,0.95669),(59,4659,1.09669),(59,4660,1.07331),(59,4661,1.00331),(59,4662,1.16669),(59,4663,1.72679),(59,4664,5.55),(59,4666,0.95669),(59,4667,1.19),(59,4668,0.93331),(59,4669,1.02669),(59,4671,0.98),(59,4672,1.12),(59,4673,0.91),(59,4674,1.00331),(59,4675,0.81669),(59,4676,0.95669),(59,4677,0.91),(59,4678,1.02669),(59,4679,1.05),(59,4680,1.21331),(59,4681,0.93331),(59,4682,1.02669),(59,4683,1.07331),(59,4684,1.28331),(59,4685,1.05),(59,4686,1.19),(59,4687,1.07331),(59,4688,1.05),(59,4689,1.26),(59,4690,0.91),(59,4691,1.02669),(59,4994,1.00331),(59,4995,1.07331),(59,4996,1.05),(59,4997,1.14331),(59,4998,0.93331),(59,4999,1.09669),(59,5000,0.88669),(59,5001,1.02669),(59,5002,0.95669),(59,5003,1.09669),(59,5004,0.93331),(59,5005,1.05),(59,5006,0.91),(59,5007,1.02669),(59,5008,0.91),(59,5009,1.05),(59,5010,1.02669),(59,5011,1.02669),(59,5012,1.09669),(59,5013,0.93331),(59,5014,1.07331),(59,5015,1.00331),(59,5016,1.07331),(59,5017,0.95669),(59,5018,1.19),(59,5019,0.95669),(59,5020,1.19),(59,5021,1.02669),(59,5022,1.14331),(59,5023,1.09669),(59,5024,1.00331),(59,5025,1.07331),(59,5026,1.05),(59,5027,1.09669),(59,5028,1.12),(59,5029,1.28331),(59,5030,1.14331),(59,5031,1.28331),(59,5032,1.07331),(59,5033,1.30669),(59,5113,5.92),(59,5114,4.93321),(60,3,0.28014),(60,6,0.93331),(60,20,0.32669),(60,25,1.68021),(60,34,0.55986),(60,43,0.56),(60,47,0.69993),(60,374,1.4),(60,383,0.28),(60,388,0.28),(60,393,1.26),(60,394,7.98021),(60,397,0.79992),(60,400,3.19992),(60,467,2.80014),(60,468,3.15),(60,474,3.21993),(60,475,3.99),(60,637,3.50007),(60,796,0.28),(60,797,1.02669),(60,798,1.26),(60,903,1.14331),(60,1534,1.14331),(60,1635,0.86331),(60,1731,0.65338),(60,1805,0.56007),(60,1806,0.88669),(60,1807,1.00331),(60,1811,2.28683),(60,1827,0.88669),(60,3439,0.84),(60,3467,0.93331),(60,3469,0.93331),(60,3516,1.68),(60,4188,0.91),(60,4428,0.86331),(60,4432,1.00331),(60,4629,0.84),(60,4630,1.02669),(60,4631,1.00331),(60,4632,0.86331),(60,4633,0.98),(60,4634,1.02669),(60,4635,0.84),(60,4636,0.95669),(60,4637,0.88669),(60,4638,1.19),(60,4639,1.19),(60,4640,1.16669),(60,4641,1.26),(60,4642,1.09669),(60,4643,1.14331),(60,4644,1.02669),(60,4645,1.14331),(60,4646,1.09669),(60,4647,1.4),(60,4648,1.02669),(60,4649,1.09669),(60,4650,0.95669),(60,4651,1.05),(60,4652,1.00331),(60,4653,1.09669),(60,4654,0.91),(60,4655,1.09669),(60,4656,0.98),(60,4657,1.05),(60,4658,0.95669),(60,4659,1.09669),(60,4660,1.07331),(60,4661,1.00331),(60,4662,1.16669),(60,4663,1.72679),(60,4664,5.55),(60,4666,0.95669),(60,4667,1.19),(60,4668,0.93331),(60,4669,1.02669),(60,4671,0.98),(60,4672,1.12),(60,4673,0.91),(60,4674,1.00331),(60,4675,0.81669),(60,4676,0.95669),(60,4677,0.91),(60,4678,1.02669),(60,4679,1.05),(60,4680,1.21331),(60,4681,0.93331),(60,4682,1.02669),(60,4683,1.07331),(60,4684,1.28331),(60,4685,1.05),(60,4686,1.19),(60,4687,1.07331),(60,4688,1.05),(60,4689,1.26),(60,4690,0.91),(60,4691,1.02669),(60,4994,1.00331),(60,4995,1.07331),(60,4996,1.05),(60,4997,1.14331),(60,4998,0.93331),(60,4999,1.09669),(60,5000,0.88669),(60,5001,1.02669),(60,5002,0.95669),(60,5003,1.09669),(60,5004,0.93331),(60,5005,1.05),(60,5006,0.91),(60,5007,1.02669),(60,5008,0.91),(60,5009,1.05),(60,5010,1.02669),(60,5011,1.02669),(60,5012,1.09669),(60,5013,0.93331),(60,5014,1.07331),(60,5015,1.00331),(60,5016,1.07331),(60,5017,0.95669),(60,5018,1.19),(60,5019,0.95669),(60,5020,1.19),(60,5021,1.02669),(60,5022,1.14331),(60,5023,1.09669),(60,5024,1.00331),(60,5025,1.07331),(60,5026,1.05),(60,5027,1.09669),(60,5028,1.12),(60,5029,1.28331),(60,5030,1.14331),(60,5031,1.28331),(60,5032,1.07331),(60,5033,1.30669),(60,5116,6.04321),(60,5117,5.05679),(64,3,0.37352),(64,4,1.68),(64,5,2.14662),(64,6,3.73324),(64,7,4.29324),(64,8,1.11972),(64,11,3.92),(64,12,4.2),(64,15,1.96),(64,16,1.82),(64,17,2.00662),(64,18,4.10676),(64,19,4.94676),(64,20,1.30676),(64,25,2.61366),(64,26,2.05338),(64,28,2.38),(64,29,2.66007),(64,30,3.08007),(64,31,0.93345),(64,32,2.05338),(64,33,2.42662),(64,34,1.30634),(64,35,8.6331),(64,36,10.0331),(64,39,2.87007),(64,40,1.12),(64,43,1.96),(64,44,3.21993),(64,47,2.09979),(64,371,2.05324),(64,372,1.07331),(64,373,1.35331),(64,374,2.52),(64,375,4.2),(64,376,2.38),(64,377,2.66007),(64,378,3.00993),(64,379,1.77338),(64,380,1.96),(64,381,2.87007),(64,382,3.71007),(64,383,1.26),(64,384,1.91338),(64,385,2.14662),(64,386,5.01655),(64,387,5.71655),(64,388,1.68),(64,393,1.96),(64,394,12.4137),(64,395,2.24),(64,396,2.94),(64,397,0.79992),(64,400,3.19992),(64,465,1.82),(64,466,2.19338),(64,467,2.33345),(64,468,2.1),(64,474,2.14662),(64,475,2.66),(64,477,1.86662),(64,478,1.07331),(64,485,0.95669),(64,487,1.91338),(64,488,2.47338),(64,489,2.00662),(64,490,2.33338),(64,630,1.49324),(64,631,2.05338),(64,632,2.24),(64,635,0.86331),(64,636,0.98),(64,637,2.33338),(64,638,2.05338),(64,903,2.28662),(64,907,1.07331),(64,1123,2.42662),(64,1428,0.63996),(64,1470,1.96),(64,1729,1.07331),(64,1731,0.98007),(64,1805,0.18669),(64,1811,0.56004),(64,1829,0.91),(64,3511,0.98007),(64,3964,2.42662),(64,4037,0.95669),(64,4038,1.09669),(64,4192,0.93331),(64,4193,1.09669),(64,5135,0.84),(64,5136,1.07331),(64,5137,0.79331),(64,5138,0.88669),(64,5139,0.88669),(64,5140,1.05),(64,5141,0.86331),(64,5142,0.93331),(64,5143,0.86331),(64,5144,0.98),(64,5145,0.88669),(64,5146,1.09669),(64,5147,0.91),(64,5148,1.09669),(64,5149,0.95669),(64,5150,1.05),(64,5151,0.09331),(64,5152,0.91),(64,5153,1.12),(64,5154,1.05),(64,5155,1.28331),(64,5156,1.00331),(64,5157,1.16669),(64,5158,1.09669),(64,5159,1.23669),(64,5160,1.35331),(64,5161,1.09669),(64,5162,1.28331),(64,5163,0.98),(64,5164,1.12),(64,5165,1.05),(64,5166,1.14331),(64,5167,1.05),(64,5168,1.26),(64,5169,0.98),(64,5170,1.21331),(64,5171,1.00331),(64,5172,1.14331),(64,5173,0.93331),(64,5174,1.14331),(64,5175,0.93331),(64,5176,1.14331),(64,5177,2.05338),(64,5178,1.28331),(64,5179,1.16669),(64,5180,1.00331),(64,5181,1.12),(64,5182,1.00331),(64,5183,1.23669),(64,5184,0.91),(64,5185,1.12),(64,5186,0.28),(64,5187,1.00331),(64,5188,1.21331),(64,5189,1.02669),(64,5190,1.30669),(64,5191,0.88669),(64,5192,1.12),(64,5193,1.96),(64,5194,2.1),(64,5195,1.12),(64,5196,1.30669),(64,5197,0.98),(64,5198,1.12),(64,5199,2.33338),(64,5200,1.02669),(64,5201,1.19),(64,5202,1.02669),(64,5203,1.19),(64,5204,1.09669),(64,5641,1.02669),(64,5642,1.21331),(64,5643,0.98),(64,5644,1.12),(64,5645,1.12),(64,5646,1.19),(64,5647,1.12),(64,5648,1.19),(64,5649,1.21331),(64,5650,1.33),(64,5651,1.26),(64,5652,1.30669),(64,5653,1.00331),(64,5654,1.14331),(64,5655,1.77338),(64,5656,0.93331),(64,5657,1.02669),(64,5658,0.95669),(64,5659,1.09669),(64,5660,0.93331),(64,5661,1.07331),(64,5662,0.95669),(64,5663,1.14331),(64,5664,0.91),(64,5665,1.00331),(64,5666,2.94),(64,5667,2.1),(64,5668,1.26),(64,5669,0.98),(64,5670,1.21331),(64,5671,0.93331),(64,5672,1.07331),(64,5673,0.37331),(64,5674,0.95669),(64,5675,1.09669),(64,5676,1.02669),(64,5677,1.02669),(64,5678,2.24),(64,5679,1.09669),(64,5680,0.37331),(64,5681,0.95669),(64,5682,1.12),(64,5683,1.05),(64,5684,1.16669),(64,5685,1.02669),(64,5686,1.14331),(64,5687,1.02669),(64,5688,1.19),(64,5689,0.74662),(64,5690,1.12),(64,5691,1.26),(64,5692,0.98),(64,5693,1.23669),(64,7251,1.00331),(64,7252,1.14331),(65,3,0.4669),(65,8,0.74648),(65,15,0.56),(65,25,2.24028),(65,31,0.37338),(65,43,0.56),(65,47,1.86648),(65,374,1.4),(65,388,0.56),(65,393,1.68),(65,394,10.6403),(65,397,0.79992),(65,400,3.19992),(65,467,2.80014),(65,468,4.2),(65,474,4.29324),(65,475,5.32),(65,630,1.49324),(65,631,2.05338),(65,637,4.66676),(65,1428,0.63996),(65,1635,1.72662),(65,1731,1.96014),(65,1805,0.74676),(65,1811,0.56004),(65,3439,1.12),(65,3467,1.86662),(65,3511,0.65338),(65,3516,2.24),(65,5147,1.82),(65,5148,2.19338),(65,5163,1.96),(65,5673,0.74662),(65,5674,1.91338),(65,5675,2.19338),(65,5689,0.74662),(65,5796,1.77338),(65,5797,2.24),(65,5798,1.77338),(65,5799,2.05338),(65,5800,2.05338),(65,5801,1.72662),(65,5802,1.96),(65,5803,1.91338),(65,5804,2.05338),(65,5805,2.05338),(65,5806,2.24),(65,5807,1.91338),(65,5808,2.1),(65,5809,1.86662),(65,5810,2.14662),(65,5811,2.19338),(65,5812,2.38),(65,5813,2.47338),(65,5814,2.38),(65,5815,1.82),(65,5816,2.05338),(65,5817,1.86662),(65,5818,2.42662),(65,5819,2.38),(65,5820,1.86662),(65,5821,2.05338),(65,5822,2.05338),(65,5823,2.19338),(65,5824,0.86331),(65,5825,1.05),(65,5826,1.82),(65,5827,2.1),(65,5828,1.77338),(65,5829,2.00662),(65,5830,1.72662),(65,5831,2.05338),(65,5832,1.72662),(65,5833,2.1),(65,5834,1.91338),(65,5835,2.33338),(65,5836,1.86662),(65,5837,2.19338),(65,5838,1.86662),(65,5839,2.14662),(65,5840,1.91338),(65,5841,2.19338),(65,5842,1.91338),(65,5843,2.05338),(65,5844,2.24),(65,5845,2.66),(65,6130,2.28662),(65,6131,2.38),(65,6132,2.61338),(65,6133,2.24),(65,6134,2.47338),(65,6135,2.1),(65,6136,2.33338),(65,6137,1.72662),(65,6138,2.00662),(65,6139,1.77338),(65,6140,2.24),(65,6141,1.82),(65,6142,2.14662),(65,6143,2.19338),(65,6144,1.86662),(65,6145,2.33338),(65,6146,1.96),(65,6147,2.24),(65,6148,2.24),(65,6149,0.95669),(65,6150,2.00662),(65,6151,1.96),(65,6152,2.00662),(65,6153,2.28662),(65,6154,2.24),(65,6155,2.66),(65,6156,2.14662),(65,6157,2.38),(65,6158,2.05338),(65,6159,2.24),(70,3,0.09338),(70,15,0.56),(70,16,1.82),(70,17,2.00662),(70,25,0.56007),(70,26,3.08007),(70,27,2.33338),(70,28,1.19),(70,34,0.18662),(70,39,1.91338),(70,41,2.19338),(70,43,0.84),(70,44,3.21993),(70,45,1.19),(70,374,0.56),(70,381,1.91338),(70,382,2.47338),(70,383,0.56),(70,384,1.91338),(70,385,2.14662),(70,386,2.00662),(70,387,2.28662),(70,393,0.42),(70,394,2.66007),(70,395,3.36),(70,480,0.28),(70,1731,0.32669),(70,1811,0.56004),(70,3453,0.81669),(70,4648,1.02669),(70,6663,0.28),(70,13995,0.86331),(70,13996,0.95669),(70,13997,0.86331),(70,13998,1.00331),(70,13999,1.19),(70,14046,0.95669),(70,14047,0.95669),(70,14048,1.05),(70,14159,0.98679),(70,18131,1.21331),(70,18162,0.93331),(70,18163,1.07331),(70,18164,0.91),(70,18165,0.98),(70,18191,0.93331),(70,18192,1.21331),(71,3,0.34017),(71,15,0.56),(71,16,1.82),(71,17,2.00662),(71,25,0.56007),(71,26,3.08007),(71,27,2.33338),(71,28,1.19),(71,34,0.18662),(71,39,1.91338),(71,41,2.19338),(71,43,0.84),(71,44,3.21993),(71,45,1.19),(71,374,0.56),(71,381,1.91338),(71,382,2.47338),(71,383,0.56),(71,384,1.91338),(71,385,2.14662),(71,386,2.00662),(71,387,2.28662),(71,393,0.42),(71,394,2.66007),(71,395,3.36),(71,480,0.28),(71,1731,0.32669),(71,1811,0.56004),(71,3453,0.81669),(71,4648,1.02669),(71,6663,0.28),(71,13995,0.86331),(71,13996,0.95669),(71,13997,0.86331),(71,13998,1.00331),(71,13999,1.19),(71,14046,0.95669),(71,14047,0.95669),(71,14048,1.05),(71,18131,1.21331),(71,18162,0.93331),(71,18163,1.07331),(71,18164,0.91),(71,18165,0.98),(71,18191,0.93331),(71,18192,1.21331),(71,22609,4.56321),(71,22610,5.30321),(71,22612,2.22),(71,22613,5.30321),(71,22614,5.55),(71,22615,1.23321),(71,22616,5.05679),(71,22617,1.23321),(121,3,0.09338),(121,15,0.56),(121,16,1.82),(121,17,2.00662),(121,25,0.56007),(121,26,3.08007),(121,27,2.33338),(121,28,1.19),(121,34,0.18662),(121,39,1.91338),(121,41,2.19338),(121,43,0.84),(121,44,3.21993),(121,45,1.19),(121,374,0.56),(121,381,1.91338),(121,382,2.47338),(121,383,0.56),(121,384,1.91338),(121,385,2.14662),(121,386,2.00662),(121,387,2.28662),(121,393,0.42),(121,394,2.66007),(121,395,3.36),(121,480,0.28),(121,1731,0.32669),(121,1811,0.56004),(121,3453,0.81669),(121,3484,0.98679),(121,4648,1.02669),(121,6663,0.28),(121,10878,1.48),(121,13995,0.86331),(121,13996,0.95669),(121,13997,0.86331),(121,13998,1.00331),(121,13999,1.19),(121,14046,0.95669),(121,14047,0.95669),(121,14048,1.05),(121,18131,1.21331),(121,18162,0.93331),(121,18163,1.07331),(121,18164,0.91),(121,18165,0.98),(121,18191,0.93331),(121,18192,1.21331),(121,22625,5.05679),(121,22626,5.79679),(121,22627,5.18),(146,3,0.09338),(146,15,0.56),(146,16,1.82),(146,17,2.00662),(146,25,0.56007),(146,26,3.08007),(146,27,2.33338),(146,28,1.19),(146,34,0.18662),(146,39,1.91338),(146,41,2.19338),(146,43,0.84),(146,44,3.21993),(146,45,1.19),(146,374,0.56),(146,381,1.91338),(146,382,2.47338),(146,383,0.56),(146,384,1.91338),(146,385,2.14662),(146,386,2.00662),(146,387,2.28662),(146,393,0.42),(146,394,2.66007),(146,395,3.36),(146,480,0.28),(146,1731,0.32669),(146,1811,0.56004),(146,3453,0.81669),(146,4648,1.02669),(146,6663,0.28),(146,13995,0.86331),(146,13996,0.95669),(146,13997,0.86331),(146,13998,1.00331),(146,13999,1.19),(146,14046,0.95669),(146,14047,0.95669),(146,14048,1.05),(146,18131,1.21331),(146,18162,0.93331),(146,18163,1.07331),(146,18164,0.91),(146,18165,0.98),(146,18191,0.93331),(146,18192,1.21331),(208,3,0.32683),(208,8,0.55986),(208,15,1.12),(208,16,1.82),(208,17,2.00662),(208,25,0.56007),(208,26,3.08007),(208,27,2.33338),(208,28,1.19),(208,34,0.18662),(208,39,1.91338),(208,41,2.19338),(208,43,1.4),(208,44,3.21993),(208,47,0.46662),(208,374,0.28),(208,381,1.91338),(208,382,2.47338),(208,383,0.56),(208,384,1.91338),(208,385,2.14662),(208,386,2.00662),(208,387,2.28662),(208,393,0.42),(208,394,2.66007),(208,395,3.36),(208,397,0.79992),(208,400,3.19992),(208,480,0.7),(208,1507,0.1334),(208,1701,0.74662),(208,1808,0.14),(208,3508,0.28),(208,3516,1.12),(208,3886,0.18662),(208,4168,1.91338),(208,6230,1.23669),(208,6770,0.37338),(208,7924,0.23331),(208,7929,0.14),(208,7951,0.88669),(208,8661,0.28),(208,9354,0.28),(208,9778,0.32669),(208,9883,1.09669),(208,10380,0.88669),(208,12860,0.28),(208,13421,0.32669),(208,13494,0.51331),(208,13997,1.72662),(208,19826,1.69983),(208,21159,2.4666),(208,21160,2.9334),(208,21161,1.48),(208,21162,5.18),(208,21253,0.88669),(208,21254,0.95669),(208,21255,0.86331),(208,21257,0.95669),(208,21258,1.28331),(208,21261,0.88669),(208,21262,0.98),(208,21263,1.16669),(208,21395,0.18669),(208,21396,0.91),(208,21397,1.02669),(208,21472,0.98),(208,21473,1.12),(208,21474,0.88669),(208,21475,0.98),(208,21476,0.91),(208,21477,0.98),(208,21478,0.88669),(208,21479,1.00331),(208,21480,1.72662),(208,21481,1.09669),(208,21482,1.07331),(208,21483,1.00331),(208,21484,1.14331),(208,21485,1.00331),(208,21486,0.84),(208,21487,1.05),(208,21488,0.93331),(208,21489,1.02669),(208,21490,1.00331),(208,21491,1.05),(208,21492,1.19),(208,21493,0.23331),(208,21494,0.86331),(208,21495,1.14331),(208,21496,0.93331),(208,21497,1.02669),(208,21632,0.95669),(208,21633,1.12),(208,21634,1.00331),(208,21635,1.12),(208,21636,0.28),(208,21637,0.93331),(208,21638,1.07331),(208,21639,1.28331),(208,21640,0.37338),(208,21641,0.88669),(208,21642,1.02669),(208,21643,0.88669),(208,21644,1.09669),(208,21645,0.37331),(208,21646,0.95669),(208,21647,1.09669),(208,21648,0.93331),(208,21649,1.07331),(208,21780,1.05),(208,21832,0.23331),(208,21833,0.93331),(208,21834,1.02669),(208,21835,0.37331),(208,21858,1.05),(208,21859,1.09669),(208,21878,1.26),(208,21884,2.33338),(208,21885,1.68),(208,21886,1.96),(208,21887,2.00662),(208,21888,1.96),(208,21889,1.09669),(208,21890,1.82),(208,21891,2.24),(208,21892,1.82),(208,21893,2.00662),(208,21894,1.91338),(208,21895,2.38),(208,21896,1.96),(208,21897,2.28662),(208,21898,1.96),(208,21899,2.05338),(208,21900,1.96),(208,21901,2.28662),(208,21949,2.28662),(208,21950,2.56662),(208,22566,0.48),(211,3,0.09338),(211,15,0.56),(211,16,1.82),(211,17,2.00662),(211,25,0.56007),(211,26,3.08007),(211,27,2.33338),(211,28,1.19),(211,34,0.18662),(211,39,1.91338),(211,41,2.19338),(211,43,0.84),(211,44,3.21993),(211,45,1.19),(211,374,0.56),(211,381,1.91338),(211,382,2.47338),(211,383,0.56),(211,384,1.91338),(211,385,2.14662),(211,386,2.00662),(211,387,2.28662),(211,393,0.42),(211,394,2.66007),(211,395,3.36),(211,397,0.79992),(211,400,3.19992),(211,480,0.28),(211,1731,0.32669),(211,1811,0.56004),(211,3453,0.81669),(211,4648,1.02669),(211,6663,0.28),(211,13995,0.86331),(211,13996,0.95669),(211,13997,0.86331),(211,13998,1.00331),(211,13999,1.19),(211,14046,0.95669),(211,14047,0.95669),(211,14048,1.05),(211,18131,1.21331),(211,18162,0.93331),(211,18163,1.07331),(211,18164,0.91),(211,18165,0.98),(211,18191,0.93331),(211,18192,1.21331),(212,3,0.04669),(212,4,0.84),(212,5,1.07331),(212,8,0.09331),(212,20,0.32669),(212,25,0.74676),(212,29,2.66007),(212,30,3.08007),(212,31,0.18669),(212,32,1.02669),(212,33,1.21331),(212,34,0.18662),(212,35,0.86331),(212,36,1.00331),(212,39,0.95669),(212,41,1.09669),(212,371,0.51331),(212,372,1.07331),(212,373,1.35331),(212,374,0.56),(212,377,2.66007),(212,378,3.00993),(212,381,0.95669),(212,382,1.23669),(212,383,0.14),(212,388,0.28),(212,393,0.56),(212,394,3.54676),(212,396,2.94),(212,397,0.79992),(212,400,3.19992),(212,465,0.91),(212,466,1.09669),(212,477,0.93331),(212,635,0.86331),(212,636,0.98),(212,638,1.02669),(212,1076,0.87996),(212,1171,1.76004),(212,1811,0.56004),(212,3956,1.07331),(212,3957,1.16669),(212,3961,1.19),(212,4040,1.00331),(212,12860,1.48),(212,19733,1.07331),(212,19734,5.79679),(213,3,0.09338),(213,6,1.86662),(213,7,2.14662),(213,8,0.27993),(213,11,0.98),(213,12,1.05),(213,15,1.12),(213,16,1.82),(213,17,2.00662),(213,18,2.05338),(213,19,2.47338),(213,25,0.37338),(213,34,0.09331),(213,39,0.95669),(213,43,0.28),(213,47,0.46662),(213,371,0.51331),(213,372,1.07331),(213,373,1.35331),(213,374,0.42),(213,375,2.1),(213,381,0.95669),(213,382,1.23669),(213,383,0.28),(213,384,1.91338),(213,385,2.14662),(213,388,0.28),(213,389,1.00331),(213,393,0.28),(213,394,1.77338),(213,397,0.79992),(213,400,3.19992),(213,465,0.91),(213,466,1.09669),(213,477,0.93331),(213,638,1.02669),(213,683,1.02669),(213,684,1.21331),(213,1076,0.87996),(213,1077,1.71996),(213,1470,0.98),(213,1811,0.56004),(213,3961,1.19),(213,5199,1.16669),(213,12860,1.48),(213,16918,0.88669),(213,19734,5.79679),(213,19745,1.09669),(213,19753,1.21331),(213,19754,1.19),(213,19755,1.19),(213,19759,1.02669),(213,19760,0.95669),(213,19761,1.05),(213,19762,1.00331),(213,19763,1.09669),(213,19784,1.05),(214,3,0.09338),(214,15,0.56),(214,16,1.82),(214,17,2.00662),(214,25,0.56007),(214,26,3.08007),(214,27,2.33338),(214,28,1.19),(214,34,0.18662),(214,39,1.91338),(214,41,2.19338),(214,43,0.84),(214,44,3.21993),(214,45,1.19),(214,374,0.56),(214,381,1.91338),(214,382,2.47338),(214,383,0.56),(214,384,1.91338),(214,385,2.14662),(214,386,2.00662),(214,387,2.28662),(214,393,0.42),(214,394,2.66007),(214,395,3.36),(214,397,0.79992),(214,400,3.19992),(214,480,0.28),(214,1731,0.32669),(214,1811,0.56004),(214,3453,0.81669),(214,4648,1.02669),(214,6663,0.28),(214,13995,0.86331),(214,13996,0.95669),(214,13997,0.86331),(214,13998,1.00331),(214,13999,1.19),(214,14046,0.95669),(214,14047,0.95669),(214,14048,1.05),(214,18131,1.21331),(214,18162,0.93331),(214,18163,1.07331),(214,18164,0.91),(214,18165,0.98),(214,18191,0.93331),(214,18192,1.21331),(215,25,0.18669),(215,26,1.02669),(215,34,0.09331),(215,35,0.86331),(215,36,1.00331),(215,43,0.28),(215,47,0.23331),(215,371,1.02662),(215,372,2.14662),(215,373,2.70662),(215,374,0.14),(215,379,0.88669),(215,380,0.98),(215,393,0.14),(215,394,0.88669),(215,395,1.12),(215,397,0.79992),(215,400,3.19992),(215,489,1.00331),(215,490,1.16669),(215,630,0.37331),(215,631,1.02669),(215,632,1.12),(215,796,0.28),(215,797,1.02669),(215,798,1.26),(215,1076,0.87996),(215,1077,1.71996),(215,1507,0.1334),(215,1811,0.56004),(215,19867,1.23669),(215,19868,1.05),(215,19869,1.23669),(215,19894,2.3334),(215,19895,2.7334),(216,3,0.18676),(216,4,1.68),(216,5,2.14662),(216,6,1.86662),(216,7,2.14662),(216,8,0.09331),(216,11,0.98),(216,12,1.05),(216,15,0.28),(216,18,1.02669),(216,19,1.23669),(216,20,0.65338),(216,21,0.95669),(216,22,1.14331),(216,31,0.37338),(216,32,2.05338),(216,33,2.42662),(216,34,0.27993),(216,35,0.86331),(216,36,1.00331),(216,39,1.91338),(216,43,0.56),(216,44,1.07331),(216,47,0.69993),(216,371,0.51331),(216,372,1.07331),(216,373,1.35331),(216,374,0.42),(216,375,1.05),(216,381,1.91338),(216,382,2.47338),(216,397,0.79992),(216,400,3.19992),(216,489,1.00331),(216,490,1.16669),(216,630,0.37331),(216,631,1.02669),(216,632,1.12),(216,796,0.28),(216,797,1.02669),(216,798,1.26),(216,1076,0.87996),(216,1171,1.76004),(216,1811,0.56004),(216,5171,1.00331),(216,5172,1.14331),(216,5651,1.26),(216,5836,0.93331),(216,17219,2.22),(216,19745,1.09669),(216,19901,5.55),(216,19902,6.41321),(216,19903,1.14331),(216,19904,1.16669),(216,19905,1.12),(216,19906,0.93331),(216,19907,1.07331),(217,3,0.09338),(217,15,0.56),(217,16,1.82),(217,17,2.00662),(217,25,0.56007),(217,26,3.08007),(217,27,2.33338),(217,28,1.19),(217,34,0.18662),(217,39,1.91338),(217,41,2.19338),(217,43,0.84),(217,44,3.21993),(217,45,1.19),(217,374,0.56),(217,381,1.91338),(217,382,2.47338),(217,383,0.56),(217,384,1.91338),(217,385,2.14662),(217,386,2.00662),(217,387,2.28662),(217,393,0.42),(217,394,2.66007),(217,395,3.36),(217,397,0.79992),(217,400,3.19992),(217,480,0.28),(217,1731,0.32669),(217,1811,0.56004),(217,3453,0.81669),(217,4648,1.02669),(217,6663,0.28),(217,13995,0.86331),(217,13996,0.95669),(217,13997,0.86331),(217,13998,1.00331),(217,13999,1.19),(217,14046,0.95669),(217,14047,0.95669),(217,14048,1.05),(217,18131,1.21331),(217,18162,0.93331),(217,18163,1.07331),(217,18164,0.91),(217,18165,0.98),(217,18191,0.93331),(217,18192,1.21331),(219,3,0.32683),(219,8,0.55986),(219,15,1.12),(219,16,1.82),(219,17,2.00662),(219,25,0.56007),(219,26,3.08007),(219,27,2.33338),(219,28,1.19),(219,34,0.18662),(219,39,1.91338),(219,41,2.19338),(219,43,1.4),(219,44,3.21993),(219,47,0.46662),(219,374,0.28),(219,381,1.91338),(219,382,2.47338),(219,383,0.56),(219,384,1.91338),(219,385,2.14662),(219,386,2.00662),(219,387,2.28662),(219,393,0.42),(219,394,2.66007),(219,395,3.36),(219,397,0.79992),(219,400,3.19992),(219,480,0.7),(219,1701,0.74662),(219,1808,0.14),(219,3508,0.28),(219,3516,1.12),(219,3886,0.18662),(219,4168,1.91338),(219,6230,1.23669),(219,6770,0.37338),(219,7924,0.23331),(219,7929,0.14),(219,7951,0.88669),(219,8661,0.28),(219,9354,0.28),(219,9778,0.32669),(219,9883,1.09669),(219,10380,0.88669),(219,12860,0.28),(219,13421,0.32669),(219,13494,0.51331),(219,13997,1.72662),(219,19826,0.46662),(219,21253,0.88669),(219,21254,0.95669),(219,21255,0.86331),(219,21257,0.95669),(219,21258,1.28331),(219,21261,0.88669),(219,21262,0.98),(219,21263,1.16669),(219,21395,0.18669),(219,21396,0.91),(219,21397,1.02669),(219,21472,0.98),(219,21473,1.12),(219,21474,0.88669),(219,21475,0.98),(219,21476,0.91),(219,21477,0.98),(219,21478,0.88669),(219,21479,1.00331),(219,21480,1.72662),(219,21481,1.09669),(219,21482,1.07331),(219,21483,1.00331),(219,21484,1.14331),(219,21485,1.00331),(219,21486,0.84),(219,21487,1.05),(219,21488,0.93331),(219,21489,1.02669),(219,21490,1.00331),(219,21491,1.05),(219,21492,1.19),(219,21493,0.23331),(219,21494,0.86331),(219,21495,1.14331),(219,21496,0.93331),(219,21497,1.02669),(219,21632,0.95669),(219,21633,1.12),(219,21634,1.00331),(219,21635,1.12),(219,21636,0.28),(219,21637,0.93331),(219,21638,1.07331),(219,21639,1.28331),(219,21640,0.37338),(219,21641,0.88669),(219,21642,1.02669),(219,21643,0.88669),(219,21644,1.09669),(219,21645,0.37331),(219,21646,0.95669),(219,21647,1.09669),(219,21648,0.93331),(219,21649,1.07331),(219,21780,1.05),(219,21832,0.23331),(219,21833,0.93331),(219,21834,1.02669),(219,21835,0.37331),(219,21858,1.05),(219,21859,1.09669),(219,21878,1.26),(219,21884,2.33338),(219,21885,1.68),(219,21886,1.96),(219,21887,2.00662),(219,21888,1.96),(219,21889,1.09669),(219,21890,1.82),(219,21891,2.24),(219,21892,1.82),(219,21893,2.00662),(219,21894,1.91338),(219,21895,2.38),(219,21896,1.96),(219,21897,2.28662),(219,21898,1.96),(219,21899,2.05338),(219,21900,1.96),(219,21901,2.28662),(219,21949,2.28662),(219,21950,2.56662),(220,3,0.32683),(220,8,0.55986),(220,15,1.12),(220,16,1.82),(220,17,2.00662),(220,25,0.56007),(220,26,3.08007),(220,27,2.33338),(220,28,1.19),(220,34,0.18662),(220,39,1.91338),(220,41,2.19338),(220,43,1.4),(220,44,3.21993),(220,47,0.46662),(220,374,0.28),(220,381,1.91338),(220,382,2.47338),(220,383,0.56),(220,384,1.91338),(220,385,2.14662),(220,386,2.00662),(220,387,2.28662),(220,393,0.42),(220,394,2.66007),(220,395,3.36),(220,397,0.79992),(220,400,3.19992),(220,480,0.7),(220,1701,0.74662),(220,1808,0.14),(220,3508,0.28),(220,3516,1.12),(220,3886,0.18662),(220,4168,1.91338),(220,6230,1.23669),(220,6770,0.37338),(220,7924,0.23331),(220,7929,0.14),(220,7951,0.88669),(220,8661,0.28),(220,9354,0.28),(220,9778,0.32669),(220,9883,1.09669),(220,10380,0.88669),(220,12860,0.28),(220,13421,0.32669),(220,13494,0.51331),(220,13997,1.72662),(220,19826,0.46662),(220,21253,0.88669),(220,21254,0.95669),(220,21255,0.86331),(220,21257,0.95669),(220,21258,1.28331),(220,21261,0.88669),(220,21262,0.98),(220,21263,1.16669),(220,21395,0.18669),(220,21396,0.91),(220,21397,1.02669),(220,21472,0.98),(220,21473,1.12),(220,21474,0.88669),(220,21475,0.98),(220,21476,0.91),(220,21477,0.98),(220,21478,0.88669),(220,21479,1.00331),(220,21480,1.72662),(220,21481,1.09669),(220,21482,1.07331),(220,21483,1.00331),(220,21484,1.14331),(220,21485,1.00331),(220,21486,0.84),(220,21487,1.05),(220,21488,0.93331),(220,21489,1.02669),(220,21490,1.00331),(220,21491,1.05),(220,21492,1.19),(220,21493,0.23331),(220,21494,0.86331),(220,21495,1.14331),(220,21496,0.93331),(220,21497,1.02669),(220,21632,0.95669),(220,21633,1.12),(220,21634,1.00331),(220,21635,1.12),(220,21636,0.28),(220,21637,0.93331),(220,21638,1.07331),(220,21639,1.28331),(220,21640,0.37338),(220,21641,0.88669),(220,21642,1.02669),(220,21643,0.88669),(220,21644,1.09669),(220,21645,0.37331),(220,21646,0.95669),(220,21647,1.09669),(220,21648,0.93331),(220,21649,1.07331),(220,21780,1.05),(220,21832,0.23331),(220,21833,0.93331),(220,21834,1.02669),(220,21835,0.37331),(220,21858,1.05),(220,21859,1.09669),(220,21878,1.26),(220,21884,2.33338),(220,21885,1.68),(220,21886,1.96),(220,21887,2.00662),(220,21888,1.96),(220,21889,1.09669),(220,21890,1.82),(220,21891,2.24),(220,21892,1.82),(220,21893,2.00662),(220,21894,1.91338),(220,21895,2.38),(220,21896,1.96),(220,21897,2.28662),(220,21898,1.96),(220,21899,2.05338),(220,21900,1.96),(220,21901,2.28662),(220,21949,2.28662),(220,21950,2.56662),(221,3,0.32683),(221,8,0.55986),(221,15,1.12),(221,16,1.82),(221,17,2.00662),(221,25,0.56007),(221,26,3.08007),(221,27,2.33338),(221,28,1.19),(221,34,0.18662),(221,39,1.91338),(221,41,2.19338),(221,43,1.4),(221,44,3.21993),(221,47,0.46662),(221,374,0.28),(221,381,1.91338),(221,382,2.47338),(221,383,0.56),(221,384,1.91338),(221,385,2.14662),(221,386,2.00662),(221,387,2.28662),(221,393,0.42),(221,394,2.66007),(221,395,3.36),(221,397,0.79992),(221,400,3.19992),(221,480,0.7),(221,1701,0.74662),(221,1808,0.14),(221,3508,0.28),(221,3516,1.12),(221,3886,0.18662),(221,4168,1.91338),(221,6230,1.23669),(221,6770,0.37338),(221,7924,0.23331),(221,7929,0.14),(221,7951,0.88669),(221,8661,0.28),(221,9354,0.28),(221,9778,0.32669),(221,9883,1.09669),(221,10380,0.88669),(221,12860,0.28),(221,13421,0.32669),(221,13494,0.51331),(221,13997,1.72662),(221,19826,0.46662),(221,21253,0.88669),(221,21254,0.95669),(221,21255,0.86331),(221,21257,0.95669),(221,21258,1.28331),(221,21261,0.88669),(221,21262,0.98),(221,21263,1.16669),(221,21395,0.18669),(221,21396,0.91),(221,21397,1.02669),(221,21472,0.98),(221,21473,1.12),(221,21474,0.88669),(221,21475,0.98),(221,21476,0.91),(221,21477,0.98),(221,21478,0.88669),(221,21479,1.00331),(221,21480,1.72662),(221,21481,1.09669),(221,21482,1.07331),(221,21483,1.00331),(221,21484,1.14331),(221,21485,1.00331),(221,21486,0.84),(221,21487,1.05),(221,21488,0.93331),(221,21489,1.02669),(221,21490,1.00331),(221,21491,1.05),(221,21492,1.19),(221,21493,0.23331),(221,21494,0.86331),(221,21495,1.14331),(221,21496,0.93331),(221,21497,1.02669),(221,21632,0.95669),(221,21633,1.12),(221,21634,1.00331),(221,21635,1.12),(221,21636,0.28),(221,21637,0.93331),(221,21638,1.07331),(221,21639,1.28331),(221,21640,0.37338),(221,21641,0.88669),(221,21642,1.02669),(221,21643,0.88669),(221,21644,1.09669),(221,21645,0.37331),(221,21646,0.95669),(221,21647,1.09669),(221,21648,0.93331),(221,21649,1.07331),(221,21780,1.05),(221,21832,0.23331),(221,21833,0.93331),(221,21834,1.02669),(221,21835,0.37331),(221,21858,1.05),(221,21859,1.09669),(221,21878,1.26),(221,21884,2.33338),(221,21885,1.68),(221,21886,1.96),(221,21887,2.00662),(221,21888,1.96),(221,21889,1.09669),(221,21890,1.82),(221,21891,2.24),(221,21892,1.82),(221,21893,2.00662),(221,21894,1.91338),(221,21895,2.38),(221,21896,1.96),(221,21897,2.28662),(221,21898,1.96),(221,21899,2.05338),(221,21900,1.96),(221,21901,2.28662),(221,21949,2.28662),(221,21950,2.56662),(222,3,0.32683),(222,8,0.55986),(222,15,1.12),(222,16,1.82),(222,17,2.00662),(222,25,0.56007),(222,26,3.08007),(222,27,2.33338),(222,28,1.19),(222,34,0.18662),(222,39,1.91338),(222,41,2.19338),(222,43,1.4),(222,44,3.21993),(222,47,0.46662),(222,374,0.28),(222,381,1.91338),(222,382,2.47338),(222,383,0.56),(222,384,1.91338),(222,385,2.14662),(222,386,2.00662),(222,387,2.28662),(222,393,0.42),(222,394,2.66007),(222,395,3.36),(222,397,0.79992),(222,400,3.19992),(222,480,0.7),(222,1701,0.74662),(222,1808,0.14),(222,3508,0.28),(222,3516,1.12),(222,3886,0.18662),(222,4168,1.91338),(222,6230,1.23669),(222,6770,0.37338),(222,7924,0.23331),(222,7929,0.14),(222,7951,0.88669),(222,8661,0.28),(222,9354,0.28),(222,9778,0.32669),(222,9883,1.09669),(222,10380,0.88669),(222,12860,0.28),(222,13421,0.32669),(222,13494,0.51331),(222,13997,1.72662),(222,19826,0.46662),(222,21253,0.88669),(222,21254,0.95669),(222,21255,0.86331),(222,21257,0.95669),(222,21258,1.28331),(222,21261,0.88669),(222,21262,0.98),(222,21263,1.16669),(222,21395,0.18669),(222,21396,0.91),(222,21397,1.02669),(222,21472,0.98),(222,21473,1.12),(222,21474,0.88669),(222,21475,0.98),(222,21476,0.91),(222,21477,0.98),(222,21478,0.88669),(222,21479,1.00331),(222,21480,1.72662),(222,21481,1.09669),(222,21482,1.07331),(222,21483,1.00331),(222,21484,1.14331),(222,21485,1.00331),(222,21486,0.84),(222,21487,1.05),(222,21488,0.93331),(222,21489,1.02669),(222,21490,1.00331),(222,21491,1.05),(222,21492,1.19),(222,21493,0.23331),(222,21494,0.86331),(222,21495,1.14331),(222,21496,0.93331),(222,21497,1.02669),(222,21632,0.95669),(222,21633,1.12),(222,21634,1.00331),(222,21635,1.12),(222,21636,0.28),(222,21637,0.93331),(222,21638,1.07331),(222,21639,1.28331),(222,21640,0.37338),(222,21641,0.88669),(222,21642,1.02669),(222,21643,0.88669),(222,21644,1.09669),(222,21645,0.37331),(222,21646,0.95669),(222,21647,1.09669),(222,21648,0.93331),(222,21649,1.07331),(222,21780,1.05),(222,21832,0.23331),(222,21833,0.93331),(222,21834,1.02669),(222,21835,0.37331),(222,21858,1.05),(222,21859,1.09669),(222,21878,1.26),(222,21884,2.33338),(222,21885,1.68),(222,21886,1.96),(222,21887,2.00662),(222,21888,1.96),(222,21889,1.09669),(222,21890,1.82),(222,21891,2.24),(222,21892,1.82),(222,21893,2.00662),(222,21894,1.91338),(222,21895,2.38),(222,21896,1.96),(222,21897,2.28662),(222,21898,1.96),(222,21899,2.05338),(222,21900,1.96),(222,21901,2.28662),(222,21949,2.28662),(222,21950,2.56662),(223,3,0.32683),(223,8,0.55986),(223,15,1.12),(223,16,1.82),(223,17,2.00662),(223,25,0.56007),(223,26,3.08007),(223,27,2.33338),(223,28,1.19),(223,34,0.18662),(223,39,1.91338),(223,41,2.19338),(223,43,1.4),(223,44,3.21993),(223,47,0.46662),(223,374,0.28),(223,381,1.91338),(223,382,2.47338),(223,383,0.56),(223,384,1.91338),(223,385,2.14662),(223,386,2.00662),(223,387,2.28662),(223,393,0.42),(223,394,2.66007),(223,395,3.36),(223,397,0.79992),(223,400,3.19992),(223,480,0.94),(223,1701,0.74662),(223,1808,0.14),(223,3508,0.28),(223,3516,1.12),(223,3886,0.18662),(223,4168,1.91338),(223,6230,1.23669),(223,6770,0.37338),(223,7924,0.23331),(223,7929,0.14),(223,7951,0.88669),(223,8661,0.28),(223,9354,0.28),(223,9778,0.32669),(223,9883,1.09669),(223,10380,0.88669),(223,12860,0.28),(223,13421,0.32669),(223,13494,0.51331),(223,13997,1.72662),(223,19826,0.46662),(223,21253,0.88669),(223,21254,0.95669),(223,21255,0.86331),(223,21257,0.95669),(223,21258,1.28331),(223,21261,0.88669),(223,21262,0.98),(223,21263,1.16669),(223,21395,0.18669),(223,21396,0.91),(223,21397,1.02669),(223,21472,0.98),(223,21473,1.12),(223,21474,0.88669),(223,21475,0.98),(223,21476,0.91),(223,21477,0.98),(223,21478,0.88669),(223,21479,1.00331),(223,21480,1.72662),(223,21481,1.09669),(223,21482,1.07331),(223,21483,1.00331),(223,21484,1.14331),(223,21485,1.00331),(223,21486,0.84),(223,21487,1.05),(223,21488,0.93331),(223,21489,1.02669),(223,21490,1.00331),(223,21491,1.05),(223,21492,1.19),(223,21493,0.23331),(223,21494,0.86331),(223,21495,1.14331),(223,21496,0.93331),(223,21497,1.02669),(223,21632,0.95669),(223,21633,1.12),(223,21634,1.00331),(223,21635,1.12),(223,21636,0.28),(223,21637,0.93331),(223,21638,1.07331),(223,21639,1.28331),(223,21640,0.37338),(223,21641,0.88669),(223,21642,1.02669),(223,21643,0.88669),(223,21644,1.09669),(223,21645,0.37331),(223,21646,0.95669),(223,21647,1.09669),(223,21648,0.93331),(223,21649,1.07331),(223,21780,1.05),(223,21832,0.23331),(223,21833,0.93331),(223,21834,1.02669),(223,21835,0.37331),(223,21858,1.05),(223,21859,1.09669),(223,21878,1.26),(223,21884,2.33338),(223,21885,1.68),(223,21886,1.96),(223,21887,2.00662),(223,21888,1.96),(223,21889,1.09669),(223,21890,1.82),(223,21891,2.24),(223,21892,1.82),(223,21893,2.00662),(223,21894,1.91338),(223,21895,2.38),(223,21896,1.96),(223,21897,2.28662),(223,21898,1.96),(223,21899,2.05338),(223,21900,1.96),(223,21901,2.28662),(223,21949,2.28662),(223,21950,2.56662),(223,22212,1.68),(223,22316,1.97321),(223,22317,5.30321),(223,22329,1.48),(223,22525,4.81),(223,22526,5.55),(224,3,0.57362),(224,8,0.55986),(224,15,1.12),(224,16,1.82),(224,17,2.00662),(224,25,0.56007),(224,26,3.08007),(224,27,2.33338),(224,28,1.19),(224,34,0.18662),(224,39,1.91338),(224,41,2.19338),(224,43,1.4),(224,44,3.21993),(224,47,0.46662),(224,374,0.28),(224,381,1.91338),(224,382,2.47338),(224,383,0.56),(224,384,1.91338),(224,385,2.14662),(224,386,2.00662),(224,387,2.28662),(224,393,0.42),(224,394,2.66007),(224,395,3.36),(224,397,0.79992),(224,400,3.19992),(224,480,0.94),(224,1507,0.1334),(224,1701,0.74662),(224,1808,0.14),(224,3508,0.28),(224,3516,1.12),(224,3886,0.18662),(224,4168,1.91338),(224,6230,1.23669),(224,6770,0.37338),(224,7924,0.23331),(224,7929,0.14),(224,7951,0.88669),(224,8661,0.28),(224,9354,0.28),(224,9778,0.32669),(224,9883,1.09669),(224,10380,0.88669),(224,11527,1.23321),(224,12860,0.28),(224,13421,0.32669),(224,13494,0.51331),(224,13997,1.72662),(224,19826,0.46662),(224,21253,0.88669),(224,21254,0.95669),(224,21255,0.86331),(224,21257,0.95669),(224,21258,1.28331),(224,21261,0.88669),(224,21262,0.98),(224,21263,1.16669),(224,21395,0.18669),(224,21396,0.91),(224,21397,1.02669),(224,21472,0.98),(224,21473,1.12),(224,21474,0.88669),(224,21475,0.98),(224,21476,0.91),(224,21477,0.98),(224,21478,0.88669),(224,21479,1.00331),(224,21480,1.72662),(224,21481,1.09669),(224,21482,1.07331),(224,21483,1.00331),(224,21484,1.14331),(224,21485,1.00331),(224,21486,0.84),(224,21487,1.05),(224,21488,0.93331),(224,21489,1.02669),(224,21490,1.00331),(224,21491,1.05),(224,21492,1.19),(224,21493,0.23331),(224,21494,0.86331),(224,21495,1.14331),(224,21496,0.93331),(224,21497,1.02669),(224,21632,0.95669),(224,21633,1.12),(224,21634,1.00331),(224,21635,1.12),(224,21636,0.28),(224,21637,0.93331),(224,21638,1.07331),(224,21639,1.28331),(224,21640,0.37338),(224,21641,0.88669),(224,21642,1.02669),(224,21643,0.88669),(224,21644,1.09669),(224,21645,0.37331),(224,21646,0.95669),(224,21647,1.09669),(224,21648,0.93331),(224,21649,1.07331),(224,21780,1.05),(224,21832,0.23331),(224,21833,0.93331),(224,21834,1.02669),(224,21835,0.37331),(224,21858,1.05),(224,21859,1.09669),(224,21878,1.26),(224,21884,2.33338),(224,21885,1.68),(224,21886,1.96),(224,21887,2.00662),(224,21888,1.96),(224,21889,1.09669),(224,21890,1.82),(224,21891,2.24),(224,21892,1.82),(224,21893,2.00662),(224,21894,1.91338),(224,21895,2.38),(224,21896,1.96),(224,21897,2.28662),(224,21898,1.96),(224,21899,2.05338),(224,21900,1.96),(224,21901,2.28662),(224,21949,2.28662),(224,21950,2.56662),(224,22212,1.68),(224,22240,4.44),(224,22241,5.05679),(224,22261,2.4),(224,22262,2.5334),(224,22266,2.4666),(224,22267,2.6666),(224,22268,2.26661),(224,22509,2.55),(225,3,0.32683),(225,8,0.55986),(225,15,1.12),(225,16,1.82),(225,17,2.00662),(225,25,0.56007),(225,26,3.08007),(225,27,2.33338),(225,28,1.19),(225,34,0.18662),(225,39,1.91338),(225,41,2.19338),(225,43,1.4),(225,44,3.21993),(225,47,0.46662),(225,374,0.28),(225,381,1.91338),(225,382,2.47338),(225,383,0.56),(225,384,1.91338),(225,385,2.14662),(225,386,2.00662),(225,387,2.28662),(225,393,0.42),(225,394,2.66007),(225,395,3.36),(225,397,0.79992),(225,400,3.19992),(225,480,0.94),(225,1701,0.74662),(225,1808,0.14),(225,3481,0.74),(225,3508,0.28),(225,3516,1.12),(225,3886,0.18662),(225,4168,1.91338),(225,6230,1.23669),(225,6770,0.37338),(225,7924,0.23331),(225,7929,0.14),(225,7951,0.88669),(225,8661,0.28),(225,9354,0.28),(225,9778,0.32669),(225,9883,1.09669),(225,10380,0.88669),(225,12860,0.28),(225,13421,0.32669),(225,13494,0.51331),(225,13997,1.72662),(225,19826,0.46662),(225,21253,0.88669),(225,21254,0.95669),(225,21255,0.86331),(225,21257,0.95669),(225,21258,1.28331),(225,21261,0.88669),(225,21262,0.98),(225,21263,1.16669),(225,21395,0.18669),(225,21396,0.91),(225,21397,1.02669),(225,21472,0.98),(225,21473,1.12),(225,21474,0.88669),(225,21475,0.98),(225,21476,0.91),(225,21477,0.98),(225,21478,0.88669),(225,21479,1.00331),(225,21480,1.72662),(225,21481,1.09669),(225,21482,1.07331),(225,21483,1.00331),(225,21484,1.14331),(225,21485,1.00331),(225,21486,0.84),(225,21487,1.05),(225,21488,0.93331),(225,21489,1.02669),(225,21490,1.00331),(225,21491,1.05),(225,21492,1.19),(225,21493,0.23331),(225,21494,0.86331),(225,21495,1.14331),(225,21496,0.93331),(225,21497,1.02669),(225,21632,0.95669),(225,21633,1.12),(225,21634,1.00331),(225,21635,1.12),(225,21636,0.28),(225,21637,0.93331),(225,21638,1.07331),(225,21639,1.28331),(225,21640,0.37338),(225,21641,0.88669),(225,21642,1.02669),(225,21643,0.88669),(225,21644,1.09669),(225,21645,0.37331),(225,21646,0.95669),(225,21647,1.09669),(225,21648,0.93331),(225,21649,1.07331),(225,21780,1.05),(225,21832,0.23331),(225,21833,0.93331),(225,21834,1.02669),(225,21835,0.37331),(225,21858,1.05),(225,21859,1.09669),(225,21878,1.26),(225,21884,2.33338),(225,21885,1.68),(225,21886,1.96),(225,21887,2.00662),(225,21888,1.96),(225,21889,1.09669),(225,21890,1.82),(225,21891,2.24),(225,21892,1.82),(225,21893,2.00662),(225,21894,1.91338),(225,21895,2.38),(225,21896,1.96),(225,21897,2.28662),(225,21898,1.96),(225,21899,2.05338),(225,21900,1.96),(225,21901,2.28662),(225,21949,2.28662),(225,21950,2.56662),(225,22212,1.68),(225,22235,1.97321),(225,22236,4.56321),(225,22237,5.67321),(226,3,0.32683),(226,8,0.55986),(226,15,1.12),(226,16,1.82),(226,17,2.00662),(226,25,0.56007),(226,26,3.08007),(226,27,2.33338),(226,28,1.19),(226,34,0.18662),(226,39,1.91338),(226,41,2.19338),(226,43,1.4),(226,44,3.21993),(226,47,0.46662),(226,374,0.28),(226,381,1.91338),(226,382,2.47338),(226,383,0.56),(226,384,1.91338),(226,385,2.14662),(226,386,2.00662),(226,387,2.28662),(226,393,0.42),(226,394,2.66007),(226,395,3.36),(226,397,0.79992),(226,400,3.19992),(226,480,0.94),(226,818,0.4),(226,1701,0.74662),(226,1808,0.14),(226,3508,0.28),(226,3516,1.12),(226,3886,0.18662),(226,4168,1.91338),(226,6230,1.23669),(226,6770,0.37338),(226,7924,0.23331),(226,7929,0.14),(226,7951,0.88669),(226,8661,0.28),(226,9354,0.28),(226,9778,0.32669),(226,9883,1.09669),(226,10380,0.88669),(226,12860,0.28),(226,13421,0.32669),(226,13494,0.51331),(226,13997,1.72662),(226,19826,0.46662),(226,21253,0.88669),(226,21254,0.95669),(226,21255,0.86331),(226,21257,0.95669),(226,21258,1.28331),(226,21261,0.88669),(226,21262,0.98),(226,21263,1.16669),(226,21395,0.18669),(226,21396,0.91),(226,21397,1.02669),(226,21472,0.98),(226,21473,1.12),(226,21474,0.88669),(226,21475,0.98),(226,21476,0.91),(226,21477,0.98),(226,21478,0.88669),(226,21479,1.00331),(226,21480,1.72662),(226,21481,1.09669),(226,21482,1.07331),(226,21483,1.00331),(226,21484,1.14331),(226,21485,1.00331),(226,21486,0.84),(226,21487,1.05),(226,21488,0.93331),(226,21489,1.02669),(226,21490,1.00331),(226,21491,1.05),(226,21492,1.19),(226,21493,0.23331),(226,21494,0.86331),(226,21495,1.14331),(226,21496,0.93331),(226,21497,1.02669),(226,21632,0.95669),(226,21633,1.12),(226,21634,1.00331),(226,21635,1.12),(226,21636,0.28),(226,21637,0.93331),(226,21638,1.07331),(226,21639,1.28331),(226,21640,0.37338),(226,21641,0.88669),(226,21642,1.02669),(226,21643,0.88669),(226,21644,1.09669),(226,21645,0.37331),(226,21646,0.95669),(226,21647,1.09669),(226,21648,0.93331),(226,21649,1.07331),(226,21780,1.05),(226,21832,0.23331),(226,21833,0.93331),(226,21834,1.02669),(226,21835,0.37331),(226,21858,1.05),(226,21859,1.09669),(226,21878,1.26),(226,21884,2.33338),(226,21885,1.68),(226,21886,1.96),(226,21887,2.00662),(226,21888,1.96),(226,21889,1.09669),(226,21890,1.82),(226,21891,2.24),(226,21892,1.82),(226,21893,2.00662),(226,21894,1.91338),(226,21895,2.38),(226,21896,1.96),(226,21897,2.28662),(226,21898,1.96),(226,21899,2.05338),(226,21900,1.96),(226,21901,2.28662),(226,21949,2.28662),(226,21950,2.56662),(226,22212,1.68),(226,22282,0.45339),(226,22291,1.72679),(226,22292,4.93321),(226,22293,5.55),(227,3,0.32683),(227,8,0.55986),(227,15,1.12),(227,16,1.82),(227,17,2.00662),(227,25,0.56007),(227,26,3.08007),(227,27,2.33338),(227,28,1.19),(227,34,0.18662),(227,39,1.91338),(227,41,2.19338),(227,43,1.4),(227,44,3.21993),(227,47,0.46662),(227,374,0.28),(227,381,1.91338),(227,382,2.47338),(227,383,0.56),(227,384,1.91338),(227,385,2.14662),(227,386,2.00662),(227,387,2.28662),(227,393,0.42),(227,394,2.66007),(227,395,3.36),(227,397,0.79992),(227,400,3.19992),(227,480,0.7),(227,1701,0.74662),(227,1808,0.14),(227,3508,0.28),(227,3516,1.12),(227,3886,0.18662),(227,4168,1.91338),(227,6230,1.23669),(227,6770,0.37338),(227,7356,1.23321),(227,7924,0.23331),(227,7929,0.14),(227,7951,0.88669),(227,8661,0.28),(227,9354,0.28),(227,9778,0.32669),(227,9883,1.09669),(227,10380,0.88669),(227,12860,0.28),(227,13421,0.32669),(227,13494,0.51331),(227,13997,1.72662),(227,19826,0.46662),(227,21253,0.88669),(227,21254,0.95669),(227,21255,0.86331),(227,21257,0.95669),(227,21258,1.28331),(227,21261,0.88669),(227,21262,0.98),(227,21263,1.16669),(227,21395,0.18669),(227,21396,0.91),(227,21397,1.02669),(227,21472,0.98),(227,21473,1.12),(227,21474,0.88669),(227,21475,0.98),(227,21476,0.91),(227,21477,0.98),(227,21478,0.88669),(227,21479,1.00331),(227,21480,1.72662),(227,21481,1.09669),(227,21482,1.07331),(227,21483,1.00331),(227,21484,1.14331),(227,21485,1.00331),(227,21486,0.84),(227,21487,1.05),(227,21488,0.93331),(227,21489,1.02669),(227,21490,1.00331),(227,21491,1.05),(227,21492,1.19),(227,21493,0.23331),(227,21494,0.86331),(227,21495,1.14331),(227,21496,0.93331),(227,21497,1.02669),(227,21632,0.95669),(227,21633,1.12),(227,21634,1.00331),(227,21635,1.12),(227,21636,0.28),(227,21637,0.93331),(227,21638,1.07331),(227,21639,1.28331),(227,21640,0.37338),(227,21641,0.88669),(227,21642,1.02669),(227,21643,0.88669),(227,21644,1.09669),(227,21645,0.37331),(227,21646,0.95669),(227,21647,1.09669),(227,21648,0.93331),(227,21649,1.07331),(227,21780,1.05),(227,21832,0.23331),(227,21833,0.93331),(227,21834,1.02669),(227,21835,0.37331),(227,21858,1.05),(227,21859,1.09669),(227,21878,1.26),(227,21884,2.33338),(227,21885,1.68),(227,21886,1.96),(227,21887,2.00662),(227,21888,1.96),(227,21889,1.09669),(227,21890,1.82),(227,21891,2.24),(227,21892,1.82),(227,21893,2.00662),(227,21894,1.91338),(227,21895,2.38),(227,21896,1.96),(227,21897,2.28662),(227,21898,1.96),(227,21899,2.05338),(227,21900,1.96),(227,21901,2.28662),(227,21949,2.28662),(227,21950,2.56662),(227,22453,1.23321),(227,22456,1.23321),(227,22501,5.05679),(227,22502,5.67321),(227,22503,5.05679),(227,22504,5.79679),(228,3,0.32683),(228,8,0.55986),(228,15,1.12),(228,16,1.82),(228,17,2.00662),(228,25,0.56007),(228,26,3.08007),(228,27,2.33338),(228,28,1.19),(228,34,0.18662),(228,39,1.91338),(228,41,2.19338),(228,43,1.4),(228,44,3.21993),(228,47,0.46662),(228,374,0.28),(228,381,1.91338),(228,382,2.47338),(228,383,0.56),(228,384,1.91338),(228,385,2.14662),(228,386,2.00662),(228,387,2.28662),(228,393,0.42),(228,394,2.66007),(228,395,3.36),(228,397,0.79992),(228,400,3.19992),(228,480,0.7),(228,1701,0.74662),(228,1808,0.14),(228,3508,0.28),(228,3516,1.12),(228,3546,0.98679),(228,3886,0.18662),(228,4168,1.91338),(228,6230,1.23669),(228,6770,0.37338),(228,7924,0.23331),(228,7929,0.14),(228,7951,0.88669),(228,8661,0.28),(228,9354,0.28),(228,9778,0.32669),(228,9883,1.09669),(228,10380,0.88669),(228,12860,0.28),(228,13421,0.32669),(228,13494,0.51331),(228,13997,1.72662),(228,19826,0.46662),(228,21253,0.88669),(228,21254,0.95669),(228,21255,0.86331),(228,21257,0.95669),(228,21258,1.28331),(228,21261,0.88669),(228,21262,0.98),(228,21263,1.16669),(228,21395,0.18669),(228,21396,0.91),(228,21397,1.02669),(228,21472,0.98),(228,21473,1.12),(228,21474,0.88669),(228,21475,0.98),(228,21476,0.91),(228,21477,0.98),(228,21478,0.88669),(228,21479,1.00331),(228,21480,1.72662),(228,21481,1.09669),(228,21482,1.07331),(228,21483,1.00331),(228,21484,1.14331),(228,21485,1.00331),(228,21486,0.84),(228,21487,1.05),(228,21488,0.93331),(228,21489,1.02669),(228,21490,1.00331),(228,21491,1.05),(228,21492,1.19),(228,21493,0.23331),(228,21494,0.86331),(228,21495,1.14331),(228,21496,0.93331),(228,21497,1.02669),(228,21632,0.95669),(228,21633,1.12),(228,21634,1.00331),(228,21635,1.12),(228,21636,0.28),(228,21637,0.93331),(228,21638,1.07331),(228,21639,1.28331),(228,21640,0.37338),(228,21641,0.88669),(228,21642,1.02669),(228,21643,0.88669),(228,21644,1.09669),(228,21645,0.37331),(228,21646,0.95669),(228,21647,1.09669),(228,21648,0.93331),(228,21649,1.07331),(228,21780,1.05),(228,21832,0.23331),(228,21833,0.93331),(228,21834,1.02669),(228,21835,0.37331),(228,21858,1.05),(228,21859,1.09669),(228,21878,1.26),(228,21884,2.33338),(228,21885,1.68),(228,21886,1.96),(228,21887,2.00662),(228,21888,1.96),(228,21889,1.09669),(228,21890,1.82),(228,21891,2.24),(228,21892,1.82),(228,21893,2.00662),(228,21894,1.91338),(228,21895,2.38),(228,21896,1.96),(228,21897,2.28662),(228,21898,1.96),(228,21899,2.05338),(228,21900,1.96),(228,21901,2.28662),(228,21949,2.28662),(228,21950,2.56662),(229,3,0.32683),(229,8,0.55986),(229,15,1.12),(229,16,1.82),(229,17,2.00662),(229,25,0.56007),(229,26,3.08007),(229,27,2.33338),(229,28,1.19),(229,34,0.18662),(229,39,1.91338),(229,41,2.19338),(229,43,1.4),(229,44,3.21993),(229,47,0.46662),(229,374,0.28),(229,381,1.91338),(229,382,2.47338),(229,383,0.56),(229,384,1.91338),(229,385,2.14662),(229,386,2.00662),(229,387,2.28662),(229,393,0.42),(229,394,2.66007),(229,395,3.36),(229,397,0.79992),(229,400,3.19992),(229,480,0.7),(229,1507,0.1334),(229,1701,0.74662),(229,1808,0.14),(229,3508,0.28),(229,3516,1.12),(229,3886,0.18662),(229,4168,1.91338),(229,6230,1.23669),(229,6770,0.37338),(229,7924,0.23331),(229,7929,0.14),(229,7951,0.88669),(229,8661,0.28),(229,9354,0.28),(229,9778,0.32669),(229,9883,1.09669),(229,10380,0.88669),(229,12860,0.28),(229,13421,0.32669),(229,13494,0.51331),(229,13997,1.72662),(229,19826,0.46662),(229,21253,0.88669),(229,21254,0.95669),(229,21255,0.86331),(229,21257,0.95669),(229,21258,1.28331),(229,21261,0.88669),(229,21262,0.98),(229,21263,1.16669),(229,21395,0.18669),(229,21396,0.91),(229,21397,1.02669),(229,21472,0.98),(229,21473,1.12),(229,21474,0.88669),(229,21475,0.98),(229,21476,0.91),(229,21477,0.98),(229,21478,0.88669),(229,21479,1.00331),(229,21480,1.72662),(229,21481,1.09669),(229,21482,1.07331),(229,21483,1.00331),(229,21484,1.14331),(229,21485,1.00331),(229,21486,0.84),(229,21487,1.05),(229,21488,0.93331),(229,21489,1.02669),(229,21490,1.00331),(229,21491,1.05),(229,21492,1.19),(229,21493,0.23331),(229,21494,0.86331),(229,21495,1.14331),(229,21496,0.93331),(229,21497,1.02669),(229,21632,0.95669),(229,21633,1.12),(229,21634,1.00331),(229,21635,1.12),(229,21636,0.28),(229,21637,0.93331),(229,21638,1.07331),(229,21639,1.28331),(229,21640,0.37338),(229,21641,0.88669),(229,21642,1.02669),(229,21643,0.88669),(229,21644,1.09669),(229,21645,0.37331),(229,21646,0.95669),(229,21647,1.09669),(229,21648,0.93331),(229,21649,1.07331),(229,21780,1.05),(229,21832,0.23331),(229,21833,0.93331),(229,21834,1.02669),(229,21835,0.37331),(229,21858,1.05),(229,21859,1.09669),(229,21878,1.26),(229,21884,2.33338),(229,21885,1.68),(229,21886,1.96),(229,21887,2.00662),(229,21888,1.96),(229,21889,1.09669),(229,21890,1.82),(229,21891,2.24),(229,21892,1.82),(229,21893,2.00662),(229,21894,1.91338),(229,21895,2.38),(229,21896,1.96),(229,21897,2.28662),(229,21898,1.96),(229,21899,2.05338),(229,21900,1.96),(229,21901,2.28662),(229,21949,2.28662),(229,21950,2.56662),(229,22421,0.8),(229,22422,2.5334),(229,22424,0.90661),(229,22488,2.2666),(229,22489,2.6),(229,22490,2.7334),(229,22491,2.32339),(229,22492,2.60661),(230,3,0.32683),(230,8,0.55986),(230,15,1.12),(230,16,1.82),(230,17,2.00662),(230,25,0.56007),(230,26,3.08007),(230,27,2.33338),(230,28,1.19),(230,34,0.18662),(230,39,1.91338),(230,41,2.19338),(230,43,1.4),(230,44,3.21993),(230,47,0.46662),(230,374,0.28),(230,381,1.91338),(230,382,2.47338),(230,383,0.56),(230,384,1.91338),(230,385,2.14662),(230,386,2.00662),(230,387,2.28662),(230,393,0.42),(230,394,2.66007),(230,395,3.36),(230,397,0.79992),(230,400,3.19992),(230,480,0.7),(230,1701,0.74662),(230,1808,0.14),(230,3508,0.28),(230,3516,1.12),(230,3546,0.98679),(230,3886,0.18662),(230,4168,1.91338),(230,6230,1.23669),(230,6770,0.37338),(230,7924,0.23331),(230,7929,0.14),(230,7951,0.88669),(230,8661,0.28),(230,9354,0.28),(230,9778,0.32669),(230,9883,1.09669),(230,10380,0.88669),(230,12860,0.28),(230,13421,0.32669),(230,13494,0.51331),(230,13997,1.72662),(230,19826,0.46662),(230,21253,0.88669),(230,21254,0.95669),(230,21255,0.86331),(230,21257,0.95669),(230,21258,1.28331),(230,21261,0.88669),(230,21262,0.98),(230,21263,1.16669),(230,21395,0.18669),(230,21396,0.91),(230,21397,1.02669),(230,21472,0.98),(230,21473,1.12),(230,21474,0.88669),(230,21475,0.98),(230,21476,0.91),(230,21477,0.98),(230,21478,0.88669),(230,21479,1.00331),(230,21480,1.72662),(230,21481,1.09669),(230,21482,1.07331),(230,21483,1.00331),(230,21484,1.14331),(230,21485,1.00331),(230,21486,0.84),(230,21487,1.05),(230,21488,0.93331),(230,21489,1.02669),(230,21490,1.00331),(230,21491,1.05),(230,21492,1.19),(230,21493,0.23331),(230,21494,0.86331),(230,21495,1.14331),(230,21496,0.93331),(230,21497,1.02669),(230,21632,0.95669),(230,21633,1.12),(230,21634,1.00331),(230,21635,1.12),(230,21636,0.28),(230,21637,0.93331),(230,21638,1.07331),(230,21639,1.28331),(230,21640,0.37338),(230,21641,0.88669),(230,21642,1.02669),(230,21643,0.88669),(230,21644,1.09669),(230,21645,0.37331),(230,21646,0.95669),(230,21647,1.09669),(230,21648,0.93331),(230,21649,1.07331),(230,21780,1.05),(230,21832,0.23331),(230,21833,0.93331),(230,21834,1.02669),(230,21835,0.37331),(230,21858,1.05),(230,21859,1.09669),(230,21878,1.26),(230,21884,2.33338),(230,21885,1.68),(230,21886,1.96),(230,21887,2.00662),(230,21888,1.96),(230,21889,1.09669),(230,21890,1.82),(230,21891,2.24),(230,21892,1.82),(230,21893,2.00662),(230,21894,1.91338),(230,21895,2.38),(230,21896,1.96),(230,21897,2.28662),(230,21898,1.96),(230,21899,2.05338),(230,21900,1.96),(230,21901,2.28662),(230,21949,2.28662),(230,21950,2.56662),(231,3,0.32683),(231,8,0.55986),(231,15,1.12),(231,16,1.82),(231,17,2.00662),(231,25,0.56007),(231,26,3.08007),(231,27,2.33338),(231,28,1.19),(231,34,0.18662),(231,39,1.91338),(231,41,2.19338),(231,43,1.4),(231,44,3.21993),(231,47,0.46662),(231,374,0.28),(231,381,1.91338),(231,382,2.47338),(231,383,0.56),(231,384,1.91338),(231,385,2.14662),(231,386,2.00662),(231,387,2.28662),(231,393,0.42),(231,394,2.66007),(231,395,3.36),(231,397,0.79992),(231,400,3.19992),(231,480,0.7),(231,1701,0.74662),(231,1808,0.14),(231,3508,0.28),(231,3516,1.12),(231,3886,0.18662),(231,4168,1.91338),(231,6230,1.23669),(231,6770,0.37338),(231,7924,0.23331),(231,7929,0.14),(231,7951,0.88669),(231,8661,0.28),(231,9354,0.28),(231,9778,0.32669),(231,9883,1.09669),(231,10380,0.88669),(231,12860,1.76),(231,13421,0.32669),(231,13494,0.51331),(231,13997,1.72662),(231,19734,5.79679),(231,19826,0.46662),(231,21253,0.88669),(231,21254,0.95669),(231,21255,0.86331),(231,21257,0.95669),(231,21258,1.28331),(231,21261,0.88669),(231,21262,0.98),(231,21263,1.16669),(231,21395,0.18669),(231,21396,0.91),(231,21397,1.02669),(231,21472,0.98),(231,21473,1.12),(231,21474,0.88669),(231,21475,0.98),(231,21476,0.91),(231,21477,0.98),(231,21478,0.88669),(231,21479,1.00331),(231,21480,1.72662),(231,21481,1.09669),(231,21482,1.07331),(231,21483,1.00331),(231,21484,1.14331),(231,21485,1.00331),(231,21486,0.84),(231,21487,1.05),(231,21488,0.93331),(231,21489,1.02669),(231,21490,1.00331),(231,21491,1.05),(231,21492,1.19),(231,21493,0.23331),(231,21494,0.86331),(231,21495,1.14331),(231,21496,0.93331),(231,21497,1.02669),(231,21632,0.95669),(231,21633,1.12),(231,21634,1.00331),(231,21635,1.12),(231,21636,0.28),(231,21637,0.93331),(231,21638,1.07331),(231,21639,1.28331),(231,21640,0.37338),(231,21641,0.88669),(231,21642,1.02669),(231,21643,0.88669),(231,21644,1.09669),(231,21645,0.37331),(231,21646,0.95669),(231,21647,1.09669),(231,21648,0.93331),(231,21649,1.07331),(231,21780,1.05),(231,21832,0.23331),(231,21833,0.93331),(231,21834,1.02669),(231,21835,0.37331),(231,21858,1.05),(231,21859,1.09669),(231,21878,1.26),(231,21884,2.33338),(231,21885,1.68),(231,21886,1.96),(231,21887,2.00662),(231,21888,1.96),(231,21889,1.09669),(231,21890,1.82),(231,21891,2.24),(231,21892,1.82),(231,21893,2.00662),(231,21894,1.91338),(231,21895,2.38),(231,21896,1.96),(231,21897,2.28662),(231,21898,1.96),(231,21899,2.05338),(231,21900,1.96),(231,21901,2.28662),(231,21949,2.28662),(231,21950,2.56662),(231,22566,0.48),(232,3,0.32683),(232,8,0.55986),(232,15,1.12),(232,16,1.82),(232,17,2.00662),(232,25,0.56007),(232,26,3.08007),(232,27,2.33338),(232,28,1.19),(232,34,0.18662),(232,39,1.91338),(232,41,2.19338),(232,43,1.4),(232,44,3.21993),(232,47,0.46662),(232,374,0.28),(232,381,1.91338),(232,382,2.47338),(232,383,0.56),(232,384,1.91338),(232,385,2.14662),(232,386,2.00662),(232,387,2.28662),(232,393,0.42),(232,394,2.66007),(232,395,3.36),(232,397,0.79992),(232,400,3.19992),(232,480,0.7),(232,1701,0.74662),(232,1808,0.14),(232,3508,0.28),(232,3516,1.12),(232,3886,0.18662),(232,4168,1.91338),(232,6230,1.23669),(232,6770,0.37338),(232,7924,0.23331),(232,7929,0.14),(232,7951,0.88669),(232,8661,0.28),(232,9354,0.28),(232,9778,0.32669),(232,9883,1.09669),(232,10380,0.88669),(232,12860,0.28),(232,13421,0.32669),(232,13494,0.51331),(232,13997,1.72662),(232,19826,0.46662),(232,21253,0.88669),(232,21254,0.95669),(232,21255,0.86331),(232,21257,0.95669),(232,21258,1.28331),(232,21261,0.88669),(232,21262,0.98),(232,21263,1.16669),(232,21395,0.18669),(232,21396,0.91),(232,21397,1.02669),(232,21472,0.98),(232,21473,1.12),(232,21474,0.88669),(232,21475,0.98),(232,21476,0.91),(232,21477,0.98),(232,21478,0.88669),(232,21479,1.00331),(232,21480,1.72662),(232,21481,1.09669),(232,21482,1.07331),(232,21483,1.00331),(232,21484,1.14331),(232,21485,1.00331),(232,21486,0.84),(232,21487,1.05),(232,21488,0.93331),(232,21489,1.02669),(232,21490,1.00331),(232,21491,1.05),(232,21492,1.19),(232,21493,0.23331),(232,21494,0.86331),(232,21495,1.14331),(232,21496,0.93331),(232,21497,1.02669),(232,21632,0.95669),(232,21633,1.12),(232,21634,1.00331),(232,21635,1.12),(232,21636,0.28),(232,21637,0.93331),(232,21638,1.07331),(232,21639,1.28331),(232,21640,0.37338),(232,21641,0.88669),(232,21642,1.02669),(232,21643,0.88669),(232,21644,1.09669),(232,21645,0.37331),(232,21646,0.95669),(232,21647,1.09669),(232,21648,0.93331),(232,21649,1.07331),(232,21780,1.05),(232,21832,0.23331),(232,21833,0.93331),(232,21834,1.02669),(232,21835,0.37331),(232,21858,1.05),(232,21859,1.09669),(232,21878,1.26),(232,21884,2.33338),(232,21885,1.68),(232,21886,1.96),(232,21887,2.00662),(232,21888,1.96),(232,21889,1.09669),(232,21890,1.82),(232,21891,2.24),(232,21892,1.82),(232,21893,2.00662),(232,21894,1.91338),(232,21895,2.38),(232,21896,1.96),(232,21897,2.28662),(232,21898,1.96),(232,21899,2.05338),(232,21900,1.96),(232,21901,2.28662),(232,21949,2.28662),(232,21950,2.56662),(232,22566,0.48),(233,3,0.32683),(233,8,0.55986),(233,15,1.12),(233,16,1.82),(233,17,2.00662),(233,25,0.56007),(233,26,3.08007),(233,27,2.33338),(233,28,1.19),(233,34,0.18662),(233,39,1.91338),(233,41,2.19338),(233,43,1.4),(233,44,3.21993),(233,47,0.46662),(233,374,0.28),(233,381,1.91338),(233,382,2.47338),(233,383,0.56),(233,384,1.91338),(233,385,2.14662),(233,386,2.00662),(233,387,2.28662),(233,393,0.42),(233,394,2.66007),(233,395,3.36),(233,397,0.79992),(233,400,3.19992),(233,480,0.7),(233,1701,0.74662),(233,1808,0.14),(233,3508,0.28),(233,3516,1.12),(233,3886,0.18662),(233,4168,1.91338),(233,6230,1.23669),(233,6770,0.37338),(233,7924,0.23331),(233,7929,0.14),(233,7951,0.88669),(233,8661,0.28),(233,9354,0.28),(233,9778,0.32669),(233,9883,1.09669),(233,10380,0.88669),(233,11151,0.49321),(233,11530,0.98679),(233,12860,0.28),(233,13421,0.32669),(233,13494,0.51331),(233,13997,1.72662),(233,19826,0.46662),(233,21253,0.88669),(233,21254,0.95669),(233,21255,0.86331),(233,21257,0.95669),(233,21258,1.28331),(233,21261,0.88669),(233,21262,0.98),(233,21263,1.16669),(233,21395,0.18669),(233,21396,0.91),(233,21397,1.02669),(233,21472,0.98),(233,21473,1.12),(233,21474,0.88669),(233,21475,0.98),(233,21476,0.91),(233,21477,0.98),(233,21478,0.88669),(233,21479,1.00331),(233,21480,1.72662),(233,21481,1.09669),(233,21482,1.07331),(233,21483,1.00331),(233,21484,1.14331),(233,21485,1.00331),(233,21486,0.84),(233,21487,1.05),(233,21488,0.93331),(233,21489,1.02669),(233,21490,1.00331),(233,21491,1.05),(233,21492,1.19),(233,21493,0.23331),(233,21494,0.86331),(233,21495,1.14331),(233,21496,0.93331),(233,21497,1.02669),(233,21632,0.95669),(233,21633,1.12),(233,21634,1.00331),(233,21635,1.12),(233,21636,0.28),(233,21637,0.93331),(233,21638,1.07331),(233,21639,1.28331),(233,21640,0.37338),(233,21641,0.88669),(233,21642,1.02669),(233,21643,0.88669),(233,21644,1.09669),(233,21645,0.37331),(233,21646,0.95669),(233,21647,1.09669),(233,21648,0.93331),(233,21649,1.07331),(233,21780,1.05),(233,21832,0.23331),(233,21833,0.93331),(233,21834,1.02669),(233,21835,0.37331),(233,21858,1.05),(233,21859,1.09669),(233,21878,1.26),(233,21884,2.33338),(233,21885,1.68),(233,21886,1.96),(233,21887,2.00662),(233,21888,1.96),(233,21889,1.09669),(233,21890,1.82),(233,21891,2.24),(233,21892,1.82),(233,21893,2.00662),(233,21894,1.91338),(233,21895,2.38),(233,21896,1.96),(233,21897,2.28662),(233,21898,1.96),(233,21899,2.05338),(233,21900,1.96),(233,21901,2.28662),(233,21949,2.28662),(233,21950,2.56662),(233,22566,0.48),(233,22582,4.93321),(233,22583,2.8),(233,22584,2.55);


--
-- Table structure for table `#__finder_links_terms1`
--



CREATE TABLE `#__finder_links_terms1` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms1`
--


INSERT INTO `#__finder_links_terms1` (`link_id`, `term_id`, `weight`) VALUES (26,1426,0.17),(40,18008,0.36),(40,18009,1.68),(42,1426,0.07),(42,19974,0.98),(42,19975,1.09669),(57,6283,0.14),(57,21102,0.91),(57,21103,1.00331),(70,6289,0.34),(71,6295,0.34);


--
-- Table structure for table `#__finder_links_terms2`
--



CREATE TABLE `#__finder_links_terms2` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms2`
--


INSERT INTO `#__finder_links_terms2` (`link_id`, `term_id`, `weight`) VALUES (29,1436,1.72679),(32,1455,0.23331),(36,581,0.23331),(36,582,0.95669),(36,583,1.09669),(40,8665,0.48),(40,18019,1.56),(40,18020,1.92),(41,219,0.28),(41,581,0.46662),(41,582,1.91338),(41,583,2.19338),(41,1523,0.36),(41,1524,1.52004),(41,1525,1.71996),(41,1558,2.1),(41,1559,2.47338),(42,212,0.98007),(42,219,0.42),(42,228,1.68),(42,231,1.68),(42,234,1.11993),(42,571,0.69993),(42,574,0.98007),(42,581,9.3324),(42,582,35.3975),(42,583,40.5775),(42,1410,0.37338),(42,1411,0.84),(42,1455,0.23331),(42,2720,0.37324),(42,2721,0.86331),(42,2722,0.98),(42,2723,0.86331),(42,2724,0.93331),(42,2725,0.79331),(42,2726,0.88669),(42,2727,0.88669),(42,2728,0.95669),(42,2735,1.09669),(42,2736,0.86331),(42,2737,0.95669),(42,2738,1.96014),(42,2739,0.91),(42,2741,0.91),(42,2743,0.91),(42,2745,0.91),(42,2747,0.37331),(42,2748,1.00331),(42,2749,1.07331),(42,2750,0.37331),(42,2753,1.00331),(42,2754,1.07331),(42,2764,1.26),(42,2765,3.29007),(42,2766,3.84993),(42,2769,5.04063),(42,2772,1.82),(42,2773,2.14662),(42,2774,6.20683),(42,2775,3.92),(42,2776,2.05338),(42,2777,8.19),(42,2778,2.87007),(42,2781,3.08007),(42,2782,3.08007),(42,2786,3.64),(42,2787,1.02669),(42,2789,3.64),(42,2790,2.94),(42,2791,0.95669),(42,2792,3.36),(42,2793,8.58648),(42,2794,4.76),(42,2795,4.66676),(42,2796,0.46669),(42,2802,0.14),(42,2803,0.86331),(42,2804,0.95669),(42,2816,0.18669),(42,2817,0.91),(42,2818,1.12),(42,2921,2.94),(42,2922,3.21993),(42,2927,2.73),(42,2928,3.42993),(42,2929,2.94),(42,2930,3.15),(42,2936,0.84),(42,2941,3.00993),(42,2942,3.71007),(42,2943,0.56007),(42,2944,2.94),(42,2945,3.36),(42,2946,0.28),(42,2947,0.98),(42,2948,1.12),(42,2949,0.32669),(42,2950,2.73),(42,2951,3.15),(42,2955,3.00993),(42,2956,3.57),(42,2957,2.94),(42,2958,3.50007),(42,2959,6.16014),(42,2960,6.58014),(42,2963,0.23331),(42,2966,0.88669),(42,2967,1.02669),(42,2968,3.21993),(42,2969,3.63993),(42,2989,2.87007),(42,2990,3.29007),(42,6320,0.18669),(42,6351,0.37331),(42,6381,1.02669),(42,6382,1.16669),(42,9155,3.08007),(42,9156,1.05),(42,9157,1.12),(42,12922,1.07331),(42,16901,0.91),(42,16903,0.91),(42,17246,1.02669),(42,17247,1.02669),(42,17248,1.02669),(42,17249,1.02669),(42,17250,1.02669),(42,19996,1.16669),(42,20876,1.07331),(42,20877,1.23669),(42,20892,0.37331),(42,20893,1.02669),(42,20981,0.95669),(42,20982,1.07331),(42,21006,1.12),(42,21007,0.98),(42,21008,1.05),(42,22552,0.88669),(42,22553,1.16669),(57,1455,0.46662),(57,6864,0.28),(57,10734,0.32669),(57,13066,0.23331),(57,16777,0.95669),(57,19666,0.93331),(57,19667,1.02669),(57,19668,0.32669),(57,19669,0.93331),(57,19670,1.02669),(57,22089,1.09669),(57,22096,0.88669),(57,22097,1.07331),(57,22098,0.98),(57,22099,1.07331),(57,22100,0.93331),(57,22101,1.05),(58,212,0.32669),(58,219,0.42),(58,224,0.88669),(58,228,0.56),(58,571,0.23331),(58,574,0.65338),(58,581,1.16655),(58,582,2.87007),(58,583,3.29007),(58,584,0.28),(58,2764,0.84),(58,2936,0.56),(58,4804,1.05),(58,4805,1.12),(58,4806,1.05),(58,4829,0.93331),(58,4830,1.09669),(58,4831,1.00331),(58,4832,1.16669),(58,4833,1.00331),(58,4834,1.21331),(58,4835,0.93331),(58,4836,1.19),(58,4837,0.88669),(58,4838,1.09669),(58,4839,0.98),(58,4840,1.14331),(58,4841,0.88669),(58,4842,1.00331),(58,4843,0.98),(58,4844,1.14331),(58,4845,1.19),(58,4846,0.91),(58,4847,1.14331),(58,4848,1.05),(58,4849,1.12),(58,4850,0.98),(58,4851,1.19),(58,4852,1.00331),(58,4853,1.16669),(58,4854,0.98),(58,4855,1.07331),(59,212,0.32669),(59,219,0.42),(59,224,0.88669),(59,228,0.56),(59,571,0.23331),(59,574,0.65338),(59,581,1.16655),(59,582,2.87007),(59,583,3.29007),(59,584,0.28),(59,2764,0.84),(59,2936,0.56),(59,4804,1.05),(59,4805,1.12),(59,4806,1.05),(59,4829,0.93331),(59,4830,1.09669),(59,4831,1.00331),(59,4832,1.16669),(59,4833,1.00331),(59,4834,1.21331),(59,4835,0.93331),(59,4836,1.19),(59,4837,0.88669),(59,4838,1.09669),(59,4839,0.98),(59,4840,1.14331),(59,4841,0.88669),(59,4842,1.00331),(59,4843,0.98),(59,4844,1.14331),(59,4845,1.19),(59,4846,0.91),(59,4847,1.14331),(59,4848,1.05),(59,4849,1.12),(59,4850,0.98),(59,4851,1.19),(59,4852,1.00331),(59,4853,1.16669),(59,4854,0.98),(59,4855,1.07331),(60,212,0.32669),(60,219,0.42),(60,224,0.88669),(60,228,0.56),(60,571,0.23331),(60,574,0.65338),(60,581,1.16655),(60,582,2.87007),(60,583,3.29007),(60,584,0.28),(60,2764,0.84),(60,2936,0.56),(60,4804,1.05),(60,4805,1.12),(60,4806,1.05),(60,4829,0.93331),(60,4830,1.09669),(60,4831,1.00331),(60,4832,1.16669),(60,4833,1.00331),(60,4834,1.21331),(60,4835,0.93331),(60,4836,1.19),(60,4837,0.88669),(60,4838,1.09669),(60,4839,0.98),(60,4840,1.14331),(60,4841,0.88669),(60,4842,1.00331),(60,4843,0.98),(60,4844,1.14331),(60,4845,1.19),(60,4846,0.91),(60,4847,1.14331),(60,4848,1.05),(60,4849,1.12),(60,4850,0.98),(60,4851,1.19),(60,4852,1.00331),(60,4853,1.16669),(60,4854,0.98),(60,4855,1.07331),(64,212,2.94021),(64,213,4.29324),(64,214,4.85324),(64,215,1.96),(64,216,2.42662),(64,219,0.84),(64,220,2.73),(64,224,1.77338),(64,225,2.38),(64,228,1.4),(64,229,3.54676),(64,230,4.38676),(64,231,1.96),(64,232,3.92),(64,233,4.48),(64,234,1.49324),(64,235,1.05),(64,569,0.98),(64,570,1.07331),(64,571,0.69993),(64,572,1.82),(64,573,2.1),(64,574,1.30676),(64,575,2.05338),(64,576,2.47338),(64,579,0.95669),(64,580,1.14331),(64,581,1.16655),(64,582,1.91338),(64,583,2.19338),(64,584,0.84),(64,585,0.95669),(64,586,1.07331),(64,743,1.23669),(64,2764,0.84),(64,2936,0.56),(64,4011,2.28662),(64,4012,2.42662),(64,4332,0.91),(64,4333,1.12),(64,5359,0.37331),(64,5360,1.02669),(64,5361,1.26),(64,5362,1.05),(64,5363,1.33),(64,5364,0.98),(64,5365,1.16669),(64,5366,0.42),(64,5367,1.09669),(64,5368,1.26),(64,5431,1.02669),(64,5432,1.14331),(64,5433,1.16669),(64,5434,1.37669),(64,5435,1.05),(64,5436,1.16669),(64,5437,1.14331),(64,5438,1.37669),(64,5439,0.95669),(64,5440,1.12),(64,5441,0.91),(64,5442,1.05),(64,5443,0.93331),(64,5444,1.05),(64,5445,2.94),(64,5446,0.86331),(64,5447,1.05),(64,5448,0.95669),(64,5449,1.23669),(64,5450,0.98),(64,5451,1.14331),(64,5452,0.98),(64,5453,1.23669),(64,5454,0.28),(64,5455,1.05),(64,5456,1.14331),(64,5457,0.95669),(64,5458,1.14331),(64,5459,0.88669),(64,5460,1.00331),(64,5461,1.05),(64,5462,1.26),(64,5463,0.88669),(64,5464,1.02669),(64,5465,0.93331),(64,5466,1.00331),(65,212,0.65338),(65,219,0.84),(65,222,1.86662),(65,228,1.68),(65,231,1.68),(65,234,1.49324),(65,571,0.46662),(65,574,1.96014),(65,581,1.86648),(65,582,3.82676),(65,583,4.38676),(65,2764,0.84),(65,2936,1.12),(65,2972,1.96),(65,4313,2.14662),(65,5359,0.74662),(65,5360,2.05338),(65,5361,2.52),(65,5459,1.77338),(65,5962,2.1),(65,5963,2.42662),(65,5984,2.19338),(65,5985,2.47338),(65,5986,1.86662),(65,5987,2.00662),(65,5988,2.05338),(65,5989,2.28662),(65,5990,1.86662),(65,5991,2.28662),(65,5992,1.91338),(65,5993,2.1),(65,5994,2.19338),(65,5995,2.52),(65,5996,1.82),(65,5997,2.05338),(65,5998,1.91338),(65,5999,2.1),(65,6000,1.77338),(65,6001,2.19338),(65,6002,2.24),(65,6003,2.56662),(65,6004,1.91338),(65,6005,2.24),(65,6006,1.86662),(65,6007,2.33338),(65,6008,3.64),(65,6009,2.24),(65,6010,2.28662),(65,6011,1.96),(65,6012,2.38),(65,6013,2.1),(65,6014,2.24),(65,6015,2.42662),(65,6016,2.1),(65,6017,1.96),(65,6018,2.1),(70,212,0.65338),(70,215,1.96),(70,216,2.42662),(70,219,0.56),(70,220,0.91),(70,221,1.19),(70,222,0.93331),(70,223,1.05),(70,224,1.77338),(70,225,2.38),(70,234,0.74662),(70,237,2.05338),(70,238,2.61338),(70,574,0.32669),(70,584,0.28),(70,5439,0.95669),(70,14023,1.07331),(70,14024,0.98),(70,14025,1.19),(70,18037,0.32669),(70,18171,1.02669),(70,18172,1.12),(71,212,0.65338),(71,215,1.96),(71,216,2.42662),(71,219,0.56),(71,220,0.91),(71,221,1.19),(71,222,0.93331),(71,223,1.05),(71,224,1.77338),(71,225,2.38),(71,234,0.74662),(71,237,2.05338),(71,238,2.61338),(71,574,0.32669),(71,584,0.28),(71,5439,0.95669),(71,14023,1.07331),(71,14024,0.98),(71,14025,1.19),(71,18037,0.32669),(71,18171,1.02669),(71,18172,1.12),(73,6320,0.32004),(73,6321,1.52004),(73,6322,2.12004),(74,6320,0.32004),(74,6338,1.56),(74,6339,1.83996),(74,6340,0.32004),(75,6320,0.32004),(75,6321,1.52004),(75,6340,0.32004),(75,6347,1.88004),(76,6320,0.32004),(76,6321,1.52004),(76,6340,0.32004),(76,6351,1.97321),(76,6352,1.8),(77,6320,0.32004),(77,6321,1.52004),(77,6322,2.12004),(77,6340,0.32004),(78,6320,0.32004),(78,6321,1.52004),(78,6322,2.12004),(78,6340,0.32004),(121,212,0.65338),(121,215,1.96),(121,216,2.42662),(121,219,0.56),(121,220,0.91),(121,221,1.19),(121,222,0.93331),(121,223,1.05),(121,224,1.77338),(121,225,2.38),(121,234,0.74662),(121,237,2.05338),(121,238,2.61338),(121,574,0.32669),(121,584,0.28),(121,5439,0.95669),(121,14023,1.07331),(121,14024,0.98),(121,14025,1.19),(121,18037,0.32669),(121,18171,1.02669),(121,18172,1.12),(146,212,0.65338),(146,215,1.96),(146,216,2.42662),(146,219,0.56),(146,220,0.91),(146,221,1.19),(146,222,0.93331),(146,223,1.05),(146,224,1.77338),(146,225,2.38),(146,234,0.74662),(146,237,2.05338),(146,238,2.61338),(146,574,0.32669),(146,584,0.28),(146,5439,0.95669),(146,13589,1.48),(146,14023,1.07331),(146,14024,0.98),(146,14025,1.19),(146,18037,0.32669),(146,18171,1.02669),(146,18172,1.12),(146,18293,4.81),(146,18294,5.67321),(208,212,0.65338),(208,215,1.96),(208,216,2.42662),(208,219,0.84),(208,220,0.91),(208,221,1.19),(208,222,0.93331),(208,223,1.05),(208,224,1.77338),(208,225,2.38),(208,234,0.74662),(208,237,2.05338),(208,238,2.61338),(208,571,0.46662),(208,584,0.56),(208,833,0.18669),(208,1410,0.56007),(208,2936,0.56),(208,4841,1.77338),(208,9023,0.18669),(208,9550,0.28),(208,13361,0.42),(208,21351,0.28),(208,21352,0.91),(208,21353,1.02669),(208,21553,0.18669),(208,21554,0.95669),(208,21555,1.05),(208,21556,2.73),(208,21557,1.16669),(208,21558,1.02669),(208,21559,1.07331),(208,21573,0.98),(208,21574,1.05),(208,21575,0.23331),(208,21576,0.93331),(208,21577,1.09669),(208,21578,1.00331),(208,21579,1.07331),(208,21816,0.86331),(208,21817,0.98),(208,21818,0.14),(208,21819,0.84),(208,21820,0.91),(208,21821,1.09669),(208,21822,1.35331),(208,21921,2.05338),(208,21922,2.28662),(208,21923,2.00662),(208,21924,2.24),(208,21925,1.86662),(208,21926,2.1),(208,21927,2.38),(211,212,0.65338),(211,215,1.96),(211,216,2.42662),(211,219,0.56),(211,220,0.91),(211,221,1.19),(211,222,0.93331),(211,223,1.05),(211,224,1.77338),(211,225,2.38),(211,234,0.74662),(211,237,2.05338),(211,238,2.61338),(211,574,0.32669),(211,584,0.28),(211,5439,0.95669),(211,14023,1.07331),(211,14024,0.98),(211,14025,1.19),(211,18037,0.32669),(211,18171,1.02669),(211,18172,1.12),(211,22622,0.74),(212,212,0.32669),(212,231,0.56),(212,232,0.98),(212,233,1.12),(212,234,0.37331),(212,237,1.02669),(212,569,0.98),(212,570,1.07331),(212,579,0.95669),(212,580,1.14331),(212,584,0.28),(212,585,0.95669),(212,586,1.07331),(212,19718,1.48),(212,19719,5.18),(212,19720,6.04321),(212,19722,1.09669),(213,212,1.30676),(213,213,2.14662),(213,214,2.42662),(213,215,1.96),(213,216,2.42662),(213,219,0.28),(213,224,1.77338),(213,225,2.38),(213,228,0.56),(213,229,1.77338),(213,230,2.19338),(213,231,0.28),(213,232,0.98),(213,233,1.12),(213,234,0.37331),(213,584,0.28),(213,19718,1.48),(213,19719,5.18),(213,19720,6.04321),(213,19751,1.02669),(213,19752,1.16669),(213,19774,0.93331),(213,19775,1.12),(214,212,0.65338),(214,215,1.96),(214,216,2.42662),(214,219,0.56),(214,220,0.91),(214,221,1.19),(214,222,0.93331),(214,223,1.05),(214,224,1.77338),(214,225,2.38),(214,234,0.74662),(214,237,2.05338),(214,238,2.61338),(214,574,0.32669),(214,584,0.28),(214,5439,0.95669),(214,14023,1.07331),(214,14024,0.98),(214,14025,1.19),(214,18037,0.32669),(214,18171,1.02669),(214,18172,1.12),(215,571,0.23331),(215,572,0.91),(215,573,1.05),(215,574,0.32669),(215,575,1.02669),(215,576,1.23669),(215,2943,0.98679),(215,19877,4.68679),(216,212,0.32669),(216,213,1.07331),(216,214,1.21331),(216,228,0.56),(216,229,1.77338),(216,230,2.19338),(216,234,0.74662),(216,571,0.23331),(216,572,0.91),(216,573,1.05),(216,574,0.32669),(216,575,1.02669),(216,576,1.23669),(216,19751,1.02669),(216,19752,1.16669),(216,19924,1.07331),(216,19925,1.28331),(217,212,0.65338),(217,215,1.96),(217,216,2.42662),(217,219,0.56),(217,220,0.91),(217,221,1.19),(217,222,0.93331),(217,223,1.05),(217,224,1.77338),(217,225,2.38),(217,234,0.74662),(217,237,2.05338),(217,238,2.61338),(217,574,0.32669),(217,584,0.28),(217,5439,0.95669),(217,14023,1.07331),(217,14024,0.98),(217,14025,1.19),(217,18037,0.32669),(217,18171,1.02669),(217,18172,1.12),(219,212,0.65338),(219,215,1.96),(219,216,2.42662),(219,219,0.84),(219,220,0.91),(219,221,1.19),(219,222,0.93331),(219,223,1.05),(219,224,1.77338),(219,225,2.38),(219,234,0.74662),(219,237,2.05338),(219,238,2.61338),(219,571,0.46662),(219,584,0.56),(219,833,0.18669),(219,1410,0.56007),(219,2936,0.56),(219,4841,1.77338),(219,9023,0.18669),(219,9550,0.28),(219,13361,0.42),(219,21351,0.28),(219,21352,0.91),(219,21353,1.02669),(219,21553,0.18669),(219,21554,0.95669),(219,21555,1.05),(219,21556,2.73),(219,21557,1.16669),(219,21558,1.02669),(219,21559,1.07331),(219,21573,0.98),(219,21574,1.05),(219,21575,0.23331),(219,21576,0.93331),(219,21577,1.09669),(219,21578,1.00331),(219,21579,1.07331),(219,21816,0.86331),(219,21817,0.98),(219,21818,0.14),(219,21819,0.84),(219,21820,0.91),(219,21821,1.09669),(219,21822,1.35331),(219,21921,2.05338),(219,21922,2.28662),(219,21923,2.00662),(219,21924,2.24),(219,21925,1.86662),(219,21926,2.1),(219,21927,2.38),(220,212,0.65338),(220,215,1.96),(220,216,2.42662),(220,219,0.84),(220,220,0.91),(220,221,1.19),(220,222,0.93331),(220,223,1.05),(220,224,1.77338),(220,225,2.38),(220,234,0.74662),(220,237,2.05338),(220,238,2.61338),(220,571,0.46662),(220,584,0.56),(220,833,0.18669),(220,1410,0.56007),(220,2936,0.56),(220,4841,1.77338),(220,9023,0.18669),(220,9550,0.28),(220,13361,0.42),(220,21351,0.28),(220,21352,0.91),(220,21353,1.02669),(220,21553,0.18669),(220,21554,0.95669),(220,21555,1.05),(220,21556,2.73),(220,21557,1.16669),(220,21558,1.02669),(220,21559,1.07331),(220,21573,0.98),(220,21574,1.05),(220,21575,0.23331),(220,21576,0.93331),(220,21577,1.09669),(220,21578,1.00331),(220,21579,1.07331),(220,21816,0.86331),(220,21817,0.98),(220,21818,0.14),(220,21819,0.84),(220,21820,0.91),(220,21821,1.09669),(220,21822,1.35331),(220,21921,2.05338),(220,21922,2.28662),(220,21923,2.00662),(220,21924,2.24),(220,21925,1.86662),(220,21926,2.1),(220,21927,2.38),(220,22536,0.98679),(220,22537,4.68679),(220,22538,5.42679),(221,212,0.65338),(221,215,1.96),(221,216,2.42662),(221,219,0.84),(221,220,0.91),(221,221,1.19),(221,222,0.93331),(221,223,1.05),(221,224,1.77338),(221,225,2.38),(221,234,0.74662),(221,237,2.05338),(221,238,2.61338),(221,571,0.46662),(221,584,0.56),(221,833,0.18669),(221,1410,0.56007),(221,2936,0.56),(221,4841,1.77338),(221,9023,0.18669),(221,9550,0.28),(221,13361,0.42),(221,16209,0.98679),(221,21351,0.28),(221,21352,0.91),(221,21353,1.02669),(221,21553,0.18669),(221,21554,0.95669),(221,21555,1.05),(221,21556,2.73),(221,21557,1.16669),(221,21558,1.02669),(221,21559,1.07331),(221,21573,0.98),(221,21574,1.05),(221,21575,0.23331),(221,21576,0.93331),(221,21577,1.09669),(221,21578,1.00331),(221,21579,1.07331),(221,21816,0.86331),(221,21817,0.98),(221,21818,0.14),(221,21819,0.84),(221,21820,0.91),(221,21821,1.09669),(221,21822,1.35331),(221,21921,2.05338),(221,21922,2.28662),(221,21923,2.00662),(221,21924,2.24),(221,21925,1.86662),(221,21926,2.1),(221,21927,2.38),(222,212,0.65338),(222,215,1.96),(222,216,2.42662),(222,219,0.84),(222,220,0.91),(222,221,1.19),(222,222,0.93331),(222,223,1.05),(222,224,1.77338),(222,225,2.38),(222,234,0.74662),(222,237,2.05338),(222,238,2.61338),(222,571,0.46662),(222,584,0.56),(222,833,0.18669),(222,1410,0.56007),(222,2936,0.56),(222,4841,1.77338),(222,9023,0.18669),(222,9550,0.28),(222,12850,0.98679),(222,13361,0.42),(222,21351,0.28),(222,21352,0.91),(222,21353,1.02669),(222,21553,0.18669),(222,21554,0.95669),(222,21555,1.05),(222,21556,2.73),(222,21557,1.16669),(222,21558,1.02669),(222,21559,1.07331),(222,21573,0.98),(222,21574,1.05),(222,21575,0.23331),(222,21576,0.93331),(222,21577,1.09669),(222,21578,1.00331),(222,21579,1.07331),(222,21816,0.86331),(222,21817,0.98),(222,21818,0.14),(222,21819,0.84),(222,21820,0.91),(222,21821,1.09669),(222,21822,1.35331),(222,21921,2.05338),(222,21922,2.28662),(222,21923,2.00662),(222,21924,2.24),(222,21925,1.86662),(222,21926,2.1),(222,21927,2.38),(222,22025,1.48),(222,22026,5.05679),(222,22027,5.67321),(222,22030,5.67321),(223,212,0.65338),(223,215,1.96),(223,216,2.42662),(223,219,0.84),(223,220,0.91),(223,221,1.19),(223,222,0.93331),(223,223,1.05),(223,224,1.77338),(223,225,2.38),(223,234,0.74662),(223,237,2.05338),(223,238,2.61338),(223,571,0.46662),(223,584,0.56),(223,833,0.18669),(223,1410,0.56007),(223,2936,0.56),(223,4841,1.77338),(223,9023,0.18669),(223,9550,0.28),(223,13361,0.42),(223,21351,0.28),(223,21352,0.91),(223,21353,1.02669),(223,21553,0.18669),(223,21554,0.95669),(223,21555,1.05),(223,21556,2.73),(223,21557,1.16669),(223,21558,1.02669),(223,21559,1.07331),(223,21573,0.98),(223,21574,1.05),(223,21575,0.23331),(223,21576,0.93331),(223,21577,1.09669),(223,21578,1.00331),(223,21579,1.07331),(223,21816,0.86331),(223,21817,0.98),(223,21818,0.14),(223,21819,0.84),(223,21820,0.91),(223,21821,1.09669),(223,21822,1.35331),(223,21921,2.05338),(223,21922,2.28662),(223,21923,2.00662),(223,21924,2.24),(223,21925,1.86662),(223,21926,2.1),(223,21927,2.38),(224,212,0.65338),(224,215,1.96),(224,216,2.42662),(224,219,0.84),(224,220,0.91),(224,221,1.19),(224,222,0.93331),(224,223,1.05),(224,224,1.77338),(224,225,2.38),(224,234,0.74662),(224,237,2.05338),(224,238,2.61338),(224,571,0.46662),(224,584,0.56),(224,833,0.18669),(224,1410,0.56007),(224,2936,0.56),(224,4841,1.77338),(224,9023,0.18669),(224,9550,0.28),(224,13361,0.42),(224,21351,0.28),(224,21352,0.91),(224,21353,1.02669),(224,21553,0.18669),(224,21554,0.95669),(224,21555,1.05),(224,21556,2.73),(224,21557,1.16669),(224,21558,1.02669),(224,21559,1.07331),(224,21573,0.98),(224,21574,1.05),(224,21575,0.23331),(224,21576,0.93331),(224,21577,1.09669),(224,21578,1.00331),(224,21579,1.07331),(224,21816,0.86331),(224,21817,0.98),(224,21818,0.14),(224,21819,0.84),(224,21820,0.91),(224,21821,1.09669),(224,21822,1.35331),(224,21921,2.05338),(224,21922,2.28662),(224,21923,2.00662),(224,21924,2.24),(224,21925,1.86662),(224,21926,2.1),(224,21927,2.38),(224,22258,0.98679),(224,22259,4.81),(224,22260,5.55),(225,212,0.65338),(225,215,1.96),(225,216,2.42662),(225,219,0.84),(225,220,0.91),(225,221,1.19),(225,222,0.93331),(225,223,1.05),(225,224,1.77338),(225,225,2.38),(225,234,0.74662),(225,237,2.05338),(225,238,2.61338),(225,571,0.46662),(225,584,0.56),(225,833,0.18669),(225,1410,0.56007),(225,2936,0.56),(225,4841,1.77338),(225,9023,0.18669),(225,9550,0.28),(225,13361,0.42),(225,21351,0.28),(225,21352,0.91),(225,21353,1.02669),(225,21553,0.18669),(225,21554,0.95669),(225,21555,1.05),(225,21556,2.73),(225,21557,1.16669),(225,21558,1.02669),(225,21559,1.07331),(225,21573,0.98),(225,21574,1.05),(225,21575,0.23331),(225,21576,0.93331),(225,21577,1.09669),(225,21578,1.00331),(225,21579,1.07331),(225,21816,0.86331),(225,21817,0.98),(225,21818,0.14),(225,21819,0.84),(225,21820,0.91),(225,21821,1.09669),(225,21822,1.35331),(225,21921,2.05338),(225,21922,2.28662),(225,21923,2.00662),(225,21924,2.24),(225,21925,1.86662),(225,21926,2.1),(225,21927,2.38),(226,212,0.65338),(226,215,1.96),(226,216,2.42662),(226,219,0.84),(226,220,0.91),(226,221,1.19),(226,222,0.93331),(226,223,1.05),(226,224,1.77338),(226,225,2.38),(226,234,0.74662),(226,237,2.05338),(226,238,2.61338),(226,571,0.46662),(226,584,0.56),(226,833,0.18669),(226,1410,0.56007),(226,2936,0.56),(226,4841,1.77338),(226,9023,0.18669),(226,9550,0.28),(226,13361,0.42),(226,21351,0.28),(226,21352,0.91),(226,21353,1.02669),(226,21553,0.18669),(226,21554,0.95669),(226,21555,1.05),(226,21556,2.73),(226,21557,1.16669),(226,21558,1.02669),(226,21559,1.07331),(226,21573,0.98),(226,21574,1.05),(226,21575,0.23331),(226,21576,0.93331),(226,21577,1.09669),(226,21578,1.00331),(226,21579,1.07331),(226,21816,0.86331),(226,21817,0.98),(226,21818,0.14),(226,21819,0.84),(226,21820,0.91),(226,21821,1.09669),(226,21822,1.35331),(226,21921,2.05338),(226,21922,2.28662),(226,21923,2.00662),(226,21924,2.24),(226,21925,1.86662),(226,21926,2.1),(226,21927,2.38),(227,212,0.65338),(227,215,1.96),(227,216,2.42662),(227,219,0.84),(227,220,0.91),(227,221,1.19),(227,222,0.93331),(227,223,1.05),(227,224,1.77338),(227,225,2.38),(227,234,0.74662),(227,237,2.05338),(227,238,2.61338),(227,571,0.46662),(227,584,0.56),(227,833,0.18669),(227,1410,0.56007),(227,2936,0.56),(227,4841,1.77338),(227,9023,0.18669),(227,9550,0.28),(227,13361,0.42),(227,21351,0.28),(227,21352,0.91),(227,21353,1.02669),(227,21553,0.18669),(227,21554,0.95669),(227,21555,1.05),(227,21556,2.73),(227,21557,1.16669),(227,21558,1.02669),(227,21559,1.07331),(227,21573,0.98),(227,21574,1.05),(227,21575,0.23331),(227,21576,0.93331),(227,21577,1.09669),(227,21578,1.00331),(227,21579,1.07331),(227,21816,0.86331),(227,21817,0.98),(227,21818,0.14),(227,21819,0.84),(227,21820,0.91),(227,21821,1.09669),(227,21822,1.35331),(227,21921,2.05338),(227,21922,2.28662),(227,21923,2.00662),(227,21924,2.24),(227,21925,1.86662),(227,21926,2.1),(227,21927,2.38),(228,212,0.65338),(228,215,1.96),(228,216,2.42662),(228,219,0.84),(228,220,0.91),(228,221,1.19),(228,222,0.93331),(228,223,1.05),(228,224,1.77338),(228,225,2.38),(228,234,0.74662),(228,237,2.05338),(228,238,2.61338),(228,571,0.46662),(228,584,0.56),(228,833,0.18669),(228,1410,0.56007),(228,2936,0.56),(228,4841,1.77338),(228,9023,0.18669),(228,9550,0.28),(228,13361,0.42),(228,21351,0.28),(228,21352,0.91),(228,21353,1.02669),(228,21553,0.18669),(228,21554,0.95669),(228,21555,1.05),(228,21556,2.73),(228,21557,1.16669),(228,21558,1.02669),(228,21559,1.07331),(228,21573,0.98),(228,21574,1.05),(228,21575,0.23331),(228,21576,0.93331),(228,21577,1.09669),(228,21578,1.00331),(228,21579,1.07331),(228,21816,0.86331),(228,21817,0.98),(228,21818,0.14),(228,21819,0.84),(228,21820,0.91),(228,21821,1.09669),(228,21822,1.35331),(228,21921,2.05338),(228,21922,2.28662),(228,21923,2.00662),(228,21924,2.24),(228,21925,1.86662),(228,21926,2.1),(228,21927,2.38),(229,212,0.65338),(229,215,1.96),(229,216,2.42662),(229,219,0.84),(229,220,0.91),(229,221,1.19),(229,222,0.93331),(229,223,1.05),(229,224,1.77338),(229,225,2.38),(229,234,0.74662),(229,237,2.05338),(229,238,2.61338),(229,571,0.46662),(229,584,0.56),(229,833,0.18669),(229,1410,0.56007),(229,2936,0.56),(229,4841,1.77338),(229,9023,0.18669),(229,9550,0.28),(229,13361,0.42),(229,21351,0.28),(229,21352,0.91),(229,21353,1.02669),(229,21553,0.18669),(229,21554,0.95669),(229,21555,1.05),(229,21556,2.73),(229,21557,1.16669),(229,21558,1.02669),(229,21559,1.07331),(229,21573,0.98),(229,21574,1.05),(229,21575,0.23331),(229,21576,0.93331),(229,21577,1.09669),(229,21578,1.00331),(229,21579,1.07331),(229,21816,0.86331),(229,21817,0.98),(229,21818,0.14),(229,21819,0.84),(229,21820,0.91),(229,21821,1.09669),(229,21822,1.35331),(229,21921,2.05338),(229,21922,2.28662),(229,21923,2.00662),(229,21924,2.24),(229,21925,1.86662),(229,21926,2.1),(229,21927,2.38),(230,212,0.65338),(230,215,1.96),(230,216,2.42662),(230,219,0.84),(230,220,0.91),(230,221,1.19),(230,222,0.93331),(230,223,1.05),(230,224,1.77338),(230,225,2.38),(230,234,0.74662),(230,237,2.05338),(230,238,2.61338),(230,571,0.46662),(230,584,0.56),(230,833,0.18669),(230,1410,0.56007),(230,2936,0.56),(230,4841,1.77338),(230,9023,0.18669),(230,9550,0.28),(230,13361,0.42),(230,21351,0.28),(230,21352,0.91),(230,21353,1.02669),(230,21553,0.18669),(230,21554,0.95669),(230,21555,1.05),(230,21556,2.73),(230,21557,1.16669),(230,21558,1.02669),(230,21559,1.07331),(230,21573,0.98),(230,21574,1.05),(230,21575,0.23331),(230,21576,0.93331),(230,21577,1.09669),(230,21578,1.00331),(230,21579,1.07331),(230,21816,0.86331),(230,21817,0.98),(230,21818,0.14),(230,21819,0.84),(230,21820,0.91),(230,21821,1.09669),(230,21822,1.35331),(230,21921,2.05338),(230,21922,2.28662),(230,21923,2.00662),(230,21924,2.24),(230,21925,1.86662),(230,21926,2.1),(230,21927,2.38),(231,212,0.65338),(231,215,1.96),(231,216,2.42662),(231,219,0.84),(231,220,0.91),(231,221,1.19),(231,222,0.93331),(231,223,1.05),(231,224,1.77338),(231,225,2.38),(231,234,0.74662),(231,237,2.05338),(231,238,2.61338),(231,571,0.46662),(231,584,0.56),(231,833,0.18669),(231,1410,0.56007),(231,2936,0.56),(231,4841,1.77338),(231,9023,0.18669),(231,9550,0.28),(231,13361,0.42),(231,19718,1.48),(231,19719,5.18),(231,19720,6.04321),(231,21351,0.28),(231,21352,0.91),(231,21353,1.02669),(231,21553,0.18669),(231,21554,0.95669),(231,21555,1.05),(231,21556,2.73),(231,21557,1.16669),(231,21558,1.02669),(231,21559,1.07331),(231,21573,0.98),(231,21574,1.05),(231,21575,0.23331),(231,21576,0.93331),(231,21577,1.09669),(231,21578,1.00331),(231,21579,1.07331),(231,21816,0.86331),(231,21817,0.98),(231,21818,0.14),(231,21819,0.84),(231,21820,0.91),(231,21821,1.09669),(231,21822,1.35331),(231,21921,2.05338),(231,21922,2.28662),(231,21923,2.00662),(231,21924,2.24),(231,21925,1.86662),(231,21926,2.1),(231,21927,2.38),(232,212,0.65338),(232,215,1.96),(232,216,2.42662),(232,219,0.84),(232,220,0.91),(232,221,1.19),(232,222,0.93331),(232,223,1.05),(232,224,1.77338),(232,225,2.38),(232,234,0.74662),(232,237,2.05338),(232,238,2.61338),(232,571,0.46662),(232,584,0.56),(232,833,0.18669),(232,1410,0.56007),(232,2936,0.56),(232,4841,1.77338),(232,9023,0.18669),(232,9550,0.28),(232,13361,0.42),(232,21351,0.28),(232,21352,0.91),(232,21353,1.02669),(232,21553,0.18669),(232,21554,0.95669),(232,21555,1.05),(232,21556,2.73),(232,21557,1.16669),(232,21558,1.02669),(232,21559,1.07331),(232,21573,0.98),(232,21574,1.05),(232,21575,0.23331),(232,21576,0.93331),(232,21577,1.09669),(232,21578,1.00331),(232,21579,1.07331),(232,21816,0.86331),(232,21817,0.98),(232,21818,0.14),(232,21819,0.84),(232,21820,0.91),(232,21821,1.09669),(232,21822,1.35331),(232,21921,2.05338),(232,21922,2.28662),(232,21923,2.00662),(232,21924,2.24),(232,21925,1.86662),(232,21926,2.1),(232,21927,2.38),(233,212,0.65338),(233,215,1.96),(233,216,2.42662),(233,219,0.84),(233,220,0.91),(233,221,1.19),(233,222,0.93331),(233,223,1.05),(233,224,1.77338),(233,225,2.38),(233,234,0.74662),(233,237,2.05338),(233,238,2.61338),(233,571,0.46662),(233,584,0.56),(233,833,0.18669),(233,1410,1.54686),(233,2736,4.56321),(233,2769,0.98679),(233,2936,0.56),(233,4841,1.77338),(233,9023,0.18669),(233,9550,0.28),(233,13361,0.42),(233,21351,0.28),(233,21352,0.91),(233,21353,1.02669),(233,21553,0.18669),(233,21554,0.95669),(233,21555,1.05),(233,21556,2.73),(233,21557,1.16669),(233,21558,1.02669),(233,21559,1.07331),(233,21573,0.98),(233,21574,1.05),(233,21575,0.23331),(233,21576,0.93331),(233,21577,1.09669),(233,21578,1.00331),(233,21579,1.07331),(233,21816,0.86331),(233,21817,0.98),(233,21818,0.14),(233,21819,0.84),(233,21820,0.91),(233,21821,1.09669),(233,21822,1.35331),(233,21921,2.05338),(233,21922,2.28662),(233,21923,2.00662),(233,21924,2.24),(233,21925,1.86662),(233,21926,2.1),(233,21927,2.38),(233,21969,4.44),(233,22585,5.30321),(233,22586,4.81),(233,22592,1.23321),(233,22593,4.93321),(233,22594,0.2666),(233,22595,2.4666),(233,22596,2.6666);


--
-- Table structure for table `#__finder_links_terms3`
--



CREATE TABLE `#__finder_links_terms3` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms3`
--


INSERT INTO `#__finder_links_terms3` (`link_id`, `term_id`, `weight`) VALUES (32,1451,1.76),(32,1452,0.98),(32,1453,5.42679),(32,1454,6.53679),(35,1451,1.48),(42,207,2.09979),(42,567,2.73),(42,568,3.08007),(42,2912,5.46),(42,2913,6.72),(44,1451,0.56),(44,3907,1.00331),(44,3908,1.14331),(44,3909,1.00331),(44,3910,1.07331),(64,207,2.79972),(64,208,3.73324),(64,209,4.48),(64,567,1.82),(64,568,2.05338),(64,5419,0.88669),(64,5420,1.09669),(64,5421,0.98),(64,5422,1.14331),(64,5423,1.02669),(64,5424,1.16669),(64,5425,1.05),(64,5426,1.16669),(64,5427,0.95669),(64,5428,1.16669),(64,5429,1.12),(64,5430,1.21331),(208,2909,0.18669),(208,17509,0.18669),(208,21342,0.88669),(208,21452,1.09669),(208,21459,0.18669),(208,21460,0.95669),(208,21461,1.09669),(208,21462,0.28),(208,21463,0.95669),(208,21464,1.16669),(208,21568,0.14),(208,21569,0.86331),(208,21570,0.95669),(208,21571,0.88669),(208,21572,1.00331),(212,207,0.23331),(212,567,0.91),(212,568,1.02669),(213,207,0.46662),(213,208,0.93331),(213,209,1.12),(213,567,0.91),(213,568,1.02669),(216,207,0.23331),(216,208,0.93331),(216,209,1.12),(219,2909,0.18669),(219,17509,0.18669),(219,21342,0.88669),(219,21452,1.09669),(219,21459,0.18669),(219,21460,0.95669),(219,21461,1.09669),(219,21462,0.28),(219,21463,0.95669),(219,21464,1.16669),(219,21568,0.14),(219,21569,0.86331),(219,21570,0.95669),(219,21571,0.88669),(219,21572,1.00331),(220,2909,0.18669),(220,17509,0.18669),(220,21342,0.88669),(220,21452,1.09669),(220,21459,0.18669),(220,21460,0.95669),(220,21461,1.09669),(220,21462,0.28),(220,21463,0.95669),(220,21464,1.16669),(220,21568,0.14),(220,21569,0.86331),(220,21570,0.95669),(220,21571,0.88669),(220,21572,1.00331),(221,2909,0.18669),(221,17509,0.18669),(221,21342,0.88669),(221,21452,1.09669),(221,21459,0.18669),(221,21460,0.95669),(221,21461,1.09669),(221,21462,0.28),(221,21463,0.95669),(221,21464,1.16669),(221,21568,0.14),(221,21569,0.86331),(221,21570,0.95669),(221,21571,0.88669),(221,21572,1.00331),(222,2909,0.18669),(222,17509,0.18669),(222,21342,0.88669),(222,21452,1.09669),(222,21459,0.18669),(222,21460,0.95669),(222,21461,1.09669),(222,21462,0.28),(222,21463,0.95669),(222,21464,1.16669),(222,21568,0.14),(222,21569,0.86331),(222,21570,0.95669),(222,21571,0.88669),(222,21572,1.00331),(223,2909,0.18669),(223,17509,0.18669),(223,21342,0.88669),(223,21452,1.09669),(223,21459,0.18669),(223,21460,0.95669),(223,21461,1.09669),(223,21462,0.28),(223,21463,0.95669),(223,21464,1.16669),(223,21568,0.14),(223,21569,0.86331),(223,21570,0.95669),(223,21571,0.88669),(223,21572,1.00331),(224,2909,0.18669),(224,17509,0.18669),(224,21342,0.88669),(224,21452,1.09669),(224,21459,0.18669),(224,21460,0.95669),(224,21461,1.09669),(224,21462,0.28),(224,21463,0.95669),(224,21464,1.16669),(224,21568,0.14),(224,21569,0.86331),(224,21570,0.95669),(224,21571,0.88669),(224,21572,1.00331),(225,2909,0.18669),(225,17509,0.18669),(225,21342,0.88669),(225,21452,1.09669),(225,21459,0.18669),(225,21460,0.95669),(225,21461,1.09669),(225,21462,0.28),(225,21463,0.95669),(225,21464,1.16669),(225,21568,0.14),(225,21569,0.86331),(225,21570,0.95669),(225,21571,0.88669),(225,21572,1.00331),(226,2909,0.18669),(226,17509,0.18669),(226,21342,0.88669),(226,21452,1.09669),(226,21459,0.18669),(226,21460,0.95669),(226,21461,1.09669),(226,21462,0.28),(226,21463,0.95669),(226,21464,1.16669),(226,21568,0.14),(226,21569,0.86331),(226,21570,0.95669),(226,21571,0.88669),(226,21572,1.00331),(226,22305,0.34),(226,22306,2.04),(226,22307,2.26661),(227,2909,0.18669),(227,17509,0.18669),(227,21342,0.88669),(227,21452,1.09669),(227,21459,0.18669),(227,21460,0.95669),(227,21461,1.09669),(227,21462,0.28),(227,21463,0.95669),(227,21464,1.16669),(227,21568,0.14),(227,21569,0.86331),(227,21570,0.95669),(227,21571,0.88669),(227,21572,1.00331),(227,22443,0.98679),(227,22444,4.93321),(228,2909,0.18669),(228,17509,0.18669),(228,21342,0.88669),(228,21452,1.09669),(228,21459,0.18669),(228,21460,0.95669),(228,21461,1.09669),(228,21462,0.28),(228,21463,0.95669),(228,21464,1.16669),(228,21568,0.14),(228,21569,0.86331),(228,21570,0.95669),(228,21571,0.88669),(228,21572,1.00331),(229,2909,0.18669),(229,17509,0.18669),(229,21342,0.88669),(229,21452,1.09669),(229,21459,0.18669),(229,21460,0.95669),(229,21461,1.09669),(229,21462,0.28),(229,21463,0.95669),(229,21464,1.16669),(229,21568,0.14),(229,21569,0.86331),(229,21570,0.95669),(229,21571,0.88669),(229,21572,1.00331),(230,2909,0.18669),(230,17509,0.18669),(230,21342,0.88669),(230,21452,1.09669),(230,21459,0.18669),(230,21460,0.95669),(230,21461,1.09669),(230,21462,0.28),(230,21463,0.95669),(230,21464,1.16669),(230,21568,0.14),(230,21569,0.86331),(230,21570,0.95669),(230,21571,0.88669),(230,21572,1.00331),(231,2909,0.18669),(231,17509,0.18669),(231,21342,0.88669),(231,21452,1.09669),(231,21459,0.18669),(231,21460,0.95669),(231,21461,1.09669),(231,21462,0.28),(231,21463,0.95669),(231,21464,1.16669),(231,21568,0.14),(231,21569,0.86331),(231,21570,0.95669),(231,21571,0.88669),(231,21572,1.00331),(232,2909,0.18669),(232,17509,0.18669),(232,21342,0.88669),(232,21452,1.09669),(232,21459,0.18669),(232,21460,0.95669),(232,21461,1.09669),(232,21462,0.28),(232,21463,0.95669),(232,21464,1.16669),(232,21568,0.14),(232,21569,0.86331),(232,21570,0.95669),(232,21571,0.88669),(232,21572,1.00331),(233,2909,0.18669),(233,17509,0.18669),(233,21342,0.88669),(233,21452,1.09669),(233,21459,0.18669),(233,21460,0.95669),(233,21461,1.09669),(233,21462,0.28),(233,21463,0.95669),(233,21464,1.16669),(233,21568,0.14),(233,21569,0.86331),(233,21570,0.95669),(233,21571,0.88669),(233,21572,1.00331);


--
-- Table structure for table `#__finder_links_terms4`
--



CREATE TABLE `#__finder_links_terms4` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms4`
--


INSERT INTO `#__finder_links_terms4` (`link_id`, `term_id`, `weight`) VALUES (22,1421,0.63996),(23,1421,0.63996),(24,1421,0.63996),(25,1421,0.63996),(26,1421,0.63996),(27,1421,0.63996),(28,1421,0.63996),(29,1421,0.63996),(29,1435,0.17),(30,1421,2.98648),(30,1438,1.16669),(30,1439,4.93321),(31,1421,2.98648),(31,1438,1.16669),(31,1445,5.05679),(32,1421,2.98648),(32,1449,1.00331),(32,1450,1.16669),(33,1421,0.63996),(34,1421,0.63996),(35,1421,0.63996),(36,64,0.51331),(36,501,1.21331),(36,502,1.33),(36,1421,0.63996),(36,1472,1.72679),(37,1421,0.63996),(38,1421,0.63996),(39,1421,0.63996),(40,1421,0.63996),(40,1445,1.64004),(40,1495,0.24),(40,1496,0.56004),(40,7398,0.98679),(40,18021,0.15996),(40,18022,1.56),(40,18023,1.68),(41,61,0.65338),(41,64,1.02662),(41,501,2.42662),(41,502,2.66),(41,1421,0.63996),(41,1439,1.59996),(41,1495,0.24),(41,1496,0.56004),(41,1497,0.63996),(41,1498,1.64004),(41,1499,1.83996),(41,1539,2.19338),(41,1540,2.38),(42,64,9.75289),(42,75,0.18669),(42,364,0.69993),(42,498,4.61979),(42,501,23.0529),(42,502,25.27),(42,627,1.12),(42,1472,2.28683),(42,1495,0.14),(42,1896,0.28),(42,1902,0.86331),(42,1903,0.91),(42,1907,0.74676),(42,1908,1.91338),(42,1909,2.14662),(42,1910,1.77338),(42,1911,2.1),(42,1912,7.93254),(42,1913,1.02669),(42,1914,1.21331),(42,1915,1.02669),(42,1916,1.21331),(42,1931,1.05),(42,1932,1.23669),(42,1933,1.05),(42,1934,1.23669),(42,1935,1.05),(42,1936,1.23669),(42,1949,1.14331),(42,1950,1.23669),(42,1951,2.28662),(42,1952,1.23669),(42,1953,1.14331),(42,1954,1.23669),(42,1955,1.14331),(42,1956,1.23669),(42,1957,1.23669),(42,1958,1.37669),(42,1959,1.19),(42,1960,1.33),(42,1961,1.21331),(42,1962,1.35331),(42,1967,1.05),(42,1968,1.19),(42,1969,1.05),(42,1970,1.19),(42,1971,1.05),(42,1972,1.19),(42,1973,1.05),(42,1974,1.19),(42,1979,1.00331),(42,1980,1.12),(42,1981,1.00331),(42,1982,1.12),(42,1983,1.00331),(42,1984,1.07331),(42,2014,1.12),(42,2015,1.23669),(42,2016,1.12),(42,2017,1.23669),(42,2018,1.12),(42,2019,1.23669),(42,2020,1.12),(42,2021,1.23669),(42,2024,1.05),(42,2025,1.12),(42,2085,0.93345),(42,2088,2.66007),(42,2089,1.00331),(42,2090,1.07331),(42,2091,1.00331),(42,2092,1.14331),(42,2093,0.98),(42,2094,1.19),(42,2099,7.00014),(42,2100,7.84014),(42,2101,3.21993),(42,2102,3.63993),(42,2103,1.68),(42,2104,4.9),(42,2105,2.24),(42,2106,3.29007),(42,2108,3.36),(42,2109,7.42014),(42,2110,1.35331),(42,2117,1.26),(42,2118,3.08007),(42,2119,3.71007),(42,2120,5.88),(42,2121,2.19338),(42,2122,3.21993),(42,2123,0.93331),(42,2124,0.98),(42,2125,1.26),(42,2128,3.21993),(42,2129,3.71007),(42,2136,1.00331),(42,2137,1.16669),(42,2141,0.37331),(42,3365,0.32669),(42,3366,0.95669),(42,3367,1.19),(42,3368,0.42),(42,3369,1.23669),(42,3370,1.4),(42,3371,1.11993),(42,3372,3.08007),(42,3373,3.42993),(42,3374,0.56007),(42,3375,2.58993),(42,3376,2.87007),(42,3377,0.98007),(42,3380,2.94),(42,3381,3.42993),(42,3385,3.00993),(42,3386,3.57),(42,3389,0.56),(42,3390,2.00662),(42,3392,1.14331),(42,3393,4.10676),(42,3394,4.66676),(42,3838,0.56),(42,3839,1.72662),(42,3842,0.95669),(42,3843,0.88669),(42,3844,0.95669),(42,3845,0.86331),(42,3846,0.95669),(42,3847,2.42697),(42,3848,2.73),(42,3849,3.00993),(42,3850,0.98),(42,3851,1.05),(42,3852,0.91),(42,3853,0.98),(42,3856,4.10676),(42,3857,4.76),(42,3867,3.82676),(42,3868,4.29324),(42,6369,1.12),(42,9133,3.15),(42,9134,1.19),(42,9717,1.19),(42,9718,1.19),(42,9744,2.33338),(42,16912,1.28331),(42,17890,6.65),(42,20784,1.28331),(42,20835,0.88669),(42,20837,0.09331),(42,20838,0.81669),(42,20839,0.91),(42,20845,1.07331),(42,20918,0.98),(42,20939,0.95669),(42,20950,0.18669),(42,20951,0.88669),(42,20952,1.00331),(42,20954,0.37331),(42,20955,1.00331),(42,20956,1.09669),(42,20957,0.32669),(42,20958,1.14331),(42,20959,1.23669),(42,20960,1.07331),(42,20961,1.35331),(42,21064,1.07331),(42,21065,1.19),(42,21070,1.16669),(42,22539,1.4),(42,22540,1.4),(42,22541,1.16669),(42,22542,1.4),(42,22543,1.28331),(42,22544,1.4),(42,22545,1.12),(42,22546,1.4),(42,22547,1.07331),(44,3889,0.42),(44,3890,1.12),(44,3891,1.4),(57,1119,0.14),(57,1472,0.32669),(57,1896,0.7),(57,1902,1.72662),(57,2138,0.28),(57,2149,0.28),(57,3838,0.84),(57,3839,3.45324),(57,3842,1.91338),(57,4063,0.84),(57,4537,0.86331),(57,4538,1.00331),(57,4586,0.37331),(57,4627,0.95669),(57,6827,0.65338),(57,7443,0.46662),(57,7444,1.96),(57,7445,2.1),(57,7446,1.02669),(57,7447,1.09669),(57,9930,1.02669),(57,9935,0.32669),(57,10292,1.77338),(57,10293,1.91338),(57,10299,0.98),(57,10844,0.95669),(57,13862,0.46669),(57,14658,0.95669),(57,15107,1.05),(57,16805,1.00331),(57,16806,1.09669),(57,18259,0.93331),(57,18260,1.00331),(57,19655,1.05),(57,19794,1.00331),(57,19795,1.12),(57,19796,1.05),(57,19797,1.12),(57,21115,0.98),(57,21116,1.05),(57,21117,1.12),(57,22062,1.09669),(57,22077,1.07331),(57,22078,0.93331),(57,22079,1.00331),(57,22131,1.14331),(58,64,1.53993),(58,80,0.42),(58,83,0.84),(58,84,0.98),(58,364,0.46662),(58,365,0.93331),(58,501,3.63993),(58,502,3.99),(58,700,0.14),(58,701,0.93331),(58,702,1.12),(58,786,0.42),(58,787,1.00331),(58,2103,0.56),(58,2117,0.42),(58,2125,0.42),(58,3377,0.65338),(58,4695,0.91),(58,4696,1.09669),(58,4697,0.93331),(58,4698,1.05),(58,4699,1.05),(58,4700,1.23669),(58,4701,1.02669),(58,4702,1.12),(58,4703,1.00331),(58,4704,1.16669),(58,4705,1.07331),(58,4706,0.93331),(58,4707,1.09669),(58,4708,1.05),(58,4709,1.12),(58,4986,0.93331),(58,4987,1.16669),(58,4988,0.98),(58,4989,1.07331),(58,4990,1.30669),(58,4991,1.07331),(58,4992,0.95669),(58,4993,1.12),(59,64,1.53993),(59,80,0.42),(59,83,0.84),(59,84,0.98),(59,364,0.46662),(59,365,0.93331),(59,501,3.63993),(59,502,3.99),(59,700,0.14),(59,701,0.93331),(59,702,1.12),(59,786,0.42),(59,787,1.00331),(59,2103,0.56),(59,2117,0.42),(59,2125,0.42),(59,3377,0.65338),(59,4695,0.91),(59,4696,1.09669),(59,4697,0.93331),(59,4698,1.05),(59,4699,1.05),(59,4700,1.23669),(59,4701,1.02669),(59,4702,1.12),(59,4703,1.00331),(59,4704,1.16669),(59,4705,1.07331),(59,4706,0.93331),(59,4707,1.09669),(59,4708,1.05),(59,4709,1.12),(59,4986,0.93331),(59,4987,1.16669),(59,4988,0.98),(59,4989,1.07331),(59,4990,1.30669),(59,4991,1.07331),(59,4992,0.95669),(59,4993,1.12),(60,64,1.53993),(60,80,0.42),(60,83,0.84),(60,84,0.98),(60,364,0.46662),(60,365,0.93331),(60,501,3.63993),(60,502,3.99),(60,700,0.14),(60,701,0.93331),(60,702,1.12),(60,786,0.42),(60,787,1.00331),(60,2103,0.56),(60,2117,0.42),(60,2125,0.42),(60,3377,0.65338),(60,4695,0.91),(60,4696,1.09669),(60,4697,0.93331),(60,4698,1.05),(60,4699,1.05),(60,4700,1.23669),(60,4701,1.02669),(60,4702,1.12),(60,4703,1.00331),(60,4704,1.16669),(60,4705,1.07331),(60,4706,0.93331),(60,4707,1.09669),(60,4708,1.05),(60,4709,1.12),(60,4986,0.93331),(60,4987,1.16669),(60,4988,0.98),(60,4989,1.07331),(60,4990,1.30669),(60,4991,1.07331),(60,4992,0.95669),(60,4993,1.12),(64,61,1.63345),(64,62,1.02669),(64,63,1.16669),(64,64,7.18634),(64,67,2.19338),(64,69,3.15),(64,70,3.36),(64,71,1.02669),(64,73,2.19338),(64,74,2.38),(64,75,1.12014),(64,76,3.73324),(64,77,4.2),(64,78,1.91338),(64,79,2.47338),(64,80,0.42),(64,81,1.09669),(64,82,1.26),(64,83,0.84),(64,84,0.98),(64,85,1.07331),(64,364,2.79972),(64,365,3.73324),(64,366,4.2),(64,369,3.92),(64,370,3.50007),(64,494,1.02669),(64,495,1.14331),(64,496,1.02669),(64,497,1.19),(64,498,2.05324),(64,499,2.14662),(64,500,2.28662),(64,501,2.42662),(64,502,2.66),(64,509,2.05338),(64,510,1.19),(64,623,0.95669),(64,624,1.05),(64,627,1.12),(64,628,2.1),(64,629,2.38),(64,965,0.95669),(64,966,1.09669),(64,1912,0.23331),(64,2103,0.56),(64,2117,0.42),(64,3377,0.32669),(64,4213,0.32669),(64,4214,1.00331),(64,4218,0.23331),(64,5213,0.98),(64,5214,1.14331),(64,5215,1.05),(64,5216,1.21331),(64,5217,1.19),(64,5218,1.26),(64,5219,1.05),(64,5220,1.23669),(64,5221,2.00662),(64,5222,1.07331),(64,5223,1.09669),(64,5224,2.33338),(64,5226,1.14331),(64,5227,1.21331),(64,5228,1.16669),(64,5229,1.26),(64,5230,1.07331),(64,5231,1.16669),(64,5232,1.21331),(64,5233,1.28331),(64,5236,0.32669),(64,5237,1.02669),(64,5238,1.12),(64,5630,1.02669),(64,5631,1.09669),(64,5632,1.02669),(64,5633,1.19),(64,5634,0.88669),(64,5635,1.09669),(64,5636,1.16669),(64,5637,0.93331),(64,5638,1.12),(64,7253,1.16669),(64,7254,1.16669),(64,7255,1.23669),(64,7256,1.14331),(64,7257,0.95669),(64,7258,1.09669),(65,64,2.05324),(65,80,0.84),(65,83,1.12),(65,364,0.46662),(65,498,3.07986),(65,501,4.85324),(65,502,5.32),(65,2125,0.84),(65,2132,2.00662),(65,4033,1.82),(65,5846,2.00662),(65,5847,2.47338),(65,5848,2.14662),(65,5849,2.61338),(65,5850,2.1),(65,5851,2.47338),(65,5852,2.42662),(65,5853,2.19338),(65,5854,2.47338),(65,5855,2.14662),(65,5856,2.47338),(65,5857,1.96),(65,5858,2.56662),(65,6129,2.1),(70,64,2.56655),(70,69,2.1),(70,70,2.24),(70,73,3.29007),(70,74,3.57),(70,75,0.74676),(70,78,2.87007),(70,79,3.71007),(70,364,0.69993),(70,365,1.86662),(70,366,2.1),(70,627,0.28),(70,1472,0.56004),(70,14005,0.88669),(70,14006,1.02669),(70,14042,0.91),(70,14043,1.02669),(70,14044,0.95669),(70,14045,1.05),(70,18193,0.51331),(70,18194,1.02669),(70,18195,1.16669),(71,64,2.56655),(71,69,2.1),(71,70,2.24),(71,73,3.29007),(71,74,3.57),(71,75,0.74676),(71,78,2.87007),(71,79,3.71007),(71,364,0.69993),(71,365,1.86662),(71,366,2.1),(71,627,0.28),(71,1472,0.56004),(71,14005,0.88669),(71,14006,1.02669),(71,14042,0.91),(71,14043,1.02669),(71,14044,0.95669),(71,14045,1.05),(71,18193,0.51331),(71,18194,1.02669),(71,18195,1.16669),(73,1495,0.24),(73,6308,1.56),(73,6309,1.71996),(73,6329,0.24),(74,1495,0.24),(75,1495,0.24),(75,6343,1.71996),(76,1495,0.24),(77,1495,0.24),(78,1495,0.24),(78,6308,1.56),(78,6309,1.71996),(78,6329,0.98),(78,6359,4.68679),(121,64,2.56655),(121,69,2.1),(121,70,2.24),(121,73,3.29007),(121,74,3.57),(121,75,0.74676),(121,78,2.87007),(121,79,3.71007),(121,364,0.69993),(121,365,1.86662),(121,366,2.1),(121,627,0.28),(121,1472,0.56004),(121,14005,0.88669),(121,14006,1.02669),(121,14042,0.91),(121,14043,1.02669),(121,14044,0.95669),(121,14045,1.05),(121,18193,0.51331),(121,18194,1.02669),(121,18195,1.16669),(146,64,2.56655),(146,69,2.1),(146,70,2.24),(146,73,3.29007),(146,74,3.57),(146,75,0.74676),(146,78,2.87007),(146,79,3.71007),(146,364,0.69993),(146,365,1.86662),(146,366,2.1),(146,627,0.28),(146,1472,0.56004),(146,14005,0.88669),(146,14006,1.02669),(146,14042,0.91),(146,14043,1.02669),(146,14044,0.95669),(146,14045,1.05),(146,18193,0.51331),(146,18194,1.02669),(146,18195,1.16669),(208,64,2.56655),(208,69,2.1),(208,70,2.24),(208,73,3.29007),(208,74,3.57),(208,75,0.56007),(208,78,2.87007),(208,79,3.71007),(208,83,0.56),(208,364,0.93324),(208,365,1.86662),(208,366,2.1),(208,2103,0.56),(208,3838,0.14),(208,3847,0.37338),(208,11921,0.37331),(208,14938,0.28),(208,16446,0.32669),(208,17689,0.14),(208,21277,0.32669),(208,21278,0.98),(208,21279,1.09669),(208,21280,0.37331),(208,21281,0.95669),(208,21282,1.05),(208,21389,0.37331),(208,21390,1.02669),(208,21391,1.07331),(208,21445,1.09669),(208,21446,1.28331),(208,21522,0.65338),(208,21523,0.95669),(208,21524,1.07331),(208,21525,0.93331),(208,21526,1.05),(208,21625,0.93331),(208,21626,1.09669),(208,21627,0.95669),(208,21628,1.07331),(208,21629,0.37331),(208,21630,0.95669),(208,21631,1.14331),(208,21787,0.18669),(208,21788,1.02669),(208,21789,1.21331),(208,21827,0.18669),(208,21828,0.91),(208,21829,1.02669),(208,21830,0.88669),(208,21831,1.00331),(208,21853,0.88669),(208,21854,1.12),(208,21855,0.91),(208,21856,1.02669),(208,21857,1.00331),(208,21860,1.16669),(208,21904,1.91338),(208,21905,2.24),(208,21906,1.86662),(208,21907,2.38),(208,21947,1.91338),(208,21948,2.33338),(211,64,2.56655),(211,69,2.1),(211,70,2.24),(211,73,3.29007),(211,74,3.57),(211,75,0.74676),(211,78,2.87007),(211,79,3.71007),(211,364,0.69993),(211,365,1.86662),(211,366,2.1),(211,627,0.28),(211,1472,0.56004),(211,14005,0.88669),(211,14006,1.02669),(211,14042,0.91),(211,14043,1.02669),(211,14044,0.95669),(211,14045,1.05),(211,18193,0.51331),(211,18194,1.02669),(211,18195,1.16669),(211,22620,1.97321),(211,22621,5.18),(211,22623,5.67321),(212,61,0.98007),(212,62,1.02669),(212,63,1.16669),(212,64,1.02662),(212,69,1.05),(212,70,1.12),(212,71,1.02669),(212,83,0.56),(212,84,0.98),(212,85,1.07331),(212,364,0.93324),(212,369,2.94),(212,370,3.50007),(212,494,1.02669),(212,495,1.14331),(212,496,1.02669),(212,497,1.19),(212,498,0.51331),(212,499,1.07331),(212,500,1.14331),(212,509,1.02669),(212,510,1.19),(212,4035,1.07331),(212,4036,1.14331),(212,6233,1.23669),(213,61,0.65338),(213,62,1.02669),(213,63,1.16669),(213,64,2.05324),(213,69,1.05),(213,70,1.12),(213,71,1.02669),(213,75,0.18669),(213,76,0.93331),(213,77,1.05),(213,83,0.56),(213,84,0.98),(213,85,1.07331),(213,364,0.23331),(213,496,1.02669),(213,497,1.19),(213,498,0.51331),(213,499,1.07331),(213,500,1.14331),(213,509,1.02669),(213,510,1.19),(213,912,1.19),(213,3377,0.32669),(213,4035,1.07331),(213,4036,1.14331),(213,19746,1.12),(213,19747,1.19),(213,19748,1.09669),(213,19749,1.23669),(213,19782,0.93331),(213,19783,1.07331),(214,64,2.56655),(214,69,2.1),(214,70,2.24),(214,73,3.29007),(214,74,3.57),(214,75,0.74676),(214,78,2.87007),(214,79,3.71007),(214,364,0.69993),(214,365,1.86662),(214,366,2.1),(214,627,0.28),(214,1472,0.56004),(214,14005,0.88669),(214,14006,1.02669),(214,14042,0.91),(214,14043,1.02669),(214,14044,0.95669),(214,14045,1.05),(214,18193,0.51331),(214,18194,1.02669),(214,18195,1.16669),(215,61,0.65338),(215,62,2.05338),(215,63,2.33338),(215,64,1.53993),(215,71,2.05338),(215,73,1.09669),(215,74,1.19),(215,75,0.18669),(215,78,0.95669),(215,79,1.23669),(215,83,0.56),(215,84,1.96),(215,85,2.14662),(215,627,0.28),(215,628,1.05),(215,629,1.19),(215,700,0.14),(215,701,0.93331),(215,702,1.12),(215,786,0.42),(215,787,1.00331),(215,913,1.23669),(215,3838,0.74),(215,6233,1.23669),(215,19893,1.14331),(216,61,0.32669),(216,62,1.02669),(216,63,1.16669),(216,64,2.05324),(216,69,2.1),(216,70,2.24),(216,71,1.02669),(216,75,0.18669),(216,76,0.93331),(216,77,1.05),(216,83,0.28),(216,84,0.98),(216,85,1.07331),(216,627,0.28),(216,628,1.05),(216,629,1.19),(216,700,0.14),(216,701,0.93331),(216,702,1.12),(216,786,0.42),(216,787,1.00331),(216,5228,1.16669),(216,19908,1.72679),(216,19909,5.79679),(216,19910,6.53679),(216,19911,1.21331),(216,19912,1.37669),(216,19933,1.48),(216,19934,4.81),(216,19935,5.92),(216,19936,1.16669),(217,64,2.56655),(217,69,2.1),(217,70,2.24),(217,73,3.29007),(217,74,3.57),(217,75,0.74676),(217,78,2.87007),(217,79,3.71007),(217,364,0.69993),(217,365,1.86662),(217,366,2.1),(217,627,0.28),(217,1472,0.56004),(217,14005,0.88669),(217,14006,1.02669),(217,14042,0.91),(217,14043,1.02669),(217,14044,0.95669),(217,14045,1.05),(217,18193,0.51331),(217,18194,1.02669),(217,18195,1.16669),(217,19947,1.97321),(217,19948,5.79679),(217,19949,6.29),(217,19950,0.98679),(217,19951,5.30321),(217,19952,6.41321),(219,64,2.56655),(219,69,2.1),(219,70,2.24),(219,73,3.29007),(219,74,3.57),(219,75,0.56007),(219,78,2.87007),(219,79,3.71007),(219,83,0.56),(219,364,0.93324),(219,365,1.86662),(219,366,2.1),(219,2103,0.56),(219,3838,0.88),(219,3847,0.37338),(219,11921,0.37331),(219,14938,0.28),(219,16446,0.32669),(219,17689,0.14),(219,21277,0.32669),(219,21278,0.98),(219,21279,1.09669),(219,21280,0.37331),(219,21281,0.95669),(219,21282,1.05),(219,21389,0.37331),(219,21390,1.02669),(219,21391,1.07331),(219,21445,1.09669),(219,21446,1.28331),(219,21522,0.65338),(219,21523,0.95669),(219,21524,1.07331),(219,21525,0.93331),(219,21526,1.05),(219,21625,0.93331),(219,21626,1.09669),(219,21627,0.95669),(219,21628,1.07331),(219,21629,0.37331),(219,21630,0.95669),(219,21631,1.14331),(219,21787,0.18669),(219,21788,1.02669),(219,21789,1.21331),(219,21827,0.18669),(219,21828,0.91),(219,21829,1.02669),(219,21830,0.88669),(219,21831,1.00331),(219,21853,0.88669),(219,21854,1.12),(219,21855,0.91),(219,21856,1.02669),(219,21857,1.00331),(219,21860,1.16669),(219,21904,1.91338),(219,21905,2.24),(219,21906,1.86662),(219,21907,2.38),(219,21947,1.91338),(219,21948,2.33338),(219,22208,4.81),(220,64,2.56655),(220,69,2.1),(220,70,2.24),(220,73,3.29007),(220,74,3.57),(220,75,0.56007),(220,78,2.87007),(220,79,3.71007),(220,83,0.56),(220,364,0.93324),(220,365,1.86662),(220,366,2.1),(220,2103,0.56),(220,3838,0.14),(220,3847,0.37338),(220,11921,0.37331),(220,14938,0.28),(220,16446,0.32669),(220,17689,0.14),(220,21277,0.32669),(220,21278,0.98),(220,21279,1.09669),(220,21280,0.37331),(220,21281,0.95669),(220,21282,1.05),(220,21389,0.37331),(220,21390,1.02669),(220,21391,1.07331),(220,21445,1.09669),(220,21446,1.28331),(220,21522,0.65338),(220,21523,0.95669),(220,21524,1.07331),(220,21525,0.93331),(220,21526,1.05),(220,21625,0.93331),(220,21626,1.09669),(220,21627,0.95669),(220,21628,1.07331),(220,21629,0.37331),(220,21630,0.95669),(220,21631,1.14331),(220,21787,0.18669),(220,21788,1.02669),(220,21789,1.21331),(220,21827,0.18669),(220,21828,0.91),(220,21829,1.02669),(220,21830,0.88669),(220,21831,1.00331),(220,21853,0.88669),(220,21854,1.12),(220,21855,0.91),(220,21856,1.02669),(220,21857,1.00331),(220,21860,1.16669),(220,21904,1.91338),(220,21905,2.24),(220,21906,1.86662),(220,21907,2.38),(220,21947,1.91338),(220,21948,2.33338),(220,22052,1.48),(220,22053,5.42679),(221,64,2.56655),(221,69,2.1),(221,70,2.24),(221,73,3.29007),(221,74,3.57),(221,75,0.56007),(221,78,2.87007),(221,79,3.71007),(221,83,0.56),(221,364,0.93324),(221,365,1.86662),(221,366,2.1),(221,2103,0.56),(221,3838,0.14),(221,3847,0.37338),(221,11921,0.37331),(221,14938,0.28),(221,16446,0.32669),(221,17689,0.14),(221,21277,0.32669),(221,21278,0.98),(221,21279,1.09669),(221,21280,0.37331),(221,21281,0.95669),(221,21282,1.05),(221,21389,0.37331),(221,21390,1.02669),(221,21391,1.07331),(221,21445,1.09669),(221,21446,1.28331),(221,21522,0.65338),(221,21523,0.95669),(221,21524,1.07331),(221,21525,0.93331),(221,21526,1.05),(221,21625,0.93331),(221,21626,1.09669),(221,21627,0.95669),(221,21628,1.07331),(221,21629,0.37331),(221,21630,0.95669),(221,21631,1.14331),(221,21787,0.18669),(221,21788,1.02669),(221,21789,1.21331),(221,21827,0.18669),(221,21828,0.91),(221,21829,1.02669),(221,21830,0.88669),(221,21831,1.00331),(221,21853,0.88669),(221,21854,1.12),(221,21855,0.91),(221,21856,1.02669),(221,21857,1.00331),(221,21860,1.16669),(221,21904,1.91338),(221,21905,2.24),(221,21906,1.86662),(221,21907,2.38),(221,21947,1.91338),(221,21948,2.33338),(221,22185,0.98679),(221,22186,5.05679),(221,22531,5.55),(222,64,2.56655),(222,69,2.1),(222,70,2.24),(222,73,3.29007),(222,74,3.57),(222,75,0.56007),(222,78,2.87007),(222,79,3.71007),(222,83,0.56),(222,364,0.93324),(222,365,1.86662),(222,366,2.1),(222,2103,0.56),(222,3838,0.14),(222,3847,0.37338),(222,11921,0.37331),(222,14938,0.28),(222,16446,0.32669),(222,17689,0.14),(222,21277,0.32669),(222,21278,0.98),(222,21279,1.09669),(222,21280,0.37331),(222,21281,0.95669),(222,21282,1.05),(222,21389,0.37331),(222,21390,1.02669),(222,21391,1.07331),(222,21445,1.09669),(222,21446,1.28331),(222,21522,0.65338),(222,21523,0.95669),(222,21524,1.07331),(222,21525,0.93331),(222,21526,1.05),(222,21625,0.93331),(222,21626,1.09669),(222,21627,0.95669),(222,21628,1.07331),(222,21629,0.37331),(222,21630,0.95669),(222,21631,1.14331),(222,21787,0.18669),(222,21788,1.02669),(222,21789,1.21331),(222,21827,0.18669),(222,21828,0.91),(222,21829,1.02669),(222,21830,0.88669),(222,21831,1.00331),(222,21853,0.88669),(222,21854,1.12),(222,21855,0.91),(222,21856,1.02669),(222,21857,1.00331),(222,21860,1.16669),(222,21904,1.91338),(222,21905,2.24),(222,21906,1.86662),(222,21907,2.38),(222,21947,1.91338),(222,21948,2.33338),(223,64,2.56655),(223,69,2.1),(223,70,2.24),(223,73,3.29007),(223,74,3.57),(223,75,0.56007),(223,78,2.87007),(223,79,3.71007),(223,83,0.56),(223,364,0.93324),(223,365,1.86662),(223,366,2.1),(223,2103,0.56),(223,3838,0.14),(223,3847,0.37338),(223,11921,0.37331),(223,14938,0.28),(223,16446,0.32669),(223,17689,0.14),(223,21277,0.32669),(223,21278,0.98),(223,21279,1.09669),(223,21280,0.37331),(223,21281,0.95669),(223,21282,1.05),(223,21389,0.37331),(223,21390,1.02669),(223,21391,1.07331),(223,21445,1.09669),(223,21446,1.28331),(223,21522,0.65338),(223,21523,0.95669),(223,21524,1.07331),(223,21525,0.93331),(223,21526,1.05),(223,21625,0.93331),(223,21626,1.09669),(223,21627,0.95669),(223,21628,1.07331),(223,21629,0.37331),(223,21630,0.95669),(223,21631,1.14331),(223,21787,0.18669),(223,21788,1.02669),(223,21789,1.21331),(223,21827,0.18669),(223,21828,0.91),(223,21829,1.02669),(223,21830,0.88669),(223,21831,1.00331),(223,21853,0.88669),(223,21854,1.12),(223,21855,0.91),(223,21856,1.02669),(223,21857,1.00331),(223,21860,1.16669),(223,21904,1.91338),(223,21905,2.24),(223,21906,1.86662),(223,21907,2.38),(223,21947,1.91338),(223,21948,2.33338),(223,22326,1.72679),(223,22327,5.42679),(223,22524,5.79679),(224,64,2.56655),(224,69,2.1),(224,70,2.24),(224,73,3.29007),(224,74,3.57),(224,75,0.56007),(224,78,2.87007),(224,79,3.71007),(224,83,0.56),(224,364,0.93324),(224,365,1.86662),(224,366,2.1),(224,2103,0.56),(224,3838,0.14),(224,3847,0.37338),(224,11921,0.37331),(224,14938,0.28),(224,16446,0.32669),(224,17689,0.14),(224,21277,0.32669),(224,21278,0.98),(224,21279,1.09669),(224,21280,0.37331),(224,21281,0.95669),(224,21282,1.05),(224,21389,0.37331),(224,21390,1.02669),(224,21391,1.07331),(224,21445,1.09669),(224,21446,1.28331),(224,21522,0.65338),(224,21523,0.95669),(224,21524,1.07331),(224,21525,0.93331),(224,21526,1.05),(224,21625,0.93331),(224,21626,1.09669),(224,21627,0.95669),(224,21628,1.07331),(224,21629,0.37331),(224,21630,0.95669),(224,21631,1.14331),(224,21787,0.18669),(224,21788,1.02669),(224,21789,1.21331),(224,21827,0.18669),(224,21828,0.91),(224,21829,1.02669),(224,21830,0.88669),(224,21831,1.00331),(224,21853,0.88669),(224,21854,1.12),(224,21855,0.91),(224,21856,1.02669),(224,21857,1.00331),(224,21860,1.16669),(224,21904,1.91338),(224,21905,2.24),(224,21906,1.86662),(224,21907,2.38),(224,21947,1.91338),(224,21948,2.33338),(225,64,2.56655),(225,69,2.1),(225,70,2.24),(225,73,3.29007),(225,74,3.57),(225,75,0.56007),(225,78,2.87007),(225,79,3.71007),(225,83,0.56),(225,364,0.93324),(225,365,1.86662),(225,366,2.1),(225,2103,0.56),(225,3838,0.14),(225,3847,0.37338),(225,11921,0.37331),(225,14938,0.28),(225,16446,0.32669),(225,17689,0.14),(225,21277,0.32669),(225,21278,0.98),(225,21279,1.09669),(225,21280,0.37331),(225,21281,0.95669),(225,21282,1.05),(225,21389,0.37331),(225,21390,1.02669),(225,21391,1.07331),(225,21445,1.09669),(225,21446,1.28331),(225,21522,0.65338),(225,21523,0.95669),(225,21524,1.07331),(225,21525,0.93331),(225,21526,1.05),(225,21625,0.93331),(225,21626,1.09669),(225,21627,0.95669),(225,21628,1.07331),(225,21629,0.37331),(225,21630,0.95669),(225,21631,1.14331),(225,21787,0.18669),(225,21788,1.02669),(225,21789,1.21331),(225,21827,0.18669),(225,21828,0.91),(225,21829,1.02669),(225,21830,0.88669),(225,21831,1.00331),(225,21853,0.88669),(225,21854,1.12),(225,21855,0.91),(225,21856,1.02669),(225,21857,1.00331),(225,21860,1.16669),(225,21904,1.91338),(225,21905,2.24),(225,21906,1.86662),(225,21907,2.38),(225,21947,1.91338),(225,21948,2.33338),(226,64,2.56655),(226,69,2.1),(226,70,2.24),(226,73,3.29007),(226,74,3.57),(226,75,0.56007),(226,78,2.87007),(226,79,3.71007),(226,83,0.56),(226,364,0.93324),(226,365,1.86662),(226,366,2.1),(226,2103,0.56),(226,3838,0.14),(226,3847,0.37338),(226,11921,0.37331),(226,14938,0.28),(226,16446,0.32669),(226,17689,0.14),(226,21277,0.32669),(226,21278,0.98),(226,21279,1.09669),(226,21280,0.37331),(226,21281,0.95669),(226,21282,1.05),(226,21389,0.37331),(226,21390,1.02669),(226,21391,1.07331),(226,21445,1.09669),(226,21446,1.28331),(226,21522,0.65338),(226,21523,0.95669),(226,21524,1.07331),(226,21525,0.93331),(226,21526,1.05),(226,21625,0.93331),(226,21626,1.09669),(226,21627,0.95669),(226,21628,1.07331),(226,21629,0.37331),(226,21630,0.95669),(226,21631,1.14331),(226,21787,0.18669),(226,21788,1.02669),(226,21789,1.21331),(226,21827,0.18669),(226,21828,0.91),(226,21829,1.02669),(226,21830,0.88669),(226,21831,1.00331),(226,21853,0.88669),(226,21854,1.12),(226,21855,0.91),(226,21856,1.02669),(226,21857,1.00331),(226,21860,1.16669),(226,21904,1.91338),(226,21905,2.24),(226,21906,1.86662),(226,21907,2.38),(226,21947,1.91338),(226,21948,2.33338),(227,64,2.56655),(227,69,2.1),(227,70,2.24),(227,73,3.29007),(227,74,3.57),(227,75,0.56007),(227,78,2.87007),(227,79,3.71007),(227,83,0.56),(227,364,0.93324),(227,365,1.86662),(227,366,2.1),(227,2103,0.56),(227,3838,0.14),(227,3847,0.37338),(227,11921,0.37331),(227,14938,0.28),(227,16446,0.32669),(227,17689,0.14),(227,21277,0.32669),(227,21278,0.98),(227,21279,1.09669),(227,21280,0.37331),(227,21281,0.95669),(227,21282,1.05),(227,21389,0.37331),(227,21390,1.02669),(227,21391,1.07331),(227,21445,1.09669),(227,21446,1.28331),(227,21522,0.65338),(227,21523,0.95669),(227,21524,1.07331),(227,21525,0.93331),(227,21526,1.05),(227,21625,0.93331),(227,21626,1.09669),(227,21627,0.95669),(227,21628,1.07331),(227,21629,0.37331),(227,21630,0.95669),(227,21631,1.14331),(227,21787,0.18669),(227,21788,1.02669),(227,21789,1.21331),(227,21827,0.18669),(227,21828,0.91),(227,21829,1.02669),(227,21830,0.88669),(227,21831,1.00331),(227,21853,0.88669),(227,21854,1.12),(227,21855,0.91),(227,21856,1.02669),(227,21857,1.00331),(227,21860,1.16669),(227,21904,1.91338),(227,21905,2.24),(227,21906,1.86662),(227,21907,2.38),(227,21947,1.91338),(227,21948,2.33338),(228,64,2.56655),(228,69,2.1),(228,70,2.24),(228,73,3.29007),(228,74,3.57),(228,75,0.56007),(228,78,2.87007),(228,79,3.71007),(228,83,0.56),(228,364,0.93324),(228,365,1.86662),(228,366,2.1),(228,2103,0.56),(228,3838,0.14),(228,3847,0.37338),(228,11921,0.37331),(228,14938,0.28),(228,16446,0.32669),(228,17689,0.14),(228,21277,0.32669),(228,21278,0.98),(228,21279,1.09669),(228,21280,0.37331),(228,21281,0.95669),(228,21282,1.05),(228,21389,0.37331),(228,21390,1.02669),(228,21391,1.07331),(228,21445,1.09669),(228,21446,1.28331),(228,21522,0.65338),(228,21523,0.95669),(228,21524,1.07331),(228,21525,0.93331),(228,21526,1.05),(228,21625,0.93331),(228,21626,1.09669),(228,21627,0.95669),(228,21628,1.07331),(228,21629,0.37331),(228,21630,0.95669),(228,21631,1.14331),(228,21787,0.18669),(228,21788,1.02669),(228,21789,1.21331),(228,21827,1.17348),(228,21828,0.91),(228,21829,1.02669),(228,21830,0.88669),(228,21831,1.00331),(228,21853,0.88669),(228,21854,1.12),(228,21855,0.91),(228,21856,1.02669),(228,21857,1.00331),(228,21860,1.16669),(228,21904,1.91338),(228,21905,2.24),(228,21906,1.86662),(228,21907,2.38),(228,21947,1.91338),(228,21948,2.33338),(228,22397,5.42679),(228,22482,6.04321),(229,64,2.56655),(229,69,2.1),(229,70,2.24),(229,73,3.29007),(229,74,3.57),(229,75,0.56007),(229,78,2.87007),(229,79,3.71007),(229,83,0.56),(229,364,0.93324),(229,365,1.86662),(229,366,2.1),(229,2103,0.56),(229,3838,0.14),(229,3847,0.37338),(229,11921,0.37331),(229,14938,0.28),(229,16446,0.32669),(229,17689,0.14),(229,21277,0.32669),(229,21278,0.98),(229,21279,1.09669),(229,21280,0.37331),(229,21281,0.95669),(229,21282,1.05),(229,21389,0.37331),(229,21390,1.02669),(229,21391,1.07331),(229,21445,1.09669),(229,21446,1.28331),(229,21522,0.65338),(229,21523,0.95669),(229,21524,1.07331),(229,21525,0.93331),(229,21526,1.05),(229,21625,0.93331),(229,21626,1.09669),(229,21627,0.95669),(229,21628,1.07331),(229,21629,0.37331),(229,21630,0.95669),(229,21631,1.14331),(229,21787,0.18669),(229,21788,1.02669),(229,21789,1.21331),(229,21827,0.18669),(229,21828,0.91),(229,21829,1.02669),(229,21830,0.88669),(229,21831,1.00331),(229,21853,0.88669),(229,21854,1.12),(229,21855,0.91),(229,21856,1.02669),(229,21857,1.00331),(229,21860,1.16669),(229,21904,1.91338),(229,21905,2.24),(229,21906,1.86662),(229,21907,2.38),(229,21947,1.91338),(229,21948,2.33338),(230,64,2.56655),(230,69,2.1),(230,70,2.24),(230,73,3.29007),(230,74,3.57),(230,75,0.56007),(230,78,2.87007),(230,79,3.71007),(230,83,0.56),(230,364,0.93324),(230,365,1.86662),(230,366,2.1),(230,2103,0.56),(230,3838,0.14),(230,3847,0.37338),(230,11921,0.37331),(230,14938,0.28),(230,16446,0.32669),(230,17689,0.14),(230,21277,0.32669),(230,21278,0.98),(230,21279,1.09669),(230,21280,0.37331),(230,21281,0.95669),(230,21282,1.05),(230,21389,0.37331),(230,21390,1.02669),(230,21391,1.07331),(230,21445,1.09669),(230,21446,1.28331),(230,21522,0.65338),(230,21523,0.95669),(230,21524,1.07331),(230,21525,0.93331),(230,21526,1.05),(230,21625,0.93331),(230,21626,1.09669),(230,21627,0.95669),(230,21628,1.07331),(230,21629,0.37331),(230,21630,0.95669),(230,21631,1.14331),(230,21787,0.18669),(230,21788,1.02669),(230,21789,1.21331),(230,21827,0.18669),(230,21828,0.91),(230,21829,1.02669),(230,21830,0.88669),(230,21831,1.00331),(230,21853,0.88669),(230,21854,1.12),(230,21855,0.91),(230,21856,1.02669),(230,21857,1.00331),(230,21860,1.16669),(230,21904,1.91338),(230,21905,2.24),(230,21906,1.86662),(230,21907,2.38),(230,21947,1.91338),(230,21948,2.33338),(230,22052,1.48),(230,22472,5.18),(230,22496,6.41321),(231,64,2.56655),(231,69,2.1),(231,70,2.24),(231,73,3.29007),(231,74,3.57),(231,75,0.56007),(231,78,2.87007),(231,79,3.71007),(231,83,0.56),(231,364,0.93324),(231,365,1.86662),(231,366,2.1),(231,2103,0.56),(231,3838,0.14),(231,3847,0.37338),(231,11921,0.37331),(231,14938,0.28),(231,16446,0.32669),(231,17689,0.14),(231,21277,0.32669),(231,21278,0.98),(231,21279,1.09669),(231,21280,0.37331),(231,21281,0.95669),(231,21282,1.05),(231,21389,0.37331),(231,21390,1.02669),(231,21391,1.07331),(231,21445,1.09669),(231,21446,1.28331),(231,21522,0.65338),(231,21523,0.95669),(231,21524,1.07331),(231,21525,0.93331),(231,21526,1.05),(231,21625,0.93331),(231,21626,1.09669),(231,21627,0.95669),(231,21628,1.07331),(231,21629,0.37331),(231,21630,0.95669),(231,21631,1.14331),(231,21787,0.18669),(231,21788,1.02669),(231,21789,1.21331),(231,21827,0.18669),(231,21828,0.91),(231,21829,1.02669),(231,21830,0.88669),(231,21831,1.00331),(231,21853,0.88669),(231,21854,1.12),(231,21855,0.91),(231,21856,1.02669),(231,21857,1.00331),(231,21860,1.16669),(231,21904,1.91338),(231,21905,2.24),(231,21906,1.86662),(231,21907,2.38),(231,21947,1.91338),(231,21948,2.33338),(232,64,2.56655),(232,69,2.1),(232,70,2.24),(232,73,3.29007),(232,74,3.57),(232,75,0.56007),(232,78,2.87007),(232,79,3.71007),(232,83,0.56),(232,364,0.93324),(232,365,1.86662),(232,366,2.1),(232,2103,0.56),(232,3838,0.14),(232,3847,0.37338),(232,11921,0.37331),(232,14938,0.28),(232,16446,0.32669),(232,17689,0.14),(232,21277,0.32669),(232,21278,0.98),(232,21279,1.09669),(232,21280,0.37331),(232,21281,0.95669),(232,21282,1.05),(232,21389,0.37331),(232,21390,1.02669),(232,21391,1.07331),(232,21445,1.09669),(232,21446,1.28331),(232,21522,0.65338),(232,21523,0.95669),(232,21524,1.07331),(232,21525,0.93331),(232,21526,1.05),(232,21625,0.93331),(232,21626,1.09669),(232,21627,0.95669),(232,21628,1.07331),(232,21629,0.37331),(232,21630,0.95669),(232,21631,1.14331),(232,21787,0.18669),(232,21788,1.02669),(232,21789,1.21331),(232,21827,0.18669),(232,21828,0.91),(232,21829,1.02669),(232,21830,0.88669),(232,21831,1.00331),(232,21853,0.88669),(232,21854,1.12),(232,21855,0.91),(232,21856,1.02669),(232,21857,1.00331),(232,21860,1.16669),(232,21904,1.91338),(232,21905,2.24),(232,21906,1.86662),(232,21907,2.38),(232,21947,1.91338),(232,21948,2.33338),(233,64,2.56655),(233,69,2.1),(233,70,2.24),(233,73,3.29007),(233,74,3.57),(233,75,0.56007),(233,78,2.87007),(233,79,3.71007),(233,83,0.56),(233,364,0.93324),(233,365,1.86662),(233,366,2.1),(233,2103,0.56),(233,3838,0.14),(233,3847,0.37338),(233,11921,0.37331),(233,14938,0.28),(233,16446,0.32669),(233,17689,0.14),(233,21277,0.32669),(233,21278,0.98),(233,21279,1.09669),(233,21280,0.37331),(233,21281,0.95669),(233,21282,1.05),(233,21389,0.37331),(233,21390,1.02669),(233,21391,1.07331),(233,21445,1.09669),(233,21446,1.28331),(233,21522,0.65338),(233,21523,0.95669),(233,21524,1.07331),(233,21525,0.93331),(233,21526,1.05),(233,21625,0.93331),(233,21626,1.09669),(233,21627,0.95669),(233,21628,1.07331),(233,21629,0.37331),(233,21630,0.95669),(233,21631,1.14331),(233,21787,0.18669),(233,21788,1.02669),(233,21789,1.21331),(233,21827,0.18669),(233,21828,0.91),(233,21829,1.02669),(233,21830,0.88669),(233,21831,1.00331),(233,21853,0.88669),(233,21854,1.12),(233,21855,0.91),(233,21856,1.02669),(233,21857,1.00331),(233,21860,1.16669),(233,21904,1.91338),(233,21905,2.24),(233,21906,1.86662),(233,21907,2.38),(233,21947,1.91338),(233,21948,2.33338);


--
-- Table structure for table `#__finder_links_terms5`
--



CREATE TABLE `#__finder_links_terms5` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms5`
--




--
-- Table structure for table `#__finder_links_terms6`
--



CREATE TABLE `#__finder_links_terms6` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms6`
--


INSERT INTO `#__finder_links_terms6` (`link_id`, `term_id`, `weight`) VALUES (28,1432,0.98679),(28,1433,4.93321),(41,1560,0.32004),(41,1561,1.52004),(42,253,0.42),(42,256,0.84),(42,276,2.09979),(42,587,0.69993),(42,590,0.84),(42,2999,0.56007),(42,3000,2.73),(42,3001,2.94),(42,3002,1.05),(42,3003,1.16669),(42,3010,3.21993),(42,3011,3.63993),(42,3018,3.08007),(42,3019,3.63993),(42,3024,3.08007),(42,3025,3.42993),(42,3049,3.00993),(42,3050,3.36),(42,3051,5.59986),(42,3052,6.3),(42,11365,0.37338),(42,15975,0.32669),(42,20744,1.00331),(42,20745,1.35331),(42,21009,0.98),(42,21010,1.07331),(42,21011,0.91),(42,21012,1.09669),(43,3877,1.48),(43,3878,5.67321),(44,3031,1.30676),(44,3911,2.00662),(44,3912,2.24),(44,3913,0.98),(44,3914,1.05),(44,3915,2.34652),(44,3916,1.12),(44,3917,1.33),(57,3877,3.16),(57,3878,2.14662),(57,6901,5.79679),(57,6902,0.98007),(57,7466,0.32669),(57,7467,0.95669),(57,7468,1.16669),(57,9056,1.11993),(57,9564,1.05),(57,9565,1.21331),(57,9567,1.09669),(57,9568,1.19),(57,9571,0.98),(57,9572,1.07331),(57,9578,1.05),(57,9582,1.14331),(57,13855,0.98),(57,13856,1.05),(57,16791,1.00331),(57,17876,1.14331),(57,18266,1.05),(57,18267,1.02669),(57,18268,1.19),(57,19671,1.12),(57,19672,1.12),(57,19673,1.07331),(57,19674,1.05),(57,19675,1.12),(57,19801,0.93331),(57,19802,1.02669),(58,241,0.37331),(58,246,0.93324),(58,249,0.98),(58,253,0.84),(58,256,0.84),(58,259,0.69993),(58,267,0.28),(58,276,0.46662),(58,587,0.69993),(58,590,0.56),(58,744,0.28),(58,745,0.93331),(58,746,1.19),(58,750,0.28),(58,751,1.05),(58,752,1.28331),(58,753,0.14),(58,3040,0.37331),(58,4856,1.09669),(58,4857,1.33),(58,4858,0.86331),(58,4859,0.98),(58,4860,0.91),(58,4861,1.16669),(58,4862,0.88669),(58,4863,0.93331),(58,4864,1.07331),(58,4865,1.07331),(58,4866,1.21331),(58,4867,1.00331),(58,4868,1.09669),(58,4869,1.00331),(58,4870,1.23669),(58,4871,0.88669),(58,4872,0.98),(58,4873,0.98),(58,4874,1.07331),(58,4875,0.95669),(58,4876,1.02669),(58,4877,0.95669),(58,4878,1.07331),(58,4879,1.00331),(58,4880,1.07331),(58,4881,1.02669),(58,4882,1.14331),(58,4883,0.93331),(58,4884,1.05),(58,4885,0.95669),(58,4886,1.02669),(58,4887,0.93331),(58,4888,1.00331),(58,4889,1.00331),(58,4890,1.07331),(58,4891,1.02669),(58,4892,1.23669),(58,4893,0.93331),(58,4894,1.16669),(58,4895,0.91),(58,4896,1.05),(58,4897,0.91),(58,4898,1.02669),(58,4899,1.07331),(58,4900,1.23669),(59,241,0.37331),(59,246,0.93324),(59,249,0.98),(59,253,0.84),(59,256,0.84),(59,259,0.69993),(59,267,0.28),(59,276,0.46662),(59,587,0.69993),(59,590,0.56),(59,744,0.28),(59,745,0.93331),(59,746,1.19),(59,750,0.28),(59,751,1.05),(59,752,1.28331),(59,753,0.14),(59,3040,0.37331),(59,4856,1.09669),(59,4857,1.33),(59,4858,0.86331),(59,4859,0.98),(59,4860,0.91),(59,4861,1.16669),(59,4862,0.88669),(59,4863,0.93331),(59,4864,1.07331),(59,4865,1.07331),(59,4866,1.21331),(59,4867,1.00331),(59,4868,1.09669),(59,4869,1.00331),(59,4870,1.23669),(59,4871,0.88669),(59,4872,0.98),(59,4873,0.98),(59,4874,1.07331),(59,4875,0.95669),(59,4876,1.02669),(59,4877,0.95669),(59,4878,1.07331),(59,4879,1.00331),(59,4880,1.07331),(59,4881,1.02669),(59,4882,1.14331),(59,4883,0.93331),(59,4884,1.05),(59,4885,0.95669),(59,4886,1.02669),(59,4887,0.93331),(59,4888,1.00331),(59,4889,1.00331),(59,4890,1.07331),(59,4891,1.02669),(59,4892,1.23669),(59,4893,0.93331),(59,4894,1.16669),(59,4895,0.91),(59,4896,1.05),(59,4897,0.91),(59,4898,1.02669),(59,4899,1.07331),(59,4900,1.23669),(60,241,0.37331),(60,246,0.93324),(60,249,0.98),(60,253,0.84),(60,256,0.84),(60,259,0.69993),(60,267,0.28),(60,276,0.46662),(60,587,0.69993),(60,590,0.56),(60,744,0.28),(60,745,0.93331),(60,746,1.19),(60,750,0.28),(60,751,1.05),(60,752,1.28331),(60,753,0.14),(60,3040,0.37331),(60,4856,1.09669),(60,4857,1.33),(60,4858,0.86331),(60,4859,0.98),(60,4860,0.91),(60,4861,1.16669),(60,4862,0.88669),(60,4863,0.93331),(60,4864,1.07331),(60,4865,1.07331),(60,4866,1.21331),(60,4867,1.00331),(60,4868,1.09669),(60,4869,1.00331),(60,4870,1.23669),(60,4871,0.88669),(60,4872,0.98),(60,4873,0.98),(60,4874,1.07331),(60,4875,0.95669),(60,4876,1.02669),(60,4877,0.95669),(60,4878,1.07331),(60,4879,1.00331),(60,4880,1.07331),(60,4881,1.02669),(60,4882,1.14331),(60,4883,0.93331),(60,4884,1.05),(60,4885,0.95669),(60,4886,1.02669),(60,4887,0.93331),(60,4888,1.00331),(60,4889,1.00331),(60,4890,1.07331),(60,4891,1.02669),(60,4892,1.23669),(60,4893,0.93331),(60,4894,1.16669),(60,4895,0.91),(60,4896,1.05),(60,4897,0.91),(60,4898,1.02669),(60,4899,1.07331),(60,4900,1.23669),(64,241,2.61317),(64,242,1.09669),(64,243,1.26),(64,244,3.92),(64,245,3.29007),(64,246,2.3331),(64,249,4.9),(64,250,5.83345),(64,251,0.91),(64,252,1.19),(64,253,2.52),(64,254,5.25),(64,255,6.06655),(64,256,1.12),(64,257,2.24),(64,258,2.52),(64,259,4.6662),(64,260,0.98),(64,261,1.16669),(64,262,2.94),(64,263,3.63993),(64,264,1.02641),(64,265,8.8669),(64,266,10.7331),(64,267,3.36),(64,268,5.13345),(64,269,2.38),(64,271,1.05),(64,274,4.01324),(64,275,4.38676),(64,276,0.46662),(64,587,0.69993),(64,588,1.91338),(64,589,2.1),(64,590,1.68),(64,591,2.24),(64,592,2.47338),(64,593,0.93331),(64,594,1.02669),(64,595,2.28662),(64,951,1.91338),(64,952,2.28662),(64,954,3.08007),(64,955,1.12),(64,1050,1.00331),(64,3040,0.74662),(64,4887,0.93331),(64,5467,0.98),(64,5468,1.12),(64,5469,1.09669),(64,5470,1.05),(64,5471,1.33),(64,5472,0.95669),(64,5473,1.09669),(64,5474,1.02669),(64,5475,1.12),(64,5476,1.05),(64,5477,1.12),(64,5478,1.12),(64,5479,1.21331),(64,5480,1.02669),(64,5481,1.26),(64,5482,0.93331),(64,5483,1.09669),(64,5484,0.91),(64,5485,1.09669),(64,5486,1.96),(64,5487,1.21331),(64,5488,1.12),(64,5489,1.02669),(64,5490,1.30669),(64,5491,0.93331),(64,5492,1.07331),(64,5493,1.09669),(64,5494,1.91338),(64,5495,2.19338),(64,5496,2.00662),(64,5497,2.38),(64,5498,1.23669),(64,5499,1.12),(64,5500,1.96),(64,5501,1.07331),(64,5502,1.09669),(64,5503,1.02669),(64,5504,1.07331),(64,5505,1.02669),(64,5506,1.09669),(64,5507,0.91),(64,5508,1.05),(64,5509,1.05),(64,5510,1.12),(64,5511,0.84),(64,5512,0.95669),(64,5513,1.09669),(64,5514,1.26),(64,5515,1.12),(64,5516,0.95669),(64,5517,1.09669),(64,5518,1.19),(64,5519,1.23669),(64,5520,0.93331),(64,5521,1.05),(64,5522,1.05),(64,5523,1.26),(64,7264,1.12),(64,7265,1.26),(65,241,0.74662),(65,246,1.39986),(65,253,2.52),(65,256,0.56),(65,264,0.37324),(65,276,1.86648),(65,587,0.93324),(65,590,0.56),(65,3040,0.74662),(65,5476,2.1),(65,5477,2.24),(65,5522,2.1),(65,5523,2.52),(65,6019,1.91338),(65,6020,2.24),(65,6021,1.77338),(65,6022,2.05338),(65,6023,1.96),(65,6024,2.52),(65,6025,2.1),(65,6026,2.38),(65,6027,2.00662),(65,6028,2.38),(65,6029,2.19338),(65,6030,2.28662),(65,6031,1.91338),(65,6032,2.28662),(65,6033,1.82),(65,6034,2.28662),(65,6035,2.1),(65,6036,2.24),(65,6037,2.00662),(65,6038,2.14662),(65,6039,1.68),(65,6040,1.82),(65,6041,1.86662),(65,6042,2.28662),(65,6043,1.96),(65,6044,2.19338),(65,6045,2.05338),(65,6046,2.28662),(65,6047,1.91338),(65,6048,2.1),(65,6049,1.82),(65,6050,2.14662),(70,246,0.46662),(70,249,1.96),(70,250,2.33338),(70,253,0.84),(70,254,2.1),(70,255,2.42662),(70,256,0.84),(70,257,3.36),(70,258,3.78),(70,259,0.69993),(70,262,2.94),(70,263,3.63993),(70,267,1.12),(70,268,2.05338),(70,269,2.38),(70,274,2.00662),(70,275,2.19338),(70,10745,0.28),(70,18143,1.02669),(70,18178,1.19),(71,246,0.46662),(71,249,1.96),(71,250,2.33338),(71,253,0.84),(71,254,2.1),(71,255,2.42662),(71,256,0.84),(71,257,3.36),(71,258,3.78),(71,259,0.69993),(71,262,2.94),(71,263,3.63993),(71,267,1.12),(71,268,2.05338),(71,269,2.38),(71,274,2.00662),(71,275,2.19338),(71,10745,0.28),(71,18143,1.02669),(71,18178,1.19),(77,6356,1.97321),(121,246,0.46662),(121,249,1.96),(121,250,2.33338),(121,253,0.84),(121,254,2.1),(121,255,2.42662),(121,256,0.84),(121,257,3.36),(121,258,3.78),(121,259,0.69993),(121,262,2.94),(121,263,3.63993),(121,267,1.12),(121,268,2.05338),(121,269,2.38),(121,274,2.00662),(121,275,2.19338),(121,10745,0.28),(121,18143,1.02669),(121,18178,1.19),(146,246,0.46662),(146,249,1.96),(146,250,2.33338),(146,253,0.84),(146,254,2.1),(146,255,2.42662),(146,256,0.84),(146,257,3.36),(146,258,3.78),(146,259,0.69993),(146,262,2.94),(146,263,3.63993),(146,267,1.12),(146,268,2.05338),(146,269,2.38),(146,274,2.00662),(146,275,2.19338),(146,10745,1.76),(146,18143,1.02669),(146,18178,1.19),(146,18295,5.30321),(146,18296,5.67321),(208,246,0.46662),(208,249,1.96),(208,250,2.33338),(208,253,0.84),(208,254,2.1),(208,255,2.42662),(208,256,1.4),(208,257,3.36),(208,258,3.78),(208,259,0.69993),(208,262,2.94),(208,263,3.63993),(208,267,1.12),(208,268,2.05338),(208,269,1.19),(208,274,2.00662),(208,275,2.19338),(208,590,0.56),(208,3040,0.74662),(208,4559,0.18669),(208,9756,0.23331),(208,11362,0.09331),(208,12884,0.14),(208,21362,0.98),(208,21363,1.07331),(208,21364,1.02669),(208,21453,1.14331),(208,21580,0.86331),(208,21581,1.02669),(208,21582,0.14),(208,21583,0.88669),(208,21584,1.05),(208,21585,0.32669),(208,21586,0.98),(208,21587,1.12),(208,21823,0.86331),(208,21824,1.05),(208,21928,1.86662),(208,21929,2.1),(208,21930,1.82),(208,21931,2.14662),(208,21932,2.05338),(208,21933,2.47338),(211,246,0.46662),(211,249,1.96),(211,250,2.33338),(211,253,0.84),(211,254,2.1),(211,255,2.42662),(211,256,0.84),(211,257,3.36),(211,258,3.78),(211,259,0.69993),(211,262,2.94),(211,263,3.63993),(211,267,1.12),(211,268,2.05338),(211,269,2.38),(211,274,2.00662),(211,275,2.19338),(211,10745,0.28),(211,18143,1.02669),(211,18178,1.19),(212,241,1.11993),(212,244,2.94),(212,245,3.29007),(212,246,0.93324),(212,251,0.91),(212,252,1.19),(212,259,0.23331),(212,264,0.09331),(212,265,0.88669),(212,266,1.07331),(212,267,0.28),(212,587,0.23331),(212,588,0.95669),(212,589,1.05),(212,590,0.28),(212,591,1.12),(212,592,1.23669),(212,593,0.93331),(212,594,1.02669),(212,954,1.02669),(212,955,1.12),(212,19723,0.93331),(212,19724,1.09669),(212,19725,0.91),(212,19726,1.09669),(213,246,0.23331),(213,251,0.91),(213,252,1.19),(213,587,0.23331),(213,588,0.95669),(213,589,1.05),(213,590,0.28),(213,591,1.12),(213,592,1.23669),(214,246,0.46662),(214,249,1.96),(214,250,2.33338),(214,253,0.84),(214,254,2.1),(214,255,2.42662),(214,256,0.84),(214,257,3.36),(214,258,3.78),(214,259,0.69993),(214,262,2.94),(214,263,3.63993),(214,267,1.12),(214,268,2.05338),(214,269,2.38),(214,274,2.00662),(214,275,2.19338),(214,10745,0.28),(214,18143,1.02669),(214,18178,1.19),(214,22608,1.72679),(215,241,0.74662),(215,242,2.19338),(215,243,2.52),(215,246,0.46662),(215,251,1.82),(215,252,2.38),(215,256,0.28),(215,257,1.12),(215,258,1.26),(215,259,0.23331),(215,264,0.09331),(215,265,0.88669),(215,266,1.07331),(215,267,0.56),(215,271,2.1),(215,744,0.28),(215,745,0.93331),(215,746,1.19),(215,750,0.28),(215,751,1.05),(215,752,1.28331),(215,753,0.14),(215,5491,0.93331),(215,13425,0.74),(215,19847,1.21331),(215,19878,2.8666),(215,19879,3),(215,19880,2.55),(215,19881,2.77661),(215,19882,1.09669),(215,19883,0.91),(215,19884,1.00331),(216,241,0.37331),(216,242,1.09669),(216,243,1.26),(216,246,0.23331),(216,251,0.91),(216,252,1.19),(216,259,0.46662),(216,262,0.98),(216,263,1.21331),(216,264,0.09331),(216,265,0.88669),(216,266,1.07331),(216,267,0.28),(216,271,1.05),(216,744,0.28),(216,745,0.93331),(216,746,1.19),(216,750,0.28),(216,751,1.05),(216,752,1.28331),(216,753,0.14),(216,19926,0.95669),(216,19927,1.23669),(216,19928,1.26),(216,19929,0.93331),(216,19930,1.12),(217,246,0.46662),(217,249,1.96),(217,250,2.33338),(217,253,0.84),(217,254,2.1),(217,255,2.42662),(217,256,0.84),(217,257,3.36),(217,258,3.78),(217,259,0.69993),(217,262,2.94),(217,263,3.63993),(217,267,1.12),(217,268,2.05338),(217,269,2.38),(217,274,2.00662),(217,275,2.19338),(217,10745,0.28),(217,18143,1.02669),(217,18178,1.19),(217,19965,2.71321),(219,246,0.46662),(219,249,1.96),(219,250,2.33338),(219,253,0.84),(219,254,2.1),(219,255,2.42662),(219,256,1.4),(219,257,3.36),(219,258,3.78),(219,259,0.69993),(219,262,2.94),(219,263,3.63993),(219,267,1.12),(219,268,2.05338),(219,269,1.19),(219,274,2.00662),(219,275,2.19338),(219,590,0.56),(219,3040,0.74662),(219,4559,0.18669),(219,9756,0.23331),(219,11362,0.09331),(219,12884,0.14),(219,21362,0.98),(219,21363,1.07331),(219,21364,1.02669),(219,21453,1.14331),(219,21580,0.86331),(219,21581,1.02669),(219,21582,0.14),(219,21583,0.88669),(219,21584,1.05),(219,21585,0.32669),(219,21586,0.98),(219,21587,1.12),(219,21823,0.86331),(219,21824,1.05),(219,21928,1.86662),(219,21929,2.1),(219,21930,1.82),(219,21931,2.14662),(219,21932,2.05338),(219,21933,2.47338),(220,246,0.46662),(220,249,1.96),(220,250,2.33338),(220,253,0.84),(220,254,2.1),(220,255,2.42662),(220,256,1.4),(220,257,3.36),(220,258,3.78),(220,259,0.69993),(220,262,2.94),(220,263,3.63993),(220,267,1.12),(220,268,2.05338),(220,269,1.19),(220,274,2.00662),(220,275,2.19338),(220,590,0.56),(220,3040,0.74662),(220,4559,0.18669),(220,9756,0.23331),(220,11362,0.09331),(220,12884,0.14),(220,21362,0.98),(220,21363,1.07331),(220,21364,1.02669),(220,21453,1.14331),(220,21580,0.86331),(220,21581,1.02669),(220,21582,0.14),(220,21583,0.88669),(220,21584,1.05),(220,21585,0.32669),(220,21586,0.98),(220,21587,1.12),(220,21823,0.86331),(220,21824,1.05),(220,21928,1.86662),(220,21929,2.1),(220,21930,1.82),(220,21931,2.14662),(220,21932,2.05338),(220,21933,2.47338),(221,246,0.46662),(221,249,1.96),(221,250,2.33338),(221,253,0.84),(221,254,2.1),(221,255,2.42662),(221,256,1.4),(221,257,3.36),(221,258,3.78),(221,259,0.69993),(221,262,2.94),(221,263,3.63993),(221,267,1.12),(221,268,2.05338),(221,269,1.19),(221,274,2.00662),(221,275,2.19338),(221,590,0.56),(221,3040,0.74662),(221,4559,0.18669),(221,9756,0.23331),(221,11362,0.09331),(221,12884,0.14),(221,21362,0.98),(221,21363,1.07331),(221,21364,1.02669),(221,21453,1.14331),(221,21580,0.86331),(221,21581,1.02669),(221,21582,0.14),(221,21583,0.88669),(221,21584,1.05),(221,21585,0.32669),(221,21586,0.98),(221,21587,1.12),(221,21823,0.86331),(221,21824,1.05),(221,21928,1.86662),(221,21929,2.1),(221,21930,1.82),(221,21931,2.14662),(221,21932,2.05338),(221,21933,2.47338),(221,22182,2.46679),(221,22534,5.55),(222,246,0.46662),(222,249,1.96),(222,250,2.33338),(222,253,0.84),(222,254,2.1),(222,255,2.42662),(222,256,1.4),(222,257,3.36),(222,258,3.78),(222,259,0.69993),(222,262,2.94),(222,263,3.63993),(222,267,1.12),(222,268,2.05338),(222,269,1.19),(222,274,2.00662),(222,275,2.19338),(222,590,0.56),(222,3040,0.74662),(222,4559,0.18669),(222,9756,0.23331),(222,11362,0.09331),(222,12884,0.14),(222,21362,0.98),(222,21363,1.07331),(222,21364,1.02669),(222,21453,1.14331),(222,21580,0.86331),(222,21581,1.02669),(222,21582,0.14),(222,21583,0.88669),(222,21584,1.05),(222,21585,0.32669),(222,21586,0.98),(222,21587,1.12),(222,21823,0.86331),(222,21824,1.05),(222,21928,1.86662),(222,21929,2.1),(222,21930,1.82),(222,21931,2.14662),(222,21932,2.05338),(222,21933,2.47338),(223,246,0.46662),(223,249,1.96),(223,250,2.33338),(223,253,0.84),(223,254,2.1),(223,255,2.42662),(223,256,1.4),(223,257,3.36),(223,258,3.78),(223,259,0.69993),(223,262,2.94),(223,263,3.63993),(223,267,1.12),(223,268,2.05338),(223,269,1.19),(223,274,2.00662),(223,275,2.19338),(223,590,0.56),(223,3040,0.74662),(223,4559,0.18669),(223,9756,0.23331),(223,11362,0.09331),(223,12884,0.14),(223,21362,0.98),(223,21363,1.07331),(223,21364,1.02669),(223,21453,1.14331),(223,21580,0.86331),(223,21581,1.02669),(223,21582,0.14),(223,21583,0.88669),(223,21584,1.05),(223,21585,0.32669),(223,21586,0.98),(223,21587,1.12),(223,21823,0.86331),(223,21824,1.05),(223,21928,1.86662),(223,21929,2.1),(223,21930,1.82),(223,21931,2.14662),(223,21932,2.05338),(223,21933,2.47338),(224,246,0.46662),(224,249,1.96),(224,250,2.33338),(224,253,0.84),(224,254,2.1),(224,255,2.42662),(224,256,1.4),(224,257,3.36),(224,258,3.78),(224,259,0.69993),(224,262,2.94),(224,263,3.63993),(224,267,1.12),(224,268,2.05338),(224,269,1.19),(224,274,2.00662),(224,275,2.19338),(224,590,0.56),(224,3040,0.74662),(224,4559,0.18669),(224,9756,0.23331),(224,11362,0.09331),(224,12884,0.14),(224,21362,0.98),(224,21363,1.07331),(224,21364,1.02669),(224,21453,1.14331),(224,21580,0.86331),(224,21581,1.02669),(224,21582,0.14),(224,21583,0.88669),(224,21584,1.05),(224,21585,0.32669),(224,21586,0.98),(224,21587,1.12),(224,21823,0.86331),(224,21824,1.05),(224,21928,1.86662),(224,21929,2.1),(224,21930,1.82),(224,21931,2.14662),(224,21932,2.05338),(224,21933,2.47338),(225,246,0.46662),(225,249,1.96),(225,250,2.33338),(225,253,0.84),(225,254,2.1),(225,255,2.42662),(225,256,1.4),(225,257,3.36),(225,258,3.78),(225,259,0.69993),(225,262,2.94),(225,263,3.63993),(225,267,1.12),(225,268,2.05338),(225,269,1.19),(225,274,2.00662),(225,275,2.19338),(225,590,0.56),(225,3040,0.74662),(225,4559,0.18669),(225,9756,0.23331),(225,11362,0.09331),(225,12884,0.14),(225,21362,0.98),(225,21363,1.07331),(225,21364,1.02669),(225,21453,1.14331),(225,21580,0.86331),(225,21581,1.02669),(225,21582,0.14),(225,21583,0.88669),(225,21584,1.05),(225,21585,0.32669),(225,21586,0.98),(225,21587,1.12),(225,21823,0.86331),(225,21824,1.05),(225,21928,1.86662),(225,21929,2.1),(225,21930,1.82),(225,21931,2.14662),(225,21932,2.05338),(225,21933,2.47338),(226,246,0.46662),(226,249,1.96),(226,250,2.33338),(226,253,0.84),(226,254,2.1),(226,255,2.42662),(226,256,1.4),(226,257,3.36),(226,258,3.78),(226,259,0.69993),(226,262,2.94),(226,263,3.63993),(226,267,1.12),(226,268,2.05338),(226,269,1.19),(226,274,2.00662),(226,275,2.19338),(226,590,0.56),(226,3040,0.74662),(226,4559,0.18669),(226,9756,0.23331),(226,11362,0.09331),(226,12884,0.14),(226,21362,0.98),(226,21363,1.07331),(226,21364,1.02669),(226,21453,1.14331),(226,21580,0.86331),(226,21581,1.02669),(226,21582,0.14),(226,21583,0.88669),(226,21584,1.05),(226,21585,0.32669),(226,21586,0.98),(226,21587,1.12),(226,21823,0.86331),(226,21824,1.05),(226,21928,1.86662),(226,21929,2.1),(226,21930,1.82),(226,21931,2.14662),(226,21932,2.05338),(226,21933,2.47338),(226,22284,0.98679),(226,22516,2.4666),(226,22517,2.6666),(226,22518,2.15339),(226,22519,2.32339),(227,246,0.46662),(227,249,1.96),(227,250,2.33338),(227,253,0.84),(227,254,2.1),(227,255,2.42662),(227,256,1.4),(227,257,3.36),(227,258,3.78),(227,259,0.69993),(227,262,2.94),(227,263,3.63993),(227,267,1.12),(227,268,2.05338),(227,269,1.19),(227,274,2.00662),(227,275,2.19338),(227,590,0.56),(227,3040,0.74662),(227,4559,0.18669),(227,9756,0.23331),(227,11362,0.09331),(227,12884,0.14),(227,21362,0.98),(227,21363,1.07331),(227,21364,1.02669),(227,21453,1.14331),(227,21580,0.86331),(227,21581,1.02669),(227,21582,0.14),(227,21583,0.88669),(227,21584,1.05),(227,21585,0.32669),(227,21586,0.98),(227,21587,1.12),(227,21823,0.86331),(227,21824,1.05),(227,21928,1.86662),(227,21929,2.1),(227,21930,1.82),(227,21931,2.14662),(227,21932,2.05338),(227,21933,2.47338),(228,246,0.46662),(228,249,1.96),(228,250,2.33338),(228,253,0.84),(228,254,2.1),(228,255,2.42662),(228,256,1.4),(228,257,3.36),(228,258,3.78),(228,259,0.69993),(228,262,2.94),(228,263,3.63993),(228,267,1.12),(228,268,2.05338),(228,269,1.19),(228,274,2.00662),(228,275,2.19338),(228,590,0.56),(228,3040,0.74662),(228,4559,0.18669),(228,9756,0.23331),(228,11362,0.09331),(228,12884,0.14),(228,21362,0.98),(228,21363,1.07331),(228,21364,1.02669),(228,21453,1.14331),(228,21580,0.86331),(228,21581,1.02669),(228,21582,0.14),(228,21583,0.88669),(228,21584,1.05),(228,21585,0.32669),(228,21586,0.98),(228,21587,1.12),(228,21823,0.86331),(228,21824,1.05),(228,21928,1.86662),(228,21929,2.1),(228,21930,1.82),(228,21931,2.14662),(228,21932,2.05338),(228,21933,2.47338),(228,22384,2.22),(228,22481,5.42679),(229,246,0.46662),(229,249,1.96),(229,250,2.33338),(229,253,0.84),(229,254,2.1),(229,255,2.42662),(229,256,1.4),(229,257,3.36),(229,258,3.78),(229,259,0.69993),(229,262,2.94),(229,263,3.63993),(229,267,1.12),(229,268,2.05338),(229,269,1.19),(229,274,2.00662),(229,275,2.19338),(229,590,0.56),(229,3040,0.74662),(229,4559,0.18669),(229,9756,0.23331),(229,11362,0.09331),(229,12884,0.14),(229,21362,0.98),(229,21363,1.07331),(229,21364,1.02669),(229,21453,1.14331),(229,21580,0.86331),(229,21581,1.02669),(229,21582,0.14),(229,21583,0.88669),(229,21584,1.05),(229,21585,0.32669),(229,21586,0.98),(229,21587,1.12),(229,21823,0.86331),(229,21824,1.05),(229,21928,1.86662),(229,21929,2.1),(229,21930,1.82),(229,21931,2.14662),(229,21932,2.05338),(229,21933,2.47338),(229,22410,0.98679),(229,22411,4.81),(230,246,0.46662),(230,249,1.96),(230,250,2.33338),(230,253,0.84),(230,254,2.1),(230,255,2.42662),(230,256,1.4),(230,257,3.36),(230,258,3.78),(230,259,0.69993),(230,262,2.94),(230,263,3.63993),(230,267,1.12),(230,268,2.05338),(230,269,1.19),(230,274,2.00662),(230,275,2.19338),(230,590,0.56),(230,3040,0.74662),(230,4559,0.18669),(230,9756,0.23331),(230,11362,0.09331),(230,12884,0.14),(230,21362,0.98),(230,21363,1.07331),(230,21364,1.02669),(230,21453,1.14331),(230,21580,0.86331),(230,21581,1.02669),(230,21582,0.14),(230,21583,0.88669),(230,21584,1.05),(230,21585,0.32669),(230,21586,0.98),(230,21587,1.12),(230,21823,0.86331),(230,21824,1.05),(230,21928,1.86662),(230,21929,2.1),(230,21930,1.82),(230,21931,2.14662),(230,21932,2.05338),(230,21933,2.47338),(230,22467,2.22),(230,22494,5.18),(230,22495,5.79679),(231,246,0.46662),(231,249,1.96),(231,250,2.33338),(231,253,0.84),(231,254,2.1),(231,255,2.42662),(231,256,1.4),(231,257,3.36),(231,258,3.78),(231,259,0.69993),(231,262,2.94),(231,263,3.63993),(231,267,1.12),(231,268,2.05338),(231,269,1.19),(231,274,2.00662),(231,275,2.19338),(231,590,0.56),(231,3040,0.74662),(231,4559,0.18669),(231,9756,0.23331),(231,11362,0.09331),(231,12884,0.14),(231,21362,0.98),(231,21363,1.07331),(231,21364,1.02669),(231,21453,1.14331),(231,21580,0.86331),(231,21581,1.02669),(231,21582,0.14),(231,21583,0.88669),(231,21584,1.05),(231,21585,0.32669),(231,21586,0.98),(231,21587,1.12),(231,21823,0.86331),(231,21824,1.05),(231,21928,1.86662),(231,21929,2.1),(231,21930,1.82),(231,21931,2.14662),(231,21932,2.05338),(231,21933,2.47338),(232,246,0.46662),(232,249,1.96),(232,250,2.33338),(232,253,0.84),(232,254,2.1),(232,255,2.42662),(232,256,1.4),(232,257,3.36),(232,258,3.78),(232,259,0.69993),(232,262,2.94),(232,263,3.63993),(232,267,1.12),(232,268,2.05338),(232,269,1.19),(232,274,2.00662),(232,275,2.19338),(232,590,0.56),(232,3040,0.74662),(232,4559,0.18669),(232,9756,0.23331),(232,11362,0.09331),(232,12884,0.14),(232,21362,0.98),(232,21363,1.07331),(232,21364,1.02669),(232,21453,1.14331),(232,21580,0.86331),(232,21581,1.02669),(232,21582,0.14),(232,21583,0.88669),(232,21584,1.05),(232,21585,0.32669),(232,21586,0.98),(232,21587,1.12),(232,21823,0.86331),(232,21824,1.05),(232,21928,1.86662),(232,21929,2.1),(232,21930,1.82),(232,21931,2.14662),(232,21932,2.05338),(232,21933,2.47338),(233,246,0.46662),(233,249,1.96),(233,250,2.33338),(233,253,0.84),(233,254,2.1),(233,255,2.42662),(233,256,1.4),(233,257,3.36),(233,258,3.78),(233,259,0.69993),(233,262,2.94),(233,263,3.63993),(233,267,1.12),(233,268,2.05338),(233,269,1.19),(233,274,2.00662),(233,275,2.19338),(233,590,0.56),(233,3040,0.74662),(233,4559,0.18669),(233,9756,0.23331),(233,11362,0.09331),(233,12884,0.14),(233,21362,0.98),(233,21363,1.07331),(233,21364,1.02669),(233,21453,1.14331),(233,21580,0.86331),(233,21581,1.02669),(233,21582,0.14),(233,21583,0.88669),(233,21584,1.05),(233,21585,0.32669),(233,21586,0.98),(233,21587,1.12),(233,21823,0.86331),(233,21824,1.05),(233,21928,1.86662),(233,21929,2.1),(233,21930,1.82),(233,21931,2.14662),(233,21932,2.05338),(233,21933,2.47338);


--
-- Table structure for table `#__finder_links_terms7`
--



CREATE TABLE `#__finder_links_terms7` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms7`
--


INSERT INTO `#__finder_links_terms7` (`link_id`, `term_id`, `weight`) VALUES (22,1422,3.20679),(23,1422,3.20679),(24,1422,3.20679),(25,1422,3.20679),(26,1422,3.20679),(36,419,0.18662),(36,13823,0.81669),(36,13824,0.95669),(36,13825,0.88669),(36,13826,1.05),(40,18024,0.31992),(41,286,0.37338),(41,289,0.56),(41,1562,0.56),(41,1563,1.77338),(41,1564,2.00662),(41,1565,1.68),(41,1566,2.00662),(41,1567,1.82),(41,1568,2.38),(41,1569,1.77338),(41,1570,2.1),(41,1571,1.72662),(41,1572,1.91338),(42,283,0.56007),(42,289,0.56),(42,296,1.39986),(42,352,0.56007),(42,361,2.24028),(42,409,1.53993),(42,415,0.74676),(42,419,0.27993),(42,602,0.74676),(42,1562,0.42),(42,3055,3.00993),(42,3056,3.36),(42,3059,0.74676),(42,3060,1.82),(42,3061,2.00662),(42,3062,0.86331),(42,3063,0.98),(42,3086,2.87007),(42,3087,3.42993),(42,3090,1.02669),(42,3091,1.12),(42,3092,2.79993),(42,3093,3.57),(42,3096,0.95669),(42,3097,1.07331),(42,3104,5.46),(42,3105,6.43986),(42,3108,0.84),(42,3109,2.87007),(42,3110,3.15),(42,3111,1.68),(42,3112,0.95669),(42,3113,1.09669),(42,3114,0.18669),(42,3115,0.84),(42,3116,1.07331),(42,3335,2.66007),(42,3336,3.08007),(42,3343,5.46),(42,3344,6.3),(42,3351,2.73),(42,3352,3.00993),(42,3355,3.21993),(42,3356,3.92007),(42,3362,1.12),(42,3363,3.82676),(42,3364,4.29324),(42,3678,0.37324),(42,3679,3.54676),(42,3680,1.12),(42,3681,1.12),(42,3682,1.12),(42,3683,1.12),(42,3688,3.57),(42,3689,4.05993),(42,3694,0.37331),(42,3697,1.05),(42,3698,1.12),(42,3701,0.42),(42,3702,1.05),(42,3703,1.12),(42,3711,2.79993),(42,3712,3.00993),(42,3713,0.98),(42,3717,3.08),(42,3718,0.81669),(42,3719,0.93331),(42,3724,4.10676),(42,3725,4.48),(42,3726,6.04317),(42,3727,7.02317),(42,3728,0.81669),(42,3729,0.86331),(42,3730,0.88669),(42,3731,1.00331),(42,3732,0.84),(42,3733,0.93331),(42,3737,0.86331),(42,3738,0.93331),(42,3739,3.54676),(42,3740,3.08007),(42,3746,2.94),(42,3747,3.29007),(42,6413,2.79993),(42,6414,3.42993),(42,9008,0.09331),(42,9162,0.23331),(42,9165,1.05),(42,9720,0.23331),(42,9721,0.93331),(42,9722,1.05),(42,9723,0.23331),(42,9724,0.93331),(42,9725,1.05),(42,9726,0.93331),(42,9727,1.05),(42,9728,1.05),(42,9729,1.16669),(42,9730,1.05),(42,9731,1.16669),(42,9732,1.16669),(42,15849,0.23331),(42,15850,0.91),(42,21042,1.12),(42,21043,0.37331),(42,21044,0.95669),(42,21045,1.02669),(42,21046,0.86331),(42,21047,1.07331),(42,21048,1.12),(42,21983,0.81669),(42,21984,0.95669),(42,22563,0.84),(42,22564,1.02669),(43,418,0.64008),(44,418,0.64008),(44,3918,0.28),(44,3919,1.02669),(44,3920,1.16669),(57,282,0.56007),(57,3717,0.7),(57,4564,2.73),(57,4565,3.00993),(57,4618,0.37338),(57,4619,0.86331),(57,4620,0.98),(57,7217,0.86331),(57,7515,0.56),(57,7516,0.91),(57,7517,1.07331),(57,9705,1.00331),(57,9706,1.09669),(57,10215,0.37338),(57,10216,1.72662),(57,11022,0.23331),(57,11023,0.88669),(57,13627,0.51331),(57,13630,0.88669),(57,13884,0.86331),(57,13885,0.95669),(57,16825,1.07331),(57,18287,0.98),(57,19708,1.05),(57,19709,1.33),(57,19710,0.98),(57,19803,0.93338),(57,19804,1.19),(57,19805,1.30669),(57,19806,1.00331),(57,19807,1.07331),(57,19808,0.93338),(57,19809,1.05),(57,19810,1.14331),(57,21134,2.1),(57,21156,0.88669),(57,21157,1.05),(57,22102,0.65331),(57,22103,1.37669),(57,22104,1.4),(57,22105,0.65331),(57,22106,1.09669),(57,22107,1.16669),(57,22108,1.02669),(57,22109,1.12),(57,22165,0.93331),(57,22166,1.23669),(57,22167,0.98),(57,22168,1.33),(58,283,0.18669),(58,286,0.37338),(58,289,0.28),(58,296,0.46662),(58,352,0.37338),(58,361,0.56007),(58,412,0.42),(58,415,0.56007),(58,418,0.64008),(58,419,0.37324),(58,596,0.84),(58,597,0.88669),(58,602,0.37338),(58,760,0.37331),(58,761,1.12),(58,762,1.21331),(58,763,0.32669),(58,764,1.09669),(58,765,1.16669),(58,1422,1.04004),(58,1562,0.28),(58,3057,0.88669),(58,3077,0.23331),(58,3100,0.95669),(58,3114,0.37338),(58,3337,1.09669),(58,3343,0.91),(58,3357,0.32669),(58,3694,0.37331),(58,3709,0.91),(58,4901,1.00331),(58,4902,0.91),(58,4903,1.14331),(58,4904,1.02669),(58,4905,0.88669),(58,4906,1.12),(58,4907,0.91),(58,4908,1.09669),(58,4909,0.88669),(58,4910,1.07331),(58,4911,0.95669),(58,4912,1.02669),(58,4913,0.91),(58,4914,1.02669),(58,4915,1.00331),(58,4916,1.09669),(58,4917,0.98),(58,4918,1.19),(58,4919,1.02669),(58,4920,1.12),(58,4921,1.02669),(58,4922,1.14331),(58,4923,0.95669),(58,4924,1.14331),(58,4925,0.88669),(58,4926,1.00331),(58,4927,0.88669),(58,4928,0.98),(58,4929,1.12),(58,4930,0.88669),(58,4931,1.07331),(58,4932,0.95669),(58,4933,1.16669),(58,4934,0.88669),(58,4935,1.07331),(58,4976,1.19),(58,4977,0.91),(58,4978,0.98),(58,4979,0.98),(58,4980,0.98),(58,4981,1.05),(58,4982,0.95669),(58,4983,1.09669),(58,4984,1.02669),(58,4985,1.26),(58,5058,1.09669),(58,5059,1.23669),(58,5060,0.98),(58,5061,1.28331),(58,5062,0.86331),(58,5063,1.16669),(58,5064,0.98),(58,5065,1.02669),(58,5066,1.12),(58,5067,0.81669),(58,5068,0.98),(58,5069,0.88669),(58,5070,1.02669),(58,5071,1.05),(58,5072,1.09669),(58,5073,0.93331),(58,5074,1.05),(59,283,0.18669),(59,286,0.37338),(59,289,0.28),(59,296,0.46662),(59,352,0.37338),(59,361,0.56007),(59,412,0.42),(59,415,0.56007),(59,418,0.64008),(59,419,0.37324),(59,596,0.84),(59,597,0.88669),(59,602,0.37338),(59,760,0.37331),(59,761,1.12),(59,762,1.21331),(59,763,0.32669),(59,764,1.09669),(59,765,1.16669),(59,1422,1.04004),(59,1562,0.28),(59,3057,0.88669),(59,3077,0.23331),(59,3100,0.95669),(59,3114,0.37338),(59,3337,1.09669),(59,3343,0.91),(59,3357,0.32669),(59,3694,0.37331),(59,3709,0.91),(59,4901,1.00331),(59,4902,0.91),(59,4903,1.14331),(59,4904,1.02669),(59,4905,0.88669),(59,4906,1.12),(59,4907,0.91),(59,4908,1.09669),(59,4909,0.88669),(59,4910,1.07331),(59,4911,0.95669),(59,4912,1.02669),(59,4913,0.91),(59,4914,1.02669),(59,4915,1.00331),(59,4916,1.09669),(59,4917,0.98),(59,4918,1.19),(59,4919,1.02669),(59,4920,1.12),(59,4921,1.02669),(59,4922,1.14331),(59,4923,0.95669),(59,4924,1.14331),(59,4925,0.88669),(59,4926,1.00331),(59,4927,0.88669),(59,4928,0.98),(59,4929,1.12),(59,4930,0.88669),(59,4931,1.07331),(59,4932,0.95669),(59,4933,1.16669),(59,4934,0.88669),(59,4935,1.07331),(59,4976,1.19),(59,4977,0.91),(59,4978,0.98),(59,4979,0.98),(59,4980,0.98),(59,4981,1.05),(59,4982,0.95669),(59,4983,1.09669),(59,4984,1.02669),(59,4985,1.26),(59,5058,1.09669),(59,5059,1.23669),(59,5060,0.98),(59,5061,1.28331),(59,5062,0.86331),(59,5063,1.16669),(59,5064,0.98),(59,5065,1.02669),(59,5066,1.12),(59,5067,0.81669),(59,5068,0.98),(59,5069,0.88669),(59,5070,1.02669),(59,5071,1.05),(59,5072,1.09669),(59,5073,0.93331),(59,5074,1.05),(60,283,0.18669),(60,286,0.37338),(60,289,0.28),(60,296,0.46662),(60,352,0.37338),(60,361,0.56007),(60,412,0.42),(60,415,0.56007),(60,418,0.64008),(60,419,0.37324),(60,596,0.84),(60,597,0.88669),(60,602,0.37338),(60,760,0.37331),(60,761,1.12),(60,762,1.21331),(60,763,0.32669),(60,764,1.09669),(60,765,1.16669),(60,1422,1.04004),(60,1562,0.28),(60,3057,0.88669),(60,3077,0.23331),(60,3100,0.95669),(60,3114,0.37338),(60,3337,1.09669),(60,3343,0.91),(60,3357,0.32669),(60,3694,0.37331),(60,3709,0.91),(60,4901,1.00331),(60,4902,0.91),(60,4903,1.14331),(60,4904,1.02669),(60,4905,0.88669),(60,4906,1.12),(60,4907,0.91),(60,4908,1.09669),(60,4909,0.88669),(60,4910,1.07331),(60,4911,0.95669),(60,4912,1.02669),(60,4913,0.91),(60,4914,1.02669),(60,4915,1.00331),(60,4916,1.09669),(60,4917,0.98),(60,4918,1.19),(60,4919,1.02669),(60,4920,1.12),(60,4921,1.02669),(60,4922,1.14331),(60,4923,0.95669),(60,4924,1.14331),(60,4925,0.88669),(60,4926,1.00331),(60,4927,0.88669),(60,4928,0.98),(60,4929,1.12),(60,4930,0.88669),(60,4931,1.07331),(60,4932,0.95669),(60,4933,1.16669),(60,4934,0.88669),(60,4935,1.07331),(60,4976,1.19),(60,4977,0.91),(60,4978,0.98),(60,4979,0.98),(60,4980,0.98),(60,4981,1.05),(60,4982,0.95669),(60,4983,1.09669),(60,4984,1.02669),(60,4985,1.26),(60,5058,1.09669),(60,5059,1.23669),(60,5060,0.98),(60,5061,1.28331),(60,5062,0.86331),(60,5063,1.16669),(60,5064,0.98),(60,5065,1.02669),(60,5066,1.12),(60,5067,0.81669),(60,5068,0.98),(60,5069,0.88669),(60,5070,1.02669),(60,5071,1.05),(60,5072,1.09669),(60,5073,0.93331),(60,5074,1.05),(64,283,0.93345),(64,286,0.74676),(64,287,1.07331),(64,288,1.14331),(64,289,3.08),(64,290,2.73),(64,292,2.73),(64,293,3.21993),(64,294,8.4),(64,295,9.8),(64,296,3.26634),(64,297,3.64),(64,298,3.15),(64,299,3.64),(64,300,4.76),(64,301,3.82676),(64,302,4.29324),(64,303,2.24),(64,306,3.82676),(64,307,4.38676),(64,352,1.49352),(64,357,2.19338),(64,358,2.52),(64,359,2.05338),(64,360,2.56662),(64,361,1.30683),(64,362,3.73324),(64,363,4.2),(64,409,2.56655),(64,410,4.38676),(64,411,3.57),(64,412,1.26),(64,415,0.93345),(64,416,3.82676),(64,417,4.48),(64,418,0.64008),(64,419,0.65317),(64,596,0.14),(64,597,0.88669),(64,599,1.09669),(64,600,1.72662),(64,601,2.19338),(64,602,0.37338),(64,603,0.91),(64,604,1.14331),(64,605,0.95669),(64,606,1.12),(64,652,1.96),(64,653,2.24),(64,960,2.1),(64,1562,0.28),(64,3077,0.23331),(64,3098,0.91),(64,3114,0.74676),(64,3694,1.86655),(64,4031,0.93331),(64,4032,1.07331),(64,4458,1.07331),(64,4459,1.26),(64,5524,0.95669),(64,5525,1.14331),(64,5526,1.00331),(64,5527,1.19),(64,5528,0.88669),(64,5529,1.09669),(64,5530,0.23331),(64,5531,0.88669),(64,5532,1.12),(64,5533,0.86331),(64,5534,1.00331),(64,5535,1.00331),(64,5536,1.09669),(64,5537,1.02669),(64,5538,1.26),(64,5539,0.86331),(64,5540,1.07331),(64,5541,0.84),(64,5542,0.95669),(64,5543,1.07331),(64,5544,1.16669),(64,5545,0.93331),(64,5546,1.14331),(64,5547,1.02669),(64,5548,1.09669),(64,5549,0.88669),(64,5550,1.00331),(64,5551,0.98),(64,5552,0.84),(64,5553,1.00331),(64,5554,1.05),(64,5555,0.95669),(64,5556,1.12),(64,5557,0.28),(64,5558,0.93331),(64,5559,1.14331),(64,5560,1.02669),(64,5561,0.93331),(64,5562,1.07331),(64,5563,1.02669),(64,5564,1.30669),(64,5565,1.82),(64,5566,1.02669),(64,5567,1.02669),(64,5568,0.93331),(64,5569,1.09669),(64,5570,1.05),(64,5571,1.28331),(64,5572,1.00331),(64,5573,1.19),(64,5574,1.02669),(64,5575,1.16669),(64,5576,0.88669),(64,5577,1.00331),(64,5578,1.02669),(64,5579,1.23669),(64,5622,0.98),(64,5623,1.19),(64,5624,0.93331),(64,5625,1.05),(64,5626,0.95669),(64,5627,1.05),(64,5628,0.93331),(64,5629,1.16669),(64,5726,1.21331),(64,5727,1.07331),(64,5728,1.30669),(64,5729,1.09669),(64,5730,1.23669),(64,5731,0.95669),(64,5732,1.16669),(64,5733,1.02669),(64,5734,1.33),(64,5735,1.16669),(64,5736,1.33),(64,5737,1.16669),(64,5738,1.33),(64,5739,1.19),(64,5740,1.37669),(64,5741,1.05),(64,5742,1.26),(64,5743,0.93331),(64,5744,1.09669),(64,5745,0.98),(64,5746,1.16669),(64,5747,0.88669),(64,5748,1.02669),(64,5749,0.91),(64,5750,1.02669),(64,5751,0.95669),(64,5752,1.09669),(64,5753,0.93331),(64,5754,1.05),(64,7266,0.95669),(64,7267,1.09669),(65,286,0.37338),(65,289,0.28),(65,296,2.3331),(65,299,1.82),(65,303,0.56),(65,361,1.12014),(65,412,0.84),(65,415,0.37338),(65,418,0.64008),(65,419,0.37324),(65,596,1.12),(65,602,1.12014),(65,3077,0.93324),(65,3114,0.74676),(65,3349,1.86662),(65,3357,1.30676),(65,3694,1.49324),(65,4415,1.91338),(65,4905,1.77338),(65,4913,1.82),(65,4919,2.05338),(65,5060,1.96),(65,5530,0.46662),(65,5531,1.77338),(65,5532,2.24),(65,5561,1.86662),(65,5751,1.91338),(65,6051,2.1),(65,6052,1.86662),(65,6053,2.38),(65,6054,1.96),(65,6055,2.19338),(65,6056,2.00662),(65,6057,1.77338),(65,6058,2.14662),(65,6059,1.77338),(65,6060,2.19338),(65,6061,2.42662),(65,6062,1.86662),(65,6063,2.14662),(65,6064,1.82),(65,6065,2.05338),(65,6066,2.00662),(65,6067,2.19338),(65,6068,1.86662),(65,6069,2.05338),(65,6070,2.05338),(65,6071,2.66),(65,6072,1.96),(65,6073,2.38),(65,6074,2.05338),(65,6075,2.42662),(65,6076,2.19338),(65,6077,2.14662),(65,6078,2.05338),(65,6079,2.28662),(65,6080,1.72662),(65,6081,2.1),(65,6082,1.72662),(65,6083,1.96),(65,6121,1.82),(65,6122,2.19338),(65,6123,2.19338),(65,6124,2.28662),(65,6125,2.00662),(65,6126,2.33338),(65,6127,2.14662),(65,6128,2.42662),(65,6191,2.05338),(65,6192,2.19338),(65,6193,2.05338),(65,6194,2.52),(65,6195,2.38),(65,6196,1.91338),(65,6197,2.19338),(65,6198,1.72662),(65,6199,1.86662),(65,6200,2.19338),(70,279,0.88),(70,289,0.56),(70,292,2.73),(70,293,3.21993),(70,296,0.93324),(70,297,2.73),(70,298,3.15),(70,303,0.56),(70,306,1.91338),(70,307,2.19338),(70,352,0.74676),(70,357,2.19338),(70,358,2.52),(70,359,2.05338),(70,360,2.56662),(70,361,0.37338),(70,362,1.86662),(70,363,2.1),(70,409,1.53993),(70,410,3.29007),(70,411,3.57),(70,415,0.37338),(70,416,1.91338),(70,417,2.24),(70,596,0.14),(70,3114,0.18669),(70,6070,1.02669),(70,9855,0.23331),(70,14026,0.88669),(70,14027,1.12),(70,14028,1.00331),(70,14029,1.12),(70,14030,1.14331),(70,14031,0.93331),(70,14032,1.12),(70,18179,0.91),(70,18180,1.02669),(70,18187,0.93331),(70,18188,1.09669),(70,18199,0.32669),(70,18200,0.95669),(70,18201,1.12),(70,18208,0.18669),(70,18209,1.07331),(70,18210,1.14331),(70,18300,4.56321),(70,18301,5.18),(71,279,0.14),(71,289,0.56),(71,292,2.73),(71,293,3.21993),(71,296,0.93324),(71,297,2.73),(71,298,3.15),(71,303,0.56),(71,306,1.91338),(71,307,2.19338),(71,352,0.74676),(71,357,2.19338),(71,358,2.52),(71,359,2.05338),(71,360,2.56662),(71,361,0.37338),(71,362,1.86662),(71,363,2.1),(71,409,1.53993),(71,410,3.29007),(71,411,3.57),(71,415,0.37338),(71,416,1.91338),(71,417,2.24),(71,596,0.14),(71,3114,0.18669),(71,6070,1.02669),(71,9855,0.23331),(71,14026,0.88669),(71,14027,1.12),(71,14028,1.00331),(71,14029,1.12),(71,14030,1.14331),(71,14031,0.93331),(71,14032,1.12),(71,18179,0.91),(71,18180,1.02669),(71,18187,0.93331),(71,18188,1.09669),(71,18199,0.32669),(71,18200,0.95669),(71,18201,1.12),(71,18208,0.18669),(71,18209,1.07331),(71,18210,1.14331),(73,282,1.30683),(73,6325,1.56),(78,282,0.98679),(121,279,0.14),(121,289,0.56),(121,292,2.73),(121,293,3.21993),(121,296,0.93324),(121,297,2.73),(121,298,3.15),(121,303,0.56),(121,306,1.91338),(121,307,2.19338),(121,352,0.74676),(121,357,2.19338),(121,358,2.52),(121,359,2.05338),(121,360,2.56662),(121,361,0.37338),(121,362,1.86662),(121,363,2.1),(121,409,1.53993),(121,410,3.29007),(121,411,3.57),(121,415,0.37338),(121,416,1.91338),(121,417,2.24),(121,596,0.14),(121,3114,0.18669),(121,6070,1.02669),(121,9855,0.23331),(121,14026,0.88669),(121,14027,1.12),(121,14028,1.00331),(121,14029,1.12),(121,14030,1.14331),(121,14031,0.93331),(121,14032,1.12),(121,18179,0.91),(121,18180,1.02669),(121,18187,0.93331),(121,18188,1.09669),(121,18199,0.32669),(121,18200,0.95669),(121,18201,1.12),(121,18208,0.18669),(121,18209,1.07331),(121,18210,1.14331),(146,279,0.14),(146,289,0.56),(146,292,2.73),(146,293,3.21993),(146,296,0.93324),(146,297,2.73),(146,298,3.15),(146,303,0.56),(146,306,1.91338),(146,307,2.19338),(146,352,0.74676),(146,357,2.19338),(146,358,2.52),(146,359,2.05338),(146,360,2.56662),(146,361,0.37338),(146,362,1.86662),(146,363,2.1),(146,409,1.53993),(146,410,3.29007),(146,411,3.57),(146,415,0.37338),(146,416,1.91338),(146,417,2.24),(146,596,0.14),(146,3114,0.18669),(146,6070,1.02669),(146,9855,0.23331),(146,14026,0.88669),(146,14027,1.12),(146,14028,1.00331),(146,14029,1.12),(146,14030,1.14331),(146,14031,0.93331),(146,14032,1.12),(146,18179,0.91),(146,18180,1.02669),(146,18187,0.93331),(146,18188,1.09669),(146,18199,0.32669),(146,18200,0.95669),(146,18201,1.12),(146,18208,0.18669),(146,18209,1.07331),(146,18210,1.14331),(146,18297,0.49321),(146,18298,4.81),(208,279,0.8),(208,289,0.42),(208,292,2.73),(208,293,3.21993),(208,296,1.16655),(208,297,2.73),(208,298,3.15),(208,303,0.56),(208,306,1.91338),(208,307,2.19338),(208,352,0.74676),(208,357,2.19338),(208,358,2.52),(208,359,2.05338),(208,360,2.56662),(208,361,0.74676),(208,362,1.86662),(208,363,2.1),(208,409,1.53993),(208,410,3.29007),(208,411,3.57),(208,415,0.37338),(208,416,1.91338),(208,417,2.24),(208,418,0.64008),(208,3108,0.28),(208,3114,0.74676),(208,3694,0.74662),(208,8353,0.93331),(208,9882,0.46669),(208,17124,1.91338),(208,19850,0.91),(208,21588,0.28),(208,21589,0.93331),(208,21590,1.09669),(208,21591,1.12),(208,21592,1.23669),(208,21593,1.00331),(208,21594,0.93331),(208,21595,1.09669),(208,21596,1.82),(208,21597,0.98),(208,21598,1.02669),(208,21599,1.16669),(208,21934,1.86662),(208,21935,2.28662),(208,21936,1.86662),(208,21937,2.14662),(208,21938,2.00662),(208,21939,2.28662),(208,21946,2.1),(208,21951,2.1),(208,21952,2.24),(208,22567,1.59996),(211,279,0.14),(211,289,0.56),(211,292,2.73),(211,293,3.21993),(211,296,0.93324),(211,297,2.73),(211,298,3.15),(211,303,0.56),(211,306,1.91338),(211,307,2.19338),(211,352,0.74676),(211,357,2.19338),(211,358,2.52),(211,359,2.05338),(211,360,2.56662),(211,361,0.37338),(211,362,1.86662),(211,363,2.1),(211,409,1.53993),(211,410,3.29007),(211,411,3.57),(211,415,0.37338),(211,416,1.91338),(211,417,2.24),(211,418,0.64008),(211,596,0.14),(211,3114,0.18669),(211,6070,1.02669),(211,9855,0.23331),(211,14026,0.88669),(211,14027,1.12),(211,14028,1.00331),(211,14029,1.12),(211,14030,1.14331),(211,14031,0.93331),(211,14032,1.12),(211,18179,0.91),(211,18180,1.02669),(211,18187,0.93331),(211,18188,1.09669),(211,18199,0.32669),(211,18200,0.95669),(211,18201,1.12),(211,18208,0.18669),(211,18209,1.07331),(211,18210,1.14331),(212,283,0.37338),(212,284,1.02669),(212,285,1.23669),(212,286,0.18669),(212,287,1.07331),(212,288,1.14331),(212,289,0.7),(212,290,2.73),(212,294,0.84),(212,295,0.98),(212,303,0.28),(212,304,0.91),(212,305,1.05),(212,412,0.42),(212,413,1.12),(212,414,1.19),(212,418,0.64008),(212,419,0.18662),(212,420,0.81669),(212,421,0.93331),(212,596,0.14),(212,597,0.88669),(212,600,0.86331),(212,601,1.09669),(212,602,0.18669),(212,603,0.91),(212,604,1.14331),(212,605,0.95669),(212,606,1.12),(212,652,0.98),(212,653,1.12),(212,959,1.02669),(212,19727,1.02669),(212,19728,1.00331),(213,283,0.18669),(213,286,0.18669),(213,287,1.07331),(213,288,1.14331),(213,289,0.14),(213,296,1.16655),(213,299,1.82),(213,300,2.38),(213,301,1.91338),(213,302,2.14662),(213,352,0.93345),(213,357,2.19338),(213,358,2.52),(213,359,2.05338),(213,360,2.56662),(213,415,0.18669),(213,418,0.64008),(213,419,0.09331),(213,596,0.14),(213,597,0.88669),(213,600,0.86331),(213,601,1.09669),(213,652,0.98),(213,653,1.12),(213,5555,0.95669),(213,19776,1.05),(213,19777,1.02669),(213,19778,1.02669),(213,19779,1.14331),(213,19787,0.88669),(213,19788,1.00331),(214,279,0.14),(214,289,0.56),(214,292,2.73),(214,293,3.21993),(214,296,0.93324),(214,297,2.73),(214,298,3.15),(214,303,0.56),(214,306,1.91338),(214,307,2.19338),(214,352,0.74676),(214,357,2.19338),(214,358,2.52),(214,359,2.05338),(214,360,2.56662),(214,361,0.37338),(214,362,1.86662),(214,363,2.1),(214,409,1.53993),(214,410,3.29007),(214,411,3.57),(214,415,0.37338),(214,416,1.91338),(214,417,2.24),(214,418,0.64008),(214,596,0.14),(214,3114,0.18669),(214,6070,1.02669),(214,9855,0.23331),(214,14026,0.88669),(214,14027,1.12),(214,14028,1.00331),(214,14029,1.12),(214,14030,1.14331),(214,14031,0.93331),(214,14032,1.12),(214,18179,0.91),(214,18180,1.02669),(214,18187,0.93331),(214,18188,1.09669),(214,18199,0.32669),(214,18200,0.95669),(214,18201,1.12),(214,18208,0.18669),(214,18209,1.07331),(214,18210,1.14331),(215,279,0.74),(215,283,0.18669),(215,284,1.02669),(215,285,1.23669),(215,286,0.37338),(215,287,2.14662),(215,288,2.28662),(215,289,0.14),(215,294,0.84),(215,295,0.98),(215,303,0.28),(215,304,0.91),(215,305,1.05),(215,412,0.42),(215,413,1.12),(215,414,1.19),(215,418,0.64008),(215,419,0.09331),(215,420,0.81669),(215,421,0.93331),(215,760,0.37331),(215,761,1.12),(215,762,1.21331),(215,763,0.32669),(215,764,1.09669),(215,765,1.16669),(215,19885,4.81),(215,19886,5.30321),(216,286,0.18669),(216,287,1.07331),(216,288,1.14331),(216,289,0.28),(216,292,0.91),(216,293,1.07331),(216,294,0.84),(216,295,0.98),(216,296,0.93324),(216,297,0.91),(216,298,1.05),(216,299,0.91),(216,300,1.19),(216,301,1.91338),(216,302,2.14662),(216,352,0.18669),(216,409,0.51331),(216,410,1.09669),(216,411,1.19),(216,418,0.64008),(216,621,0.98),(216,622,1.16669),(216,760,0.37331),(216,761,1.12),(216,762,1.21331),(216,763,0.32669),(216,764,1.09669),(216,765,1.16669),(217,279,0.14),(217,289,0.56),(217,292,2.73),(217,293,3.21993),(217,296,0.93324),(217,297,2.73),(217,298,3.15),(217,303,0.56),(217,306,1.91338),(217,307,2.19338),(217,352,0.74676),(217,357,2.19338),(217,358,2.52),(217,359,2.05338),(217,360,2.56662),(217,361,0.37338),(217,362,1.86662),(217,363,2.1),(217,409,1.53993),(217,410,3.29007),(217,411,3.57),(217,415,0.37338),(217,416,1.91338),(217,417,2.24),(217,418,0.64008),(217,596,0.14),(217,3114,0.18669),(217,6070,1.02669),(217,9855,0.23331),(217,14026,0.88669),(217,14027,1.12),(217,14028,1.00331),(217,14029,1.12),(217,14030,1.14331),(217,14031,0.93331),(217,14032,1.12),(217,18179,0.91),(217,18180,1.02669),(217,18187,0.93331),(217,18188,1.09669),(217,18199,0.32669),(217,18200,0.95669),(217,18201,1.12),(217,18208,0.18669),(217,18209,1.07331),(217,18210,1.14331),(219,279,0.56),(219,282,0.32004),(219,289,0.42),(219,292,2.73),(219,293,3.21993),(219,296,1.16655),(219,297,2.73),(219,298,3.15),(219,303,0.56),(219,306,1.91338),(219,307,2.19338),(219,352,0.74676),(219,357,2.19338),(219,358,2.52),(219,359,2.05338),(219,360,2.56662),(219,361,0.74676),(219,362,1.86662),(219,363,2.1),(219,409,1.53993),(219,410,3.29007),(219,411,3.57),(219,415,0.37338),(219,416,1.91338),(219,417,2.24),(219,418,0.64008),(219,3108,0.28),(219,3114,0.74676),(219,3694,0.74662),(219,8353,0.93331),(219,9882,0.46669),(219,17124,1.91338),(219,19850,0.91),(219,21588,0.28),(219,21589,0.93331),(219,21590,1.09669),(219,21591,1.12),(219,21592,1.23669),(219,21593,1.00331),(219,21594,0.93331),(219,21595,1.09669),(219,21596,1.82),(219,21597,0.98),(219,21598,1.02669),(219,21599,1.16669),(219,21934,1.86662),(219,21935,2.28662),(219,21936,1.86662),(219,21937,2.14662),(219,21938,2.00662),(219,21939,2.28662),(219,21946,2.1),(219,21951,2.1),(219,21952,2.24),(220,279,1.3),(220,282,0.32004),(220,289,0.42),(220,292,2.73),(220,293,3.21993),(220,296,1.16655),(220,297,2.73),(220,298,3.15),(220,303,0.56),(220,306,1.91338),(220,307,2.19338),(220,352,0.74676),(220,357,2.19338),(220,358,2.52),(220,359,2.05338),(220,360,2.56662),(220,361,0.74676),(220,362,1.86662),(220,363,2.1),(220,409,1.53993),(220,410,3.29007),(220,411,3.57),(220,415,0.37338),(220,416,1.91338),(220,417,2.24),(220,418,0.64008),(220,3108,0.28),(220,3114,0.74676),(220,3694,0.74662),(220,8353,0.93331),(220,9882,0.46669),(220,17124,1.91338),(220,19850,0.91),(220,21588,0.28),(220,21589,0.93331),(220,21590,1.09669),(220,21591,1.12),(220,21592,1.23669),(220,21593,1.00331),(220,21594,0.93331),(220,21595,1.09669),(220,21596,1.82),(220,21597,0.98),(220,21598,1.02669),(220,21599,1.16669),(220,21934,1.86662),(220,21935,2.28662),(220,21936,1.86662),(220,21937,2.14662),(220,21938,2.00662),(220,21939,2.28662),(220,21946,2.1),(220,21951,2.1),(220,21952,2.24),(220,22050,4.81),(220,22051,5.67321),(221,279,0.56),(221,282,0.32004),(221,289,0.42),(221,292,2.73),(221,293,3.21993),(221,296,1.16655),(221,297,2.73),(221,298,3.15),(221,303,0.56),(221,306,1.91338),(221,307,2.19338),(221,352,0.74676),(221,357,2.19338),(221,358,2.52),(221,359,2.05338),(221,360,2.56662),(221,361,0.74676),(221,362,1.86662),(221,363,2.1),(221,409,1.53993),(221,410,3.29007),(221,411,3.57),(221,415,0.37338),(221,416,1.91338),(221,417,2.24),(221,418,0.64008),(221,3108,0.28),(221,3114,0.74676),(221,3694,0.74662),(221,8353,0.93331),(221,9882,0.46669),(221,17124,1.91338),(221,19850,0.91),(221,21588,0.28),(221,21589,0.93331),(221,21590,1.09669),(221,21591,1.12),(221,21592,1.23669),(221,21593,1.00331),(221,21594,0.93331),(221,21595,1.09669),(221,21596,1.82),(221,21597,0.98),(221,21598,1.02669),(221,21599,1.16669),(221,21934,1.86662),(221,21935,2.28662),(221,21936,1.86662),(221,21937,2.14662),(221,21938,2.00662),(221,21939,2.28662),(221,21946,2.1),(221,21951,2.1),(221,21952,2.24),(222,279,0.56),(222,282,0.32004),(222,289,0.42),(222,292,2.73),(222,293,3.21993),(222,296,1.16655),(222,297,2.73),(222,298,3.15),(222,303,0.56),(222,306,1.91338),(222,307,2.19338),(222,352,0.74676),(222,357,2.19338),(222,358,2.52),(222,359,2.05338),(222,360,2.56662),(222,361,0.74676),(222,362,1.86662),(222,363,2.1),(222,409,1.53993),(222,410,3.29007),(222,411,3.57),(222,415,0.37338),(222,416,1.91338),(222,417,2.24),(222,418,0.64008),(222,3108,0.28),(222,3114,0.74676),(222,3694,0.74662),(222,8353,0.93331),(222,9882,0.46669),(222,17124,1.91338),(222,19850,0.91),(222,21588,0.28),(222,21589,0.93331),(222,21590,1.09669),(222,21591,1.12),(222,21592,1.23669),(222,21593,1.00331),(222,21594,0.93331),(222,21595,1.09669),(222,21596,1.82),(222,21597,0.98),(222,21598,1.02669),(222,21599,1.16669),(222,21934,1.86662),(222,21935,2.28662),(222,21936,1.86662),(222,21937,2.14662),(222,21938,2.00662),(222,21939,2.28662),(222,21946,2.1),(222,21951,2.1),(222,21952,2.24),(223,279,0.56),(223,289,0.42),(223,292,2.73),(223,293,3.21993),(223,296,1.16655),(223,297,2.73),(223,298,3.15),(223,303,0.56),(223,306,1.91338),(223,307,2.19338),(223,352,0.74676),(223,357,2.19338),(223,358,2.52),(223,359,2.05338),(223,360,2.56662),(223,361,0.74676),(223,362,1.86662),(223,363,2.1),(223,409,1.53993),(223,410,3.29007),(223,411,3.57),(223,415,0.37338),(223,416,1.91338),(223,417,2.24),(223,418,0.64008),(223,3108,0.28),(223,3114,0.74676),(223,3694,0.74662),(223,8353,0.93331),(223,9882,0.46669),(223,17124,1.91338),(223,19850,0.91),(223,21588,0.28),(223,21589,0.93331),(223,21590,1.09669),(223,21591,1.12),(223,21592,1.23669),(223,21593,1.00331),(223,21594,0.93331),(223,21595,1.09669),(223,21596,1.82),(223,21597,0.98),(223,21598,1.02669),(223,21599,1.16669),(223,21934,1.86662),(223,21935,2.28662),(223,21936,1.86662),(223,21937,2.14662),(223,21938,2.00662),(223,21939,2.28662),(223,21946,2.1),(223,21951,2.1),(223,21952,2.24),(223,22323,1.23321),(223,22324,5.42679),(223,22325,6.04321),(224,279,0.56),(224,289,0.42),(224,292,2.73),(224,293,3.21993),(224,296,1.16655),(224,297,2.73),(224,298,3.15),(224,303,0.56),(224,306,1.91338),(224,307,2.19338),(224,352,0.74676),(224,357,2.19338),(224,358,2.52),(224,359,2.05338),(224,360,2.56662),(224,361,0.74676),(224,362,1.86662),(224,363,2.1),(224,409,1.53993),(224,410,3.29007),(224,411,3.57),(224,415,0.37338),(224,416,1.91338),(224,417,2.24),(224,418,0.64008),(224,3108,0.28),(224,3114,0.74676),(224,3694,0.74662),(224,8353,0.93331),(224,9882,0.46669),(224,17124,1.91338),(224,19850,0.91),(224,21588,0.28),(224,21589,0.93331),(224,21590,1.09669),(224,21591,1.12),(224,21592,1.23669),(224,21593,1.00331),(224,21594,0.93331),(224,21595,1.09669),(224,21596,1.82),(224,21597,0.98),(224,21598,1.02669),(224,21599,1.16669),(224,21934,1.86662),(224,21935,2.28662),(224,21936,1.86662),(224,21937,2.14662),(224,21938,2.00662),(224,21939,2.28662),(224,21946,2.1),(224,21951,2.1),(224,21952,2.24),(225,279,0.56),(225,289,0.42),(225,292,2.73),(225,293,3.21993),(225,296,1.16655),(225,297,2.73),(225,298,3.15),(225,303,0.56),(225,306,1.91338),(225,307,2.19338),(225,352,0.74676),(225,357,2.19338),(225,358,2.52),(225,359,2.05338),(225,360,2.56662),(225,361,0.74676),(225,362,1.86662),(225,363,2.1),(225,409,1.53993),(225,410,3.29007),(225,411,3.57),(225,415,0.37338),(225,416,1.91338),(225,417,2.24),(225,418,0.64008),(225,3108,0.28),(225,3114,0.74676),(225,3694,0.74662),(225,8353,0.93331),(225,9882,0.46669),(225,17124,1.91338),(225,19850,0.91),(225,21588,0.28),(225,21589,0.93331),(225,21590,1.09669),(225,21591,1.12),(225,21592,1.23669),(225,21593,1.00331),(225,21594,0.93331),(225,21595,1.09669),(225,21596,1.82),(225,21597,0.98),(225,21598,1.02669),(225,21599,1.16669),(225,21934,1.86662),(225,21935,2.28662),(225,21936,1.86662),(225,21937,2.14662),(225,21938,2.00662),(225,21939,2.28662),(225,21946,2.1),(225,21951,2.1),(225,21952,2.24),(226,279,0.56),(226,289,0.42),(226,292,2.73),(226,293,3.21993),(226,296,1.16655),(226,297,2.73),(226,298,3.15),(226,303,0.56),(226,306,1.91338),(226,307,2.19338),(226,352,0.74676),(226,357,2.19338),(226,358,2.52),(226,359,2.05338),(226,360,2.56662),(226,361,0.74676),(226,362,1.86662),(226,363,2.1),(226,409,1.53993),(226,410,3.29007),(226,411,3.57),(226,415,0.37338),(226,416,1.91338),(226,417,2.24),(226,418,0.64008),(226,3108,0.28),(226,3114,0.74676),(226,3694,0.74662),(226,8353,0.93331),(226,9008,0.2666),(226,9882,0.46669),(226,16631,2.3334),(226,17124,1.91338),(226,19850,0.91),(226,21588,0.28),(226,21589,0.93331),(226,21590,1.09669),(226,21591,1.12),(226,21592,1.23669),(226,21593,1.00331),(226,21594,0.93331),(226,21595,1.09669),(226,21596,1.82),(226,21597,0.98),(226,21598,1.02669),(226,21599,1.16669),(226,21934,1.86662),(226,21935,2.28662),(226,21936,1.86662),(226,21937,2.14662),(226,21938,2.00662),(226,21939,2.28662),(226,21946,2.1),(226,21951,2.1),(226,21952,2.24),(226,22304,2.6),(227,279,0.56),(227,289,0.42),(227,292,2.73),(227,293,3.21993),(227,296,1.16655),(227,297,2.73),(227,298,3.15),(227,303,0.56),(227,306,1.91338),(227,307,2.19338),(227,352,0.74676),(227,357,2.19338),(227,358,2.52),(227,359,2.05338),(227,360,2.56662),(227,361,0.74676),(227,362,1.86662),(227,363,2.1),(227,409,1.53993),(227,410,3.29007),(227,411,3.57),(227,415,0.37338),(227,416,1.91338),(227,417,2.24),(227,418,0.64008),(227,3108,0.28),(227,3114,0.74676),(227,3694,0.74662),(227,8353,0.93331),(227,9882,0.46669),(227,13772,1.23321),(227,17124,1.91338),(227,19850,0.91),(227,21588,0.28),(227,21589,0.93331),(227,21590,1.09669),(227,21591,1.12),(227,21592,1.23669),(227,21593,1.00331),(227,21594,0.93331),(227,21595,1.09669),(227,21596,1.82),(227,21597,0.98),(227,21598,1.02669),(227,21599,1.16669),(227,21934,1.86662),(227,21935,2.28662),(227,21936,1.86662),(227,21937,2.14662),(227,21938,2.00662),(227,21939,2.28662),(227,21946,2.1),(227,21951,2.1),(227,21952,2.24),(227,22499,4.93321),(227,22500,5.67321),(228,279,0.56),(228,289,0.42),(228,292,2.73),(228,293,3.21993),(228,296,1.16655),(228,297,2.73),(228,298,3.15),(228,303,0.56),(228,306,1.91338),(228,307,2.19338),(228,352,0.74676),(228,357,2.19338),(228,358,2.52),(228,359,2.05338),(228,360,2.56662),(228,361,0.74676),(228,362,1.86662),(228,363,2.1),(228,409,1.53993),(228,410,3.29007),(228,411,3.57),(228,415,0.37338),(228,416,1.91338),(228,417,2.24),(228,418,0.64008),(228,3108,0.28),(228,3114,0.74676),(228,3694,0.74662),(228,8353,0.93331),(228,9882,0.46669),(228,17124,1.91338),(228,19850,0.91),(228,21588,0.28),(228,21589,0.93331),(228,21590,1.09669),(228,21591,1.12),(228,21592,1.23669),(228,21593,1.00331),(228,21594,0.93331),(228,21595,1.09669),(228,21596,1.82),(228,21597,0.98),(228,21598,1.02669),(228,21599,1.16669),(228,21934,1.86662),(228,21935,2.28662),(228,21936,1.86662),(228,21937,2.14662),(228,21938,2.00662),(228,21939,2.28662),(228,21946,2.1),(228,21951,2.1),(228,21952,2.24),(229,279,0.56),(229,289,0.42),(229,292,2.73),(229,293,3.21993),(229,296,1.16655),(229,297,2.73),(229,298,3.15),(229,303,0.56),(229,306,1.91338),(229,307,2.19338),(229,352,0.74676),(229,357,2.19338),(229,358,2.52),(229,359,2.05338),(229,360,2.56662),(229,361,0.74676),(229,362,1.86662),(229,363,2.1),(229,409,1.53993),(229,410,3.29007),(229,411,3.57),(229,415,0.37338),(229,416,1.91338),(229,417,2.24),(229,418,0.64008),(229,3108,0.28),(229,3114,0.74676),(229,3694,0.74662),(229,8353,0.93331),(229,9882,0.46669),(229,17124,1.91338),(229,19850,0.91),(229,21588,0.28),(229,21589,0.93331),(229,21590,1.09669),(229,21591,1.12),(229,21592,1.23669),(229,21593,1.00331),(229,21594,0.93331),(229,21595,1.09669),(229,21596,1.82),(229,21597,0.98),(229,21598,1.02669),(229,21599,1.16669),(229,21934,1.86662),(229,21935,2.28662),(229,21936,1.86662),(229,21937,2.14662),(229,21938,2.00662),(229,21939,2.28662),(229,21946,2.1),(229,21951,2.1),(229,21952,2.24),(230,279,0.56),(230,289,0.42),(230,292,2.73),(230,293,3.21993),(230,296,1.16655),(230,297,2.73),(230,298,3.15),(230,303,0.56),(230,306,1.91338),(230,307,2.19338),(230,352,0.74676),(230,357,2.19338),(230,358,2.52),(230,359,2.05338),(230,360,2.56662),(230,361,0.74676),(230,362,1.86662),(230,363,2.1),(230,409,1.53993),(230,410,3.29007),(230,411,3.57),(230,415,0.37338),(230,416,1.91338),(230,417,2.24),(230,418,0.64008),(230,3108,0.28),(230,3114,0.74676),(230,3694,0.74662),(230,8353,0.93331),(230,9882,0.46669),(230,17124,1.91338),(230,19850,0.91),(230,21588,0.28),(230,21589,0.93331),(230,21590,1.09669),(230,21591,1.12),(230,21592,1.23669),(230,21593,1.00331),(230,21594,0.93331),(230,21595,1.09669),(230,21596,1.82),(230,21597,0.98),(230,21598,1.02669),(230,21599,1.16669),(230,21934,1.86662),(230,21935,2.28662),(230,21936,1.86662),(230,21937,2.14662),(230,21938,2.00662),(230,21939,2.28662),(230,21946,2.1),(230,21951,2.1),(230,21952,2.24),(231,279,0.8),(231,289,0.42),(231,292,2.73),(231,293,3.21993),(231,296,1.16655),(231,297,2.73),(231,298,3.15),(231,303,0.56),(231,306,1.91338),(231,307,2.19338),(231,352,0.74676),(231,357,2.19338),(231,358,2.52),(231,359,2.05338),(231,360,2.56662),(231,361,0.74676),(231,362,1.86662),(231,363,2.1),(231,409,1.53993),(231,410,3.29007),(231,411,3.57),(231,415,0.37338),(231,416,1.91338),(231,417,2.24),(231,418,0.64008),(231,3108,0.28),(231,3114,0.74676),(231,3694,0.74662),(231,8353,0.93331),(231,9882,0.46669),(231,17124,1.91338),(231,19850,0.91),(231,21588,0.28),(231,21589,0.93331),(231,21590,1.09669),(231,21591,1.12),(231,21592,1.23669),(231,21593,1.00331),(231,21594,0.93331),(231,21595,1.09669),(231,21596,1.82),(231,21597,0.98),(231,21598,1.02669),(231,21599,1.16669),(231,21934,1.86662),(231,21935,2.28662),(231,21936,1.86662),(231,21937,2.14662),(231,21938,2.00662),(231,21939,2.28662),(231,21946,2.1),(231,21951,2.1),(231,21952,2.24),(231,22567,1.59996),(232,279,0.8),(232,289,0.42),(232,292,2.73),(232,293,3.21993),(232,296,1.16655),(232,297,2.73),(232,298,3.15),(232,303,0.56),(232,306,1.91338),(232,307,2.19338),(232,352,0.74676),(232,357,2.19338),(232,358,2.52),(232,359,2.05338),(232,360,2.56662),(232,361,0.74676),(232,362,1.86662),(232,363,2.1),(232,409,1.53993),(232,410,3.29007),(232,411,3.57),(232,415,0.37338),(232,416,1.91338),(232,417,2.24),(232,418,0.64008),(232,3108,0.28),(232,3114,0.74676),(232,3694,0.74662),(232,8353,0.93331),(232,9882,0.46669),(232,15523,1.48),(232,15524,5.18),(232,17124,1.91338),(232,19850,0.91),(232,21588,0.28),(232,21589,0.93331),(232,21590,1.09669),(232,21591,1.12),(232,21592,1.23669),(232,21593,1.00331),(232,21594,0.93331),(232,21595,1.09669),(232,21596,1.82),(232,21597,0.98),(232,21598,1.02669),(232,21599,1.16669),(232,21934,1.86662),(232,21935,2.28662),(232,21936,1.86662),(232,21937,2.14662),(232,21938,2.00662),(232,21939,2.28662),(232,21946,2.1),(232,21951,2.1),(232,21952,2.24),(232,22567,1.59996),(232,22576,5.92),(233,279,0.8),(233,289,0.42),(233,292,2.73),(233,293,3.21993),(233,296,1.16655),(233,297,2.73),(233,298,3.15),(233,303,0.56),(233,306,1.91338),(233,307,2.19338),(233,352,0.74676),(233,357,2.19338),(233,358,2.52),(233,359,2.05338),(233,360,2.56662),(233,361,0.74676),(233,362,1.86662),(233,363,2.1),(233,409,1.53993),(233,410,3.29007),(233,411,3.57),(233,415,0.37338),(233,416,1.91338),(233,417,2.24),(233,418,0.64008),(233,3108,0.28),(233,3114,0.74676),(233,3694,0.74662),(233,8353,0.93331),(233,9882,0.46669),(233,17124,1.91338),(233,19850,0.91),(233,21588,0.28),(233,21589,0.93331),(233,21590,1.09669),(233,21591,1.12),(233,21592,1.23669),(233,21593,1.00331),(233,21594,0.93331),(233,21595,1.09669),(233,21596,1.82),(233,21597,0.98),(233,21598,1.02669),(233,21599,1.16669),(233,21934,1.86662),(233,21935,2.28662),(233,21936,1.86662),(233,21937,2.14662),(233,21938,2.00662),(233,21939,2.28662),(233,21946,2.1),(233,21951,2.1),(233,21952,2.24),(233,22567,1.59996);


--
-- Table structure for table `#__finder_links_terms8`
--



CREATE TABLE `#__finder_links_terms8` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms8`
--


INSERT INTO `#__finder_links_terms8` (`link_id`, `term_id`, `weight`) VALUES (22,197,0.6666),(23,197,0.6666),(24,197,0.6666),(25,197,0.6666),(26,197,0.6666),(27,197,0.6666),(27,1427,0.17),(28,197,0.6666),(29,197,0.6666),(30,197,0.6666),(30,1045,0.24679),(30,1440,0.51331),(31,197,0.6666),(31,1147,0.49321),(31,1440,0.51331),(32,197,0.6666),(33,197,0.6666),(34,197,0.6666),(35,197,0.6666),(36,94,0.23331),(36,197,0.6666),(36,201,0.74662),(36,518,0.91),(36,519,1.02669),(36,564,0.23331),(36,565,0.95669),(36,566,1.05),(36,1034,0.98679),(36,1473,5.18),(36,13819,1.09669),(36,13820,1.16669),(36,13821,0.95669),(36,13822,1.09669),(37,197,0.6666),(37,1045,0.11339),(38,197,0.6666),(38,1147,0.22661),(39,197,0.6666),(39,1034,0.98679),(40,197,0.6666),(40,1147,0.15996),(40,18013,0.63996),(40,18014,1.95996),(40,18015,2.12004),(40,18016,0.15996),(40,18017,1.64004),(40,18018,2.07996),(41,94,0.46662),(41,192,0.18662),(41,197,0.6666),(41,334,0.84),(41,518,1.82),(41,519,2.05338),(41,564,0.46662),(41,565,1.91338),(41,566,2.1),(41,1045,0.08004),(41,1503,0.32004),(41,1556,1.72662),(41,1557,2.1),(41,1577,2.00662),(41,1578,2.14662),(42,86,1.96014),(42,94,8.63247),(42,97,1.39986),(42,162,2.23986),(42,165,0.93324),(42,168,1.26),(42,192,0.46655),(42,197,0.6666),(42,201,1.49324),(42,323,1.49324),(42,325,0.69993),(42,349,2.3331),(42,518,33.67),(42,519,36.9608),(42,522,0.56007),(42,564,9.3324),(42,565,35.3975),(42,566,38.85),(42,937,1.30634),(42,1045,0.09338),(42,1089,0.14),(42,1190,0.56007),(42,1191,2.58993),(42,1192,2.87007),(42,1220,1.11993),(42,2156,2.94),(42,2157,3.36),(42,2158,3.00993),(42,2159,3.57),(42,2160,0.42),(42,2161,0.98),(42,2162,1.02669),(42,2183,1.26),(42,2184,3.15),(42,2185,3.57),(42,2188,0.98007),(42,2189,3.00993),(42,2190,3.29007),(42,2191,4.76),(42,2194,4.10676),(42,2195,1.21331),(42,2196,2.33338),(42,2197,0.95669),(42,2198,1.09669),(42,2199,11.83),(42,2200,1.12),(42,2201,1.12),(42,2206,1.14331),(42,2207,1.14331),(42,2208,1.14331),(42,2215,1.23669),(42,2216,1.23669),(42,2217,1.23669),(42,2218,1.23669),(42,2219,1.09669),(42,2220,1.09669),(42,2221,1.09669),(42,2222,1.14331),(42,2226,3.45324),(42,2227,4.48),(42,2228,0.88669),(42,2229,1.07331),(42,2232,1.82),(42,2233,2.1),(42,2234,1.86662),(42,2235,2.19338),(42,2236,0.95669),(42,2237,1.16669),(42,2238,3.54676),(42,2239,4.2),(42,2247,1.86662),(42,2248,2.14662),(42,2251,2.79993),(42,2252,3.50007),(42,2271,2.73),(42,2272,3.08007),(42,2399,6.3),(42,2400,7.42014),(42,2404,3.00993),(42,2405,3.21993),(42,2406,0.93331),(42,2407,1.14331),(42,2412,3.08007),(42,2413,3.42993),(42,2414,2.94021),(42,2415,5.59986),(42,2416,6.43986),(42,2417,3.15),(42,2418,3.50007),(42,2419,0.37338),(42,2420,0.86331),(42,2421,0.98),(42,2422,0.98),(42,2423,1.19),(42,2430,0.69993),(42,2431,2.79993),(42,2432,3.36),(42,2433,0.32669),(42,2434,1.02669),(42,2435,1.07331),(42,2443,0.42),(42,2444,0.98),(42,2445,1.12),(42,2830,2.09979),(42,2846,1.58662),(42,2847,0.95669),(42,2848,0.98),(42,2853,1.77338),(42,2854,1.91338),(42,2864,0.88669),(42,2865,0.95669),(42,2875,3.92),(42,2876,4.38676),(42,2879,2.66007),(42,2880,3.08007),(42,2885,3.96655),(42,2887,4.10676),(42,2893,0.98),(42,2894,1.05),(42,2895,5.59986),(42,2896,0.98),(42,2897,0.98),(42,2898,0.98),(42,2899,0.98),(42,2902,0.95669),(42,2903,1.07331),(42,2904,0.18662),(42,2905,0.81669),(42,2906,1.02669),(42,2907,0.84),(42,2908,0.95669),(42,3180,0.65366),(42,3181,2.37993),(42,3182,2.79993),(42,3187,0.81669),(42,3188,0.93331),(42,3191,2.58993),(42,3218,0.81669),(42,3221,2.52),(42,3222,2.87007),(42,3223,2.58993),(42,3224,3.00993),(42,3237,0.32669),(42,3238,0.98),(42,3239,1.02669),(42,3240,0.18669),(42,3241,0.86331),(42,3242,0.98),(42,3245,4.01324),(42,3246,4.85324),(42,3252,2.24),(42,3253,3.82676),(42,3254,4.29324),(42,3257,3.73324),(42,3258,4.2),(42,3276,0.18669),(42,3277,0.86331),(42,3278,1.00331),(42,3281,3.08007),(42,3282,3.50007),(42,3286,3.29007),(42,3287,3.71007),(42,3288,0.37331),(42,3289,1.00331),(42,3290,1.23669),(42,3305,0.14),(42,3306,0.84),(42,3307,0.93331),(42,3308,0.32669),(42,3309,1.05),(42,3310,1.14331),(42,3320,2.23986),(42,3321,6.16014),(42,3322,6.72),(42,3327,0.93331),(42,3328,0.98),(42,3329,1.72662),(42,3330,1.96),(42,3331,2.87007),(42,3332,3.50007),(42,3333,3.82676),(42,3334,4.66676),(42,6373,1.00331),(42,6374,1.14331),(42,7718,0.18669),(42,9733,3.29007),(42,9748,1.30662),(42,10113,0.32669),(42,11872,0.32669),(42,12057,0.18669),(42,12856,0.28),(42,12918,0.95669),(42,12919,1.12),(42,12923,1.00331),(42,16906,0.98),(42,16907,0.98),(42,18823,0.18669),(42,19989,0.51331),(42,19990,1.09669),(42,19998,0.51331),(42,19999,1.28331),(42,20000,1.4),(42,20001,0.7),(42,20002,1.4),(42,20003,1.4),(42,20004,0.7),(42,20005,1.4),(42,20006,1.4),(42,20007,0.7),(42,20008,1.4),(42,20009,1.4),(42,20010,0.7),(42,20011,1.4),(42,20012,1.4),(42,20013,0.65331),(42,20014,1.30669),(42,20015,1.4),(42,20016,0.7),(42,20017,1.4),(42,20018,1.4),(42,20019,0.7),(42,20020,1.4),(42,20021,1.4),(42,20022,0.7),(42,20023,1.4),(42,20024,1.4),(42,20025,0.60669),(42,20026,1.37669),(42,20027,1.4),(42,20028,0.7),(42,20029,1.4),(42,20030,1.4),(42,20031,0.7),(42,20032,1.4),(42,20033,1.4),(42,20034,0.7),(42,20035,1.4),(42,20036,1.4),(42,20037,0.60669),(42,20038,1.37669),(42,20039,1.4),(42,20040,0.60669),(42,20041,1.37669),(42,20042,1.4),(42,20043,0.60669),(42,20044,1.30669),(42,20045,1.4),(42,20046,0.7),(42,20047,1.4),(42,20048,1.4),(42,20049,0.65331),(42,20050,1.33),(42,20051,1.4),(42,20052,0.56),(42,20053,1.26),(42,20054,1.4),(42,20055,1.02662),(42,20056,1.19),(42,20057,1.4),(42,20058,1.23669),(42,20059,1.4),(42,20060,0.42),(42,20061,1.14331),(42,20062,1.4),(42,20063,0.42),(42,20064,1.23669),(42,20065,1.4),(42,20066,0.60669),(42,20067,1.23669),(42,20068,1.4),(42,20069,0.42),(42,20070,1.19),(42,20071,1.4),(42,20072,0.42),(42,20073,1.14331),(42,20074,1.4),(42,20075,0.42),(42,20076,1.23669),(42,20077,1.4),(42,20078,0.60669),(42,20079,1.4),(42,20081,0.7),(42,20084,1.30662),(42,20085,1.35331),(42,20086,1.4),(42,20087,0.60669),(42,20088,1.33),(42,20089,1.4),(42,20090,0.60669),(42,20091,1.28331),(42,20092,1.4),(42,20093,0.51331),(42,20094,1.37669),(42,20095,1.4),(42,20096,0.7),(42,20097,1.4),(42,20098,1.4),(42,20099,0.7),(42,20100,1.4),(42,20101,1.4),(42,20102,0.7),(42,20103,1.4),(42,20104,1.4),(42,20105,0.7),(42,20106,1.4),(42,20107,1.4),(42,20108,0.60669),(42,20109,1.4),(42,20110,1.4),(42,20111,0.7),(42,20112,1.33),(42,20113,1.4),(42,20114,0.46669),(42,20115,1.33),(42,20116,1.4),(42,20117,0.7),(42,20118,1.35331),(42,20119,1.4),(42,20120,0.7),(42,20121,1.4),(42,20122,1.4),(42,20123,0.7),(42,20124,1.4),(42,20125,1.4),(42,20126,0.7),(42,20127,1.4),(42,20128,1.4),(42,20129,0.7),(42,20130,1.4),(42,20131,1.4),(42,20132,1.02662),(42,20133,2.75338),(42,20134,1.4),(42,20135,1.4),(42,20136,0.7),(42,20137,1.4),(42,20138,1.4),(42,20139,0.7),(42,20140,1.4),(42,20141,1.4),(42,20142,0.7),(42,20143,1.4),(42,20144,1.4),(42,20145,0.7),(42,20146,1.4),(42,20147,1.4),(42,20148,1.4),(42,20149,1.35331),(42,20150,1.4),(42,20151,1.23669),(42,20152,1.4),(42,20153,0.46669),(42,20154,1.4),(42,20155,1.4),(42,20156,0.7),(42,20157,1.4),(42,20158,1.4),(42,20159,0.7),(42,20160,1.37669),(42,20161,1.4),(42,20162,0.51331),(42,20163,1.16669),(42,20164,1.4),(42,20165,0.37331),(42,20166,1.12),(42,20167,1.4),(42,20168,0.42),(42,20169,1.21331),(42,20170,1.4),(42,20171,0.56),(42,20172,1.23669),(42,20173,1.4),(42,20174,0.56),(42,20175,1.37669),(42,20176,1.4),(42,20177,0.7),(42,20178,1.4),(42,20179,1.4),(42,20180,0.60669),(42,20181,1.4),(42,20182,1.4),(42,20183,0.7),(42,20184,1.4),(42,20185,1.4),(42,20186,0.42),(42,20187,1.16669),(42,20188,1.4),(42,20189,0.7),(42,20190,1.4),(42,20191,1.4),(42,20192,0.37331),(42,20193,1.12),(42,20194,1.37669),(42,20195,0.65331),(42,20196,1.33),(42,20197,1.4),(42,20198,0.56),(42,20199,1.30669),(42,20200,1.4),(42,20201,0.7),(42,20202,0.7),(42,20203,1.4),(42,20204,1.4),(42,20205,0.7),(42,20206,1.4),(42,20207,1.4),(42,20208,0.7),(42,20209,1.4),(42,20210,0.60669),(42,20211,1.4),(42,20212,1.4),(42,20213,0.7),(42,20214,1.33),(42,20215,1.4),(42,20216,0.42),(42,20217,1.23669),(42,20218,1.4),(42,20219,0.46669),(42,20220,1.30669),(42,20221,1.4),(42,20222,0.60669),(42,20223,1.4),(42,20224,1.4),(42,20225,0.7),(42,20226,1.4),(42,20227,1.4),(42,20228,0.60669),(42,20229,1.4),(42,20230,1.4),(42,20231,0.7),(42,20232,1.4),(42,20233,1.4),(42,20234,0.7),(42,20235,1.4),(42,20236,1.4),(42,20237,0.65331),(42,20238,1.35331),(42,20240,0.60669),(42,20243,0.60669),(42,20244,1.4),(42,20245,1.4),(42,20246,0.7),(42,20247,1.4),(42,20248,1.4),(42,20249,1.4),(42,20250,1.4),(42,20251,1.4),(42,20252,0.7),(42,20253,1.4),(42,20254,1.4),(42,20255,0.7),(42,20256,1.4),(42,20257,1.4),(42,20258,0.7),(42,20259,1.30669),(42,20260,1.4),(42,20261,0.42),(42,20262,1.23669),(42,20263,1.4),(42,20264,0.60669),(42,20265,1.21331),(42,20266,1.4),(42,20267,0.42),(42,20268,1.19),(42,20269,1.4),(42,20270,0.51331),(42,20271,1.19),(42,20272,1.4),(42,20273,0.42),(42,20274,1.14331),(42,20275,1.4),(42,20276,0.42),(42,20277,1.33),(42,20278,1.4),(42,20279,0.7),(42,20280,1.4),(42,20281,1.4),(42,20282,0.7),(42,20283,1.4),(42,20284,1.4),(42,20285,0.7),(42,20286,1.4),(42,20287,1.4),(42,20288,0.7),(42,20289,1.4),(42,20290,1.4),(42,20291,0.42),(42,20292,1.14331),(42,20293,1.4),(42,20294,0.42),(42,20295,1.14331),(42,20296,1.4),(42,20297,0.56),(42,20298,1.4),(42,20299,1.4),(42,20300,0.7),(42,20301,1.4),(42,20302,1.4),(42,20303,0.42),(42,20304,1.16669),(42,20305,1.4),(42,20306,0.51331),(42,20307,1.33),(42,20309,0.7),(42,20312,0.7),(42,20313,1.4),(42,20314,1.4),(42,20315,0.46669),(42,20316,1.19),(42,20317,1.4),(42,20318,0.46669),(42,20319,1.19),(42,20320,1.4),(42,20321,0.7),(42,20322,1.4),(42,20323,1.4),(42,20324,0.7),(42,20325,1.4),(42,20326,1.4),(42,20327,0.46669),(42,20328,1.14331),(42,20329,1.4),(42,20330,0.51331),(42,20331,1.28331),(42,20332,1.4),(42,20333,0.65331),(42,20334,1.37669),(42,20335,1.4),(42,20336,0.65331),(42,20337,1.4),(42,20339,0.7),(42,20342,1.12),(42,20343,1.26),(42,20344,1.4),(42,20345,0.37331),(42,20346,1.26),(42,20347,1.4),(42,20348,0.7),(42,20349,1.30669),(42,20350,1.4),(42,20351,0.46669),(42,20352,1.33),(42,20353,1.4),(42,20354,0.7),(42,20355,1.30669),(42,20356,1.4),(42,20357,0.42),(42,20358,1.16669),(42,20359,1.4),(42,20360,0.60669),(42,20361,1.28331),(42,20362,1.4),(42,20363,0.46669),(42,20364,1.28331),(42,20365,1.4),(42,20366,0.7),(42,20367,1.4),(42,20368,1.4),(42,20369,0.7),(42,20370,1.33),(42,20371,1.4),(42,20372,0.65331),(42,20373,1.23669),(42,20374,1.4),(42,20375,0.51331),(42,20376,1.4),(42,20377,1.4),(42,20378,0.37331),(42,20379,1.12),(42,20380,1.4),(42,20381,0.51331),(42,20382,1.21331),(42,20383,1.4),(42,20384,0.42),(42,20385,1.19),(42,20386,1.4),(42,20387,0.46669),(42,20388,1.19),(42,20389,1.4),(42,20390,0.46669),(42,20391,1.28331),(42,20392,1.4),(42,20393,0.65331),(42,20394,1.26),(42,20395,1.4),(42,20396,0.42),(42,20397,1.28331),(42,20398,1.4),(42,20399,0.60669),(42,20400,1.4),(42,20401,1.4),(42,20402,0.7),(42,20403,1.4),(42,20404,1.4),(42,20405,0.42),(42,20406,1.21331),(42,20407,1.4),(42,20408,0.60669),(42,20409,1.28331),(42,20410,1.4),(42,20411,0.56),(42,20412,1.28331),(42,20413,1.4),(42,20414,0.56),(42,20415,1.30669),(42,20416,1.4),(42,20417,0.42),(42,20418,1.19),(42,20419,0.46669),(42,20420,1.21331),(42,20421,1.4),(42,20422,0.51331),(42,20423,1.33),(42,20424,1.4),(42,20425,0.7),(42,20426,1.30669),(42,20427,1.4),(42,20428,0.51331),(42,20429,1.4),(42,20430,0.46669),(42,20431,1.30669),(42,20433,0.7),(42,20436,0.7),(42,20437,1.35331),(42,20438,1.4),(42,20439,0.46669),(42,20440,1.16669),(42,20441,1.4),(42,20442,0.42),(42,20443,1.16669),(42,20444,1.37669),(42,20445,0.46669),(42,20446,1.14331),(42,20447,1.33),(42,20448,0.37331),(42,20449,1.07331),(42,20450,1.4),(42,20451,0.32669),(42,20452,1.21331),(42,20453,1.4),(42,20454,0.65331),(42,20455,1.33),(42,20456,1.4),(42,20457,0.56),(42,20458,1.26),(42,20459,1.4),(42,20460,0.7),(42,20461,1.35331),(42,20462,1.4),(42,20463,0.46669),(42,20464,1.16669),(42,20465,1.4),(42,20466,0.46669),(42,20467,1.16669),(42,20468,1.4),(42,20469,0.51331),(42,20470,1.26),(42,20471,1.4),(42,20472,0.46669),(42,20473,1.30669),(42,20474,1.4),(42,20475,0.7),(42,20476,1.37669),(42,20477,1.4),(42,20478,0.56),(42,20479,1.23669),(42,20480,1.4),(42,20481,0.65331),(42,20482,1.4),(42,20483,1.4),(42,20484,0.7),(42,20485,1.4),(42,20486,1.4),(42,20487,0.46669),(42,20488,1.16669),(42,20489,1.4),(42,20490,0.42),(42,20491,1.16669),(42,20492,1.4),(42,20493,0.7),(42,20494,1.30669),(42,20495,1.4),(42,20496,0.42),(42,20497,1.26),(42,20498,1.4),(42,20499,0.65331),(42,20500,1.28331),(42,20501,1.4),(42,20502,0.7),(42,20503,0.46669),(42,20504,1.23669),(42,20505,1.4),(42,20506,0.56),(42,20507,1.26),(42,20508,1.4),(42,20509,0.51331),(42,20510,1.4),(42,20511,1.4),(42,20512,0.7),(42,20513,1.4),(42,20514,1.4),(42,20515,0.7),(42,20516,1.4),(42,20517,1.4),(42,20518,0.7),(42,20519,1.35331),(42,20520,1.4),(42,20521,0.51331),(42,20522,1.26),(42,20523,1.4),(42,20524,0.56),(42,20525,1.26),(42,20526,1.4),(42,20527,0.51331),(42,20528,1.4),(42,20529,1.4),(42,20530,0.7),(42,20531,1.4),(42,20532,1.4),(42,20533,0.7),(42,20534,1.37669),(42,20535,1.4),(42,20536,0.56),(42,20537,1.23669),(42,20538,1.4),(42,20539,0.51331),(42,20540,1.35331),(42,20541,1.4),(42,20542,0.46669),(42,20543,1.4),(42,20544,1.4),(42,20545,0.7),(42,20546,1.4),(42,20547,1.4),(42,20548,0.7),(42,20549,1.4),(42,20550,1.4),(42,20551,0.7),(42,20552,1.26),(42,20553,1.4),(42,20554,0.7),(42,20555,1.4),(42,20556,1.4),(42,20557,0.56),(42,20558,1.21331),(42,20559,1.4),(42,20560,0.42),(42,20561,1.12),(42,20562,1.4),(42,20563,0.37331),(42,20564,1.26),(42,20565,1.4),(42,20566,0.42),(42,20567,1.14331),(42,20568,1.4),(42,20569,0.7),(42,20570,1.33),(42,20571,1.4),(42,20572,0.51331),(42,20573,1.21331),(42,20574,1.4),(42,20575,0.46669),(42,20576,1.28331),(42,20578,0.65331),(42,20581,0.7),(42,20582,1.4),(42,20583,1.4),(42,20584,0.7),(42,20585,1.23669),(42,20586,1.37669),(42,20587,0.51331),(42,20588,1.23669),(42,20589,1.4),(42,20590,0.51331),(42,20591,1.26),(42,20592,1.4),(42,20593,0.56),(42,20594,1.28331),(42,20595,1.4),(42,20596,0.56),(42,20597,1.21331),(42,20598,1.4),(42,20599,0.42),(42,20600,1.26),(42,20601,1.4),(42,20602,0.65331),(42,20603,1.33),(42,20604,1.4),(42,20605,0.56),(42,20606,1.28331),(42,20607,1.4),(42,20608,0.56),(42,20609,1.21331),(42,20610,1.4),(42,20611,0.42),(42,20612,1.28331),(42,20613,1.4),(42,20614,0.7),(42,20615,1.4),(42,20616,1.4),(42,20617,0.65331),(42,20618,1.30669),(42,20619,1.4),(42,20620,0.7),(42,20621,1.4),(42,20622,1.4),(42,20623,0.7),(42,20624,1.35331),(42,20625,1.4),(42,20626,0.7),(42,20627,1.37669),(42,20628,0.42),(42,20629,1.35331),(42,20630,1.4),(42,20631,0.7),(42,20632,1.4),(42,20633,1.4),(42,20634,0.46669),(42,20635,1.26),(42,20636,1.4),(42,20637,0.51331),(42,20638,1.16669),(42,20639,1.4),(42,20640,0.37331),(42,20641,1.12),(42,20642,1.37669),(42,20643,0.42),(42,20644,1.16669),(42,20645,1.4),(42,20646,0.46669),(42,20647,1.33),(42,20648,1.4),(42,20649,0.7),(42,20650,1.4),(42,20651,1.4),(42,20652,0.7),(42,20653,1.4),(42,20654,1.4),(42,20655,0.32669),(42,20656,1.16669),(42,20657,1.4),(42,20658,0.60669),(42,20659,1.19),(42,20660,1.4),(42,20661,0.56),(42,20662,1.21331),(42,20663,1.4),(42,20664,0.7),(42,20665,1.4),(42,20666,1.4),(42,20667,0.65331),(42,20668,1.26),(42,20669,1.4),(42,20670,0.42),(42,20671,1.14331),(42,20672,1.4),(42,20673,0.42),(42,20674,1.16669),(42,20675,1.4),(42,20676,0.46669),(42,20677,1.21331),(42,20678,1.4),(42,20679,0.51331),(42,20680,1.21331),(42,20681,1.4),(42,20682,0.46669),(42,20683,1.26),(42,20684,1.4),(42,20685,0.56),(42,20686,1.4),(42,20687,1.4),(42,20688,0.7),(42,20689,1.37669),(42,20690,1.4),(42,20691,0.60669),(42,20692,1.28331),(42,20693,1.4),(42,20694,0.65331),(42,20695,1.26),(42,20696,1.4),(42,20697,0.42),(42,20698,1.19),(42,20699,1.4),(42,20700,0.51331),(42,20701,0.51331),(42,20702,1.33),(42,20703,1.4),(42,20704,0.7),(42,20705,1.28331),(42,20706,1.4),(42,20707,0.42),(42,20708,1.21331),(42,20709,1.4),(42,20710,1.12),(42,20711,1.35331),(42,20712,1.4),(42,20713,0.7),(42,20714,1.4),(42,20715,1.4),(42,20716,0.7),(42,20717,1.4),(42,20718,1.4),(42,20719,0.65331),(42,20720,1.4),(42,20721,1.4),(42,20722,0.7),(42,20723,1.37669),(42,20724,1.4),(42,20725,0.51331),(42,20726,1.26),(42,20727,1.4),(42,20728,0.56),(42,20729,1.30669),(42,20730,1.4),(42,20731,0.60669),(42,20732,1.12),(42,20733,1.28331),(42,20734,1.09669),(42,20735,1.4),(42,20736,1.16669),(42,20737,1.4),(42,20740,1.07331),(42,20741,1.4),(42,20742,1.21331),(42,20743,1.4),(42,20746,0.98),(42,20747,1.37669),(42,20771,1.4),(42,20772,1.4),(42,20773,1.4),(42,20774,1.4),(42,20775,1.4),(42,20776,1.4),(42,20777,1.4),(42,20778,1.21331),(42,20779,1.4),(42,20860,0.56007),(42,20861,2.94),(42,20863,2.1),(42,20865,0.56),(42,20868,0.51331),(42,20869,1.12),(42,20870,1.21331),(42,20882,0.93331),(42,20883,1.12),(42,20962,0.95669),(42,20963,1.05),(42,20964,1.00331),(42,20965,1.12),(42,20971,0.86331),(42,20972,1.05),(42,20973,1.07331),(42,20976,0.98),(42,20977,1.12),(42,20993,1.00331),(42,20994,1.07331),(42,20995,0.93331),(42,20996,1.12),(42,20997,0.32669),(42,20998,1.12),(42,20999,1.21331),(42,21000,0.37331),(42,21001,1.00331),(42,21002,1.23669),(42,21003,0.88669),(42,21004,0.95669),(42,21005,1.09669),(42,21019,0.46669),(42,21020,1.02669),(42,21021,1.23669),(42,21022,0.84),(42,21023,0.93331),(42,21024,1.07331),(42,21025,1.14331),(42,21076,1.07331),(42,21081,0.46669),(42,21082,1.05),(42,21968,1.12),(42,21971,0.86331),(42,21972,1.12),(42,22548,1.4),(42,22549,1.4),(42,22550,1.4),(42,22551,1.4),(42,22554,0.91),(42,22555,1.02669),(42,22556,1.37669),(42,22557,1.4),(42,22558,1.09669),(42,22559,1.4),(42,22560,1.4),(42,22561,1.28331),(42,22562,1.4),(43,197,0.6666),(43,3879,2.22),(44,197,0.6666),(44,937,0.37324),(44,2866,0.51331),(44,2885,2.37993),(44,2890,2.87007),(44,3892,0.42),(44,3893,0.98),(44,3894,1.02669),(44,3895,0.42),(44,3896,1.05),(44,3897,1.12),(44,3900,0.32669),(44,3901,1.00331),(44,3902,1.12),(44,3903,1.09669),(44,3904,1.26),(44,3905,0.98),(44,3906,1.21331),(44,3933,0.42),(44,3934,1.14331),(44,3935,1.21331),(57,192,0.37324),(57,197,0.6666),(57,828,1.68),(57,890,0.42),(57,937,0.27993),(57,1034,0.37338),(57,1089,0.7),(57,1220,0.37331),(57,1352,0.18669),(57,1473,0.98),(57,2904,0.09331),(57,2905,0.81669),(57,3240,0.37338),(57,3879,0.84),(57,4552,0.86331),(57,4553,1.07331),(57,4579,0.88669),(57,4580,0.98),(57,4581,0.84),(57,6849,3.45324),(57,6877,0.28),(57,6878,0.93331),(57,6922,0.95669),(57,7238,0.69993),(57,7458,0.28),(57,7459,1.02669),(57,7460,1.28331),(57,7462,0.86331),(57,7463,1.02669),(57,7483,0.37331),(57,7647,0.18662),(57,7648,1.68),(57,7656,0.93331),(57,9073,0.95669),(57,9535,0.91),(57,9541,1.14331),(57,9542,0.86331),(57,9543,0.98),(57,9605,0.98),(57,9606,1.12),(57,9619,0.98),(57,10820,0.56),(57,13844,1.05),(57,13861,1.23669),(57,13925,1.00331),(57,14364,0.42),(57,14842,1.91338),(57,16773,0.98007),(57,16774,1.02669),(57,16775,1.19),(57,17879,0.98),(57,18261,0.95669),(57,18262,1.12),(57,18263,0.65338),(57,18264,1.00331),(57,18265,1.07331),(57,18273,1.00331),(57,18274,1.19),(57,19656,0.86331),(57,19657,0.95669),(57,19658,1.96),(57,19664,0.93331),(57,19665,1.02669),(57,19678,0.95669),(57,19679,1.05),(57,19680,1.07331),(57,19681,2.58993),(57,19682,0.98),(57,19798,0.86331),(57,19799,1.12),(57,19811,1.02669),(57,21118,0.93331),(57,21119,1.00331),(57,21120,0.98),(57,21121,1.09669),(57,21131,0.81669),(57,21132,0.98),(57,21133,0.88669),(57,21137,1.16669),(57,21138,0.91),(57,21139,0.98),(57,21140,0.93331),(57,21141,1.02669),(57,22080,0.86331),(57,22081,0.93331),(57,22082,0.93331),(57,22083,1.02669),(57,22086,1.00331),(57,22090,1.07331),(57,22091,0.98),(57,22092,1.07331),(57,22093,0.93331),(57,22094,1.00331),(57,22095,1.02669),(57,22128,1.16669),(57,22129,1.09669),(57,22130,1.00331),(58,86,0.65338),(58,91,0.37338),(58,94,1.16655),(58,97,0.69993),(58,104,0.28),(58,159,0.84),(58,162,0.74662),(58,165,0.69993),(58,168,0.84),(58,173,0.42),(58,182,0.46655),(58,183,0.88669),(58,192,0.46655),(58,197,0.6666),(58,198,0.32669),(58,320,2.24),(58,323,0.37331),(58,325,0.23331),(58,334,0.84),(58,339,0.65338),(58,346,0.37331),(58,349,0.23331),(58,518,2.73),(58,519,3.08007),(58,522,0.18669),(58,561,0.23331),(58,564,0.93324),(58,565,2.87007),(58,566,3.15),(58,703,0.14),(58,704,1.02669),(58,705,1.19),(58,774,0.46669),(58,775,1.09669),(58,776,1.30669),(58,782,0.42),(58,783,0.98),(58,784,1.14331),(58,1045,0.24679),(58,2410,0.91),(58,2414,0.32669),(58,2846,0.79331),(58,3249,1.26),(58,3264,0.74662),(58,3311,0.32669),(58,3320,0.37331),(58,4227,0.86331),(58,4710,1.05),(58,4711,1.14331),(58,4712,1.00331),(58,4713,1.07331),(58,4714,0.98),(58,4715,1.16669),(58,4716,0.86331),(58,4717,0.98),(58,4718,0.88669),(58,4719,1.00331),(58,4720,1.02669),(58,4721,1.23669),(58,4722,0.95669),(58,4723,1.07331),(58,4724,0.91),(58,4725,1.02669),(58,4726,0.98),(58,4727,1.12),(58,4728,1.02669),(58,4729,1.19),(58,4730,1.05),(58,4731,0.86331),(58,4732,1.12),(58,4779,0.98),(58,4780,1.14331),(58,4781,1.00331),(58,4782,1.09669),(58,4783,1.02669),(58,4784,1.09669),(58,4785,1.05),(58,4786,1.26),(58,4787,1.12),(58,4788,1.16669),(58,4789,1.07331),(58,4790,0.91),(58,4791,1.12),(58,4792,1.00331),(58,4793,1.14331),(58,4794,1.21331),(58,4795,1.35331),(58,4796,1.09669),(58,4797,1.26),(58,4798,1.05),(58,4799,1.14331),(58,4800,0.88669),(58,4801,1.02669),(58,4807,0.91),(58,4808,1.00331),(58,4809,0.95669),(58,4810,0.98),(58,4811,1.05),(58,4812,0.93331),(58,4813,1.07331),(58,4814,0.84),(58,4815,1.05),(58,4816,0.91),(58,4817,0.86331),(58,4818,0.98),(58,4819,0.88669),(58,4820,1.07331),(58,4821,0.91),(58,4822,1.00331),(58,4823,0.98),(58,4824,1.21331),(58,4825,0.98),(58,4826,1.09669),(58,4827,0.93331),(58,4828,1.12),(58,4939,2.05338),(58,4940,1.16669),(58,4941,1.16669),(58,4942,1.14331),(58,4943,1.33),(58,4944,1.14331),(58,4945,1.37669),(58,4946,0.98),(58,4947,1.09669),(58,4948,1.16669),(58,4949,1.4),(58,4950,1.14331),(58,4951,1.37669),(58,4952,1.12),(58,4953,1.21331),(58,4954,0.98),(58,4955,1.14331),(58,4956,1.05),(58,4957,1.21331),(58,4958,0.93331),(58,4959,1.09669),(58,4960,0.98),(58,4961,1.14331),(58,4962,1.12),(58,4963,1.26),(58,4964,1.09669),(58,4965,1.21331),(58,4966,1.02669),(58,4967,1.23669),(58,4968,0.98),(58,4969,1.09669),(58,4970,0.93331),(58,4971,1.00331),(58,4972,1.02669),(58,4973,1.16669),(58,4974,1.02669),(58,4975,1.12),(59,86,0.65338),(59,91,0.37338),(59,94,1.16655),(59,97,0.69993),(59,104,0.28),(59,159,0.84),(59,162,0.74662),(59,165,0.69993),(59,168,0.84),(59,173,0.42),(59,182,0.46655),(59,183,0.88669),(59,192,0.46655),(59,197,0.6666),(59,198,0.32669),(59,320,2.24),(59,323,0.37331),(59,325,0.23331),(59,334,0.84),(59,339,0.65338),(59,346,0.37331),(59,349,0.23331),(59,518,2.73),(59,519,3.08007),(59,522,0.18669),(59,561,0.23331),(59,564,0.93324),(59,565,2.87007),(59,566,3.15),(59,703,0.14),(59,704,1.02669),(59,705,1.19),(59,774,0.46669),(59,775,1.09669),(59,776,1.30669),(59,782,0.42),(59,783,0.98),(59,784,1.14331),(59,1147,0.49321),(59,2410,0.91),(59,2414,0.32669),(59,2846,0.79331),(59,3249,1.26),(59,3264,0.74662),(59,3311,0.32669),(59,3320,0.37331),(59,4227,0.86331),(59,4710,1.05),(59,4711,1.14331),(59,4712,1.00331),(59,4713,1.07331),(59,4714,0.98),(59,4715,1.16669),(59,4716,0.86331),(59,4717,0.98),(59,4718,0.88669),(59,4719,1.00331),(59,4720,1.02669),(59,4721,1.23669),(59,4722,0.95669),(59,4723,1.07331),(59,4724,0.91),(59,4725,1.02669),(59,4726,0.98),(59,4727,1.12),(59,4728,1.02669),(59,4729,1.19),(59,4730,1.05),(59,4731,0.86331),(59,4732,1.12),(59,4779,0.98),(59,4780,1.14331),(59,4781,1.00331),(59,4782,1.09669),(59,4783,1.02669),(59,4784,1.09669),(59,4785,1.05),(59,4786,1.26),(59,4787,1.12),(59,4788,1.16669),(59,4789,1.07331),(59,4790,0.91),(59,4791,1.12),(59,4792,1.00331),(59,4793,1.14331),(59,4794,1.21331),(59,4795,1.35331),(59,4796,1.09669),(59,4797,1.26),(59,4798,1.05),(59,4799,1.14331),(59,4800,0.88669),(59,4801,1.02669),(59,4807,0.91),(59,4808,1.00331),(59,4809,0.95669),(59,4810,0.98),(59,4811,1.05),(59,4812,0.93331),(59,4813,1.07331),(59,4814,0.84),(59,4815,1.05),(59,4816,0.91),(59,4817,0.86331),(59,4818,0.98),(59,4819,0.88669),(59,4820,1.07331),(59,4821,0.91),(59,4822,1.00331),(59,4823,0.98),(59,4824,1.21331),(59,4825,0.98),(59,4826,1.09669),(59,4827,0.93331),(59,4828,1.12),(59,4939,2.05338),(59,4940,1.16669),(59,4941,1.16669),(59,4942,1.14331),(59,4943,1.33),(59,4944,1.14331),(59,4945,1.37669),(59,4946,0.98),(59,4947,1.09669),(59,4948,1.16669),(59,4949,1.4),(59,4950,1.14331),(59,4951,1.37669),(59,4952,1.12),(59,4953,1.21331),(59,4954,0.98),(59,4955,1.14331),(59,4956,1.05),(59,4957,1.21331),(59,4958,0.93331),(59,4959,1.09669),(59,4960,0.98),(59,4961,1.14331),(59,4962,1.12),(59,4963,1.26),(59,4964,1.09669),(59,4965,1.21331),(59,4966,1.02669),(59,4967,1.23669),(59,4968,0.98),(59,4969,1.09669),(59,4970,0.93331),(59,4971,1.00331),(59,4972,1.02669),(59,4973,1.16669),(59,4974,1.02669),(59,4975,1.12),(60,86,0.65338),(60,91,0.37338),(60,94,1.16655),(60,97,0.69993),(60,104,0.28),(60,159,0.84),(60,162,0.74662),(60,165,0.69993),(60,168,0.84),(60,173,0.42),(60,182,0.46655),(60,183,0.88669),(60,192,0.46655),(60,197,0.6666),(60,198,0.32669),(60,320,2.24),(60,323,0.37331),(60,325,0.23331),(60,334,0.84),(60,339,0.65338),(60,346,0.37331),(60,349,0.23331),(60,518,2.73),(60,519,3.08007),(60,522,0.18669),(60,561,0.23331),(60,564,0.93324),(60,565,2.87007),(60,566,3.15),(60,703,0.14),(60,704,1.02669),(60,705,1.19),(60,774,0.46669),(60,775,1.09669),(60,776,1.30669),(60,782,0.42),(60,783,0.98),(60,784,1.14331),(60,2410,0.91),(60,2414,0.32669),(60,2846,0.79331),(60,3249,1.26),(60,3264,0.74662),(60,3311,0.32669),(60,3320,0.37331),(60,4227,0.86331),(60,4710,1.05),(60,4711,1.14331),(60,4712,1.00331),(60,4713,1.07331),(60,4714,0.98),(60,4715,1.16669),(60,4716,0.86331),(60,4717,0.98),(60,4718,0.88669),(60,4719,1.00331),(60,4720,1.02669),(60,4721,1.23669),(60,4722,0.95669),(60,4723,1.07331),(60,4724,0.91),(60,4725,1.02669),(60,4726,0.98),(60,4727,1.12),(60,4728,1.02669),(60,4729,1.19),(60,4730,1.05),(60,4731,0.86331),(60,4732,1.12),(60,4779,0.98),(60,4780,1.14331),(60,4781,1.00331),(60,4782,1.09669),(60,4783,1.02669),(60,4784,1.09669),(60,4785,1.05),(60,4786,1.26),(60,4787,1.12),(60,4788,1.16669),(60,4789,1.07331),(60,4790,0.91),(60,4791,1.12),(60,4792,1.00331),(60,4793,1.14331),(60,4794,1.21331),(60,4795,1.35331),(60,4796,1.09669),(60,4797,1.26),(60,4798,1.05),(60,4799,1.14331),(60,4800,0.88669),(60,4801,1.02669),(60,4807,0.91),(60,4808,1.00331),(60,4809,0.95669),(60,4810,0.98),(60,4811,1.05),(60,4812,0.93331),(60,4813,1.07331),(60,4814,0.84),(60,4815,1.05),(60,4816,0.91),(60,4817,0.86331),(60,4818,0.98),(60,4819,0.88669),(60,4820,1.07331),(60,4821,0.91),(60,4822,1.00331),(60,4823,0.98),(60,4824,1.21331),(60,4825,0.98),(60,4826,1.09669),(60,4827,0.93331),(60,4828,1.12),(60,4939,2.05338),(60,4940,1.16669),(60,4941,1.16669),(60,4942,1.14331),(60,4943,1.33),(60,4944,1.14331),(60,4945,1.37669),(60,4946,0.98),(60,4947,1.09669),(60,4948,1.16669),(60,4949,1.4),(60,4950,1.14331),(60,4951,1.37669),(60,4952,1.12),(60,4953,1.21331),(60,4954,0.98),(60,4955,1.14331),(60,4956,1.05),(60,4957,1.21331),(60,4958,0.93331),(60,4959,1.09669),(60,4960,0.98),(60,4961,1.14331),(60,4962,1.12),(60,4963,1.26),(60,4964,1.09669),(60,4965,1.21331),(60,4966,1.02669),(60,4967,1.23669),(60,4968,0.98),(60,4969,1.09669),(60,4970,0.93331),(60,4971,1.00331),(60,4972,1.02669),(60,4973,1.16669),(60,4974,1.02669),(60,4975,1.12),(60,5118,0.74),(64,86,2.94021),(64,87,3.73324),(64,88,4.66676),(64,89,2.1),(64,90,2.38),(64,91,0.93345),(64,92,2.73),(64,93,3.15),(64,94,2.09979),(64,97,4.19958),(64,98,8.8669),(64,99,10.0331),(64,100,1.82),(64,101,2.05338),(64,102,4.38676),(64,103,4.94676),(64,104,0.42),(64,159,2.52),(64,160,3.92),(64,161,4.66676),(64,162,2.61317),(64,163,1.05),(64,164,1.26),(64,165,0.93324),(64,166,4.01324),(64,167,4.66676),(64,168,2.1),(64,171,2.14662),(64,172,2.38),(64,173,1.68),(64,182,2.05282),(64,185,8.6331),(64,187,9.5669),(64,188,3.64),(64,189,4.2),(64,192,1.02641),(64,193,3.73324),(64,194,4.2),(64,197,0.6666),(64,198,1.63345),(64,199,2.1),(64,200,2.33338),(64,201,0.74662),(64,320,2.8),(64,321,2.28662),(64,322,2.47338),(64,323,1.49324),(64,324,4.10676),(64,325,4.43289),(64,328,3.82676),(64,329,4.57324),(64,330,10.0331),(64,331,10.7331),(64,332,4.55),(64,333,5.71655),(64,334,1.26),(64,339,2.94021),(64,340,3.42993),(64,341,3.71007),(64,342,1.96),(64,343,2.05338),(64,344,2.00662),(64,345,2.38),(64,346,0.74662),(64,347,1.07331),(64,348,1.23669),(64,349,0.46662),(64,350,1.82),(64,351,2.05338),(64,511,2.05338),(64,512,2.19338),(64,516,1.96),(64,518,1.82),(64,519,2.05338),(64,522,0.37338),(64,523,0.95669),(64,524,1.05),(64,555,2.05338),(64,556,2.38),(64,559,2.1),(64,560,2.38),(64,561,0.69993),(64,562,2.00662),(64,563,2.33338),(64,564,1.39986),(64,565,1.91338),(64,566,2.1),(64,612,2.33338),(64,613,1.07331),(64,614,1.19),(64,615,1.05),(64,1145,2.1),(64,1146,2.38),(64,1165,1.05),(64,1477,2.38),(64,2183,1.26),(64,2414,0.98007),(64,2841,0.84),(64,3240,0.98679),(64,3264,0.74662),(64,3311,0.32669),(64,3317,0.23331),(64,4028,1.12),(64,4266,1.00331),(64,4267,1.16669),(64,4286,1.91338),(64,4287,1.07331),(64,4297,0.98),(64,4298,1.05),(64,4398,1.05),(64,4399,1.19),(64,4402,0.28),(64,4403,0.91),(64,4404,1.12),(64,4798,1.05),(64,5242,1.05),(64,5243,1.35331),(64,5244,1.02669),(64,5245,1.09669),(64,5246,0.91),(64,5247,0.98),(64,5248,1.09669),(64,5249,1.28331),(64,5250,1.09669),(64,5251,1.21331),(64,5252,1.05),(64,5253,1.14331),(64,5254,0.88669),(64,5255,1.02669),(64,5256,2.24),(64,5257,0.95669),(64,5258,1.16669),(64,5259,0.98),(64,5260,1.19),(64,5261,0.93331),(64,5262,1.14331),(64,5263,0.98),(64,5264,1.09669),(64,5265,1.05),(64,5266,1.16669),(64,5267,1.02669),(64,5268,1.19),(64,5269,1.77338),(64,5270,2.1),(64,5271,0.93331),(64,5272,1.00331),(64,5273,0.95669),(64,5274,1.07331),(64,5334,2.05338),(64,5335,1.12),(64,5336,1.26),(64,5337,0.23331),(64,5338,0.88669),(64,5339,1.05),(64,5340,1.02669),(64,5341,1.26),(64,5342,1.05),(64,5343,1.14331),(64,5344,1.07331),(64,5345,1.23669),(64,5346,1.02669),(64,5347,1.19),(64,5348,1.07331),(64,5349,1.28331),(64,5350,1.00331),(64,5351,1.16669),(64,5352,0.95669),(64,5353,1.19),(64,5354,1.14331),(64,5355,1.14331),(64,5356,1.33),(64,5357,0.88669),(64,5358,1.00331),(64,5369,0.88669),(64,5370,1.09669),(64,5371,0.93331),(64,5372,1.12),(64,5373,0.86331),(64,5374,0.93331),(64,5375,0.86331),(64,5376,1.05),(64,5377,0.95669),(64,5378,1.02669),(64,5379,0.86331),(64,5380,1.05),(64,5381,0.95669),(64,5382,1.09669),(64,5383,0.91),(64,5384,1.05),(64,5385,0.98),(64,5386,1.12),(64,5387,1.12),(64,5388,1.26),(64,5389,1.14331),(64,5390,0.88669),(64,5391,1.05),(64,5392,0.88669),(64,5393,0.95669),(64,5394,0.91),(64,5395,0.98),(64,5396,0.91),(64,5397,1.00331),(64,5398,0.95669),(64,5399,1.16669),(64,5400,0.37331),(64,5401,1.12),(64,5402,1.30669),(64,5403,1.02669),(64,5404,1.19),(64,5405,0.95669),(64,5406,1.07331),(64,5407,0.93331),(64,5408,1.09669),(64,5409,1.05),(64,5410,1.21331),(64,5411,1.07331),(64,5412,1.28331),(64,5413,0.98),(64,5414,1.05),(64,5415,0.91),(64,5416,1.09669),(64,5417,1.05),(64,5418,1.33),(64,5595,4.93321),(64,5596,5.92),(64,5597,1.19),(64,5598,1.33),(64,5599,2.14662),(64,5600,1.19),(64,5601,1.23669),(64,5602,0.28),(64,5603,0.95669),(64,5604,1.12),(64,5605,0.98),(64,5606,1.21331),(64,5607,1.02669),(64,5608,1.23669),(64,5609,1.00331),(64,5610,1.12),(64,5611,1.12),(64,5612,0.95669),(64,5613,1.19),(64,5614,0.93331),(64,5615,1.00331),(64,5616,1.00331),(64,5617,1.19),(64,5618,1.00331),(64,5619,1.14331),(65,86,0.65338),(65,91,1.12014),(65,94,0.93324),(65,97,1.39986),(65,104,0.56),(65,162,2.23986),(65,165,0.46662),(65,168,3.36),(65,182,0.55986),(65,185,1.72662),(65,192,1.30634),(65,197,0.6666),(65,198,1.30676),(65,320,3.36),(65,323,0.74662),(65,325,0.93324),(65,334,0.84),(65,339,1.30676),(65,349,0.46662),(65,518,3.64),(65,519,4.10676),(65,522,0.37338),(65,564,0.93324),(65,565,3.82676),(65,566,4.2),(65,2414,0.65338),(65,2837,1.82),(65,3240,0.98679),(65,3249,0.84),(65,3264,0.74662),(65,3311,0.65338),(65,3317,0.46662),(65,3320,1.49324),(65,5337,0.46662),(65,5338,1.77338),(65,5339,2.1),(65,5369,1.77338),(65,5595,4.93321),(65,5597,2.38),(65,5598,2.66),(65,5859,2.19338),(65,5860,2.56662),(65,5861,2.00662),(65,5862,2.24),(65,5863,1.72662),(65,5864,1.91338),(65,5865,1.82),(65,5866,2.1),(65,5867,1.68),(65,5868,1.91338),(65,5869,2.24),(65,5870,1.96),(65,5871,2.24),(65,5872,2.14662),(65,5873,2.33338),(65,5874,2.00662),(65,5875,2.33338),(65,5876,1.96),(65,5877,2.19338),(65,5878,1.82),(65,5879,2.05338),(65,5880,1.77338),(65,5881,2.19338),(65,5882,1.68),(65,5883,1.86662),(65,5884,1.68),(65,5885,1.96),(65,5940,0.74662),(65,5941,2.38),(65,5942,2.70662),(65,5943,4.01324),(65,5944,2.14662),(65,5945,2.14662),(65,5946,1.96),(65,5947,2.19338),(65,5948,1.91338),(65,5949,2.33338),(65,5950,2.05338),(65,5951,2.28662),(65,5952,2.05338),(65,5953,2.33338),(65,5954,2.24),(65,5955,2.42662),(65,5956,2.00662),(65,5957,2.24),(65,5958,2.05338),(65,5959,2.14662),(65,5964,2.38),(65,5965,2.1),(65,5966,2.28662),(65,5967,1.86662),(65,5968,2.00662),(65,5969,1.72662),(65,5970,1.96),(65,5971,1.68),(65,5972,1.91338),(65,5973,1.91338),(65,5974,2.24),(65,5975,1.91338),(65,5976,2.52),(65,5977,3.92),(65,5978,2.24),(65,5979,2.33338),(65,5980,1.82),(65,5981,2.1),(65,5982,2.05338),(65,5983,2.52),(65,6091,2.19338),(65,6092,2.47338),(65,6093,2.28662),(65,6094,2.70662),(65,6095,2.00662),(65,6096,2.47338),(65,6097,1.96),(65,6098,2.24),(65,6099,2.14662),(65,6100,2.52),(65,6101,1.96),(65,6102,2.28662),(65,6103,2.05338),(65,6104,2.42662),(65,6105,1.96),(65,6106,2.42662),(65,6107,1.96),(65,6108,2.1),(65,6109,1.96),(65,6110,2.19338),(65,6111,2.00662),(65,6112,2.42662),(65,6113,2.00662),(65,6114,2.24),(65,6115,2.14662),(65,6116,2.47338),(65,6117,2.00662),(65,6118,2.14662),(65,6119,2.1),(65,6120,2.33338),(70,91,0.18669),(70,97,0.69993),(70,102,3.29007),(70,103,3.71007),(70,104,0.28),(70,168,1.26),(70,169,2.1),(70,170,2.38),(70,171,1.07331),(70,172,1.19),(70,173,1.26),(70,174,1.02669),(70,176,1.19),(70,197,0.6666),(70,320,1.12),(70,321,2.28662),(70,322,2.47338),(70,323,0.37331),(70,325,0.69993),(70,332,1.82),(70,333,2.28662),(70,339,0.65338),(70,340,2.28662),(70,341,2.47338),(70,349,0.69993),(70,350,2.73),(70,351,3.08007),(70,522,0.37338),(70,1034,0.32004),(70,1473,1.68),(70,2173,0.88669),(70,2414,0.32669),(70,2446,0.18669),(70,2819,0.32669),(70,5884,0.84),(70,5940,0.37331),(70,8077,0.18669),(70,14007,1.12),(70,14008,0.88669),(70,14009,0.93331),(70,14010,0.91),(70,14011,1.07331),(70,14012,0.98),(70,14013,0.88669),(70,14014,1.07331),(70,14017,1.00331),(70,14018,1.09669),(70,14019,0.98),(70,14020,1.07331),(70,14021,1.05),(70,14022,1.21331),(70,14035,1.02669),(70,14036,1.16669),(70,14037,1.00331),(70,14038,1.19),(70,18038,0.23331),(70,18136,1.05),(70,18166,0.86331),(70,18167,0.95669),(70,18168,0.91),(70,18169,0.98),(70,18173,0.51331),(70,18174,1.02669),(70,18175,1.19),(70,18205,1.16669),(70,18206,0.93331),(70,18207,1.21331),(71,91,0.18669),(71,97,0.69993),(71,102,3.29007),(71,103,3.71007),(71,104,0.28),(71,168,1.26),(71,169,2.1),(71,170,2.38),(71,171,1.07331),(71,172,1.19),(71,173,1.26),(71,174,1.02669),(71,176,1.19),(71,197,0.6666),(71,320,1.12),(71,321,2.28662),(71,322,2.47338),(71,323,0.37331),(71,325,0.69993),(71,332,1.82),(71,333,2.28662),(71,339,0.65338),(71,340,2.28662),(71,341,2.47338),(71,349,0.69993),(71,350,2.73),(71,351,3.08007),(71,522,0.37338),(71,1034,0.32004),(71,1089,0.74),(71,1473,1.68),(71,2173,0.88669),(71,2414,0.32669),(71,2446,0.18669),(71,2819,0.32669),(71,5884,0.84),(71,5940,0.37331),(71,8077,0.18669),(71,14007,1.12),(71,14008,0.88669),(71,14009,0.93331),(71,14010,0.91),(71,14011,1.07331),(71,14012,0.98),(71,14013,0.88669),(71,14014,1.07331),(71,14017,1.00331),(71,14018,1.09669),(71,14019,0.98),(71,14020,1.07331),(71,14021,1.05),(71,14022,1.21331),(71,14035,1.02669),(71,14036,1.16669),(71,14037,1.00331),(71,14038,1.19),(71,14233,4.31679),(71,18038,0.23331),(71,18136,1.05),(71,18166,0.86331),(71,18167,0.95669),(71,18168,0.91),(71,18169,0.98),(71,18173,0.51331),(71,18174,1.02669),(71,18175,1.19),(71,18205,1.16669),(71,18206,0.93331),(71,18207,1.21331),(71,22611,5.05679),(73,197,1.06656),(73,6310,0.64008),(73,6311,1.56),(73,6312,1.71996),(73,6313,0.48),(73,6314,1.64004),(73,6315,1.83996),(73,6323,1.56),(73,6324,1.83996),(73,6326,0.24),(73,6327,1.59996),(73,6328,1.8),(74,197,0.6666),(74,1034,1.30683),(74,6334,1.64004),(74,6335,1.8),(75,197,0.6666),(75,2390,2.61317),(75,6344,1.68),(75,6345,2.07996),(76,197,0.6666),(77,197,0.6666),(78,197,1.06656),(78,6310,0.32004),(78,6311,1.56),(78,6312,1.71996),(78,6313,0.48),(78,6314,1.64004),(78,6315,1.83996),(78,6323,1.56),(78,6324,1.83996),(78,6326,0.24),(78,6327,1.59996),(78,6328,1.8),(121,2,0.34),(121,91,0.18669),(121,97,0.69993),(121,102,3.29007),(121,103,3.71007),(121,104,0.28),(121,168,1.26),(121,169,2.1),(121,170,2.38),(121,171,1.07331),(121,172,1.19),(121,173,1.26),(121,174,1.02669),(121,176,1.19),(121,197,0.6666),(121,320,1.12),(121,321,2.28662),(121,322,2.47338),(121,323,0.37331),(121,325,0.69993),(121,332,1.82),(121,333,2.28662),(121,339,0.65338),(121,340,2.28662),(121,341,2.47338),(121,349,0.69993),(121,350,2.73),(121,351,3.08007),(121,522,0.37338),(121,1034,0.32004),(121,1473,1.68),(121,2173,0.88669),(121,2414,0.32669),(121,2446,0.18669),(121,2819,0.32669),(121,5884,0.84),(121,5940,0.37331),(121,8077,0.18669),(121,14007,1.12),(121,14008,0.88669),(121,14009,0.93331),(121,14010,0.91),(121,14011,1.07331),(121,14012,0.98),(121,14013,0.88669),(121,14014,1.07331),(121,14017,1.00331),(121,14018,1.09669),(121,14019,0.98),(121,14020,1.07331),(121,14021,1.05),(121,14022,1.21331),(121,14035,1.02669),(121,14036,1.16669),(121,14037,1.00331),(121,14038,1.19),(121,18038,0.23331),(121,18136,1.05),(121,18166,0.86331),(121,18167,0.95669),(121,18168,0.91),(121,18169,0.98),(121,18173,0.51331),(121,18174,1.02669),(121,18175,1.19),(121,18205,1.16669),(121,18206,0.93331),(121,18207,1.21331),(146,91,0.18669),(146,97,0.69993),(146,102,3.29007),(146,103,3.71007),(146,104,0.28),(146,168,1.26),(146,169,2.1),(146,170,2.38),(146,171,1.07331),(146,172,1.19),(146,173,1.26),(146,174,1.02669),(146,176,1.19),(146,197,0.6666),(146,320,1.12),(146,321,2.28662),(146,322,2.47338),(146,323,0.37331),(146,325,0.69993),(146,332,1.82),(146,333,2.28662),(146,339,0.65338),(146,340,2.28662),(146,341,2.47338),(146,349,0.69993),(146,350,2.73),(146,351,3.08007),(146,464,0.34),(146,522,0.37338),(146,1034,0.32004),(146,1473,1.68),(146,2173,0.88669),(146,2414,0.32669),(146,2446,0.18669),(146,2819,0.32669),(146,5884,0.84),(146,5940,0.37331),(146,6619,1.48),(146,8077,0.18669),(146,14007,1.12),(146,14008,0.88669),(146,14009,0.93331),(146,14010,0.91),(146,14011,1.07331),(146,14012,0.98),(146,14013,0.88669),(146,14014,1.07331),(146,14017,1.00331),(146,14018,1.09669),(146,14019,0.98),(146,14020,1.07331),(146,14021,1.05),(146,14022,1.21331),(146,14035,1.02669),(146,14036,1.16669),(146,14037,1.00331),(146,14038,1.19),(146,18038,0.23331),(146,18136,1.05),(146,18166,0.86331),(146,18167,0.95669),(146,18168,0.91),(146,18169,0.98),(146,18173,0.51331),(146,18174,1.02669),(146,18175,1.19),(146,18205,1.16669),(146,18206,0.93331),(146,18207,1.21331),(208,94,0.46662),(208,97,0.69993),(208,102,3.29007),(208,103,3.71007),(208,159,0.84),(208,168,1.26),(208,169,2.1),(208,170,2.38),(208,171,1.07331),(208,172,1.19),(208,173,1.26),(208,192,0.37324),(208,197,0.6666),(208,206,0.32004),(208,210,0.15996),(208,211,1.47996),(208,320,1.12),(208,321,2.28662),(208,322,2.47338),(208,325,0.46662),(208,332,1.82),(208,333,2.28662),(208,339,0.65338),(208,340,2.28662),(208,341,2.47338),(208,346,0.74662),(208,349,0.69993),(208,350,2.73),(208,351,3.08007),(208,561,0.93324),(208,722,0.93324),(208,828,0.84),(208,937,0.18662),(208,1045,0.09338),(208,1089,0.56),(208,1352,0.18669),(208,2183,0.84),(208,2904,0.27993),(208,3320,0.74662),(208,4104,0.18669),(208,6249,1.07331),(208,6849,3.45324),(208,9022,0.32669),(208,9343,0.84),(208,11332,0.84),(208,12398,0.37338),(208,12853,0.18669),(208,15441,0.86331),(208,17507,0.86331),(208,21298,0.60669),(208,21299,1.19),(208,21300,1.30669),(208,21304,1.00331),(208,21305,1.12),(208,21309,0.37338),(208,21312,0.91),(208,21313,1.02669),(208,21314,0.91),(208,21315,1.12),(208,21320,0.98),(208,21322,0.37331),(208,21447,0.37331),(208,21448,1.09669),(208,21449,1.16669),(208,21450,1.00331),(208,21451,1.16669),(208,21469,0.14),(208,21470,0.86331),(208,21471,0.98),(208,21532,1.07331),(208,21533,1.16669),(208,21534,0.91),(208,21535,1.02669),(208,21536,0.93331),(208,21537,1.00331),(208,21538,1.86662),(208,21539,2.00662),(208,21540,0.88669),(208,21541,0.95669),(208,21542,0.09331),(208,21543,0.86331),(208,21544,1.05),(208,21545,2.00662),(208,21546,0.95669),(208,21547,0.98),(208,21548,0.93331),(208,21549,1.07331),(208,21560,0.95669),(208,21561,0.95669),(208,21562,0.88669),(208,21563,0.93331),(208,21564,0.95669),(208,21565,1.02669),(208,21566,0.98),(208,21567,1.12),(208,21609,0.32669),(208,21610,0.95669),(208,21611,1.19),(208,21612,0.86331),(208,21613,1.05),(208,21614,0.28),(208,21615,0.93331),(208,21616,1.02669),(208,21617,0.56),(208,21618,0.93331),(208,21619,1.02669),(208,21620,0.93331),(208,21621,1.09669),(208,21622,0.42),(208,21623,1.00331),(208,21624,1.09669),(208,21790,0.28),(208,21791,0.95669),(208,21792,1.07331),(208,21793,1.02669),(208,21794,1.14331),(208,21801,0.88669),(208,21802,0.84),(208,21803,0.91),(208,21804,0.18669),(208,21805,0.86331),(208,21806,0.98),(208,21807,0.46669),(208,21808,1.05),(208,21809,1.12),(208,21810,0.84),(208,21811,0.93331),(208,21812,0.84),(208,21813,0.98),(208,21814,0.91),(208,21815,0.98),(208,21879,1.09669),(208,21880,1.23669),(208,21881,0.32669),(208,21882,1.00331),(208,21883,1.12),(208,21908,1.02669),(208,21909,1.19),(208,21910,1.72662),(208,21911,2.19338),(208,21914,2.24),(208,21915,2.66),(208,21916,1.91338),(208,21917,2.14662),(208,21918,2.24),(208,21919,2.56662),(208,21920,1.05),(208,21942,2.19338),(208,21943,2.52),(208,21944,2.00662),(208,21945,2.14662),(208,22008,1.21331),(211,91,0.18669),(211,97,0.69993),(211,102,3.29007),(211,103,3.71007),(211,104,0.28),(211,168,1.26),(211,169,2.1),(211,170,2.38),(211,171,1.07331),(211,172,1.19),(211,173,1.26),(211,174,1.02669),(211,176,1.19),(211,197,0.6666),(211,320,1.12),(211,321,2.28662),(211,322,2.47338),(211,323,0.37331),(211,325,0.69993),(211,332,1.82),(211,333,2.28662),(211,339,0.65338),(211,340,2.28662),(211,341,2.47338),(211,349,0.69993),(211,350,2.73),(211,351,3.08007),(211,522,0.37338),(211,851,0.34),(211,1034,0.32004),(211,1473,1.68),(211,2173,0.88669),(211,2414,0.32669),(211,2446,0.18669),(211,2819,0.32669),(211,5884,0.84),(211,5940,0.37331),(211,8077,0.18669),(211,14007,1.12),(211,14008,0.88669),(211,14009,0.93331),(211,14010,0.91),(211,14011,1.07331),(211,14012,0.98),(211,14013,0.88669),(211,14014,1.07331),(211,14017,1.00331),(211,14018,1.09669),(211,14019,0.98),(211,14020,1.07331),(211,14021,1.05),(211,14022,1.21331),(211,14035,1.02669),(211,14036,1.16669),(211,14037,1.00331),(211,14038,1.19),(211,18038,0.23331),(211,18136,1.05),(211,18166,0.86331),(211,18167,0.95669),(211,18168,0.91),(211,18169,0.98),(211,18173,0.51331),(211,18174,1.02669),(211,18175,1.19),(211,18205,1.16669),(211,18206,0.93331),(211,18207,1.21331),(212,86,0.65338),(212,89,1.05),(212,90,1.19),(212,91,0.56007),(212,92,2.73),(212,93,3.15),(212,94,0.23331),(212,95,0.88669),(212,96,1.00331),(212,97,0.23331),(212,98,0.88669),(212,99,1.00331),(212,165,0.23331),(212,166,1.00331),(212,167,1.16669),(212,168,0.42),(212,182,0.46655),(212,183,0.88669),(212,184,0.95669),(212,185,1.72662),(212,187,0.95669),(212,188,0.91),(212,189,1.05),(212,190,0.86331),(212,191,1.09669),(212,197,0.6666),(212,198,0.32669),(212,199,1.05),(212,200,1.16669),(212,325,0.46662),(212,328,0.95669),(212,329,1.14331),(212,330,1.00331),(212,331,1.07331),(212,334,0.42),(212,339,0.98007),(212,340,1.14331),(212,341,1.23669),(212,342,0.98),(212,343,1.02669),(212,344,1.00331),(212,345,1.19),(212,346,0.37331),(212,347,1.07331),(212,348,1.23669),(212,511,1.02669),(212,512,1.09669),(212,522,0.18669),(212,523,0.95669),(212,524,1.05),(212,559,1.05),(212,560,1.19),(212,561,0.23331),(212,562,1.00331),(212,563,1.16669),(212,613,1.07331),(212,614,1.19),(212,871,0.34),(212,1147,0.15996),(212,19715,0.98679),(212,19716,5.18),(212,19717,6.04321),(212,19721,1.05),(212,19729,1.72679),(212,19730,5.42679),(212,19731,6.16679),(212,19732,2.46679),(213,86,0.65338),(213,87,0.93331),(213,88,1.16669),(213,94,0.23331),(213,159,0.42),(213,160,0.98),(213,161,1.16669),(213,165,0.46662),(213,166,1.00331),(213,167,1.16669),(213,168,0.42),(213,182,0.09331),(213,188,0.91),(213,189,1.05),(213,192,0.09331),(213,193,0.93331),(213,194,1.05),(213,197,0.6666),(213,198,0.32669),(213,201,0.37331),(213,320,1.12),(213,321,2.28662),(213,322,2.47338),(213,323,1.11993),(213,324,2.05338),(213,325,0.23331),(213,328,0.95669),(213,329,1.14331),(213,339,0.32669),(213,340,1.14331),(213,341,1.23669),(213,346,0.37331),(213,347,1.07331),(213,348,1.23669),(213,511,1.02669),(213,512,1.09669),(213,559,1.05),(213,560,1.19),(213,561,0.23331),(213,562,1.00331),(213,563,1.16669),(213,785,1.23669),(213,900,0.34),(213,1045,0.08004),(213,1477,1.19),(213,19715,0.98679),(213,19716,5.18),(213,19717,6.04321),(213,19729,1.72679),(213,19730,5.42679),(213,19731,6.16679),(213,19732,2.46679),(213,19764,0.95669),(213,19765,1.16669),(213,19768,0.95669),(213,19769,1.16669),(213,19770,1.00331),(213,19771,1.14331),(213,19772,1.00331),(213,19773,1.09669),(213,19780,0.98),(213,19781,1.09669),(214,91,0.18669),(214,97,0.69993),(214,102,3.29007),(214,103,3.71007),(214,104,0.28),(214,168,1.26),(214,169,2.1),(214,170,2.38),(214,171,1.07331),(214,172,1.19),(214,173,1.26),(214,174,1.02669),(214,176,1.19),(214,197,0.6666),(214,320,1.12),(214,321,2.28662),(214,322,2.47338),(214,323,0.37331),(214,325,0.69993),(214,332,1.82),(214,333,2.28662),(214,339,0.65338),(214,340,2.28662),(214,341,2.47338),(214,349,0.69993),(214,350,2.73),(214,351,3.08007),(214,522,0.37338),(214,989,0.34),(214,1034,0.32004),(214,1473,1.68),(214,2173,0.88669),(214,2414,0.32669),(214,2446,0.18669),(214,2819,0.32669),(214,5884,0.84),(214,5940,0.37331),(214,8077,0.18669),(214,8752,1.23321),(214,14007,1.12),(214,14008,0.88669),(214,14009,0.93331),(214,14010,0.91),(214,14011,1.07331),(214,14012,0.98),(214,14013,0.88669),(214,14014,1.07331),(214,14017,1.00331),(214,14018,1.09669),(214,14019,0.98),(214,14020,1.07331),(214,14021,1.05),(214,14022,1.21331),(214,14035,1.02669),(214,14036,1.16669),(214,14037,1.00331),(214,14038,1.19),(214,18038,0.23331),(214,18136,1.05),(214,18166,0.86331),(214,18167,0.95669),(214,18168,0.91),(214,18169,0.98),(214,18173,0.51331),(214,18174,1.02669),(214,18175,1.19),(214,18205,1.16669),(214,18206,0.93331),(214,18207,1.21331),(214,22606,5.05679),(214,22607,6.04321),(215,94,0.46662),(215,95,0.88669),(215,96,1.00331),(215,97,0.46662),(215,98,0.88669),(215,99,1.00331),(215,100,0.91),(215,101,1.02669),(215,104,0.14),(215,162,1.11993),(215,163,2.1),(215,164,2.52),(215,168,0.42),(215,182,0.37324),(215,183,0.88669),(215,184,0.95669),(215,185,1.72662),(215,187,0.95669),(215,190,0.86331),(215,191,1.09669),(215,197,0.6666),(215,201,0.74662),(215,325,0.23331),(215,330,1.00331),(215,331,1.07331),(215,346,0.74662),(215,347,2.14662),(215,348,2.47338),(215,349,0.23331),(215,350,0.91),(215,351,1.02669),(215,516,0.98),(215,555,1.02669),(215,556,1.19),(215,703,0.14),(215,704,1.02669),(215,705,1.19),(215,737,1.05),(215,774,0.46669),(215,775,1.09669),(215,776,1.30669),(215,782,0.42),(215,783,0.98),(215,784,1.14331),(215,915,0.91),(215,916,0.98),(215,1045,0.32683),(215,1084,0.34),(215,1089,0.74),(215,19842,1.05),(215,19843,1.12),(215,19870,1.19),(215,19871,1.12),(215,19872,1.33),(215,19873,4.81),(215,19874,5.05679),(215,19875,4.44),(215,19876,4.93321),(216,86,0.98007),(216,87,0.93331),(216,88,1.16669),(216,89,2.1),(216,90,2.38),(216,94,0.23331),(216,97,0.46662),(216,98,0.88669),(216,99,1.00331),(216,102,1.09669),(216,103,1.23669),(216,159,0.42),(216,160,0.98),(216,161,1.16669),(216,162,0.74662),(216,163,1.05),(216,164,1.26),(216,173,0.42),(216,182,0.09331),(216,185,0.86331),(216,187,0.95669),(216,192,0.09331),(216,193,0.93331),(216,194,1.05),(216,197,0.6666),(216,198,0.65338),(216,199,2.1),(216,200,2.33338),(216,201,0.37331),(216,323,0.74662),(216,324,2.05338),(216,325,0.23331),(216,330,1.00331),(216,331,1.07331),(216,339,1.96014),(216,340,2.28662),(216,341,2.47338),(216,342,1.96),(216,343,2.05338),(216,344,2.00662),(216,345,2.38),(216,346,0.37331),(216,347,1.07331),(216,348,1.23669),(216,516,0.98),(216,555,1.02669),(216,556,1.19),(216,703,0.14),(216,704,1.02669),(216,705,1.19),(216,774,0.46669),(216,775,1.09669),(216,776,1.30669),(216,782,0.42),(216,783,0.98),(216,784,1.14331),(216,1147,0.15996),(216,19913,1.07331),(216,19917,1.00331),(216,19918,1.16669),(216,19922,1.09669),(216,19923,1.28331),(216,19932,1.14331),(217,91,0.18669),(217,97,0.69993),(217,102,3.29007),(217,103,3.71007),(217,104,0.28),(217,168,1.26),(217,169,2.1),(217,170,2.38),(217,171,1.07331),(217,172,1.19),(217,173,1.26),(217,174,1.02669),(217,176,1.19),(217,197,0.6666),(217,320,1.12),(217,321,2.28662),(217,322,2.47338),(217,323,0.37331),(217,325,0.69993),(217,332,1.82),(217,333,2.28662),(217,339,0.65338),(217,340,2.28662),(217,341,2.47338),(217,349,0.69993),(217,350,2.73),(217,351,3.08007),(217,522,0.37338),(217,1034,0.32004),(217,1473,1.68),(217,2173,0.88669),(217,2414,0.32669),(217,2446,0.18669),(217,2819,0.32669),(217,2904,0.49321),(217,5884,0.84),(217,5940,0.37331),(217,8077,0.18669),(217,14007,1.12),(217,14008,0.88669),(217,14009,0.93331),(217,14010,0.91),(217,14011,1.07331),(217,14012,0.98),(217,14013,0.88669),(217,14014,1.07331),(217,14017,1.00331),(217,14018,1.09669),(217,14019,0.98),(217,14020,1.07331),(217,14021,1.05),(217,14022,1.21331),(217,14035,1.02669),(217,14036,1.16669),(217,14037,1.00331),(217,14038,1.19),(217,18038,0.23331),(217,18136,1.05),(217,18166,0.86331),(217,18167,0.95669),(217,18168,0.91),(217,18169,0.98),(217,18173,0.51331),(217,18174,1.02669),(217,18175,1.19),(217,18205,1.16669),(217,18206,0.93331),(217,18207,1.21331),(217,19963,4.56321),(217,19964,4.93321),(219,94,0.46662),(219,97,0.69993),(219,102,3.29007),(219,103,3.71007),(219,159,0.84),(219,168,1.26),(219,169,2.1),(219,170,2.38),(219,171,1.07331),(219,172,1.19),(219,173,1.26),(219,192,0.37324),(219,197,0.6666),(219,206,0.32004),(219,210,0.15996),(219,211,1.47996),(219,320,1.12),(219,321,2.28662),(219,322,2.47338),(219,325,0.46662),(219,332,1.82),(219,333,2.28662),(219,339,0.65338),(219,340,2.28662),(219,341,2.47338),(219,346,0.74662),(219,349,0.69993),(219,350,2.73),(219,351,3.08007),(219,561,0.93324),(219,722,0.93324),(219,828,0.84),(219,937,0.18662),(219,1045,0.34017),(219,1089,1.3),(219,1352,0.18669),(219,2183,0.84),(219,2904,0.27993),(219,3320,0.74662),(219,4104,0.18669),(219,6249,1.07331),(219,6849,3.45324),(219,9022,0.32669),(219,9343,0.84),(219,11332,0.84),(219,12398,0.37338),(219,12853,0.18669),(219,15441,0.86331),(219,17507,0.86331),(219,17945,4.56321),(219,21298,0.60669),(219,21299,1.19),(219,21300,1.30669),(219,21304,1.00331),(219,21305,1.12),(219,21309,0.37338),(219,21312,0.91),(219,21313,1.02669),(219,21314,0.91),(219,21315,1.12),(219,21320,0.98),(219,21322,0.37331),(219,21447,0.37331),(219,21448,1.09669),(219,21449,1.16669),(219,21450,1.00331),(219,21451,1.16669),(219,21469,0.14),(219,21470,0.86331),(219,21471,0.98),(219,21532,1.07331),(219,21533,1.16669),(219,21534,0.91),(219,21535,1.02669),(219,21536,0.93331),(219,21537,1.00331),(219,21538,1.86662),(219,21539,2.00662),(219,21540,0.88669),(219,21541,0.95669),(219,21542,0.09331),(219,21543,0.86331),(219,21544,1.05),(219,21545,2.00662),(219,21546,0.95669),(219,21547,0.98),(219,21548,0.93331),(219,21549,1.07331),(219,21560,0.95669),(219,21561,0.95669),(219,21562,0.88669),(219,21563,0.93331),(219,21564,0.95669),(219,21565,1.02669),(219,21566,0.98),(219,21567,1.12),(219,21609,0.32669),(219,21610,0.95669),(219,21611,1.19),(219,21612,0.86331),(219,21613,1.05),(219,21614,0.28),(219,21615,0.93331),(219,21616,1.02669),(219,21617,0.56),(219,21618,0.93331),(219,21619,1.02669),(219,21620,0.93331),(219,21621,1.09669),(219,21622,0.42),(219,21623,1.00331),(219,21624,1.09669),(219,21790,0.28),(219,21791,0.95669),(219,21792,1.07331),(219,21793,1.02669),(219,21794,1.14331),(219,21801,0.88669),(219,21802,0.84),(219,21803,0.91),(219,21804,0.18669),(219,21805,0.86331),(219,21806,0.98),(219,21807,0.46669),(219,21808,1.05),(219,21809,1.12),(219,21810,0.84),(219,21811,0.93331),(219,21812,0.84),(219,21813,0.98),(219,21814,0.91),(219,21815,0.98),(219,21879,1.09669),(219,21880,1.23669),(219,21881,0.32669),(219,21882,1.00331),(219,21883,1.12),(219,21908,1.02669),(219,21909,1.19),(219,21910,1.72662),(219,21911,2.19338),(219,21914,2.24),(219,21915,2.66),(219,21916,1.91338),(219,21917,2.14662),(219,21918,2.24),(219,21919,2.56662),(219,21920,1.05),(219,21942,2.19338),(219,21943,2.52),(219,21944,2.00662),(219,21945,2.14662),(219,22008,1.21331),(219,22197,5.30321),(219,22198,4.68679),(219,22199,5.18),(220,94,0.46662),(220,97,0.69993),(220,102,3.29007),(220,103,3.71007),(220,159,0.84),(220,168,1.26),(220,169,2.1),(220,170,2.38),(220,171,1.07331),(220,172,1.19),(220,173,1.26),(220,192,0.37324),(220,197,0.6666),(220,206,0.32004),(220,210,0.15996),(220,211,1.47996),(220,320,1.12),(220,321,2.28662),(220,322,2.47338),(220,325,0.46662),(220,332,1.82),(220,333,2.28662),(220,339,0.65338),(220,340,2.28662),(220,341,2.47338),(220,346,0.74662),(220,349,0.69993),(220,350,2.73),(220,351,3.08007),(220,561,0.93324),(220,722,0.93324),(220,828,0.84),(220,937,0.18662),(220,1045,0.09338),(220,1089,0.56),(220,1352,0.18669),(220,2183,0.84),(220,2904,0.27993),(220,3320,0.74662),(220,4104,0.18669),(220,6249,1.07331),(220,6849,3.45324),(220,9022,0.32669),(220,9343,0.84),(220,10113,1.72679),(220,11332,0.84),(220,12398,0.37338),(220,12853,0.18669),(220,15441,0.86331),(220,17507,0.86331),(220,21298,0.60669),(220,21299,1.19),(220,21300,1.30669),(220,21304,1.00331),(220,21305,1.12),(220,21309,0.37338),(220,21312,0.91),(220,21313,1.02669),(220,21314,0.91),(220,21315,1.12),(220,21320,0.98),(220,21322,0.37331),(220,21447,0.37331),(220,21448,1.09669),(220,21449,1.16669),(220,21450,1.00331),(220,21451,1.16669),(220,21469,0.14),(220,21470,0.86331),(220,21471,0.98),(220,21532,1.07331),(220,21533,1.16669),(220,21534,0.91),(220,21535,1.02669),(220,21536,0.93331),(220,21537,1.00331),(220,21538,1.86662),(220,21539,2.00662),(220,21540,0.88669),(220,21541,0.95669),(220,21542,0.09331),(220,21543,0.86331),(220,21544,1.05),(220,21545,2.00662),(220,21546,0.95669),(220,21547,0.98),(220,21548,0.93331),(220,21549,1.07331),(220,21560,0.95669),(220,21561,0.95669),(220,21562,0.88669),(220,21563,0.93331),(220,21564,0.95669),(220,21565,1.02669),(220,21566,0.98),(220,21567,1.12),(220,21609,0.32669),(220,21610,0.95669),(220,21611,1.19),(220,21612,0.86331),(220,21613,1.05),(220,21614,0.28),(220,21615,0.93331),(220,21616,1.02669),(220,21617,0.56),(220,21618,0.93331),(220,21619,1.02669),(220,21620,0.93331),(220,21621,1.09669),(220,21622,0.42),(220,21623,1.00331),(220,21624,1.09669),(220,21790,0.28),(220,21791,0.95669),(220,21792,1.07331),(220,21793,1.02669),(220,21794,1.14331),(220,21801,0.88669),(220,21802,0.84),(220,21803,0.91),(220,21804,0.18669),(220,21805,0.86331),(220,21806,0.98),(220,21807,0.46669),(220,21808,1.05),(220,21809,1.12),(220,21810,0.84),(220,21811,0.93331),(220,21812,0.84),(220,21813,0.98),(220,21814,0.91),(220,21815,0.98),(220,21879,1.09669),(220,21880,1.23669),(220,21881,0.32669),(220,21882,1.00331),(220,21883,1.12),(220,21908,1.02669),(220,21909,1.19),(220,21910,1.72662),(220,21911,2.19338),(220,21914,2.24),(220,21915,2.66),(220,21916,1.91338),(220,21917,2.14662),(220,21918,2.24),(220,21919,2.56662),(220,21920,1.05),(220,21942,2.19338),(220,21943,2.52),(220,21944,2.00662),(220,21945,2.14662),(220,22008,1.21331),(221,94,0.46662),(221,97,0.69993),(221,102,3.29007),(221,103,3.71007),(221,159,0.84),(221,168,1.26),(221,169,2.1),(221,170,2.38),(221,171,1.07331),(221,172,1.19),(221,173,1.26),(221,192,0.37324),(221,197,0.6666),(221,206,0.32004),(221,210,0.15996),(221,211,1.47996),(221,320,1.12),(221,321,2.28662),(221,322,2.47338),(221,325,0.46662),(221,332,1.82),(221,333,2.28662),(221,339,0.65338),(221,340,2.28662),(221,341,2.47338),(221,346,0.74662),(221,349,0.69993),(221,350,2.73),(221,351,3.08007),(221,561,0.93324),(221,722,0.93324),(221,828,0.84),(221,937,0.18662),(221,1045,0.09338),(221,1089,0.56),(221,1352,0.18669),(221,2183,0.84),(221,2904,0.27993),(221,3320,0.74662),(221,4104,0.18669),(221,6249,1.07331),(221,6849,3.45324),(221,9022,0.32669),(221,9343,0.84),(221,11332,0.84),(221,12398,0.37338),(221,12853,0.18669),(221,15441,0.86331),(221,17507,0.86331),(221,21298,0.60669),(221,21299,1.19),(221,21300,1.30669),(221,21304,1.00331),(221,21305,1.12),(221,21309,0.37338),(221,21312,0.91),(221,21313,1.02669),(221,21314,0.91),(221,21315,1.12),(221,21320,0.98),(221,21322,0.37331),(221,21447,0.37331),(221,21448,1.09669),(221,21449,1.16669),(221,21450,1.00331),(221,21451,1.16669),(221,21469,0.14),(221,21470,0.86331),(221,21471,0.98),(221,21532,1.07331),(221,21533,1.16669),(221,21534,0.91),(221,21535,1.02669),(221,21536,0.93331),(221,21537,1.00331),(221,21538,1.86662),(221,21539,2.00662),(221,21540,0.88669),(221,21541,0.95669),(221,21542,0.09331),(221,21543,0.86331),(221,21544,1.05),(221,21545,2.00662),(221,21546,0.95669),(221,21547,0.98),(221,21548,0.93331),(221,21549,1.07331),(221,21560,0.95669),(221,21561,0.95669),(221,21562,0.88669),(221,21563,0.93331),(221,21564,0.95669),(221,21565,1.02669),(221,21566,0.98),(221,21567,1.12),(221,21609,0.32669),(221,21610,0.95669),(221,21611,1.19),(221,21612,0.86331),(221,21613,1.05),(221,21614,0.28),(221,21615,0.93331),(221,21616,1.02669),(221,21617,0.56),(221,21618,0.93331),(221,21619,1.02669),(221,21620,0.93331),(221,21621,1.09669),(221,21622,0.42),(221,21623,1.00331),(221,21624,1.09669),(221,21790,0.28),(221,21791,0.95669),(221,21792,1.07331),(221,21793,1.02669),(221,21794,1.14331),(221,21801,0.88669),(221,21802,0.84),(221,21803,0.91),(221,21804,0.18669),(221,21805,0.86331),(221,21806,0.98),(221,21807,0.46669),(221,21808,1.05),(221,21809,1.12),(221,21810,0.84),(221,21811,0.93331),(221,21812,0.84),(221,21813,0.98),(221,21814,0.91),(221,21815,0.98),(221,21879,1.09669),(221,21880,1.23669),(221,21881,0.32669),(221,21882,1.00331),(221,21883,1.12),(221,21908,1.02669),(221,21909,1.19),(221,21910,1.72662),(221,21911,2.19338),(221,21914,2.24),(221,21915,2.66),(221,21916,1.91338),(221,21917,2.14662),(221,21918,2.24),(221,21919,2.56662),(221,21920,1.05),(221,21942,2.19338),(221,21943,2.52),(221,21944,2.00662),(221,21945,2.14662),(221,22008,1.21331),(222,94,0.46662),(222,97,0.69993),(222,102,3.29007),(222,103,3.71007),(222,159,0.84),(222,168,1.26),(222,169,2.1),(222,170,2.38),(222,171,1.07331),(222,172,1.19),(222,173,1.26),(222,192,0.37324),(222,197,0.6666),(222,206,0.32004),(222,210,0.15996),(222,211,1.47996),(222,320,1.12),(222,321,2.28662),(222,322,2.47338),(222,325,0.46662),(222,332,1.82),(222,333,2.28662),(222,339,0.65338),(222,340,2.28662),(222,341,2.47338),(222,346,0.74662),(222,349,0.69993),(222,350,2.73),(222,351,3.08007),(222,561,0.93324),(222,722,0.93324),(222,828,0.84),(222,937,0.18662),(222,1045,0.09338),(222,1089,0.56),(222,1352,0.18669),(222,2183,0.84),(222,2904,0.27993),(222,3320,0.74662),(222,4104,0.18669),(222,6249,1.07331),(222,6849,3.45324),(222,9022,0.32669),(222,9343,0.84),(222,11332,0.84),(222,12398,0.37338),(222,12853,0.18669),(222,15441,0.86331),(222,17507,0.86331),(222,21298,0.60669),(222,21299,1.19),(222,21300,1.30669),(222,21304,1.00331),(222,21305,1.12),(222,21309,0.37338),(222,21312,0.91),(222,21313,1.02669),(222,21314,0.91),(222,21315,1.12),(222,21320,0.98),(222,21322,0.37331),(222,21447,0.37331),(222,21448,1.09669),(222,21449,1.16669),(222,21450,1.00331),(222,21451,1.16669),(222,21469,0.14),(222,21470,0.86331),(222,21471,0.98),(222,21532,1.07331),(222,21533,1.16669),(222,21534,0.91),(222,21535,1.02669),(222,21536,0.93331),(222,21537,1.00331),(222,21538,1.86662),(222,21539,2.00662),(222,21540,0.88669),(222,21541,0.95669),(222,21542,0.09331),(222,21543,0.86331),(222,21544,1.05),(222,21545,2.00662),(222,21546,0.95669),(222,21547,0.98),(222,21548,0.93331),(222,21549,1.07331),(222,21560,0.95669),(222,21561,0.95669),(222,21562,0.88669),(222,21563,0.93331),(222,21564,0.95669),(222,21565,1.02669),(222,21566,0.98),(222,21567,1.12),(222,21609,0.32669),(222,21610,0.95669),(222,21611,1.19),(222,21612,0.86331),(222,21613,1.05),(222,21614,0.28),(222,21615,0.93331),(222,21616,1.02669),(222,21617,0.56),(222,21618,0.93331),(222,21619,1.02669),(222,21620,0.93331),(222,21621,1.09669),(222,21622,0.42),(222,21623,1.00331),(222,21624,1.09669),(222,21790,0.28),(222,21791,0.95669),(222,21792,1.07331),(222,21793,1.02669),(222,21794,1.14331),(222,21801,0.88669),(222,21802,0.84),(222,21803,0.91),(222,21804,0.18669),(222,21805,0.86331),(222,21806,0.98),(222,21807,0.46669),(222,21808,1.05),(222,21809,1.12),(222,21810,0.84),(222,21811,0.93331),(222,21812,0.84),(222,21813,0.98),(222,21814,0.91),(222,21815,0.98),(222,21879,1.09669),(222,21880,1.23669),(222,21881,0.32669),(222,21882,1.00331),(222,21883,1.12),(222,21908,1.02669),(222,21909,1.19),(222,21910,1.72662),(222,21911,2.19338),(222,21914,2.24),(222,21915,2.66),(222,21916,1.91338),(222,21917,2.14662),(222,21918,2.24),(222,21919,2.56662),(222,21920,1.05),(222,21942,2.19338),(222,21943,2.52),(222,21944,2.00662),(222,21945,2.14662),(222,22008,1.21331),(222,22031,2.71321),(223,94,0.46662),(223,97,0.69993),(223,102,3.29007),(223,103,3.71007),(223,159,0.84),(223,168,1.26),(223,169,2.1),(223,170,2.38),(223,171,1.07331),(223,172,1.19),(223,173,1.26),(223,192,0.37324),(223,197,0.6666),(223,206,0.32004),(223,210,0.15996),(223,211,1.47996),(223,320,1.12),(223,321,2.28662),(223,322,2.47338),(223,325,0.46662),(223,332,1.82),(223,333,2.28662),(223,339,0.65338),(223,340,2.28662),(223,341,2.47338),(223,346,0.74662),(223,349,0.69993),(223,350,2.73),(223,351,3.08007),(223,561,0.93324),(223,722,0.93324),(223,828,0.84),(223,937,0.18662),(223,1045,0.09338),(223,1089,0.56),(223,1352,0.18669),(223,2183,0.84),(223,2904,0.27993),(223,3320,0.74662),(223,4104,0.18669),(223,6249,1.07331),(223,6849,3.45324),(223,9022,0.32669),(223,9343,0.84),(223,11332,0.84),(223,12398,0.37338),(223,12853,0.18669),(223,15441,0.86331),(223,17507,0.86331),(223,21298,0.60669),(223,21299,1.19),(223,21300,1.30669),(223,21304,1.00331),(223,21305,1.12),(223,21309,0.37338),(223,21312,0.91),(223,21313,1.02669),(223,21314,0.91),(223,21315,1.12),(223,21320,0.98),(223,21322,0.37331),(223,21447,0.37331),(223,21448,1.09669),(223,21449,1.16669),(223,21450,1.00331),(223,21451,1.16669),(223,21469,0.14),(223,21470,0.86331),(223,21471,0.98),(223,21532,1.07331),(223,21533,1.16669),(223,21534,0.91),(223,21535,1.02669),(223,21536,0.93331),(223,21537,1.00331),(223,21538,1.86662),(223,21539,2.00662),(223,21540,0.88669),(223,21541,0.95669),(223,21542,0.09331),(223,21543,0.86331),(223,21544,1.05),(223,21545,2.00662),(223,21546,0.95669),(223,21547,0.98),(223,21548,0.93331),(223,21549,1.07331),(223,21560,0.95669),(223,21561,0.95669),(223,21562,0.88669),(223,21563,0.93331),(223,21564,0.95669),(223,21565,1.02669),(223,21566,0.98),(223,21567,1.12),(223,21609,0.32669),(223,21610,0.95669),(223,21611,1.19),(223,21612,0.86331),(223,21613,1.05),(223,21614,0.28),(223,21615,0.93331),(223,21616,1.02669),(223,21617,0.56),(223,21618,0.93331),(223,21619,1.02669),(223,21620,0.93331),(223,21621,1.09669),(223,21622,0.42),(223,21623,1.00331),(223,21624,1.09669),(223,21790,0.28),(223,21791,0.95669),(223,21792,1.07331),(223,21793,1.02669),(223,21794,1.14331),(223,21801,0.88669),(223,21802,0.84),(223,21803,0.91),(223,21804,0.18669),(223,21805,0.86331),(223,21806,0.98),(223,21807,0.46669),(223,21808,1.05),(223,21809,1.12),(223,21810,0.84),(223,21811,0.93331),(223,21812,0.84),(223,21813,0.98),(223,21814,0.91),(223,21815,0.98),(223,21879,1.09669),(223,21880,1.23669),(223,21881,0.32669),(223,21882,1.00331),(223,21883,1.12),(223,21908,1.02669),(223,21909,1.19),(223,21910,1.72662),(223,21911,2.19338),(223,21914,2.24),(223,21915,2.66),(223,21916,1.91338),(223,21917,2.14662),(223,21918,2.24),(223,21919,2.56662),(223,21920,1.05),(223,21942,2.19338),(223,21943,2.52),(223,21944,2.00662),(223,21945,2.14662),(223,22008,1.21331),(224,94,0.46662),(224,97,0.69993),(224,102,3.29007),(224,103,3.71007),(224,159,0.84),(224,168,1.26),(224,169,2.1),(224,170,2.38),(224,171,1.07331),(224,172,1.19),(224,173,1.26),(224,192,0.37324),(224,197,0.6666),(224,206,0.32004),(224,210,0.15996),(224,211,1.47996),(224,320,1.12),(224,321,2.28662),(224,322,2.47338),(224,325,0.46662),(224,332,1.82),(224,333,2.28662),(224,339,0.65338),(224,340,2.28662),(224,341,2.47338),(224,346,0.74662),(224,349,0.69993),(224,350,2.73),(224,351,3.08007),(224,561,0.93324),(224,722,0.93324),(224,828,0.84),(224,937,0.18662),(224,1045,0.22678),(224,1089,0.56),(224,1352,0.18669),(224,2183,0.84),(224,2904,0.54653),(224,3320,0.74662),(224,4104,0.18669),(224,6249,1.07331),(224,6849,3.45324),(224,9022,0.32669),(224,9343,0.84),(224,11332,0.84),(224,12398,0.37338),(224,12853,0.18669),(224,13011,0.45339),(224,15441,0.86331),(224,17507,0.86331),(224,17673,2.2666),(224,21298,0.60669),(224,21299,1.19),(224,21300,1.30669),(224,21304,1.00331),(224,21305,1.12),(224,21309,0.82677),(224,21312,0.91),(224,21313,1.02669),(224,21314,0.91),(224,21315,1.12),(224,21320,0.98),(224,21322,0.37331),(224,21447,0.37331),(224,21448,1.09669),(224,21449,1.16669),(224,21450,1.00331),(224,21451,1.16669),(224,21469,0.14),(224,21470,0.86331),(224,21471,0.98),(224,21532,1.07331),(224,21533,1.16669),(224,21534,0.91),(224,21535,1.02669),(224,21536,0.93331),(224,21537,1.00331),(224,21538,1.86662),(224,21539,2.00662),(224,21540,0.88669),(224,21541,0.95669),(224,21542,0.09331),(224,21543,0.86331),(224,21544,1.05),(224,21545,2.00662),(224,21546,0.95669),(224,21547,0.98),(224,21548,0.93331),(224,21549,1.07331),(224,21560,0.95669),(224,21561,0.95669),(224,21562,0.88669),(224,21563,0.93331),(224,21564,0.95669),(224,21565,1.02669),(224,21566,0.98),(224,21567,1.12),(224,21609,0.32669),(224,21610,0.95669),(224,21611,1.19),(224,21612,0.86331),(224,21613,1.05),(224,21614,0.28),(224,21615,0.93331),(224,21616,1.02669),(224,21617,0.56),(224,21618,0.93331),(224,21619,1.02669),(224,21620,0.93331),(224,21621,1.09669),(224,21622,0.42),(224,21623,1.00331),(224,21624,1.09669),(224,21790,0.28),(224,21791,0.95669),(224,21792,1.07331),(224,21793,1.02669),(224,21794,1.14331),(224,21801,0.88669),(224,21802,0.84),(224,21803,0.91),(224,21804,0.18669),(224,21805,0.86331),(224,21806,0.98),(224,21807,0.46669),(224,21808,1.05),(224,21809,1.12),(224,21810,0.84),(224,21811,0.93331),(224,21812,0.84),(224,21813,0.98),(224,21814,0.91),(224,21815,0.98),(224,21879,1.09669),(224,21880,1.23669),(224,21881,0.32669),(224,21882,1.00331),(224,21883,1.12),(224,21908,1.02669),(224,21909,1.19),(224,21910,1.72662),(224,21911,2.19338),(224,21914,2.24),(224,21915,2.66),(224,21916,1.91338),(224,21917,2.14662),(224,21918,2.24),(224,21919,2.56662),(224,21920,1.05),(224,21942,2.19338),(224,21943,2.52),(224,21944,2.00662),(224,21945,2.14662),(224,22008,1.21331),(224,22251,2.2666),(224,22255,2.6),(224,22256,2.21),(224,22257,2.32339),(224,22507,2.6),(224,22508,2.21),(225,94,0.46662),(225,97,0.69993),(225,102,3.29007),(225,103,3.71007),(225,159,0.84),(225,168,1.26),(225,169,2.1),(225,170,2.38),(225,171,1.07331),(225,172,1.19),(225,173,1.26),(225,192,0.37324),(225,197,0.6666),(225,206,0.32004),(225,210,0.15996),(225,211,1.47996),(225,320,1.12),(225,321,2.28662),(225,322,2.47338),(225,325,0.46662),(225,332,1.82),(225,333,2.28662),(225,339,0.65338),(225,340,2.28662),(225,341,2.47338),(225,346,0.74662),(225,349,0.69993),(225,350,2.73),(225,351,3.08007),(225,561,0.93324),(225,722,0.93324),(225,828,0.84),(225,937,0.18662),(225,1045,0.09338),(225,1089,1.3),(225,1352,0.18669),(225,2183,0.84),(225,2904,0.27993),(225,3320,0.74662),(225,4104,0.18669),(225,6249,1.07331),(225,6849,3.45324),(225,9022,0.32669),(225,9343,0.84),(225,11332,0.84),(225,12398,0.37338),(225,12853,0.18669),(225,15441,0.86331),(225,17507,0.86331),(225,21298,0.60669),(225,21299,1.19),(225,21300,1.30669),(225,21304,1.00331),(225,21305,1.12),(225,21309,0.37338),(225,21312,0.91),(225,21313,1.02669),(225,21314,0.91),(225,21315,1.12),(225,21320,0.98),(225,21322,0.37331),(225,21447,0.37331),(225,21448,1.09669),(225,21449,1.16669),(225,21450,1.00331),(225,21451,1.16669),(225,21469,0.14),(225,21470,0.86331),(225,21471,0.98),(225,21532,1.07331),(225,21533,1.16669),(225,21534,0.91),(225,21535,1.02669),(225,21536,0.93331),(225,21537,1.00331),(225,21538,1.86662),(225,21539,2.00662),(225,21540,0.88669),(225,21541,0.95669),(225,21542,0.09331),(225,21543,0.86331),(225,21544,1.05),(225,21545,2.00662),(225,21546,0.95669),(225,21547,0.98),(225,21548,0.93331),(225,21549,1.07331),(225,21560,0.95669),(225,21561,0.95669),(225,21562,0.88669),(225,21563,0.93331),(225,21564,0.95669),(225,21565,1.02669),(225,21566,0.98),(225,21567,1.12),(225,21609,0.32669),(225,21610,0.95669),(225,21611,1.19),(225,21612,0.86331),(225,21613,1.05),(225,21614,0.28),(225,21615,0.93331),(225,21616,1.02669),(225,21617,0.56),(225,21618,0.93331),(225,21619,1.02669),(225,21620,0.93331),(225,21621,1.09669),(225,21622,0.42),(225,21623,1.00331),(225,21624,1.09669),(225,21790,0.28),(225,21791,0.95669),(225,21792,1.07331),(225,21793,1.02669),(225,21794,1.14331),(225,21801,0.88669),(225,21802,0.84),(225,21803,0.91),(225,21804,0.18669),(225,21805,0.86331),(225,21806,0.98),(225,21807,0.46669),(225,21808,1.05),(225,21809,1.12),(225,21810,0.84),(225,21811,0.93331),(225,21812,0.84),(225,21813,0.98),(225,21814,0.91),(225,21815,0.98),(225,21879,1.09669),(225,21880,1.23669),(225,21881,0.32669),(225,21882,1.00331),(225,21883,1.12),(225,21908,1.02669),(225,21909,1.19),(225,21910,1.72662),(225,21911,2.19338),(225,21914,2.24),(225,21915,2.66),(225,21916,1.91338),(225,21917,2.14662),(225,21918,2.24),(225,21919,2.56662),(225,21920,1.05),(225,21942,2.19338),(225,21943,2.52),(225,21944,2.00662),(225,21945,2.14662),(225,22008,1.21331),(225,22231,5.18),(226,94,0.46662),(226,97,0.69993),(226,102,3.29007),(226,103,3.71007),(226,159,0.84),(226,168,1.26),(226,169,2.1),(226,170,2.38),(226,171,1.07331),(226,172,1.19),(226,173,1.26),(226,192,0.86645),(226,197,0.6666),(226,206,0.32004),(226,210,0.15996),(226,211,1.47996),(226,320,1.12),(226,321,2.28662),(226,322,2.47338),(226,325,0.46662),(226,332,1.82),(226,333,2.28662),(226,339,0.65338),(226,340,2.28662),(226,341,2.47338),(226,346,0.74662),(226,349,0.69993),(226,350,2.73),(226,351,3.08007),(226,561,0.93324),(226,722,0.93324),(226,828,5.28),(226,829,2.6666),(226,937,0.18662),(226,1045,0.09338),(226,1089,0.56),(226,1352,0.18669),(226,2183,0.84),(226,2904,0.27993),(226,3320,0.74662),(226,4104,0.18669),(226,6249,1.07331),(226,6849,3.45324),(226,9022,0.32669),(226,9343,0.84),(226,11332,0.84),(226,12398,0.37338),(226,12853,0.18669),(226,15441,0.86331),(226,17507,0.86331),(226,21298,0.60669),(226,21299,1.19),(226,21300,1.30669),(226,21304,1.00331),(226,21305,1.12),(226,21309,0.37338),(226,21312,0.91),(226,21313,1.02669),(226,21314,0.91),(226,21315,1.12),(226,21320,0.98),(226,21322,0.37331),(226,21447,0.37331),(226,21448,1.09669),(226,21449,1.16669),(226,21450,1.00331),(226,21451,1.16669),(226,21469,0.14),(226,21470,0.86331),(226,21471,0.98),(226,21532,1.07331),(226,21533,1.16669),(226,21534,0.91),(226,21535,1.02669),(226,21536,0.93331),(226,21537,1.00331),(226,21538,1.86662),(226,21539,2.00662),(226,21540,0.88669),(226,21541,0.95669),(226,21542,0.09331),(226,21543,0.86331),(226,21544,1.05),(226,21545,2.00662),(226,21546,0.95669),(226,21547,0.98),(226,21548,0.93331),(226,21549,1.07331),(226,21560,0.95669),(226,21561,0.95669),(226,21562,0.88669),(226,21563,0.93331),(226,21564,0.95669),(226,21565,1.02669),(226,21566,0.98),(226,21567,1.12),(226,21609,0.32669),(226,21610,0.95669),(226,21611,1.19),(226,21612,0.86331),(226,21613,1.05),(226,21614,0.28),(226,21615,0.93331),(226,21616,1.02669),(226,21617,0.56),(226,21618,0.93331),(226,21619,1.02669),(226,21620,0.93331),(226,21621,1.09669),(226,21622,0.42),(226,21623,1.00331),(226,21624,1.09669),(226,21790,0.28),(226,21791,0.95669),(226,21792,1.07331),(226,21793,1.02669),(226,21794,1.14331),(226,21801,0.88669),(226,21802,0.84),(226,21803,0.91),(226,21804,0.18669),(226,21805,0.86331),(226,21806,0.98),(226,21807,0.46669),(226,21808,1.05),(226,21809,1.12),(226,21810,0.84),(226,21811,0.93331),(226,21812,0.84),(226,21813,0.98),(226,21814,0.91),(226,21815,0.98),(226,21879,1.09669),(226,21880,1.23669),(226,21881,0.32669),(226,21882,1.00331),(226,21883,1.12),(226,21908,1.02669),(226,21909,1.19),(226,21910,1.72662),(226,21911,2.19338),(226,21914,2.24),(226,21915,2.66),(226,21916,1.91338),(226,21917,2.14662),(226,21918,2.24),(226,21919,2.56662),(226,21920,1.05),(226,21942,2.19338),(226,21943,2.52),(226,21944,2.00662),(226,21945,2.14662),(226,22008,1.21331),(226,22283,2.32339),(227,94,0.46662),(227,97,0.69993),(227,102,3.29007),(227,103,3.71007),(227,159,0.84),(227,168,1.26),(227,169,2.1),(227,170,2.38),(227,171,1.07331),(227,172,1.19),(227,173,1.26),(227,192,0.37324),(227,197,0.6666),(227,206,0.32004),(227,210,0.15996),(227,211,1.47996),(227,320,1.12),(227,321,2.28662),(227,322,2.47338),(227,325,0.46662),(227,332,1.82),(227,333,2.28662),(227,339,0.65338),(227,340,2.28662),(227,341,2.47338),(227,346,0.74662),(227,349,0.69993),(227,350,2.73),(227,351,3.08007),(227,561,0.93324),(227,722,0.93324),(227,828,0.84),(227,937,0.18662),(227,1045,0.09338),(227,1089,0.56),(227,1352,0.18669),(227,2183,0.84),(227,2904,0.27993),(227,3320,0.74662),(227,4104,0.18669),(227,6249,1.07331),(227,6849,3.45324),(227,9022,0.32669),(227,9343,0.84),(227,11332,0.84),(227,12398,0.37338),(227,12853,0.18669),(227,15441,0.86331),(227,17507,0.86331),(227,21298,0.60669),(227,21299,1.19),(227,21300,1.30669),(227,21304,1.00331),(227,21305,1.12),(227,21309,0.37338),(227,21312,0.91),(227,21313,1.02669),(227,21314,0.91),(227,21315,1.12),(227,21320,0.98),(227,21322,0.37331),(227,21447,0.37331),(227,21448,1.09669),(227,21449,1.16669),(227,21450,1.00331),(227,21451,1.16669),(227,21469,0.14),(227,21470,0.86331),(227,21471,0.98),(227,21532,1.07331),(227,21533,1.16669),(227,21534,0.91),(227,21535,1.02669),(227,21536,0.93331),(227,21537,1.00331),(227,21538,1.86662),(227,21539,2.00662),(227,21540,0.88669),(227,21541,0.95669),(227,21542,0.09331),(227,21543,0.86331),(227,21544,1.05),(227,21545,2.00662),(227,21546,0.95669),(227,21547,0.98),(227,21548,0.93331),(227,21549,1.07331),(227,21560,0.95669),(227,21561,0.95669),(227,21562,0.88669),(227,21563,0.93331),(227,21564,0.95669),(227,21565,1.02669),(227,21566,0.98),(227,21567,1.12),(227,21609,0.32669),(227,21610,0.95669),(227,21611,1.19),(227,21612,0.86331),(227,21613,1.05),(227,21614,0.28),(227,21615,0.93331),(227,21616,1.02669),(227,21617,0.56),(227,21618,0.93331),(227,21619,1.02669),(227,21620,0.93331),(227,21621,1.09669),(227,21622,0.42),(227,21623,1.00331),(227,21624,1.09669),(227,21790,0.28),(227,21791,0.95669),(227,21792,1.07331),(227,21793,1.02669),(227,21794,1.14331),(227,21801,0.88669),(227,21802,0.84),(227,21803,0.91),(227,21804,0.18669),(227,21805,0.86331),(227,21806,0.98),(227,21807,0.46669),(227,21808,1.05),(227,21809,1.12),(227,21810,0.84),(227,21811,0.93331),(227,21812,0.84),(227,21813,0.98),(227,21814,0.91),(227,21815,0.98),(227,21879,1.09669),(227,21880,1.23669),(227,21881,0.32669),(227,21882,1.00331),(227,21883,1.12),(227,21908,1.02669),(227,21909,1.19),(227,21910,1.72662),(227,21911,2.19338),(227,21914,2.24),(227,21915,2.66),(227,21916,1.91338),(227,21917,2.14662),(227,21918,2.24),(227,21919,2.56662),(227,21920,1.05),(227,21942,2.19338),(227,21943,2.52),(227,21944,2.00662),(227,21945,2.14662),(227,22008,1.21331),(227,22346,0.63996),(227,22347,1.71996),(227,22348,2.00004),(228,94,0.46662),(228,97,0.69993),(228,102,3.29007),(228,103,3.71007),(228,159,0.84),(228,168,1.26),(228,169,2.1),(228,170,2.38),(228,171,1.07331),(228,172,1.19),(228,173,1.26),(228,192,0.37324),(228,197,0.6666),(228,206,0.32004),(228,210,0.15996),(228,211,1.47996),(228,320,1.12),(228,321,2.28662),(228,322,2.47338),(228,325,0.46662),(228,332,1.82),(228,333,2.28662),(228,339,0.65338),(228,340,2.28662),(228,341,2.47338),(228,346,0.74662),(228,349,0.69993),(228,350,2.73),(228,351,3.08007),(228,561,0.93324),(228,722,0.93324),(228,828,0.84),(228,937,0.18662),(228,1045,0.09338),(228,1089,0.56),(228,1352,0.18669),(228,2183,0.84),(228,2904,0.27993),(228,3320,0.74662),(228,4104,0.18669),(228,6249,1.07331),(228,6849,3.45324),(228,9022,0.32669),(228,9343,0.84),(228,11332,0.84),(228,12398,0.37338),(228,12853,0.18669),(228,15441,0.86331),(228,17507,0.86331),(228,21298,0.60669),(228,21299,1.19),(228,21300,1.30669),(228,21304,1.00331),(228,21305,1.12),(228,21309,0.37338),(228,21312,0.91),(228,21313,1.02669),(228,21314,0.91),(228,21315,1.12),(228,21320,0.98),(228,21322,0.37331),(228,21447,0.37331),(228,21448,1.09669),(228,21449,1.16669),(228,21450,1.00331),(228,21451,1.16669),(228,21469,0.14),(228,21470,0.86331),(228,21471,0.98),(228,21532,1.07331),(228,21533,1.16669),(228,21534,0.91),(228,21535,1.02669),(228,21536,0.93331),(228,21537,1.00331),(228,21538,1.86662),(228,21539,2.00662),(228,21540,0.88669),(228,21541,0.95669),(228,21542,0.09331),(228,21543,0.86331),(228,21544,1.05),(228,21545,2.00662),(228,21546,0.95669),(228,21547,0.98),(228,21548,0.93331),(228,21549,1.07331),(228,21560,0.95669),(228,21561,0.95669),(228,21562,0.88669),(228,21563,0.93331),(228,21564,0.95669),(228,21565,1.02669),(228,21566,0.98),(228,21567,1.12),(228,21609,0.32669),(228,21610,0.95669),(228,21611,1.19),(228,21612,0.86331),(228,21613,1.05),(228,21614,0.28),(228,21615,0.93331),(228,21616,1.02669),(228,21617,0.56),(228,21618,0.93331),(228,21619,1.02669),(228,21620,0.93331),(228,21621,1.09669),(228,21622,0.42),(228,21623,1.00331),(228,21624,1.09669),(228,21790,0.28),(228,21791,0.95669),(228,21792,1.07331),(228,21793,1.02669),(228,21794,1.14331),(228,21801,0.88669),(228,21802,0.84),(228,21803,0.91),(228,21804,0.18669),(228,21805,0.86331),(228,21806,0.98),(228,21807,0.46669),(228,21808,1.05),(228,21809,1.12),(228,21810,0.84),(228,21811,0.93331),(228,21812,0.84),(228,21813,0.98),(228,21814,0.91),(228,21815,0.98),(228,21879,1.09669),(228,21880,1.23669),(228,21881,0.32669),(228,21882,1.00331),(228,21883,1.12),(228,21908,1.02669),(228,21909,1.19),(228,21910,1.72662),(228,21911,2.19338),(228,21914,2.24),(228,21915,2.66),(228,21916,1.91338),(228,21917,2.14662),(228,21918,2.24),(228,21919,2.56662),(228,21920,1.05),(228,21942,2.19338),(228,21943,2.52),(228,21944,2.00662),(228,21945,2.14662),(228,22008,1.21331),(228,22346,0.63996),(228,22347,1.71996),(228,22348,2.00004),(228,22391,2.46679),(228,22392,5.55),(228,22393,6.78321),(229,94,0.46662),(229,97,0.69993),(229,102,3.29007),(229,103,3.71007),(229,159,0.84),(229,168,1.26),(229,169,2.1),(229,170,2.38),(229,171,1.07331),(229,172,1.19),(229,173,1.26),(229,192,0.86645),(229,197,0.6666),(229,206,0.32004),(229,210,0.15996),(229,211,1.47996),(229,320,1.12),(229,321,2.28662),(229,322,2.47338),(229,325,0.46662),(229,332,1.82),(229,333,2.28662),(229,339,0.65338),(229,340,2.28662),(229,341,2.47338),(229,346,0.74662),(229,349,0.69993),(229,350,2.73),(229,351,3.08007),(229,561,0.93324),(229,722,0.93324),(229,828,0.84),(229,937,0.18662),(229,1045,0.09338),(229,1089,0.56),(229,1352,0.18669),(229,2183,0.84),(229,2904,0.27993),(229,3320,0.74662),(229,4104,0.18669),(229,6249,1.07331),(229,6849,3.45324),(229,9022,0.32669),(229,9343,0.84),(229,11332,0.84),(229,12398,0.37338),(229,12853,0.18669),(229,15441,0.86331),(229,17507,0.86331),(229,21298,0.60669),(229,21299,1.19),(229,21300,1.30669),(229,21304,1.00331),(229,21305,1.12),(229,21309,0.37338),(229,21312,0.91),(229,21313,1.02669),(229,21314,0.91),(229,21315,1.12),(229,21320,0.98),(229,21322,0.37331),(229,21447,0.37331),(229,21448,1.09669),(229,21449,1.16669),(229,21450,1.00331),(229,21451,1.16669),(229,21469,0.14),(229,21470,0.86331),(229,21471,0.98),(229,21532,1.07331),(229,21533,1.16669),(229,21534,0.91),(229,21535,1.02669),(229,21536,0.93331),(229,21537,1.00331),(229,21538,1.86662),(229,21539,2.00662),(229,21540,0.88669),(229,21541,0.95669),(229,21542,0.09331),(229,21543,0.86331),(229,21544,1.05),(229,21545,2.00662),(229,21546,0.95669),(229,21547,0.98),(229,21548,0.93331),(229,21549,1.07331),(229,21560,0.95669),(229,21561,0.95669),(229,21562,0.88669),(229,21563,0.93331),(229,21564,0.95669),(229,21565,1.02669),(229,21566,0.98),(229,21567,1.12),(229,21609,0.32669),(229,21610,0.95669),(229,21611,1.19),(229,21612,0.86331),(229,21613,1.05),(229,21614,0.28),(229,21615,0.93331),(229,21616,1.02669),(229,21617,0.56),(229,21618,0.93331),(229,21619,1.02669),(229,21620,0.93331),(229,21621,1.09669),(229,21622,0.42),(229,21623,1.00331),(229,21624,1.09669),(229,21790,0.28),(229,21791,0.95669),(229,21792,1.07331),(229,21793,1.02669),(229,21794,1.14331),(229,21801,0.88669),(229,21802,0.84),(229,21803,0.91),(229,21804,0.18669),(229,21805,0.86331),(229,21806,0.98),(229,21807,0.46669),(229,21808,1.05),(229,21809,1.12),(229,21810,0.84),(229,21811,0.93331),(229,21812,0.84),(229,21813,0.98),(229,21814,0.91),(229,21815,0.98),(229,21879,1.09669),(229,21880,1.23669),(229,21881,0.32669),(229,21882,1.00331),(229,21883,1.12),(229,21908,1.02669),(229,21909,1.19),(229,21910,1.72662),(229,21911,2.19338),(229,21914,2.24),(229,21915,2.66),(229,21916,1.91338),(229,21917,2.14662),(229,21918,2.24),(229,21919,2.56662),(229,21920,1.05),(229,21942,2.19338),(229,21943,2.52),(229,21944,2.00662),(229,21945,2.14662),(229,22008,1.21331),(229,22346,0.63996),(229,22347,1.71996),(229,22348,2.00004),(229,22408,4.56321),(229,22409,5.18),(229,22413,1.48),(229,22414,2.8666),(229,22415,3),(229,22416,2.55),(229,22487,2.72),(230,94,0.46662),(230,97,0.69993),(230,102,3.29007),(230,103,3.71007),(230,159,0.84),(230,168,1.26),(230,169,2.1),(230,170,2.38),(230,171,1.07331),(230,172,1.19),(230,173,1.26),(230,192,0.86645),(230,197,0.6666),(230,206,0.32004),(230,210,0.15996),(230,211,1.47996),(230,320,1.12),(230,321,2.28662),(230,322,2.47338),(230,325,0.46662),(230,332,1.82),(230,333,2.28662),(230,339,0.65338),(230,340,2.28662),(230,341,2.47338),(230,346,0.74662),(230,349,0.69993),(230,350,2.73),(230,351,3.08007),(230,561,0.93324),(230,722,0.93324),(230,828,0.84),(230,937,0.18662),(230,1045,0.09338),(230,1089,0.56),(230,1352,0.18669),(230,2183,0.84),(230,2904,0.27993),(230,3320,0.74662),(230,4104,0.18669),(230,6249,1.07331),(230,6849,3.45324),(230,9022,0.32669),(230,9343,0.84),(230,11332,0.84),(230,12398,0.37338),(230,12853,0.18669),(230,15441,0.86331),(230,17507,0.86331),(230,21298,0.60669),(230,21299,1.19),(230,21300,1.30669),(230,21304,1.00331),(230,21305,1.12),(230,21309,0.37338),(230,21312,0.91),(230,21313,1.02669),(230,21314,0.91),(230,21315,1.12),(230,21320,0.98),(230,21322,0.37331),(230,21447,0.37331),(230,21448,1.09669),(230,21449,1.16669),(230,21450,1.00331),(230,21451,1.16669),(230,21469,0.14),(230,21470,0.86331),(230,21471,0.98),(230,21532,1.07331),(230,21533,1.16669),(230,21534,0.91),(230,21535,1.02669),(230,21536,0.93331),(230,21537,1.00331),(230,21538,1.86662),(230,21539,2.00662),(230,21540,0.88669),(230,21541,0.95669),(230,21542,0.09331),(230,21543,0.86331),(230,21544,1.05),(230,21545,2.00662),(230,21546,0.95669),(230,21547,0.98),(230,21548,0.93331),(230,21549,1.07331),(230,21560,0.95669),(230,21561,0.95669),(230,21562,0.88669),(230,21563,0.93331),(230,21564,0.95669),(230,21565,1.02669),(230,21566,0.98),(230,21567,1.12),(230,21609,0.32669),(230,21610,0.95669),(230,21611,1.19),(230,21612,0.86331),(230,21613,1.05),(230,21614,0.28),(230,21615,0.93331),(230,21616,1.02669),(230,21617,0.56),(230,21618,0.93331),(230,21619,1.02669),(230,21620,0.93331),(230,21621,1.09669),(230,21622,0.42),(230,21623,1.00331),(230,21624,1.09669),(230,21790,0.28),(230,21791,0.95669),(230,21792,1.07331),(230,21793,1.02669),(230,21794,1.14331),(230,21801,0.88669),(230,21802,0.84),(230,21803,0.91),(230,21804,0.18669),(230,21805,0.86331),(230,21806,0.98),(230,21807,0.46669),(230,21808,1.05),(230,21809,1.12),(230,21810,0.84),(230,21811,0.93331),(230,21812,0.84),(230,21813,0.98),(230,21814,0.91),(230,21815,0.98),(230,21879,1.09669),(230,21880,1.23669),(230,21881,0.32669),(230,21882,1.00331),(230,21883,1.12),(230,21908,1.02669),(230,21909,1.19),(230,21910,1.72662),(230,21911,2.19338),(230,21914,2.24),(230,21915,2.66),(230,21916,1.91338),(230,21917,2.14662),(230,21918,2.24),(230,21919,2.56662),(230,21920,1.05),(230,21942,2.19338),(230,21943,2.52),(230,21944,2.00662),(230,21945,2.14662),(230,22008,1.21331),(230,22346,0.63996),(230,22347,1.71996),(230,22348,2.00004),(230,22493,4.56321),(231,94,0.46662),(231,97,0.69993),(231,102,3.29007),(231,103,3.71007),(231,159,0.84),(231,168,1.26),(231,169,2.1),(231,170,2.38),(231,171,1.07331),(231,172,1.19),(231,173,1.26),(231,192,0.37324),(231,197,0.6666),(231,206,0.32004),(231,210,0.15996),(231,211,1.47996),(231,320,1.12),(231,321,2.28662),(231,322,2.47338),(231,325,0.46662),(231,332,1.82),(231,333,2.28662),(231,339,0.65338),(231,340,2.28662),(231,341,2.47338),(231,346,0.74662),(231,349,0.69993),(231,350,2.73),(231,351,3.08007),(231,561,0.93324),(231,722,0.93324),(231,828,0.84),(231,937,0.18662),(231,1045,0.09338),(231,1089,0.56),(231,1352,0.18669),(231,2183,0.84),(231,2904,0.27993),(231,3320,0.74662),(231,4104,0.18669),(231,6249,1.07331),(231,6849,3.45324),(231,9022,0.32669),(231,9343,0.84),(231,11332,0.84),(231,12398,0.37338),(231,12853,0.18669),(231,15441,0.86331),(231,17507,0.86331),(231,19715,0.98679),(231,19716,5.18),(231,19717,6.04321),(231,19729,1.72679),(231,19730,5.42679),(231,19731,6.16679),(231,19732,2.46679),(231,21298,0.60669),(231,21299,1.19),(231,21300,1.30669),(231,21304,1.00331),(231,21305,1.12),(231,21309,0.37338),(231,21312,0.91),(231,21313,1.02669),(231,21314,0.91),(231,21315,1.12),(231,21320,0.98),(231,21322,0.37331),(231,21447,0.37331),(231,21448,1.09669),(231,21449,1.16669),(231,21450,1.00331),(231,21451,1.16669),(231,21469,0.14),(231,21470,0.86331),(231,21471,0.98),(231,21532,1.07331),(231,21533,1.16669),(231,21534,0.91),(231,21535,1.02669),(231,21536,0.93331),(231,21537,1.00331),(231,21538,1.86662),(231,21539,2.00662),(231,21540,0.88669),(231,21541,0.95669),(231,21542,0.09331),(231,21543,0.86331),(231,21544,1.05),(231,21545,2.00662),(231,21546,0.95669),(231,21547,0.98),(231,21548,0.93331),(231,21549,1.07331),(231,21560,0.95669),(231,21561,0.95669),(231,21562,0.88669),(231,21563,0.93331),(231,21564,0.95669),(231,21565,1.02669),(231,21566,0.98),(231,21567,1.12),(231,21609,0.32669),(231,21610,0.95669),(231,21611,1.19),(231,21612,0.86331),(231,21613,1.05),(231,21614,0.28),(231,21615,0.93331),(231,21616,1.02669),(231,21617,0.56),(231,21618,0.93331),(231,21619,1.02669),(231,21620,0.93331),(231,21621,1.09669),(231,21622,0.42),(231,21623,1.00331),(231,21624,1.09669),(231,21790,0.28),(231,21791,0.95669),(231,21792,1.07331),(231,21793,1.02669),(231,21794,1.14331),(231,21801,0.88669),(231,21802,0.84),(231,21803,0.91),(231,21804,0.18669),(231,21805,0.86331),(231,21806,0.98),(231,21807,0.46669),(231,21808,1.05),(231,21809,1.12),(231,21810,0.84),(231,21811,0.93331),(231,21812,0.84),(231,21813,0.98),(231,21814,0.91),(231,21815,0.98),(231,21879,1.09669),(231,21880,1.23669),(231,21881,0.32669),(231,21882,1.00331),(231,21883,1.12),(231,21908,1.02669),(231,21909,1.19),(231,21910,1.72662),(231,21911,2.19338),(231,21914,2.24),(231,21915,2.66),(231,21916,1.91338),(231,21917,2.14662),(231,21918,2.24),(231,21919,2.56662),(231,21920,1.05),(231,21942,2.19338),(231,21943,2.52),(231,21944,2.00662),(231,21945,2.14662),(231,22008,1.21331),(232,94,0.46662),(232,97,0.69993),(232,102,3.29007),(232,103,3.71007),(232,159,0.84),(232,168,1.26),(232,169,2.1),(232,170,2.38),(232,171,1.07331),(232,172,1.19),(232,173,1.26),(232,192,0.37324),(232,197,0.6666),(232,206,0.32004),(232,210,0.15996),(232,211,1.47996),(232,320,1.12),(232,321,2.28662),(232,322,2.47338),(232,325,0.46662),(232,332,1.82),(232,333,2.28662),(232,339,0.65338),(232,340,2.28662),(232,341,2.47338),(232,346,0.74662),(232,349,0.69993),(232,350,2.73),(232,351,3.08007),(232,561,0.93324),(232,722,0.93324),(232,828,0.84),(232,937,0.18662),(232,1045,0.09338),(232,1089,0.56),(232,1352,0.18669),(232,2183,0.84),(232,2904,0.27993),(232,3320,0.74662),(232,4104,0.18669),(232,6249,1.07331),(232,6849,3.45324),(232,9022,0.32669),(232,9343,0.84),(232,11332,0.84),(232,12398,0.37338),(232,12853,0.18669),(232,15441,0.86331),(232,17507,0.86331),(232,21298,0.60669),(232,21299,1.19),(232,21300,1.30669),(232,21304,1.00331),(232,21305,1.12),(232,21309,0.37338),(232,21312,0.91),(232,21313,1.02669),(232,21314,0.91),(232,21315,1.12),(232,21320,0.98),(232,21322,0.37331),(232,21447,0.37331),(232,21448,1.09669),(232,21449,1.16669),(232,21450,1.00331),(232,21451,1.16669),(232,21469,0.14),(232,21470,0.86331),(232,21471,0.98),(232,21532,1.07331),(232,21533,1.16669),(232,21534,0.91),(232,21535,1.02669),(232,21536,0.93331),(232,21537,1.00331),(232,21538,1.86662),(232,21539,2.00662),(232,21540,0.88669),(232,21541,0.95669),(232,21542,0.09331),(232,21543,0.86331),(232,21544,1.05),(232,21545,2.00662),(232,21546,0.95669),(232,21547,0.98),(232,21548,0.93331),(232,21549,1.07331),(232,21560,0.95669),(232,21561,0.95669),(232,21562,0.88669),(232,21563,0.93331),(232,21564,0.95669),(232,21565,1.02669),(232,21566,0.98),(232,21567,1.12),(232,21609,0.32669),(232,21610,0.95669),(232,21611,1.19),(232,21612,0.86331),(232,21613,1.05),(232,21614,0.28),(232,21615,0.93331),(232,21616,1.02669),(232,21617,0.56),(232,21618,0.93331),(232,21619,1.02669),(232,21620,0.93331),(232,21621,1.09669),(232,21622,0.42),(232,21623,1.00331),(232,21624,1.09669),(232,21790,0.28),(232,21791,0.95669),(232,21792,1.07331),(232,21793,1.02669),(232,21794,1.14331),(232,21801,0.88669),(232,21802,0.84),(232,21803,0.91),(232,21804,0.18669),(232,21805,0.86331),(232,21806,0.98),(232,21807,0.46669),(232,21808,1.05),(232,21809,1.12),(232,21810,0.84),(232,21811,0.93331),(232,21812,0.84),(232,21813,0.98),(232,21814,0.91),(232,21815,0.98),(232,21879,1.09669),(232,21880,1.23669),(232,21881,0.32669),(232,21882,1.00331),(232,21883,1.12),(232,21908,1.02669),(232,21909,1.19),(232,21910,1.72662),(232,21911,2.19338),(232,21914,2.24),(232,21915,2.66),(232,21916,1.91338),(232,21917,2.14662),(232,21918,2.24),(232,21919,2.56662),(232,21920,1.05),(232,21942,2.19338),(232,21943,2.52),(232,21944,2.00662),(232,21945,2.14662),(232,22008,1.21331),(232,22570,1.23321),(232,22571,5.18),(232,22572,6.41321),(232,22577,1.72679),(233,94,0.46662),(233,97,0.69993),(233,102,3.29007),(233,103,3.71007),(233,159,0.84),(233,168,1.26),(233,169,2.1),(233,170,2.38),(233,171,1.07331),(233,172,1.19),(233,173,1.26),(233,192,0.37324),(233,197,0.6666),(233,206,0.32004),(233,210,0.15996),(233,211,1.47996),(233,320,1.12),(233,321,2.28662),(233,322,2.47338),(233,325,0.46662),(233,332,1.82),(233,333,2.28662),(233,339,0.65338),(233,340,2.28662),(233,341,2.47338),(233,346,0.74662),(233,349,0.69993),(233,350,2.73),(233,351,3.08007),(233,561,0.93324),(233,722,0.93324),(233,828,0.84),(233,937,0.18662),(233,1045,0.47357),(233,1089,0.56),(233,1352,0.18669),(233,2183,0.84),(233,2904,0.27993),(233,3320,0.74662),(233,4104,0.18669),(233,6249,1.07331),(233,6849,3.45324),(233,9022,0.32669),(233,9343,0.84),(233,11315,4.19321),(233,11332,0.84),(233,12398,0.37338),(233,12853,0.18669),(233,15441,0.86331),(233,17507,0.86331),(233,21298,0.60669),(233,21299,1.19),(233,21300,1.30669),(233,21304,1.00331),(233,21305,1.12),(233,21309,0.37338),(233,21312,0.91),(233,21313,1.02669),(233,21314,0.91),(233,21315,1.12),(233,21320,0.98),(233,21322,0.37331),(233,21447,0.37331),(233,21448,1.09669),(233,21449,1.16669),(233,21450,1.00331),(233,21451,1.16669),(233,21469,0.14),(233,21470,0.86331),(233,21471,0.98),(233,21532,1.07331),(233,21533,1.16669),(233,21534,0.91),(233,21535,1.02669),(233,21536,0.93331),(233,21537,1.00331),(233,21538,1.86662),(233,21539,2.00662),(233,21540,0.88669),(233,21541,0.95669),(233,21542,0.09331),(233,21543,0.86331),(233,21544,1.05),(233,21545,2.00662),(233,21546,0.95669),(233,21547,0.98),(233,21548,0.93331),(233,21549,1.07331),(233,21560,0.95669),(233,21561,0.95669),(233,21562,0.88669),(233,21563,0.93331),(233,21564,0.95669),(233,21565,1.02669),(233,21566,0.98),(233,21567,1.12),(233,21609,0.32669),(233,21610,0.95669),(233,21611,1.19),(233,21612,0.86331),(233,21613,1.05),(233,21614,0.28),(233,21615,0.93331),(233,21616,1.02669),(233,21617,0.56),(233,21618,0.93331),(233,21619,1.02669),(233,21620,0.93331),(233,21621,1.09669),(233,21622,0.42),(233,21623,1.00331),(233,21624,1.09669),(233,21790,0.28),(233,21791,0.95669),(233,21792,1.07331),(233,21793,1.02669),(233,21794,1.14331),(233,21801,0.88669),(233,21802,0.84),(233,21803,0.91),(233,21804,0.64008),(233,21805,0.86331),(233,21806,0.98),(233,21807,0.46669),(233,21808,1.05),(233,21809,1.12),(233,21810,0.84),(233,21811,0.93331),(233,21812,0.84),(233,21813,0.98),(233,21814,0.91),(233,21815,0.98),(233,21879,1.09669),(233,21880,1.23669),(233,21881,0.32669),(233,21882,1.00331),(233,21883,1.12),(233,21908,1.02669),(233,21909,1.19),(233,21910,1.72662),(233,21911,2.19338),(233,21914,2.24),(233,21915,2.66),(233,21916,1.91338),(233,21917,2.14662),(233,21918,2.24),(233,21919,2.56662),(233,21920,1.05),(233,21942,2.19338),(233,21943,2.52),(233,21944,2.00662),(233,21945,2.14662),(233,22008,1.21331),(233,22587,5.18),(233,22588,2.2666),(233,22589,2.6),(233,22590,2.21),(233,22591,2.38);


--
-- Table structure for table `#__finder_links_terms9`
--



CREATE TABLE `#__finder_links_terms9` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms9`
--


INSERT INTO `#__finder_links_terms9` (`link_id`, `term_id`, `weight`) VALUES (36,452,0.23331),(36,6218,0.98),(41,422,0.56),(41,1492,0.08004),(41,1493,1.32),(41,1494,1.56),(41,1520,0.63996),(41,1596,1.86662),(41,1597,2.1),(42,53,1.63345),(42,428,0.84),(42,437,1.26),(42,443,4.20021),(42,452,1.63317),(42,998,0.09331),(42,1834,0.23331),(42,1835,0.88669),(42,1836,1.07331),(42,1837,0.28),(42,1838,0.93331),(42,1839,1.07331),(42,1842,4.01324),(42,1843,4.57324),(42,1844,0.98),(42,1845,1.16669),(42,1846,1.39986),(42,1847,2.66007),(42,1848,3.00993),(42,1849,2.73),(42,1850,2.00662),(42,1851,1.00331),(42,1852,3.73352),(42,1853,4.10676),(42,1854,4.66676),(42,1855,1.12),(42,1856,1.28331),(42,1857,2.14662),(42,1858,2.42662),(42,1859,0.51331),(42,1860,1.09669),(42,1861,1.23669),(42,1862,0.56),(42,1863,0.98),(42,1864,1.12),(42,1865,0.88669),(42,1866,1.00331),(42,1870,0.37331),(42,1871,1.07331),(42,1872,1.19),(42,1873,0.37331),(42,1874,1.07331),(42,1875,1.19),(42,1888,0.32669),(42,1889,1.00331),(42,1890,1.14331),(42,3754,5.59986),(42,3755,5.36655),(42,3774,7.27986),(42,3775,8.4),(42,3785,4.10676),(42,3786,4.57324),(42,3787,2.87007),(42,3788,1.07331),(42,3789,2.00662),(42,6433,3.08007),(42,6434,3.36),(42,6435,3.50007),(42,6436,3.84993),(42,12013,0.23331),(42,15859,0.18669),(42,20763,0.98),(42,20764,1.12),(42,20833,0.84),(42,20933,0.93331),(42,20934,1.12),(42,20935,0.42),(42,20936,1.02669),(42,20937,1.07331),(42,20938,0.95669),(57,1399,0.37338),(57,4058,0.18662),(57,4530,0.23331),(57,4531,1.02669),(57,4532,1.14331),(57,6640,0.18669),(57,6797,0.32669),(57,7008,2.46679),(57,7435,0.32669),(57,7436,0.93331),(57,7437,1.09669),(57,7440,0.32669),(57,7441,1.05),(57,7442,1.14331),(57,7518,1.91338),(57,7519,1.02669),(57,9490,0.28),(57,9493,1.00331),(57,9494,1.23669),(57,9708,1.12),(57,9916,0.93331),(57,9920,0.23331),(57,10297,1.05),(57,13839,0.42),(57,13840,1.07331),(57,13841,1.30669),(57,21111,0.84),(57,21112,0.91),(57,21113,1.05),(57,21114,1.23669),(57,22073,0.91),(57,22074,1.00331),(57,22075,0.95669),(57,22076,1.07331),(58,48,0.37331),(58,53,0.32669),(58,425,1.11993),(58,428,0.7),(58,437,0.42),(58,443,0.46669),(58,452,0.46662),(58,661,0.65338),(58,1840,0.98),(58,3794,1.11993),(58,4692,0.98),(58,4693,1.12),(58,4694,1.02669),(58,5075,0.95669),(58,5076,1.02669),(58,5077,1.02669),(58,5078,1.33),(58,5079,0.95669),(58,5080,1.19),(58,5081,0.91),(58,5082,1.07331),(58,5083,0.86331),(58,5084,1.00331),(58,5085,0.98),(58,5086,1.14331),(58,5087,1.00331),(58,5088,1.07331),(58,5089,0.93331),(58,5090,1.07331),(58,5091,1.02669),(58,5092,1.21331),(58,5093,1.05),(58,5094,1.21331),(58,5095,1.05),(58,5096,1.19),(58,5097,0.91),(58,5098,1.09669),(58,5099,1.07331),(58,5100,1.28331),(58,5101,0.95669),(58,5102,1.09669),(58,5103,0.32669),(58,5104,0.95669),(58,5105,1.05),(58,5106,1.05),(58,5107,1.26),(58,5108,0.98),(58,5109,1.16669),(58,5110,1.12),(58,5111,1.26),(59,48,0.37331),(59,53,0.32669),(59,425,1.11993),(59,428,0.7),(59,437,0.42),(59,443,0.46669),(59,452,0.46662),(59,661,0.65338),(59,1840,0.98),(59,3794,1.11993),(59,4692,0.98),(59,4693,1.12),(59,4694,1.02669),(59,5075,0.95669),(59,5076,1.02669),(59,5077,1.02669),(59,5078,1.33),(59,5079,0.95669),(59,5080,1.19),(59,5081,0.91),(59,5082,1.07331),(59,5083,0.86331),(59,5084,1.00331),(59,5085,0.98),(59,5086,1.14331),(59,5087,1.00331),(59,5088,1.07331),(59,5089,0.93331),(59,5090,1.07331),(59,5091,1.02669),(59,5092,1.21331),(59,5093,1.05),(59,5094,1.21331),(59,5095,1.05),(59,5096,1.19),(59,5097,0.91),(59,5098,1.09669),(59,5099,1.07331),(59,5100,1.28331),(59,5101,0.95669),(59,5102,1.09669),(59,5103,0.32669),(59,5104,0.95669),(59,5105,1.05),(59,5106,1.05),(59,5107,1.26),(59,5108,0.98),(59,5109,1.16669),(59,5110,1.12),(59,5111,1.26),(60,48,0.37331),(60,53,0.32669),(60,425,1.11993),(60,428,0.7),(60,437,0.42),(60,443,0.46669),(60,452,0.46662),(60,661,0.65338),(60,1840,0.98),(60,3794,1.11993),(60,4692,0.98),(60,4693,1.12),(60,4694,1.02669),(60,5075,0.95669),(60,5076,1.02669),(60,5077,1.02669),(60,5078,1.33),(60,5079,0.95669),(60,5080,1.19),(60,5081,0.91),(60,5082,1.07331),(60,5083,0.86331),(60,5084,1.00331),(60,5085,0.98),(60,5086,1.14331),(60,5087,1.00331),(60,5088,1.07331),(60,5089,0.93331),(60,5090,1.07331),(60,5091,1.02669),(60,5092,1.21331),(60,5093,1.05),(60,5094,1.21331),(60,5095,1.05),(60,5096,1.19),(60,5097,0.91),(60,5098,1.09669),(60,5099,1.07331),(60,5100,1.28331),(60,5101,0.95669),(60,5102,1.09669),(60,5103,0.32669),(60,5104,0.95669),(60,5105,1.05),(60,5106,1.05),(60,5107,1.26),(60,5108,0.98),(60,5109,1.16669),(60,5110,1.12),(60,5111,1.26),(64,48,2.23986),(64,49,4.10676),(64,50,4.48),(64,53,1.63345),(64,54,2.87007),(64,55,3.21993),(64,56,1.02669),(64,57,1.26),(64,422,1.4),(64,423,3.08007),(64,424,3.36),(64,425,0.74662),(64,428,1.82),(64,429,3.36),(64,430,3.73324),(64,431,1.05),(64,432,1.16669),(64,433,0.69993),(64,434,2.00662),(64,437,2.94),(64,438,2.19338),(64,439,2.56662),(64,440,2.33338),(64,443,3.26683),(64,448,4.01324),(64,449,4.66676),(64,452,1.39986),(64,453,3.73324),(64,454,4.38676),(64,654,1.82),(64,655,2.19338),(64,661,1.30676),(64,662,2.14662),(64,663,2.42662),(64,1025,2.75338),(64,1026,2.28662),(64,4484,1.05),(64,4485,1.19),(64,4500,0.42),(64,5103,0.32669),(64,5205,1.02669),(64,5206,1.09669),(64,5207,1.05),(64,5208,1.14331),(64,5211,1.23321),(64,5212,5.30321),(64,5755,0.95669),(64,5756,1.02669),(64,5757,1.02669),(64,5758,1.12),(64,5759,1.00331),(64,5760,1.14331),(64,5761,0.98),(64,5762,1.21331),(64,5763,0.88669),(64,5764,1.09669),(64,5765,0.93331),(64,5766,1.07331),(64,5767,0.95669),(64,5768,1.05),(64,5769,0.91),(64,5770,1.07331),(64,5771,0.91),(64,5772,1.00331),(64,5773,1.00331),(64,5774,1.07331),(64,5775,1.14331),(64,5776,1.00331),(64,5777,1.09669),(64,5778,1.19),(64,5779,1.30669),(64,5780,0.98),(64,5781,1.12),(64,5782,2.47338),(64,5783,1.07331),(64,5784,1.19),(64,5785,0.95669),(64,5786,1.16669),(64,5787,0.98),(64,5788,1.07331),(64,5789,1.02669),(64,5790,1.16669),(64,5791,0.98),(64,5792,1.05),(64,5793,0.98),(64,5794,1.19),(64,7269,1.14331),(64,7270,1.05),(64,7271,1.14331),(65,428,1.12),(65,433,0.46662),(65,437,1.68),(65,452,1.39986),(65,3794,1.49324),(65,4498,1.91338),(65,4500,0.84),(65,5095,2.1),(65,5211,1.23321),(65,6201,1.96),(65,6202,2.14662),(65,6203,2.00662),(65,6204,2.19338),(65,6205,1.86662),(65,6206,2.14662),(65,6207,2.00662),(65,6208,2.1),(65,6209,2.1),(65,6210,2.28662),(65,6211,2.14662),(65,6212,2.42662),(65,6213,2.1),(65,6214,2.24),(65,6215,2.38),(65,6216,2.24),(65,6217,2.42662),(65,6218,1.96),(65,6219,2.19338),(65,6220,2.14662),(65,6221,1.02669),(65,6222,1.16669),(65,6223,2.00662),(65,6224,2.24),(70,428,0.28),(70,429,1.68),(70,430,1.86662),(70,433,0.46662),(70,437,0.84),(70,440,2.33338),(70,442,2.52),(70,443,1.40007),(70,450,2.05338),(70,451,2.42662),(70,452,1.16655),(70,3794,0.37331),(70,14057,0.98),(70,14058,1.12),(70,14059,0.95669),(70,14060,1.07331),(70,14061,1.07331),(70,14062,1.19),(70,14063,0.95669),(70,14064,1.16669),(70,14065,0.93331),(70,14066,1.07331),(70,14067,0.93331),(70,14068,1.07331),(70,14069,1.21331),(70,14070,1.02669),(70,14071,1.16669),(70,14072,1.02669),(70,14073,1.28331),(71,428,0.28),(71,429,1.68),(71,430,1.86662),(71,433,0.46662),(71,437,0.84),(71,440,2.33338),(71,442,2.52),(71,443,1.40007),(71,450,2.05338),(71,451,2.42662),(71,452,1.16655),(71,3794,0.37331),(71,14057,0.98),(71,14058,1.12),(71,14059,0.95669),(71,14060,1.07331),(71,14061,1.07331),(71,14062,1.19),(71,14063,0.95669),(71,14064,1.16669),(71,14065,0.93331),(71,14066,1.07331),(71,14067,0.93331),(71,14068,1.07331),(71,14069,1.21331),(71,14070,1.02669),(71,14071,1.16669),(71,14072,1.02669),(71,14073,1.28331),(121,428,0.28),(121,429,1.68),(121,430,1.86662),(121,433,0.46662),(121,437,0.84),(121,440,2.33338),(121,442,2.52),(121,443,1.40007),(121,450,2.05338),(121,451,2.42662),(121,452,1.16655),(121,3794,0.37331),(121,14057,0.98),(121,14058,1.12),(121,14059,0.95669),(121,14060,1.07331),(121,14061,1.07331),(121,14062,1.19),(121,14063,0.95669),(121,14064,1.16669),(121,14065,0.93331),(121,14066,1.07331),(121,14067,0.93331),(121,14068,1.07331),(121,14069,1.21331),(121,14070,1.02669),(121,14071,1.16669),(121,14072,1.02669),(121,14073,1.28331),(146,428,0.28),(146,429,1.68),(146,430,1.86662),(146,433,0.46662),(146,437,0.84),(146,440,2.33338),(146,442,2.52),(146,443,1.40007),(146,450,2.05338),(146,451,2.42662),(146,452,1.16655),(146,3794,0.37331),(146,14057,0.98),(146,14058,1.12),(146,14059,0.95669),(146,14060,1.07331),(146,14061,1.07331),(146,14062,1.19),(146,14063,0.95669),(146,14064,1.16669),(146,14065,0.93331),(146,14066,1.07331),(146,14067,0.93331),(146,14068,1.07331),(146,14069,1.21331),(146,14070,1.02669),(146,14071,1.16669),(146,14072,1.02669),(146,14073,1.28331),(208,428,0.56),(208,429,1.68),(208,430,1.86662),(208,433,0.46662),(208,437,0.84),(208,440,2.33338),(208,442,2.52),(208,443,1.86676),(208,450,2.05338),(208,451,2.42662),(208,452,0.46662),(208,3794,0.74662),(208,4058,0.37324),(208,8842,0.18669),(208,8987,0.42),(208,10439,0.23331),(208,10440,0.91),(208,12013,0.23331),(208,12014,0.91),(208,12093,0.56007),(208,21264,0.91),(208,21265,1.02669),(208,21268,0.18669),(208,21269,0.91),(208,21270,1.02669),(208,21498,0.28),(208,21499,0.93331),(208,21500,1.09669),(208,21501,0.98),(208,21502,1.07331),(208,21503,0.95669),(208,21504,1.02669),(208,21505,0.88669),(208,21506,1.00331),(208,21507,1.05),(208,21508,1.12),(208,21509,1.05),(208,21510,1.14331),(208,21511,0.91),(208,21512,1.09669),(208,21513,0.95669),(208,21514,1.02669),(208,21515,0.46669),(208,21516,1.02669),(208,21517,1.19),(208,21518,1.05),(208,21519,0.18669),(208,21520,0.98),(208,21521,1.05),(208,21704,1.00331),(208,21781,0.86331),(208,21782,1.07331),(208,21783,0.28),(208,21784,0.18669),(208,21785,0.91),(208,21786,0.98),(208,21902,1.00331),(208,21903,1.14331),(208,21953,2.05338),(208,21954,2.14662),(208,21955,1.91338),(208,21956,2.52),(208,21957,1.96),(208,21958,2.24),(208,21959,2.05338),(208,21960,2.19338),(208,21961,2.05338),(208,21962,2.33338),(211,428,0.28),(211,429,1.68),(211,430,1.86662),(211,433,0.46662),(211,437,0.84),(211,440,2.33338),(211,442,2.52),(211,443,1.40007),(211,450,2.05338),(211,451,2.42662),(211,452,1.16655),(211,3794,0.37331),(211,14057,0.98),(211,14058,1.12),(211,14059,0.95669),(211,14060,1.07331),(211,14061,1.07331),(211,14062,1.19),(211,14063,0.95669),(211,14064,1.16669),(211,14065,0.93331),(211,14066,1.07331),(211,14067,0.93331),(211,14068,1.07331),(211,14069,1.21331),(211,14070,1.02669),(211,14071,1.16669),(211,14072,1.02669),(211,14073,1.28331),(212,53,0.98007),(212,54,2.87007),(212,55,3.21993),(212,422,0.84),(212,423,3.08007),(212,424,3.36),(212,425,0.37331),(212,426,0.95669),(212,427,1.02669),(212,428,0.14),(212,431,1.05),(212,432,1.16669),(212,433,0.23331),(212,434,1.00331),(212,437,0.42),(212,438,1.09669),(212,439,1.28331),(212,443,0.46669),(212,448,1.00331),(212,449,1.16669),(212,4045,1.21331),(212,19711,1.23321),(212,19712,5.18),(212,19713,6.53679),(213,48,0.74662),(213,49,2.05338),(213,50,2.24),(213,428,0.14),(213,431,1.05),(213,432,1.16669),(213,433,0.23331),(213,437,0.84),(213,440,2.33338),(213,443,1.40007),(213,448,1.00331),(213,449,1.16669),(213,452,0.46662),(213,453,1.86662),(213,454,2.19338),(213,4046,1.30669),(213,4047,1.07331),(213,10123,1.26),(213,19711,1.23321),(213,19712,5.18),(213,19713,6.53679),(213,19756,1.28331),(213,19757,1.05),(213,19758,1.19),(213,19789,1.02669),(213,19790,1.12),(214,428,0.28),(214,429,1.68),(214,430,1.86662),(214,433,0.46662),(214,437,0.84),(214,440,2.33338),(214,442,2.52),(214,443,1.40007),(214,450,2.05338),(214,451,2.42662),(214,452,1.16655),(214,3794,0.37331),(214,14057,0.98),(214,14058,1.12),(214,14059,0.95669),(214,14060,1.07331),(214,14061,1.07331),(214,14062,1.19),(214,14063,0.95669),(214,14064,1.16669),(214,14065,0.93331),(214,14066,1.07331),(214,14067,0.93331),(214,14068,1.07331),(214,14069,1.21331),(214,14070,1.02669),(214,14071,1.16669),(214,14072,1.02669),(214,14073,1.28331),(214,22604,1.23321),(214,22605,5.30321),(215,425,0.37331),(215,426,0.95669),(215,427,1.02669),(215,428,0.42),(215,431,2.1),(215,432,2.33338),(215,654,0.91),(215,655,1.09669),(215,661,0.32669),(215,662,1.07331),(215,663,1.21331),(215,12013,1.23321),(215,12014,4.81),(215,19896,5.55),(216,48,0.37331),(216,49,1.02669),(216,50,1.12),(216,428,0.28),(216,431,1.05),(216,432,1.16669),(216,433,0.46662),(216,434,2.00662),(216,435,1.09669),(216,437,0.84),(216,438,2.19338),(216,439,2.56662),(216,452,0.46662),(216,453,1.86662),(216,454,2.19338),(216,654,0.91),(216,655,1.09669),(216,661,0.32669),(216,662,1.07331),(216,663,1.21331),(216,5775,1.14331),(216,19938,1.48),(216,19939,5.42679),(216,19940,6.66),(217,428,0.28),(217,429,1.68),(217,430,1.86662),(217,433,0.46662),(217,437,0.84),(217,440,2.33338),(217,442,2.52),(217,443,1.40007),(217,450,2.05338),(217,451,2.42662),(217,452,1.16655),(217,3794,0.37331),(217,14057,0.98),(217,14058,1.12),(217,14059,0.95669),(217,14060,1.07331),(217,14061,1.07331),(217,14062,1.19),(217,14063,0.95669),(217,14064,1.16669),(217,14065,0.93331),(217,14066,1.07331),(217,14067,0.93331),(217,14068,1.07331),(217,14069,1.21331),(217,14070,1.02669),(217,14071,1.16669),(217,14072,1.02669),(217,14073,1.28331),(219,428,0.56),(219,429,1.68),(219,430,1.86662),(219,433,0.46662),(219,437,0.84),(219,440,2.33338),(219,442,2.52),(219,443,1.86676),(219,450,2.05338),(219,451,2.42662),(219,452,0.46662),(219,3794,0.74662),(219,4058,0.37324),(219,8842,0.18669),(219,8987,0.42),(219,10439,0.23331),(219,10440,0.91),(219,12013,1.46652),(219,12014,0.91),(219,12093,0.56007),(219,21264,0.91),(219,21265,1.02669),(219,21268,0.18669),(219,21269,0.91),(219,21270,1.02669),(219,21498,0.28),(219,21499,0.93331),(219,21500,1.09669),(219,21501,0.98),(219,21502,1.07331),(219,21503,0.95669),(219,21504,1.02669),(219,21505,0.88669),(219,21506,1.00331),(219,21507,1.05),(219,21508,1.12),(219,21509,1.05),(219,21510,1.14331),(219,21511,0.91),(219,21512,1.09669),(219,21513,0.95669),(219,21514,1.02669),(219,21515,0.46669),(219,21516,1.02669),(219,21517,1.19),(219,21518,1.05),(219,21519,0.18669),(219,21520,0.98),(219,21521,1.05),(219,21704,1.00331),(219,21732,0.32004),(219,21781,0.86331),(219,21782,1.07331),(219,21783,0.28),(219,21784,0.18669),(219,21785,0.91),(219,21786,0.98),(219,21902,1.00331),(219,21903,1.14331),(219,21953,2.05338),(219,21954,2.14662),(219,21955,1.91338),(219,21956,2.52),(219,21957,1.96),(219,21958,2.24),(219,21959,2.05338),(219,21960,2.19338),(219,21961,2.05338),(219,21962,2.33338),(219,22200,1.48),(219,22201,4.68679),(219,22202,5.55),(219,22210,1.56),(220,428,0.56),(220,429,1.68),(220,430,1.86662),(220,433,0.46662),(220,437,0.84),(220,440,2.33338),(220,442,2.52),(220,443,1.86676),(220,450,2.05338),(220,451,2.42662),(220,452,0.46662),(220,3794,0.74662),(220,4058,0.37324),(220,8842,0.18669),(220,8987,0.42),(220,10439,0.23331),(220,10440,0.91),(220,12013,0.23331),(220,12014,0.91),(220,12093,0.56007),(220,21264,0.91),(220,21265,1.02669),(220,21268,0.18669),(220,21269,0.91),(220,21270,1.02669),(220,21498,0.28),(220,21499,0.93331),(220,21500,1.09669),(220,21501,0.98),(220,21502,1.07331),(220,21503,0.95669),(220,21504,1.02669),(220,21505,0.88669),(220,21506,1.00331),(220,21507,1.05),(220,21508,1.12),(220,21509,1.05),(220,21510,1.14331),(220,21511,0.91),(220,21512,1.09669),(220,21513,0.95669),(220,21514,1.02669),(220,21515,0.46669),(220,21516,1.02669),(220,21517,1.19),(220,21518,1.05),(220,21519,0.18669),(220,21520,0.98),(220,21521,1.05),(220,21704,1.00331),(220,21732,0.32004),(220,21781,0.86331),(220,21782,1.07331),(220,21783,0.28),(220,21784,0.18669),(220,21785,0.91),(220,21786,0.98),(220,21902,1.00331),(220,21903,1.14331),(220,21953,2.05338),(220,21954,2.14662),(220,21955,1.91338),(220,21956,2.52),(220,21957,1.96),(220,21958,2.24),(220,21959,2.05338),(220,21960,2.19338),(220,21961,2.05338),(220,21962,2.33338),(220,22210,1.56),(221,428,0.56),(221,429,1.68),(221,430,1.86662),(221,433,0.46662),(221,437,0.84),(221,440,2.33338),(221,442,2.52),(221,443,1.86676),(221,450,2.05338),(221,451,2.42662),(221,452,0.46662),(221,3794,0.74662),(221,4058,0.37324),(221,8842,0.18669),(221,8987,0.42),(221,10439,0.23331),(221,10440,0.91),(221,12013,0.23331),(221,12014,0.91),(221,12093,0.56007),(221,21264,0.91),(221,21265,1.02669),(221,21268,0.18669),(221,21269,0.91),(221,21270,1.02669),(221,21498,0.28),(221,21499,0.93331),(221,21500,1.09669),(221,21501,0.98),(221,21502,1.07331),(221,21503,0.95669),(221,21504,1.02669),(221,21505,0.88669),(221,21506,1.00331),(221,21507,1.05),(221,21508,1.12),(221,21509,1.05),(221,21510,1.14331),(221,21511,0.91),(221,21512,1.09669),(221,21513,0.95669),(221,21514,1.02669),(221,21515,0.46669),(221,21516,1.02669),(221,21517,1.19),(221,21518,1.05),(221,21519,0.18669),(221,21520,0.98),(221,21521,1.05),(221,21704,1.00331),(221,21732,0.32004),(221,21781,0.86331),(221,21782,1.07331),(221,21783,0.28),(221,21784,0.18669),(221,21785,0.91),(221,21786,0.98),(221,21902,1.00331),(221,21903,1.14331),(221,21953,2.05338),(221,21954,2.14662),(221,21955,1.91338),(221,21956,2.52),(221,21957,1.96),(221,21958,2.24),(221,21959,2.05338),(221,21960,2.19338),(221,21961,2.05338),(221,21962,2.33338),(221,22210,1.56),(222,428,0.56),(222,429,1.68),(222,430,1.86662),(222,433,0.46662),(222,437,0.84),(222,440,2.33338),(222,442,2.52),(222,443,1.86676),(222,450,2.05338),(222,451,2.42662),(222,452,0.46662),(222,3794,0.74662),(222,4058,0.37324),(222,8842,0.18669),(222,8987,0.42),(222,10439,0.23331),(222,10440,0.91),(222,12013,0.23331),(222,12014,0.91),(222,12093,0.56007),(222,21264,0.91),(222,21265,1.02669),(222,21268,0.18669),(222,21269,0.91),(222,21270,1.02669),(222,21498,0.28),(222,21499,0.93331),(222,21500,1.09669),(222,21501,0.98),(222,21502,1.07331),(222,21503,0.95669),(222,21504,1.02669),(222,21505,0.88669),(222,21506,1.00331),(222,21507,1.05),(222,21508,1.12),(222,21509,1.05),(222,21510,1.14331),(222,21511,0.91),(222,21512,1.09669),(222,21513,0.95669),(222,21514,1.02669),(222,21515,0.46669),(222,21516,1.02669),(222,21517,1.19),(222,21518,1.05),(222,21519,0.18669),(222,21520,0.98),(222,21521,1.05),(222,21704,1.00331),(222,21732,0.32004),(222,21781,0.86331),(222,21782,1.07331),(222,21783,0.28),(222,21784,0.18669),(222,21785,0.91),(222,21786,0.98),(222,21902,1.00331),(222,21903,1.14331),(222,21953,2.05338),(222,21954,2.14662),(222,21955,1.91338),(222,21956,2.52),(222,21957,1.96),(222,21958,2.24),(222,21959,2.05338),(222,21960,2.19338),(222,21961,2.05338),(222,21962,2.33338),(222,22020,0.98679),(222,22210,1.56),(222,22527,5.05679),(222,22528,5.67321),(223,428,0.56),(223,429,1.68),(223,430,1.86662),(223,433,0.46662),(223,437,0.84),(223,440,2.33338),(223,442,2.52),(223,443,1.86676),(223,450,2.05338),(223,451,2.42662),(223,452,0.46662),(223,3794,0.74662),(223,4058,0.37324),(223,8842,0.18669),(223,8987,0.42),(223,10439,0.23331),(223,10440,0.91),(223,12013,0.23331),(223,12014,0.91),(223,12093,0.56007),(223,21264,0.91),(223,21265,1.02669),(223,21268,0.18669),(223,21269,0.91),(223,21270,1.02669),(223,21498,0.28),(223,21499,0.93331),(223,21500,1.09669),(223,21501,0.98),(223,21502,1.07331),(223,21503,0.95669),(223,21504,1.02669),(223,21505,0.88669),(223,21506,1.00331),(223,21507,1.05),(223,21508,1.12),(223,21509,1.05),(223,21510,1.14331),(223,21511,0.91),(223,21512,1.09669),(223,21513,0.95669),(223,21514,1.02669),(223,21515,0.46669),(223,21516,1.02669),(223,21517,1.19),(223,21518,1.05),(223,21519,0.18669),(223,21520,0.98),(223,21521,1.05),(223,21704,1.00331),(223,21781,0.86331),(223,21782,1.07331),(223,21783,0.28),(223,21784,0.18669),(223,21785,0.91),(223,21786,0.98),(223,21902,1.00331),(223,21903,1.14331),(223,21953,2.05338),(223,21954,2.14662),(223,21955,1.91338),(223,21956,2.52),(223,21957,1.96),(223,21958,2.24),(223,21959,2.05338),(223,21960,2.19338),(223,21961,2.05338),(223,21962,2.33338),(223,22213,0.63996),(223,22214,1.68),(223,22215,2.04),(224,428,0.56),(224,429,1.68),(224,430,1.86662),(224,433,0.46662),(224,437,0.84),(224,440,2.33338),(224,442,2.52),(224,443,1.86676),(224,450,2.05338),(224,451,2.42662),(224,452,0.46662),(224,3794,0.74662),(224,4058,0.37324),(224,8842,0.18669),(224,8987,0.42),(224,10439,0.23331),(224,10440,0.91),(224,12013,0.23331),(224,12014,0.91),(224,12093,1.54686),(224,21264,0.91),(224,21265,1.02669),(224,21268,0.18669),(224,21269,0.91),(224,21270,1.02669),(224,21498,0.28),(224,21499,0.93331),(224,21500,1.09669),(224,21501,0.98),(224,21502,1.07331),(224,21503,0.95669),(224,21504,1.02669),(224,21505,0.88669),(224,21506,1.00331),(224,21507,1.05),(224,21508,1.12),(224,21509,1.05),(224,21510,1.14331),(224,21511,0.91),(224,21512,1.09669),(224,21513,0.95669),(224,21514,1.02669),(224,21515,0.46669),(224,21516,1.02669),(224,21517,1.19),(224,21518,1.05),(224,21519,0.18669),(224,21520,0.98),(224,21521,1.05),(224,21704,1.00331),(224,21781,0.86331),(224,21782,1.07331),(224,21783,0.28),(224,21784,0.18669),(224,21785,0.91),(224,21786,0.98),(224,21902,1.00331),(224,21903,1.14331),(224,21953,2.05338),(224,21954,2.14662),(224,21955,1.91338),(224,21956,2.52),(224,21957,1.96),(224,21958,2.24),(224,21959,2.05338),(224,21960,2.19338),(224,21961,2.05338),(224,21962,2.33338),(224,22213,0.63996),(224,22214,1.68),(224,22215,2.04),(224,22245,4.44),(224,22246,5.05679),(224,22277,0.2666),(224,22510,2.4666),(225,428,0.56),(225,429,1.68),(225,430,1.86662),(225,433,0.46662),(225,437,0.84),(225,440,2.33338),(225,442,2.52),(225,443,1.86676),(225,450,2.05338),(225,451,2.42662),(225,452,0.46662),(225,3794,0.74662),(225,4058,0.37324),(225,8842,0.18669),(225,8964,0.98679),(225,8987,0.42),(225,10439,0.23331),(225,10440,0.91),(225,12013,0.23331),(225,12014,0.91),(225,12093,0.56007),(225,21264,0.91),(225,21265,1.02669),(225,21268,0.18669),(225,21269,0.91),(225,21270,1.02669),(225,21498,0.28),(225,21499,0.93331),(225,21500,1.09669),(225,21501,0.98),(225,21502,1.07331),(225,21503,0.95669),(225,21504,1.02669),(225,21505,0.88669),(225,21506,1.00331),(225,21507,1.05),(225,21508,1.12),(225,21509,1.05),(225,21510,1.14331),(225,21511,0.91),(225,21512,1.09669),(225,21513,0.95669),(225,21514,1.02669),(225,21515,0.46669),(225,21516,1.02669),(225,21517,1.19),(225,21518,1.05),(225,21519,0.18669),(225,21520,0.98),(225,21521,1.05),(225,21704,1.00331),(225,21781,0.86331),(225,21782,1.07331),(225,21783,0.28),(225,21784,0.18669),(225,21785,0.91),(225,21786,0.98),(225,21902,1.00331),(225,21903,1.14331),(225,21953,2.05338),(225,21954,2.14662),(225,21955,1.91338),(225,21956,2.52),(225,21957,1.96),(225,21958,2.24),(225,21959,2.05338),(225,21960,2.19338),(225,21961,2.05338),(225,21962,2.33338),(225,22213,0.63996),(225,22214,1.68),(225,22215,2.04),(225,22225,4.81),(225,22513,5.30321),(226,428,0.56),(226,429,1.68),(226,430,1.86662),(226,433,0.46662),(226,437,0.84),(226,440,2.33338),(226,442,2.52),(226,443,1.86676),(226,450,2.05338),(226,451,2.42662),(226,452,0.46662),(226,3794,0.74662),(226,4058,0.37324),(226,8842,0.18669),(226,8987,0.42),(226,10439,0.23331),(226,10440,0.91),(226,12013,0.23331),(226,12014,0.91),(226,12093,0.56007),(226,21264,0.91),(226,21265,1.02669),(226,21268,0.18669),(226,21269,0.91),(226,21270,1.02669),(226,21498,0.28),(226,21499,0.93331),(226,21500,1.09669),(226,21501,0.98),(226,21502,1.07331),(226,21503,0.95669),(226,21504,1.02669),(226,21505,0.88669),(226,21506,1.00331),(226,21507,1.05),(226,21508,1.12),(226,21509,1.05),(226,21510,1.14331),(226,21511,0.91),(226,21512,1.09669),(226,21513,0.95669),(226,21514,1.02669),(226,21515,0.46669),(226,21516,1.02669),(226,21517,1.19),(226,21518,1.05),(226,21519,0.18669),(226,21520,0.98),(226,21521,1.05),(226,21704,1.00331),(226,21781,0.86331),(226,21782,1.07331),(226,21783,0.28),(226,21784,0.18669),(226,21785,0.91),(226,21786,0.98),(226,21902,1.00331),(226,21903,1.14331),(226,21953,2.05338),(226,21954,2.14662),(226,21955,1.91338),(226,21956,2.52),(226,21957,1.96),(226,21958,2.24),(226,21959,2.05338),(226,21960,2.19338),(226,21961,2.05338),(226,21962,2.33338),(226,22213,0.63996),(226,22214,1.68),(226,22215,2.04),(227,428,0.56),(227,429,1.68),(227,430,1.86662),(227,433,0.46662),(227,437,0.84),(227,440,2.33338),(227,442,2.52),(227,443,1.86676),(227,450,2.05338),(227,451,2.42662),(227,452,0.46662),(227,3794,0.74662),(227,4058,0.37324),(227,8842,0.18669),(227,8987,0.42),(227,10439,0.23331),(227,10440,0.91),(227,12013,0.23331),(227,12014,0.91),(227,12093,0.56007),(227,21264,0.91),(227,21265,1.02669),(227,21268,0.18669),(227,21269,0.91),(227,21270,1.02669),(227,21498,0.28),(227,21499,0.93331),(227,21500,1.09669),(227,21501,0.98),(227,21502,1.07331),(227,21503,0.95669),(227,21504,1.02669),(227,21505,0.88669),(227,21506,1.00331),(227,21507,1.05),(227,21508,1.12),(227,21509,1.05),(227,21510,1.14331),(227,21511,0.91),(227,21512,1.09669),(227,21513,0.95669),(227,21514,1.02669),(227,21515,0.46669),(227,21516,1.02669),(227,21517,1.19),(227,21518,1.05),(227,21519,0.18669),(227,21520,0.98),(227,21521,1.05),(227,21704,1.00331),(227,21732,0.32004),(227,21781,0.86331),(227,21782,1.07331),(227,21783,0.28),(227,21784,0.18669),(227,21785,0.91),(227,21786,0.98),(227,21902,1.00331),(227,21903,1.14331),(227,21953,2.05338),(227,21954,2.14662),(227,21955,1.91338),(227,21956,2.52),(227,21957,1.96),(227,21958,2.24),(227,21959,2.05338),(227,21960,2.19338),(227,21961,2.05338),(227,21962,2.33338),(227,22037,1.23321),(227,22345,1.64004),(227,22505,5.05679),(227,22506,5.79679),(228,428,0.56),(228,429,1.68),(228,430,1.86662),(228,433,0.46662),(228,437,0.84),(228,440,2.33338),(228,442,2.52),(228,443,1.86676),(228,450,2.05338),(228,451,2.42662),(228,452,0.46662),(228,3794,0.74662),(228,4058,0.37324),(228,8842,0.18669),(228,8987,0.42),(228,10439,0.23331),(228,10440,0.91),(228,12013,0.23331),(228,12014,0.91),(228,12093,0.56007),(228,21264,0.91),(228,21265,1.02669),(228,21268,0.18669),(228,21269,0.91),(228,21270,1.02669),(228,21498,0.28),(228,21499,0.93331),(228,21500,1.09669),(228,21501,0.98),(228,21502,1.07331),(228,21503,0.95669),(228,21504,1.02669),(228,21505,0.88669),(228,21506,1.00331),(228,21507,1.05),(228,21508,1.12),(228,21509,1.05),(228,21510,1.14331),(228,21511,0.91),(228,21512,1.09669),(228,21513,0.95669),(228,21514,1.02669),(228,21515,0.46669),(228,21516,1.02669),(228,21517,1.19),(228,21518,1.05),(228,21519,0.18669),(228,21520,0.98),(228,21521,1.05),(228,21704,1.00331),(228,21732,0.32004),(228,21781,0.86331),(228,21782,1.07331),(228,21783,0.28),(228,21784,0.18669),(228,21785,0.91),(228,21786,0.98),(228,21902,1.00331),(228,21903,1.14331),(228,21953,2.05338),(228,21954,2.14662),(228,21955,1.91338),(228,21956,2.52),(228,21957,1.96),(228,21958,2.24),(228,21959,2.05338),(228,21960,2.19338),(228,21961,2.05338),(228,21962,2.33338),(228,22345,1.64004),(229,428,0.56),(229,429,1.68),(229,430,1.86662),(229,433,0.46662),(229,437,0.84),(229,440,2.33338),(229,442,2.52),(229,443,1.86676),(229,450,2.05338),(229,451,2.42662),(229,452,0.46662),(229,3794,0.74662),(229,4058,0.37324),(229,8842,0.18669),(229,8987,0.42),(229,10439,0.23331),(229,10440,0.91),(229,12013,0.23331),(229,12014,0.91),(229,12093,0.56007),(229,21264,0.91),(229,21265,1.02669),(229,21268,0.18669),(229,21269,0.91),(229,21270,1.02669),(229,21498,0.28),(229,21499,0.93331),(229,21500,1.09669),(229,21501,0.98),(229,21502,1.07331),(229,21503,0.95669),(229,21504,1.02669),(229,21505,0.88669),(229,21506,1.00331),(229,21507,1.05),(229,21508,1.12),(229,21509,1.05),(229,21510,1.14331),(229,21511,0.91),(229,21512,1.09669),(229,21513,0.95669),(229,21514,1.02669),(229,21515,0.46669),(229,21516,1.02669),(229,21517,1.19),(229,21518,1.05),(229,21519,0.18669),(229,21520,0.98),(229,21521,1.05),(229,21704,1.00331),(229,21732,0.32004),(229,21781,0.86331),(229,21782,1.07331),(229,21783,0.28),(229,21784,0.18669),(229,21785,0.91),(229,21786,0.98),(229,21902,1.00331),(229,21903,1.14331),(229,21953,2.05338),(229,21954,2.14662),(229,21955,1.91338),(229,21956,2.52),(229,21957,1.96),(229,21958,2.24),(229,21959,2.05338),(229,21960,2.19338),(229,21961,2.05338),(229,21962,2.33338),(229,22345,1.64004),(230,428,0.56),(230,429,1.68),(230,430,1.86662),(230,433,0.46662),(230,437,0.84),(230,440,2.33338),(230,442,2.52),(230,443,1.86676),(230,450,2.05338),(230,451,2.42662),(230,452,0.46662),(230,3794,0.74662),(230,4058,0.37324),(230,8842,0.18669),(230,8987,0.42),(230,10439,0.23331),(230,10440,0.91),(230,12013,0.23331),(230,12014,0.91),(230,12093,0.56007),(230,21264,0.91),(230,21265,1.02669),(230,21268,0.18669),(230,21269,0.91),(230,21270,1.02669),(230,21498,0.28),(230,21499,0.93331),(230,21500,1.09669),(230,21501,0.98),(230,21502,1.07331),(230,21503,0.95669),(230,21504,1.02669),(230,21505,0.88669),(230,21506,1.00331),(230,21507,1.05),(230,21508,1.12),(230,21509,1.05),(230,21510,1.14331),(230,21511,0.91),(230,21512,1.09669),(230,21513,0.95669),(230,21514,1.02669),(230,21515,0.46669),(230,21516,1.02669),(230,21517,1.19),(230,21518,1.05),(230,21519,0.18669),(230,21520,0.98),(230,21521,1.05),(230,21704,1.00331),(230,21732,0.32004),(230,21781,0.86331),(230,21782,1.07331),(230,21783,0.28),(230,21784,0.18669),(230,21785,0.91),(230,21786,0.98),(230,21902,1.00331),(230,21903,1.14331),(230,21953,2.05338),(230,21954,2.14662),(230,21955,1.91338),(230,21956,2.52),(230,21957,1.96),(230,21958,2.24),(230,21959,2.05338),(230,21960,2.19338),(230,21961,2.05338),(230,21962,2.33338),(230,22345,1.64004),(231,428,0.56),(231,429,1.68),(231,430,1.86662),(231,433,0.46662),(231,437,0.84),(231,440,2.33338),(231,442,2.52),(231,443,1.86676),(231,450,2.05338),(231,451,2.42662),(231,452,0.46662),(231,3794,0.74662),(231,4058,0.37324),(231,8842,0.18669),(231,8987,0.42),(231,10439,0.23331),(231,10440,0.91),(231,12013,0.23331),(231,12014,0.91),(231,12093,0.56007),(231,19711,1.23321),(231,19712,5.18),(231,19713,6.53679),(231,21264,0.91),(231,21265,1.02669),(231,21268,0.18669),(231,21269,0.91),(231,21270,1.02669),(231,21498,0.28),(231,21499,0.93331),(231,21500,1.09669),(231,21501,0.98),(231,21502,1.07331),(231,21503,0.95669),(231,21504,1.02669),(231,21505,0.88669),(231,21506,1.00331),(231,21507,1.05),(231,21508,1.12),(231,21509,1.05),(231,21510,1.14331),(231,21511,0.91),(231,21512,1.09669),(231,21513,0.95669),(231,21514,1.02669),(231,21515,0.46669),(231,21516,1.02669),(231,21517,1.19),(231,21518,1.05),(231,21519,0.18669),(231,21520,0.98),(231,21521,1.05),(231,21704,1.00331),(231,21781,0.86331),(231,21782,1.07331),(231,21783,0.28),(231,21784,0.18669),(231,21785,0.91),(231,21786,0.98),(231,21902,1.00331),(231,21903,1.14331),(231,21953,2.05338),(231,21954,2.14662),(231,21955,1.91338),(231,21956,2.52),(231,21957,1.96),(231,21958,2.24),(231,21959,2.05338),(231,21960,2.19338),(231,21961,2.05338),(231,21962,2.33338),(232,428,0.56),(232,429,1.68),(232,430,1.86662),(232,433,0.46662),(232,437,0.84),(232,440,2.33338),(232,442,2.52),(232,443,1.86676),(232,450,2.05338),(232,451,2.42662),(232,452,0.46662),(232,3794,0.74662),(232,4058,0.37324),(232,8842,0.18669),(232,8987,0.42),(232,10439,0.23331),(232,10440,0.91),(232,12013,0.23331),(232,12014,0.91),(232,12093,0.56007),(232,21264,0.91),(232,21265,1.02669),(232,21268,0.18669),(232,21269,0.91),(232,21270,1.02669),(232,21498,0.28),(232,21499,0.93331),(232,21500,1.09669),(232,21501,0.98),(232,21502,1.07331),(232,21503,0.95669),(232,21504,1.02669),(232,21505,0.88669),(232,21506,1.00331),(232,21507,1.05),(232,21508,1.12),(232,21509,1.05),(232,21510,1.14331),(232,21511,0.91),(232,21512,1.09669),(232,21513,0.95669),(232,21514,1.02669),(232,21515,0.46669),(232,21516,1.02669),(232,21517,1.19),(232,21518,1.05),(232,21519,0.18669),(232,21520,0.98),(232,21521,1.05),(232,21704,1.00331),(232,21781,0.86331),(232,21782,1.07331),(232,21783,0.28),(232,21784,0.18669),(232,21785,0.91),(232,21786,0.98),(232,21902,1.00331),(232,21903,1.14331),(232,21953,2.05338),(232,21954,2.14662),(232,21955,1.91338),(232,21956,2.52),(232,21957,1.96),(232,21958,2.24),(232,21959,2.05338),(232,21960,2.19338),(232,21961,2.05338),(232,21962,2.33338),(232,22580,2.22),(232,22581,5.79679),(233,428,0.56),(233,429,1.68),(233,430,1.86662),(233,433,0.46662),(233,437,0.84),(233,440,2.33338),(233,442,2.52),(233,443,1.86676),(233,450,2.05338),(233,451,2.42662),(233,452,0.46662),(233,3794,0.74662),(233,4058,0.37324),(233,8842,0.18669),(233,8987,0.42),(233,10439,0.23331),(233,10440,0.91),(233,12013,0.23331),(233,12014,0.91),(233,12093,0.56007),(233,21264,0.91),(233,21265,1.02669),(233,21268,0.18669),(233,21269,0.91),(233,21270,1.02669),(233,21498,0.28),(233,21499,0.93331),(233,21500,1.09669),(233,21501,0.98),(233,21502,1.07331),(233,21503,0.95669),(233,21504,1.02669),(233,21505,0.88669),(233,21506,1.00331),(233,21507,1.05),(233,21508,1.12),(233,21509,1.05),(233,21510,1.14331),(233,21511,0.91),(233,21512,1.09669),(233,21513,0.95669),(233,21514,1.02669),(233,21515,0.46669),(233,21516,1.02669),(233,21517,1.19),(233,21518,1.05),(233,21519,0.18669),(233,21520,0.98),(233,21521,1.05),(233,21704,1.00331),(233,21781,0.86331),(233,21782,1.07331),(233,21783,0.28),(233,21784,0.18669),(233,21785,0.91),(233,21786,0.98),(233,21902,1.00331),(233,21903,1.14331),(233,21953,2.05338),(233,21954,2.14662),(233,21955,1.91338),(233,21956,2.52),(233,21957,1.96),(233,21958,2.24),(233,21959,2.05338),(233,21960,2.19338),(233,21961,2.05338),(233,21962,2.33338);


--
-- Table structure for table `#__finder_links_termsa`
--



CREATE TABLE `#__finder_links_termsa` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termsa`
--


INSERT INTO `#__finder_links_termsa` (`link_id`, `term_id`, `weight`) VALUES (24,1424,0.17),(40,18005,1.2),(40,18006,1.76004),(40,18007,2.12004),(42,1424,0.07),(42,17236,0.84),(42,17237,0.91),(70,18159,0.18662),(70,18160,0.91),(70,18161,1.09669),(70,18189,0.88669),(70,18190,1.07331),(71,18159,0.18662),(71,18160,0.91),(71,18161,1.09669),(71,18189,0.88669),(71,18190,1.07331),(77,1424,0.17),(121,18159,0.18662),(121,18160,0.91),(121,18161,1.09669),(121,18189,0.88669),(121,18190,1.07331),(146,18159,0.18662),(146,18160,0.91),(146,18161,1.09669),(146,18189,0.88669),(146,18190,1.07331),(211,18159,0.18662),(211,18160,0.91),(211,18161,1.09669),(211,18189,0.88669),(211,18190,1.07331),(214,18159,0.18662),(214,18160,0.91),(214,18161,1.09669),(214,18189,0.88669),(214,18190,1.07331),(217,18159,0.18662),(217,18160,0.91),(217,18161,1.09669),(217,18189,0.88669),(217,18190,1.07331);


--
-- Table structure for table `#__finder_links_termsb`
--



CREATE TABLE `#__finder_links_termsb` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termsb`
--


INSERT INTO `#__finder_links_termsb` (`link_id`, `term_id`, `weight`) VALUES (33,1464,0.8),(33,1465,1.02),(34,1465,2.22),(40,11880,0.39996),(40,18011,1.52004),(40,18012,1.8),(41,1500,0.32004),(41,1501,1.56),(42,1464,0.56),(42,2459,0.04669),(42,2460,0.93331),(42,2461,1.05),(42,2462,0.28),(42,2463,1.07331),(42,2464,1.14331),(42,2466,0.98),(42,2467,1.12),(42,2474,0.42),(42,2475,1.09669),(42,2476,1.21331),(42,2477,0.42),(42,2478,1.09669),(42,2479,1.21331),(42,2480,0.42),(42,2481,1.09669),(42,2482,1.21331),(42,2501,0.60669),(42,2502,1.09669),(42,2503,1.21331),(42,2504,1.21338),(42,2505,1.09669),(42,2506,1.21331),(42,2507,0.60669),(42,2508,1.09669),(42,2509,1.21331),(42,2510,0.60669),(42,2511,1.09669),(42,2512,1.21331),(42,2513,0.7),(42,2514,1.23669),(42,2515,1.30669),(42,2516,0.7),(42,2517,1.19),(42,2518,1.26),(42,2519,0.7),(42,2520,1.21331),(42,2521,1.28331),(42,2528,0.42),(42,2529,1.05),(42,2530,1.19),(42,2531,0.42),(42,2532,1.05),(42,2533,1.19),(42,2534,0.42),(42,2535,1.05),(42,2536,1.19),(42,2537,0.42),(42,2538,1.05),(42,2539,1.19),(42,2546,0.32669),(42,2547,0.98),(42,2548,1.09669),(42,2549,0.32669),(42,2550,0.98),(42,2551,1.09669),(42,2552,0.32669),(42,2553,0.93331),(42,2554,1.05),(42,2599,0.56),(42,2600,1.09669),(42,2601,1.33),(42,2602,0.56),(42,2603,1.09669),(42,2604,1.33),(42,2605,0.56),(42,2606,1.09669),(42,2607,1.33),(42,2608,0.56),(42,2609,1.09669),(42,2610,1.33),(42,2614,0.42),(42,2615,0.98),(42,2616,1.12),(42,2700,3.17373),(42,2701,2.52),(42,2702,3.00993),(42,2709,7.28),(42,2710,4.01324),(42,2712,4.10676),(42,2713,2.73),(42,2714,3.08007),(42,2715,2.73),(42,2716,3.08007),(42,16897,1.12),(42,16898,1.26),(42,20795,1.14331),(42,20796,1.28331),(42,20873,0.28),(42,20874,0.93331),(42,20875,1.23669),(42,20978,0.46669),(42,20979,1.14331),(42,20980,1.26),(57,4542,0.14),(57,6856,0.95669),(57,17789,0.56),(57,17790,0.93331),(57,19659,1.12),(57,19660,0.86331),(57,19661,1.00331),(57,19662,0.88669),(57,19663,0.98),(57,19800,1.02669),(57,21122,0.14),(57,21123,0.88669),(57,21124,0.95669),(57,21125,0.18669),(57,21126,0.98),(57,21127,1.16669),(57,21128,0.37331),(57,21129,1.00331),(57,21130,1.09669),(57,22087,0.91),(57,22088,1.02669),(58,179,0.32669),(58,4802,0.95669),(58,4803,1.07331),(59,179,0.32669),(59,4802,0.95669),(59,4803,1.07331),(60,179,0.32669),(60,4802,0.95669),(60,4803,1.07331),(64,179,3.2669),(64,180,9.3331),(64,181,10.5),(65,179,0.65338),(65,5960,2.1),(65,5961,2.24),(73,1465,2.94),(73,6316,1.11996),(73,6317,1.92),(73,6318,2.16),(73,6319,5.42679),(74,1464,0.48),(74,1465,2.94),(74,6336,1.59996),(74,6337,5.42679),(75,1465,3.66),(75,6346,5.92),(76,1464,0.48),(76,1465,2.94),(76,6336,1.59996),(76,6350,5.92),(77,1465,2.94),(77,6316,1.11996),(77,6317,1.92),(77,6355,5.92),(78,1465,2.94),(78,6316,1.11996),(78,6317,1.92),(78,6318,2.16),(78,6357,5.30321),(78,6358,5.92),(208,21550,0.23331),(208,21551,0.93331),(208,21552,1.05),(208,21795,0.18669),(208,21796,0.88669),(208,21797,1.00331),(208,21798,0.18669),(208,21799,0.98),(208,21800,1.14331),(212,179,0.32669),(212,180,0.93331),(212,181,1.05),(215,179,0.32669),(215,180,0.93331),(215,181,1.05),(216,179,0.32669),(216,180,0.93331),(216,181,1.05),(216,19919,1.23321),(216,19920,5.18),(216,19921,5.55),(219,21550,0.23331),(219,21551,0.93331),(219,21552,1.05),(219,21795,0.18669),(219,21796,0.88669),(219,21797,1.00331),(219,21798,0.18669),(219,21799,0.98),(219,21800,1.14331),(220,21550,0.23331),(220,21551,0.93331),(220,21552,1.05),(220,21795,0.18669),(220,21796,0.88669),(220,21797,1.00331),(220,21798,0.18669),(220,21799,0.98),(220,21800,1.14331),(221,21550,0.23331),(221,21551,0.93331),(221,21552,1.05),(221,21795,0.18669),(221,21796,0.88669),(221,21797,1.00331),(221,21798,0.18669),(221,21799,0.98),(221,21800,1.14331),(222,21550,0.23331),(222,21551,0.93331),(222,21552,1.05),(222,21795,0.18669),(222,21796,0.88669),(222,21797,1.00331),(222,21798,0.18669),(222,21799,0.98),(222,21800,1.14331),(223,21550,0.23331),(223,21551,0.93331),(223,21552,1.05),(223,21795,0.18669),(223,21796,0.88669),(223,21797,1.00331),(223,21798,0.18669),(223,21799,0.98),(223,21800,1.14331),(224,21550,0.23331),(224,21551,0.93331),(224,21552,1.05),(224,21795,0.18669),(224,21796,0.88669),(224,21797,1.00331),(224,21798,0.18669),(224,21799,0.98),(224,21800,1.14331),(225,21550,0.23331),(225,21551,0.93331),(225,21552,1.05),(225,21795,0.18669),(225,21796,0.88669),(225,21797,1.00331),(225,21798,0.18669),(225,21799,0.98),(225,21800,1.14331),(226,21550,0.23331),(226,21551,0.93331),(226,21552,1.05),(226,21795,0.18669),(226,21796,0.88669),(226,21797,1.00331),(226,21798,0.18669),(226,21799,0.98),(226,21800,1.14331),(227,21550,0.23331),(227,21551,0.93331),(227,21552,1.05),(227,21795,0.18669),(227,21796,0.88669),(227,21797,1.00331),(227,21798,0.18669),(227,21799,0.98),(227,21800,1.14331),(228,21550,0.23331),(228,21551,0.93331),(228,21552,1.05),(228,21795,0.18669),(228,21796,0.88669),(228,21797,1.00331),(228,21798,0.18669),(228,21799,0.98),(228,21800,1.14331),(229,21550,0.23331),(229,21551,0.93331),(229,21552,1.05),(229,21795,0.18669),(229,21796,0.88669),(229,21797,1.00331),(229,21798,0.18669),(229,21799,0.98),(229,21800,1.14331),(230,21550,0.23331),(230,21551,0.93331),(230,21552,1.05),(230,21795,0.18669),(230,21796,0.88669),(230,21797,1.00331),(230,21798,0.18669),(230,21799,0.98),(230,21800,1.14331),(231,21550,0.23331),(231,21551,0.93331),(231,21552,1.05),(231,21795,0.18669),(231,21796,0.88669),(231,21797,1.00331),(231,21798,0.18669),(231,21799,0.98),(231,21800,1.14331),(232,21550,0.23331),(232,21551,0.93331),(232,21552,1.05),(232,21795,0.18669),(232,21796,0.88669),(232,21797,1.00331),(232,21798,0.18669),(232,21799,0.98),(232,21800,1.14331),(232,22573,1.48),(232,22574,5.67321),(232,22575,6.66),(233,21550,0.23331),(233,21551,0.93331),(233,21552,1.05),(233,21795,0.18669),(233,21796,0.88669),(233,21797,1.00331),(233,21798,0.18669),(233,21799,0.98),(233,21800,1.14331);


--
-- Table structure for table `#__finder_links_termsc`
--



CREATE TABLE `#__finder_links_termsc` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termsc`
--


INSERT INTO `#__finder_links_termsc` (`link_id`, `term_id`, `weight`) VALUES (22,1420,0.17),(28,1431,0.17),(30,1437,0.34),(31,1444,0.34),(32,1448,0.34),(33,1463,0.34),(34,1466,0.34),(35,1467,0.34),(37,1480,0.2),(38,1420,0.2),(40,1480,0.17),(40,18010,0.96),(41,1420,0.17),(41,1486,0.24),(41,1487,1.64004),(41,1488,1.76004),(41,1526,0.24),(41,1527,0.72),(41,1531,0.48),(41,1532,1.47996),(42,1420,0.07),(42,1480,0.24),(42,1598,0.42),(42,1599,2.66007),(42,1600,3.08007),(42,1601,0.42),(42,1602,2.66007),(42,1603,3.08007),(42,1609,0.84),(42,1610,0.91),(42,17232,0.84),(42,17233,0.91),(43,1420,0.17),(57,1466,0.14),(57,1598,0.14),(57,1601,0.14),(57,1604,0.14),(57,4520,0.34),(57,17861,0.84),(57,17862,0.93331),(57,17863,0.84),(57,17864,0.98),(57,17867,0.14),(57,17868,0.84),(57,17870,0.14),(57,19645,0.84),(57,19646,0.93331),(57,19791,0.93331),(57,21098,0.81669),(57,21099,0.91),(57,21100,0.91),(57,21101,0.98),(57,22059,0.14),(57,22060,0.81669),(57,22061,0.91),(58,4628,0.34),(59,5112,0.34),(60,5115,0.34),(70,18156,0.23331),(70,18157,0.88669),(70,18158,1.00331),(71,18156,0.23331),(71,18157,0.88669),(71,18158,1.00331),(73,1480,0.17),(74,1480,0.17),(75,1420,0.17),(121,18156,0.23331),(121,18157,0.88669),(121,18158,1.00331),(146,18156,0.23331),(146,18157,0.88669),(146,18158,1.00331),(208,9010,0.28),(208,18331,0.51),(208,21465,0.88669),(208,21466,1.00331),(208,21467,0.18669),(208,21468,0.93331),(211,18156,0.23331),(211,18157,0.88669),(211,18158,1.00331),(214,18156,0.23331),(214,18157,0.88669),(214,18158,1.00331),(216,1105,0.34),(217,1183,0.34),(217,1437,0.74),(217,18156,0.23331),(217,18157,0.88669),(217,18158,1.00331),(217,19941,5.42679),(219,9010,0.28),(219,21465,0.88669),(219,21466,1.00331),(219,21467,0.18669),(219,21468,0.93331),(219,22009,0.51),(220,9010,0.28),(220,21465,0.88669),(220,21466,1.00331),(220,21467,0.18669),(220,21468,0.93331),(220,22013,0.51),(221,9010,0.28),(221,21465,0.88669),(221,21466,1.00331),(221,21467,0.18669),(221,21468,0.93331),(221,22014,0.51),(222,9010,0.28),(222,21465,0.88669),(222,21466,1.00331),(222,21467,0.18669),(222,21468,0.93331),(222,22015,0.51),(223,9010,0.28),(223,21465,0.88669),(223,21466,1.00331),(223,21467,0.18669),(223,21468,0.93331),(223,22211,0.51),(224,9010,0.28),(224,21465,0.88669),(224,21466,1.00331),(224,21467,0.18669),(224,21468,0.93331),(224,22220,0.51),(225,9010,0.28),(225,21465,0.88669),(225,21466,1.00331),(225,21467,0.18669),(225,21468,0.93331),(225,22221,0.51),(226,9010,0.28),(226,21465,0.88669),(226,21466,1.00331),(226,21467,0.18669),(226,21468,0.93331),(226,22222,0.51),(227,9010,0.28),(227,21465,0.88669),(227,21466,1.00331),(227,21467,0.18669),(227,21468,0.93331),(227,22344,0.51),(228,9010,0.28),(228,21465,0.88669),(228,21466,1.00331),(228,21467,0.18669),(228,21468,0.93331),(228,22349,0.51),(229,9010,0.28),(229,21465,0.88669),(229,21466,1.00331),(229,21467,0.18669),(229,21468,0.93331),(229,22353,0.51),(230,9010,0.28),(230,21465,0.88669),(230,21466,1.00331),(230,21467,0.18669),(230,21468,0.93331),(230,22354,0.51),(231,9010,0.28),(231,21465,0.88669),(231,21466,1.00331),(231,21467,0.18669),(231,21468,0.93331),(231,22565,0.51),(232,9010,0.28),(232,21465,0.88669),(232,21466,1.00331),(232,21467,0.18669),(232,21468,0.93331),(232,22568,0.51),(233,9010,0.28),(233,21465,0.88669),(233,21466,1.00331),(233,21467,0.18669),(233,21468,0.93331),(233,22569,0.51);


--
-- Table structure for table `#__finder_links_termsd`
--



CREATE TABLE `#__finder_links_termsd` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termsd`
--


INSERT INTO `#__finder_links_termsd` (`link_id`, `term_id`, `weight`) VALUES (22,1,0),(23,1,0),(24,1,0),(25,1,0),(26,1,0),(27,1,0),(28,1,0),(29,1,0),(30,1,0),(31,1,0),(32,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(41,1,0),(41,315,0.56),(41,1573,2.00662),(41,1574,2.19338),(41,1575,0.74),(41,1576,5.05679),(42,1,0),(42,308,0.74676),(42,315,0.84),(42,771,1.49296),(42,772,5.04),(42,3123,4.01324),(42,3124,4.38676),(42,3132,2.79993),(42,3133,2.94),(42,3134,0.91),(42,3135,1.14331),(42,3136,2.58993),(42,3137,2.94),(42,3138,5.74014),(42,3141,0.86331),(42,3142,0.98),(42,3149,0.18662),(42,3150,0.84),(42,3151,0.98),(42,3154,0.84),(42,3155,0.95669),(42,3156,0.46662),(42,3157,1.77338),(42,3158,1.12),(42,3159,0.98),(42,3163,3.21993),(42,3164,3.78),(42,3930,0.09331),(42,4383,0.56007),(42,6419,2.66007),(42,6420,3.15),(42,21013,0.86331),(42,21014,1.00331),(42,21015,0.95669),(42,21016,1.09669),(42,21017,0.93331),(42,21018,1.14331),(43,1,0),(44,1,0),(44,771,0.27993),(44,3921,0.88669),(44,3922,1.07331),(44,3923,0.95669),(44,3924,1.19),(44,3925,0.91),(44,3926,1.09669),(44,3927,0.28),(44,3928,0.98),(44,3929,1.21331),(44,3930,0.09331),(44,3931,0.79331),(44,3932,0.98),(57,1,0),(57,771,0.18662),(57,772,1.68),(57,962,0.18669),(57,1575,0.14),(57,3149,0.27993),(57,3154,0.84),(57,3930,0.55986),(57,4574,0.86331),(57,4575,0.98),(57,6914,3.36),(57,7475,0.18669),(57,7481,0.91),(57,7482,1.09669),(57,9595,1.05),(57,10792,0.23331),(57,13860,1.07331),(57,15262,0.88669),(57,16802,1.00331),(57,16803,0.98),(57,16804,1.14331),(57,18272,1.02669),(57,19401,1.07331),(57,19676,1.12),(57,19677,0.93331),(57,22110,0.84),(57,22111,0.95669),(57,22112,1.05),(57,22113,1.19),(57,22114,1.02669),(57,22115,1.14331),(57,22116,0.88669),(57,22117,0.95669),(57,22118,1.02669),(57,22119,0.32669),(57,22120,0.98),(57,22121,1.07331),(57,22122,0.56),(57,22123,1.12),(57,22124,1.26),(57,22125,0.56),(57,22126,1.12),(57,22127,1.26),(58,1,0),(58,315,0.56),(58,3165,0.98),(58,4936,1.02669),(58,4937,1.07331),(58,4938,1.16669),(59,1,0),(59,315,0.56),(59,3165,0.98),(59,4936,1.02669),(59,4937,1.07331),(59,4938,1.16669),(60,1,0),(60,315,0.56),(60,3165,0.98),(60,4936,1.02669),(60,4937,1.07331),(60,4938,1.16669),(64,1,0),(64,308,1.68021),(64,309,3.92),(64,310,4.2),(64,311,1.77338),(64,315,2.24),(64,316,1.86662),(64,317,2.24),(64,318,3.73324),(64,319,4.01324),(64,607,0.88669),(64,608,0.98),(64,4383,0.74676),(64,4384,0.95669),(64,4385,1.02669),(64,5580,2.00662),(64,5581,0.91),(64,5582,1.07331),(64,5583,0.91),(64,5584,1.00331),(64,5585,0.98),(64,5586,1.16669),(64,5587,0.88669),(64,5588,1.07331),(64,5589,0.88669),(64,5590,1.00331),(64,5591,0.91),(64,5592,1.05),(64,5593,1.00331),(64,5594,1.14331),(65,1,0),(65,308,1.12014),(65,4383,0.37338),(65,6084,1.96),(65,6085,2.14662),(65,6086,3.45324),(65,6087,2.1),(65,6088,2.19338),(65,6089,1.86662),(65,6090,2.33338),(70,1,0),(70,308,0.18669),(70,315,1.12),(70,316,1.86662),(70,317,2.24),(70,318,1.86662),(70,319,2.00662),(70,771,0.09331),(70,1575,0.74),(70,3927,0.28),(70,4383,0.18669),(70,14033,1.00331),(70,14034,1.14331),(70,18181,0.86331),(70,18182,0.98),(70,18183,1.12),(70,18184,1.19),(70,18302,4.56321),(70,18303,5.05679),(71,1,0),(71,308,0.18669),(71,315,1.12),(71,316,1.86662),(71,317,2.24),(71,318,1.86662),(71,319,2.00662),(71,771,0.09331),(71,3927,0.28),(71,4383,0.18669),(71,14033,1.00331),(71,14034,1.14331),(71,18181,0.86331),(71,18182,0.98),(71,18183,1.12),(71,18184,1.19),(73,1,0),(74,1,0),(75,1,0),(76,1,0),(77,1,0),(78,1,0),(121,1,0),(121,308,0.18669),(121,315,1.12),(121,316,1.86662),(121,317,2.24),(121,318,1.86662),(121,319,2.00662),(121,771,0.09331),(121,3927,0.28),(121,4383,0.18669),(121,14033,1.00331),(121,14034,1.14331),(121,18181,0.86331),(121,18182,0.98),(121,18183,1.12),(121,18184,1.19),(146,1,0),(146,308,0.18669),(146,315,1.12),(146,316,1.86662),(146,317,2.24),(146,318,1.86662),(146,319,2.00662),(146,771,0.09331),(146,3927,0.28),(146,4383,0.18669),(146,14033,1.00331),(146,14034,1.14331),(146,18181,0.86331),(146,18182,0.98),(146,18183,1.12),(146,18184,1.19),(208,1,0),(208,315,1.12),(208,316,1.86662),(208,317,2.24),(208,318,1.86662),(208,319,2.00662),(208,1319,0.14),(208,3930,0.37324),(208,4383,0.37338),(208,7475,0.18669),(208,11846,0.14),(208,21381,1.00331),(208,21382,1.14331),(208,21600,0.84),(208,21601,0.93331),(208,21602,1.86662),(208,21603,1.02669),(208,21604,1.00331),(208,21605,0.88669),(208,21606,1.05),(208,21607,1.00331),(208,21608,1.07331),(208,21825,0.91),(208,21826,0.95669),(208,21940,1.72662),(208,21941,2.05338),(211,1,0),(211,308,0.18669),(211,315,1.12),(211,316,1.86662),(211,317,2.24),(211,318,1.86662),(211,319,2.00662),(211,771,0.09331),(211,1319,0.74),(211,3927,0.28),(211,4383,0.18669),(211,14033,1.00331),(211,14034,1.14331),(211,18181,0.86331),(211,18182,0.98),(211,18183,1.12),(211,18184,1.19),(211,22618,5.18),(211,22619,5.67321),(212,1,0),(212,308,0.18669),(212,607,0.88669),(212,608,0.98),(213,1,0),(213,308,0.18669),(213,309,0.98),(213,310,1.05),(213,315,0.56),(213,316,1.86662),(213,317,2.24),(214,1,0),(214,308,0.18669),(214,315,1.12),(214,316,1.86662),(214,317,2.24),(214,318,1.86662),(214,319,2.00662),(214,771,0.09331),(214,3927,0.28),(214,4383,0.18669),(214,14033,1.00331),(214,14034,1.14331),(214,18181,0.86331),(214,18182,0.98),(214,18183,1.12),(214,18184,1.19),(215,1,0),(215,308,0.18669),(215,311,0.88669),(215,961,1.02669),(215,19887,1.2),(215,19888,2.7334),(215,19889,3),(215,19890,1.24661),(215,19891,2.55),(215,19892,2.89),(216,1,0),(216,308,0.18669),(216,309,0.98),(216,310,1.05),(216,771,0.49321),(216,19931,5.05679),(217,1,0),(217,308,0.18669),(217,315,1.12),(217,316,1.86662),(217,317,2.24),(217,318,1.86662),(217,319,2.00662),(217,771,0.09331),(217,3927,0.28),(217,4383,0.18669),(217,14033,1.00331),(217,14034,1.14331),(217,18181,0.86331),(217,18182,0.98),(217,18183,1.12),(217,18184,1.19),(219,1,0),(219,315,1.12),(219,316,1.86662),(219,317,2.24),(219,318,1.86662),(219,319,2.00662),(219,1319,0.14),(219,3930,0.37324),(219,4383,0.37338),(219,7475,0.18669),(219,11846,0.14),(219,21381,1.00331),(219,21382,1.14331),(219,21600,0.84),(219,21601,0.93331),(219,21602,1.86662),(219,21603,1.02669),(219,21604,1.00331),(219,21605,0.88669),(219,21606,1.05),(219,21607,1.00331),(219,21608,1.07331),(219,21825,0.91),(219,21826,0.95669),(219,21940,1.72662),(219,21941,2.05338),(220,1,0),(220,315,1.12),(220,316,1.86662),(220,317,2.24),(220,318,1.86662),(220,319,2.00662),(220,1319,0.14),(220,3930,0.37324),(220,4383,0.37338),(220,7475,0.18669),(220,11846,0.14),(220,21381,1.00331),(220,21382,1.14331),(220,21600,0.84),(220,21601,0.93331),(220,21602,1.86662),(220,21603,1.02669),(220,21604,1.00331),(220,21605,0.88669),(220,21606,1.05),(220,21607,1.00331),(220,21608,1.07331),(220,21825,0.91),(220,21826,0.95669),(220,21940,1.72662),(220,21941,2.05338),(221,1,0),(221,315,1.12),(221,316,1.86662),(221,317,2.24),(221,318,1.86662),(221,319,2.00662),(221,1319,0.14),(221,3930,0.37324),(221,4383,0.37338),(221,7475,0.18669),(221,11846,0.14),(221,21381,1.00331),(221,21382,1.14331),(221,21600,0.84),(221,21601,0.93331),(221,21602,1.86662),(221,21603,1.02669),(221,21604,1.00331),(221,21605,0.88669),(221,21606,1.05),(221,21607,1.00331),(221,21608,1.07331),(221,21825,0.91),(221,21826,0.95669),(221,21940,1.72662),(221,21941,2.05338),(222,1,0),(222,315,1.12),(222,316,1.86662),(222,317,2.24),(222,318,1.86662),(222,319,2.00662),(222,1319,0.14),(222,3930,0.37324),(222,4383,0.37338),(222,7475,0.18669),(222,11846,0.14),(222,21381,1.00331),(222,21382,1.14331),(222,21600,0.84),(222,21601,0.93331),(222,21602,1.86662),(222,21603,1.02669),(222,21604,1.00331),(222,21605,0.88669),(222,21606,1.05),(222,21607,1.00331),(222,21608,1.07331),(222,21825,0.91),(222,21826,0.95669),(222,21940,1.72662),(222,21941,2.05338),(223,1,0),(223,315,1.12),(223,316,1.86662),(223,317,2.24),(223,318,1.86662),(223,319,2.00662),(223,1319,0.14),(223,3930,0.86645),(223,4383,0.37338),(223,7475,0.18669),(223,11846,0.14),(223,21381,1.00331),(223,21382,1.14331),(223,21600,0.84),(223,21601,0.93331),(223,21602,1.86662),(223,21603,1.02669),(223,21604,1.00331),(223,21605,0.88669),(223,21606,1.05),(223,21607,1.00331),(223,21608,1.07331),(223,21825,0.91),(223,21826,0.95669),(223,21940,1.72662),(223,21941,2.05338),(223,22522,4.68679),(223,22523,5.79679),(224,1,0),(224,315,1.12),(224,316,1.86662),(224,317,2.24),(224,318,1.86662),(224,319,2.00662),(224,1319,0.14),(224,3930,0.37324),(224,4383,0.37338),(224,7475,0.18669),(224,11846,0.14),(224,21381,1.00331),(224,21382,1.14331),(224,21600,0.84),(224,21601,0.93331),(224,21602,1.86662),(224,21603,1.02669),(224,21604,1.00331),(224,21605,0.88669),(224,21606,1.05),(224,21607,1.00331),(224,21608,1.07331),(224,21825,0.91),(224,21826,0.95669),(224,21940,1.72662),(224,21941,2.05338),(225,1,0),(225,315,1.12),(225,316,1.86662),(225,317,2.24),(225,318,1.86662),(225,319,2.00662),(225,1319,0.14),(225,3930,0.37324),(225,4383,0.37338),(225,7475,0.18669),(225,11846,0.14),(225,21381,1.00331),(225,21382,1.14331),(225,21600,0.84),(225,21601,0.93331),(225,21602,1.86662),(225,21603,1.02669),(225,21604,1.00331),(225,21605,0.88669),(225,21606,1.05),(225,21607,1.00331),(225,21608,1.07331),(225,21825,0.91),(225,21826,0.95669),(225,21940,1.72662),(225,21941,2.05338),(226,1,0),(226,315,1.12),(226,316,1.86662),(226,317,2.24),(226,318,1.86662),(226,319,2.00662),(226,1319,0.14),(226,3930,0.37324),(226,4383,0.37338),(226,7475,0.18669),(226,11846,0.14),(226,21381,1.00331),(226,21382,1.14331),(226,21600,0.84),(226,21601,0.93331),(226,21602,1.86662),(226,21603,1.02669),(226,21604,1.00331),(226,21605,0.88669),(226,21606,1.05),(226,21607,1.00331),(226,21608,1.07331),(226,21825,0.91),(226,21826,0.95669),(226,21940,1.72662),(226,21941,2.05338),(227,1,0),(227,315,1.12),(227,316,1.86662),(227,317,2.24),(227,318,1.86662),(227,319,2.00662),(227,1319,0.14),(227,3930,0.37324),(227,4383,0.37338),(227,7475,0.18669),(227,11846,0.14),(227,21381,1.00331),(227,21382,1.14331),(227,21600,0.84),(227,21601,0.93331),(227,21602,1.86662),(227,21603,1.02669),(227,21604,1.00331),(227,21605,0.88669),(227,21606,1.05),(227,21607,1.00331),(227,21608,1.07331),(227,21825,0.91),(227,21826,0.95669),(227,21940,1.72662),(227,21941,2.05338),(228,1,0),(228,315,1.12),(228,316,1.86662),(228,317,2.24),(228,318,1.86662),(228,319,2.00662),(228,1319,0.14),(228,3930,0.37324),(228,4383,0.37338),(228,7475,0.18669),(228,11846,0.14),(228,21381,1.00331),(228,21382,1.14331),(228,21600,0.84),(228,21601,0.93331),(228,21602,1.86662),(228,21603,1.02669),(228,21604,1.00331),(228,21605,0.88669),(228,21606,1.05),(228,21607,1.00331),(228,21608,1.07331),(228,21825,0.91),(228,21826,0.95669),(228,21940,1.72662),(228,21941,2.05338),(229,1,0),(229,315,1.12),(229,316,1.86662),(229,317,2.24),(229,318,1.86662),(229,319,2.00662),(229,1319,0.14),(229,3930,0.37324),(229,4383,0.37338),(229,7475,0.18669),(229,11846,0.14),(229,21381,1.00331),(229,21382,1.14331),(229,21600,0.84),(229,21601,0.93331),(229,21602,1.86662),(229,21603,1.02669),(229,21604,1.00331),(229,21605,0.88669),(229,21606,1.05),(229,21607,1.00331),(229,21608,1.07331),(229,21825,0.91),(229,21826,0.95669),(229,21940,1.72662),(229,21941,2.05338),(230,1,0),(230,315,1.12),(230,316,1.86662),(230,317,2.24),(230,318,1.86662),(230,319,2.00662),(230,1319,0.14),(230,3930,0.37324),(230,4383,0.37338),(230,7475,0.18669),(230,11846,0.14),(230,21381,1.00331),(230,21382,1.14331),(230,21600,0.84),(230,21601,0.93331),(230,21602,1.86662),(230,21603,1.02669),(230,21604,1.00331),(230,21605,0.88669),(230,21606,1.05),(230,21607,1.00331),(230,21608,1.07331),(230,21825,0.91),(230,21826,0.95669),(230,21940,1.72662),(230,21941,2.05338),(231,1,0),(231,315,1.12),(231,316,1.86662),(231,317,2.24),(231,318,1.86662),(231,319,2.00662),(231,1319,0.14),(231,3930,0.37324),(231,4383,0.37338),(231,7475,0.18669),(231,11846,0.14),(231,21381,1.00331),(231,21382,1.14331),(231,21600,0.84),(231,21601,0.93331),(231,21602,1.86662),(231,21603,1.02669),(231,21604,1.00331),(231,21605,0.88669),(231,21606,1.05),(231,21607,1.00331),(231,21608,1.07331),(231,21825,0.91),(231,21826,0.95669),(231,21940,1.72662),(231,21941,2.05338),(232,1,0),(232,315,1.12),(232,316,1.86662),(232,317,2.24),(232,318,1.86662),(232,319,2.00662),(232,1319,0.14),(232,3930,0.37324),(232,4383,0.37338),(232,7475,0.18669),(232,11846,0.14),(232,21381,1.00331),(232,21382,1.14331),(232,21600,0.84),(232,21601,0.93331),(232,21602,1.86662),(232,21603,1.02669),(232,21604,1.00331),(232,21605,0.88669),(232,21606,1.05),(232,21607,1.00331),(232,21608,1.07331),(232,21825,0.91),(232,21826,0.95669),(232,21940,1.72662),(232,21941,2.05338),(233,1,0),(233,315,1.12),(233,316,1.86662),(233,317,2.24),(233,318,1.86662),(233,319,2.00662),(233,1319,0.14),(233,3930,0.37324),(233,4383,0.37338),(233,7475,0.18669),(233,11846,0.14),(233,21381,1.00331),(233,21382,1.14331),(233,21600,0.84),(233,21601,0.93331),(233,21602,1.86662),(233,21603,1.02669),(233,21604,1.00331),(233,21605,0.88669),(233,21606,1.05),(233,21607,1.00331),(233,21608,1.07331),(233,21825,0.91),(233,21826,0.95669),(233,21940,1.72662),(233,21941,2.05338);


--
-- Table structure for table `#__finder_links_termse`
--



CREATE TABLE `#__finder_links_termse` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termse`
--


INSERT INTO `#__finder_links_termse` (`link_id`, `term_id`, `weight`) VALUES (23,1423,0.17),(25,1425,0.17),(27,1429,1.97321),(27,1430,2.66339),(28,1434,1.23321),(36,124,0.18669),(36,639,0.28),(36,1468,0.34),(36,1545,0.18669),(36,13815,0.86331),(36,13816,0.93331),(36,13817,1.00331),(36,13818,1.21331),(37,1481,0.34),(38,1483,0.34),(39,1485,0.34),(40,1516,0.64008),(40,1517,1.52004),(40,1518,1.56),(40,1519,1.71996),(40,18000,0.98679),(40,18001,4.81),(40,18002,0.48),(40,18003,1.64004),(40,18004,1.88004),(41,114,0.37338),(41,124,0.37338),(41,131,0.37338),(41,134,0.74676),(41,140,0.18662),(41,649,0.56),(41,1528,0.48),(41,1529,1.56),(41,1530,1.68),(41,1541,1.82),(41,1542,2.05338),(41,1543,1.77338),(41,1544,2.00662),(41,1545,0.37338),(41,1546,1.91338),(41,1547,2.24),(41,1548,1.96),(41,1549,2.42662),(41,1550,1.72662),(41,1551,1.96),(41,1552,2.14662),(41,1553,2.33338),(41,1554,1.82),(41,1555,2.00662),(41,1591,1.86662),(41,1592,2.1),(41,1593,0.56),(41,1594,0.98),(41,1595,1.12),(42,114,1.12014),(42,124,3.7338),(42,134,1.12014),(42,140,0.55986),(42,143,0.93324),(42,146,0.09331),(42,401,0.84),(42,643,1.26),(42,649,0.84),(42,919,3.73324),(42,1139,2.66007),(42,1276,1.8669),(42,1392,0.18669),(42,1423,0.07),(42,1425,0.07),(42,1429,1.01327),(42,1430,1.88004),(42,1545,2.24028),(42,2273,0.04669),(42,2274,0.77),(42,2275,0.98),(42,2280,3.08007),(42,2281,3.50007),(42,2284,3.00993),(42,2285,3.57),(42,2286,1.11993),(42,2289,3.08007),(42,2290,3.50007),(42,2293,0.98007),(42,2294,2.73),(42,2295,2.94),(42,2303,0.42),(42,2304,1.00331),(42,2305,1.19),(42,2308,4.38676),(42,2316,0.88669),(42,2317,0.98),(42,2318,9.45),(42,2319,7.98),(42,2320,2.58993),(42,2321,3.08007),(42,2324,2.87007),(42,2325,3.29007),(42,2326,5.59986),(42,2327,6.16014),(42,2334,2.73),(42,2335,3.57),(42,2336,3.15),(42,2354,2.66007),(42,2355,2.94),(42,2356,2.73),(42,2357,3.21993),(42,2360,3.92),(42,2361,4.66676),(42,2370,0.86331),(42,2371,1.09669),(42,3573,0.18669),(42,3574,0.86331),(42,3575,1.00331),(42,3584,0.95669),(42,3585,1.05),(42,3586,0.42),(42,3587,1.05),(42,3588,1.16669),(42,3594,2.79993),(42,3595,3.21993),(42,3598,3.36042),(42,3599,3.64),(42,3600,4.10676),(42,3601,2.58993),(42,3602,3.15),(42,3603,3.36),(42,3604,0.93331),(42,3605,2.94),(42,3606,5.46),(42,3607,3.15),(42,3608,3.08007),(42,3613,5.32014),(42,3614,2.79993),(42,3615,3.00993),(42,3616,8.6331),(42,3617,3.64),(42,3618,6.3),(42,3626,0.23331),(42,3627,0.88669),(42,3628,0.93331),(42,3631,0.46655),(42,3634,0.86331),(42,3635,0.95669),(42,3636,0.98),(42,3637,1.09669),(42,3638,1.68),(42,3639,0.88669),(42,3640,0.91),(42,3670,0.60669),(42,3671,1.19),(42,3672,1.26),(42,3673,2.93348),(42,3676,1.05),(42,3677,1.12),(42,6405,3.84993),(42,6429,3.15),(42,9137,2.58993),(42,9138,3.00993),(42,9139,0.95669),(42,9140,1.09669),(42,9141,1.68),(42,9142,1.96),(42,9816,0.37331),(42,10919,0.98),(42,11010,0.84),(42,17234,0.84),(42,17235,0.91),(42,17238,0.84),(42,17239,0.91),(42,17267,1.26),(42,17268,2.38),(42,19992,0.28),(42,19993,0.98),(42,20753,0.95669),(42,20754,1.09669),(42,20810,0.42),(42,20902,0.88669),(42,20903,1.07331),(42,20919,0.88669),(42,20920,1.07331),(42,20921,0.98),(42,20922,1.05),(42,20966,1.02669),(42,20967,1.14331),(42,20968,0.37331),(42,20969,1.02669),(42,20970,1.19),(42,21033,0.98),(42,21034,1.23669),(42,21035,1.16669),(42,21036,1.02669),(42,21037,1.23669),(42,21038,0.28),(42,21039,0.91),(42,21040,1.02669),(42,21041,1.09669),(43,1429,0.63996),(43,1430,1.88004),(44,1276,0.56007),(44,1423,0.17),(44,1429,0.63996),(44,1430,1.88004),(44,1434,0.23331),(44,2341,0.93324),(44,2342,1.00331),(44,3616,2.58993),(44,3617,2.73),(44,3898,2.79993),(44,3899,3.00993),(44,3945,0.23331),(44,3946,1.05),(44,3947,1.19),(44,3948,0.18669),(44,3949,0.86331),(44,3950,1.05),(44,3951,0.88669),(44,3952,1.09669),(57,643,3.22),(57,1276,0.56007),(57,1429,1.01327),(57,1430,1.88004),(57,2298,0.37331),(57,3598,0.37338),(57,3626,0.93324),(57,3631,0.74648),(57,3638,0.84),(57,4610,2.66007),(57,4611,3.00993),(57,4614,0.91),(57,4615,1.00331),(57,4616,1.00331),(57,6953,0.18669),(57,6980,0.93331),(57,6994,0.28),(57,6997,1.86662),(57,7246,0.91),(57,7500,1.82),(57,7501,2.14662),(57,7503,1.91338),(57,7507,0.91),(57,7508,1.09669),(57,7881,0.14),(57,8526,0.98),(57,8553,0.14),(57,8554,0.86331),(57,9087,0.98),(57,9665,1.19),(57,9683,1.07331),(57,10979,0.37338),(57,10980,1.77338),(57,12601,0.18669),(57,13877,1.00331),(57,13878,1.16669),(57,13880,1.07331),(57,13962,0.91),(57,16818,0.93331),(57,16819,1.02669),(57,16821,0.95669),(57,16822,0.28),(57,16823,0.93331),(57,17826,0.88669),(57,17885,0.95669),(57,17886,1.05),(57,17887,1.07331),(57,18281,0.95669),(57,18282,1.05),(57,18283,1.14331),(57,19532,1.00331),(57,19698,0.98),(57,19699,1.14331),(57,19700,0.88669),(57,19701,1.02669),(57,19702,1.14331),(57,19703,1.05),(57,19704,1.14331),(57,19705,0.88669),(57,19706,1.07331),(57,19707,1.00331),(57,19792,1.00331),(57,19793,1.07331),(57,19818,1.05),(57,19819,1.02669),(57,19820,0.95669),(57,19821,1.05),(57,19822,0.81669),(57,19823,1.07331),(57,21147,1.07331),(57,21148,0.86331),(57,21149,0.98),(57,21150,0.95669),(57,21151,1.07331),(57,21152,0.98),(57,21153,0.81669),(57,21154,0.98),(57,21155,2.05338),(57,22084,1.00331),(57,22085,1.14331),(57,22142,0.86331),(57,22143,1.16669),(57,22144,0.95669),(57,22145,1.07331),(57,22146,0.93331),(57,22147,1.02669),(57,22148,0.95669),(57,22149,1.19),(57,22150,1.07331),(57,22151,1.82),(57,22152,0.98),(57,22153,1.07331),(57,22154,0.93331),(57,22155,1.07331),(57,22156,1.00331),(57,22157,1.12),(57,22158,1.86662),(57,22159,1.00331),(57,22160,1.09669),(57,22161,0.93331),(57,22162,1.02669),(57,22163,0.93331),(57,22164,1.00331),(58,111,0.32669),(58,114,0.74676),(58,122,0.91),(58,124,0.93345),(58,131,0.56007),(58,137,0.14),(58,140,0.27993),(58,146,0.27993),(58,151,0.32669),(58,401,0.56),(58,639,0.56),(58,649,0.56),(58,716,0.91),(58,717,1.00331),(58,921,0.93331),(58,927,0.88669),(58,1543,0.88669),(58,1545,0.74676),(58,1593,0.28),(58,2303,0.42),(58,3589,0.56),(58,3623,0.84),(58,3651,0.42),(58,4733,1.00331),(58,4734,1.09669),(58,4735,0.93331),(58,4736,1.16669),(58,4737,0.91),(58,4738,1.14331),(58,4739,1.02669),(58,4740,1.16669),(58,4741,1.02669),(58,4742,1.02669),(58,4743,1.26),(58,4744,0.84),(58,4745,1.00331),(58,4746,1.00331),(58,4747,1.00331),(58,4748,1.02669),(58,4749,0.93331),(58,4750,1.02669),(58,4751,0.86331),(58,4752,1.00331),(58,4753,0.91),(58,4754,1.14331),(58,4755,1.02669),(58,4756,1.28331),(58,4757,0.91),(58,4758,1.07331),(58,4759,0.86331),(58,4760,1.09669),(58,4761,0.98),(58,4762,1.16669),(58,4763,0.98),(58,4764,1.07331),(58,4765,0.86331),(58,4766,0.98),(58,4767,1.00331),(58,4768,1.09669),(58,4769,0.98),(58,4770,1.12),(58,4771,0.84),(58,4772,0.95669),(58,4773,0.86331),(58,4774,1.09669),(58,4775,1.00331),(58,4776,1.12),(58,4777,1.05),(58,4778,1.19),(58,5034,0.98),(58,5035,1.12),(58,5036,0.93331),(58,5037,1.12),(58,5038,1.07331),(58,5039,1.21331),(58,5040,1.05),(58,5041,1.19),(58,5042,0.91),(58,5043,1.00331),(58,5044,1.00331),(58,5045,1.16669),(58,5046,1.14331),(58,5047,1.26),(58,5048,1.05),(58,5049,1.23669),(58,5050,0.98),(58,5051,1.07331),(58,5052,0.98),(58,5053,1.16669),(58,5054,1.05),(58,5055,1.14331),(58,5056,1.14331),(58,5057,1.30669),(59,111,0.32669),(59,114,0.74676),(59,122,0.91),(59,124,0.93345),(59,131,0.56007),(59,137,0.14),(59,140,0.27993),(59,146,0.27993),(59,151,0.32669),(59,401,0.56),(59,639,0.56),(59,649,0.56),(59,716,0.91),(59,717,1.00331),(59,921,0.93331),(59,927,0.88669),(59,1543,0.88669),(59,1545,0.74676),(59,1593,0.28),(59,2303,0.42),(59,3589,0.56),(59,3623,0.84),(59,3651,0.42),(59,4733,1.00331),(59,4734,1.09669),(59,4735,0.93331),(59,4736,1.16669),(59,4737,0.91),(59,4738,1.14331),(59,4739,1.02669),(59,4740,1.16669),(59,4741,1.02669),(59,4742,1.02669),(59,4743,1.26),(59,4744,0.84),(59,4745,1.00331),(59,4746,1.00331),(59,4747,1.00331),(59,4748,1.02669),(59,4749,0.93331),(59,4750,1.02669),(59,4751,0.86331),(59,4752,1.00331),(59,4753,0.91),(59,4754,1.14331),(59,4755,1.02669),(59,4756,1.28331),(59,4757,0.91),(59,4758,1.07331),(59,4759,0.86331),(59,4760,1.09669),(59,4761,0.98),(59,4762,1.16669),(59,4763,0.98),(59,4764,1.07331),(59,4765,0.86331),(59,4766,0.98),(59,4767,1.00331),(59,4768,1.09669),(59,4769,0.98),(59,4770,1.12),(59,4771,0.84),(59,4772,0.95669),(59,4773,0.86331),(59,4774,1.09669),(59,4775,1.00331),(59,4776,1.12),(59,4777,1.05),(59,4778,1.19),(59,5034,0.98),(59,5035,1.12),(59,5036,0.93331),(59,5037,1.12),(59,5038,1.07331),(59,5039,1.21331),(59,5040,1.05),(59,5041,1.19),(59,5042,0.91),(59,5043,1.00331),(59,5044,1.00331),(59,5045,1.16669),(59,5046,1.14331),(59,5047,1.26),(59,5048,1.05),(59,5049,1.23669),(59,5050,0.98),(59,5051,1.07331),(59,5052,0.98),(59,5053,1.16669),(59,5054,1.05),(59,5055,1.14331),(59,5056,1.14331),(59,5057,1.30669),(60,111,0.32669),(60,114,0.74676),(60,122,0.91),(60,124,0.93345),(60,131,0.56007),(60,137,0.14),(60,140,0.27993),(60,146,0.27993),(60,151,0.32669),(60,401,0.56),(60,639,0.56),(60,649,0.56),(60,716,0.91),(60,717,1.00331),(60,921,0.93331),(60,927,0.88669),(60,1543,0.88669),(60,1545,0.74676),(60,1593,0.28),(60,2303,0.42),(60,3589,0.56),(60,3623,0.84),(60,3651,0.42),(60,4733,1.00331),(60,4734,1.09669),(60,4735,0.93331),(60,4736,1.16669),(60,4737,0.91),(60,4738,1.14331),(60,4739,1.02669),(60,4740,1.16669),(60,4741,1.02669),(60,4742,1.02669),(60,4743,1.26),(60,4744,0.84),(60,4745,1.00331),(60,4746,1.00331),(60,4747,1.00331),(60,4748,1.02669),(60,4749,0.93331),(60,4750,1.02669),(60,4751,0.86331),(60,4752,1.00331),(60,4753,0.91),(60,4754,1.14331),(60,4755,1.02669),(60,4756,1.28331),(60,4757,0.91),(60,4758,1.07331),(60,4759,0.86331),(60,4760,1.09669),(60,4761,0.98),(60,4762,1.16669),(60,4763,0.98),(60,4764,1.07331),(60,4765,0.86331),(60,4766,0.98),(60,4767,1.00331),(60,4768,1.09669),(60,4769,0.98),(60,4770,1.12),(60,4771,0.84),(60,4772,0.95669),(60,4773,0.86331),(60,4774,1.09669),(60,4775,1.00331),(60,4776,1.12),(60,4777,1.05),(60,4778,1.19),(60,5034,0.98),(60,5035,1.12),(60,5036,0.93331),(60,5037,1.12),(60,5038,1.07331),(60,5039,1.21331),(60,5040,1.05),(60,5041,1.19),(60,5042,0.91),(60,5043,1.00331),(60,5044,1.00331),(60,5045,1.16669),(60,5046,1.14331),(60,5047,1.26),(60,5048,1.05),(60,5049,1.23669),(60,5050,0.98),(60,5051,1.07331),(60,5052,0.98),(60,5053,1.16669),(60,5054,1.05),(60,5055,1.14331),(60,5056,1.14331),(60,5057,1.30669),(64,111,1.96014),(64,112,3.92),(64,113,4.38676),(64,114,4.66725),(64,115,9.3331),(64,116,1.09669),(64,117,3.64),(64,120,2.79993),(64,121,3.29007),(64,122,3.64),(64,123,4.29324),(64,124,3.36042),(64,127,3.82676),(64,128,4.01324),(64,129,8.8669),(64,130,9.5669),(64,131,1.12014),(64,132,1.68),(64,133,1.91338),(64,134,0.18669),(64,137,0.84),(64,138,2.52),(64,139,3.15),(64,140,0.65317),(64,143,1.16655),(64,144,4.78345),(64,145,5.25),(64,146,0.74648),(64,147,5.04),(64,148,2.94),(64,150,1.91338),(64,151,3.59359),(64,152,2.05338),(64,153,2.19338),(64,156,4.10676),(64,401,0.56),(64,402,1.07331),(64,528,0.98),(64,529,1.09669),(64,537,1.00331),(64,538,1.19),(64,539,1.02669),(64,540,1.19),(64,545,0.86331),(64,546,1.05),(64,553,1.96),(64,554,2.24),(64,639,0.84),(64,640,1.82),(64,641,2.14662),(64,649,1.12),(64,650,2.00662),(64,651,2.56662),(64,917,1.14331),(64,927,1.77338),(64,928,2.14662),(64,1037,1.12),(64,1172,1.21331),(64,1429,0.63996),(64,1430,1.88004),(64,1545,0.37338),(64,1550,0.86331),(64,1593,1.12),(64,2286,0.74662),(64,2380,0.98),(64,2384,1.72679),(64,3623,0.42),(64,3651,1.68),(64,3981,1.05),(64,3992,1.14331),(64,4246,0.88669),(64,4252,0.95669),(64,4253,1.14331),(64,5134,0.34),(64,5277,1.00331),(64,5278,1.07331),(64,5279,0.88669),(64,5280,1.00331),(64,5281,1.05),(64,5282,1.05),(64,5283,2.14662),(64,5284,2.24),(64,5285,1.09669),(64,5287,1.09669),(64,5288,0.95669),(64,5290,1.07331),(64,5291,1.33),(64,5292,1.05),(64,5293,1.28331),(64,5294,1.07331),(64,5295,1.23669),(64,5296,0.93331),(64,5297,1.14331),(64,5298,0.86331),(64,5299,0.98),(64,5300,0.93331),(64,5301,1.00331),(64,5302,0.93331),(64,5303,1.09669),(64,5304,0.86331),(64,5305,1.00331),(64,5306,0.98),(64,5307,1.14331),(64,5308,1.02669),(64,5309,0.93331),(64,5310,1.12),(64,5311,0.88669),(64,5312,1.02669),(64,5313,1.86662),(64,5314,1.05),(64,5315,1.02669),(64,5316,1.19),(64,5317,0.98),(64,5318,1.12),(64,5319,0.88669),(64,5320,0.95669),(64,5323,0.88669),(64,5324,1.12),(64,5325,0.93331),(64,5326,0.91),(64,5327,1.09669),(64,5328,1.02669),(64,5329,1.14331),(64,5330,1.12),(64,5331,3.50007),(64,5332,0.95669),(64,5333,1.07331),(64,5694,0.28),(64,5695,1.05),(64,5696,1.12),(64,5697,0.91),(64,5698,1.07331),(64,5699,1.12),(64,5700,1.28331),(64,5701,1.09669),(64,5703,0.37331),(64,5704,0.98),(64,5705,1.16669),(64,5706,0.95669),(64,5707,1.23669),(64,5708,1.00331),(64,5709,1.19),(64,5710,1.14331),(64,5711,1.28331),(64,5712,1.12),(64,5713,1.23669),(64,5714,1.12),(64,5715,1.19),(64,5716,1.19),(64,5717,1.30669),(64,5718,0.91),(64,5719,1.05),(64,5720,1.02669),(64,5722,1.02669),(64,5723,1.16669),(64,5724,0.98),(64,5725,1.09669),(64,7259,1.00331),(64,7260,1.14331),(64,7261,1.07331),(64,7262,0.88669),(64,7263,0.95669),(64,7268,1.16669),(65,111,1.96014),(65,114,1.12014),(65,124,1.12014),(65,131,0.74676),(65,134,0.37338),(65,137,0.84),(65,140,1.67958),(65,146,0.55986),(65,147,1.68),(65,149,2.00662),(65,401,1.12),(65,639,2.8),(65,649,0.56),(65,1429,0.63996),(65,1430,1.88004),(65,1545,0.74676),(65,1554,1.82),(65,1593,1.12),(65,2286,0.74662),(65,2303,0.84),(65,3589,0.56),(65,3623,3.36),(65,3651,2.52),(65,3652,1.96),(65,4454,2.00662),(65,5317,1.96),(65,5318,2.24),(65,5319,1.77338),(65,5320,1.91338),(65,5714,2.24),(65,5715,2.38),(65,5720,2.05338),(65,5795,0.34),(65,5886,2.00662),(65,5887,2.19338),(65,5888,2.19338),(65,5889,2.42662),(65,5890,1.91338),(65,5891,2.24),(65,5892,1.82),(65,5893,1.96),(65,5894,2.05338),(65,5895,2.19338),(65,5896,1.86662),(65,5897,2.33338),(65,5898,1.96),(65,5899,2.38),(65,5900,1.96),(65,5901,2.24),(65,5902,3.92),(65,5903,2.1),(65,5904,2.19338),(65,5905,1.86662),(65,5906,2.24),(65,5907,1.91338),(65,5908,2.05338),(65,5909,1.86662),(65,5910,2.33338),(65,5911,1.77338),(65,5912,2.1),(65,5913,2.00662),(65,5914,1.14331),(65,5915,2.05338),(65,5916,2.47338),(65,5917,1.91338),(65,5918,2.19338),(65,5919,2.14662),(65,5920,2.42662),(65,5921,2.00662),(65,5922,2.14662),(65,5923,1.86662),(65,5924,2.33338),(65,5925,1.72662),(65,5926,1.91338),(65,5927,1.86662),(65,5928,2.19338),(65,5929,1.77338),(65,5930,1.91338),(65,5931,1.77338),(65,5932,2.05338),(65,5933,1.82),(65,5934,2.1),(65,5935,2.14662),(65,5936,1.96),(65,5937,2.14662),(65,5938,1.91338),(65,5939,2.19338),(65,6160,2.24),(65,6161,2.33338),(65,6162,1.91338),(65,6163,2.00662),(65,6164,2.05338),(65,6165,2.52),(65,6166,1.96),(65,6167,2.14662),(65,6168,2.00662),(65,6169,2.56662),(65,6170,2.14662),(65,6171,2.28662),(65,6172,1.86662),(65,6173,2.47338),(65,6174,2.1),(65,6175,2.38),(65,6176,1.91338),(65,6177,2.24),(65,6178,2.1),(65,6179,2.33338),(65,6180,2.19338),(65,6181,2.66),(65,6182,2.24),(65,6183,2.38),(65,6184,2.19338),(65,6185,2.38),(65,6186,2.1),(65,6187,2.42662),(65,6188,1.77338),(65,6189,2.1),(65,6190,2.33338),(70,114,0.37338),(70,122,1.82),(70,123,2.14662),(70,131,0.18669),(70,137,0.28),(70,138,1.68),(70,139,2.1),(70,143,0.46662),(70,144,1.91338),(70,145,2.1),(70,146,0.37324),(70,147,3.36),(70,148,0.98),(70,149,1.00331),(70,150,1.91338),(70,151,0.65338),(70,152,2.05338),(70,153,2.19338),(70,401,0.28),(70,3623,0.84),(70,3631,0.58652),(70,14015,1.02669),(70,14016,1.21331),(70,14049,1.00331),(70,14050,1.12),(70,14053,1.09669),(70,14054,1.21331),(70,14055,1.02669),(70,14056,1.23669),(70,16056,4.44),(70,18185,0.84),(70,18186,0.98),(70,18304,4.93321),(71,114,0.37338),(71,122,1.82),(71,123,2.14662),(71,131,0.18669),(71,137,0.28),(71,138,1.68),(71,139,2.1),(71,143,0.46662),(71,144,1.91338),(71,145,2.1),(71,146,0.37324),(71,147,3.36),(71,148,0.98),(71,149,1.00331),(71,150,1.91338),(71,151,0.65338),(71,152,2.05338),(71,153,2.19338),(71,401,0.28),(71,3623,0.84),(71,3631,0.09331),(71,14015,1.02669),(71,14016,1.21331),(71,14049,1.00331),(71,14050,1.12),(71,14053,1.09669),(71,14054,1.21331),(71,14055,1.02669),(71,14056,1.23669),(71,18185,0.84),(71,18186,0.98),(73,3948,0.32004),(73,6330,1.52004),(76,1423,0.17),(78,1425,0.17),(78,3948,0.32004),(78,6330,1.52004),(121,114,0.37338),(121,122,1.82),(121,123,2.14662),(121,131,0.18669),(121,137,0.28),(121,138,1.68),(121,139,2.1),(121,143,0.46662),(121,144,1.91338),(121,145,2.1),(121,146,0.37324),(121,147,3.36),(121,148,0.98),(121,149,1.00331),(121,150,1.91338),(121,151,0.65338),(121,152,2.05338),(121,153,2.19338),(121,401,0.28),(121,643,0.74),(121,3623,0.84),(121,3631,0.09331),(121,9015,1.23321),(121,14015,1.02669),(121,14016,1.21331),(121,14049,1.00331),(121,14050,1.12),(121,14053,1.09669),(121,14054,1.21331),(121,14055,1.02669),(121,14056,1.23669),(121,18185,0.84),(121,18186,0.98),(121,22628,4.68679),(121,22629,5.55),(146,114,0.37338),(146,122,1.82),(146,123,2.14662),(146,131,0.18669),(146,137,0.28),(146,138,1.68),(146,139,2.1),(146,143,0.46662),(146,144,1.91338),(146,145,2.1),(146,146,0.37324),(146,147,3.36),(146,148,0.98),(146,149,1.00331),(146,150,1.91338),(146,151,0.65338),(146,152,2.05338),(146,153,2.19338),(146,401,0.28),(146,3623,0.84),(146,3631,0.09331),(146,14015,1.02669),(146,14016,1.21331),(146,14049,1.00331),(146,14050,1.12),(146,14053,1.09669),(146,14054,1.21331),(146,14055,1.02669),(146,14056,1.23669),(146,18185,0.84),(146,18186,0.98),(208,114,0.37338),(208,122,1.82),(208,123,2.14662),(208,137,0.28),(208,138,1.68),(208,139,2.1),(208,143,0.46662),(208,144,1.91338),(208,145,2.1),(208,146,0.37324),(208,147,3.36),(208,148,0.98),(208,149,1.00331),(208,150,1.91338),(208,151,0.65338),(208,152,1.02669),(208,153,1.09669),(208,643,2.84),(208,646,0.14),(208,801,3.64),(208,864,0.86331),(208,1276,0.37338),(208,1302,0.37338),(208,1545,0.37338),(208,2273,0.04669),(208,3631,0.55986),(208,3662,0.32669),(208,4158,0.86331),(208,8535,0.93324),(208,9006,0.14),(208,10948,0.88669),(208,12220,0.46662),(208,12656,0.18669),(208,12863,0.28),(208,13138,0.81669),(208,15167,0.09331),(208,15605,1.23321),(208,19743,0.91),(208,21163,2.6666),(208,21164,2.8),(208,21165,3.36),(208,21166,2.72),(208,21167,5.18),(208,21168,5.92),(208,21301,0.91),(208,21302,1.02669),(208,21401,0.86331),(208,21402,1.02669),(208,21407,1.07331),(208,21408,1.12),(208,21416,0.18669),(208,21423,0.18669),(208,21424,0.88669),(208,21425,1.00331),(208,21429,0.86331),(208,21454,0.91),(208,21455,1.00331),(208,21456,0.98),(208,21457,0.98),(208,21458,1.19),(208,21527,0.91),(208,21528,0.98),(208,21529,0.51331),(208,21530,1.12),(208,21531,1.21331),(208,21650,0.93331),(208,21651,1.07331),(208,21652,0.91),(208,21653,1.09669),(208,21654,0.93331),(208,21655,1.02669),(208,21656,1.02669),(208,21657,2.05338),(208,21658,0.98),(208,21659,0.91),(208,21660,1.02669),(208,21661,1.00331),(208,21662,0.93331),(208,21663,1.19),(208,21664,1.77338),(208,21665,0.98),(208,21666,0.98),(208,21667,0.91),(208,21668,1.00331),(208,21669,1.09669),(208,21670,0.95669),(208,21671,1.05),(208,21672,0.86331),(208,21673,1.05),(208,21674,0.98),(208,21675,1.12),(208,21676,0.98),(208,21677,1.07331),(208,21678,0.98),(208,21679,1.09669),(208,21680,0.95669),(208,21681,1.05),(208,21682,1.72662),(208,21683,0.95669),(208,21684,1.05),(208,21685,0.95669),(208,21686,0.86331),(208,21687,1.02669),(208,21688,0.93331),(208,21689,1.00331),(208,21690,0.93331),(208,21691,1.02669),(208,21692,0.46662),(208,21693,0.88669),(208,21694,0.98),(208,21695,0.93331),(208,21696,1.05),(208,21697,0.37331),(208,21698,1.05),(208,21699,1.14331),(208,21700,0.91),(208,21701,1.02669),(208,21702,0.93331),(208,21703,1.05),(208,21836,0.95669),(208,21837,1.05),(208,21838,0.98),(208,21839,0.81669),(208,21840,0.93331),(208,21841,0.18669),(208,21842,0.86331),(208,21843,0.95669),(208,21912,1.68),(208,21913,1.91338),(211,114,0.37338),(211,122,1.82),(211,123,2.14662),(211,131,0.18669),(211,137,0.28),(211,138,1.68),(211,139,2.1),(211,143,0.46662),(211,144,1.91338),(211,145,2.1),(211,146,0.37324),(211,147,3.36),(211,148,0.98),(211,149,1.00331),(211,150,1.91338),(211,151,0.65338),(211,152,2.05338),(211,153,2.19338),(211,401,0.28),(211,3623,0.84),(211,3631,0.09331),(211,8553,0.74),(211,14015,1.02669),(211,14016,1.21331),(211,14049,1.00331),(211,14050,1.12),(211,14053,1.09669),(211,14054,1.21331),(211,14055,1.02669),(211,14056,1.23669),(211,18185,0.84),(211,18186,0.98),(211,22624,4.56321),(212,114,0.93345),(212,115,0.93331),(212,120,2.79993),(212,121,3.29007),(212,124,0.56007),(212,129,0.88669),(212,130,0.95669),(212,131,0.37338),(212,132,0.84),(212,133,0.95669),(212,137,0.28),(212,138,0.84),(212,139,1.05),(212,140,0.09331),(212,151,0.32669),(212,156,1.02669),(212,528,0.98),(212,529,1.09669),(212,539,1.02669),(212,540,1.19),(212,545,0.86331),(212,546,1.05),(212,639,0.28),(212,640,0.91),(212,641,1.07331),(212,649,0.28),(212,650,1.00331),(212,651,1.28331),(212,917,1.14331),(212,921,0.93331),(212,922,1.12),(212,2311,0.98),(212,3993,1.19),(212,6242,0.95669),(212,6243,1.05),(212,19714,1.16669),(213,111,0.32669),(213,112,0.98),(213,113,1.09669),(213,114,0.18669),(213,117,0.91),(213,124,0.56007),(213,127,1.91338),(213,128,2.00662),(213,137,0.14),(213,138,0.84),(213,139,1.05),(213,140,0.09331),(213,146,0.18662),(213,147,1.68),(213,150,1.91338),(213,151,0.32669),(213,156,1.02669),(213,157,1.19),(213,401,0.28),(213,639,0.28),(213,640,0.91),(213,641,1.07331),(213,649,0.28),(213,650,1.00331),(213,651,1.28331),(213,929,0.91),(213,19750,0.98),(213,19766,0.95669),(213,19767,1.12),(213,19785,0.93331),(213,19786,1.12),(214,114,0.37338),(214,122,1.82),(214,123,2.14662),(214,131,0.18669),(214,137,0.28),(214,138,1.68),(214,139,2.1),(214,143,0.46662),(214,144,1.91338),(214,145,2.1),(214,146,0.37324),(214,147,3.36),(214,148,0.98),(214,149,1.00331),(214,150,1.91338),(214,151,0.65338),(214,152,2.05338),(214,153,2.19338),(214,401,0.28),(214,3623,0.84),(214,3631,0.09331),(214,14015,1.02669),(214,14016,1.21331),(214,14049,1.00331),(214,14050,1.12),(214,14053,1.09669),(214,14054,1.21331),(214,14055,1.02669),(214,14056,1.23669),(214,18185,0.84),(214,18186,0.98),(215,114,0.18669),(215,115,0.93331),(215,124,0.37338),(215,129,0.88669),(215,130,0.95669),(215,140,0.27993),(215,711,0.98),(215,712,1.19),(215,716,0.91),(215,717,1.00331),(215,931,0.95669),(215,932,1.14331),(215,5281,1.05),(215,6242,0.95669),(215,19835,1.16669),(216,111,0.32669),(216,112,0.98),(216,113,1.09669),(216,114,0.37338),(216,115,0.93331),(216,117,0.91),(216,124,0.56007),(216,127,1.91338),(216,128,2.00662),(216,129,0.88669),(216,130,0.95669),(216,131,0.37338),(216,132,1.68),(216,133,1.91338),(216,137,0.28),(216,138,1.68),(216,139,2.1),(216,140,0.18662),(216,532,1.09669),(216,716,0.91),(216,717,1.00331),(216,19914,1.07331),(216,19915,0.93331),(216,19916,1.12),(216,19937,1.97321),(217,114,0.37338),(217,122,1.82),(217,123,2.14662),(217,131,0.18669),(217,137,0.28),(217,138,1.68),(217,139,2.1),(217,143,0.46662),(217,144,1.91338),(217,145,2.1),(217,146,0.37324),(217,147,3.36),(217,148,0.98),(217,149,1.00331),(217,150,1.91338),(217,151,0.65338),(217,152,2.05338),(217,153,2.19338),(217,401,0.28),(217,3623,0.84),(217,3631,0.09331),(217,14015,1.02669),(217,14016,1.21331),(217,14049,1.00331),(217,14050,1.12),(217,14053,1.09669),(217,14054,1.21331),(217,14055,1.02669),(217,14056,1.23669),(217,15406,0.98679),(217,18185,0.84),(217,18186,0.98),(217,19960,1.97321),(217,19961,5.18),(217,19962,5.55),(217,19969,4.56321),(217,19970,6.04321),(219,114,0.37338),(219,122,1.82),(219,123,2.14662),(219,137,0.28),(219,138,1.68),(219,139,2.1),(219,143,0.46662),(219,144,1.91338),(219,145,2.1),(219,146,0.37324),(219,147,3.36),(219,148,0.98),(219,149,1.00331),(219,150,1.91338),(219,151,0.65338),(219,152,1.02669),(219,153,1.09669),(219,643,2.1),(219,646,0.14),(219,801,3.64),(219,864,0.86331),(219,1276,0.37338),(219,1302,0.37338),(219,1545,0.37338),(219,2273,0.04669),(219,3631,0.55986),(219,3662,0.32669),(219,4158,0.86331),(219,8535,0.93324),(219,9006,0.14),(219,10948,0.88669),(219,12220,0.46662),(219,12656,0.18669),(219,12863,0.28),(219,13138,0.81669),(219,15167,0.09331),(219,19743,0.91),(219,21165,0.98),(219,21301,0.91),(219,21302,1.02669),(219,21401,0.86331),(219,21402,1.02669),(219,21407,1.07331),(219,21408,1.12),(219,21416,0.18669),(219,21423,0.18669),(219,21424,0.88669),(219,21425,1.00331),(219,21429,0.86331),(219,21454,0.91),(219,21455,1.00331),(219,21456,0.98),(219,21457,0.98),(219,21458,1.19),(219,21527,0.91),(219,21528,0.98),(219,21529,0.51331),(219,21530,1.12),(219,21531,1.21331),(219,21650,0.93331),(219,21651,1.07331),(219,21652,0.91),(219,21653,1.09669),(219,21654,0.93331),(219,21655,1.02669),(219,21656,1.02669),(219,21657,2.05338),(219,21658,0.98),(219,21659,0.91),(219,21660,1.02669),(219,21661,1.00331),(219,21662,0.93331),(219,21663,1.19),(219,21664,1.77338),(219,21665,0.98),(219,21666,0.98),(219,21667,0.91),(219,21668,1.00331),(219,21669,1.09669),(219,21670,0.95669),(219,21671,1.05),(219,21672,0.86331),(219,21673,1.05),(219,21674,0.98),(219,21675,1.12),(219,21676,0.98),(219,21677,1.07331),(219,21678,0.98),(219,21679,1.09669),(219,21680,0.95669),(219,21681,1.05),(219,21682,1.72662),(219,21683,0.95669),(219,21684,1.05),(219,21685,0.95669),(219,21686,0.86331),(219,21687,1.02669),(219,21688,0.93331),(219,21689,1.00331),(219,21690,0.93331),(219,21691,1.02669),(219,21692,0.46662),(219,21693,0.88669),(219,21694,0.98),(219,21695,0.93331),(219,21696,1.05),(219,21697,0.37331),(219,21698,1.05),(219,21699,1.14331),(219,21700,0.91),(219,21701,1.02669),(219,21702,0.93331),(219,21703,1.05),(219,21836,0.95669),(219,21837,1.05),(219,21838,0.98),(219,21839,0.81669),(219,21840,0.93331),(219,21841,0.18669),(219,21842,0.86331),(219,21843,0.95669),(219,21912,1.68),(219,21913,1.91338),(220,114,0.37338),(220,122,1.82),(220,123,2.14662),(220,137,0.28),(220,138,1.68),(220,139,2.1),(220,143,0.46662),(220,144,1.91338),(220,145,2.1),(220,146,0.37324),(220,147,3.36),(220,148,0.98),(220,149,1.00331),(220,150,1.91338),(220,151,0.65338),(220,152,1.02669),(220,153,1.09669),(220,643,2.1),(220,646,0.14),(220,801,3.64),(220,864,0.86331),(220,1276,0.37338),(220,1302,0.37338),(220,1545,0.37338),(220,2273,0.04669),(220,3631,0.55986),(220,3662,0.32669),(220,4158,0.86331),(220,8535,0.93324),(220,9006,0.14),(220,10948,0.88669),(220,12220,0.46662),(220,12656,0.18669),(220,12863,0.28),(220,13138,0.81669),(220,15167,0.09331),(220,19743,0.91),(220,21165,0.98),(220,21301,0.91),(220,21302,1.02669),(220,21401,0.86331),(220,21402,1.02669),(220,21407,1.07331),(220,21408,1.12),(220,21416,0.18669),(220,21423,0.18669),(220,21424,0.88669),(220,21425,1.00331),(220,21429,0.86331),(220,21454,0.91),(220,21455,1.00331),(220,21456,0.98),(220,21457,0.98),(220,21458,1.19),(220,21527,0.91),(220,21528,0.98),(220,21529,0.51331),(220,21530,1.12),(220,21531,1.21331),(220,21650,0.93331),(220,21651,1.07331),(220,21652,0.91),(220,21653,1.09669),(220,21654,0.93331),(220,21655,1.02669),(220,21656,1.02669),(220,21657,2.05338),(220,21658,0.98),(220,21659,0.91),(220,21660,1.02669),(220,21661,1.00331),(220,21662,0.93331),(220,21663,1.19),(220,21664,1.77338),(220,21665,0.98),(220,21666,0.98),(220,21667,0.91),(220,21668,1.00331),(220,21669,1.09669),(220,21670,0.95669),(220,21671,1.05),(220,21672,0.86331),(220,21673,1.05),(220,21674,0.98),(220,21675,1.12),(220,21676,0.98),(220,21677,1.07331),(220,21678,0.98),(220,21679,1.09669),(220,21680,0.95669),(220,21681,1.05),(220,21682,1.72662),(220,21683,0.95669),(220,21684,1.05),(220,21685,0.95669),(220,21686,0.86331),(220,21687,1.02669),(220,21688,0.93331),(220,21689,1.00331),(220,21690,0.93331),(220,21691,1.02669),(220,21692,0.46662),(220,21693,0.88669),(220,21694,0.98),(220,21695,0.93331),(220,21696,1.05),(220,21697,0.37331),(220,21698,1.05),(220,21699,1.14331),(220,21700,0.91),(220,21701,1.02669),(220,21702,0.93331),(220,21703,1.05),(220,21836,0.95669),(220,21837,1.05),(220,21838,0.98),(220,21839,0.81669),(220,21840,0.93331),(220,21841,0.18669),(220,21842,0.86331),(220,21843,0.95669),(220,21912,1.68),(220,21913,1.91338),(220,22056,1.23321),(220,22057,5.18),(220,22058,6.16679),(221,114,0.37338),(221,122,1.82),(221,123,2.14662),(221,137,0.28),(221,138,1.68),(221,139,2.1),(221,143,0.46662),(221,144,1.91338),(221,145,2.1),(221,146,0.37324),(221,147,3.36),(221,148,0.98),(221,149,1.00331),(221,150,1.91338),(221,151,0.65338),(221,152,1.02669),(221,153,1.09669),(221,643,2.84),(221,646,0.14),(221,801,3.64),(221,864,0.86331),(221,1276,0.37338),(221,1302,0.37338),(221,1545,0.37338),(221,2273,0.04669),(221,3631,0.55986),(221,3662,0.32669),(221,4158,0.86331),(221,8535,0.93324),(221,9006,0.14),(221,10948,0.88669),(221,12220,0.46662),(221,12656,0.18669),(221,12863,0.28),(221,13138,0.81669),(221,15167,0.09331),(221,19743,0.91),(221,21165,0.98),(221,21301,0.91),(221,21302,1.02669),(221,21401,0.86331),(221,21402,1.02669),(221,21407,1.07331),(221,21408,1.12),(221,21416,0.18669),(221,21423,0.18669),(221,21424,0.88669),(221,21425,1.00331),(221,21429,0.86331),(221,21454,0.91),(221,21455,1.00331),(221,21456,0.98),(221,21457,0.98),(221,21458,1.19),(221,21527,0.91),(221,21528,0.98),(221,21529,0.51331),(221,21530,1.12),(221,21531,1.21331),(221,21650,0.93331),(221,21651,1.07331),(221,21652,0.91),(221,21653,1.09669),(221,21654,0.93331),(221,21655,1.02669),(221,21656,1.02669),(221,21657,2.05338),(221,21658,0.98),(221,21659,0.91),(221,21660,1.02669),(221,21661,1.00331),(221,21662,0.93331),(221,21663,1.19),(221,21664,1.77338),(221,21665,0.98),(221,21666,0.98),(221,21667,0.91),(221,21668,1.00331),(221,21669,1.09669),(221,21670,0.95669),(221,21671,1.05),(221,21672,0.86331),(221,21673,1.05),(221,21674,0.98),(221,21675,1.12),(221,21676,0.98),(221,21677,1.07331),(221,21678,0.98),(221,21679,1.09669),(221,21680,0.95669),(221,21681,1.05),(221,21682,1.72662),(221,21683,0.95669),(221,21684,1.05),(221,21685,0.95669),(221,21686,0.86331),(221,21687,1.02669),(221,21688,0.93331),(221,21689,1.00331),(221,21690,0.93331),(221,21691,1.02669),(221,21692,0.46662),(221,21693,0.88669),(221,21694,0.98),(221,21695,0.93331),(221,21696,1.05),(221,21697,0.37331),(221,21698,1.05),(221,21699,1.14331),(221,21700,0.91),(221,21701,1.02669),(221,21702,0.93331),(221,21703,1.05),(221,21836,0.95669),(221,21837,1.05),(221,21838,0.98),(221,21839,0.81669),(221,21840,0.93331),(221,21841,0.18669),(221,21842,0.86331),(221,21843,0.95669),(221,21912,1.68),(221,21913,1.91338),(221,22188,1.48),(221,22191,5.42679),(221,22532,4.93321),(221,22533,6.29),(221,22535,6.04321),(222,114,0.37338),(222,122,1.82),(222,123,2.14662),(222,137,0.28),(222,138,1.68),(222,139,2.1),(222,143,0.46662),(222,144,1.91338),(222,145,2.1),(222,146,0.37324),(222,147,3.36),(222,148,0.98),(222,149,1.00331),(222,150,1.91338),(222,151,0.65338),(222,152,1.02669),(222,153,1.09669),(222,643,2.1),(222,646,0.14),(222,801,3.64),(222,864,0.86331),(222,1276,0.37338),(222,1302,0.37338),(222,1545,0.37338),(222,2273,0.04669),(222,3631,0.55986),(222,3662,0.32669),(222,4158,0.86331),(222,8535,0.93324),(222,9006,0.14),(222,10948,0.88669),(222,12220,0.46662),(222,12601,0.98679),(222,12656,0.18669),(222,12863,0.28),(222,13138,0.81669),(222,15167,0.09331),(222,19743,0.91),(222,21165,0.98),(222,21301,0.91),(222,21302,1.02669),(222,21401,0.86331),(222,21402,1.02669),(222,21407,1.07331),(222,21408,1.12),(222,21416,0.18669),(222,21423,0.18669),(222,21424,0.88669),(222,21425,1.00331),(222,21429,0.86331),(222,21454,0.91),(222,21455,1.00331),(222,21456,0.98),(222,21457,0.98),(222,21458,1.19),(222,21527,0.91),(222,21528,0.98),(222,21529,0.51331),(222,21530,1.12),(222,21531,1.21331),(222,21650,0.93331),(222,21651,1.07331),(222,21652,0.91),(222,21653,1.09669),(222,21654,0.93331),(222,21655,1.02669),(222,21656,1.02669),(222,21657,2.05338),(222,21658,0.98),(222,21659,0.91),(222,21660,1.02669),(222,21661,1.00331),(222,21662,0.93331),(222,21663,1.19),(222,21664,1.77338),(222,21665,0.98),(222,21666,0.98),(222,21667,0.91),(222,21668,1.00331),(222,21669,1.09669),(222,21670,0.95669),(222,21671,1.05),(222,21672,0.86331),(222,21673,1.05),(222,21674,0.98),(222,21675,1.12),(222,21676,0.98),(222,21677,1.07331),(222,21678,0.98),(222,21679,1.09669),(222,21680,0.95669),(222,21681,1.05),(222,21682,1.72662),(222,21683,0.95669),(222,21684,1.05),(222,21685,0.95669),(222,21686,0.86331),(222,21687,1.02669),(222,21688,0.93331),(222,21689,1.00331),(222,21690,0.93331),(222,21691,1.02669),(222,21692,0.46662),(222,21693,0.88669),(222,21694,0.98),(222,21695,0.93331),(222,21696,1.05),(222,21697,0.37331),(222,21698,1.05),(222,21699,1.14331),(222,21700,0.91),(222,21701,1.02669),(222,21702,0.93331),(222,21703,1.05),(222,21836,0.95669),(222,21837,1.05),(222,21838,0.98),(222,21839,0.81669),(222,21840,0.93331),(222,21841,0.18669),(222,21842,0.86331),(222,21843,0.95669),(222,21912,1.68),(222,21913,1.91338),(222,22035,4.81),(222,22036,6.29),(223,114,0.37338),(223,122,1.82),(223,123,2.14662),(223,137,0.28),(223,138,1.68),(223,139,2.1),(223,143,0.46662),(223,144,1.91338),(223,145,2.1),(223,146,0.37324),(223,147,3.36),(223,148,0.98),(223,149,1.00331),(223,150,1.91338),(223,151,0.65338),(223,152,1.02669),(223,153,1.09669),(223,643,2.1),(223,646,0.14),(223,801,3.64),(223,864,0.86331),(223,1276,0.37338),(223,1302,0.37338),(223,1545,0.37338),(223,2273,0.04669),(223,3631,0.55986),(223,3662,0.32669),(223,4158,0.86331),(223,8535,0.93324),(223,9006,0.14),(223,10948,0.88669),(223,11442,0.98679),(223,12220,0.46662),(223,12656,0.18669),(223,12863,0.28),(223,13138,0.81669),(223,15167,0.09331),(223,19743,0.91),(223,21165,0.98),(223,21301,0.91),(223,21302,1.02669),(223,21401,0.86331),(223,21402,1.02669),(223,21407,1.07331),(223,21408,1.12),(223,21416,0.18669),(223,21423,0.18669),(223,21424,0.88669),(223,21425,1.00331),(223,21429,0.86331),(223,21454,0.91),(223,21455,1.00331),(223,21456,0.98),(223,21457,0.98),(223,21458,1.19),(223,21527,0.91),(223,21528,0.98),(223,21529,0.51331),(223,21530,1.12),(223,21531,1.21331),(223,21650,0.93331),(223,21651,1.07331),(223,21652,0.91),(223,21653,1.09669),(223,21654,0.93331),(223,21655,1.02669),(223,21656,1.02669),(223,21657,2.05338),(223,21658,0.98),(223,21659,0.91),(223,21660,1.02669),(223,21661,1.00331),(223,21662,0.93331),(223,21663,1.19),(223,21664,1.77338),(223,21665,0.98),(223,21666,0.98),(223,21667,0.91),(223,21668,1.00331),(223,21669,1.09669),(223,21670,0.95669),(223,21671,1.05),(223,21672,0.86331),(223,21673,1.05),(223,21674,0.98),(223,21675,1.12),(223,21676,0.98),(223,21677,1.07331),(223,21678,0.98),(223,21679,1.09669),(223,21680,0.95669),(223,21681,1.05),(223,21682,1.72662),(223,21683,0.95669),(223,21684,1.05),(223,21685,0.95669),(223,21686,0.86331),(223,21687,1.02669),(223,21688,0.93331),(223,21689,1.00331),(223,21690,0.93331),(223,21691,1.02669),(223,21692,0.46662),(223,21693,0.88669),(223,21694,0.98),(223,21695,0.93331),(223,21696,1.05),(223,21697,0.37331),(223,21698,1.05),(223,21699,1.14331),(223,21700,0.91),(223,21701,1.02669),(223,21702,0.93331),(223,21703,1.05),(223,21836,0.95669),(223,21837,1.05),(223,21838,0.98),(223,21839,0.81669),(223,21840,0.93331),(223,21841,0.18669),(223,21842,0.86331),(223,21843,0.95669),(223,21912,1.68),(223,21913,1.91338),(223,22217,0.63996),(224,114,0.37338),(224,122,1.82),(224,123,2.14662),(224,137,0.28),(224,138,1.68),(224,139,2.1),(224,143,0.46662),(224,144,1.91338),(224,145,2.1),(224,146,0.37324),(224,147,3.36),(224,148,0.98),(224,149,1.00331),(224,150,1.91338),(224,151,0.65338),(224,152,1.02669),(224,153,1.09669),(224,643,2.1),(224,646,0.14),(224,801,3.64),(224,864,0.86331),(224,1276,0.37338),(224,1302,1.36017),(224,1545,0.37338),(224,2273,0.04669),(224,3631,0.55986),(224,3662,0.32669),(224,4158,0.86331),(224,8535,0.93324),(224,9006,0.14),(224,10948,0.88669),(224,12220,0.46662),(224,12656,0.18669),(224,12863,0.28),(224,13138,0.81669),(224,15167,0.09331),(224,19743,0.91),(224,21165,0.98),(224,21301,0.91),(224,21302,1.02669),(224,21401,0.86331),(224,21402,1.02669),(224,21407,1.07331),(224,21408,1.12),(224,21416,0.18669),(224,21423,0.18669),(224,21424,0.88669),(224,21425,1.00331),(224,21429,0.86331),(224,21454,0.91),(224,21455,1.00331),(224,21456,0.98),(224,21457,0.98),(224,21458,1.19),(224,21527,0.91),(224,21528,0.98),(224,21529,0.51331),(224,21530,1.12),(224,21531,1.21331),(224,21650,0.93331),(224,21651,1.07331),(224,21652,0.91),(224,21653,1.09669),(224,21654,0.93331),(224,21655,1.02669),(224,21656,1.02669),(224,21657,2.05338),(224,21658,0.98),(224,21659,0.91),(224,21660,1.02669),(224,21661,1.00331),(224,21662,0.93331),(224,21663,1.19),(224,21664,1.77338),(224,21665,0.98),(224,21666,0.98),(224,21667,0.91),(224,21668,1.00331),(224,21669,1.09669),(224,21670,0.95669),(224,21671,1.05),(224,21672,0.86331),(224,21673,1.05),(224,21674,0.98),(224,21675,1.12),(224,21676,0.98),(224,21677,1.07331),(224,21678,0.98),(224,21679,1.09669),(224,21680,0.95669),(224,21681,1.05),(224,21682,1.72662),(224,21683,0.95669),(224,21684,1.05),(224,21685,0.95669),(224,21686,0.86331),(224,21687,1.02669),(224,21688,0.93331),(224,21689,1.00331),(224,21690,0.93331),(224,21691,1.02669),(224,21692,0.46662),(224,21693,0.88669),(224,21694,0.98),(224,21695,0.93331),(224,21696,1.05),(224,21697,0.37331),(224,21698,1.05),(224,21699,1.14331),(224,21700,0.91),(224,21701,1.02669),(224,21702,0.93331),(224,21703,1.05),(224,21836,0.95669),(224,21837,1.05),(224,21838,0.98),(224,21839,0.81669),(224,21840,0.93331),(224,21841,0.18669),(224,21842,0.86331),(224,21843,0.95669),(224,21912,1.68),(224,21913,1.91338),(224,22217,0.63996),(224,22272,4.93321),(224,22273,2.8),(224,22274,2.55),(225,114,0.37338),(225,122,1.82),(225,123,2.14662),(225,137,0.28),(225,138,1.68),(225,139,2.1),(225,143,0.46662),(225,144,1.91338),(225,145,2.1),(225,146,0.37324),(225,147,3.36),(225,148,0.98),(225,149,1.00331),(225,150,1.91338),(225,151,0.65338),(225,152,1.02669),(225,153,1.09669),(225,643,2.1),(225,646,0.14),(225,801,3.64),(225,864,0.86331),(225,1276,0.37338),(225,1302,0.37338),(225,1545,0.37338),(225,2273,0.04669),(225,3631,0.55986),(225,3662,0.32669),(225,4158,0.86331),(225,8535,0.93324),(225,9006,0.14),(225,10948,0.88669),(225,12220,0.46662),(225,12656,0.18669),(225,12863,0.28),(225,13138,0.81669),(225,15167,0.09331),(225,19743,0.91),(225,21165,0.98),(225,21301,0.91),(225,21302,1.02669),(225,21401,0.86331),(225,21402,1.02669),(225,21407,1.07331),(225,21408,1.12),(225,21416,0.18669),(225,21423,0.18669),(225,21424,0.88669),(225,21425,1.00331),(225,21429,0.86331),(225,21454,0.91),(225,21455,1.00331),(225,21456,0.98),(225,21457,0.98),(225,21458,1.19),(225,21527,0.91),(225,21528,0.98),(225,21529,0.51331),(225,21530,1.12),(225,21531,1.21331),(225,21650,0.93331),(225,21651,1.07331),(225,21652,0.91),(225,21653,1.09669),(225,21654,0.93331),(225,21655,1.02669),(225,21656,1.02669),(225,21657,2.05338),(225,21658,0.98),(225,21659,0.91),(225,21660,1.02669),(225,21661,1.00331),(225,21662,0.93331),(225,21663,1.19),(225,21664,1.77338),(225,21665,0.98),(225,21666,0.98),(225,21667,0.91),(225,21668,1.00331),(225,21669,1.09669),(225,21670,0.95669),(225,21671,1.05),(225,21672,0.86331),(225,21673,1.05),(225,21674,0.98),(225,21675,1.12),(225,21676,0.98),(225,21677,1.07331),(225,21678,0.98),(225,21679,1.09669),(225,21680,0.95669),(225,21681,1.05),(225,21682,1.72662),(225,21683,0.95669),(225,21684,1.05),(225,21685,0.95669),(225,21686,0.86331),(225,21687,1.02669),(225,21688,0.93331),(225,21689,1.00331),(225,21690,0.93331),(225,21691,1.02669),(225,21692,0.46662),(225,21693,0.88669),(225,21694,0.98),(225,21695,0.93331),(225,21696,1.05),(225,21697,0.37331),(225,21698,1.05),(225,21699,1.14331),(225,21700,0.91),(225,21701,1.02669),(225,21702,0.93331),(225,21703,1.05),(225,21836,0.95669),(225,21837,1.05),(225,21838,0.98),(225,21839,0.81669),(225,21840,0.93331),(225,21841,0.18669),(225,21842,0.86331),(225,21843,0.95669),(225,21912,1.68),(225,21913,1.91338),(225,22217,0.63996),(226,114,0.37338),(226,122,1.82),(226,123,2.14662),(226,137,0.28),(226,138,1.68),(226,139,2.1),(226,143,0.46662),(226,144,1.91338),(226,145,2.1),(226,146,0.37324),(226,147,3.36),(226,148,0.98),(226,149,1.00331),(226,150,1.91338),(226,151,0.65338),(226,152,1.02669),(226,153,1.09669),(226,643,2.84),(226,646,0.14),(226,801,3.64),(226,848,2.4666),(226,864,0.86331),(226,1276,0.37338),(226,1302,0.37338),(226,1545,0.37338),(226,2273,0.04669),(226,3631,1.05307),(226,3662,0.32669),(226,4158,0.86331),(226,7881,0.74),(226,8535,0.93324),(226,9006,0.14),(226,10948,0.88669),(226,12220,0.46662),(226,12656,0.18669),(226,12863,0.28),(226,13138,0.81669),(226,15167,0.09331),(226,19743,0.91),(226,21165,0.98),(226,21301,0.91),(226,21302,1.02669),(226,21401,0.86331),(226,21402,1.02669),(226,21407,1.07331),(226,21408,1.12),(226,21416,0.18669),(226,21423,0.18669),(226,21424,0.88669),(226,21425,1.00331),(226,21429,0.86331),(226,21454,0.91),(226,21455,1.00331),(226,21456,0.98),(226,21457,0.98),(226,21458,1.19),(226,21527,0.91),(226,21528,0.98),(226,21529,0.51331),(226,21530,1.12),(226,21531,1.21331),(226,21650,0.93331),(226,21651,1.07331),(226,21652,0.91),(226,21653,1.09669),(226,21654,0.93331),(226,21655,1.02669),(226,21656,1.02669),(226,21657,2.05338),(226,21658,0.98),(226,21659,0.91),(226,21660,1.02669),(226,21661,1.00331),(226,21662,0.93331),(226,21663,1.19),(226,21664,1.77338),(226,21665,0.98),(226,21666,0.98),(226,21667,0.91),(226,21668,1.00331),(226,21669,1.09669),(226,21670,0.95669),(226,21671,1.05),(226,21672,0.86331),(226,21673,1.05),(226,21674,0.98),(226,21675,1.12),(226,21676,0.98),(226,21677,1.07331),(226,21678,0.98),(226,21679,1.09669),(226,21680,0.95669),(226,21681,1.05),(226,21682,1.72662),(226,21683,0.95669),(226,21684,1.05),(226,21685,0.95669),(226,21686,0.86331),(226,21687,1.02669),(226,21688,0.93331),(226,21689,1.00331),(226,21690,0.93331),(226,21691,1.02669),(226,21692,0.46662),(226,21693,0.88669),(226,21694,0.98),(226,21695,0.93331),(226,21696,1.05),(226,21697,0.37331),(226,21698,1.05),(226,21699,1.14331),(226,21700,0.91),(226,21701,1.02669),(226,21702,0.93331),(226,21703,1.05),(226,21836,0.95669),(226,21837,1.05),(226,21838,0.98),(226,21839,0.81669),(226,21840,0.93331),(226,21841,0.18669),(226,21842,0.86331),(226,21843,0.95669),(226,21912,1.68),(226,21913,1.91338),(226,22217,0.63996),(226,22280,4.93321),(226,22281,5.30321),(226,22298,2.15339),(226,22302,4.56321),(226,22520,2.6666),(226,22521,2.32339),(227,114,0.37338),(227,122,1.82),(227,123,2.14662),(227,137,0.28),(227,138,1.68),(227,139,2.1),(227,143,0.46662),(227,144,1.91338),(227,145,2.1),(227,146,0.37324),(227,147,3.36),(227,148,0.98),(227,149,1.00331),(227,150,1.91338),(227,151,0.65338),(227,152,1.02669),(227,153,1.09669),(227,643,2.1),(227,646,0.14),(227,801,3.64),(227,864,0.86331),(227,1276,0.37338),(227,1302,0.37338),(227,1545,0.37338),(227,2273,0.04669),(227,3631,0.55986),(227,3662,0.32669),(227,4158,0.86331),(227,8535,0.93324),(227,9006,0.14),(227,10948,0.88669),(227,12220,0.46662),(227,12310,0.48),(227,12656,0.18669),(227,12863,0.28),(227,13138,0.81669),(227,15167,0.09331),(227,19743,0.91),(227,21165,0.98),(227,21301,0.91),(227,21302,1.02669),(227,21401,0.86331),(227,21402,1.02669),(227,21407,1.07331),(227,21408,1.12),(227,21416,0.18669),(227,21423,0.18669),(227,21424,0.88669),(227,21425,1.00331),(227,21429,0.86331),(227,21454,0.91),(227,21455,1.00331),(227,21456,0.98),(227,21457,0.98),(227,21458,1.19),(227,21527,0.91),(227,21528,0.98),(227,21529,0.51331),(227,21530,1.12),(227,21531,1.21331),(227,21650,0.93331),(227,21651,1.07331),(227,21652,0.91),(227,21653,1.09669),(227,21654,0.93331),(227,21655,1.02669),(227,21656,1.02669),(227,21657,2.05338),(227,21658,0.98),(227,21659,0.91),(227,21660,1.02669),(227,21661,1.00331),(227,21662,0.93331),(227,21663,1.19),(227,21664,1.77338),(227,21665,0.98),(227,21666,0.98),(227,21667,0.91),(227,21668,1.00331),(227,21669,1.09669),(227,21670,0.95669),(227,21671,1.05),(227,21672,0.86331),(227,21673,1.05),(227,21674,0.98),(227,21675,1.12),(227,21676,0.98),(227,21677,1.07331),(227,21678,0.98),(227,21679,1.09669),(227,21680,0.95669),(227,21681,1.05),(227,21682,1.72662),(227,21683,0.95669),(227,21684,1.05),(227,21685,0.95669),(227,21686,0.86331),(227,21687,1.02669),(227,21688,0.93331),(227,21689,1.00331),(227,21690,0.93331),(227,21691,1.02669),(227,21692,0.46662),(227,21693,0.88669),(227,21694,0.98),(227,21695,0.93331),(227,21696,1.05),(227,21697,0.37331),(227,21698,1.05),(227,21699,1.14331),(227,21700,0.91),(227,21701,1.02669),(227,21702,0.93331),(227,21703,1.05),(227,21836,0.95669),(227,21837,1.05),(227,21838,0.98),(227,21839,0.81669),(227,21840,0.93331),(227,21841,0.18669),(227,21842,0.86331),(227,21843,0.95669),(227,21912,1.68),(227,21913,1.91338),(228,114,0.37338),(228,122,1.82),(228,123,2.14662),(228,137,0.28),(228,138,1.68),(228,139,2.1),(228,143,0.46662),(228,144,1.91338),(228,145,2.1),(228,146,0.37324),(228,147,3.36),(228,148,0.98),(228,149,1.00331),(228,150,1.91338),(228,151,0.65338),(228,152,1.02669),(228,153,1.09669),(228,643,2.1),(228,646,0.14),(228,801,3.64),(228,864,0.86331),(228,1276,0.37338),(228,1302,0.37338),(228,1545,0.37338),(228,2273,0.04669),(228,3631,0.55986),(228,3662,0.32669),(228,4158,0.86331),(228,8535,0.93324),(228,9006,0.14),(228,10948,0.88669),(228,12220,0.46662),(228,12310,0.48),(228,12656,0.18669),(228,12863,0.28),(228,13138,0.81669),(228,15167,0.09331),(228,19743,0.91),(228,21165,0.98),(228,21301,0.91),(228,21302,1.02669),(228,21401,0.86331),(228,21402,1.02669),(228,21407,1.07331),(228,21408,1.12),(228,21416,0.18669),(228,21423,0.18669),(228,21424,0.88669),(228,21425,1.00331),(228,21429,0.86331),(228,21454,0.91),(228,21455,1.00331),(228,21456,0.98),(228,21457,0.98),(228,21458,1.19),(228,21527,0.91),(228,21528,0.98),(228,21529,0.51331),(228,21530,1.12),(228,21531,1.21331),(228,21650,0.93331),(228,21651,1.07331),(228,21652,0.91),(228,21653,1.09669),(228,21654,0.93331),(228,21655,1.02669),(228,21656,1.02669),(228,21657,2.05338),(228,21658,0.98),(228,21659,0.91),(228,21660,1.02669),(228,21661,1.00331),(228,21662,0.93331),(228,21663,1.19),(228,21664,1.77338),(228,21665,0.98),(228,21666,0.98),(228,21667,0.91),(228,21668,1.00331),(228,21669,1.09669),(228,21670,0.95669),(228,21671,1.05),(228,21672,0.86331),(228,21673,1.05),(228,21674,0.98),(228,21675,1.12),(228,21676,0.98),(228,21677,1.07331),(228,21678,0.98),(228,21679,1.09669),(228,21680,0.95669),(228,21681,1.05),(228,21682,1.72662),(228,21683,0.95669),(228,21684,1.05),(228,21685,0.95669),(228,21686,0.86331),(228,21687,1.02669),(228,21688,0.93331),(228,21689,1.00331),(228,21690,0.93331),(228,21691,1.02669),(228,21692,0.46662),(228,21693,0.88669),(228,21694,0.98),(228,21695,0.93331),(228,21696,1.05),(228,21697,0.37331),(228,21698,1.05),(228,21699,1.14331),(228,21700,0.91),(228,21701,1.02669),(228,21702,0.93331),(228,21703,1.05),(228,21836,0.95669),(228,21837,1.05),(228,21838,0.98),(228,21839,0.81669),(228,21840,0.93331),(228,21841,0.18669),(228,21842,0.86331),(228,21843,0.95669),(228,21912,1.68),(228,21913,1.91338),(229,114,0.37338),(229,122,1.82),(229,123,2.14662),(229,137,0.28),(229,138,1.68),(229,139,2.1),(229,143,0.46662),(229,144,1.91338),(229,145,2.1),(229,146,0.37324),(229,147,3.36),(229,148,0.98),(229,149,1.00331),(229,150,1.91338),(229,151,0.65338),(229,152,1.02669),(229,153,1.09669),(229,643,2.1),(229,646,0.14),(229,801,3.64),(229,864,0.86331),(229,1276,0.37338),(229,1302,0.37338),(229,1545,0.37338),(229,2273,0.04669),(229,3631,0.55986),(229,3662,0.32669),(229,4158,0.86331),(229,8535,0.93324),(229,9006,0.14),(229,10948,0.88669),(229,12220,0.46662),(229,12310,0.48),(229,12656,0.18669),(229,12863,0.28),(229,13138,0.81669),(229,15167,0.09331),(229,19743,0.91),(229,21165,0.98),(229,21301,0.91),(229,21302,1.02669),(229,21401,0.86331),(229,21402,1.02669),(229,21407,1.07331),(229,21408,1.12),(229,21416,0.18669),(229,21423,0.18669),(229,21424,0.88669),(229,21425,1.00331),(229,21429,0.86331),(229,21454,0.91),(229,21455,1.00331),(229,21456,0.98),(229,21457,0.98),(229,21458,1.19),(229,21527,0.91),(229,21528,0.98),(229,21529,0.51331),(229,21530,1.12),(229,21531,1.21331),(229,21650,0.93331),(229,21651,1.07331),(229,21652,0.91),(229,21653,1.09669),(229,21654,0.93331),(229,21655,1.02669),(229,21656,1.02669),(229,21657,2.05338),(229,21658,0.98),(229,21659,0.91),(229,21660,1.02669),(229,21661,1.00331),(229,21662,0.93331),(229,21663,1.19),(229,21664,1.77338),(229,21665,0.98),(229,21666,0.98),(229,21667,0.91),(229,21668,1.00331),(229,21669,1.09669),(229,21670,0.95669),(229,21671,1.05),(229,21672,0.86331),(229,21673,1.05),(229,21674,0.98),(229,21675,1.12),(229,21676,0.98),(229,21677,1.07331),(229,21678,0.98),(229,21679,1.09669),(229,21680,0.95669),(229,21681,1.05),(229,21682,1.72662),(229,21683,0.95669),(229,21684,1.05),(229,21685,0.95669),(229,21686,0.86331),(229,21687,1.02669),(229,21688,0.93331),(229,21689,1.00331),(229,21690,0.93331),(229,21691,1.02669),(229,21692,0.46662),(229,21693,0.88669),(229,21694,0.98),(229,21695,0.93331),(229,21696,1.05),(229,21697,0.37331),(229,21698,1.05),(229,21699,1.14331),(229,21700,0.91),(229,21701,1.02669),(229,21702,0.93331),(229,21703,1.05),(229,21836,0.95669),(229,21837,1.05),(229,21838,0.98),(229,21839,0.81669),(229,21840,0.93331),(229,21841,0.18669),(229,21842,0.86331),(229,21843,0.95669),(229,21912,1.68),(229,21913,1.91338),(230,114,0.37338),(230,122,1.82),(230,123,2.14662),(230,137,0.28),(230,138,1.68),(230,139,2.1),(230,143,0.46662),(230,144,1.91338),(230,145,2.1),(230,146,0.37324),(230,147,3.36),(230,148,0.98),(230,149,1.00331),(230,150,1.91338),(230,151,0.65338),(230,152,1.02669),(230,153,1.09669),(230,643,2.1),(230,646,0.14),(230,801,3.64),(230,864,0.86331),(230,1276,0.37338),(230,1302,0.37338),(230,1545,0.37338),(230,2273,0.04669),(230,3631,0.55986),(230,3662,0.32669),(230,4158,0.86331),(230,8535,0.93324),(230,9006,0.14),(230,10948,0.88669),(230,12220,0.46662),(230,12310,0.48),(230,12656,0.18669),(230,12863,0.28),(230,13138,0.81669),(230,15167,0.09331),(230,19743,0.91),(230,21165,0.98),(230,21301,0.91),(230,21302,1.02669),(230,21401,0.86331),(230,21402,1.02669),(230,21407,1.07331),(230,21408,1.12),(230,21416,0.18669),(230,21423,0.18669),(230,21424,0.88669),(230,21425,1.00331),(230,21429,0.86331),(230,21454,0.91),(230,21455,1.00331),(230,21456,0.98),(230,21457,0.98),(230,21458,1.19),(230,21527,0.91),(230,21528,0.98),(230,21529,0.51331),(230,21530,1.12),(230,21531,1.21331),(230,21650,0.93331),(230,21651,1.07331),(230,21652,0.91),(230,21653,1.09669),(230,21654,0.93331),(230,21655,1.02669),(230,21656,1.02669),(230,21657,2.05338),(230,21658,0.98),(230,21659,0.91),(230,21660,1.02669),(230,21661,1.00331),(230,21662,0.93331),(230,21663,1.19),(230,21664,1.77338),(230,21665,0.98),(230,21666,0.98),(230,21667,0.91),(230,21668,1.00331),(230,21669,1.09669),(230,21670,0.95669),(230,21671,1.05),(230,21672,0.86331),(230,21673,1.05),(230,21674,0.98),(230,21675,1.12),(230,21676,0.98),(230,21677,1.07331),(230,21678,0.98),(230,21679,1.09669),(230,21680,0.95669),(230,21681,1.05),(230,21682,1.72662),(230,21683,0.95669),(230,21684,1.05),(230,21685,0.95669),(230,21686,0.86331),(230,21687,1.02669),(230,21688,0.93331),(230,21689,1.00331),(230,21690,0.93331),(230,21691,1.02669),(230,21692,0.46662),(230,21693,0.88669),(230,21694,0.98),(230,21695,0.93331),(230,21696,1.05),(230,21697,0.37331),(230,21698,1.05),(230,21699,1.14331),(230,21700,0.91),(230,21701,1.02669),(230,21702,0.93331),(230,21703,1.05),(230,21836,0.95669),(230,21837,1.05),(230,21838,0.98),(230,21839,0.81669),(230,21840,0.93331),(230,21841,0.18669),(230,21842,0.86331),(230,21843,0.95669),(230,21912,1.68),(230,21913,1.91338),(230,22475,1.23321),(230,22497,5.55),(230,22498,5.92),(231,114,0.37338),(231,122,1.82),(231,123,2.14662),(231,137,0.28),(231,138,1.68),(231,139,2.1),(231,143,0.46662),(231,144,1.91338),(231,145,2.1),(231,146,0.37324),(231,147,3.36),(231,148,0.98),(231,149,1.00331),(231,150,1.91338),(231,151,0.65338),(231,152,1.02669),(231,153,1.09669),(231,643,2.1),(231,646,0.14),(231,801,3.64),(231,864,0.86331),(231,1276,0.37338),(231,1302,0.37338),(231,1545,0.37338),(231,2273,0.04669),(231,3631,0.55986),(231,3662,0.32669),(231,4158,0.86331),(231,8535,0.93324),(231,9006,0.14),(231,10948,0.88669),(231,12220,0.46662),(231,12656,0.18669),(231,12863,0.28),(231,13138,0.81669),(231,15167,0.09331),(231,19743,0.91),(231,21165,0.98),(231,21301,0.91),(231,21302,1.02669),(231,21401,0.86331),(231,21402,1.02669),(231,21407,1.07331),(231,21408,1.12),(231,21416,0.18669),(231,21423,0.18669),(231,21424,0.88669),(231,21425,1.00331),(231,21429,0.86331),(231,21454,0.91),(231,21455,1.00331),(231,21456,0.98),(231,21457,0.98),(231,21458,1.19),(231,21527,0.91),(231,21528,0.98),(231,21529,0.51331),(231,21530,1.12),(231,21531,1.21331),(231,21650,0.93331),(231,21651,1.07331),(231,21652,0.91),(231,21653,1.09669),(231,21654,0.93331),(231,21655,1.02669),(231,21656,1.02669),(231,21657,2.05338),(231,21658,0.98),(231,21659,0.91),(231,21660,1.02669),(231,21661,1.00331),(231,21662,0.93331),(231,21663,1.19),(231,21664,1.77338),(231,21665,0.98),(231,21666,0.98),(231,21667,0.91),(231,21668,1.00331),(231,21669,1.09669),(231,21670,0.95669),(231,21671,1.05),(231,21672,0.86331),(231,21673,1.05),(231,21674,0.98),(231,21675,1.12),(231,21676,0.98),(231,21677,1.07331),(231,21678,0.98),(231,21679,1.09669),(231,21680,0.95669),(231,21681,1.05),(231,21682,1.72662),(231,21683,0.95669),(231,21684,1.05),(231,21685,0.95669),(231,21686,0.86331),(231,21687,1.02669),(231,21688,0.93331),(231,21689,1.00331),(231,21690,0.93331),(231,21691,1.02669),(231,21692,0.46662),(231,21693,0.88669),(231,21694,0.98),(231,21695,0.93331),(231,21696,1.05),(231,21697,0.37331),(231,21698,1.05),(231,21699,1.14331),(231,21700,0.91),(231,21701,1.02669),(231,21702,0.93331),(231,21703,1.05),(231,21836,0.95669),(231,21837,1.05),(231,21838,0.98),(231,21839,0.81669),(231,21840,0.93331),(231,21841,0.18669),(231,21842,0.86331),(231,21843,0.95669),(231,21912,1.68),(231,21913,1.91338),(232,114,0.37338),(232,122,1.82),(232,123,2.14662),(232,137,0.28),(232,138,1.68),(232,139,2.1),(232,143,0.46662),(232,144,1.91338),(232,145,2.1),(232,146,0.37324),(232,147,3.36),(232,148,0.98),(232,149,1.00331),(232,150,1.91338),(232,151,0.65338),(232,152,1.02669),(232,153,1.09669),(232,643,2.1),(232,646,0.14),(232,801,3.64),(232,864,0.86331),(232,1276,0.37338),(232,1302,0.37338),(232,1545,0.37338),(232,2273,0.04669),(232,3631,0.55986),(232,3662,0.32669),(232,3945,1.23321),(232,4158,0.86331),(232,8535,0.93324),(232,9006,0.14),(232,10948,0.88669),(232,12220,0.46662),(232,12656,0.18669),(232,12863,0.28),(232,13138,0.81669),(232,15167,0.09331),(232,19743,0.91),(232,21165,0.98),(232,21301,0.91),(232,21302,1.02669),(232,21401,0.86331),(232,21402,1.02669),(232,21407,1.07331),(232,21408,1.12),(232,21416,0.18669),(232,21423,0.18669),(232,21424,0.88669),(232,21425,1.00331),(232,21429,0.86331),(232,21454,0.91),(232,21455,1.00331),(232,21456,0.98),(232,21457,0.98),(232,21458,1.19),(232,21527,0.91),(232,21528,0.98),(232,21529,0.51331),(232,21530,1.12),(232,21531,1.21331),(232,21650,0.93331),(232,21651,1.07331),(232,21652,0.91),(232,21653,1.09669),(232,21654,0.93331),(232,21655,1.02669),(232,21656,1.02669),(232,21657,2.05338),(232,21658,0.98),(232,21659,0.91),(232,21660,1.02669),(232,21661,1.00331),(232,21662,0.93331),(232,21663,1.19),(232,21664,1.77338),(232,21665,0.98),(232,21666,0.98),(232,21667,0.91),(232,21668,1.00331),(232,21669,1.09669),(232,21670,0.95669),(232,21671,1.05),(232,21672,0.86331),(232,21673,1.05),(232,21674,0.98),(232,21675,1.12),(232,21676,0.98),(232,21677,1.07331),(232,21678,0.98),(232,21679,1.09669),(232,21680,0.95669),(232,21681,1.05),(232,21682,1.72662),(232,21683,0.95669),(232,21684,1.05),(232,21685,0.95669),(232,21686,0.86331),(232,21687,1.02669),(232,21688,0.93331),(232,21689,1.00331),(232,21690,0.93331),(232,21691,1.02669),(232,21692,0.46662),(232,21693,0.88669),(232,21694,0.98),(232,21695,0.93331),(232,21696,1.05),(232,21697,0.37331),(232,21698,1.05),(232,21699,1.14331),(232,21700,0.91),(232,21701,1.02669),(232,21702,0.93331),(232,21703,1.05),(232,21836,0.95669),(232,21837,1.05),(232,21838,0.98),(232,21839,0.81669),(232,21840,0.93331),(232,21841,0.18669),(232,21842,0.86331),(232,21843,0.95669),(232,21912,1.68),(232,21913,1.91338),(232,22578,5.05679),(232,22579,5.92),(233,114,0.37338),(233,122,1.82),(233,123,2.14662),(233,137,0.28),(233,138,1.68),(233,139,2.1),(233,143,0.46662),(233,144,1.91338),(233,145,2.1),(233,146,0.37324),(233,147,3.36),(233,148,0.98),(233,149,1.00331),(233,150,1.91338),(233,151,0.65338),(233,152,1.02669),(233,153,1.09669),(233,643,2.1),(233,646,0.14),(233,801,3.64),(233,864,0.86331),(233,1276,0.37338),(233,1302,0.37338),(233,1545,0.37338),(233,2273,0.04669),(233,3631,1.05307),(233,3662,0.32669),(233,4158,0.86331),(233,8535,0.93324),(233,9006,0.14),(233,10948,0.88669),(233,12220,0.46662),(233,12656,0.18669),(233,12863,0.28),(233,13138,0.81669),(233,15167,0.09331),(233,19743,0.91),(233,21165,0.98),(233,21301,0.91),(233,21302,1.02669),(233,21401,0.86331),(233,21402,1.02669),(233,21407,1.07331),(233,21408,1.12),(233,21416,0.18669),(233,21423,0.18669),(233,21424,0.88669),(233,21425,1.00331),(233,21429,0.86331),(233,21454,0.91),(233,21455,1.00331),(233,21456,0.98),(233,21457,0.98),(233,21458,1.19),(233,21527,0.91),(233,21528,0.98),(233,21529,0.51331),(233,21530,1.12),(233,21531,1.21331),(233,21650,0.93331),(233,21651,1.07331),(233,21652,0.91),(233,21653,1.09669),(233,21654,0.93331),(233,21655,1.02669),(233,21656,1.02669),(233,21657,2.05338),(233,21658,0.98),(233,21659,0.91),(233,21660,1.02669),(233,21661,1.00331),(233,21662,0.93331),(233,21663,1.19),(233,21664,1.77338),(233,21665,0.98),(233,21666,0.98),(233,21667,0.91),(233,21668,1.00331),(233,21669,1.09669),(233,21670,0.95669),(233,21671,1.05),(233,21672,0.86331),(233,21673,1.05),(233,21674,0.98),(233,21675,1.12),(233,21676,0.98),(233,21677,1.07331),(233,21678,0.98),(233,21679,1.09669),(233,21680,0.95669),(233,21681,1.05),(233,21682,1.72662),(233,21683,0.95669),(233,21684,1.05),(233,21685,0.95669),(233,21686,0.86331),(233,21687,1.02669),(233,21688,0.93331),(233,21689,1.00331),(233,21690,0.93331),(233,21691,1.02669),(233,21692,0.46662),(233,21693,0.88669),(233,21694,0.98),(233,21695,0.93331),(233,21696,1.05),(233,21697,0.37331),(233,21698,1.05),(233,21699,1.14331),(233,21700,0.91),(233,21701,1.02669),(233,21702,0.93331),(233,21703,1.05),(233,21836,0.95669),(233,21837,1.05),(233,21838,0.98),(233,21839,0.81669),(233,21840,0.93331),(233,21841,0.18669),(233,21842,0.86331),(233,21843,0.95669),(233,21912,1.68),(233,21913,1.91338),(233,22597,4.68679),(233,22598,5.30321);


--
-- Table structure for table `#__finder_links_termsf`
--



CREATE TABLE `#__finder_links_termsf` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termsf`
--


INSERT INTO `#__finder_links_termsf` (`link_id`, `term_id`, `weight`) VALUES (32,455,0.18669),(32,1459,1.72679),(32,1460,5.67321),(32,1461,0.95669),(32,1462,1.09669),(40,1268,0.48),(40,18025,1.68),(40,18026,1.8),(42,455,0.56007),(42,3808,0.37331),(42,3809,1.02669),(42,3810,1.16669),(42,3811,0.14),(42,3812,0.91),(42,3813,0.98),(42,3814,0.09331),(42,3815,0.93331),(42,3816,1.12),(42,3820,0.46662),(42,3821,0.93331),(42,3822,0.98),(42,3823,0.88669),(42,3824,1.12),(42,3825,0.84),(42,3826,1.05),(42,3830,1.02669),(42,3831,1.16669),(42,3835,0.98007),(42,3836,3.21993),(42,3837,3.84993),(42,6341,0.14),(42,6597,1.05),(42,20765,1.19),(42,21049,1.02669),(42,21050,1.14331),(57,455,0.37338),(57,868,0.18669),(57,3814,0.09331),(57,7012,0.23331),(57,7223,0.86331),(57,7225,0.88669),(57,7521,0.32669),(57,7522,1.12),(57,7523,1.30669),(57,13886,1.00331),(57,15098,0.23331),(57,16831,1.07331),(57,19632,0.93331),(57,19824,0.91),(57,19825,0.98),(57,21158,0.95669),(57,22169,0.95669),(57,22170,1.07331),(57,22171,1.02669),(57,22172,1.12),(70,6341,0.74),(70,8603,1.72679),(70,11463,4.93321),(70,14164,4.68679),(70,18202,0.23331),(70,18203,1.00331),(70,18204,1.09669),(70,18305,5.42679),(71,18202,0.23331),(71,18203,1.00331),(71,18204,1.09669),(73,6331,0.24),(73,6332,1.92),(73,6333,2.07996),(74,6341,0.24),(74,6342,1.52004),(75,6331,0.24),(75,6341,0.24),(75,6342,1.52004),(75,6348,1.68),(75,6349,1.83996),(76,6331,0.24),(76,6341,0.24),(76,6342,1.52004),(76,6353,1.59996),(76,6354,1.76004),(77,6331,0.24),(77,6332,1.92),(77,6333,2.07996),(77,6341,0.24),(77,6342,1.52004),(78,6331,0.24),(78,6332,1.92),(78,6333,2.07996),(78,6341,0.24),(78,6342,1.52004),(121,18202,0.23331),(121,18203,1.00331),(121,18204,1.09669),(146,18202,0.23331),(146,18203,1.00331),(146,18204,1.09669),(208,455,0.18669),(208,664,0.28),(208,868,0.37338),(208,7666,0.18669),(208,11465,0.23331),(208,11466,0.86331),(208,21169,1.08),(208,21170,2.5334),(208,21171,2.9334),(208,21172,1.27992),(208,21173,2.49339),(208,21174,2.89),(208,21705,0.98),(208,21706,1.09669),(208,21707,1.00331),(208,21708,1.12),(208,21709,1.05),(208,21710,1.21331),(208,21711,0.98),(208,21712,1.14331),(208,21713,1.82),(208,21714,1.96),(208,21715,0.93331),(208,21716,1.09669),(208,21717,0.32669),(208,21718,0.93331),(208,21719,1.07331),(208,21720,0.42),(208,21721,0.98),(208,21722,1.09669),(208,21844,0.86331),(208,21845,0.95669),(208,21846,0.32669),(208,21847,1.12),(208,21848,1.23669),(208,21849,0.32669),(208,21850,0.95669),(208,21851,1.02669),(208,21852,1.02669),(211,18202,0.23331),(211,18203,1.00331),(211,18204,1.09669),(214,18202,0.23331),(214,18203,1.00331),(214,18204,1.09669),(215,11465,1.23321),(215,11466,4.56321),(215,12494,1.23321),(215,19897,4.81),(215,19898,3.2666),(215,19899,2.89),(215,19900,5.18),(217,9400,0.74),(217,18202,0.23331),(217,18203,1.00331),(217,18204,1.09669),(217,19971,4.44),(217,19972,5.05679),(219,455,0.18669),(219,664,0.28),(219,868,0.37338),(219,7666,0.18669),(219,11465,0.23331),(219,11466,0.86331),(219,21169,0.28),(219,21172,0.37331),(219,21705,0.98),(219,21706,1.09669),(219,21707,1.00331),(219,21708,1.12),(219,21709,1.05),(219,21710,1.21331),(219,21711,0.98),(219,21712,1.14331),(219,21713,1.82),(219,21714,1.96),(219,21715,0.93331),(219,21716,1.09669),(219,21717,0.32669),(219,21718,0.93331),(219,21719,1.07331),(219,21720,0.42),(219,21721,0.98),(219,21722,1.09669),(219,21844,0.86331),(219,21845,0.95669),(219,21846,0.32669),(219,21847,1.12),(219,21848,1.23669),(219,21849,0.32669),(219,21850,0.95669),(219,21851,1.02669),(219,21852,1.02669),(219,22205,1.48),(219,22206,4.93321),(219,22207,5.42679),(220,455,0.18669),(220,664,0.28),(220,868,0.37338),(220,7666,0.18669),(220,11465,0.23331),(220,11466,0.86331),(220,21169,0.28),(220,21172,0.37331),(220,21705,0.98),(220,21706,1.09669),(220,21707,1.00331),(220,21708,1.12),(220,21709,1.05),(220,21710,1.21331),(220,21711,0.98),(220,21712,1.14331),(220,21713,1.82),(220,21714,1.96),(220,21715,0.93331),(220,21716,1.09669),(220,21717,0.32669),(220,21718,0.93331),(220,21719,1.07331),(220,21720,0.42),(220,21721,0.98),(220,21722,1.09669),(220,21844,0.86331),(220,21845,0.95669),(220,21846,0.32669),(220,21847,1.12),(220,21848,1.23669),(220,21849,0.32669),(220,21850,0.95669),(220,21851,1.02669),(220,21852,1.02669),(221,455,0.18669),(221,664,0.28),(221,868,0.37338),(221,7666,0.18669),(221,11465,0.23331),(221,11466,0.86331),(221,21169,0.28),(221,21172,0.37331),(221,21705,0.98),(221,21706,1.09669),(221,21707,1.00331),(221,21708,1.12),(221,21709,1.05),(221,21710,1.21331),(221,21711,0.98),(221,21712,1.14331),(221,21713,1.82),(221,21714,1.96),(221,21715,0.93331),(221,21716,1.09669),(221,21717,0.32669),(221,21718,0.93331),(221,21719,1.07331),(221,21720,0.42),(221,21721,0.98),(221,21722,1.09669),(221,21844,0.86331),(221,21845,0.95669),(221,21846,0.32669),(221,21847,1.12),(221,21848,1.23669),(221,21849,0.32669),(221,21850,0.95669),(221,21851,1.02669),(221,21852,1.02669),(222,455,0.18669),(222,664,0.28),(222,868,0.37338),(222,7666,0.18669),(222,11465,0.23331),(222,11466,0.86331),(222,21169,0.28),(222,21172,0.37331),(222,21705,0.98),(222,21706,1.09669),(222,21707,1.00331),(222,21708,1.12),(222,21709,1.05),(222,21710,1.21331),(222,21711,0.98),(222,21712,1.14331),(222,21713,1.82),(222,21714,1.96),(222,21715,0.93331),(222,21716,1.09669),(222,21717,0.32669),(222,21718,0.93331),(222,21719,1.07331),(222,21720,0.42),(222,21721,0.98),(222,21722,1.09669),(222,21844,0.86331),(222,21845,0.95669),(222,21846,0.32669),(222,21847,1.12),(222,21848,1.23669),(222,21849,0.32669),(222,21850,0.95669),(222,21851,1.02669),(222,21852,1.02669),(223,455,0.18669),(223,664,0.28),(223,868,0.37338),(223,7666,0.18669),(223,11465,0.23331),(223,11466,0.86331),(223,21169,0.28),(223,21172,0.37331),(223,21705,0.98),(223,21706,1.09669),(223,21707,1.00331),(223,21708,1.12),(223,21709,1.05),(223,21710,1.21331),(223,21711,0.98),(223,21712,1.14331),(223,21713,1.82),(223,21714,1.96),(223,21715,0.93331),(223,21716,1.09669),(223,21717,0.32669),(223,21718,0.93331),(223,21719,1.07331),(223,21720,0.42),(223,21721,0.98),(223,21722,1.09669),(223,21844,0.86331),(223,21845,0.95669),(223,21846,0.32669),(223,21847,1.12),(223,21848,1.23669),(223,21849,0.32669),(223,21850,0.95669),(223,21851,1.02669),(223,21852,1.02669),(224,455,0.18669),(224,664,0.28),(224,868,0.37338),(224,7666,1.17348),(224,11465,0.23331),(224,11466,0.86331),(224,21169,0.28),(224,21172,0.37331),(224,21705,0.98),(224,21706,1.09669),(224,21707,1.00331),(224,21708,1.12),(224,21709,1.05),(224,21710,1.21331),(224,21711,0.98),(224,21712,1.14331),(224,21713,1.82),(224,21714,1.96),(224,21715,0.93331),(224,21716,1.09669),(224,21717,0.32669),(224,21718,0.93331),(224,21719,1.07331),(224,21720,0.42),(224,21721,0.98),(224,21722,1.09669),(224,21844,0.86331),(224,21845,0.95669),(224,21846,0.32669),(224,21847,1.12),(224,21848,1.23669),(224,21849,0.32669),(224,21850,0.95669),(224,21851,1.02669),(224,21852,1.02669),(225,455,0.18669),(225,664,0.28),(225,868,0.37338),(225,7666,0.18669),(225,11465,0.23331),(225,11466,0.86331),(225,15325,0.98679),(225,21169,0.28),(225,21172,0.37331),(225,21705,0.98),(225,21706,1.09669),(225,21707,1.00331),(225,21708,1.12),(225,21709,1.05),(225,21710,1.21331),(225,21711,0.98),(225,21712,1.14331),(225,21713,1.82),(225,21714,1.96),(225,21715,0.93331),(225,21716,1.09669),(225,21717,0.32669),(225,21718,0.93331),(225,21719,1.07331),(225,21720,0.42),(225,21721,0.98),(225,21722,1.09669),(225,21844,0.86331),(225,21845,0.95669),(225,21846,0.32669),(225,21847,1.12),(225,21848,1.23669),(225,21849,0.32669),(225,21850,0.95669),(225,21851,1.02669),(225,21852,1.02669),(225,22514,4.68679),(225,22515,5.18),(226,455,0.18669),(226,664,0.28),(226,868,0.37338),(226,7666,0.18669),(226,11465,0.23331),(226,11466,0.86331),(226,21169,0.28),(226,21172,0.37331),(226,21705,0.98),(226,21706,1.09669),(226,21707,1.00331),(226,21708,1.12),(226,21709,1.05),(226,21710,1.21331),(226,21711,0.98),(226,21712,1.14331),(226,21713,1.82),(226,21714,1.96),(226,21715,0.93331),(226,21716,1.09669),(226,21717,0.32669),(226,21718,0.93331),(226,21719,1.07331),(226,21720,0.42),(226,21721,0.98),(226,21722,1.09669),(226,21844,0.86331),(226,21845,0.95669),(226,21846,0.32669),(226,21847,1.12),(226,21848,1.23669),(226,21849,0.32669),(226,21850,0.95669),(226,21851,1.02669),(226,21852,1.02669),(227,455,0.18669),(227,664,0.28),(227,868,0.37338),(227,7666,0.18669),(227,11465,0.23331),(227,11466,0.86331),(227,21169,0.28),(227,21172,0.37331),(227,21705,0.98),(227,21706,1.09669),(227,21707,1.00331),(227,21708,1.12),(227,21709,1.05),(227,21710,1.21331),(227,21711,0.98),(227,21712,1.14331),(227,21713,1.82),(227,21714,1.96),(227,21715,0.93331),(227,21716,1.09669),(227,21717,0.32669),(227,21718,0.93331),(227,21719,1.07331),(227,21720,0.42),(227,21721,0.98),(227,21722,1.09669),(227,21844,0.86331),(227,21845,0.95669),(227,21846,0.32669),(227,21847,1.12),(227,21848,1.23669),(227,21849,0.32669),(227,21850,0.95669),(227,21851,1.02669),(227,21852,1.02669),(228,455,0.18669),(228,664,0.28),(228,868,0.37338),(228,7666,0.18669),(228,11465,0.23331),(228,11466,0.86331),(228,21169,0.28),(228,21172,0.37331),(228,21705,0.98),(228,21706,1.09669),(228,21707,1.00331),(228,21708,1.12),(228,21709,1.05),(228,21710,1.21331),(228,21711,0.98),(228,21712,1.14331),(228,21713,1.82),(228,21714,1.96),(228,21715,0.93331),(228,21716,1.09669),(228,21717,0.32669),(228,21718,0.93331),(228,21719,1.07331),(228,21720,0.42),(228,21721,0.98),(228,21722,1.09669),(228,21844,0.86331),(228,21845,0.95669),(228,21846,0.32669),(228,21847,1.12),(228,21848,1.23669),(228,21849,0.32669),(228,21850,0.95669),(228,21851,1.02669),(228,21852,1.02669),(229,455,0.18669),(229,664,0.28),(229,868,0.37338),(229,7666,0.18669),(229,11465,0.23331),(229,11466,0.86331),(229,21169,0.28),(229,21172,0.37331),(229,21705,0.98),(229,21706,1.09669),(229,21707,1.00331),(229,21708,1.12),(229,21709,1.05),(229,21710,1.21331),(229,21711,0.98),(229,21712,1.14331),(229,21713,1.82),(229,21714,1.96),(229,21715,0.93331),(229,21716,1.09669),(229,21717,0.32669),(229,21718,0.93331),(229,21719,1.07331),(229,21720,0.42),(229,21721,0.98),(229,21722,1.09669),(229,21844,0.86331),(229,21845,0.95669),(229,21846,0.32669),(229,21847,1.12),(229,21848,1.23669),(229,21849,0.32669),(229,21850,0.95669),(229,21851,1.02669),(229,21852,1.02669),(229,22427,0.98679),(230,455,0.18669),(230,664,0.28),(230,868,0.37338),(230,7666,0.18669),(230,11465,0.23331),(230,11466,0.86331),(230,21169,0.28),(230,21172,0.37331),(230,21705,0.98),(230,21706,1.09669),(230,21707,1.00331),(230,21708,1.12),(230,21709,1.05),(230,21710,1.21331),(230,21711,0.98),(230,21712,1.14331),(230,21713,1.82),(230,21714,1.96),(230,21715,0.93331),(230,21716,1.09669),(230,21717,0.32669),(230,21718,0.93331),(230,21719,1.07331),(230,21720,0.42),(230,21721,0.98),(230,21722,1.09669),(230,21844,0.86331),(230,21845,0.95669),(230,21846,0.32669),(230,21847,1.12),(230,21848,1.23669),(230,21849,0.32669),(230,21850,0.95669),(230,21851,1.02669),(230,21852,1.02669),(231,455,0.18669),(231,664,0.28),(231,868,0.37338),(231,7666,0.18669),(231,11465,0.23331),(231,11466,0.86331),(231,21169,0.28),(231,21172,0.37331),(231,21705,0.98),(231,21706,1.09669),(231,21707,1.00331),(231,21708,1.12),(231,21709,1.05),(231,21710,1.21331),(231,21711,0.98),(231,21712,1.14331),(231,21713,1.82),(231,21714,1.96),(231,21715,0.93331),(231,21716,1.09669),(231,21717,0.32669),(231,21718,0.93331),(231,21719,1.07331),(231,21720,0.42),(231,21721,0.98),(231,21722,1.09669),(231,21844,0.86331),(231,21845,0.95669),(231,21846,0.32669),(231,21847,1.12),(231,21848,1.23669),(231,21849,0.32669),(231,21850,0.95669),(231,21851,1.02669),(231,21852,1.02669),(232,455,0.18669),(232,664,0.28),(232,868,0.37338),(232,7666,0.18669),(232,11465,0.23331),(232,11466,0.86331),(232,21169,0.28),(232,21172,0.37331),(232,21705,0.98),(232,21706,1.09669),(232,21707,1.00331),(232,21708,1.12),(232,21709,1.05),(232,21710,1.21331),(232,21711,0.98),(232,21712,1.14331),(232,21713,1.82),(232,21714,1.96),(232,21715,0.93331),(232,21716,1.09669),(232,21717,0.32669),(232,21718,0.93331),(232,21719,1.07331),(232,21720,0.42),(232,21721,0.98),(232,21722,1.09669),(232,21844,0.86331),(232,21845,0.95669),(232,21846,0.32669),(232,21847,1.12),(232,21848,1.23669),(232,21849,0.32669),(232,21850,0.95669),(232,21851,1.02669),(232,21852,1.02669),(233,455,0.18669),(233,664,0.28),(233,868,0.37338),(233,7666,0.18669),(233,11465,0.23331),(233,11466,0.86331),(233,21169,0.28),(233,21172,0.37331),(233,21705,0.98),(233,21706,1.09669),(233,21707,1.00331),(233,21708,1.12),(233,21709,1.05),(233,21710,1.21331),(233,21711,0.98),(233,21712,1.14331),(233,21713,1.82),(233,21714,1.96),(233,21715,0.93331),(233,21716,1.09669),(233,21717,0.32669),(233,21718,0.93331),(233,21719,1.07331),(233,21720,0.42),(233,21721,0.98),(233,21722,1.09669),(233,21844,0.86331),(233,21845,0.95669),(233,21846,0.32669),(233,21847,1.12),(233,21848,1.23669),(233,21849,0.32669),(233,21850,0.95669),(233,21851,1.02669),(233,21852,1.02669),(233,22599,1.72679),(233,22600,2.6),(233,22601,2.8),(233,22602,2.38),(233,22603,2.66339);


--
-- Table structure for table `#__finder_taxonomy`
--



CREATE TABLE `#__finder_taxonomy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `access` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
) ENGINE=MyISAM AUTO_INCREMENT=94 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_taxonomy`
--


INSERT INTO `#__finder_taxonomy` (`id`, `parent_id`, `title`, `state`, `access`, `ordering`) VALUES (1,0,'ROOT',0,0,0),(2,1,'Type',1,1,0),(3,2,'K2 Item',1,1,0),(4,1,'Author',1,1,0),(5,4,'Super User',1,1,0),(6,1,'K2 Category',1,1,0),(8,1,'Language',1,1,0),(9,8,'*',1,1,0),(12,2,'Category',1,1,0),(13,2,'Contact',1,1,0),(14,1,'Category',1,1,0),(15,14,'Sample category II',1,1,0),(16,1,'Region',1,1,0),(18,14,'Sample category I',1,1,0),(19,1,'Country',1,1,0),(20,19,'Australia',1,1,0),(21,2,'Article',1,1,0),(22,14,'Template articles',1,1,0),(23,14,'Demo content',1,1,0),(26,14,'Uncategorised',1,1,0),(28,2,'News Feed',1,1,0),(29,14,'GavickPro',1,1,0),(30,2,'Web Link',1,1,0),(79,16,'UK',1,1,0),(90,6,'Band News',1,1,0),(91,6,'Breaking and Entering',1,1,0),(84,6,'Product News',1,1,0),(93,6,'New Albums',1,1,0),(87,14,'Subcategory I',1,1,0),(88,14,'Subcategory II',1,1,0),(92,6,'Featured Band Events',1,1,0);


--
-- Table structure for table `#__finder_taxonomy_map`
--



CREATE TABLE `#__finder_taxonomy_map` (
  `link_id` int(10) unsigned NOT NULL,
  `node_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_taxonomy_map`
--


INSERT INTO `#__finder_taxonomy_map` (`link_id`, `node_id`) VALUES (22,9),(22,12),(23,9),(23,12),(24,9),(24,12),(25,9),(25,12),(26,9),(26,12),(27,9),(27,12),(28,9),(28,12),(29,9),(29,12),(30,9),(30,12),(31,9),(31,12),(32,9),(32,12),(33,9),(33,12),(34,9),(34,12),(35,9),(35,12),(36,9),(36,12),(37,9),(37,12),(38,9),(38,12),(39,9),(39,12),(40,9),(40,13),(40,15),(40,79),(41,9),(41,13),(41,18),(41,20),(42,9),(42,21),(42,22),(43,5),(43,9),(43,21),(43,22),(44,5),(44,9),(44,21),(44,22),(57,9),(57,21),(57,22),(58,5),(58,9),(58,21),(58,26),(59,5),(59,9),(59,21),(59,26),(60,5),(60,9),(60,21),(60,26),(64,5),(64,9),(64,21),(64,22),(65,5),(65,9),(65,21),(65,22),(70,9),(70,21),(70,23),(71,9),(71,21),(71,23),(73,9),(73,28),(73,29),(74,9),(74,29),(74,30),(75,9),(75,29),(75,30),(76,9),(76,29),(76,30),(77,9),(77,29),(77,30),(78,9),(78,29),(78,30),(121,9),(121,21),(121,23),(146,9),(146,21),(146,23),(208,3),(208,5),(208,9),(208,93),(211,5),(211,9),(211,21),(211,23),(212,5),(212,9),(212,21),(212,88),(213,5),(213,9),(213,21),(213,87),(214,5),(214,9),(214,21),(214,23),(215,5),(215,9),(215,21),(215,87),(216,5),(216,9),(216,21),(216,88),(217,5),(217,9),(217,21),(217,23),(219,3),(219,5),(219,9),(219,90),(220,3),(220,5),(220,9),(220,90),(221,3),(221,5),(221,9),(221,90),(222,3),(222,5),(222,9),(222,90),(223,3),(223,5),(223,9),(223,91),(224,3),(224,5),(224,9),(224,91),(225,3),(225,5),(225,9),(225,91),(226,3),(226,5),(226,9),(226,91),(227,3),(227,5),(227,9),(227,92),(228,3),(228,5),(228,9),(228,92),(229,3),(229,5),(229,9),(229,92),(230,3),(230,5),(230,9),(230,92),(231,3),(231,5),(231,9),(231,93),(232,3),(232,5),(232,9),(232,93),(233,3),(233,5),(233,9),(233,93);


--
-- Table structure for table `#__finder_terms`
--



CREATE TABLE `#__finder_terms` (
  `term_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
) ENGINE=MyISAM AUTO_INCREMENT=22630 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_terms`
--


INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`) VALUES (1,'','',0,0,0,'',2406),(2,'71','71',0,0,0.2,'',76),(3,'a','a',0,0,0.0667,'A000',2313),(4,'a ante','a ante',0,1,1.2,'A530',804),(5,'a ante venenatis','a ante venenatis',0,1,1.5333,'A531532',804),(6,'a pharetra','a pharetra',0,1,1.3333,'A1636',1157),(7,'a pharetra augue','a pharetra augue',0,1,1.5333,'A16362',1154),(8,'ac','ac',0,0,0.1333,'A200',1562),(9,'ac consectetur','ac consectetur',0,1,1.4667,'A25236',939),(10,'ac consectetur ac','ac consectetur ac',0,1,1.5667,'A252362',939),(11,'ac facilisis','ac facilisis',0,1,1.4,'A21242',679),(12,'ac facilisis in','ac facilisis in',0,1,1.5,'A212425',679),(13,'ac vestibulum','ac vestibulum',0,1,1.4333,'A2123145',939),(14,'ac vestibulum at','ac vestibulum at',0,1,1.5333,'A21231453',939),(15,'aenean','aenean',0,0,0.4,'A500',2196),(16,'aenean eu','aenean eu',0,1,1.3,'A500',2167),(17,'aenean eu leo','aenean eu leo',0,1,1.4333,'A540',2167),(18,'aenean lacinia','aenean lacinia',0,1,1.4667,'A5425',807),(19,'aenean lacinia bibendum','aenean lacinia bibendum',0,1,1.7667,'A54251535',807),(20,'aliquet','aliquet',0,0,0.4667,'A423',843),(21,'aliquet sed','aliquet sed',0,1,1.3667,'A42323',464),(22,'aliquet sed posuere','aliquet sed posuere',0,1,1.6333,'A42323126',464),(23,'aliquet vestibulum','aliquet vestibulum',0,1,1.6,'A423123145',462),(24,'aliquet vestibulum id','aliquet vestibulum id',0,1,1.7,'A4231231453',462),(25,'amet','amet',0,0,0.2667,'A530',2297),(26,'amet fermentum','amet fermentum',0,1,1.4667,'A5316535',2080),(27,'amet fermentum etiam','amet fermentum etiam',0,1,1.6667,'A531653535',1795),(28,'amet fermentum nullam','amet fermentum nullam',0,1,1.7,'A531653545',1877),(29,'amet non','amet non',0,1,1.2667,'A535',1047),(30,'amet non magna','amet non magna',0,1,1.4667,'A53525',1047),(31,'ante','ante',0,0,0.2667,'A530',1039),(32,'ante venenatis','ante venenatis',0,1,1.4667,'A531532',804),(33,'ante venenatis dapibus','ante venenatis dapibus',0,1,1.7333,'A531532312',804),(34,'at','at',0,0,0.1333,'A300',2294),(35,'at eget','at eget',0,1,1.2333,'A323',753),(36,'at eget metus','at eget metus',0,1,1.4333,'A323532',753),(37,'at eros','at eros',0,1,1.2333,'A362',941),(38,'at eros nulla','at eros nulla',0,1,1.4333,'A36254',923),(39,'at lobortis','at lobortis',0,1,1.3667,'A341632',2150),(40,'at lobortis aenean','at lobortis aenean',0,1,1.6,'A3416325',593),(41,'at lobortis donec','at lobortis donec',0,1,1.5667,'A341632352',1804),(42,'at lobortis maecenas','at lobortis maecenas',0,1,1.6667,'A3416325252',462),(43,'auctor','auctor',0,0,0.4,'A236',2199),(44,'auctor fringilla','auctor fringilla',0,1,1.5333,'A23616524',1862),(45,'auctor fringilla cras','auctor fringilla cras',0,1,1.7,'A23616524262',1629),(46,'auctor fringilla praesent','auctor fringilla praesent',0,1,1.8333,'A2361652416253',463),(47,'augue','augue',0,0,0.3333,'A200',1553),(48,'bibendum','bibendum',0,0,0.5333,'B535',961),(49,'bibendum nulla','bibendum nulla',0,1,1.4667,'B5354',807),(50,'bibendum nulla sed','bibendum nulla sed',0,1,1.6,'B535423',807),(51,'bizarre','bizarre',0,0,0.4667,'B260',1),(52,'bizarre touchdown','bizarre touchdown',0,1,1.5667,'B263235',1),(53,'blandit','blandit',0,0,0.4667,'B453',1180),(54,'blandit sit','blandit sit',0,1,1.3667,'B45323',1047),(55,'blandit sit amet','blandit sit amet',0,1,1.5333,'B4532353',1047),(56,'blandit tempus','blandit tempus',0,1,1.4667,'B453512',776),(57,'blandit tempus porttitor','blandit tempus porttitor',0,1,1.8,'B4535121636',776),(58,'bowl','bowl',0,0,0.2667,'B400',5),(59,'bowl xlvi','bowl xlvi',0,1,1.3,'B4241',1),(60,'bowl xlvi with','bowl xlvi with',0,1,1.4667,'B42413',1),(61,'commodo','commodo',0,0,0.4667,'C530',1013),(62,'commodo cursus','commodo cursus',0,1,1.4667,'C53262',812),(63,'commodo cursus magna','commodo cursus magna',0,1,1.6667,'C53262525',812),(64,'consectetur','consectetur',0,0,0.7333,'C5236',2298),(65,'consectetur ac','consectetur ac',0,1,1.4667,'C52362',939),(66,'consectetur ac vestibulum','consectetur ac vestibulum',0,1,1.8333,'C52362123145',939),(67,'consectetur donec','consectetur donec',0,1,1.5667,'C5236352',471),(68,'consectetur donec sed','consectetur donec sed',0,1,1.7,'C52363523',464),(69,'consectetur est','consectetur est',0,1,1.5,'C523623',2150),(70,'consectetur est at','consectetur est at',0,1,1.6,'C523623',2150),(71,'consectetur et','consectetur et',0,1,1.4667,'C52363',812),(72,'consectetur et donec','consectetur et donec',0,1,1.6667,'C5236352',463),(73,'consectetur purus','consectetur purus',0,1,1.5667,'C5236162',2080),(74,'consectetur purus sit','consectetur purus sit',0,1,1.7,'C52361623',2080),(75,'cras','cras',0,0,0.2667,'C620',2173),(76,'cras justo','cras justo',0,1,1.3333,'C623',679),(77,'cras justo odio','cras justo odio',0,1,1.5,'C623',679),(78,'cras mattis','cras mattis',0,1,1.3667,'C62532',2080),(79,'cras mattis consectetur','cras mattis consectetur',0,1,1.7667,'C625325236',2080),(80,'curabitur','curabitur',0,0,0.6,'C6136',944),(81,'curabitur blandit','curabitur blandit',0,1,1.5667,'C61361453',776),(82,'curabitur blandit tempus','curabitur blandit tempus',0,1,1.8,'C61361453512',776),(83,'cursus','cursus',0,0,0.4,'C620',1222),(84,'cursus magna','cursus magna',0,1,1.4,'C62525',815),(85,'cursus magna vel','cursus magna vel',0,1,1.5333,'C6252514',812),(86,'dapibus','dapibus',0,0,0.4667,'D120',945),(87,'dapibus ac','dapibus ac',0,1,1.3333,'D120',679),(88,'dapibus ac facilisis','dapibus ac facilisis',0,1,1.6667,'D121242',679),(89,'dapibus posuere','dapibus posuere',0,1,1.5,'D12126',804),(90,'dapibus posuere velit','dapibus posuere velit',0,1,1.7,'D12126143',804),(91,'diam','diam',0,0,0.2667,'D500',1904),(92,'diam eget','diam eget',0,1,1.3,'D523',1032),(93,'diam eget risus','diam eget risus',0,1,1.5,'D52362',1032),(94,'dolor','dolor',0,0,0.3333,'D460',1276),(95,'dolor id','dolor id',0,1,1.2667,'D463',661),(96,'dolor id nibh','dolor id nibh',0,1,1.4333,'D46351',661),(97,'donec','donec',0,0,0.3333,'D520',2238),(98,'donec id','donec id',0,1,1.2667,'D523',753),(99,'donec id elit','donec id elit',0,1,1.4333,'D52343',753),(100,'donec sed','donec sed',0,1,1.3,'D523',694),(101,'donec sed odio','donec sed odio',0,1,1.4667,'D523',694),(102,'donec ullamcorper','donec ullamcorper',0,1,1.5667,'D52452616',1862),(103,'donec ullamcorper nulla','donec ullamcorper nulla',0,1,1.7667,'D5245261654',1862),(104,'dui','dui',0,0,0.2,'D000',1586),(105,'dui integer','dui integer',0,1,1.3667,'D5326',462),(106,'dui integer posuere','dui integer posuere',0,1,1.6333,'D5326126',462),(107,'dui nullam','dui nullam',0,1,1.3333,'D545',485),(108,'dui nullam id','dui nullam id',0,1,1.4333,'D5453',462),(109,'dui vestibulum','dui vestibulum',0,1,1.4667,'D123145',465),(110,'dui vestibulum id','dui vestibulum id',0,1,1.5667,'D1231453',465),(111,'egestas','egestas',0,0,0.4667,'E232',742),(112,'egestas eget','egestas eget',0,1,1.4,'E2323',679),(113,'egestas eget quam','egestas eget quam',0,1,1.5667,'E232325',679),(114,'eget','eget',0,0,0.2667,'E230',2274),(115,'eget metus','eget metus',0,1,1.3333,'E23532',753),(116,'eget metus aenean','eget metus aenean',0,1,1.5667,'E235325',466),(117,'eget quam','eget quam',0,1,1.3,'E2325',807),(118,'eget quam curabitur','eget quam curabitur',0,1,1.6333,'E232526136',467),(119,'eget quam donec','eget quam donec',0,1,1.5,'E2325352',462),(120,'eget risus','eget risus',0,1,1.3333,'E2362',1032),(121,'eget risus varius','eget risus varius',0,1,1.5667,'E2362162',1032),(122,'eget urna','eget urna',0,1,1.3,'E2365',2090),(123,'eget urna mollis','eget urna mollis',0,1,1.5333,'E236542',2073),(124,'elit','elit',0,0,0.2667,'E430',1267),(125,'elit donec','elit donec',0,1,1.3333,'E4352',563),(126,'elit donec id','elit donec id',0,1,1.4333,'E43523',486),(127,'elit libero','elit libero',0,1,1.3667,'E43416',1155),(128,'elit libero a','elit libero a',0,1,1.4333,'E43416',1154),(129,'elit non','elit non',0,1,1.2667,'E435',753),(130,'elit non mi','elit non mi',0,1,1.3667,'E435',753),(131,'erat','erat',0,0,0.2667,'E630',1701),(132,'erat a','erat a',0,1,1.2,'E630',804),(133,'erat a ante','erat a ante',0,1,1.3667,'E6353',804),(134,'eros','eros',0,0,0.2667,'E620',1166),(135,'eros nulla','eros nulla',0,1,1.3333,'E6254',923),(136,'eros nulla vitae','eros nulla vitae',0,1,1.5333,'E625413',923),(137,'est','est',0,0,0.2,'E230',2222),(138,'est at','est at',0,1,1.2,'E230',2150),(139,'est at lobortis','est at lobortis',0,1,1.5,'E2341632',2150),(140,'et','et',0,0,0.1333,'E300',1089),(141,'et donec','et donec',0,1,1.2667,'E352',463),(142,'et donec sed','et donec sed',0,1,1.4,'E3523',463),(143,'etiam','etiam',0,0,0.3333,'E350',2270),(144,'etiam porta','etiam porta',0,1,1.3667,'E35163',2188),(145,'etiam porta sem','etiam porta sem',0,1,1.5,'E3516325',2188),(146,'eu','eu',0,0,0.1333,'E000',2281),(147,'eu leo','eu leo',0,1,1.2,'E400',2195),(148,'eu leo donec','eu leo donec',0,1,1.4,'E4352',1801),(149,'eu leo nullam','eu leo nullam',0,1,1.4333,'E4545',1797),(150,'eu leo quam','eu leo quam',0,1,1.3667,'E425',2167),(151,'euismod','euismod',0,0,0.4667,'E253',2264),(152,'euismod aenean','euismod aenean',0,1,1.4667,'E2535',2028),(153,'euismod aenean eu','euismod aenean eu',0,1,1.5667,'E2535',1853),(154,'euismod maecenas','euismod maecenas',0,1,1.5333,'E2535252',779),(155,'euismod maecenas sed','euismod maecenas sed',0,1,1.6667,'E25352523',779),(156,'euismod semper','euismod semper',0,1,1.4667,'E2532516',739),(157,'euismod semper aenean','euismod semper aenean',0,1,1.7,'E25325165',465),(158,'euismod semper curabitur','euismod semper curabitur',0,1,1.8,'E253251626136',463),(159,'facilisis','facilisis',0,0,0.6,'F242',903),(160,'facilisis in','facilisis in',0,1,1.4,'F2425',679),(161,'facilisis in egestas','facilisis in egestas',0,1,1.6667,'F2425232',679),(162,'faucibus','faucibus',0,0,0.5333,'F212',1223),(163,'faucibus mollis','faucibus mollis',0,1,1.5,'F212542',1103),(164,'faucibus mollis interdum','faucibus mollis interdum',0,1,1.8,'F21254253635',1103),(165,'felis','felis',0,0,0.3333,'F420',950),(166,'felis euismod','felis euismod',0,1,1.4333,'F4253',739),(167,'felis euismod semper','felis euismod semper',0,1,1.6667,'F42532516',739),(168,'fermentum','fermentum',0,0,0.6,'F6535',2285),(169,'fermentum etiam','fermentum etiam',0,1,1.5,'F653535',1795),(170,'fermentum etiam porta','fermentum etiam porta',0,1,1.7,'F653535163',1795),(171,'fermentum nullam','fermentum nullam',0,1,1.5333,'F653545',1877),(172,'fermentum nullam quis','fermentum nullam quis',0,1,1.7,'F6535452',1823),(173,'fringilla','fringilla',0,0,0.6,'F6524',1923),(174,'fringilla cras','fringilla cras',0,1,1.4667,'F6524262',1629),(175,'fringilla cras justo','fringilla cras justo',0,1,1.6667,'F65242623',462),(176,'fringilla cras mattis','fringilla cras mattis',0,1,1.7,'F6524262532',1629),(177,'fringilla praesent','fringilla praesent',0,1,1.6,'F652416253',463),(178,'fringilla praesent commodo','fringilla praesent commodo',0,1,1.8667,'F652416253253',463),(179,'gravida','gravida',0,0,0.4667,'G613',772),(180,'gravida at','gravida at',0,1,1.3333,'G613',753),(181,'gravida at eget','gravida at eget',0,1,1.5,'G61323',753),(182,'id','id',0,0,0.1333,'I300',1039),(183,'id dolor','id dolor',0,1,1.2667,'I346',664),(184,'id dolor id','id dolor id',0,1,1.3667,'I3463',661),(185,'id elit','id elit',0,1,1.2333,'I343',844),(186,'id elit donec','id elit donec',0,1,1.4333,'I34352',488),(187,'id elit non','id elit non',0,1,1.3667,'I3435',753),(188,'id ligula','id ligula',0,1,1.3,'I3424',739),(189,'id ligula porta','id ligula porta',0,1,1.5,'I3424163',739),(190,'id nibh','id nibh',0,1,1.2333,'I351',661),(191,'id nibh ultricies','id nibh ultricies',0,1,1.5667,'I3514362',661),(192,'in','in',0,0,0.1333,'I500',1316),(193,'in egestas','in egestas',0,1,1.3333,'I5232',679),(194,'in egestas eget','in egestas eget',0,1,1.5,'I52323',679),(195,'in super','in super',0,1,1.2667,'I5216',1),(196,'in super bowl','in super bowl',0,1,1.4333,'I521614',1),(197,'index','index',0,0,0.3333,'I532',2406),(198,'integer','integer',0,0,0.4667,'I5326',1005),(199,'integer posuere','integer posuere',0,1,1.5,'I5326126',804),(200,'integer posuere erat','integer posuere erat',0,1,1.6667,'I53261263',804),(201,'interdum','interdum',0,0,0.5333,'I53635',1207),(202,'interdum integer','interdum integer',0,1,1.5333,'I53635326',462),(203,'interdum integer posuere','interdum integer posuere',0,1,1.8,'I53635326126',462),(204,'interdum morbi','interdum morbi',0,1,1.4667,'I5363561',890),(205,'interdum morbi leo','interdum morbi leo',0,1,1.6,'I53635614',890),(206,'item','item',0,0,0.2667,'I350',1986),(207,'justo','justo',0,0,0.3333,'J300',954),(208,'justo odio','justo odio',0,1,1.3333,'J300',679),(209,'justo odio dapibus','justo odio dapibus',0,1,1.6,'J312',679),(210,'k2','k2',0,0,0.1333,'K000',1978),(211,'k2 item','k2 item',0,1,1.2333,'K350',1978),(212,'lacinia','lacinia',0,0,0.4667,'L250',2255),(213,'lacinia bibendum','lacinia bibendum',0,1,1.5333,'L251535',807),(214,'lacinia bibendum nulla','lacinia bibendum nulla',0,1,1.7333,'L2515354',807),(215,'lacinia quam','lacinia quam',0,1,1.4,'L2525',2167),(216,'lacinia quam venenatis','lacinia quam venenatis',0,1,1.7333,'L25251532',2167),(217,'league','league',0,0,0.4,'L200',27),(218,'league news','league news',0,1,1.3667,'L252',27),(219,'leo','leo',0,0,0.2,'L000',2282),(220,'leo donec','leo donec',0,1,1.3,'L352',1801),(221,'leo donec ullamcorper','leo donec ullamcorper',0,1,1.7,'L352452616',1795),(222,'leo nullam','leo nullam',0,1,1.3333,'L545',1797),(223,'leo nullam quis','leo nullam quis',0,1,1.5,'L5452',1795),(224,'leo quam','leo quam',0,1,1.2667,'L250',2170),(225,'leo quam pellentesque','leo quam pellentesque',0,1,1.7,'L2514532',2167),(226,'leo risus','leo risus',0,1,1.3,'L620',930),(227,'leo risus porta','leo risus porta',0,1,1.5,'L62163',930),(228,'libero','libero',0,0,0.4,'L160',1392),(229,'libero a','libero a',0,1,1.2667,'L160',1154),(230,'libero a pharetra','libero a pharetra',0,1,1.5667,'L161636',1154),(231,'ligula','ligula',0,0,0.4,'L240',950),(232,'ligula porta','ligula porta',0,1,1.4,'L24163',739),(233,'ligula porta felis','ligula porta felis',0,1,1.6,'L24163142',739),(234,'lobortis','lobortis',0,0,0.5333,'L1632',2235),(235,'lobortis aenean','lobortis aenean',0,1,1.5,'L16325',593),(236,'lobortis aenean eu','lobortis aenean eu',0,1,1.6,'L16325',589),(237,'lobortis donec','lobortis donec',0,1,1.4667,'L1632352',1804),(238,'lobortis donec ullamcorper','lobortis donec ullamcorper',0,1,1.8667,'L1632352452616',1795),(239,'lobortis maecenas','lobortis maecenas',0,1,1.5667,'L16325252',462),(240,'lobortis maecenas faucibus','lobortis maecenas faucibus',0,1,1.8667,'L163252521212',462),(241,'maecenas','maecenas',0,0,0.5333,'M252',1271),(242,'maecenas faucibus','maecenas faucibus',0,1,1.5667,'M2521212',1103),(243,'maecenas faucibus mollis','maecenas faucibus mollis',0,1,1.8,'M2521212542',1103),(244,'maecenas sed','maecenas sed',0,1,1.4,'M2523',1032),(245,'maecenas sed diam','maecenas sed diam',0,1,1.5667,'M25235',1032),(246,'magna','magna',0,0,0.3333,'M250',2247),(247,'magna maecenas','magna maecenas',0,1,1.4667,'M25252',845),(248,'magna maecenas faucibus','magna maecenas faucibus',0,1,1.7667,'M252521212',798),(249,'magna mollis','magna mollis',0,1,1.4,'M2542',2191),(250,'magna mollis euismod','magna mollis euismod',0,1,1.6667,'M254253',2188),(251,'magna vel','magna vel',0,1,1.3,'M2514',812),(252,'magna vel scelerisque','magna vel scelerisque',0,1,1.7,'M25142462',812),(253,'malesuada','malesuada',0,0,0.6,'M423',2275),(254,'malesuada magna','malesuada magna',0,1,1.5,'M423525',2188),(255,'malesuada magna mollis','malesuada magna mollis',0,1,1.7333,'M42352542',2188),(256,'mattis','mattis',0,0,0.4,'M320',2168),(257,'mattis consectetur','mattis consectetur',0,1,1.6,'M325236',2080),(258,'mattis consectetur purus','mattis consectetur purus',0,1,1.8,'M325236162',2080),(259,'metus','metus',0,0,0.3333,'M320',2148),(260,'metus aenean','metus aenean',0,1,1.4,'M325',466),(261,'metus aenean lacinia','metus aenean lacinia',0,1,1.6667,'M325425',466),(262,'metus auctor','metus auctor',0,1,1.4,'M3236',1862),(263,'metus auctor fringilla','metus auctor fringilla',0,1,1.7333,'M323616524',1862),(264,'mi','mi',0,0,0.1333,'M000',755),(265,'mi porta','mi porta',0,1,1.2667,'M163',753),(266,'mi porta gravida','mi porta gravida',0,1,1.5333,'M1632613',753),(267,'mollis','mollis',0,0,0.4,'M420',2250),(268,'mollis euismod','mollis euismod',0,1,1.4667,'M4253',2188),(269,'mollis euismod aenean','mollis euismod aenean',0,1,1.7,'M42535',2028),(270,'mollis euismod maecenas','mollis euismod maecenas',0,1,1.7667,'M42535252',779),(271,'mollis interdum','mollis interdum',0,1,1.5,'M4253635',1103),(272,'mollis interdum integer','mollis interdum integer',0,1,1.7667,'M4253635326',462),(273,'mollis interdum morbi','mollis interdum morbi',0,1,1.7,'M425363561',824),(274,'mollis ornare','mollis ornare',0,1,1.4333,'M42656',2073),(275,'mollis ornare vel','mollis ornare vel',0,1,1.5667,'M4265614',2073),(276,'morbi','morbi',0,0,0.3333,'M610',1021),(277,'morbi leo','morbi leo',0,1,1.3,'M614',930),(278,'morbi leo risus','morbi leo risus',0,1,1.5,'M61462',930),(279,'new','new',0,0,0.2,'N000',478),(280,'new york','new york',0,1,1.2667,'N620',1),(281,'new york triumph','new york triumph',0,1,1.5333,'N623651',1),(282,'news','news',0,0,0.2667,'N200',376),(283,'nibh','nibh',0,0,0.2667,'N100',1080),(284,'nibh ultricies','nibh ultricies',0,1,1.4667,'N14362',661),(285,'nibh ultricies vehicula','nibh ultricies vehicula',0,1,1.7667,'N14362124',661),(286,'nisl','nisl',0,0,0.2667,'N240',832),(287,'nisl consectetur','nisl consectetur',0,1,1.5333,'N2425236',802),(288,'nisl consectetur et','nisl consectetur et',0,1,1.6333,'N24252363',802),(289,'non','non',0,0,0.2,'N000',2253),(290,'non magna','non magna',0,1,1.3,'N250',1047),(291,'non magna maecenas','non magna maecenas',0,1,1.6,'N25252',845),(292,'non metus','non metus',0,1,1.3,'N320',1862),(293,'non metus auctor','non metus auctor',0,1,1.5333,'N3236',1862),(294,'non mi','non mi',0,1,1.2,'N000',753),(295,'non mi porta','non mi porta',0,1,1.4,'N163',753),(296,'nulla','nulla',0,0,0.3333,'N400',2270),(297,'nulla non','nulla non',0,1,1.3,'N450',1862),(298,'nulla non metus','nulla non metus',0,1,1.5,'N4532',1862),(299,'nulla sed','nulla sed',0,1,1.3,'N423',809),(300,'nulla sed consectetur','nulla sed consectetur',0,1,1.7,'N42325236',807),(301,'nulla vitae','nulla vitae',0,1,1.3667,'N413',1155),(302,'nulla vitae elit','nulla vitae elit',0,1,1.5333,'N41343',1155),(303,'nullam','nullam',0,0,0.4,'N450',2242),(304,'nullam id','nullam id',0,1,1.3,'N453',661),(305,'nullam id dolor','nullam id dolor',0,1,1.5,'N45346',661),(306,'nullam quis','nullam quis',0,1,1.3667,'N452',2073),(307,'nullam quis risus','nullam quis risus',0,1,1.5667,'N45262',2073),(308,'odio','odio',0,0,0.2667,'O300',1695),(309,'odio dapibus','odio dapibus',0,1,1.4,'O312',679),(310,'odio dapibus ac','odio dapibus ac',0,1,1.5,'O312',679),(311,'odio dui','odio dui',0,1,1.2667,'O300',694),(312,'odio dui integer','odio dui integer',0,1,1.5333,'O35326',462),(313,'odio dui nullam','odio dui nullam',0,1,1.5,'O3545',485),(314,'odio dui vestibulum','odio dui vestibulum',0,1,1.6333,'O3123145',465),(315,'ornare','ornare',0,0,0.4,'O656',2265),(316,'ornare sem','ornare sem',0,1,1.3333,'O65625',2167),(317,'ornare sem lacinia','ornare sem lacinia',0,1,1.6,'O65625425',2167),(318,'ornare vel','ornare vel',0,1,1.3333,'O65614',2076),(319,'ornare vel eu','ornare vel eu',0,1,1.4333,'O65614',2073),(320,'pellentesque','pellentesque',0,0,0.8,'P4532',2207),(321,'pellentesque ornare','pellentesque ornare',0,1,1.6333,'P4532656',2167),(322,'pellentesque ornare sem','pellentesque ornare sem',0,1,1.7667,'P453265625',2167),(323,'pharetra','pharetra',0,0,0.5333,'P636',2054),(324,'pharetra augue','pharetra augue',0,1,1.4667,'P6362',1154),(325,'porta','porta',0,0,0.3333,'P630',2280),(326,'porta ac','porta ac',0,1,1.2667,'P632',939),(327,'porta ac consectetur','porta ac consectetur',0,1,1.6667,'P6325236',939),(328,'porta felis','porta felis',0,1,1.3667,'P63142',739),(329,'porta felis euismod','porta felis euismod',0,1,1.6333,'P6314253',739),(330,'porta gravida','porta gravida',0,1,1.4333,'P632613',753),(331,'porta gravida at','porta gravida at',0,1,1.5333,'P632613',753),(332,'porta sem','porta sem',0,1,1.3,'P6325',2188),(333,'porta sem malesuada','porta sem malesuada',0,1,1.6333,'P6325423',2188),(334,'porttitor','porttitor',0,0,0.6,'P636',980),(335,'porttitor cras','porttitor cras',0,1,1.4667,'P636262',463),(336,'porttitor cras justo','porttitor cras justo',0,1,1.6667,'P6362623',463),(337,'porttitor sed','porttitor sed',0,1,1.4333,'P63623',613),(338,'porttitor sed posuere','porttitor sed posuere',0,1,1.7,'P63623126',463),(339,'posuere','posuere',0,0,0.4667,'P260',2236),(340,'posuere consectetur','posuere consectetur',0,1,1.6333,'P2625236',2150),(341,'posuere consectetur est','posuere consectetur est',0,1,1.7667,'P262523623',2150),(342,'posuere erat','posuere erat',0,1,1.4,'P263',804),(343,'posuere erat a','posuere erat a',0,1,1.4667,'P263',804),(344,'posuere velit','posuere velit',0,1,1.4333,'P26143',804),(345,'posuere velit aliquet','posuere velit aliquet',0,1,1.7,'P26143423',804),(346,'praesent','praesent',0,0,0.5333,'P6253',999),(347,'praesent commodo','praesent commodo',0,1,1.5333,'P6253253',812),(348,'praesent commodo cursus','praesent commodo cursus',0,1,1.7667,'P6253253262',812),(349,'purus','purus',0,0,0.3333,'P620',2167),(350,'purus sit','purus sit',0,1,1.3,'P623',2080),(351,'purus sit amet','purus sit amet',0,1,1.4667,'P62353',2080),(352,'quam','quam',0,0,0.2667,'Q500',2256),(353,'quam curabitur','quam curabitur',0,1,1.4667,'Q526136',467),(354,'quam curabitur blandit','quam curabitur blandit',0,1,1.7333,'Q5261361453',467),(355,'quam donec','quam donec',0,1,1.3333,'Q5352',462),(356,'quam donec sed','quam donec sed',0,1,1.4667,'Q53523',462),(357,'quam pellentesque','quam pellentesque',0,1,1.5667,'Q514532',2167),(358,'quam pellentesque ornare','quam pellentesque ornare',0,1,1.8,'Q514532656',2167),(359,'quam venenatis','quam venenatis',0,1,1.4667,'Q51532',2167),(360,'quam venenatis vestibulum','quam venenatis vestibulum',0,1,1.8333,'Q51532123145',2167),(361,'quis','quis',0,0,0.2667,'Q000',2160),(362,'quis risus','quis risus',0,1,1.3333,'Q620',2073),(363,'quis risus eget','quis risus eget',0,1,1.5,'Q623',2073),(364,'risus','risus',0,0,0.3333,'R200',2273),(365,'risus eget','risus eget',0,1,1.3333,'R230',2076),(366,'risus eget urna','risus eget urna',0,1,1.5,'R2365',2073),(367,'risus porta','risus porta',0,1,1.3667,'R2163',930),(368,'risus porta ac','risus porta ac',0,1,1.4667,'R21632',916),(369,'risus varius','risus varius',0,1,1.4,'R2162',1047),(370,'risus varius blandit','risus varius blandit',0,1,1.6667,'R21621453',1047),(371,'scelerisque','scelerisque',0,0,0.7333,'S462',829),(372,'scelerisque nisl','scelerisque nisl',0,1,1.5333,'S462524',812),(373,'scelerisque nisl consectetur','scelerisque nisl consectetur',0,1,1.9333,'S46252425236',802),(374,'sed','sed',0,0,0.2,'S300',2298),(375,'sed consectetur','sed consectetur',0,1,1.5,'S325236',807),(376,'sed consectetur donec','sed consectetur donec',0,1,1.7,'S325236352',471),(377,'sed diam','sed diam',0,1,1.2667,'S350',1046),(378,'sed diam eget','sed diam eget',0,1,1.4333,'S3523',1032),(379,'sed odio','sed odio',0,1,1.2667,'S300',694),(380,'sed odio dui','sed odio dui',0,1,1.4,'S300',694),(381,'sed posuere','sed posuere',0,1,1.3667,'S3126',2150),(382,'sed posuere consectetur','sed posuere consectetur',0,1,1.7667,'S312625236',2150),(383,'sem','sem',0,0,0.2,'S500',2248),(384,'sem lacinia','sem lacinia',0,1,1.3667,'S5425',2167),(385,'sem lacinia quam','sem lacinia quam',0,1,1.5333,'S542525',2167),(386,'sem malesuada','sem malesuada',0,1,1.4333,'S5423',2188),(387,'sem malesuada magna','sem malesuada magna',0,1,1.6333,'S5423525',2188),(388,'semper','semper',0,0,0.4,'S516',934),(389,'semper aenean','semper aenean',0,1,1.4333,'S5165',465),(390,'semper aenean eu','semper aenean eu',0,1,1.5333,'S5165',462),(391,'semper curabitur','semper curabitur',0,1,1.5333,'S51626136',463),(392,'semper curabitur blandit','semper curabitur blandit',0,1,1.8,'S516261361453',463),(393,'sit','sit',0,0,0.2,'S300',2297),(394,'sit amet','sit amet',0,1,1.2667,'S353',2297),(395,'sit amet fermentum','sit amet fermentum',0,1,1.6,'S35316535',2080),(396,'sit amet non','sit amet non',0,1,1.4,'S3535',1047),(397,'super','super',0,0,0.3333,'S160',1386),(398,'super bowl','super bowl',0,1,1.3333,'S1614',1),(399,'super bowl xlvi','super bowl xlvi',0,1,1.5,'S1614241',1),(400,'super user','super user',0,1,1.3333,'S1626',1386),(401,'tempus','tempus',0,0,0.4,'T512',1678),(402,'tempus porttitor','tempus porttitor',0,1,1.5333,'T5121636',776),(403,'tempus porttitor cras','tempus porttitor cras',0,1,1.7,'T5121636262',463),(404,'tempus porttitor sed','tempus porttitor sed',0,1,1.6667,'T512163623',463),(405,'touchdown','touchdown',0,0,0.6,'T235',3),(406,'triumph','triumph',0,0,0.4667,'T651',1),(407,'triumph in','triumph in',0,1,1.3333,'T6515',1),(408,'triumph in super','triumph in super',0,1,1.5333,'T6515216',1),(409,'ullamcorper','ullamcorper',0,0,0.7333,'U452616',1930),(410,'ullamcorper nulla','ullamcorper nulla',0,1,1.5667,'U45261654',1862),(411,'ullamcorper nulla non','ullamcorper nulla non',0,1,1.7,'U452616545',1862),(412,'ultricies','ultricies',0,0,0.6,'U4362',878),(413,'ultricies vehicula','ultricies vehicula',0,1,1.6,'U4362124',661),(414,'ultricies vehicula ut','ultricies vehicula ut',0,1,1.7,'U43621243',661),(415,'urna','urna',0,0,0.2667,'U650',2163),(416,'urna mollis','urna mollis',0,1,1.3667,'U6542',2073),(417,'urna mollis ornare','urna mollis ornare',0,1,1.6,'U6542656',2073),(418,'user','user',0,0,0.2667,'U260',1395),(419,'ut','ut',0,0,0.1333,'U300',1104),(420,'ut id','ut id',0,1,1.1667,'U300',661),(421,'ut id elit','ut id elit',0,1,1.3333,'U343',661),(422,'varius','varius',0,0,0.4,'V620',1238),(423,'varius blandit','varius blandit',0,1,1.4667,'V621453',1047),(424,'varius blandit sit','varius blandit sit',0,1,1.6,'V62145323',1047),(425,'vehicula','vehicula',0,0,0.5333,'V240',863),(426,'vehicula ut','vehicula ut',0,1,1.3667,'V243',661),(427,'vehicula ut id','vehicula ut id',0,1,1.4667,'V243',661),(428,'vel','vel',0,0,0.2,'V400',2261),(429,'vel eu','vel eu',0,1,1.2,'V400',2073),(430,'vel eu leo','vel eu leo',0,1,1.3333,'V400',2073),(431,'vel scelerisque','vel scelerisque',0,1,1.5,'V42462',812),(432,'vel scelerisque nisl','vel scelerisque nisl',0,1,1.6667,'V42462524',812),(433,'velit','velit',0,0,0.3333,'V430',1843),(434,'velit aliquet','velit aliquet',0,1,1.4333,'V43423',804),(435,'velit aliquet sed','velit aliquet sed',0,1,1.5667,'V4342323',464),(436,'velit aliquet vestibulum','velit aliquet vestibulum',0,1,1.8,'V43423123145',462),(437,'venenatis','venenatis',0,0,0.6,'V532',2265),(438,'venenatis dapibus','venenatis dapibus',0,1,1.5667,'V532312',804),(439,'venenatis dapibus posuere','venenatis dapibus posuere',0,1,1.8333,'V532312126',804),(440,'venenatis vestibulum','venenatis vestibulum',0,1,1.6667,'V532123145',2167),(441,'venenatis vestibulum donec','venenatis vestibulum donec',0,1,1.8667,'V532123145352',495),(442,'venenatis vestibulum sed','venenatis vestibulum sed',0,1,1.8,'V53212314523',1795),(443,'vestibulum','vestibulum',0,0,0.6667,'V23145',2288),(444,'vestibulum at','vestibulum at',0,1,1.4333,'V231453',941),(445,'vestibulum at eros','vestibulum at eros',0,1,1.6,'V23145362',941),(446,'vestibulum donec','vestibulum donec',0,1,1.5333,'V23145352',495),(447,'vestibulum donec ullamcorper','vestibulum donec ullamcorper',0,1,1.9333,'V23145352452616',495),(448,'vestibulum id','vestibulum id',0,1,1.4333,'V231453',739),(449,'vestibulum id ligula','vestibulum id ligula',0,1,1.6667,'V231453424',739),(450,'vestibulum sed','vestibulum sed',0,1,1.4667,'V2314523',1795),(451,'vestibulum sed posuere','vestibulum sed posuere',0,1,1.7333,'V2314523126',1795),(452,'vitae','vitae',0,0,0.3333,'V300',2220),(453,'vitae elit','vitae elit',0,1,1.3333,'V343',1155),(454,'vitae elit libero','vitae elit libero',0,1,1.5667,'V343416',1155),(455,'with','with',0,0,0.2667,'W300',449),(456,'with bizarre','with bizarre',0,1,1.4,'W3126',1),(457,'with bizarre touchdown','with bizarre touchdown',0,1,1.7333,'W31263235',1),(458,'xlvi','xlvi',0,0,0.2667,'X410',1),(459,'xlvi with','xlvi with',0,1,1.3,'X413',1),(460,'xlvi with bizarre','xlvi with bizarre',0,1,1.5667,'X413126',1),(461,'york','york',0,0,0.2667,'Y620',1),(462,'york triumph','york triumph',0,1,1.4,'Y623651',1),(463,'york triumph in','york triumph in',0,1,1.5,'Y6236515',1),(464,'72','72',0,0,0.2,'',47),(465,'ac cursus','ac cursus',0,1,1.3,'A262',401),(466,'ac cursus commodo','ac cursus commodo',0,1,1.5667,'A26253',401),(467,'adipiscing','adipiscing',0,0,0.6667,'A31252',526),(468,'adipiscing elit','adipiscing elit',0,1,1.5,'A3125243',397),(469,'adipiscing elit aenean','adipiscing elit aenean',0,1,1.7333,'A31252435',27),(470,'aliquet aenean','aliquet aenean',0,1,1.4667,'A4235',70),(471,'aliquet aenean lacinia','aliquet aenean lacinia',0,1,1.7333,'A4235425',23),(472,'aliquet vivamus','aliquet vivamus',0,1,1.5,'A423152',23),(473,'aliquet vivamus sagittis','aliquet vivamus sagittis',0,1,1.8,'A42315232',23),(474,'amet consectetur','amet consectetur',0,1,1.5333,'A5325236',397),(475,'amet consectetur adipiscing','amet consectetur adipiscing',0,1,1.9,'A532523631252',397),(476,'amet fermentum fusce','amet fermentum fusce',0,1,1.6667,'A531653512',23),(477,'amet risus','amet risus',0,1,1.3333,'A5362',401),(478,'amet risus donec','amet risus donec',0,1,1.5333,'A5362352',60),(479,'amet risus fusce','amet risus fusce',0,1,1.5333,'A536212',23),(480,'and','and',0,0,0.2,'A530',758),(481,'and the','and the',0,1,1.2333,'A530',15),(482,'and the patriots','and the patriots',0,1,1.5333,'A5313632',2),(483,'at eros morbi','at eros morbi',0,1,1.4333,'A362561',23),(484,'at eros praesent','at eros praesent',0,1,1.5333,'A36216253',23),(485,'auctor duis','auctor duis',0,1,1.3667,'A23632',30),(486,'auctor duis mollis','auctor duis mollis',0,1,1.6,'A23632542',26),(487,'augue donec','augue donec',0,1,1.3667,'A2352',95),(488,'augue donec ullamcorper','augue donec ullamcorper',0,1,1.7667,'A2352452616',27),(489,'augue laoreet','augue laoreet',0,1,1.4333,'A2463',318),(490,'augue laoreet rutrum','augue laoreet rutrum',0,1,1.6667,'A24636365',318),(491,'brady','brady',0,0,0.3333,'B630',2),(492,'brady was','brady was',0,1,1.3,'B632',2),(493,'brady was deadly','brady was deadly',0,1,1.5333,'B63234',2),(494,'commodo luctus','commodo luctus',0,1,1.4667,'C534232',319),(495,'commodo luctus nisi','commodo luctus nisi',0,1,1.6333,'C53423252',319),(496,'commodo tortor','commodo tortor',0,1,1.4667,'C53636',401),(497,'commodo tortor mauris','commodo tortor mauris',0,1,1.7,'C53636562',401),(498,'condimentum','condimentum',0,0,0.7333,'C53535',600),(499,'condimentum nibh','condimentum nibh',0,1,1.5333,'C535351',401),(500,'condimentum nibh ut','condimentum nibh ut',0,1,1.6333,'C5353513',401),(501,'consectetur adipiscing','consectetur adipiscing',0,1,1.7333,'C523631252',397),(502,'consectetur adipiscing elit','consectetur adipiscing elit',0,1,1.9,'C52363125243',397),(503,'consectetur et cras','consectetur et cras',0,1,1.6333,'C52363262',23),(504,'consectetur et nulla','consectetur et nulla',0,1,1.6667,'C5236354',23),(505,'consectetur etiam','consectetur etiam',0,1,1.5667,'C523635',24),(506,'consectetur etiam porta','consectetur etiam porta',0,1,1.7667,'C523635163',24),(507,'consectetur praesent','consectetur praesent',0,1,1.6667,'C523616253',23),(508,'consectetur praesent commodo','consectetur praesent commodo',0,1,1.9333,'C523616253253',23),(509,'cursus commodo','cursus commodo',0,1,1.4667,'C6253',401),(510,'cursus commodo tortor','cursus commodo tortor',0,1,1.7,'C6253636',401),(511,'dapibus tellus','dapibus tellus',0,1,1.4667,'D12342',401),(512,'dapibus tellus ac','dapibus tellus ac',0,1,1.5667,'D12342',401),(513,'deadly','deadly',0,0,0.4,'D400',2),(514,'deadly efficient','deadly efficient',0,1,1.5333,'D41253',2),(515,'deadly efficient and','deadly efficient and',0,1,1.6667,'D4125353',2),(516,'dolor auctor','dolor auctor',0,1,1.4,'D46236',318),(517,'dolor auctor duis','dolor auctor duis',0,1,1.5667,'D4623632',26),(518,'dolor sit','dolor sit',0,1,1.3,'D4623',398),(519,'dolor sit amet','dolor sit amet',0,1,1.4667,'D462353',398),(520,'dominant','dominant',0,0,0.5333,'D530',2),(521,'dui nullam quis','dui nullam quis',0,1,1.5,'D5452',23),(522,'duis','duis',0,0,0.2667,'D200',1220),(523,'duis mollis','duis mollis',0,1,1.3667,'D2542',319),(524,'duis mollis est','duis mollis est',0,1,1.5,'D25423',319),(525,'efficient','efficient',0,0,0.6,'E1253',2),(526,'efficient and','efficient and',0,1,1.4333,'E125353',2),(527,'efficient and the','efficient and the',0,1,1.5667,'E125353',2),(528,'eget lacinia','eget lacinia',0,1,1.4,'E23425',319),(529,'eget lacinia odio','eget lacinia odio',0,1,1.5667,'E234253',319),(530,'eget quam aenean','eget quam aenean',0,1,1.5333,'E2325',23),(531,'eget quam duis','eget quam duis',0,1,1.4667,'E232532',23),(532,'eget quam integer','eget quam integer',0,1,1.5667,'E2325326',25),(533,'elit aenean','elit aenean',0,1,1.3667,'E435',135),(534,'elit aenean lacinia','elit aenean lacinia',0,1,1.6333,'E435425',95),(535,'elit cras','elit cras',0,1,1.3,'E43262',29),(536,'elit cras justo','elit cras justo',0,1,1.5,'E432623',29),(537,'elit praesent','elit praesent',0,1,1.4333,'E4316253',52),(538,'elit praesent commodo','elit praesent commodo',0,1,1.7,'E4316253253',52),(539,'erat porttitor','erat porttitor',0,1,1.4667,'E631636',319),(540,'erat porttitor ligula','erat porttitor ligula',0,1,1.7,'E631636424',319),(541,'eros morbi','eros morbi',0,1,1.3333,'E62561',23),(542,'eros morbi leo','eros morbi leo',0,1,1.4667,'E625614',23),(543,'eros praesent','eros praesent',0,1,1.4333,'E6216253',23),(544,'eros praesent commodo','eros praesent commodo',0,1,1.7,'E6216253253',23),(545,'est non','est non',0,1,1.2333,'E235',319),(546,'est non commodo','est non commodo',0,1,1.5,'E235253',319),(547,'et cras','et cras',0,1,1.2333,'E3262',23),(548,'et cras justo','et cras justo',0,1,1.4333,'E32623',23),(549,'et cras mattis','et cras mattis',0,1,1.4667,'E3262532',23),(550,'et nulla','et nulla',0,1,1.2667,'E354',23),(551,'et nulla vitae','et nulla vitae',0,1,1.4667,'E35413',23),(552,'eu leo curabitur','eu leo curabitur',0,1,1.5333,'E426136',47),(553,'euismod cras','euismod cras',0,1,1.4,'E253262',27),(554,'euismod cras justo','euismod cras justo',0,1,1.6,'E2532623',27),(555,'faucibus dolor','faucibus dolor',0,1,1.4667,'F212346',318),(556,'faucibus dolor auctor','faucibus dolor auctor',0,1,1.7,'F212346236',318),(557,'fermentum fusce','fermentum fusce',0,1,1.5,'F653512',23),(558,'fermentum fusce dapibus','fermentum fusce dapibus',0,1,1.7667,'F653512312',23),(559,'fermentum massa','fermentum massa',0,1,1.5,'F65352',401),(560,'fermentum massa justo','fermentum massa justo',0,1,1.7,'F653523',401),(561,'fusce','fusce',0,0,0.3333,'F200',612),(562,'fusce dapibus','fusce dapibus',0,1,1.4333,'F2312',401),(563,'fusce dapibus tellus','fusce dapibus tellus',0,1,1.6667,'F2312342',401),(564,'ipsum','ipsum',0,0,0.3333,'I125',413),(565,'ipsum dolor','ipsum dolor',0,1,1.3667,'I125346',399),(566,'ipsum dolor sit','ipsum dolor sit',0,1,1.5,'I12534623',397),(567,'justo sit','justo sit',0,1,1.3,'J323',470),(568,'justo sit amet','justo sit amet',0,1,1.4667,'J32353',470),(569,'lacinia odio','lacinia odio',0,1,1.4,'L253',319),(570,'lacinia odio sem','lacinia odio sem',0,1,1.5333,'L25325',319),(571,'lacus','lacus',0,0,0.3333,'L200',697),(572,'lacus vel','lacus vel',0,1,1.3,'L214',318),(573,'lacus vel augue','lacus vel augue',0,1,1.5,'L2142',318),(574,'laoreet','laoreet',0,0,0.4667,'L630',1204),(575,'laoreet rutrum','laoreet rutrum',0,1,1.4667,'L636365',318),(576,'laoreet rutrum faucibus','laoreet rutrum faucibus',0,1,1.7667,'L6363651212',318),(577,'leo curabitur','leo curabitur',0,1,1.4333,'L26136',47),(578,'leo curabitur blandit','leo curabitur blandit',0,1,1.7,'L261361453',47),(579,'ligula eget','ligula eget',0,1,1.3667,'L2423',333),(580,'ligula eget lacinia','ligula eget lacinia',0,1,1.6333,'L2423425',319),(581,'lorem','lorem',0,0,0.3333,'L650',549),(582,'lorem ipsum','lorem ipsum',0,1,1.3667,'L65125',413),(583,'lorem ipsum dolor','lorem ipsum dolor',0,1,1.5667,'L65125346',399),(584,'luctus','luctus',0,0,0.4,'L232',1358),(585,'luctus nisi','luctus nisi',0,1,1.3667,'L23252',319),(586,'luctus nisi erat','luctus nisi erat',0,1,1.5333,'L2325263',319),(587,'massa','massa',0,0,0.3333,'M200',490),(588,'massa justo','massa justo',0,1,1.3667,'M230',401),(589,'massa justo sit','massa justo sit',0,1,1.5,'M2323',401),(590,'mauris','mauris',0,0,0.4,'M620',652),(591,'mauris condimentum','mauris condimentum',0,1,1.6,'M6253535',401),(592,'mauris condimentum nibh','mauris condimentum nibh',0,1,1.7667,'M62535351',401),(593,'mollis est','mollis est',0,1,1.3333,'M423',319),(594,'mollis est non','mollis est non',0,1,1.4667,'M4235',319),(595,'mollis euismod cras','mollis euismod cras',0,1,1.6333,'M4253262',27),(596,'nec','nec',0,0,0.2,'N200',1197),(597,'nec elit','nec elit',0,1,1.2667,'N243',324),(598,'nec elit cras','nec elit cras',0,1,1.4333,'N243262',23),(599,'nec elit praesent','nec elit praesent',0,1,1.5667,'N24316253',27),(600,'nibh ut','nibh ut',0,1,1.2333,'N130',401),(601,'nibh ut fermentum','nibh ut fermentum',0,1,1.5667,'N1316535',401),(602,'nisi','nisi',0,0,0.2667,'N200',543),(603,'nisi erat','nisi erat',0,1,1.3,'N263',319),(604,'nisi erat porttitor','nisi erat porttitor',0,1,1.6333,'N2631636',319),(605,'non commodo','non commodo',0,1,1.3667,'N253',319),(606,'non commodo luctus','non commodo luctus',0,1,1.6,'N2534232',319),(607,'odio sem','odio sem',0,1,1.2667,'O325',319),(608,'odio sem nec','odio sem nec',0,1,1.4,'O3252',319),(609,'patriots','patriots',0,0,0.5333,'P3632',30),(610,'patriots were','patriots were',0,1,1.4333,'P36326',2),(611,'patriots were dominant','patriots were dominant',0,1,1.7333,'P36326353',2),(612,'pharetra augue donec','pharetra augue donec',0,1,1.6667,'P6362352',27),(613,'porttitor ligula','porttitor ligula',0,1,1.5333,'P636424',319),(614,'porttitor ligula eget','porttitor ligula eget',0,1,1.7,'P63642423',319),(615,'porttitor lorem','porttitor lorem',0,1,1.5,'P636465',27),(616,'porttitor lorem ipsum','porttitor lorem ipsum',0,1,1.7,'P636465125',23),(617,'quam aenean','quam aenean',0,1,1.3667,'Q500',23),(618,'quam aenean eu','quam aenean eu',0,1,1.4667,'Q500',23),(619,'quam duis','quam duis',0,1,1.3,'Q532',23),(620,'quam duis mollis','quam duis mollis',0,1,1.5333,'Q532542',23),(621,'quam integer','quam integer',0,1,1.4,'Q5326',25),(622,'quam integer posuere','quam integer posuere',0,1,1.6667,'Q5326126',25),(623,'risus donec','risus donec',0,1,1.3667,'R2352',60),(624,'risus donec sed','risus donec sed',0,1,1.5,'R23523',27),(625,'risus fusce','risus fusce',0,1,1.3667,'R212',23),(626,'risus fusce dapibus','risus fusce dapibus',0,1,1.6333,'R212312',23),(627,'rutrum','rutrum',0,0,0.4,'R365',1199),(628,'rutrum faucibus','rutrum faucibus',0,1,1.5,'R3651212',318),(629,'rutrum faucibus dolor','rutrum faucibus dolor',0,1,1.7,'R3651212346',318),(630,'sagittis','sagittis',0,0,0.5333,'S320',514),(631,'sagittis lacus','sagittis lacus',0,1,1.4667,'S3242',320),(632,'sagittis lacus vel','sagittis lacus vel',0,1,1.6,'S324214',318),(633,'sed consectetur etiam','sed consectetur etiam',0,1,1.7,'S32523635',24),(634,'sed consectetur praesent','sed consectetur praesent',0,1,1.8,'S32523616253',23),(635,'sem nec','sem nec',0,1,1.2333,'S520',319),(636,'sem nec elit','sem nec elit',0,1,1.4,'S5243',319),(637,'sit amet consectetur','sit amet consectetur',0,1,1.6667,'S35325236',397),(638,'sit amet risus','sit amet risus',0,1,1.4667,'S35362',401),(639,'tellus','tellus',0,0,0.4,'T420',592),(640,'tellus ac','tellus ac',0,1,1.3,'T420',401),(641,'tellus ac cursus','tellus ac cursus',0,1,1.5333,'T4262',401),(642,'tempus porttitor lorem','tempus porttitor lorem',0,1,1.7333,'T5121636465',23),(643,'the','the',0,0,0.2,'T000',836),(644,'the patriots','the patriots',0,1,1.4,'T13632',2),(645,'the patriots were','the patriots were',0,1,1.5667,'T136326',2),(646,'tom','tom',0,0,0.2,'T500',202),(647,'tom brady','tom brady',0,1,1.3,'T5163',2),(648,'tom brady was','tom brady was',0,1,1.4333,'T51632',2),(649,'tortor','tortor',0,0,0.4,'T636',489),(650,'tortor mauris','tortor mauris',0,1,1.4333,'T636562',401),(651,'tortor mauris condimentum','tortor mauris condimentum',0,1,1.8333,'T63656253535',401),(652,'ut fermentum','ut fermentum',0,1,1.4,'U316535',401),(653,'ut fermentum massa','ut fermentum massa',0,1,1.6,'U3165352',401),(654,'vel augue','vel augue',0,1,1.3,'V420',318),(655,'vel augue laoreet','vel augue laoreet',0,1,1.5667,'V42463',318),(656,'velit aliquet aenean','velit aliquet aenean',0,1,1.6667,'V434235',70),(657,'velit aliquet vivamus','velit aliquet vivamus',0,1,1.7,'V43423152',23),(658,'venenatis vestibulum morbi','venenatis vestibulum morbi',0,1,1.8667,'V53212314561',23),(659,'vestibulum morbi','vestibulum morbi',0,1,1.5333,'V2314561',23),(660,'vestibulum morbi leo','vestibulum morbi leo',0,1,1.6667,'V23145614',23),(661,'vivamus','vivamus',0,0,0.4667,'V520',515),(662,'vivamus sagittis','vivamus sagittis',0,1,1.5333,'V5232',318),(663,'vivamus sagittis lacus','vivamus sagittis lacus',0,1,1.7333,'V523242',318),(664,'was','was',0,0,0.2,'W200',222),(665,'was deadly','was deadly',0,1,1.3333,'W234',2),(666,'was deadly efficient','was deadly efficient',0,1,1.6667,'W2341253',2),(667,'were','were',0,0,0.2667,'W600',2),(668,'were dominant','were dominant',0,1,1.4333,'W6353',2),(669,'73','73',0,0,0.2,'',25),(670,'action','action',0,0,0.4,'A235',48),(671,'action during','action during',0,1,1.4333,'A2353652',23),(672,'action during the','action during the',0,1,1.5667,'A23536523',23),(673,'against','against',0,0,0.4667,'A2523',26),(674,'against the','against the',0,1,1.3667,'A2523',23),(675,'against the indianapolis','against the indianapolis',0,1,1.8,'A2523535142',23),(676,'aliquet fusce','aliquet fusce',0,1,1.4333,'A42312',57),(677,'aliquet fusce dapibus','aliquet fusce dapibus',0,1,1.7,'A42312312',57),(678,'amet risus etiam','amet risus etiam',0,1,1.5333,'A536235',78),(679,'auctor cras','auctor cras',0,1,1.3667,'A236262',85),(680,'auctor cras mattis','auctor cras mattis',0,1,1.6,'A236262532',81),(681,'auctor vestibulum','auctor vestibulum',0,1,1.5667,'A236123145',54),(682,'auctor vestibulum id','auctor vestibulum id',0,1,1.6667,'A2361231453',54),(683,'augue praesent','augue praesent',0,1,1.4667,'A216253',57),(684,'augue praesent commodo','augue praesent commodo',0,1,1.7333,'A216253253',57),(685,'belichick','belichick',0,0,0.6,'B420',23),(686,'belichick watches','belichick watches',0,1,1.5667,'B4232',23),(687,'belichick watches the','belichick watches the',0,1,1.7,'B42323',23),(688,'bill','bill',0,0,0.2667,'B400',23),(689,'bill belichick','bill belichick',0,1,1.4667,'B4142',23),(690,'bill belichick watches','bill belichick watches',0,1,1.7333,'B414232',23),(691,'coach','coach',0,0,0.3333,'C000',25),(692,'coach bill','coach bill',0,1,1.3333,'C140',23),(693,'coach bill belichick','coach bill belichick',0,1,1.6667,'C14142',23),(694,'colts','colts',0,0,0.3333,'C432',23),(695,'colts in','colts in',0,1,1.2667,'C4325',23),(696,'colts in foxborough','colts in foxborough',0,1,1.6333,'C432512162',23),(697,'consectetur cum','consectetur cum',0,1,1.5,'C523625',54),(698,'consectetur cum sociis','consectetur cum sociis',0,1,1.7333,'C5236252',54),(699,'consectetur et sed','consectetur et sed',0,1,1.6,'C5236323',54),(700,'cum','cum',0,0,0.2,'C500',124),(701,'cum sociis','cum sociis',0,1,1.3333,'C520',124),(702,'cum sociis natoque','cum sociis natoque',0,1,1.6,'C52532',124),(703,'dis','dis',0,0,0.2,'D200',124),(704,'dis parturient','dis parturient',0,1,1.4667,'D2163653',124),(705,'dis parturient montes','dis parturient montes',0,1,1.7,'D2163653532',124),(706,'dolor auctor cras','dolor auctor cras',0,1,1.5667,'D46236262',85),(707,'dolor auctor vestibulum','dolor auctor vestibulum',0,1,1.7667,'D46236123145',54),(708,'during','during',0,0,0.4,'D652',23),(709,'during the','during the',0,1,1.3333,'D6523',23),(710,'during the first','during the first',0,1,1.5333,'D65231623',23),(711,'elit vivamus','elit vivamus',0,1,1.4,'E43152',232),(712,'elit vivamus sagittis','elit vivamus sagittis',0,1,1.7,'E4315232',231),(713,'england','england',0,0,0.4667,'E52453',23),(714,'england patriots','england patriots',0,1,1.5333,'E5245313632',23),(715,'england patriots coach','england patriots coach',0,1,1.7333,'E5245313632',23),(716,'et magnis','et magnis',0,1,1.3,'E35252',124),(717,'et magnis dis','et magnis dis',0,1,1.4333,'E3525232',124),(718,'et sed','et sed',0,1,1.2,'E323',54),(719,'et sed posuere','et sed posuere',0,1,1.4667,'E323126',54),(720,'euismod semper cum','euismod semper cum',0,1,1.6,'E253251625',78),(721,'fermentum nullam id','fermentum nullam id',0,1,1.6333,'F6535453',54),(722,'first','first',0,0,0.3333,'F623',290),(723,'first half','first half',0,1,1.3333,'F62341',23),(724,'first half of','first half of',0,1,1.4333,'F62341',23),(725,'football','football',0,0,0.5333,'F314',23),(726,'football game','football game',0,1,1.4333,'F31425',23),(727,'football game against','football game against',0,1,1.7,'F314252523',23),(728,'foxborough','foxborough',0,0,0.6667,'F2162',23),(729,'foxborough mass','foxborough mass',0,1,1.5,'F216252',23),(730,'foxborough mass porta','foxborough mass porta',0,1,1.7,'F216252163',23),(731,'game','game',0,0,0.2667,'G500',70),(732,'game against','game against',0,1,1.4,'G52523',23),(733,'game against the','game against the',0,1,1.5333,'G52523',23),(734,'half','half',0,0,0.2667,'H410',23),(735,'half of','half of',0,1,1.2333,'H410',23),(736,'half of the','half of the',0,1,1.3667,'H413',23),(737,'id elit vivamus','id elit vivamus',0,1,1.5,'I343152',56),(738,'in foxborough','in foxborough',0,1,1.4333,'I512162',23),(739,'in foxborough mass','in foxborough mass',0,1,1.6,'I51216252',23),(740,'indianapolis','indianapolis',0,0,0.8,'I535142',23),(741,'indianapolis colts','indianapolis colts',0,1,1.6,'I535142432',23),(742,'indianapolis colts in','indianapolis colts in',0,1,1.7,'I5351424325',23),(743,'lobortis aenean lacinia','lobortis aenean lacinia',0,1,1.7667,'L16325425',58),(744,'magnis','magnis',0,0,0.4,'M252',124),(745,'magnis dis','magnis dis',0,1,1.3333,'M25232',124),(746,'magnis dis parturient','magnis dis parturient',0,1,1.7,'M25232163653',124),(747,'mass','mass',0,0,0.2667,'M200',27),(748,'mass porta','mass porta',0,1,1.3333,'M2163',23),(749,'mass porta ac','mass porta ac',0,1,1.4333,'M21632',23),(750,'montes','montes',0,0,0.4,'M320',124),(751,'montes nascetur','montes nascetur',0,1,1.5,'M325236',124),(752,'montes nascetur ridiculus','montes nascetur ridiculus',0,1,1.8333,'M3252363242',124),(753,'mus','mus',0,0,0.2,'M200',124),(754,'mus cras','mus cras',0,1,1.2667,'M262',58),(755,'mus cras mattis','mus cras mattis',0,1,1.5,'M262532',54),(756,'mus integer','mus integer',0,1,1.3667,'M25326',54),(757,'mus integer posuere','mus integer posuere',0,1,1.6333,'M25326126',54),(758,'mus sed','mus sed',0,1,1.2333,'M230',87),(759,'mus sed posuere','mus sed posuere',0,1,1.5,'M23126',87),(760,'nascetur','nascetur',0,0,0.5333,'N236',124),(761,'nascetur ridiculus','nascetur ridiculus',0,1,1.6,'N2363242',124),(762,'nascetur ridiculus mus','nascetur ridiculus mus',0,1,1.7333,'N236324252',124),(763,'natoque','natoque',0,0,0.4667,'N320',124),(764,'natoque penatibus','natoque penatibus',0,1,1.5667,'N3215312',124),(765,'natoque penatibus et','natoque penatibus et',0,1,1.6667,'N32153123',124),(766,'new england','new england',0,1,1.3667,'N2453',23),(767,'new england patriots','new england patriots',0,1,1.6667,'N245313632',23),(768,'nfl','nfl',0,0,0.2,'N140',33),(769,'nfl football','nfl football',0,1,1.4,'N141314',23),(770,'nfl football game','nfl football game',0,1,1.5667,'N14131425',23),(771,'of','of',0,0,0.1333,'O100',621),(772,'of the','of the',0,1,1.2,'O130',181),(773,'of the patriots\'','of the patriots',0,1,1.5333,'O1313632',23),(774,'parturient','parturient',0,0,0.6667,'P63653',124),(775,'parturient montes','parturient montes',0,1,1.5667,'P63653532',124),(776,'parturient montes nascetur','parturient montes nascetur',0,1,1.8667,'P636535325236',124),(777,'patriots coach','patriots coach',0,1,1.4667,'P3632',23),(778,'patriots coach bill','patriots coach bill',0,1,1.6333,'P363214',23),(779,'patriots\'','patriots',0,0,0.6,'P3632',23),(780,'patriots\' nfl','patriots nfl',0,1,1.4333,'P3632514',23),(781,'patriots\' nfl football','patriots nfl football',0,1,1.7333,'P36325141314',23),(782,'penatibus','penatibus',0,0,0.6,'P5312',124),(783,'penatibus et','penatibus et',0,1,1.4,'P53123',124),(784,'penatibus et magnis','penatibus et magnis',0,1,1.6333,'P531235252',124),(785,'pharetra augue praesent','pharetra augue praesent',0,1,1.7667,'P636216253',57),(786,'ridiculus','ridiculus',0,0,0.6,'R3242',124),(787,'ridiculus mus','ridiculus mus',0,1,1.4333,'R324252',124),(788,'ridiculus mus cras','ridiculus mus cras',0,1,1.6,'R32425262',58),(789,'ridiculus mus integer','ridiculus mus integer',0,1,1.7,'R3242525326',54),(790,'ridiculus mus sed','ridiculus mus sed',0,1,1.5667,'R3242523',87),(791,'risus etiam','risus etiam',0,1,1.3667,'R235',78),(792,'risus etiam porta','risus etiam porta',0,1,1.5667,'R235163',78),(793,'sed consectetur cum','sed consectetur cum',0,1,1.6333,'S32523625',54),(794,'semper cum','semper cum',0,1,1.3333,'S51625',78),(795,'semper cum sociis','semper cum sociis',0,1,1.5667,'S516252',78),(796,'sociis','sociis',0,0,0.4,'S000',124),(797,'sociis natoque','sociis natoque',0,1,1.4667,'S532',124),(798,'sociis natoque penatibus','sociis natoque penatibus',0,1,1.8,'S53215312',124),(799,'the action','the action',0,1,1.3333,'T235',23),(800,'the action during','the action during',0,1,1.5667,'T2353652',23),(801,'the first','the first',0,1,1.3,'T1623',271),(802,'the first half','the first half',0,1,1.4667,'T162341',23),(803,'the indianapolis','the indianapolis',0,1,1.5333,'T535142',23),(804,'the indianapolis colts','the indianapolis colts',0,1,1.7333,'T535142432',23),(805,'the patriots\'','the patriots',0,1,1.4333,'T13632',23),(806,'the patriots\' nfl','the patriots nfl',0,1,1.5667,'T13632514',23),(807,'velit aliquet fusce','velit aliquet fusce',0,1,1.6333,'V4342312',57),(808,'venenatis vestibulum cum','venenatis vestibulum cum',0,1,1.8,'V53212314525',58),(809,'venenatis vestibulum nulla','venenatis vestibulum nulla',0,1,1.8667,'V5321231454',54),(810,'vestibulum cum','vestibulum cum',0,1,1.4667,'V2314525',58),(811,'vestibulum cum sociis','vestibulum cum sociis',0,1,1.7,'V23145252',58),(812,'vestibulum nulla','vestibulum nulla',0,1,1.5333,'V231454',54),(813,'vestibulum nulla vitae','vestibulum nulla vitae',0,1,1.7333,'V23145413',54),(814,'watches','watches',0,0,0.4667,'W320',23),(815,'watches the','watches the',0,1,1.3667,'W323',23),(816,'watches the action','watches the action',0,1,1.6,'W323235',23),(817,'74','74',0,0,0.2,'',8),(818,'air','air',0,0,0.2,'A600',38),(819,'almost','almost',0,0,0.4,'A4523',3),(820,'almost raised','almost raised',0,1,1.4333,'A4523623',3),(821,'almost raised the','almost raised the',0,1,1.5667,'A4523623',3),(822,'ball','ball',0,0,0.2667,'B400',3),(823,'ball in','ball in',0,1,1.2333,'B450',3),(824,'ball in the','ball in the',0,1,1.3667,'B453',3),(825,'ginn','ginn',0,0,0.2667,'G500',3),(826,'ginn jr','ginn jr',0,1,1.2333,'G526',3),(827,'ginn jr almost','ginn jr almost',0,1,1.4667,'G5264523',3),(828,'in the','in the',0,1,1.2,'I530',273),(829,'in the air','in the air',0,1,1.3333,'I536',10),(830,'jr','jr',0,0,0.1333,'J600',3),(831,'jr almost','jr almost',0,1,1.3,'J64523',3),(832,'jr almost raised','jr almost raised',0,1,1.5333,'J64523623',3),(833,'like','like',0,0,0.2667,'L200',217),(834,'like mad','like mad',0,1,1.2667,'L253',3),(835,'like mad ted','like mad ted',0,1,1.4,'L253',3),(836,'mad','mad',0,0,0.2,'M300',3),(837,'mad ted','mad ted',0,1,1.2333,'M300',3),(838,'mad ted ginn','mad ted ginn',0,1,1.4,'M325',3),(839,'raised','raised',0,0,0.4,'R230',5),(840,'raised the','raised the',0,1,1.3333,'R230',3),(841,'raised the ball','raised the ball',0,1,1.5,'R2314',3),(842,'running','running',0,0,0.4667,'R520',8),(843,'running like','running like',0,1,1.4,'R5242',3),(844,'running like mad','running like mad',0,1,1.5333,'R524253',3),(845,'ted','ted',0,0,0.2,'T000',3),(846,'ted ginn','ted ginn',0,1,1.2667,'T250',3),(847,'ted ginn jr','ted ginn jr',0,1,1.3667,'T2526',3),(848,'the air','the air',0,1,1.2333,'T600',10),(849,'the ball','the ball',0,1,1.2667,'T140',3),(850,'the ball in','the ball in',0,1,1.3667,'T145',3),(851,'75','75',0,0,0.2,'',18),(852,'camp','camp',0,0,0.2667,'C510',3),(853,'new orleans','new orleans',0,1,1.3667,'N6452',3),(854,'new orleans saints','new orleans saints',0,1,1.6,'N6452532',3),(855,'open','open',0,0,0.2667,'O150',5),(856,'open training','open training',0,1,1.4333,'O153652',3),(857,'open training camp','open training camp',0,1,1.6,'O15365251',3),(858,'orleans','orleans',0,0,0.4667,'O6452',3),(859,'orleans saints','orleans saints',0,1,1.4667,'O6452532',3),(860,'orleans saints will','orleans saints will',0,1,1.6333,'O64525324',3),(861,'saints','saints',0,0,0.4,'S532',5),(862,'saints will','saints will',0,1,1.3667,'S5324',3),(863,'saints will open','saints will open',0,1,1.5333,'S532415',3),(864,'the new','the new',0,1,1.2333,'T500',199),(865,'the new orleans','the new orleans',0,1,1.5,'T56452',3),(866,'training','training',0,0,0.5333,'T652',3),(867,'training camp','training camp',0,1,1.4333,'T65251',3),(868,'will','will',0,0,0.2667,'W400',257),(869,'will open','will open',0,1,1.3,'W415',3),(870,'will open training','will open training',0,1,1.6,'W4153652',3),(871,'76','76',0,0,0.2,'',29),(872,'bowl fullback','bowl fullback',0,1,1.4333,'B41412',2),(873,'bowl fullback leonard','bowl fullback leonard',0,1,1.7,'B414124563',2),(874,'forced','forced',0,0,0.4,'F623',2),(875,'fullback','fullback',0,0,0.5333,'F412',2),(876,'fullback leonard','fullback leonard',0,1,1.5333,'F4124563',2),(877,'fullback leonard weaver\'s','fullback leonard weaver',0,1,1.8333,'F4124563162',2),(878,'fullback leonard weavers','fullback leonard weavers',0,1,1.8,'F4124563162',2),(879,'leg','leg',0,0,0.2,'L200',2),(880,'leg was','leg was',0,1,1.2333,'L200',2),(881,'leg was forced','leg was forced',0,1,1.4667,'L21623',2),(882,'leonard','leonard',0,0,0.4667,'L563',2),(883,'leonard weaver\'s','leonard weaver',0,1,1.5333,'L563162',2),(884,'leonard weaver\'s lower','leonard weaver lower',0,1,1.7333,'L56316246',2),(885,'leonard weavers','leonard weavers',0,1,1.5,'L563162',2),(886,'leonard weavers lower','leonard weavers lower',0,1,1.7,'L56316246',2),(887,'lower','lower',0,0,0.3333,'L600',3),(888,'lower leg','lower leg',0,1,1.3,'L642',2),(889,'lower leg was','lower leg was',0,1,1.4333,'L642',2),(890,'pro','pro',0,0,0.2,'P600',86),(891,'pro bowl','pro bowl',0,1,1.2667,'P614',4),(892,'pro bowl fullback','pro bowl fullback',0,1,1.5667,'P6141412',2),(893,'was forced','was forced',0,1,1.3333,'W21623',2),(894,'weaver\'s','weaver',0,0,0.5333,'W162',2),(895,'weaver\'s lower','weaver lower',0,1,1.4667,'W16246',2),(896,'weaver\'s lower leg','weaver lower leg',0,1,1.6,'W1624642',2),(897,'weavers','weavers',0,0,0.4667,'W162',2),(898,'weavers lower','weavers lower',0,1,1.4333,'W16246',2),(899,'weavers lower leg','weavers lower leg',0,1,1.5667,'W1624642',2),(900,'77','77',0,0,0.2,'',28),(901,'adipiscing elit donec','adipiscing elit donec',0,1,1.7,'A312524352',75),(902,'adipiscing elit praesent','adipiscing elit praesent',0,1,1.8,'A312524316253',25),(903,'adipiscing elit sed','adipiscing elit sed',0,1,1.6333,'A312524323',79),(904,'aliquet lorem','aliquet lorem',0,1,1.4333,'A423465',25),(905,'aliquet lorem ipsum','aliquet lorem ipsum',0,1,1.6333,'A423465125',25),(906,'amet risus duis','amet risus duis',0,1,1.5,'A536232',72),(907,'amet risus lorem','amet risus lorem',0,1,1.5333,'A5362465',77),(908,'auctor integer','auctor integer',0,1,1.4667,'A2365326',25),(909,'auctor integer posuere','auctor integer posuere',0,1,1.7333,'A2365326126',25),(910,'consectetur duis','consectetur duis',0,1,1.5333,'C523632',247),(911,'consectetur duis mollis','consectetur duis mollis',0,1,1.7667,'C523632542',247),(912,'consectetur et aenean','consectetur et aenean',0,1,1.7,'C523635',75),(913,'consectetur et praesent','consectetur et praesent',0,1,1.7667,'C5236316253',27),(914,'dolor auctor integer','dolor auctor integer',0,1,1.6667,'D462365326',25),(915,'dui donec','dui donec',0,1,1.3,'D520',74),(916,'dui donec id','dui donec id',0,1,1.4,'D523',74),(917,'eget metus maecenas','eget metus maecenas',0,1,1.6333,'E235325252',85),(918,'elit donec sed','elit donec sed',0,1,1.4667,'E43523',77),(919,'elit etiam','elit etiam',0,1,1.3333,'E435',144),(920,'elit etiam porta','elit etiam porta',0,1,1.5333,'E435163',76),(921,'elit fusce','elit fusce',0,1,1.3333,'E4312',262),(922,'elit fusce dapibus','elit fusce dapibus',0,1,1.6,'E4312312',259),(923,'elit lorem','elit lorem',0,1,1.3333,'E43465',72),(924,'elit lorem ipsum','elit lorem ipsum',0,1,1.5333,'E43465125',72),(925,'elit nullam','elit nullam',0,1,1.3667,'E43545',132),(926,'elit nullam id','elit nullam id',0,1,1.4667,'E435453',132),(927,'elit sed','elit sed',0,1,1.2667,'E4323',275),(928,'elit sed posuere','elit sed posuere',0,1,1.5333,'E4323126',251),(929,'et aenean','et aenean',0,1,1.3,'E350',75),(930,'et aenean lacinia','et aenean lacinia',0,1,1.5667,'E35425',72),(931,'et praesent','et praesent',0,1,1.3667,'E316253',27),(932,'et praesent commodo','et praesent commodo',0,1,1.6333,'E316253253',27),(933,'euismod vivamus','euismod vivamus',0,1,1.5,'E253152',200),(934,'euismod vivamus sagittis','euismod vivamus sagittis',0,1,1.8,'E25315232',200),(935,'id elit lorem','id elit lorem',0,1,1.4333,'I343465',72),(936,'id elit nullam','id elit nullam',0,1,1.4667,'I343545',96),(937,'is','is',0,0,0.1333,'I200',418),(938,'is over','is over',0,1,1.2333,'I216',2),(939,'jets','jets',0,0,0.2667,'J320',2),(940,'jets locker','jets locker',0,1,1.3667,'J32426',2),(941,'jets locker room','jets locker room',0,1,1.5333,'J324265',2),(942,'jets\'','jets',0,0,0.3333,'J320',2),(943,'jets\' locker','jets locker',0,1,1.4,'J32426',2),(944,'jets\' locker room','jets locker room',0,1,1.5667,'J324265',2),(945,'ladainian','ladainian',0,0,0.6,'L350',2),(946,'ladainian tomlinson','ladainian tomlinson',0,1,1.6333,'L35354525',2),(947,'ladainian tomlinson said','ladainian tomlinson said',0,1,1.8,'L3535452523',2),(948,'locker','locker',0,0,0.4,'L260',2),(949,'locker room','locker room',0,1,1.3667,'L265',2),(950,'locker room turmoil','locker room turmoil',0,1,1.6333,'L2653654',2),(951,'magna fusce','magna fusce',0,1,1.3667,'M2512',76),(952,'magna fusce dapibus','magna fusce dapibus',0,1,1.6333,'M2512312',76),(953,'magna maecenas sed','magna maecenas sed',0,1,1.6,'M252523',72),(954,'metus maecenas','metus maecenas',0,1,1.4667,'M325252',85),(955,'metus maecenas sed','metus maecenas sed',0,1,1.6,'M3252523',85),(956,'mollis euismod vivamus','mollis euismod vivamus',0,1,1.7333,'M4253152',200),(957,'nec elit aenean','nec elit aenean',0,1,1.5,'N2435',105),(958,'nec elit etiam','nec elit etiam',0,1,1.4667,'N2435',72),(959,'nec elit fusce','nec elit fusce',0,1,1.4667,'N24312',256),(960,'non magna fusce','non magna fusce',0,1,1.5,'N2512',76),(961,'odio dui donec','odio dui donec',0,1,1.4667,'O352',74),(962,'over','over',0,0,0.2667,'O160',13),(963,'risus duis','risus duis',0,1,1.3333,'R232',72),(964,'risus duis mollis','risus duis mollis',0,1,1.5667,'R232542',72),(965,'risus lorem','risus lorem',0,1,1.3667,'R2465',77),(966,'risus lorem ipsum','risus lorem ipsum',0,1,1.5667,'R2465125',77),(967,'room','room',0,0,0.2667,'R500',3),(968,'room turmoil','room turmoil',0,1,1.4,'R53654',2),(969,'room turmoil is','room turmoil is',0,1,1.5,'R536542',2),(970,'said','said',0,0,0.2667,'S300',7),(971,'said the','said the',0,1,1.2667,'S300',2),(972,'said the jets','said the jets',0,1,1.4333,'S3232',2),(973,'said the jets\'','said the jets',0,1,1.4667,'S3232',2),(974,'sed consectetur duis','sed consectetur duis',0,1,1.6667,'S32523632',247),(975,'the jets','the jets',0,1,1.2667,'T232',2),(976,'the jets locker','the jets locker',0,1,1.5,'T232426',2),(977,'the jets\'','the jets',0,1,1.3,'T232',2),(978,'the jets\' locker','the jets locker',0,1,1.5333,'T232426',2),(979,'tomlinson','tomlinson',0,0,0.6,'T54525',3),(980,'tomlinson said','tomlinson said',0,1,1.4667,'T5452523',2),(981,'tomlinson said the','tomlinson said the',0,1,1.6,'T5452523',2),(982,'turmoil','turmoil',0,0,0.4667,'T654',2),(983,'turmoil is','turmoil is',0,1,1.3333,'T6542',2),(984,'turmoil is over','turmoil is over',0,1,1.5,'T654216',2),(985,'velit aliquet lorem','velit aliquet lorem',0,1,1.6333,'V43423465',25),(986,'venenatis vestibulum praesent','venenatis vestibulum praesent',0,1,1.9667,'V53212314516253',72),(987,'vestibulum praesent','vestibulum praesent',0,1,1.6333,'V2314516253',72),(988,'vestibulum praesent commodo','vestibulum praesent commodo',0,1,1.9,'V2314516253253',72),(989,'78','78',0,0,0.2,'',27),(990,'aliquet aenean eu','aliquet aenean eu',0,1,1.5667,'A4235',47),(991,'aliquet curabitur','aliquet curabitur',0,1,1.5667,'A42326136',47),(992,'aliquet curabitur blandit','aliquet curabitur blandit',0,1,1.8333,'A423261361453',47),(993,'antrel','antrel',0,0,0.4,'A5364',2),(994,'antrel rolle','antrel rolle',0,1,1.4,'A536464',2),(995,'antrel rolle was','antrel rolle was',0,1,1.5333,'A5364642',2),(996,'bowl safety','bowl safety',0,1,1.3667,'B4213',2),(997,'bowl safety antrel','bowl safety antrel',0,1,1.6,'B42135364',2),(998,'by','by',0,0,0.1333,'B000',128),(999,'by the','by the',0,1,1.2,'B300',6),(1000,'by the cardinals','by the cardinals',0,1,1.5333,'B3263542',2),(1001,'cardinals','cardinals',0,0,0.6,'C63542',2),(1002,'cardinals yesterday','cardinals yesterday',0,1,1.6333,'C63542363',2),(1003,'cut','cut',0,0,0.2,'C300',2),(1004,'cut by','cut by',0,1,1.2,'C310',2),(1005,'cut by the','cut by the',0,1,1.3333,'C313',2),(1006,'eu leo integer','eu leo integer',0,1,1.4667,'E45326',47),(1007,'interdum nulla','interdum nulla',0,1,1.4667,'I536354',47),(1008,'interdum nulla vitae','interdum nulla vitae',0,1,1.6667,'I53635413',47),(1009,'leo integer','leo integer',0,1,1.3667,'L5326',47),(1010,'leo integer posuere','leo integer posuere',0,1,1.6333,'L5326126',47),(1011,'mollis interdum nulla','mollis interdum nulla',0,1,1.7,'M42536354',47),(1012,'porttitor integer','porttitor integer',0,1,1.5667,'P6365326',47),(1013,'porttitor integer posuere','porttitor integer posuere',0,1,1.8333,'P6365326126',47),(1014,'pro bowl safety','pro bowl safety',0,1,1.5,'P614213',2),(1015,'rolle','rolle',0,0,0.3333,'R400',2),(1016,'rolle was','rolle was',0,1,1.3,'R420',2),(1017,'rolle was cut','rolle was cut',0,1,1.4333,'R423',2),(1018,'safety','safety',0,0,0.4,'S130',2),(1019,'safety antrel','safety antrel',0,1,1.4333,'S135364',2),(1020,'safety antrel rolle','safety antrel rolle',0,1,1.6333,'S13536464',2),(1021,'tempus porttitor integer','tempus porttitor integer',0,1,1.8,'T51216365326',47),(1022,'the cardinals','the cardinals',0,1,1.4333,'T263542',2),(1023,'the cardinals yesterday','the cardinals yesterday',0,1,1.7667,'T263542363',2),(1024,'velit aliquet curabitur','velit aliquet curabitur',0,1,1.7667,'V4342326136',47),(1025,'venenatis vestibulum maecenas','venenatis vestibulum maecenas',0,1,1.9667,'V532123145252',51),(1026,'vestibulum maecenas','vestibulum maecenas',0,1,1.6333,'V23145252',51),(1027,'vestibulum maecenas faucibus','vestibulum maecenas faucibus',0,1,1.9333,'V231452521212',47),(1028,'was cut','was cut',0,1,1.2333,'W230',2),(1029,'was cut by','was cut by',0,1,1.3333,'W231',2),(1030,'yesterday','yesterday',0,0,0.6,'Y2363',2),(1031,'88','88',0,0,0.2,'',7),(1032,'adipiscing elit nullam','adipiscing elit nullam',0,1,1.7333,'A3125243545',27),(1033,'amet risus cum','amet risus cum',0,1,1.4667,'A53625',24),(1034,'demo','demo',0,0,0.2667,'D500',293),(1035,'demo subcategory','demo subcategory',0,1,1.5333,'D5212326',57),(1036,'demo subcategory i','demo subcategory i',0,1,1.6,'D5212326',24),(1037,'eget metus vivamus','eget metus vivamus',0,1,1.6,'E23532152',29),(1038,'elit cum','elit cum',0,1,1.2667,'E4325',57),(1039,'elit cum sociis','elit cum sociis',0,1,1.5,'E43252',57),(1040,'elit nullam quis','elit nullam quis',0,1,1.5333,'E435452',24),(1041,'euismod fusce','euismod fusce',0,1,1.4333,'E25312',24),(1042,'euismod fusce dapibus','euismod fusce dapibus',0,1,1.7,'E25312312',24),(1043,'euismod vestibulum','euismod vestibulum',0,1,1.6,'E253123145',24),(1044,'euismod vestibulum id','euismod vestibulum id',0,1,1.7,'E2531231453',24),(1045,'i','i',0,0,0.0667,'I000',260),(1046,'id elit cum','id elit cum',0,1,1.3667,'I34325',57),(1047,'jon','jon',0,0,0.2,'J500',1),(1048,'jon kitna','jon kitna',0,1,1.3,'J5235',1),(1049,'kitna','kitna',0,0,0.3333,'K350',1),(1050,'metus vivamus','metus vivamus',0,1,1.4333,'M32152',29),(1051,'metus vivamus sagittis','metus vivamus sagittis',0,1,1.7333,'M3215232',27),(1052,'mike','mike',0,0,0.2667,'M200',1),(1053,'mike williams','mike williams',0,1,1.4333,'M2452',1),(1054,'mike williams sets','mike williams sets',0,1,1.6,'M245232',1),(1055,'mollis euismod fusce','mollis euismod fusce',0,1,1.6667,'M425312',24),(1056,'mollis euismod vestibulum','mollis euismod vestibulum',0,1,1.8333,'M4253123145',24),(1057,'mus fusce','mus fusce',0,1,1.3,'M212',24),(1058,'mus fusce dapibus','mus fusce dapibus',0,1,1.5667,'M212312',24),(1059,'mus lorem','mus lorem',0,1,1.3,'M2465',28),(1060,'mus lorem ipsum','mus lorem ipsum',0,1,1.5,'M2465125',28),(1061,'mus nullam','mus nullam',0,1,1.3333,'M2545',24),(1062,'mus nullam id','mus nullam id',0,1,1.4333,'M25453',24),(1063,'porttitor etiam','porttitor etiam',0,1,1.5,'P63635',57),(1064,'porttitor etiam porta','porttitor etiam porta',0,1,1.7,'P63635163',57),(1065,'receiver','receiver',0,0,0.5333,'R216',1),(1066,'receiver mike','receiver mike',0,1,1.4333,'R21652',1),(1067,'receiver mike williams','receiver mike williams',0,1,1.7333,'R21652452',1),(1068,'ridiculus mus fusce','ridiculus mus fusce',0,1,1.6333,'R32425212',24),(1069,'ridiculus mus lorem','ridiculus mus lorem',0,1,1.6333,'R324252465',28),(1070,'ridiculus mus nullam','ridiculus mus nullam',0,1,1.6667,'R324252545',24),(1071,'risus cum','risus cum',0,1,1.3,'R250',24),(1072,'risus cum sociis','risus cum sociis',0,1,1.5333,'R252',24),(1073,'sets','sets',0,0,0.2667,'S320',5),(1074,'sets with','sets with',0,1,1.3,'S323',1),(1075,'sets with jon','sets with jon',0,1,1.4333,'S32325',1),(1076,'subcategory','subcategory',0,0,0.7333,'S12326',71),(1077,'subcategory i','subcategory i',0,1,1.4333,'S12326',32),(1078,'tempus porttitor etiam','tempus porttitor etiam',0,1,1.7333,'T512163635',57),(1079,'williams','williams',0,0,0.5333,'W452',9),(1080,'williams sets','williams sets',0,1,1.4333,'W45232',1),(1081,'williams sets with','williams sets with',0,1,1.6,'W452323',1),(1082,'with jon','with jon',0,1,1.2667,'W325',1),(1083,'with jon kitna','with jon kitna',0,1,1.4667,'W325235',1),(1084,'79','79',0,0,0.2,'',26),(1085,'bound','bound',0,0,0.3333,'B530',6),(1086,'bound for','bound for',0,1,1.3,'B5316',2),(1087,'bound for buccaneers','bound for buccaneers',0,1,1.6667,'B531612562',2),(1088,'buccaneers','buccaneers',0,0,0.6667,'B2562',2),(1089,'for','for',0,0,0.2,'F600',485),(1090,'for buccaneers','for buccaneers',0,1,1.4667,'F612562',2),(1091,'giants','giants',0,0,0.4,'G532',2),(1092,'giants manningham','giants manningham',0,1,1.5667,'G532525',2),(1093,'giants manningham bound','giants manningham bound',0,1,1.7667,'G532525153',2),(1094,'giants\'','giants',0,0,0.4667,'G532',2),(1095,'giants\' manningham','giants manningham',0,1,1.6,'G532525',2),(1096,'giants\' manningham bound','giants manningham bound',0,1,1.8,'G532525153',2),(1097,'manningham','manningham',0,0,0.6667,'M250',2),(1098,'manningham bound','manningham bound',0,1,1.5333,'M25153',2),(1099,'manningham bound for','manningham bound for',0,1,1.6667,'M2515316',2),(1100,'ny','ny',0,0,0.1333,'N000',2),(1101,'ny giants','ny giants',0,1,1.3,'N2532',2),(1102,'ny giants manningham','ny giants manningham',0,1,1.6667,'N2532525',2),(1103,'ny giants\'','ny giants',0,1,1.3333,'N2532',2),(1104,'ny giants\' manningham','ny giants manningham',0,1,1.7,'N2532525',2),(1105,'80','80',0,0,0.2,'',10),(1106,'bills','bills',0,0,0.3333,'B420',8),(1107,'bounties','bounties',0,0,0.5333,'B532',8),(1108,'bounties with','bounties with',0,1,1.4333,'B5323',8),(1109,'bounties with redskins','bounties with redskins',0,1,1.7333,'B532363252',8),(1110,'offered','offered',0,0,0.4667,'O163',16),(1111,'offered bounties','offered bounties',0,1,1.5333,'O1631532',8),(1112,'offered bounties with','offered bounties with',0,1,1.7,'O16315323',8),(1113,'redskins','redskins',0,0,0.5333,'R3252',8),(1114,'redskins bills','redskins bills',0,1,1.4667,'R3252142',8),(1115,'williams offered','williams offered',0,1,1.5333,'W452163',8),(1116,'williams offered bounties','williams offered bounties',0,1,1.8333,'W4521631532',8),(1117,'with redskins','with redskins',0,1,1.4333,'W363252',8),(1118,'with redskins bills','with redskins bills',0,1,1.6333,'W363252142',8),(1119,'90','90',0,0,0.2,'',12),(1120,'at eros sed','at eros sed',0,1,1.3667,'A3623',33),(1121,'at lobortis duis','at lobortis duis',0,1,1.5333,'A34163232',33),(1122,'auctor fringilla maecenas','auctor fringilla maecenas',0,1,1.8333,'A236165245252',33),(1123,'auctor fringilla nulla','auctor fringilla nulla',0,1,1.7333,'A2361652454',37),(1124,'augue morbi','augue morbi',0,1,1.3667,'A2561',33),(1125,'augue morbi leo','augue morbi leo',0,1,1.5,'A25614',33),(1126,'browns','browns',0,0,0.4,'B652',1),(1127,'browns room','browns room',0,1,1.3667,'B65265',1),(1128,'browns\'','browns',0,0,0.4667,'B652',1),(1129,'browns\' room','browns room',0,1,1.4,'B65265',1),(1130,'delhomme','delhomme',0,0,0.5333,'D450',1),(1131,'delhomme increases','delhomme increases',0,1,1.6,'D45262',1),(1132,'delhomme increases the','delhomme increases the',0,1,1.7333,'D452623',1),(1133,'demo subcategory ii','demo subcategory ii',0,1,1.6333,'D5212326',33),(1134,'dui curabitur','dui curabitur',0,1,1.4333,'D26136',33),(1135,'dui curabitur blandit','dui curabitur blandit',0,1,1.7,'D261361453',33),(1136,'elit aenean eu','elit aenean eu',0,1,1.4667,'E435',40),(1137,'elit curabitur','elit curabitur',0,1,1.4667,'E4326136',33),(1138,'elit curabitur blandit','elit curabitur blandit',0,1,1.7333,'E43261361453',33),(1139,'eros sed','eros sed',0,1,1.2667,'E623',102),(1140,'eros sed posuere','eros sed posuere',0,1,1.5333,'E623126',33),(1141,'euismod duis','euismod duis',0,1,1.4,'E2532',33),(1142,'euismod duis mollis','euismod duis mollis',0,1,1.6333,'E2532542',33),(1143,'fringilla maecenas','fringilla maecenas',0,1,1.6,'F65245252',33),(1144,'fringilla maecenas faucibus','fringilla maecenas faucibus',0,1,1.9,'F652452521212',33),(1145,'fringilla nulla','fringilla nulla',0,1,1.5,'F652454',37),(1146,'fringilla nulla vitae','fringilla nulla vitae',0,1,1.7,'F65245413',37),(1147,'ii','ii',0,0,0.1333,'I000',94),(1148,'increases','increases',0,0,0.6,'I5262',1),(1149,'increases the','increases the',0,1,1.4333,'I52623',1),(1150,'increases the browns','increases the browns',0,1,1.6667,'I526231652',1),(1151,'increases the browns\'','increases the browns',0,1,1.7,'I526231652',1),(1152,'interdum etiam','interdum etiam',0,1,1.4667,'I5363535',208),(1153,'interdum etiam porta','interdum etiam porta',0,1,1.6667,'I5363535163',208),(1154,'jake','jake',0,0,0.2667,'J000',1),(1155,'jake delhomme','jake delhomme',0,1,1.4333,'J345',1),(1156,'jake delhomme increases','jake delhomme increases',0,1,1.7667,'J345262',1),(1157,'lobortis duis','lobortis duis',0,1,1.4333,'L163232',33),(1158,'lobortis duis mollis','lobortis duis mollis',0,1,1.6667,'L163232542',33),(1159,'mollis euismod duis','mollis euismod duis',0,1,1.6333,'M42532',33),(1160,'mollis interdum etiam','mollis interdum etiam',0,1,1.7,'M425363535',208),(1161,'nec elit curabitur','nec elit curabitur',0,1,1.6,'N24326136',33),(1162,'nec elit nullam','nec elit nullam',0,1,1.5,'N243545',33),(1163,'odio dui curabitur','odio dui curabitur',0,1,1.6,'O326136',33),(1164,'pharetra augue morbi','pharetra augue morbi',0,1,1.6667,'P6362561',33),(1165,'porttitor donec','porttitor donec',0,1,1.5,'P636352',215),(1166,'porttitor donec sed','porttitor donec sed',0,1,1.6333,'P6363523',33),(1167,'quarterback','quarterback',0,0,0.7333,'Q63612',67),(1168,'quarterback jake','quarterback jake',0,1,1.5333,'Q63612',1),(1169,'quarterback jake delhomme','quarterback jake delhomme',0,1,1.8333,'Q63612345',1),(1170,'risus donec ullamcorper','risus donec ullamcorper',0,1,1.7667,'R2352452616',33),(1171,'subcategory ii','subcategory ii',0,1,1.4667,'S12326',39),(1172,'tempus porttitor donec','tempus porttitor donec',0,1,1.7333,'T5121636352',215),(1173,'the browns','the browns',0,1,1.3333,'T1652',1),(1174,'the browns room','the browns room',0,1,1.5,'T165265',1),(1175,'the browns\'','the browns',0,1,1.3667,'T1652',1),(1176,'the browns\' room','the browns room',0,1,1.5333,'T165265',1),(1177,'\'bounty\'','bounty',0,0,0.5333,'B530',1),(1178,'\'bounty\' system','bounty system',0,1,1.5,'B53235',1),(1179,'\'bounty\' system \'part','bounty system part',0,1,1.7,'B53235163',1),(1180,'\'part','part',0,0,0.3333,'P630',1),(1181,'\'part of','part of',0,1,1.2667,'P631',1),(1182,'\'part of the','part of the',0,1,1.4,'P6313',1),(1183,'81','81',0,0,0.2,'',17),(1184,'bounty','bounty',0,0,0.4,'B530',1),(1185,'bounty system','bounty system',0,1,1.4333,'B53235',1),(1186,'bounty system part','bounty system part',0,1,1.6,'B53235163',1),(1187,'game\'','game',0,0,0.3333,'G500',1),(1188,'of the game','of the game',0,1,1.3667,'O1325',1),(1189,'of the game\'','of the game',0,1,1.4,'O1325',1),(1190,'part','part',0,0,0.2667,'P630',73),(1191,'part of','part of',0,1,1.2333,'P631',69),(1192,'part of the','part of the',0,1,1.3667,'P6313',69),(1193,'system','system',0,0,0.4,'S350',7),(1194,'system \'part','system part',0,1,1.4,'S35163',1),(1195,'system \'part of','system part of',0,1,1.5,'S351631',1),(1196,'system part','system part',0,1,1.3667,'S35163',1),(1197,'system part of','system part of',0,1,1.4667,'S351631',1),(1198,'the game','the game',0,1,1.2667,'T250',12),(1199,'the game\'','the game',0,1,1.3,'T250',1),(1200,'tomlinson \'bounty\'','tomlinson bounty',0,1,1.6,'T54525153',1),(1201,'tomlinson \'bounty\' system','tomlinson bounty system',0,1,1.8333,'T54525153235',1),(1202,'tomlinson bounty','tomlinson bounty',0,1,1.5333,'T54525153',1),(1203,'tomlinson bounty system','tomlinson bounty system',0,1,1.7667,'T54525153235',1),(1204,'91','91',0,0,0.2,'',13),(1205,'a corey','a corey',0,1,1.2333,'A260',1),(1206,'a corey graham','a corey graham',0,1,1.4667,'A26265',1),(1207,'by a','by a',0,1,1.1333,'B000',1),(1208,'by a corey','by a corey',0,1,1.3333,'B260',1),(1209,'corey','corey',0,0,0.3333,'C600',1),(1210,'corey graham','corey graham',0,1,1.4,'C6265',1),(1211,'corey graham tackle','corey graham tackle',0,1,1.6333,'C6265324',1),(1212,'excellent','excellent',0,0,0.6,'E2453',1),(1213,'excellent field','excellent field',0,1,1.5,'E2453143',1),(1214,'excellent field position','excellent field position',0,1,1.8,'E24531431235',1),(1215,'field','field',0,0,0.3333,'F430',1),(1216,'field position','field position',0,1,1.4667,'F431235',1),(1217,'field position by','field position by',0,1,1.5667,'F4312351',1),(1218,'graham','graham',0,0,0.4,'G650',1),(1219,'graham tackle','graham tackle',0,1,1.4333,'G65324',1),(1220,'position','position',0,0,0.5333,'P235',85),(1221,'position by','position by',0,1,1.3667,'P2351',1),(1222,'position by a','position by a',0,1,1.4333,'P2351',1),(1223,'tackle','tackle',0,0,0.4,'T240',1),(1224,'82','82',0,0,0.2,'',27),(1225,'brees','brees',0,0,0.3333,'B620',2),(1226,'brees exclusive','brees exclusive',0,1,1.5,'B62421',2),(1227,'brees exclusive rights','brees exclusive rights',0,1,1.7333,'B624216232',2),(1228,'brees exclusive-rights','brees exclusive-rights',0,1,1.7333,'B624216232',2),(1229,'brees exclusive-rights franchise','brees exclusive-rights franchise',0,1,2,'B6242162321652',2),(1230,'exclusive','exclusive',0,0,0.6,'E2421',2),(1231,'exclusive rights','exclusive rights',0,1,1.5333,'E24216232',2),(1232,'exclusive rights franchise','exclusive rights franchise',0,1,1.8667,'E242162321652',2),(1233,'exclusive-rights','exclusive-rights',0,0,1,'E24216232',2),(1234,'exclusive-rights franchise','exclusive-rights franchise',0,1,1.8667,'E242162321652',2),(1235,'exclusive-rights franchise tag','exclusive-rights franchise tag',0,1,2,'E24216232165232',2),(1236,'franchise','franchise',0,0,0.6,'F652',4),(1237,'franchise tag','franchise tag',0,1,1.4333,'F65232',2),(1238,'give','give',0,0,0.2667,'G100',7),(1239,'give brees','give brees',0,1,1.3333,'G162',2),(1240,'give brees exclusive','give brees exclusive',0,1,1.6667,'G162421',2),(1241,'give brees exclusive-rights','give brees exclusive-rights',0,1,1.9,'G1624216232',2),(1242,'rights','rights',0,0,0.4,'R232',2),(1243,'rights franchise','rights franchise',0,1,1.5333,'R2321652',2),(1244,'rights franchise tag','rights franchise tag',0,1,1.6667,'R232165232',2),(1245,'saints give','saints give',0,1,1.3667,'S5321',2),(1246,'saints give brees','saints give brees',0,1,1.5667,'S532162',2),(1247,'tag','tag',0,0,0.2,'T200',54),(1248,'83','83',0,0,0.2,'',25),(1249,'don\'t','don',0,0,0.3333,'D530',2),(1250,'don\'t miss','don miss',0,1,1.3333,'D5352',2),(1251,'don\'t miss tomorrow','don miss tomorrow',0,1,1.6333,'D5352356',2),(1252,'dont','dont',0,0,0.2667,'D530',3),(1253,'dont miss','dont miss',0,1,1.3,'D5352',2),(1254,'dont miss tomorrow','dont miss tomorrow',0,1,1.6,'D5352356',2),(1255,'fast','fast',0,0,0.2667,'F230',2),(1256,'fast willie','fast willie',0,1,1.3667,'F234',2),(1257,'mic','mic',0,0,0.2,'M200',2),(1258,'mic with','mic with',0,1,1.2667,'M230',2),(1259,'mic with fast','mic with fast',0,1,1.4333,'M23123',2),(1260,'miss','miss',0,0,0.2667,'M200',2),(1261,'miss tomorrow','miss tomorrow',0,1,1.4333,'M2356',2),(1262,'miss tomorrow open','miss tomorrow open',0,1,1.6,'M235615',2),(1263,'open mic','open mic',0,1,1.2667,'O152',2),(1264,'open mic with','open mic with',0,1,1.4333,'O1523',2),(1265,'tomorrow','tomorrow',0,0,0.5333,'T560',4),(1266,'tomorrow open','tomorrow open',0,1,1.4333,'T5615',2),(1267,'tomorrow open mic','tomorrow open mic',0,1,1.5667,'T56152',2),(1268,'willie','willie',0,0,0.4,'W400',9),(1269,'with fast','with fast',0,1,1.3,'W3123',2),(1270,'with fast willie','with fast willie',0,1,1.5333,'W31234',2),(1271,'89','89',0,0,0.2,'',9),(1272,'remained','remained',0,0,0.5333,'R530',1),(1273,'remained unbeaten','remained unbeaten',0,1,1.5667,'R535135',1),(1274,'remained unbeaten this','remained unbeaten this',0,1,1.7333,'R53513532',1),(1275,'season','season',0,0,0.4,'S500',52),(1276,'this','this',0,0,0.2667,'T200',373),(1277,'this season','this season',0,1,1.3667,'T250',3),(1278,'unbeaten','unbeaten',0,0,0.5333,'U5135',1),(1279,'unbeaten this','unbeaten this',0,1,1.4333,'U513532',1),(1280,'unbeaten this season','unbeaten this season',0,1,1.6667,'U5135325',1),(1281,'vince','vince',0,0,0.3333,'V520',1),(1282,'vince young','vince young',0,1,1.3667,'V5252',1),(1283,'vince young remained','vince young remained',0,1,1.6667,'V5252653',1),(1284,'young','young',0,0,0.3333,'Y520',10),(1285,'young remained','young remained',0,1,1.4667,'Y52653',1),(1286,'young remained unbeaten','young remained unbeaten',0,1,1.7667,'Y526535135',1),(1287,'84','84',0,0,0.2,'',30),(1288,'at games','at games',0,1,1.2667,'A3252',2),(1289,'fujita','fujita',0,0,0.4,'F230',2),(1290,'fujita wants','fujita wants',0,1,1.4,'F23532',2),(1291,'fujita wants full','fujita wants full',0,1,1.5667,'F2353214',2),(1292,'full','full',0,0,0.2667,'F400',47),(1293,'full time','full time',0,1,1.3,'F435',2),(1294,'full time neurologists','full time neurologists',0,1,1.7333,'F43564232',2),(1295,'games','games',0,0,0.3333,'G520',25),(1296,'neurologists','neurologists',0,0,0.8,'N64232',2),(1297,'neurologists at','neurologists at',0,1,1.5,'N642323',2),(1298,'neurologists at games','neurologists at games',0,1,1.7,'N642323252',2),(1299,'scotts','scotts',0,0,0.4,'S320',2),(1300,'scotts fujita','scotts fujita',0,1,1.4333,'S32123',2),(1301,'scotts fujita wants','scotts fujita wants',0,1,1.6333,'S32123532',2),(1302,'time','time',0,0,0.2667,'T500',224),(1303,'time neurologists','time neurologists',0,1,1.5667,'T564232',2),(1304,'time neurologists at','time neurologists at',0,1,1.6667,'T5642323',2),(1305,'wants','wants',0,0,0.3333,'W532',2),(1306,'wants full','wants full',0,1,1.3333,'W53214',2),(1307,'wants full time','wants full time',0,1,1.5,'W5321435',2),(1308,'145','145',0,0,0.3,'',4),(1309,'145 yards','145 yards',0,1,1.3,'Y632',2),(1310,'145 yards and','145 yards and',0,1,1.4333,'Y63253',2),(1311,'85','85',0,0,0.2,'',35),(1312,'and one','and one',0,1,1.2333,'A535',2),(1313,'and one touchdown','and one touchdown',0,1,1.5667,'A5353235',2),(1314,'clinton','clinton',0,0,0.4667,'C4535',2),(1315,'clinton portis','clinton portis',0,1,1.4667,'C45351632',2),(1316,'clinton portis ran','clinton portis ran',0,1,1.6,'C4535163265',2),(1317,'for 145','for 145',0,1,1.2333,'F600',2),(1318,'for 145 yards','for 145 yards',0,1,1.4333,'F632',2),(1319,'one','one',0,0,0.2,'O500',233),(1320,'one touchdown','one touchdown',0,1,1.4333,'O53235',2),(1321,'portis','portis',0,0,0.4,'P632',2),(1322,'portis ran','portis ran',0,1,1.3333,'P63265',2),(1323,'portis ran for','portis ran for',0,1,1.4667,'P6326516',2),(1324,'ran','ran',0,0,0.2,'R500',2),(1325,'ran for','ran for',0,1,1.2333,'R516',2),(1326,'ran for 145','ran for 145',0,1,1.3667,'R516',2),(1327,'yards','yards',0,0,0.3333,'Y632',2),(1328,'yards and','yards and',0,1,1.3,'Y63253',2),(1329,'yards and one','yards and one',0,1,1.4333,'Y632535',2),(1330,'86','86',0,0,0.2,'',66),(1331,'chad','chad',0,0,0.2667,'C300',66),(1332,'chad henne','chad henne',0,1,1.3333,'C350',2),(1333,'chad henne from','chad henne from',0,1,1.5,'C35165',2),(1334,'chad interdum','chad interdum',0,1,1.4333,'C353635',66),(1335,'chad interdum morbi','chad interdum morbi',0,1,1.6333,'C35363561',66),(1336,'deep','deep',0,0,0.2667,'D100',72),(1337,'deep this','deep this',0,1,1.3,'D132',66),(1338,'deep this offseason','deep this offseason',0,1,1.6333,'D132125',66),(1339,'dolphins','dolphins',0,0,0.5333,'D4152',66),(1340,'dolphins starting','dolphins starting',0,1,1.5667,'D415236352',66),(1341,'dolphins starting quarterback','dolphins starting quarterback',0,1,1.9667,'D41523635263612',66),(1342,'five','five',0,0,0.2667,'F000',4),(1343,'five landing','five landing',0,1,1.4,'F45352',2),(1344,'five landing spots','five landing spots',0,1,1.6,'F45352132',2),(1345,'for chad','for chad',0,1,1.2667,'F623',2),(1346,'for chad henne','for chad henne',0,1,1.4667,'F6235',2),(1347,'for starting','for starting',0,1,1.4,'F6236352',66),(1348,'for starting quarterbacks','for starting quarterbacks',0,1,1.8333,'F623635263612',66),(1349,'former','former',0,0,0.4,'F656',70),(1350,'former miami','former miami',0,1,1.4,'F6565',66),(1351,'former miami dolphins','former miami dolphins',0,1,1.7,'F656534152',66),(1352,'from','from',0,0,0.2667,'F650',235),(1353,'from miami','from miami',0,1,1.3333,'F650',2),(1354,'from miami dolphins','from miami dolphins',0,1,1.6333,'F6534152',2),(1355,'henne','henne',0,0,0.3333,'H500',2),(1356,'henne from','henne from',0,1,1.3333,'H5165',2),(1357,'henne from miami','henne from miami',0,1,1.5333,'H5165',2),(1358,'isn\'t','isn',0,0,0.3333,'I253',66),(1359,'isn\'t very','isn very',0,1,1.3333,'I25316',66),(1360,'isn\'t very deep','isn very deep',0,1,1.5,'I2531631',66),(1361,'landing','landing',0,0,0.4667,'L5352',29),(1362,'landing spots','landing spots',0,1,1.4333,'L5352132',2),(1363,'landing spots for','landing spots for',0,1,1.5667,'L535213216',2),(1364,'market','market',0,0,0.4,'M623',80),(1365,'market for','market for',0,1,1.3333,'M62316',66),(1366,'market for starting','market for starting',0,1,1.6333,'M62316236352',66),(1367,'means','means',0,0,0.3333,'M200',70),(1368,'means soon-to-be','means soon-to-be',0,1,1.5333,'M2531',66),(1369,'means soon-to-be former','means soon-to-be former',0,1,1.7667,'M2531656',66),(1370,'miami','miami',0,0,0.3333,'M000',66),(1371,'miami dolphins','miami dolphins',0,1,1.4667,'M34152',66),(1372,'miami dolphins starting','miami dolphins starting',0,1,1.7667,'M3415236352',66),(1373,'offseason','offseason',0,0,0.6,'O125',66),(1374,'offseason that','offseason that',0,1,1.4667,'O1253',66),(1375,'offseason that means','offseason that means',0,1,1.6667,'O125352',66),(1376,'quarterback chad','quarterback chad',0,1,1.5333,'Q636123',66),(1377,'quarterback chad interdum','quarterback chad interdum',0,1,1.8333,'Q63612353635',66),(1378,'quarterbacks','quarterbacks',0,0,0.8,'Q63612',66),(1379,'quarterbacks isn\'t','quarterbacks isn',0,1,1.6,'Q6361253',66),(1380,'quarterbacks isn\'t very','quarterbacks isn very',0,1,1.7667,'Q636125316',66),(1381,'soon-to-be','soon-to-be',0,0,0.6667,'S531',66),(1382,'soon-to-be former','soon-to-be former',0,1,1.5667,'S531656',66),(1383,'soon-to-be former miami','soon-to-be former miami',0,1,1.7667,'S5316565',66),(1384,'spots','spots',0,0,0.3333,'S132',2),(1385,'spots for','spots for',0,1,1.3,'S13216',2),(1386,'spots for chad','spots for chad',0,1,1.4667,'S1321623',2),(1387,'starting','starting',0,0,0.5333,'S36352',71),(1388,'starting quarterback','starting quarterback',0,1,1.6667,'S3635263612',66),(1389,'starting quarterback chad','starting quarterback chad',0,1,1.8333,'S36352636123',66),(1390,'starting quarterbacks','starting quarterbacks',0,1,1.7,'S3635263612',66),(1391,'starting quarterbacks isn\'t','starting quarterbacks isn',0,1,1.9,'S363526361253',66),(1392,'that','that',0,0,0.2667,'T000',123),(1393,'that means','that means',0,1,1.3333,'T520',66),(1394,'that means soon-to-be','that means soon-to-be',0,1,1.7,'T52531',66),(1395,'the market','the market',0,1,1.3333,'T5623',74),(1396,'the market for','the market for',0,1,1.4667,'T562316',66),(1397,'this offseason','this offseason',0,1,1.4667,'T2125',66),(1398,'this offseason that','this offseason that',0,1,1.6333,'T21253',66),(1399,'very','very',0,0,0.2667,'V600',108),(1400,'very deep','very deep',0,1,1.3,'V631',66),(1401,'very deep this','very deep this',0,1,1.4667,'V63132',66),(1402,'87','87',0,0,0.2,'',36),(1403,'a new','a new',0,1,1.1667,'A500',20),(1404,'a new coach','a new coach',0,1,1.3667,'A520',2),(1405,'coach this','coach this',0,1,1.3333,'C320',2),(1406,'coach this season','coach this season',0,1,1.5667,'C325',2),(1407,'davis','davis',0,0,0.3333,'D120',2),(1408,'davis will','davis will',0,1,1.3333,'D124',2),(1409,'davis will have','davis will have',0,1,1.5,'D1241',2),(1410,'have','have',0,0,0.2667,'H100',272),(1411,'have a','have a',0,1,1.2,'H100',70),(1412,'have a new','have a new',0,1,1.3333,'H150',2),(1413,'new coach','new coach',0,1,1.3,'N200',2),(1414,'new coach this','new coach this',0,1,1.4667,'N232',2),(1415,'vernon','vernon',0,0,0.4,'V650',2),(1416,'vernon davis','vernon davis',0,1,1.4,'V65312',2),(1417,'vernon davis will','vernon davis will',0,1,1.5667,'V653124',2),(1418,'will have','will have',0,1,1.3,'W410',2),(1419,'will have a','will have a',0,1,1.3667,'W410',2),(1420,'2','2',0,0,0.1,'',185),(1421,'category','category',0,0,0.5333,'C326',62),(1422,'uncategorised','uncategorised',0,0,0.8667,'U5232623',8),(1423,'3','3',0,0,0.1,'',137),(1424,'4','4',0,0,0.1,'',129),(1425,'5','5',0,0,0.1,'',70),(1426,'6','6',0,0,0.1,'',63),(1427,'7','7',0,0,0.1,'',15),(1428,'articles','articles',0,0,0.5333,'A63242',128),(1429,'template','template',0,0,0.5333,'T5143',234),(1430,'template articles','template articles',0,1,1.5667,'T514363242',128),(1431,'8','8',0,0,0.1,'',53),(1432,'menu','menu',0,0,0.2667,'M000',13),(1433,'menu types','menu types',0,1,1.3333,'M312',10),(1434,'types','types',0,0,0.3333,'T120',14),(1435,'9','9',0,0,0.1,'',17),(1436,'layouts','layouts',0,0,0.4667,'L320',15),(1437,'10','10',0,0,0.2,'',38),(1438,'category description','category description',0,1,1.6667,'C326326135',2),(1439,'category i','category i',0,1,1.3333,'C326',2),(1440,'description','description',0,0,0.7333,'D26135',3),(1441,'sample','sample',0,0,0.4,'S514',73),(1442,'sample category','sample category',0,1,1.5,'S5142326',27),(1443,'sample category i','sample category i',0,1,1.5667,'S5142326',2),(1444,'11','11',0,0,0.2,'',8),(1445,'category ii','category ii',0,1,1.3667,'C326',25),(1446,'sample category description','sample category description',0,1,1.9,'S5142326326135',1),(1447,'sample category ii','sample category ii',0,1,1.6,'S5142326',25),(1448,'12','12',0,0,0.2,'',8),(1449,'category with','category with',0,1,1.4333,'C3263',1),(1450,'category with joomla','category with joomla',0,1,1.6667,'C3263254',1),(1451,'joomla','joomla',0,0,0.4,'J540',137),(1452,'joomla links','joomla links',0,1,1.4,'J5452',1),(1453,'joomla weblink','joomla weblink',0,1,1.4667,'J541452',1),(1454,'joomla weblink category','joomla weblink category',0,1,1.7667,'J541452326',1),(1455,'links','links',0,0,0.3333,'L520',14),(1456,'simple','simple',0,0,0.4,'S514',34),(1457,'simple category','simple category',0,1,1.5,'S5142326',1),(1458,'simple category with','simple category with',0,1,1.6667,'S51423263',1),(1459,'weblink','weblink',0,0,0.4667,'W1452',1),(1460,'weblink category','weblink category',0,1,1.5333,'W1452326',1),(1461,'with joomla','with joomla',0,1,1.3667,'W3254',1),(1462,'with joomla links','with joomla links',0,1,1.5667,'W325452',1),(1463,'13','13',0,0,0.2,'',6),(1464,'gavick','gavick',0,0,0.4,'G120',72),(1465,'gavickpro','gavickpro',0,0,0.6,'G1216',8),(1466,'14','14',0,0,0.2,'',9),(1467,'15','15',0,0,0.2,'',6),(1468,'32','32',0,0,0.2,'',2),(1469,'amet risus aenean','amet risus aenean',0,1,1.5667,'A53625',1),(1470,'augue aenean','augue aenean',0,1,1.4,'A250',8),(1471,'augue aenean eu','augue aenean eu',0,1,1.5,'A250',1),(1472,'content','content',0,0,0.4667,'C5353',299),(1473,'demo content','demo content',0,1,1.4,'D525353',219),(1474,'euismod nulla','euismod nulla',0,1,1.4333,'E25354',1),(1475,'euismod nulla vitae','euismod nulla vitae',0,1,1.6333,'E2535413',1),(1476,'mollis euismod nulla','mollis euismod nulla',0,1,1.6667,'M425354',1),(1477,'pharetra augue aenean','pharetra augue aenean',0,1,1.7,'P63625',8),(1478,'risus aenean','risus aenean',0,1,1.4,'R250',1),(1479,'risus aenean lacinia','risus aenean lacinia',0,1,1.6667,'R25425',1),(1480,'1','1',0,0,0.1,'',159),(1481,'33','33',0,0,0.2,'',1),(1482,'subcategory 1','subcategory 1',0,1,1.4333,'S12326',1),(1483,'34','34',0,0,0.2,'',1),(1484,'subcategory 2','subcategory 2',0,1,1.4333,'S12326',1),(1485,'35','35',0,0,0.2,'',1),(1486,'25','25',0,0,0.2,'',21),(1487,'25 cromwell','25 cromwell',0,1,1.3667,'C654',18),(1488,'25 cromwell st','25 cromwell st',0,1,1.4667,'C65423',18),(1489,'3146','3146',0,0,0.4,'',17),(1490,'3146 australia','3146 australia',0,1,1.4667,'A2364',17),(1491,'australia','australia',0,0,0.6,'A2364',18),(1492,'b','b',0,0,0.0667,'B000',18),(1493,'b s','b s',0,1,1.1,'B200',18),(1494,'b s sound','b s sound',0,1,1.3,'B253',18),(1495,'com','com',0,0,0.2,'C500',52),(1496,'contact','contact',0,0,0.4667,'C5323',26),(1497,'cromwell','cromwell',0,0,0.5333,'C654',18),(1498,'cromwell st','cromwell st',0,1,1.3667,'C65423',18),(1499,'cromwell st glen','cromwell st glen',0,1,1.5333,'C65423245',18),(1500,'glen','glen',0,0,0.2667,'G450',18),(1501,'glen iris','glen iris',0,1,1.3,'G4562',18),(1502,'glen iris victoria','glen iris victoria',0,1,1.6,'G45621236',17),(1503,'iris','iris',0,0,0.2667,'I620',18),(1504,'iris victoria','iris victoria',0,1,1.4333,'I621236',17),(1505,'iris victoria 3146','iris victoria 3146',0,1,1.6,'I621236',17),(1506,'joomla user','joomla user',0,1,1.3667,'J5426',1),(1507,'s','s',0,0,0.0667,'S000',179),(1508,'s sound','s sound',0,1,1.2333,'S530',18),(1509,'s sound 25','s sound 25',0,1,1.3333,'S530',18),(1510,'sound','sound',0,0,0.3333,'S530',18),(1511,'sound 25','sound 25',0,1,1.2667,'S530',18),(1512,'sound 25 cromwell','sound 25 cromwell',0,1,1.5667,'S532654',18),(1513,'st','st',0,0,0.1333,'S300',18),(1514,'st glen','st glen',0,1,1.2333,'S3245',18),(1515,'st glen iris','st glen iris',0,1,1.4,'S324562',18),(1516,'test','test',0,0,0.2667,'T230',24),(1517,'test com','test com',0,1,1.2667,'T2325',24),(1518,'test test','test test',0,1,1.3,'T2323',24),(1519,'test test com','test test com',0,1,1.4333,'T232325',24),(1520,'victoria','victoria',0,0,0.5333,'V236',18),(1521,'victoria 3146','victoria 3146',0,1,1.4333,'V236',17),(1522,'victoria 3146 australia','victoria 3146 australia',0,1,1.7667,'V2362364',17),(1523,'+49','+49',0,0,0.3,'',1),(1524,'+49 5241','+49 5241',0,1,1.2667,'',1),(1525,'+49 5241 80-0','+49 5241 80-0',0,1,1.4333,'',1),(1526,'00','00',0,0,0.2,'',1),(1527,'00-000','00-000',0,0,0.6,'',1),(1528,'5241','5241',0,0,0.4,'',1),(1529,'5241 80-0','5241 80-0',0,1,1.3,'',1),(1530,'5241 80-0 00','5241 80-0 00',0,1,1.4,'',1),(1531,'80-0','80-0',0,0,0.4,'',1),(1532,'80-0 00','80-0 00',0,1,1.2333,'',1),(1533,'address','address',0,0,0.4667,'A362',6),(1534,'adipiscing elit nam','adipiscing elit nam',0,1,1.6333,'A31252435',5),(1535,'aliquet eros','aliquet eros',0,1,1.4,'A42362',1),(1536,'aliquet eros in','aliquet eros in',0,1,1.5,'A423625',1),(1537,'amet sed','amet sed',0,1,1.2667,'A5323',1),(1538,'amet sed turpis','amet sed turpis',0,1,1.5,'A5323612',1),(1539,'commodo porttitor','commodo porttitor',0,1,1.5667,'C531636',1),(1540,'commodo porttitor nam','commodo porttitor nam',0,1,1.7,'C5316365',1),(1541,'eget nisl','eget nisl',0,1,1.3,'E23524',1),(1542,'eget nisl eros','eget nisl eros',0,1,1.4667,'E2352462',1),(1543,'elit nam','elit nam',0,1,1.2667,'E435',5),(1544,'elit nam eget','elit nam eget',0,1,1.4333,'E43523',1),(1545,'enim','enim',0,0,0.2667,'E500',407),(1546,'enim ornare','enim ornare',0,1,1.3667,'E5656',1),(1547,'enim ornare varius','enim ornare varius',0,1,1.6,'E5656162',1),(1548,'erat commodo','erat commodo',0,1,1.4,'E63253',1),(1549,'erat commodo porttitor','erat commodo porttitor',0,1,1.7333,'E632531636',1),(1550,'eros in','eros in',0,1,1.2333,'E625',5),(1551,'eros in erat','eros in erat',0,1,1.4,'E62563',1),(1552,'eros suspendisse','eros suspendisse',0,1,1.5333,'E621532',1),(1553,'eros suspendisse non','eros suspendisse non',0,1,1.6667,'E6215325',1),(1554,'et tortor','et tortor',0,1,1.3,'E3636',3),(1555,'et tortor non','et tortor non',0,1,1.4333,'E36365',1),(1556,'in erat','in erat',0,1,1.2333,'I563',1),(1557,'in erat commodo','in erat commodo',0,1,1.5,'I563253',1),(1558,'leo suspendisse','leo suspendisse',0,1,1.5,'L21532',1),(1559,'leo suspendisse aliquet','leo suspendisse aliquet',0,1,1.7667,'L21532423',1),(1560,'mail','mail',0,0,0.2667,'M400',1),(1561,'mail com','mail com',0,1,1.2667,'M425',1),(1562,'nam','nam',0,0,0.2,'N000',92),(1563,'nam eget','nam eget',0,1,1.2667,'N230',1),(1564,'nam eget nisl','nam eget nisl',0,1,1.4333,'N23524',1),(1565,'nam et','nam et',0,1,1.2,'N300',1),(1566,'nam et tortor','nam et tortor',0,1,1.4333,'N3636',1),(1567,'nisl eros','nisl eros',0,1,1.3,'N2462',1),(1568,'nisl eros suspendisse','nisl eros suspendisse',0,1,1.7,'N24621532',1),(1569,'non enim','non enim',0,1,1.2667,'N000',1),(1570,'non enim ornare','non enim ornare',0,1,1.5,'N656',1),(1571,'non sem','non sem',0,1,1.2333,'N250',129),(1572,'non sem leo','non sem leo',0,1,1.3667,'N254',1),(1573,'ornare varius','ornare varius',0,1,1.4333,'O656162',1),(1574,'ornare varius sit','ornare varius sit',0,1,1.5667,'O6561623',1),(1575,'our','our',0,0,0.2,'O600',70),(1576,'our address','our address',0,1,1.3667,'O6362',1),(1577,'porttitor nam','porttitor nam',0,1,1.4333,'P6365',1),(1578,'porttitor nam et','porttitor nam et',0,1,1.5333,'P63653',1),(1579,'sample mail','sample mail',0,1,1.3667,'S51454',1),(1580,'sample mail com','sample mail com',0,1,1.5,'S5145425',1),(1581,'sed turpis','sed turpis',0,1,1.3333,'S3612',1),(1582,'sed turpis lorem','sed turpis lorem',0,1,1.5333,'S3612465',1),(1583,'sem leo','sem leo',0,1,1.2333,'S540',1),(1584,'sem leo suspendisse','sem leo suspendisse',0,1,1.6333,'S5421532',1),(1585,'sit amet sed','sit amet sed',0,1,1.4,'S35323',1),(1586,'suspendisse','suspendisse',0,0,0.7333,'S1532',59),(1587,'suspendisse aliquet','suspendisse aliquet',0,1,1.6333,'S1532423',1),(1588,'suspendisse aliquet eros','suspendisse aliquet eros',0,1,1.8,'S153242362',1),(1589,'suspendisse non','suspendisse non',0,1,1.5,'S15325',1),(1590,'suspendisse non sem','suspendisse non sem',0,1,1.6333,'S1532525',1),(1591,'tortor non','tortor non',0,1,1.3333,'T6365',1),(1592,'tortor non enim','tortor non enim',0,1,1.5,'T6365',1),(1593,'turpis','turpis',0,0,0.4,'T612',174),(1594,'turpis lorem','turpis lorem',0,1,1.4,'T612465',1),(1595,'turpis lorem ipsum','turpis lorem ipsum',0,1,1.6,'T612465125',1),(1596,'varius sit','varius sit',0,1,1.3333,'V623',1),(1597,'varius sit amet','varius sit amet',0,1,1.5,'V62353',1),(1598,'01','01',0,0,0.2,'',79),(1599,'01 lorem','01 lorem',0,1,1.2667,'L650',68),(1600,'01 lorem ipsum','01 lorem ipsum',0,1,1.4667,'L65125',68),(1601,'02','02',0,0,0.2,'',79),(1602,'02 lorem','02 lorem',0,1,1.2667,'L650',68),(1603,'02 lorem ipsum','02 lorem ipsum',0,1,1.4667,'L65125',68),(1604,'03','03',0,0,0.2,'',32),(1605,'03 lorem','03 lorem',0,1,1.2667,'L650',21),(1606,'03 lorem ipsum','03 lorem ipsum',0,1,1.4667,'L65125',21),(1607,'1 lorem','1 lorem',0,1,1.2333,'L650',44),(1608,'1 lorem ipsum','1 lorem ipsum',0,1,1.4333,'L65125',44),(1609,'1 this','1 this',0,1,1.2,'T200',42),(1610,'1 this is','1 this is',0,1,1.3,'T200',42),(1611,'2 cras','2 cras',0,1,1.2,'C620',44),(1612,'2 cras diam','2 cras diam',0,1,1.3667,'C6235',44),(1613,'3 vivamus','3 vivamus',0,1,1.3,'V520',44),(1614,'3 vivamus rhoncus','3 vivamus rhoncus',0,1,1.5667,'V52652',44),(1615,'4 proin','4 proin',0,1,1.2333,'P650',44),(1616,'4 proin urna','4 proin urna',0,1,1.4,'P6565',44),(1617,'a a','a a',0,1,1.1,'A000',45),(1618,'a a href','a a href',0,1,1.2667,'A610',31),(1619,'a better','a better',0,1,1.2667,'A136',72),(1620,'a better way','a better way',0,1,1.4,'A136',72),(1621,'a classic','a classic',0,1,1.3,'A242',43),(1622,'a classic this','a classic this',0,1,1.4667,'A24232',42),(1623,'a css','a css',0,1,1.1667,'A200',43),(1624,'a css tooltip','a css tooltip',0,1,1.4333,'A23431',43),(1625,'a headline','a headline',0,1,1.3333,'A345',43),(1626,'a headline this','a headline this',0,1,1.5,'A34532',43),(1627,'a highlight','a highlight',0,1,1.3667,'A2423',68),(1628,'a highlight phrase','a highlight phrase',0,1,1.6,'A2423162',68),(1629,'a href','a href',0,1,1.2,'A610',34),(1630,'a href class','a href class',0,1,1.4,'A61242',26),(1631,'a large','a large',0,1,1.2333,'A462',43),(1632,'a large headline','a large headline',0,1,1.5333,'A462345',43),(1633,'a locationplus','a locationplus',0,1,1.4667,'A4235142',28),(1634,'a locationplus cd','a locationplus cd',0,1,1.5667,'A42351423',28),(1635,'a lorem','a lorem',0,1,1.2333,'A465',21),(1636,'a lorem praesent','a lorem praesent',0,1,1.5333,'A46516253',16),(1637,'a malesuada','a malesuada',0,1,1.3667,'A5423',69),(1638,'a malesuada felis','a malesuada felis',0,1,1.5667,'A5423142',69),(1639,'a mollis','a mollis',0,1,1.2667,'A542',44),(1640,'a mollis nunc','a mollis nunc',0,1,1.4333,'A54252',44),(1641,'a number','a number',0,1,1.2667,'A516',68),(1642,'a number span','a number span',0,1,1.4333,'A516215',68),(1643,'a package','a package',0,1,1.3,'A120',68),(1644,'a package with','a package with',0,1,1.4667,'A123',68),(1645,'a plug','a plug',0,1,1.2,'A142',68),(1646,'a plug in','a plug in',0,1,1.3,'A1425',68),(1647,'a sample','a sample',0,1,1.2667,'A2514',46),(1648,'a sample book','a sample book',0,1,1.4333,'A251412',29),(1649,'a sample bulb','a sample bulb',0,1,1.4333,'A2514141',28),(1650,'a sample error','a sample error',0,1,1.4667,'A25146',21),(1651,'a sample file1','a sample file1',0,1,1.4667,'A251414',29),(1652,'a sample flash','a sample flash',0,1,1.4667,'A2514142',28),(1653,'a sample graph','a sample graph',0,1,1.4667,'A2514261',28),(1654,'a sample kfile2','a sample kfile2',0,1,1.5,'A2514214',29),(1655,'a sample location','a sample location',0,1,1.5667,'A2514235',29),(1656,'a sample locationminus','a sample locationminus',0,1,1.7333,'A25142352',28),(1657,'a sample map','a sample map',0,1,1.4,'A251451',29),(1658,'a sample nav','a sample nav',0,1,1.4,'A251451',25),(1659,'a sample of','a sample of',0,1,1.3667,'A25141',46),(1660,'a sample ribbon','a sample ribbon',0,1,1.5,'A2514615',28),(1661,'a sample search','a sample search',0,1,1.5,'A2514262',28),(1662,'a sample star','a sample star',0,1,1.4333,'A2514236',28),(1663,'a sample stats','a sample stats',0,1,1.4667,'A2514232',29),(1664,'a sample tag','a sample tag',0,1,1.4,'A251432',29),(1665,'a sample text','a sample text',0,1,1.4333,'A2514323',43),(1666,'a sample tick','a sample tick',0,1,1.4333,'A251432',28),(1667,'a sample zoom','a sample zoom',0,1,1.4333,'A251425',28),(1668,'a small','a small',0,1,1.2333,'A254',43),(1669,'a small headline','a small headline',0,1,1.5333,'A254345',43),(1670,'a subheadline','a subheadline',0,1,1.4333,'A21345',43),(1671,'a subheadline use','a subheadline use',0,1,1.5667,'A213452',43),(1672,'a template','a template',0,1,1.3333,'A35143',68),(1673,'a template or','a template or',0,1,1.4333,'A351436',68),(1674,'a typography','a typography',0,1,1.4,'A31261',68),(1675,'a typography page','a typography page',0,1,1.5667,'A312612',68),(1676,'abbr','abbr',0,0,0.2667,'A160',43),(1677,'abbr dropcaps','abbr dropcaps',0,1,1.4333,'A16361212',42),(1678,'abbr dropcaps t','abbr dropcaps t',0,1,1.5,'A163612123',42),(1679,'abbr this','abbr this',0,1,1.3,'A1632',43),(1680,'abbr this is','abbr this is',0,1,1.4,'A1632',43),(1681,'abbr title','abbr title',0,1,1.3333,'A1634',43),(1682,'abbr title here','abbr title here',0,1,1.5,'A16346',43),(1683,'abbreviation','abbreviation',0,0,0.8,'A16135',43),(1684,'abbreviation abbr','abbreviation abbr',0,1,1.5667,'A1613516',43),(1685,'abbreviation abbr this','abbreviation abbr this',0,1,1.7333,'A161351632',43),(1686,'abbrs','abbrs',0,0,0.3333,'A162',43),(1687,'abbrs and','abbrs and',0,1,1.3,'A16253',43),(1688,'abbrs and acronyms','abbrs and acronyms',0,1,1.6,'A162532652',43),(1689,'ac dui','ac dui',0,1,1.2,'A230',44),(1690,'ac dui sed','ac dui sed',0,1,1.3333,'A2323',21),(1691,'ac eros','ac eros',0,1,1.2333,'A262',44),(1692,'ac eros tempor','ac eros tempor',0,1,1.4667,'A2623516',44),(1693,'ac mollis','ac mollis',0,1,1.3,'A2542',44),(1694,'ac mollis pretium','ac mollis pretium',0,1,1.5667,'A25421635',44),(1695,'ac morbi','ac morbi',0,1,1.2667,'A2561',68),(1696,'ac morbi quis','ac morbi quis',0,1,1.4333,'A25612',68),(1697,'ac scelerisque','ac scelerisque',0,1,1.4667,'A2462',2),(1698,'ac scelerisque vel','ac scelerisque vel',0,1,1.6,'A246214',2),(1699,'ac sem','ac sem',0,1,1.2,'A250',44),(1700,'ac sem sed','ac sem sed',0,1,1.3333,'A2523',44),(1701,'accumsan','accumsan',0,0,0.5333,'A2525',231),(1702,'accumsan at','accumsan at',0,1,1.3667,'A25253',48),(1703,'accumsan at purus','accumsan at purus',0,1,1.5667,'A25253162',44),(1704,'accumsan this','accumsan this',0,1,1.4333,'A252532',21),(1705,'accumsan this is','accumsan this is',0,1,1.5333,'A252532',21),(1706,'acronym','acronym',0,0,0.4667,'A265',43),(1707,'acronym abbr','acronym abbr',0,1,1.4,'A26516',43),(1708,'acronym abbr dropcaps','acronym abbr dropcaps',0,1,1.7,'A26516361212',42),(1709,'acronym nato','acronym nato',0,1,1.4,'A2653',43),(1710,'acronym nato use','acronym nato use',0,1,1.5333,'A26532',43),(1711,'acronym title','acronym title',0,1,1.4333,'A26534',43),(1712,'acronym title here','acronym title here',0,1,1.6,'A265346',43),(1713,'acronyms','acronyms',0,0,0.5333,'A2652',43),(1714,'acronyms this','acronyms this',0,1,1.4333,'A265232',43),(1715,'acronyms this is','acronyms this is',0,1,1.5333,'A265232',43),(1716,'additional','additional',0,0,0.6667,'A354',64),(1717,'additional typography','additional typography',0,1,1.7,'A35431261',30),(1718,'additional typography elements','additional typography elements',0,1,2,'A354312614532',30),(1719,'adipiscing elit etiam','adipiscing elit etiam',0,1,1.7,'A31252435',72),(1720,'adipiscing elit in','adipiscing elit in',0,1,1.6,'A31252435',2),(1721,'adipiscing elit integer','adipiscing elit integer',0,1,1.7667,'A31252435326',44),(1722,'adipiscing elit this','adipiscing elit this',0,1,1.6667,'A31252432',21),(1723,'adipiscing elit use','adipiscing elit use',0,1,1.6333,'A31252432',68),(1724,'adipiscing elit vestibulum','adipiscing elit vestibulum',0,1,1.8667,'A3125243123145',68),(1725,'adipiscing justo','adipiscing justo',0,1,1.5333,'A312523',69),(1726,'adipiscing justo sit','adipiscing justo sit',0,1,1.6667,'A31252323',69),(1727,'adipiscing velit','adipiscing velit',0,1,1.5333,'A31252143',44),(1728,'adipiscing velit ac','adipiscing velit ac',0,1,1.6333,'A312521432',44),(1729,'aenean venenatis','aenean venenatis',0,1,1.5333,'A51532',25),(1730,'aenean venenatis aliquet','aenean venenatis aliquet',0,1,1.8,'A51532423',21),(1731,'aliquam','aliquam',0,0,0.4667,'A425',985),(1732,'aliquam laoreet','aliquam laoreet',0,1,1.5,'A425463',68),(1733,'aliquam laoreet enim','aliquam laoreet enim',0,1,1.6667,'A4254635',68),(1734,'aliquam nibh','aliquam nibh',0,1,1.4,'A4251',69),(1735,'aliquam nibh mattis','aliquam nibh mattis',0,1,1.6333,'A4251532',69),(1736,'aliquam rhoncus','aliquam rhoncus',0,1,1.5,'A425652',69),(1737,'aliquam rhoncus enim','aliquam rhoncus enim',0,1,1.6667,'A4256525',69),(1738,'aliquam ullamcorper','aliquam ullamcorper',0,1,1.6333,'A425452616',149),(1739,'aliquam ullamcorper use','aliquam ullamcorper use',0,1,1.7667,'A4254526162',21),(1740,'aliquam use','aliquam use',0,1,1.3667,'A4252',21),(1741,'aliquam use p','aliquam use p',0,1,1.4333,'A42521',21),(1742,'aliquam ut','aliquam ut',0,1,1.3333,'A4253',68),(1743,'aliquam ut consequat','aliquam ut consequat',0,1,1.6667,'A42532523',68),(1744,'aliquam varius','aliquam varius',0,1,1.4667,'A425162',44),(1745,'aliquam varius placerat','aliquam varius placerat',0,1,1.7667,'A42516214263',44),(1746,'aliquet euismod','aliquet euismod',0,1,1.5,'A423253',21),(1747,'aliquet euismod nam','aliquet euismod nam',0,1,1.6333,'A4232535',21),(1748,'aliquet nec','aliquet nec',0,1,1.3667,'A42352',2),(1749,'aliquet nec tellus','aliquet nec tellus',0,1,1.6,'A42352342',2),(1750,'aliquet turpis','aliquet turpis',0,1,1.4667,'A423612',21),(1751,'aliquet turpis in','aliquet turpis in',0,1,1.5667,'A4236125',21),(1752,'amet 01','amet 01',0,1,1.2333,'A530',21),(1753,'amet 01 lorem','amet 01 lorem',0,1,1.4333,'A53465',21),(1754,'amet 02','amet 02',0,1,1.2333,'A530',21),(1755,'amet 02 lorem','amet 02 lorem',0,1,1.4333,'A53465',21),(1756,'amet 03','amet 03',0,1,1.2333,'A530',21),(1757,'amet 03 lorem','amet 03 lorem',0,1,1.4333,'A53465',21),(1758,'amet condimentum','amet condimentum',0,1,1.5333,'A53253535',69),(1759,'amet condimentum urna','amet condimentum urna',0,1,1.7,'A5325353565',69),(1760,'amet consectetuer','amet consectetuer',0,1,1.5667,'A5325236',68),(1761,'amet consectetuer adipiscing','amet consectetuer adipiscing',0,1,1.9333,'A532523631252',68),(1762,'amet est','amet est',0,1,1.2667,'A5323',44),(1763,'amet est tristique','amet est tristique',0,1,1.6,'A53236232',44),(1764,'amet lorem','amet lorem',0,1,1.3333,'A53465',68),(1765,'amet lorem ipsum','amet lorem ipsum',0,1,1.5333,'A53465125',68),(1766,'amet ol','amet ol',0,1,1.2333,'A534',43),(1767,'amet ol class','amet ol class',0,1,1.4333,'A534242',43),(1768,'amet ordered','amet ordered',0,1,1.4,'A536363',43),(1769,'amet ordered lists','amet ordered lists',0,1,1.6,'A5363634232',43),(1770,'amet p','amet p',0,1,1.2,'A531',22),(1771,'amet p class','amet p class',0,1,1.4,'A531242',21),(1772,'amet pellentesque','amet pellentesque',0,1,1.5667,'A5314532',34),(1773,'amet pellentesque pharetra','amet pellentesque pharetra',0,1,1.8667,'A53145321636',34),(1774,'amet ul','amet ul',0,1,1.2333,'A534',68),(1775,'amet ul class','amet ul class',0,1,1.4333,'A534242',68),(1776,'amet use','amet use',0,1,1.2667,'A532',68),(1777,'amet use blockquote','amet use blockquote',0,1,1.6333,'A5321423',68),(1778,'an','an',0,0,0.1333,'A500',126),(1779,'an abbreviation','an abbreviation',0,1,1.5,'A516135',43),(1780,'an abbreviation abbr','an abbreviation abbr',0,1,1.6667,'A51613516',43),(1781,'an acronym','an acronym',0,1,1.3333,'A5265',43),(1782,'an acronym abbr','an acronym abbr',0,1,1.5,'A526516',35),(1783,'an acronym nato','an acronym nato',0,1,1.5,'A52653',43),(1784,'an example','an example',0,1,1.3333,'A52514',43),(1785,'an example of','an example of',0,1,1.4333,'A525141',43),(1786,'anchor','anchor',0,0,0.4,'A526',24),(1787,'anchor elements','anchor elements',0,1,1.5,'A5264532',24),(1788,'anchor elements facebook','anchor elements facebook',0,1,1.8,'A52645321212',24),(1789,'and acronyms','and acronyms',0,1,1.4,'A532652',43),(1790,'and acronyms this','and acronyms this',0,1,1.5667,'A53265232',43),(1791,'and anchor','and anchor',0,1,1.3333,'A53526',24),(1792,'and anchor elements','and anchor elements',0,1,1.6333,'A535264532',24),(1793,'and here','and here',0,1,1.2667,'A536',68),(1794,'and here text','and here text',0,1,1.4333,'A536323',68),(1795,'and produce','and produce',0,1,1.3667,'A531632',43),(1796,'and produce your','and produce your',0,1,1.5333,'A5316326',43),(1797,'and refreshed','and refreshed',0,1,1.4333,'A5361623',68),(1798,'and refreshed typographical','and refreshed typographical',0,1,1.9,'A5361623126124',68),(1799,'and warning','and warning',0,1,1.3667,'A53652',41),(1800,'and warning warning','and warning warning',0,1,1.6333,'A53652652',37),(1801,'ante ac','ante ac',0,1,1.2333,'A532',44),(1802,'ante ac dui','ante ac dui',0,1,1.3667,'A5323',44),(1803,'ante felis','ante felis',0,1,1.3333,'A53142',68),(1804,'ante felis aliquam','ante felis aliquam',0,1,1.6,'A53142425',68),(1805,'arcu','arcu',0,0,0.2667,'A620',53),(1806,'arcu sit','arcu sit',0,1,1.2667,'A623',47),(1807,'arcu sit amet','arcu sit amet',0,1,1.4333,'A62353',47),(1808,'are','are',0,0,0.2,'A600',257),(1809,'are some','are some',0,1,1.2667,'A625',43),(1810,'are some examples','are some examples',0,1,1.5667,'A62525142',43),(1811,'article','article',0,0,0.4667,'A6324',377),(1812,'aspects','aspects',0,0,0.4667,'A21232',68),(1813,'aspects of','aspects of',0,1,1.3333,'A212321',68),(1814,'aspects of gavern','aspects of gavern',0,1,1.5667,'A2123212165',68),(1815,'at accumsan','at accumsan',0,1,1.3667,'A32525',48),(1816,'at accumsan at','at accumsan at',0,1,1.4667,'A325253',44),(1817,'at euismod','at euismod',0,1,1.3333,'A3253',44),(1818,'at euismod rutrum','at euismod rutrum',0,1,1.5667,'A32536365',44),(1819,'at purus','at purus',0,1,1.2667,'A3162',44),(1820,'at purus donec','at purus donec',0,1,1.4667,'A3162352',44),(1821,'auctor et','auctor et',0,1,1.3,'A2363',44),(1822,'auctor et quisque','auctor et quisque',0,1,1.5667,'A23632',44),(1823,'augue donec ante','augue donec ante',0,1,1.5333,'A235253',68),(1824,'augue donec eget','augue donec eget',0,1,1.5333,'A23523',68),(1825,'augue duis','augue duis',0,1,1.3333,'A232',179),(1826,'augue duis quis','augue duis quis',0,1,1.5,'A232',68),(1827,'augue id','augue id',0,1,1.2667,'A230',47),(1828,'augue id fringilla','augue id fringilla',0,1,1.6,'A2316524',44),(1829,'augue non','augue non',0,1,1.3,'A250',48),(1830,'augue non posuere','augue non posuere',0,1,1.5667,'A25126',44),(1831,'author','author',0,0,0.4,'A360',68),(1832,'author name','author name',0,1,1.3667,'A365',68),(1833,'author name cite','author name cite',0,1,1.5333,'A36523',68),(1834,'below','below',0,0,0.3333,'B400',71),(1835,'below we','below we',0,1,1.2667,'B400',68),(1836,'below we present','below we present',0,1,1.5333,'B416253',68),(1837,'better','better',0,0,0.4,'B360',82),(1838,'better way','better way',0,1,1.3333,'B360',72),(1839,'better way below','better way below',0,1,1.5333,'B3614',68),(1840,'blandit elit','blandit elit',0,1,1.4,'B45343',47),(1841,'blandit elit at','blandit elit at',0,1,1.5,'B45343',44),(1842,'blandit purus','blandit purus',0,1,1.4333,'B453162',68),(1843,'blandit purus vitae','blandit purus vitae',0,1,1.6333,'B45316213',68),(1844,'blandit urna','blandit urna',0,1,1.4,'B45365',69),(1845,'blandit urna sodales','blandit urna sodales',0,1,1.6667,'B453652342',69),(1846,'block','block',0,0,0.3333,'B420',69),(1847,'block of','block of',0,1,1.2667,'B421',68),(1848,'block of text','block of text',0,1,1.4333,'B421323',68),(1849,'block use','block use',0,1,1.3,'B420',68),(1850,'block use div','block use div',0,1,1.4333,'B4231',68),(1851,'block use pre','block use pre',0,1,1.4333,'B4216',60),(1852,'blockquote','blockquote',0,0,0.6667,'B423',69),(1853,'blockquote div','blockquote div',0,1,1.4667,'B4231',68),(1854,'blockquote div class','blockquote div class',0,1,1.6667,'B4231242',68),(1855,'blockquote floated','blockquote floated',0,1,1.6,'B423143',68),(1856,'blockquote floated blocks','blockquote floated blocks',0,1,1.8333,'B423143142',68),(1857,'blockquote lorem','blockquote lorem',0,1,1.5333,'B423465',68),(1858,'blockquote lorem ipsum','blockquote lorem ipsum',0,1,1.7333,'B423465125',68),(1859,'blockquotes','blockquotes',0,0,0.7333,'B4232',68),(1860,'blockquotes lorem','blockquotes lorem',0,1,1.5667,'B4232465',68),(1861,'blockquotes lorem ipsum','blockquotes lorem ipsum',0,1,1.7667,'B4232465125',68),(1862,'blocks','blocks',0,0,0.4,'B420',68),(1863,'blocks lorem','blocks lorem',0,1,1.4,'B42465',58),(1864,'blocks lorem ipsum','blocks lorem ipsum',0,1,1.6,'B42465125',58),(1865,'blocks p','blocks p',0,1,1.2667,'B421',68),(1866,'blocks p here','blocks p here',0,1,1.4333,'B4216',68),(1867,'book','book',0,0,0.2667,'B200',52),(1868,'book message','book message',0,1,1.4,'B252',52),(1869,'book message use','book message use',0,1,1.5333,'B252',52),(1870,'bubble-1','bubble-1',0,0,0.5333,'B400',68),(1871,'bubble-1 content','bubble-1 content',0,1,1.5333,'B425353',68),(1872,'bubble-1 content here','bubble-1 content here',0,1,1.7,'B4253536',68),(1873,'bubble-2','bubble-2',0,0,0.5333,'B400',32),(1874,'bubble-2 content','bubble-2 content',0,1,1.5333,'B425353',32),(1875,'bubble-2 content here','bubble-2 content here',0,1,1.7,'B4253536',32),(1876,'bubble-3','bubble-3',0,0,0.5333,'B400',43),(1877,'bubble-3 content','bubble-3 content',0,1,1.5333,'B425353',43),(1878,'bubble-3 content here','bubble-3 content here',0,1,1.7,'B4253536',43),(1879,'bubble-4','bubble-4',0,0,0.5333,'B400',7),(1880,'bubble-4 content','bubble-4 content',0,1,1.5333,'B425353',7),(1881,'bubble-4 content here','bubble-4 content here',0,1,1.7,'B4253536',7),(1882,'bubble-5','bubble-5',0,0,0.5333,'B400',43),(1883,'bubble-5 content','bubble-5 content',0,1,1.5333,'B425353',43),(1884,'bubble-5 content here','bubble-5 content here',0,1,1.7,'B4253536',43),(1885,'bubble-6','bubble-6',0,0,0.5333,'B400',7),(1886,'bubble-6 content','bubble-6 content',0,1,1.5333,'B425353',7),(1887,'bubble-6 content here','bubble-6 content here',0,1,1.7,'B4253536',7),(1888,'bubbles','bubbles',0,0,0.4667,'B420',68),(1889,'bubbles lorem','bubbles lorem',0,1,1.4333,'B42465',68),(1890,'bubbles lorem ipsum','bubbles lorem ipsum',0,1,1.6333,'B42465125',68),(1891,'bulb','bulb',0,0,0.2667,'B410',28),(1892,'bulb message','bulb message',0,1,1.4,'B4152',28),(1893,'bulb message use','bulb message use',0,1,1.5333,'B4152',28),(1894,'by using','by using',0,1,1.2667,'B252',25),(1895,'by using simple','by using simple',0,1,1.5,'B252514',24),(1896,'can','can',0,0,0.2,'C500',131),(1897,'can create','can create',0,1,1.3333,'C5263',32),(1898,'can create social','can create social',0,1,1.5667,'C526324',24),(1899,'can do','can do',0,1,1.2,'C530',43),(1900,'can do so','can do so',0,1,1.3,'C532',43),(1901,'can do using','can do using',0,1,1.4,'C53252',43),(1902,'can use','can use',0,1,1.2333,'C520',78),(1903,'can use e','can use e',0,1,1.3,'C520',68),(1904,'cd','cd',0,0,0.1333,'C300',28),(1905,'cd message','cd message',0,1,1.3333,'C352',28),(1906,'cd message use','cd message use',0,1,1.4667,'C352',28),(1907,'cite','cite',0,0,0.2667,'C300',68),(1908,'cite author','cite author',0,1,1.3667,'C360',68),(1909,'cite author name','cite author name',0,1,1.5333,'C365',68),(1910,'cite div','cite div',0,1,1.2667,'C310',68),(1911,'cite div robert','cite div robert',0,1,1.5,'C316163',68),(1912,'class','class',0,0,0.3333,'C420',90),(1913,'class bubble-1','class bubble-1',0,1,1.4667,'C4214',68),(1914,'class bubble-1 content','class bubble-1 content',0,1,1.7333,'C421425353',68),(1915,'class bubble-2','class bubble-2',0,1,1.4667,'C4214',32),(1916,'class bubble-2 content','class bubble-2 content',0,1,1.7333,'C421425353',32),(1917,'class bubble-3','class bubble-3',0,1,1.4667,'C4214',43),(1918,'class bubble-3 content','class bubble-3 content',0,1,1.7333,'C421425353',43),(1919,'class bubble-4','class bubble-4',0,1,1.4667,'C4214',7),(1920,'class bubble-4 content','class bubble-4 content',0,1,1.7333,'C421425353',7),(1921,'class bubble-5','class bubble-5',0,1,1.4667,'C4214',43),(1922,'class bubble-5 content','class bubble-5 content',0,1,1.7333,'C421425353',43),(1923,'class bubble-6','class bubble-6',0,1,1.4667,'C4214',7),(1924,'class bubble-6 content','class bubble-6 content',0,1,1.7333,'C421425353',7),(1925,'class demo-typo','class demo-typo',0,1,1.5,'C423531',42),(1926,'class demo-typo unordered','class demo-typo unordered',0,1,1.8333,'C42353156363',1),(1927,'class demo-typo-col2','class demo-typo-col2',0,1,1.6667,'C42353124',5),(1928,'class demo-typo-col2 legend','class demo-typo-col2 legend',0,1,1.9,'C42353124253',1),(1929,'class gkalpha','class gkalpha',0,1,1.4333,'C4241',43),(1930,'class gkalpha lorem','class gkalpha lorem',0,1,1.6333,'C4241465',43),(1931,'class gkblock-1','class gkblock-1',0,1,1.5,'C42142',68),(1932,'class gkblock-1 content','class gkblock-1 content',0,1,1.7667,'C421425353',68),(1933,'class gkblock-2','class gkblock-2',0,1,1.5,'C42142',68),(1934,'class gkblock-2 content','class gkblock-2 content',0,1,1.7667,'C421425353',68),(1935,'class gkblock-3','class gkblock-3',0,1,1.5,'C42142',68),(1936,'class gkblock-3 content','class gkblock-3 content',0,1,1.7667,'C421425353',68),(1937,'class gkblock-4','class gkblock-4',0,1,1.5,'C42142',43),(1938,'class gkblock-4 content','class gkblock-4 content',0,1,1.7667,'C421425353',43),(1939,'class gkblock-5','class gkblock-5',0,1,1.5,'C42142',43),(1940,'class gkblock-5 content','class gkblock-5 content',0,1,1.7667,'C421425353',43),(1941,'class gkblock-6','class gkblock-6',0,1,1.5,'C42142',43),(1942,'class gkblock-6 content','class gkblock-6 content',0,1,1.7667,'C421425353',43),(1943,'class gkblock-7','class gkblock-7',0,1,1.5,'C42142',43),(1944,'class gkblock-7 content','class gkblock-7 content',0,1,1.7667,'C421425353',43),(1945,'class gkblock-8','class gkblock-8',0,1,1.5,'C42142',43),(1946,'class gkblock-8 content','class gkblock-8 content',0,1,1.7667,'C421425353',43),(1947,'class gkblock-9','class gkblock-9',0,1,1.5,'C42142',43),(1948,'class gkblock-9 content','class gkblock-9 content',0,1,1.7667,'C421425353',43),(1949,'class gkblockquote1','class gkblockquote1',0,1,1.6333,'C421423',68),(1950,'class gkblockquote1 div','class gkblockquote1 div',0,1,1.7667,'C4214231',68),(1951,'class gkblockquote2','class gkblockquote2',0,1,1.6333,'C421423',68),(1952,'class gkblockquote2 div','class gkblockquote2 div',0,1,1.7667,'C4214231',68),(1953,'class gkblockquote3','class gkblockquote3',0,1,1.6333,'C421423',68),(1954,'class gkblockquote3 div','class gkblockquote3 div',0,1,1.7667,'C4214231',68),(1955,'class gkblockquote4','class gkblockquote4',0,1,1.6333,'C421423',68),(1956,'class gkblockquote4 div','class gkblockquote4 div',0,1,1.7667,'C4214231',68),(1957,'class gkblocktextcenter','class gkblocktextcenter',0,1,1.7667,'C421423232536',68),(1958,'class gkblocktextcenter block','class gkblocktextcenter block',0,1,1.9667,'C421423232536142',68),(1959,'class gkblocktextleft','class gkblocktextleft',0,1,1.7,'C42142323413',68),(1960,'class gkblocktextleft block','class gkblocktextleft block',0,1,1.9,'C42142323413142',68),(1961,'class gkblocktextright','class gkblocktextright',0,1,1.7333,'C42142323623',68),(1962,'class gkblocktextright block','class gkblocktextright block',0,1,1.9333,'C42142323623142',68),(1963,'class gkbook','class gkbook',0,1,1.4,'C4212',52),(1964,'class gkbook your','class gkbook your',0,1,1.5667,'C42126',29),(1965,'class gkbulb','class gkbulb',0,1,1.4,'C42141',28),(1966,'class gkbulb your','class gkbulb your',0,1,1.5667,'C421416',28),(1967,'class gkbullet1','class gkbullet1',0,1,1.5,'C42143',68),(1968,'class gkbullet1 lorem','class gkbullet1 lorem',0,1,1.7,'C42143465',68),(1969,'class gkbullet2','class gkbullet2',0,1,1.5,'C42143',68),(1970,'class gkbullet2 lorem','class gkbullet2 lorem',0,1,1.7,'C42143465',68),(1971,'class gkbullet3','class gkbullet3',0,1,1.5,'C42143',68),(1972,'class gkbullet3 lorem','class gkbullet3 lorem',0,1,1.7,'C42143465',68),(1973,'class gkbullet4','class gkbullet4',0,1,1.5,'C42143',68),(1974,'class gkbullet4 lorem','class gkbullet4 lorem',0,1,1.7,'C42143465',68),(1975,'class gkcircle1','class gkcircle1',0,1,1.5,'C42624',43),(1976,'class gkcircle1 lorem','class gkcircle1 lorem',0,1,1.7,'C4262465',43),(1977,'class gkcircle2','class gkcircle2',0,1,1.5,'C42624',43),(1978,'class gkcircle2 lorem','class gkcircle2 lorem',0,1,1.7,'C4262465',43),(1979,'class gkcode1','class gkcode1',0,1,1.4333,'C423',68),(1980,'class gkcode1 here','class gkcode1 here',0,1,1.6,'C4236',68),(1981,'class gkcode2','class gkcode2',0,1,1.4333,'C423',68),(1982,'class gkcode2 here','class gkcode2 here',0,1,1.6,'C4236',68),(1983,'class gkcode3','class gkcode3',0,1,1.4333,'C423',68),(1984,'class gkcode3 h4','class gkcode3 h4',0,1,1.5333,'C423',68),(1985,'class gkdec','class gkdec',0,1,1.3667,'C4232',43),(1986,'class gkdec lorem','class gkdec lorem',0,1,1.5667,'C4232465',43),(1987,'class gkdecimalleadingzero','class gkdecimalleadingzero',0,1,1.8667,'C4232543526',43),(1988,'class gkdecimalleadingzero lorem','class gkdecimalleadingzero lorem',0,1,2,'C4232543526465',43),(1989,'class gkdigg','class gkdigg',0,1,1.4,'C4232',15),(1990,'class gkdigg digg','class gkdigg digg',0,1,1.5667,'C423232',15),(1991,'class gkdribbble','class gkdribbble',0,1,1.5333,'C423614',3),(1992,'class gkdribbble dribbble','class gkdribbble dribbble',0,1,1.8333,'C4236143614',3),(1993,'class gkdropcap1','class gkdropcap1',0,1,1.5333,'C4236121',43),(1994,'class gkdropcap1 t','class gkdropcap1 t',0,1,1.6,'C42361213',43),(1995,'class gkdropcap2','class gkdropcap2',0,1,1.5333,'C4236121',43),(1996,'class gkdropcap2 span','class gkdropcap2 span',0,1,1.7,'C4236121215',43),(1997,'class gkdropcap2 t','class gkdropcap2 t',0,1,1.6,'C42361213',43),(1998,'class gkdropcap3','class gkdropcap3',0,1,1.5333,'C4236121',43),(1999,'class gkdropcap3 t','class gkdropcap3 t',0,1,1.6,'C42361213',43),(2000,'class gkerror','class gkerror',0,1,1.4333,'C426',28),(2001,'class gkerror your','class gkerror your',0,1,1.6,'C426',28),(2002,'class gkfacebook','class gkfacebook',0,1,1.5333,'C421212',21),(2003,'class gkfacebook facebook','class gkfacebook facebook',0,1,1.8333,'C4212121212',21),(2004,'class gkfile1','class gkfile1',0,1,1.4333,'C4214',52),(2005,'class gkfile1 your','class gkfile1 your',0,1,1.6,'C42146',29),(2006,'class gkfile2','class gkfile2',0,1,1.4333,'C4214',52),(2007,'class gkfile2 your','class gkfile2 your',0,1,1.6,'C42146',29),(2008,'class gkflash','class gkflash',0,1,1.4333,'C42142',28),(2009,'class gkflash your','class gkflash your',0,1,1.6,'C421426',28),(2010,'class gkgraph','class gkgraph',0,1,1.4333,'C4261',28),(2011,'class gkgraph your','class gkgraph your',0,1,1.6,'C42616',28),(2012,'class gkheadling','class gkheadling',0,1,1.5333,'C423452',43),(2013,'class gkheadling for','class gkheadling for',0,1,1.6667,'C42345216',43),(2014,'class gkhighlight1','class gkhighlight1',0,1,1.6,'C42423',68),(2015,'class gkhighlight1 your','class gkhighlight1 your',0,1,1.7667,'C424236',68),(2016,'class gkhighlight2','class gkhighlight2',0,1,1.6,'C42423',68),(2017,'class gkhighlight2 your','class gkhighlight2 your',0,1,1.7667,'C424236',68),(2018,'class gkhighlight3','class gkhighlight3',0,1,1.6,'C42423',68),(2019,'class gkhighlight3 your','class gkhighlight3 your',0,1,1.7667,'C424236',68),(2020,'class gkhighlight4','class gkhighlight4',0,1,1.6,'C42423',68),(2021,'class gkhighlight4 your','class gkhighlight4 your',0,1,1.7667,'C424236',68),(2022,'class gkichat','class gkichat',0,1,1.4333,'C423',3),(2023,'class gkichat ichat','class gkichat ichat',0,1,1.6333,'C42323',3),(2024,'class gklegend1','class gklegend1',0,1,1.5,'C424253',68),(2025,'class gklegend1 h4','class gklegend1 h4',0,1,1.6,'C424253',68),(2026,'class gklegend2','class gklegend2',0,1,1.5,'C424253',45),(2027,'class gklegend2 h4','class gklegend2 h4',0,1,1.6,'C424253',45),(2028,'class gklegend3','class gklegend3',0,1,1.5,'C424253',43),(2029,'class gklegend3 h4','class gklegend3 h4',0,1,1.6,'C424253',39),(2030,'class gklegend4','class gklegend4',0,1,1.5,'C424253',43),(2031,'class gklegend4 h4','class gklegend4 h4',0,1,1.6,'C424253',43),(2032,'class gklocation','class gklocation',0,1,1.5333,'C424235',52),(2033,'class gklocation your','class gklocation your',0,1,1.7,'C4242356',29),(2034,'class gklocationminus','class gklocationminus',0,1,1.7,'C4242352',28),(2035,'class gklocationminus your','class gklocationminus your',0,1,1.8667,'C42423526',28),(2036,'class gklocationplus','class gklocationplus',0,1,1.6667,'C424235142',28),(2037,'class gklocationplus your','class gklocationplus your',0,1,1.8333,'C4242351426',28),(2038,'class gkmap','class gkmap',0,1,1.3667,'C4251',52),(2039,'class gkmap your','class gkmap your',0,1,1.5333,'C42516',30),(2040,'class gkmobypicture','class gkmobypicture',0,1,1.6333,'C4251236',3),(2041,'class gkmobypicture moby','class gkmobypicture moby',0,1,1.8,'C425123651',3),(2042,'class gknav','class gknav',0,1,1.3667,'C4251',28),(2043,'class gknav your','class gknav your',0,1,1.5333,'C42516',28),(2044,'class gknumber1','class gknumber1',0,1,1.5,'C42516',24),(2045,'class gknumber1 span','class gknumber1 span',0,1,1.6667,'C42516215',24),(2046,'class gknumber2','class gknumber2',0,1,1.5,'C42516',24),(2047,'class gknumber2 span','class gknumber2 span',0,1,1.6667,'C42516215',24),(2048,'class gknumber3','class gknumber3',0,1,1.5,'C42516',24),(2049,'class gknumber3 span','class gknumber3 span',0,1,1.6667,'C42516215',24),(2050,'class gkribbon','class gkribbon',0,1,1.4667,'C42615',28),(2051,'class gkribbon your','class gkribbon your',0,1,1.6333,'C426156',28),(2052,'class gkroman','class gkroman',0,1,1.4333,'C4265',43),(2053,'class gkroman lorem','class gkroman lorem',0,1,1.6333,'C4265465',43),(2054,'class gksearch','class gksearch',0,1,1.4667,'C4262',28),(2055,'class gksearch your','class gksearch your',0,1,1.6333,'C42626',28),(2056,'class gksquare1','class gksquare1',0,1,1.5,'C426',43),(2057,'class gksquare1 lorem','class gksquare1 lorem',0,1,1.7,'C426465',43),(2058,'class gksquare2','class gksquare2',0,1,1.5,'C426',43),(2059,'class gksquare2 lorem','class gksquare2 lorem',0,1,1.7,'C426465',43),(2060,'class gkstar','class gkstar',0,1,1.4,'C4236',28),(2061,'class gkstar your','class gkstar your',0,1,1.5667,'C4236',28),(2062,'class gkstats','class gkstats',0,1,1.4333,'C4232',52),(2063,'class gkstats your','class gkstats your',0,1,1.6,'C42326',29),(2064,'class gkstumbleupon','class gkstumbleupon',0,1,1.6333,'C42351415',3),(2065,'class gkstumbleupon stumble','class gkstumbleupon stumble',0,1,1.9,'C4235141523514',3),(2066,'class gksubheadline','class gksubheadline',0,1,1.6333,'C421345',43),(2067,'class gksubheadline for','class gksubheadline for',0,1,1.7667,'C42134516',43),(2068,'class gktag','class gktag',0,1,1.3667,'C4232',52),(2069,'class gktag your','class gktag your',0,1,1.5333,'C42326',30),(2070,'class gktick','class gktick',0,1,1.4,'C4232',28),(2071,'class gktick your','class gktick your',0,1,1.5667,'C42326',28),(2072,'class gktwitter','class gktwitter',0,1,1.5,'C4236',35),(2073,'class gktwitter twitter','class gktwitter twitter',0,1,1.7667,'C423636',21),(2074,'class gkvimeo','class gkvimeo',0,1,1.4333,'C4215',15),(2075,'class gkvimeo vimeo','class gkvimeo vimeo',0,1,1.6333,'C421515',15),(2076,'class gkyoutube','class gkyoutube',0,1,1.5,'C4231',15),(2077,'class gkyoutube youtube','class gkyoutube youtube',0,1,1.7667,'C423131',15),(2078,'class gkzoomminus','class gkzoomminus',0,1,1.5667,'C4252',28),(2079,'class gkzoomminus your','class gkzoomminus your',0,1,1.7333,'C42526',28),(2080,'class gkzoomplus','class gkzoomplus',0,1,1.5333,'C425142',28),(2081,'class gkzoomplus your','class gkzoomplus your',0,1,1.7,'C4251426',28),(2082,'classic','classic',0,0,0.4667,'C420',43),(2083,'classic this','classic this',0,1,1.4,'C4232',42),(2084,'classic this is','classic this is',0,1,1.5,'C4232',42),(2085,'code','code',0,0,0.2667,'C300',77),(2086,'code and','code and',0,1,1.2667,'C353',24),(2087,'code and anchor','code and anchor',0,1,1.5,'C353526',24),(2088,'code div','code div',0,1,1.2667,'C310',68),(2089,'code div file','code div file',0,1,1.4333,'C314',68),(2090,'code div wrapper','code div wrapper',0,1,1.5333,'C31616',63),(2091,'code warnings','code warnings',0,1,1.4333,'C3652',68),(2092,'code warnings lorem','code warnings lorem',0,1,1.6333,'C3652465',68),(2093,'code wrapper','code wrapper',0,1,1.4,'C3616',55),(2094,'code wrapper position','code wrapper position',0,1,1.7,'C36161235',55),(2095,'condimentum et','condimentum et',0,1,1.4667,'C535353',44),(2096,'condimentum et eu','condimentum et eu',0,1,1.5667,'C535353',44),(2097,'condimentum lectus','condimentum lectus',0,1,1.6,'C535354232',44),(2098,'condimentum lectus eget','condimentum lectus eget',0,1,1.7667,'C5353542323',44),(2099,'condimentum pulvinar','condimentum pulvinar',0,1,1.6667,'C5353514156',68),(2100,'condimentum pulvinar justo','condimentum pulvinar justo',0,1,1.8667,'C535351415623',68),(2101,'condimentum urna','condimentum urna',0,1,1.5333,'C5353565',69),(2102,'condimentum urna ipsum','condimentum urna ipsum',0,1,1.7333,'C5353565125',69),(2103,'congue','congue',0,0,0.4,'C520',238),(2104,'congue augue','congue augue',0,1,1.4,'C520',68),(2105,'congue augue donec','congue augue donec',0,1,1.6,'C52352',68),(2106,'congue augue duis','congue augue duis',0,1,1.5667,'C5232',68),(2107,'congue interdum','congue interdum',0,1,1.5,'C5253635',21),(2108,'consectetuer','consectetuer',0,0,0.8,'C5236',68),(2109,'consectetuer adipiscing','consectetuer adipiscing',0,1,1.7667,'C523631252',68),(2110,'consectetuer adipiscing elit','consectetuer adipiscing elit',0,1,1.9333,'C52363125243',68),(2111,'consectetur a','consectetur a',0,1,1.4333,'C5236',21),(2112,'consectetur a lorem','consectetur a lorem',0,1,1.6333,'C5236465',16),(2113,'consectetur accumsan','consectetur accumsan',0,1,1.6667,'C52362525',21),(2114,'consectetur accumsan this','consectetur accumsan this',0,1,1.8333,'C5236252532',21),(2115,'consectetur at','consectetur at',0,1,1.4667,'C52363',44),(2116,'consectetur at accumsan','consectetur at accumsan',0,1,1.7667,'C523632525',44),(2117,'consequat','consequat',0,0,0.6,'C523',89),(2118,'consequat eget','consequat eget',0,1,1.4667,'C52323',68),(2119,'consequat eget lobortis','consequat eget lobortis',0,1,1.7667,'C5232341632',68),(2120,'content here','content here',0,1,1.4,'C53536',68),(2121,'content here cite','content here cite',0,1,1.5667,'C5353623',68),(2122,'content here div','content here div',0,1,1.5333,'C5353631',68),(2123,'content in','content in',0,1,1.3333,'C53535',68),(2124,'content in a','content in a',0,1,1.4,'C53535',68),(2125,'convallis','convallis',0,0,0.6,'C5142',74),(2126,'convallis lacinia','convallis lacinia',0,1,1.5667,'C5142425',21),(2127,'convallis lacinia in','convallis lacinia in',0,1,1.6667,'C5142425',21),(2128,'convallis libero','convallis libero',0,1,1.5333,'C5142416',69),(2129,'convallis libero mauris','convallis libero mauris',0,1,1.7667,'C5142416562',69),(2130,'convallis mattis','convallis mattis',0,1,1.5333,'C5142532',21),(2131,'convallis mattis eu','convallis mattis eu',0,1,1.6333,'C5142532',21),(2132,'convallis nec','convallis nec',0,1,1.4333,'C514252',46),(2133,'convallis nec vel','convallis nec vel',0,1,1.5667,'C51425214',44),(2134,'cras diam','cras diam',0,1,1.3,'C6235',44),(2135,'cras diam justo','cras diam justo',0,1,1.5,'C623523',44),(2136,'cras ultrices','cras ultrices',0,1,1.4333,'C624362',69),(2137,'cras ultrices sapien','cras ultrices sapien',0,1,1.6667,'C62436215',69),(2138,'create','create',0,0,0.4,'C630',71),(2139,'create social','create social',0,1,1.4333,'C6324',24),(2140,'create social icons','create social icons',0,1,1.6333,'C6324252',24),(2141,'creative','creative',0,0,0.5333,'C631',60),(2142,'creative and','creative and',0,1,1.4,'C63153',43),(2143,'creative and produce','creative and produce',0,1,1.6667,'C631531632',43),(2144,'critical','critical',0,0,0.5333,'C6324',43),(2145,'critical critical','critical critical',0,1,1.5667,'C632426324',43),(2146,'critical critical this','critical critical this',0,1,1.7333,'C63242632432',43),(2147,'critical this','critical this',0,1,1.4333,'C632432',43),(2148,'critical this is','critical this is',0,1,1.5333,'C632432',43),(2149,'css','css',0,0,0.2,'C000',52),(2150,'css powered','css powered',0,1,1.3667,'C163',43),(2151,'css powered tooltip','css powered tooltip',0,1,1.6333,'C163431',43),(2152,'css tooltip','css tooltip',0,1,1.3667,'C3431',43),(2153,'css tooltip feel','css tooltip feel',0,1,1.5333,'C34314',43),(2154,'cursus lacinia','cursus lacinia',0,1,1.4667,'C62425',21),(2155,'cursus lacinia aenean','cursus lacinia aenean',0,1,1.7,'C62425',21),(2156,'dapibus nisi','dapibus nisi',0,1,1.4,'D1252',69),(2157,'dapibus nisi massa','dapibus nisi massa',0,1,1.6,'D125252',69),(2158,'dapibus risus','dapibus risus',0,1,1.4333,'D1262',68),(2159,'dapibus risus aliquam','dapibus risus aliquam',0,1,1.7,'D1262425',68),(2160,'delivered','delivered',0,0,0.6,'D4163',68),(2161,'delivered in','delivered in',0,1,1.4,'D41635',68),(2162,'delivered in a','delivered in a',0,1,1.4667,'D41635',68),(2163,'demo-typo','demo-typo',0,0,0.6,'D531',42),(2164,'demo-typo unordered','demo-typo unordered',0,1,1.6333,'D53156363',1),(2165,'demo-typo unordered lists','demo-typo unordered lists',0,1,1.8333,'D531563634232',1),(2166,'demo-typo-col2','demo-typo-col2',0,0,0.9333,'D53124',5),(2167,'demo-typo-col2 legend','demo-typo-col2 legend',0,1,1.7,'D53124253',1),(2168,'demo-typo-col2 legend lorem','demo-typo-col2 legend lorem',0,1,1.9,'D53124253465',1),(2169,'diam ante','diam ante',0,1,1.3,'D530',44),(2170,'diam ante ac','diam ante ac',0,1,1.4,'D532',44),(2171,'diam justo','diam justo',0,1,1.3333,'D523',44),(2172,'diam justo sodales','diam justo sodales',0,1,1.6,'D5232342',44),(2173,'diam non','diam non',0,1,1.2667,'D500',914),(2174,'diam non dolor','diam non dolor',0,1,1.4667,'D5346',21),(2175,'dictumst','dictumst',0,0,0.5333,'D23523',21),(2176,'dictumst mauris','dictumst mauris',0,1,1.5,'D23523562',21),(2177,'dictumst mauris volutpat','dictumst mauris volutpat',0,1,1.8,'D2352356214313',21),(2178,'digg','digg',0,0,0.2667,'D200',15),(2179,'digg a','digg a',0,1,1.2,'D200',15),(2180,'digg a a','digg a a',0,1,1.2667,'D200',15),(2181,'digg dribbble','digg dribbble',0,1,1.4333,'D23614',3),(2182,'digg dribbble a','digg dribbble a',0,1,1.5,'D23614',3),(2183,'dignissim','dignissim',0,0,0.6,'D2525',235),(2184,'dignissim augue','dignissim augue',0,1,1.5,'D25252',68),(2185,'dignissim augue donec','dignissim augue donec',0,1,1.7,'D25252352',68),(2186,'dignissim placerat','dignissim placerat',0,1,1.6,'D252514263',44),(2187,'dignissim placerat nec','dignissim placerat nec',0,1,1.7333,'D25251426352',44),(2188,'display','display',0,0,0.4667,'D214',81),(2189,'display block','display block',0,1,1.4333,'D214142',68),(2190,'display block use','display block use',0,1,1.5667,'D214142',68),(2191,'div','div',0,0,0.2,'D100',81),(2192,'div abbrs','div abbrs',0,1,1.3,'D162',35),(2193,'div abbrs and','div abbrs and',0,1,1.4333,'D16253',35),(2194,'div blockquote','div blockquote',0,1,1.4667,'D1423',68),(2195,'div blockquote floated','div blockquote floated',0,1,1.7333,'D1423143',68),(2196,'div blockquote lorem','div blockquote lorem',0,1,1.6667,'D1423465',68),(2197,'div bubbles','div bubbles',0,1,1.3667,'D142',64),(2198,'div bubbles lorem','div bubbles lorem',0,1,1.5667,'D142465',64),(2199,'div class','div class',0,1,1.3,'D1242',77),(2200,'div class bubble-1','div class bubble-1',0,1,1.6,'D124214',68),(2201,'div class bubble-2','div class bubble-2',0,1,1.6,'D124214',32),(2202,'div class bubble-3','div class bubble-3',0,1,1.6,'D124214',37),(2203,'div class bubble-4','div class bubble-4',0,1,1.6,'D124214',7),(2204,'div class bubble-5','div class bubble-5',0,1,1.6,'D124214',43),(2205,'div class bubble-6','div class bubble-6',0,1,1.6,'D124214',7),(2206,'div class gkblock-1','div class gkblock-1',0,1,1.6333,'D1242142',68),(2207,'div class gkblock-2','div class gkblock-2',0,1,1.6333,'D1242142',68),(2208,'div class gkblock-3','div class gkblock-3',0,1,1.6333,'D1242142',68),(2209,'div class gkblock-4','div class gkblock-4',0,1,1.6333,'D1242142',43),(2210,'div class gkblock-5','div class gkblock-5',0,1,1.6333,'D1242142',43),(2211,'div class gkblock-6','div class gkblock-6',0,1,1.6333,'D1242142',43),(2212,'div class gkblock-7','div class gkblock-7',0,1,1.6333,'D1242142',43),(2213,'div class gkblock-8','div class gkblock-8',0,1,1.6333,'D1242142',43),(2214,'div class gkblock-9','div class gkblock-9',0,1,1.6333,'D1242142',43),(2215,'div class gkblockquote1','div class gkblockquote1',0,1,1.7667,'D12421423',68),(2216,'div class gkblockquote2','div class gkblockquote2',0,1,1.7667,'D12421423',68),(2217,'div class gkblockquote3','div class gkblockquote3',0,1,1.7667,'D12421423',64),(2218,'div class gkblockquote4','div class gkblockquote4',0,1,1.7667,'D12421423',68),(2219,'div class gkcode1','div class gkcode1',0,1,1.5667,'D12423',67),(2220,'div class gkcode2','div class gkcode2',0,1,1.5667,'D12423',65),(2221,'div class gkcode3','div class gkcode3',0,1,1.5667,'D12423',68),(2222,'div class gklegend1','div class gklegend1',0,1,1.6333,'D12424253',68),(2223,'div class gklegend2','div class gklegend2',0,1,1.6333,'D12424253',45),(2224,'div class gklegend3','div class gklegend3',0,1,1.6333,'D12424253',43),(2225,'div class gklegend4','div class gklegend4',0,1,1.6333,'D12424253',43),(2226,'div div','div div',0,1,1.2333,'D131',72),(2227,'div div blockquote','div div blockquote',0,1,1.6,'D131423',68),(2228,'div file','div file',0,1,1.2667,'D140',68),(2229,'div file wrapper','div file wrapper',0,1,1.5333,'D14616',68),(2230,'div legend','div legend',0,1,1.3333,'D14253',45),(2231,'div legend lorem','div legend lorem',0,1,1.5333,'D14253465',45),(2232,'div lorem','div lorem',0,1,1.3,'D1465',68),(2233,'div lorem ipsum','div lorem ipsum',0,1,1.5,'D1465125',68),(2234,'div robert','div robert',0,1,1.3333,'D16163',68),(2235,'div robert gavick','div robert gavick',0,1,1.5667,'D16163212',68),(2236,'div wrapper','div wrapper',0,1,1.3667,'D1616',63),(2237,'div wrapper position','div wrapper position',0,1,1.6667,'D16161235',63),(2238,'div your','div your',0,1,1.2667,'D160',68),(2239,'div your quoted','div your quoted',0,1,1.5,'D1623',68),(2240,'do','do',0,0,0.1333,'D000',72),(2241,'do so','do so',0,1,1.1667,'D200',43),(2242,'do so feel','do so feel',0,1,1.3333,'D214',43),(2243,'do using','do using',0,1,1.2667,'D252',43),(2244,'do using a','do using a',0,1,1.3333,'D252',43),(2245,'dolor convallis','dolor convallis',0,1,1.5,'D4625142',21),(2246,'dolor convallis mattis','dolor convallis mattis',0,1,1.7333,'D4625142532',21),(2247,'donec ante','donec ante',0,1,1.3333,'D5253',68),(2248,'donec ante felis','donec ante felis',0,1,1.5333,'D5253142',68),(2249,'donec congue','donec congue',0,1,1.4,'D5252',21),(2250,'donec congue interdum','donec congue interdum',0,1,1.7,'D525253635',21),(2251,'donec eget','donec eget',0,1,1.3333,'D523',82),(2252,'donec eget dignissim','donec eget dignissim',0,1,1.6667,'D5232525',68),(2253,'donec est','donec est',0,1,1.3,'D523',44),(2254,'donec est risus','donec est risus',0,1,1.5,'D52362',44),(2255,'dr','dr',0,0,0.1333,'D600',43),(2256,'dr use','dr use',0,1,1.2,'D620',43),(2257,'dr use abbr','dr use abbr',0,1,1.3667,'D6216',38),(2258,'dribbble','dribbble',0,0,0.5333,'D614',10),(2259,'dribbble a','dribbble a',0,1,1.3333,'D614',10),(2260,'dropcap','dropcap',0,0,0.4667,'D6121',43),(2261,'dropcap lorem','dropcap lorem',0,1,1.4333,'D6121465',43),(2262,'dropcap lorem ipsum','dropcap lorem ipsum',0,1,1.6333,'D6121465125',43),(2263,'dropcap p','dropcap p',0,1,1.3,'D6121',43),(2264,'dropcap p blockquotes','dropcap p blockquotes',0,1,1.7,'D61214232',34),(2265,'dropcap p t','dropcap p t',0,1,1.3667,'D61213',43),(2266,'dropcaps','dropcaps',0,0,0.5333,'D61212',43),(2267,'dropcaps t','dropcaps t',0,1,1.3333,'D612123',43),(2268,'dropcaps t his','dropcaps t his',0,1,1.4667,'D6121232',43),(2269,'dui sed','dui sed',0,1,1.2333,'D230',21),(2270,'dui sed velit','dui sed velit',0,1,1.4333,'D23143',21),(2271,'duis quis','duis quis',0,1,1.3,'D200',68),(2272,'duis quis quam','duis quis quam',0,1,1.4667,'D250',68),(2273,'e','e',0,0,0.0667,'E000',253),(2274,'e g','e g',0,1,1.1,'E200',71),(2275,'e g headline','e g headline',0,1,1.4,'E2345',68),(2276,'egestas nunc','egestas nunc',0,1,1.4,'E23252',44),(2277,'egestas nunc in','egestas nunc in',0,1,1.5,'E232525',44),(2278,'egestas vel','egestas vel',0,1,1.3667,'E23214',44),(2279,'egestas vel consectetur','egestas vel consectetur',0,1,1.7667,'E2321425236',44),(2280,'eget dignissim','eget dignissim',0,1,1.4667,'E232525',68),(2281,'eget dignissim augue','eget dignissim augue',0,1,1.6667,'E2325252',68),(2282,'eget laoreet','eget laoreet',0,1,1.4,'E23463',44),(2283,'eget laoreet ipsum','eget laoreet ipsum',0,1,1.6,'E23463125',44),(2284,'eget lobortis','eget lobortis',0,1,1.4333,'E2341632',68),(2285,'eget lobortis dapibus','eget lobortis dapibus',0,1,1.7,'E2341632312',68),(2286,'eleifend','eleifend',0,0,0.5333,'E4153',203),(2287,'eleifend felis','eleifend felis',0,1,1.4667,'E4153142',21),(2288,'eleifend felis sed','eleifend felis sed',0,1,1.6,'E41531423',21),(2289,'eleifend lorem','eleifend lorem',0,1,1.4667,'E4153465',69),(2290,'eleifend lorem ipsum','eleifend lorem ipsum',0,1,1.6667,'E4153465125',69),(2291,'eleifend vivamus','eleifend vivamus',0,1,1.5333,'E4153152',21),(2292,'eleifend vivamus ullamcorper','eleifend vivamus ullamcorper',0,1,1.9333,'E4153152452616',21),(2293,'element','element',0,0,0.4667,'E453',79),(2294,'element p','element p',0,1,1.3,'E4531',68),(2295,'element p 01','element p 01',0,1,1.4,'E4531',68),(2296,'element p 02','element p 02',0,1,1.4,'E4531',21),(2297,'element p 03','element p 03',0,1,1.4,'E4531',21),(2298,'elements','elements',0,0,0.5333,'E4532',60),(2299,'elements facebook','elements facebook',0,1,1.5667,'E45321212',24),(2300,'elements facebook stumble','elements facebook stumble',0,1,1.8333,'E453212123514',3),(2301,'elements you','elements you',0,1,1.4,'E4532',27),(2302,'elements you can','elements you can',0,1,1.5333,'E45325',27),(2303,'elementum','elementum',0,0,0.6,'E4535',216),(2304,'elementum non','elementum non',0,1,1.4333,'E4535',69),(2305,'elementum non blandit','elementum non blandit',0,1,1.7,'E45351453',69),(2306,'elit at','elit at',0,1,1.2333,'E430',44),(2307,'elit at euismod','elit at euismod',0,1,1.5,'E43253',44),(2308,'elit etiam rutrum','elit etiam rutrum',0,1,1.5667,'E4356365',68),(2309,'elit in','elit in',0,1,1.2333,'E435',2),(2310,'elit in sapien','elit in sapien',0,1,1.4667,'E435215',2),(2311,'elit integer','elit integer',0,1,1.4,'E435326',53),(2312,'elit integer semper','elit integer semper',0,1,1.6333,'E4353262516',44),(2313,'elit sed ornare','elit sed ornare',0,1,1.5,'E4323656',21),(2314,'elit this','elit this',0,1,1.3,'E432',21),(2315,'elit this is','elit this is',0,1,1.4,'E432',21),(2316,'elit use','elit use',0,1,1.2667,'E432',68),(2317,'elit use div','elit use div',0,1,1.4,'E43231',68),(2318,'elit vestibulum','elit vestibulum',0,1,1.5,'E43123145',243),(2319,'elit vestibulum condimentum','elit vestibulum condimentum',0,1,1.9,'E43123145253535',68),(2320,'enim et','enim et',0,1,1.2333,'E530',68),(2321,'enim et lectus','enim et lectus',0,1,1.4667,'E534232',68),(2322,'enim euismod','enim euismod',0,1,1.4,'E5253',44),(2323,'enim euismod quis','enim euismod quis',0,1,1.5667,'E52532',44),(2324,'enim libero','enim libero',0,1,1.3667,'E5416',69),(2325,'enim libero morbi','enim libero morbi',0,1,1.5667,'E5416561',69),(2326,'enim nulla','enim nulla',0,1,1.3333,'E540',68),(2327,'enim nulla vel','enim nulla vel',0,1,1.4667,'E5414',68),(2328,'enim urna','enim urna',0,1,1.3,'E565',44),(2329,'enim urna ultricies','enim urna ultricies',0,1,1.6333,'E5654362',44),(2330,'erat donec','erat donec',0,1,1.3333,'E6352',21),(2331,'erat donec congue','erat donec congue',0,1,1.5667,'E635252',21),(2332,'erat egestas','erat egestas',0,1,1.4,'E63232',44),(2333,'erat egestas vel','erat egestas vel',0,1,1.5333,'E6323214',44),(2334,'eros quis','eros quis',0,1,1.3,'E620',69),(2335,'eros quis ullamcorper','eros quis ullamcorper',0,1,1.7,'E62452616',69),(2336,'eros sed tempus','eros sed tempus',0,1,1.5,'E623512',69),(2337,'eros tempor','eros tempor',0,1,1.3667,'E623516',44),(2338,'eros tempor iaculis','eros tempor iaculis',0,1,1.6333,'E623516242',44),(2339,'eros vestibulum','eros vestibulum',0,1,1.5,'E62123145',44),(2340,'eros vestibulum euismod','eros vestibulum euismod',0,1,1.7667,'E62123145253',40),(2341,'error','error',0,0,0.3333,'E600',31),(2342,'error message','error message',0,1,1.4333,'E652',31),(2343,'error message use','error message use',0,1,1.5667,'E652',28),(2344,'est id','est id',0,1,1.2,'E230',21),(2345,'est id libero','est id libero',0,1,1.4333,'E23416',21),(2346,'est risus','est risus',0,1,1.3,'E2362',44),(2347,'est risus facilisis','est risus facilisis',0,1,1.6333,'E23621242',44),(2348,'est tristique','est tristique',0,1,1.4333,'E236232',44),(2349,'est tristique convallis','est tristique convallis',0,1,1.7667,'E2362325142',43),(2350,'et consectetur','et consectetur',0,1,1.4667,'E325236',21),(2351,'et consectetur a','et consectetur a',0,1,1.5333,'E325236',21),(2352,'et eu','et eu',0,1,1.1667,'E300',44),(2353,'et eu neque','et eu neque',0,1,1.3667,'E352',44),(2354,'et lacus','et lacus',0,1,1.2667,'E342',69),(2355,'et lacus nam','et lacus nam',0,1,1.4,'E3425',69),(2356,'et lectus','et lectus',0,1,1.3,'E34232',68),(2357,'et lectus ornare','et lectus ornare',0,1,1.5333,'E34232656',68),(2358,'et quisque','et quisque',0,1,1.3333,'E320',44),(2359,'et quisque sagittis','et quisque sagittis',0,1,1.6333,'E3232',44),(2360,'etiam rutrum','etiam rutrum',0,1,1.4,'E356365',68),(2361,'etiam rutrum blandit','etiam rutrum blandit',0,1,1.6667,'E3563651453',68),(2362,'etiam volutpat','etiam volutpat',0,1,1.4667,'E3514313',44),(2363,'etiam volutpat ultrices','etiam volutpat ultrices',0,1,1.7667,'E35143134362',44),(2364,'eu felis','eu felis',0,1,1.2667,'E142',44),(2365,'eu felis erat','eu felis erat',0,1,1.4333,'E14263',44),(2366,'eu id','eu id',0,1,1.1667,'E300',21),(2367,'eu id nulla','eu id nulla',0,1,1.3667,'E354',21),(2368,'eu neque','eu neque',0,1,1.2667,'E520',44),(2369,'eu neque nunc','eu neque nunc',0,1,1.4333,'E5252',44),(2370,'eu nisi','eu nisi',0,1,1.2333,'E520',219),(2371,'eu nisi elementum','eu nisi elementum',0,1,1.5667,'E524535',69),(2372,'eu pulvinar','eu pulvinar',0,1,1.3667,'E14156',21),(2373,'eu pulvinar nibh','eu pulvinar nibh',0,1,1.5333,'E1415651',21),(2374,'euismod lacinia','euismod lacinia',0,1,1.5,'E253425',44),(2375,'euismod lacinia nisi','euismod lacinia nisi',0,1,1.6667,'E2534252',44),(2376,'euismod luctus','euismod luctus',0,1,1.4667,'E2534232',44),(2377,'euismod luctus velit','euismod luctus velit',0,1,1.6667,'E2534232143',44),(2378,'euismod nam','euismod nam',0,1,1.3667,'E2535',21),(2379,'euismod nam quis','euismod nam quis',0,1,1.5333,'E25352',21),(2380,'euismod quis','euismod quis',0,1,1.4,'E2532',48),(2381,'euismod quis nullam','euismod quis nullam',0,1,1.6333,'E2532545',44),(2382,'euismod rutrum','euismod rutrum',0,1,1.4667,'E2536365',44),(2383,'euismod rutrum tortor','euismod rutrum tortor',0,1,1.7,'E25363653636',44),(2384,'example','example',0,0,0.4667,'E2514',48),(2385,'example of','example of',0,1,1.3333,'E25141',43),(2386,'example of what','example of what',0,1,1.5,'E251413',43),(2387,'examples','examples',0,0,0.5333,'E25142',44),(2388,'examples of','examples of',0,1,1.3667,'E251421',44),(2389,'examples of a','examples of a',0,1,1.4333,'E251421',43),(2390,'facebook','facebook',0,0,0.5333,'F212',46),(2391,'facebook a','facebook a',0,1,1.3333,'F212',45),(2392,'facebook a a','facebook a a',0,1,1.4,'F212',45),(2393,'facebook stumble','facebook stumble',0,1,1.5333,'F2123514',3),(2394,'facebook stumble upon','facebook stumble upon',0,1,1.7,'F212351415',3),(2395,'facilisis dignissim','facilisis dignissim',0,1,1.6333,'F24232525',44),(2396,'facilisis dignissim placerat','facilisis dignissim placerat',0,1,1.9333,'F2423252514263',44),(2397,'facilisis sapien','facilisis sapien',0,1,1.5333,'F24215',44),(2398,'facilisis sapien in','facilisis sapien in',0,1,1.6333,'F24215',44),(2399,'faucibus ligula','faucibus ligula',0,1,1.5,'F212424',68),(2400,'faucibus ligula feugiat','faucibus ligula feugiat',0,1,1.7667,'F212424123',68),(2401,'feel','feel',0,0,0.2667,'F400',43),(2402,'feel free','feel free',0,1,1.3,'F416',43),(2403,'feel free to','feel free to',0,1,1.4,'F4163',43),(2404,'felis aliquam','felis aliquam',0,1,1.4333,'F42425',68),(2405,'felis aliquam ut','felis aliquam ut',0,1,1.5333,'F424253',68),(2406,'felis cras','felis cras',0,1,1.3333,'F4262',69),(2407,'felis cras ultrices','felis cras ultrices',0,1,1.6333,'F42624362',69),(2408,'felis erat','felis erat',0,1,1.3333,'F4263',44),(2409,'felis erat donec','felis erat donec',0,1,1.5333,'F426352',21),(2410,'felis sed','felis sed',0,1,1.3,'F423',24),(2411,'felis sed tellus','felis sed tellus',0,1,1.5333,'F42342',21),(2412,'fermentum eros','fermentum eros',0,1,1.4667,'F653562',69),(2413,'fermentum eros quis','fermentum eros quis',0,1,1.6333,'F653562',69),(2414,'feugiat','feugiat',0,0,0.4667,'F230',908),(2415,'feugiat ac','feugiat ac',0,1,1.3333,'F232',68),(2416,'feugiat ac morbi','feugiat ac morbi',0,1,1.5333,'F232561',68),(2417,'feugiat dapibus','feugiat dapibus',0,1,1.5,'F2312',69),(2418,'feugiat dapibus nisi','feugiat dapibus nisi',0,1,1.6667,'F231252',69),(2419,'file','file',0,0,0.2667,'F400',69),(2420,'file h4','file h4',0,1,1.2333,'F400',68),(2421,'file h4 here','file h4 here',0,1,1.4,'F460',68),(2422,'file wrapper','file wrapper',0,1,1.4,'F4616',68),(2423,'file wrapper position','file wrapper position',0,1,1.7,'F46161235',68),(2424,'file1','file1',0,0,0.3333,'F400',52),(2425,'file1 message','file1 message',0,1,1.4333,'F452',52),(2426,'file1 message use','file1 message use',0,1,1.5667,'F452',52),(2427,'flash','flash',0,0,0.3333,'F420',28),(2428,'flash message','flash message',0,1,1.4333,'F4252',28),(2429,'flash message use','flash message use',0,1,1.5667,'F4252',28),(2430,'float','float',0,0,0.3333,'F430',68),(2431,'float left','float left',0,1,1.3333,'F43413',68),(2432,'float left display','float left display',0,1,1.6,'F43413214',68),(2433,'floated','floated',0,0,0.4667,'F430',69),(2434,'floated blocks','floated blocks',0,1,1.4667,'F43142',68),(2435,'floated blocks p','floated blocks p',0,1,1.5333,'F431421',68),(2436,'following','following',0,0,0.6,'F452',42),(2437,'following icons','following icons',0,1,1.5,'F45252',24),(2438,'following icons by','following icons by',0,1,1.6,'F452521',24),(2439,'for headline','for headline',0,1,1.4,'F6345',43),(2440,'for headline p','for headline p',0,1,1.4667,'F63451',43),(2441,'for subheadline','for subheadline',0,1,1.5,'F621345',43),(2442,'for subheadline p','for subheadline p',0,1,1.5667,'F6213451',43),(2443,'framework','framework',0,0,0.6,'F6562',68),(2444,'framework in','framework in',0,1,1.4,'F65625',68),(2445,'framework in order','framework in order',0,1,1.6,'F65625636',68),(2446,'free','free',0,0,0.2667,'F600',262),(2447,'free to','free to',0,1,1.2333,'F630',43),(2448,'free to get','free to get',0,1,1.3667,'F6323',43),(2449,'fringilla enim','fringilla enim',0,1,1.4667,'F65245',44),(2450,'fringilla enim euismod','fringilla enim euismod',0,1,1.7333,'F65245253',44),(2451,'full phrase','full phrase',0,1,1.3667,'F4162',43),(2452,'full phrase here','full phrase here',0,1,1.5333,'F41626',43),(2453,'full word','full word',0,1,1.3,'F463',43),(2454,'full word or','full word or',0,1,1.4,'F4636',43),(2455,'fusce adipiscing','fusce adipiscing',0,1,1.5333,'F231252',44),(2456,'fusce adipiscing velit','fusce adipiscing velit',0,1,1.7333,'F231252143',44),(2457,'fusce eu','fusce eu',0,1,1.2667,'F200',44),(2458,'fusce eu felis','fusce eu felis',0,1,1.4667,'F2142',44),(2459,'g','g',0,0,0.0667,'G000',85),(2460,'g headline','g headline',0,1,1.3333,'G345',68),(2461,'g headline tags','g headline tags',0,1,1.5,'G34532',68),(2462,'gavern','gavern',0,0,0.4,'G165',68),(2463,'gavern framework','gavern framework',0,1,1.5333,'G16516562',68),(2464,'gavern framework in','gavern framework in',0,1,1.6333,'G165165625',68),(2465,'gavick legends','gavick legends',0,1,1.4667,'G1242532',37),(2466,'gavick lorem','gavick lorem',0,1,1.4,'G12465',68),(2467,'gavick lorem ipsum','gavick lorem ipsum',0,1,1.6,'G12465125',68),(2468,'get','get',0,0,0.2,'G300',57),(2469,'get creative','get creative',0,1,1.4,'G32631',43),(2470,'get creative and','get creative and',0,1,1.5333,'G3263153',43),(2471,'gkalpha','gkalpha',0,0,0.4667,'G410',43),(2472,'gkalpha lorem','gkalpha lorem',0,1,1.4333,'G41465',43),(2473,'gkalpha lorem ipsum','gkalpha lorem ipsum',0,1,1.6333,'G41465125',42),(2474,'gkblock-1','gkblock-1',0,0,0.6,'G142',68),(2475,'gkblock-1 content','gkblock-1 content',0,1,1.5667,'G1425353',68),(2476,'gkblock-1 content here','gkblock-1 content here',0,1,1.7333,'G14253536',67),(2477,'gkblock-2','gkblock-2',0,0,0.6,'G142',68),(2478,'gkblock-2 content','gkblock-2 content',0,1,1.5667,'G1425353',68),(2479,'gkblock-2 content here','gkblock-2 content here',0,1,1.7333,'G14253536',68),(2480,'gkblock-3','gkblock-3',0,0,0.6,'G142',68),(2481,'gkblock-3 content','gkblock-3 content',0,1,1.5667,'G1425353',68),(2482,'gkblock-3 content here','gkblock-3 content here',0,1,1.7333,'G14253536',68),(2483,'gkblock-4','gkblock-4',0,0,0.6,'G142',43),(2484,'gkblock-4 content','gkblock-4 content',0,1,1.5667,'G1425353',43),(2485,'gkblock-4 content here','gkblock-4 content here',0,1,1.7333,'G14253536',43),(2486,'gkblock-5','gkblock-5',0,0,0.6,'G142',43),(2487,'gkblock-5 content','gkblock-5 content',0,1,1.5667,'G1425353',43),(2488,'gkblock-5 content here','gkblock-5 content here',0,1,1.7333,'G14253536',43),(2489,'gkblock-6','gkblock-6',0,0,0.6,'G142',43),(2490,'gkblock-6 content','gkblock-6 content',0,1,1.5667,'G1425353',43),(2491,'gkblock-6 content here','gkblock-6 content here',0,1,1.7333,'G14253536',43),(2492,'gkblock-7','gkblock-7',0,0,0.6,'G142',43),(2493,'gkblock-7 content','gkblock-7 content',0,1,1.5667,'G1425353',43),(2494,'gkblock-7 content here','gkblock-7 content here',0,1,1.7333,'G14253536',43),(2495,'gkblock-8','gkblock-8',0,0,0.6,'G142',43),(2496,'gkblock-8 content','gkblock-8 content',0,1,1.5667,'G1425353',43),(2497,'gkblock-8 content here','gkblock-8 content here',0,1,1.7333,'G14253536',43),(2498,'gkblock-9','gkblock-9',0,0,0.6,'G142',43),(2499,'gkblock-9 content','gkblock-9 content',0,1,1.5667,'G1425353',43),(2500,'gkblock-9 content here','gkblock-9 content here',0,1,1.7333,'G14253536',43),(2501,'gkblockquote1','gkblockquote1',0,0,0.8667,'G1423',68),(2502,'gkblockquote1 div','gkblockquote1 div',0,1,1.5667,'G14231',68),(2503,'gkblockquote1 div your','gkblockquote1 div your',0,1,1.7333,'G142316',68),(2504,'gkblockquote2','gkblockquote2',0,0,0.8667,'G1423',68),(2505,'gkblockquote2 div','gkblockquote2 div',0,1,1.5667,'G14231',68),(2506,'gkblockquote2 div your','gkblockquote2 div your',0,1,1.7333,'G142316',68),(2507,'gkblockquote3','gkblockquote3',0,0,0.8667,'G1423',68),(2508,'gkblockquote3 div','gkblockquote3 div',0,1,1.5667,'G14231',68),(2509,'gkblockquote3 div your','gkblockquote3 div your',0,1,1.7333,'G142316',68),(2510,'gkblockquote4','gkblockquote4',0,0,0.8667,'G1423',68),(2511,'gkblockquote4 div','gkblockquote4 div',0,1,1.5667,'G14231',68),(2512,'gkblockquote4 div your','gkblockquote4 div your',0,1,1.7333,'G142316',68),(2513,'gkblocktextcenter','gkblocktextcenter',0,0,1,'G1423232536',68),(2514,'gkblocktextcenter block','gkblocktextcenter block',0,1,1.7667,'G1423232536142',68),(2515,'gkblocktextcenter block of','gkblocktextcenter block of',0,1,1.8667,'G14232325361421',65),(2516,'gkblocktextleft','gkblocktextleft',0,0,1,'G142323413',68),(2517,'gkblocktextleft block','gkblocktextleft block',0,1,1.7,'G142323413142',68),(2518,'gkblocktextleft block of','gkblocktextleft block of',0,1,1.8,'G1423234131421',68),(2519,'gkblocktextright','gkblocktextright',0,0,1,'G142323623',68),(2520,'gkblocktextright block','gkblocktextright block',0,1,1.7333,'G142323623142',68),(2521,'gkblocktextright block of','gkblocktextright block of',0,1,1.8333,'G1423236231421',68),(2522,'gkbook','gkbook',0,0,0.4,'G120',52),(2523,'gkbook your','gkbook your',0,1,1.3667,'G126',29),(2524,'gkbook your goes','gkbook your goes',0,1,1.5333,'G1262',29),(2525,'gkbulb','gkbulb',0,0,0.4,'G141',28),(2526,'gkbulb your','gkbulb your',0,1,1.3667,'G1416',28),(2527,'gkbulb your message','gkbulb your message',0,1,1.6333,'G141652',28),(2528,'gkbullet1','gkbullet1',0,0,0.6,'G143',68),(2529,'gkbullet1 lorem','gkbullet1 lorem',0,1,1.5,'G143465',68),(2530,'gkbullet1 lorem ipsum','gkbullet1 lorem ipsum',0,1,1.7,'G143465125',68),(2531,'gkbullet2','gkbullet2',0,0,0.6,'G143',68),(2532,'gkbullet2 lorem','gkbullet2 lorem',0,1,1.5,'G143465',68),(2533,'gkbullet2 lorem ipsum','gkbullet2 lorem ipsum',0,1,1.7,'G143465125',68),(2534,'gkbullet3','gkbullet3',0,0,0.6,'G143',68),(2535,'gkbullet3 lorem','gkbullet3 lorem',0,1,1.5,'G143465',68),(2536,'gkbullet3 lorem ipsum','gkbullet3 lorem ipsum',0,1,1.7,'G143465125',68),(2537,'gkbullet4','gkbullet4',0,0,0.6,'G143',68),(2538,'gkbullet4 lorem','gkbullet4 lorem',0,1,1.5,'G143465',68),(2539,'gkbullet4 lorem ipsum','gkbullet4 lorem ipsum',0,1,1.7,'G143465125',68),(2540,'gkcircle1','gkcircle1',0,0,0.6,'G624',43),(2541,'gkcircle1 lorem','gkcircle1 lorem',0,1,1.5,'G62465',43),(2542,'gkcircle1 lorem ipsum','gkcircle1 lorem ipsum',0,1,1.7,'G62465125',43),(2543,'gkcircle2','gkcircle2',0,0,0.6,'G624',43),(2544,'gkcircle2 lorem','gkcircle2 lorem',0,1,1.5,'G62465',43),(2545,'gkcircle2 lorem ipsum','gkcircle2 lorem ipsum',0,1,1.7,'G62465125',43),(2546,'gkcode1','gkcode1',0,0,0.4667,'G300',68),(2547,'gkcode1 here','gkcode1 here',0,1,1.4,'G360',68),(2548,'gkcode1 here goes','gkcode1 here goes',0,1,1.5667,'G362',68),(2549,'gkcode2','gkcode2',0,0,0.4667,'G300',68),(2550,'gkcode2 here','gkcode2 here',0,1,1.4,'G360',68),(2551,'gkcode2 here goes','gkcode2 here goes',0,1,1.5667,'G362',68),(2552,'gkcode3','gkcode3',0,0,0.4667,'G300',68),(2553,'gkcode3 h4','gkcode3 h4',0,1,1.3333,'G300',68),(2554,'gkcode3 h4 name','gkcode3 h4 name',0,1,1.5,'G350',68),(2555,'gkdec','gkdec',0,0,0.3333,'G320',43),(2556,'gkdec lorem','gkdec lorem',0,1,1.3667,'G32465',43),(2557,'gkdec lorem ipsum','gkdec lorem ipsum',0,1,1.5667,'G32465125',43),(2558,'gkdecimalleadingzero','gkdecimalleadingzero',0,0,1,'G32543526',43),(2559,'gkdecimalleadingzero lorem','gkdecimalleadingzero lorem',0,1,1.8667,'G32543526465',43),(2560,'gkdecimalleadingzero lorem ipsum','gkdecimalleadingzero lorem ipsum',0,1,2,'G32543526465125',43),(2561,'gkdigg','gkdigg',0,0,0.4,'G320',15),(2562,'gkdigg digg','gkdigg digg',0,1,1.3667,'G3232',15),(2563,'gkdigg digg a','gkdigg digg a',0,1,1.4333,'G3232',15),(2564,'gkdribbble','gkdribbble',0,0,0.6667,'G3614',3),(2565,'gkdribbble dribbble','gkdribbble dribbble',0,1,1.6333,'G36143614',3),(2566,'gkdribbble dribbble a','gkdribbble dribbble a',0,1,1.7,'G36143614',3),(2567,'gkdropcap1','gkdropcap1',0,0,0.6667,'G36121',43),(2568,'gkdropcap1 t','gkdropcap1 t',0,1,1.4,'G361213',43),(2569,'gkdropcap1 t span','gkdropcap1 t span',0,1,1.5667,'G361213215',43),(2570,'gkdropcap2','gkdropcap2',0,0,0.6667,'G36121',43),(2571,'gkdropcap2 span','gkdropcap2 span',0,1,1.5,'G36121215',43),(2572,'gkdropcap2 span class','gkdropcap2 span class',0,1,1.7,'G36121215242',43),(2573,'gkdropcap2 t','gkdropcap2 t',0,1,1.4,'G361213',43),(2574,'gkdropcap2 t span','gkdropcap2 t span',0,1,1.5667,'G361213215',43),(2575,'gkdropcap3','gkdropcap3',0,0,0.6667,'G36121',43),(2576,'gkdropcap3 t','gkdropcap3 t',0,1,1.4,'G361213',43),(2577,'gkdropcap3 t span','gkdropcap3 t span',0,1,1.5667,'G361213215',43),(2578,'gkerror','gkerror',0,0,0.4667,'G600',28),(2579,'gkerror your','gkerror your',0,1,1.4,'G600',28),(2580,'gkerror your message','gkerror your message',0,1,1.6667,'G652',28),(2581,'gkfacebook','gkfacebook',0,0,0.6667,'G1212',21),(2582,'gkfacebook facebook','gkfacebook facebook',0,1,1.6333,'G12121212',21),(2583,'gkfacebook facebook a','gkfacebook facebook a',0,1,1.7,'G12121212',21),(2584,'gkfile1','gkfile1',0,0,0.4667,'G140',52),(2585,'gkfile1 your','gkfile1 your',0,1,1.4,'G146',29),(2586,'gkfile1 your message','gkfile1 your message',0,1,1.6667,'G14652',29),(2587,'gkfile2','gkfile2',0,0,0.4667,'G140',52),(2588,'gkfile2 your','gkfile2 your',0,1,1.4,'G146',29),(2589,'gkfile2 your goes','gkfile2 your goes',0,1,1.5667,'G1462',29),(2590,'gkflash','gkflash',0,0,0.4667,'G142',28),(2591,'gkflash your','gkflash your',0,1,1.4,'G1426',28),(2592,'gkflash your message','gkflash your message',0,1,1.6667,'G142652',28),(2593,'gkgraph','gkgraph',0,0,0.4667,'G610',28),(2594,'gkgraph your','gkgraph your',0,1,1.4,'G616',28),(2595,'gkgraph your message','gkgraph your message',0,1,1.6667,'G61652',28),(2596,'gkheadling','gkheadling',0,0,0.6667,'G3452',43),(2597,'gkheadling for','gkheadling for',0,1,1.4667,'G345216',43),(2598,'gkheadling for headline','gkheadling for headline',0,1,1.7667,'G345216345',43),(2599,'gkhighlight1','gkhighlight1',0,0,0.8,'G423',68),(2600,'gkhighlight1 your','gkhighlight1 your',0,1,1.5667,'G4236',68),(2601,'gkhighlight1 your highlight','gkhighlight1 your highlight',0,1,1.9,'G42362423',68),(2602,'gkhighlight2','gkhighlight2',0,0,0.8,'G423',68),(2603,'gkhighlight2 your','gkhighlight2 your',0,1,1.5667,'G4236',68),(2604,'gkhighlight2 your highlight','gkhighlight2 your highlight',0,1,1.9,'G42362423',68),(2605,'gkhighlight3','gkhighlight3',0,0,0.8,'G423',68),(2606,'gkhighlight3 your','gkhighlight3 your',0,1,1.5667,'G4236',68),(2607,'gkhighlight3 your highlight','gkhighlight3 your highlight',0,1,1.9,'G42362423',67),(2608,'gkhighlight4','gkhighlight4',0,0,0.8,'G423',68),(2609,'gkhighlight4 your','gkhighlight4 your',0,1,1.5667,'G4236',68),(2610,'gkhighlight4 your highlight','gkhighlight4 your highlight',0,1,1.9,'G42362423',68),(2611,'gkichat','gkichat',0,0,0.4667,'G300',3),(2612,'gkichat ichat','gkichat ichat',0,1,1.4333,'G323',3),(2613,'gkichat ichat a','gkichat ichat a',0,1,1.5,'G323',3),(2614,'gklegend1','gklegend1',0,0,0.6,'G4253',68),(2615,'gklegend1 h4','gklegend1 h4',0,1,1.4,'G4253',68),(2616,'gklegend1 h4 title','gklegend1 h4 title',0,1,1.6,'G42534',68),(2617,'gklegend2','gklegend2',0,0,0.6,'G4253',45),(2618,'gklegend2 h4','gklegend2 h4',0,1,1.4,'G4253',45),(2619,'gklegend2 h4 title','gklegend2 h4 title',0,1,1.6,'G42534',45),(2620,'gklegend3','gklegend3',0,0,0.6,'G4253',43),(2621,'gklegend3 h4','gklegend3 h4',0,1,1.4,'G4253',39),(2622,'gklegend3 h4 title','gklegend3 h4 title',0,1,1.6,'G42534',39),(2623,'gklegend4','gklegend4',0,0,0.6,'G4253',43),(2624,'gklegend4 h4','gklegend4 h4',0,1,1.4,'G4253',43),(2625,'gklegend4 h4 title','gklegend4 h4 title',0,1,1.6,'G42534',43),(2626,'gklocation','gklocation',0,0,0.6667,'G4235',52),(2627,'gklocation your','gklocation your',0,1,1.5,'G42356',29),(2628,'gklocation your goes','gklocation your goes',0,1,1.6667,'G423562',29),(2629,'gklocationminus','gklocationminus',0,0,1,'G42352',28),(2630,'gklocationminus your','gklocationminus your',0,1,1.6667,'G423526',28),(2631,'gklocationminus your message','gklocationminus your message',0,1,1.9333,'G42352652',28),(2632,'gklocationplus','gklocationplus',0,0,0.9333,'G4235142',28),(2633,'gklocationplus your','gklocationplus your',0,1,1.6333,'G42351426',28),(2634,'gkmap','gkmap',0,0,0.3333,'G510',52),(2635,'gkmap your','gkmap your',0,1,1.3333,'G516',30),(2636,'gkmap your message','gkmap your message',0,1,1.6,'G51652',30),(2637,'gkmobypicture','gkmobypicture',0,0,0.8667,'G51236',3),(2638,'gkmobypicture moby','gkmobypicture moby',0,1,1.6,'G5123651',3),(2639,'gkmobypicture moby picture','gkmobypicture moby picture',0,1,1.8667,'G5123651236',3),(2640,'gknav','gknav',0,0,0.3333,'G510',28),(2641,'gknav your','gknav your',0,1,1.3333,'G516',28),(2642,'gknav your goes','gknav your goes',0,1,1.5,'G5162',28),(2643,'gknumber1','gknumber1',0,0,0.6,'G516',24),(2644,'gknumber1 span','gknumber1 span',0,1,1.4667,'G516215',24),(2645,'gknumber1 span here','gknumber1 span here',0,1,1.6333,'G5162156',24),(2646,'gknumber2','gknumber2',0,0,0.6,'G516',24),(2647,'gknumber2 span','gknumber2 span',0,1,1.4667,'G516215',24),(2648,'gknumber2 span here','gknumber2 span here',0,1,1.6333,'G5162156',24),(2649,'gknumber3','gknumber3',0,0,0.6,'G516',24),(2650,'gknumber3 span','gknumber3 span',0,1,1.4667,'G516215',24),(2651,'gknumber3 span here','gknumber3 span here',0,1,1.6333,'G5162156',24),(2652,'gkribbon','gkribbon',0,0,0.5333,'G615',28),(2653,'gkribbon your','gkribbon your',0,1,1.4333,'G6156',28),(2654,'gkribbon your message','gkribbon your message',0,1,1.7,'G615652',28),(2655,'gkroman','gkroman',0,0,0.4667,'G650',43),(2656,'gkroman lorem','gkroman lorem',0,1,1.4333,'G65465',43),(2657,'gkroman lorem ipsum','gkroman lorem ipsum',0,1,1.6333,'G65465125',43),(2658,'gksearch','gksearch',0,0,0.5333,'G620',28),(2659,'gksearch your','gksearch your',0,1,1.4333,'G626',28),(2660,'gksearch your message','gksearch your message',0,1,1.7,'G62652',28),(2661,'gksquare1','gksquare1',0,0,0.6,'G600',43),(2662,'gksquare1 lorem','gksquare1 lorem',0,1,1.5,'G6465',43),(2663,'gksquare1 lorem ipsum','gksquare1 lorem ipsum',0,1,1.7,'G6465125',43),(2664,'gksquare2','gksquare2',0,0,0.6,'G600',43),(2665,'gksquare2 lorem','gksquare2 lorem',0,1,1.5,'G6465',43),(2666,'gksquare2 lorem ipsum','gksquare2 lorem ipsum',0,1,1.7,'G6465125',43),(2667,'gkstar','gkstar',0,0,0.4,'G360',28),(2668,'gkstar your','gkstar your',0,1,1.3667,'G360',28),(2669,'gkstar your message','gkstar your message',0,1,1.6333,'G3652',28),(2670,'gkstats','gkstats',0,0,0.4667,'G320',52),(2671,'gkstats your','gkstats your',0,1,1.4,'G326',29),(2672,'gkstats your goes','gkstats your goes',0,1,1.5667,'G3262',29),(2673,'gkstumbleupon','gkstumbleupon',0,0,0.8667,'G351415',3),(2674,'gkstumbleupon stumble','gkstumbleupon stumble',0,1,1.7,'G35141523514',3),(2675,'gkstumbleupon stumble upon','gkstumbleupon stumble upon',0,1,1.8667,'G3514152351415',3),(2676,'gksubheadline','gksubheadline',0,0,0.8667,'G1345',43),(2677,'gksubheadline for','gksubheadline for',0,1,1.5667,'G134516',43),(2678,'gksubheadline for subheadline','gksubheadline for subheadline',0,1,1.9667,'G13451621345',43),(2679,'gktag','gktag',0,0,0.3333,'G320',52),(2680,'gktag your','gktag your',0,1,1.3333,'G326',30),(2681,'gktag your message','gktag your message',0,1,1.6,'G32652',30),(2682,'gktick','gktick',0,0,0.4,'G320',28),(2683,'gktick your','gktick your',0,1,1.3667,'G326',28),(2684,'gktick your message','gktick your message',0,1,1.6333,'G32652',28),(2685,'gktwitter','gktwitter',0,0,0.6,'G360',35),(2686,'gktwitter twitter','gktwitter twitter',0,1,1.5667,'G3636',21),(2687,'gktwitter twitter a','gktwitter twitter a',0,1,1.6333,'G3636',21),(2688,'gkvimeo','gkvimeo',0,0,0.4667,'G150',15),(2689,'gkvimeo vimeo','gkvimeo vimeo',0,1,1.4333,'G1515',15),(2690,'gkvimeo vimeo a','gkvimeo vimeo a',0,1,1.5,'G1515',15),(2691,'gkyoutube','gkyoutube',0,0,0.6,'G310',15),(2692,'gkyoutube youtube','gkyoutube youtube',0,1,1.5667,'G3131',15),(2693,'gkyoutube youtube a','gkyoutube youtube a',0,1,1.6333,'G3131',15),(2694,'gkzoomminus','gkzoomminus',0,0,0.7333,'G520',28),(2695,'gkzoomminus your','gkzoomminus your',0,1,1.5333,'G526',28),(2696,'gkzoomminus your message','gkzoomminus your message',0,1,1.8,'G52652',28),(2697,'gkzoomplus','gkzoomplus',0,0,0.6667,'G5142',28),(2698,'gkzoomplus your','gkzoomplus your',0,1,1.5,'G51426',28),(2699,'gkzoomplus your goes','gkzoomplus your goes',0,1,1.6667,'G514262',28),(2700,'goes','goes',0,0,0.2667,'G000',73),(2701,'goes a','goes a',0,1,1.2,'G000',68),(2702,'goes a number','goes a number',0,1,1.4333,'G516',68),(2703,'goes an','goes an',0,1,1.2333,'G500',43),(2704,'goes an abbreviation','goes an abbreviation',0,1,1.6667,'G516135',38),(2705,'goes an acronym','goes an acronym',0,1,1.5,'G5265',35),(2706,'goes full','goes full',0,1,1.3,'G140',43),(2707,'goes full phrase','goes full phrase',0,1,1.5333,'G14162',43),(2708,'goes full word','goes full word',0,1,1.4667,'G1463',43),(2709,'goes here','goes here',0,1,1.3,'G600',69),(2710,'goes here div','goes here div',0,1,1.4333,'G631',68),(2711,'goes here p','goes here p',0,1,1.3667,'G610',30),(2712,'goes here span','goes here span',0,1,1.4667,'G6215',68),(2713,'goes main','goes main',0,1,1.3,'G500',68),(2714,'goes main part','goes main part',0,1,1.4667,'G5163',68),(2715,'goes your','goes your',0,1,1.3,'G600',68),(2716,'goes your code','goes your code',0,1,1.4667,'G623',68),(2717,'graph','graph',0,0,0.3333,'G610',28),(2718,'graph message','graph message',0,1,1.4333,'G6152',28),(2719,'graph message use','graph message use',0,1,1.5667,'G6152',28),(2720,'h4','h4',0,0,0.1333,'H000',68),(2721,'h4 here','h4 here',0,1,1.2333,'H600',68),(2722,'h4 here goes','h4 here goes',0,1,1.4,'H620',68),(2723,'h4 name','h4 name',0,1,1.2333,'H500',68),(2724,'h4 name of','h4 name of',0,1,1.3333,'H510',68),(2725,'h4 p','h4 p',0,1,1.1333,'H100',68),(2726,'h4 p and','h4 p and',0,1,1.2667,'H153',68),(2727,'h4 title','h4 title',0,1,1.2667,'H340',68),(2728,'h4 title h4','h4 title h4',0,1,1.3667,'H340',68),(2729,'habitasse','habitasse',0,0,0.6,'H132',21),(2730,'habitasse platea','habitasse platea',0,1,1.5333,'H132143',21),(2731,'habitasse platea dictumst','habitasse platea dictumst',0,1,1.8333,'H13214323523',21),(2732,'hac','hac',0,0,0.2,'H200',21),(2733,'hac habitasse','hac habitasse',0,1,1.4333,'H2132',21),(2734,'hac habitasse platea','hac habitasse platea',0,1,1.6667,'H2132143',21),(2735,'have a typography','have a typography',0,1,1.5667,'H131261',68),(2736,'have to','have to',0,1,1.2333,'H130',80),(2737,'have to use','have to use',0,1,1.3667,'H132',68),(2738,'heading','heading',0,0,0.4667,'H352',68),(2739,'heading 1','heading 1',0,1,1.3,'H352',68),(2740,'heading 1 lorem','heading 1 lorem',0,1,1.5,'H352465',44),(2741,'heading 2','heading 2',0,1,1.3,'H352',68),(2742,'heading 2 cras','heading 2 cras',0,1,1.4667,'H35262',44),(2743,'heading 3','heading 3',0,1,1.3,'H352',68),(2744,'heading 3 vivamus','heading 3 vivamus',0,1,1.5667,'H352152',44),(2745,'heading 4','heading 4',0,1,1.3,'H352',68),(2746,'heading 4 proin','heading 4 proin',0,1,1.5,'H352165',44),(2747,'headings','headings',0,0,0.5333,'H352',68),(2748,'headings this','headings this',0,1,1.4333,'H35232',68),(2749,'headings this is','headings this is',0,1,1.5333,'H35232',68),(2750,'headline','headline',0,0,0.5333,'H345',68),(2751,'headline p','headline p',0,1,1.3333,'H3451',43),(2752,'headline p p','headline p p',0,1,1.4,'H3451',43),(2753,'headline tags','headline tags',0,1,1.4333,'H34532',68),(2754,'headline tags in','headline tags in',0,1,1.5333,'H345325',68),(2755,'headline this','headline this',0,1,1.4333,'H34532',43),(2756,'headline this is','headline this is',0,1,1.5333,'H34532',43),(2757,'headline use','headline use',0,1,1.4,'H3452',43),(2758,'headline use p','headline use p',0,1,1.4667,'H34521',43),(2759,'help','help',0,0,0.2667,'H410',50),(2760,'help help','help help',0,1,1.3,'H4141',43),(2761,'help help this','help help this',0,1,1.4667,'H414132',43),(2762,'help this','help this',0,1,1.3,'H4132',43),(2763,'help this is','help this is',0,1,1.4,'H4132',43),(2764,'hendrerit','hendrerit',0,0,0.6,'H5363',220),(2765,'hendrerit aliquam','hendrerit aliquam',0,1,1.5667,'H5363425',69),(2766,'hendrerit aliquam rhoncus','hendrerit aliquam rhoncus',0,1,1.8333,'H5363425652',69),(2767,'hendrerit massa','hendrerit massa',0,1,1.5,'H536352',44),(2768,'hendrerit massa sed','hendrerit massa sed',0,1,1.6333,'H5363523',21),(2769,'here','here',0,0,0.2667,'H600',82),(2770,'here are','here are',0,1,1.2667,'H600',43),(2771,'here are some','here are some',0,1,1.4333,'H625',43),(2772,'here cite','here cite',0,1,1.3,'H623',68),(2773,'here cite author','here cite author',0,1,1.5333,'H6236',68),(2774,'here div','here div',0,1,1.2667,'H631',68),(2775,'here div div','here div div',0,1,1.4,'H63131',68),(2776,'here div lorem','here div lorem',0,1,1.4667,'H631465',68),(2777,'here goes','here goes',0,1,1.3,'H620',68),(2778,'here goes a','here goes a',0,1,1.3667,'H620',68),(2779,'here goes an','here goes an',0,1,1.4,'H625',43),(2780,'here goes full','here goes full',0,1,1.4667,'H6214',43),(2781,'here goes main','here goes main',0,1,1.4667,'H625',68),(2782,'here goes your','here goes your',0,1,1.4667,'H626',68),(2783,'here p','here p',0,1,1.2,'H610',30),(2784,'here p this','here p this',0,1,1.3667,'H6132',29),(2785,'here p tooltips','here p tooltips',0,1,1.5,'H6134312',29),(2786,'here span','here span',0,1,1.3,'H6215',68),(2787,'here span code','here span code',0,1,1.4667,'H621523',67),(2788,'here span lorem','here span lorem',0,1,1.5,'H6215465',21),(2789,'here text','here text',0,1,1.3,'H6323',68),(2790,'here text of','here text of',0,1,1.4,'H63231',68),(2791,'here text p','here text p',0,1,1.3667,'H63231',68),(2792,'highlight','highlight',0,0,0.6,'H2423',68),(2793,'highlight phrase','highlight phrase',0,1,1.5333,'H2423162',68),(2794,'highlight phrase goes','highlight phrase goes',0,1,1.7,'H2423162',68),(2795,'highlight phrase use','highlight phrase use',0,1,1.6667,'H2423162',68),(2796,'highlights','highlights',0,0,0.6667,'H24232',68),(2797,'highlights lorem','highlights lorem',0,1,1.5333,'H24232465',21),(2798,'highlights lorem ipsum','highlights lorem ipsum',0,1,1.7333,'H24232465125',21),(2799,'his','his',0,0,0.2,'H200',69),(2800,'his is','his is',0,1,1.2,'H200',43),(2801,'his is a','his is a',0,1,1.2667,'H200',43),(2802,'how','how',0,0,0.2,'H000',120),(2803,'how you','how you',0,1,1.2333,'H000',68),(2804,'how you can','how you can',0,1,1.3667,'H250',68),(2805,'href','href',0,0,0.2667,'H610',60),(2806,'href class','href class',0,1,1.3333,'H61242',26),(2807,'href class gkdigg','href class gkdigg',0,1,1.5667,'H6124232',15),(2808,'href class gkdribbble','href class gkdribbble',0,1,1.7,'H612423614',3),(2809,'href class gkfacebook','href class gkfacebook',0,1,1.7,'H612421212',18),(2810,'href class gkichat','href class gkichat',0,1,1.6,'H612423',3),(2811,'href class gkmobypicture','href class gkmobypicture',0,1,1.8,'H6124251236',3),(2812,'href class gkstumbleupon','href class gkstumbleupon',0,1,1.8,'H61242351415',3),(2813,'href class gktwitter','href class gktwitter',0,1,1.6667,'H6124236',21),(2814,'href class gkvimeo','href class gkvimeo',0,1,1.6,'H6124215',15),(2815,'href class gkyoutube','href class gkyoutube',0,1,1.6667,'H6124231',14),(2816,'html','html',0,0,0.2667,'H354',70),(2817,'html code','html code',0,1,1.3,'H35423',68),(2818,'html code warnings','html code warnings',0,1,1.6,'H35423652',68),(2819,'iaculis','iaculis',0,0,0.4667,'I242',952),(2820,'iaculis phasellus','iaculis phasellus',0,1,1.5667,'I2421242',44),(2821,'iaculis phasellus venenatis','iaculis phasellus venenatis',0,1,1.9,'I24212421532',44),(2822,'ichat','ichat',0,0,0.3333,'I230',3),(2823,'ichat a','ichat a',0,1,1.2333,'I230',3),(2824,'ichat a a','ichat a a',0,1,1.3,'I230',3),(2825,'ichat digg','ichat digg',0,1,1.3333,'I232',3),(2826,'ichat digg dribbble','ichat digg dribbble',0,1,1.6333,'I2323614',3),(2827,'icon','icon',0,0,0.2667,'I250',58),(2828,'icon set','icon set',0,1,1.2667,'I2523',57),(2829,'icon set 1','icon set 1',0,1,1.3333,'I2523',18),(2830,'icons','icons',0,0,0.3333,'I252',67),(2831,'icons by','icons by',0,1,1.2667,'I2521',24),(2832,'icons by using','icons by using',0,1,1.4667,'I2521252',24),(2833,'icons like','icons like',0,1,1.3333,'I25242',24),(2834,'icons like the','icons like the',0,1,1.4667,'I252423',24),(2835,'id fringilla','id fringilla',0,1,1.4,'I316524',44),(2836,'id fringilla enim','id fringilla enim',0,1,1.5667,'I3165245',44),(2837,'id libero','id libero',0,1,1.3,'I3416',23),(2838,'id libero aliquam','id libero aliquam',0,1,1.5667,'I3416425',21),(2839,'id nulla','id nulla',0,1,1.2667,'I354',21),(2840,'id nulla this','id nulla this',0,1,1.4333,'I35432',21),(2841,'imperdiet','imperdiet',0,0,0.6,'I5163',48),(2842,'imperdiet hendrerit','imperdiet hendrerit',0,1,1.6333,'I51635363',44),(2843,'imperdiet hendrerit massa','imperdiet hendrerit massa',0,1,1.8333,'I5163536352',44),(2844,'imperdiet placerat','imperdiet placerat',0,1,1.6,'I516314263',21),(2845,'imperdiet placerat tristique','imperdiet placerat tristique',0,1,1.9333,'I5163142636232',13),(2846,'in a','in a',0,1,1.1333,'I500',74),(2847,'in a better','in a better',0,1,1.3667,'I5136',68),(2848,'in a package','in a package',0,1,1.4,'I512',68),(2849,'in etiam','in etiam',0,1,1.2667,'I535',44),(2850,'in etiam volutpat','in etiam volutpat',0,1,1.5667,'I53514313',44),(2851,'in hac','in hac',0,1,1.2,'I520',21),(2852,'in hac habitasse','in hac habitasse',0,1,1.5333,'I52132',21),(2853,'in order','in order',0,1,1.2667,'I5636',79),(2854,'in order to','in order to',0,1,1.3667,'I56363',79),(2855,'in quam','in quam',0,1,1.2333,'I525',21),(2856,'in quam tempor','in quam tempor',0,1,1.4667,'I5253516',21),(2857,'in sapien','in sapien',0,1,1.3,'I5215',2),(2858,'in sapien velit','in sapien velit',0,1,1.5,'I5215143',2),(2859,'in tempus','in tempus',0,1,1.3,'I53512',44),(2860,'in tempus lorem','in tempus lorem',0,1,1.5,'I53512465',44),(2861,'in volutpat','in volutpat',0,1,1.3667,'I514313',44),(2862,'in volutpat diam','in volutpat diam',0,1,1.5333,'I5143135',44),(2863,'in volutpat fusce','in volutpat fusce',0,1,1.5667,'I51431312',44),(2864,'in which','in which',0,1,1.2667,'I520',70),(2865,'in which is','in which is',0,1,1.3667,'I520',68),(2866,'information','information',0,0,0.7333,'I516535',56),(2867,'information information','information information',0,1,1.7667,'I51653516535',43),(2868,'information information this','information information this',0,1,1.9333,'I5165351653532',43),(2869,'information this','information this',0,1,1.5333,'I51653532',43),(2870,'information this is','information this is',0,1,1.6333,'I51653532',43),(2871,'integer porta','integer porta',0,1,1.4333,'I5326163',44),(2872,'integer porta facilisis','integer porta facilisis',0,1,1.7667,'I53261631242',44),(2873,'integer semper','integer semper',0,1,1.4667,'I53262516',44),(2874,'integer semper egestas','integer semper egestas',0,1,1.7333,'I53262516232',44),(2875,'interdum sit','interdum sit',0,1,1.4,'I5363523',68),(2876,'interdum sit amet','interdum sit amet',0,1,1.5667,'I536352353',68),(2877,'ipsum auctor','ipsum auctor',0,1,1.4,'I125236',44),(2878,'ipsum auctor et','ipsum auctor et',0,1,1.5,'I1252363',44),(2879,'ipsum et','ipsum et',0,1,1.2667,'I1253',69),(2880,'ipsum et lacus','ipsum et lacus',0,1,1.4667,'I125342',69),(2881,'ipsum lorem','ipsum lorem',0,1,1.3667,'I125465',57),(2882,'ipsum lorem ipsum','ipsum lorem ipsum',0,1,1.5667,'I125465125',57),(2883,'ipsum numblocks','ipsum numblocks',0,1,1.5,'I125142',37),(2884,'ipsum numblocks p','ipsum numblocks p',0,1,1.5667,'I1251421',37),(2885,'is a','is a',0,1,1.1333,'I200',116),(2886,'is a headline','is a headline',0,1,1.4333,'I2345',43),(2887,'is a highlight','is a highlight',0,1,1.4667,'I2423',68),(2888,'is a large','is a large',0,1,1.3333,'I2462',43),(2889,'is a locationplus','is a locationplus',0,1,1.5667,'I24235142',28),(2890,'is a sample','is a sample',0,1,1.3667,'I2514',46),(2891,'is a small','is a small',0,1,1.3333,'I254',43),(2892,'is a subheadline','is a subheadline',0,1,1.5333,'I21345',43),(2893,'is delivered','is delivered',0,1,1.4,'I234163',68),(2894,'is delivered in','is delivered in',0,1,1.5,'I2341635',68),(2895,'is heading','is heading',0,1,1.3333,'I2352',68),(2896,'is heading 1','is heading 1',0,1,1.4,'I2352',68),(2897,'is heading 2','is heading 2',0,1,1.4,'I2352',68),(2898,'is heading 3','is heading 3',0,1,1.4,'I2352',68),(2899,'is heading 4','is heading 4',0,1,1.4,'I2352',68),(2900,'is just','is just',0,1,1.2333,'I230',43),(2901,'is just an','is just an',0,1,1.3333,'I235',43),(2902,'is possible','is possible',0,1,1.3667,'I21214',72),(2903,'is possible with','is possible with',0,1,1.5333,'I212143',68),(2904,'it','it',0,0,0.1333,'I300',326),(2905,'it is','it is',0,1,1.1667,'I320',85),(2906,'it is possible','it is possible',0,1,1.4667,'I321214',68),(2907,'it you','it you',0,1,1.2,'I300',68),(2908,'it you have','it you have',0,1,1.3667,'I310',68),(2909,'just','just',0,0,0.2667,'J300',234),(2910,'just an','just an',0,1,1.2333,'J350',43),(2911,'just an example','just an example',0,1,1.5,'J352514',43),(2912,'justo sed','justo sed',0,1,1.3,'J323',68),(2913,'justo sed faucibus','justo sed faucibus',0,1,1.6,'J3231212',68),(2914,'justo sodales','justo sodales',0,1,1.4333,'J32342',44),(2915,'justo sodales quis','justo sodales quis',0,1,1.6,'J32342',44),(2916,'kfile2','kfile2',0,0,0.4,'K140',52),(2917,'kfile2 message','kfile2 message',0,1,1.4667,'K1452',52),(2918,'kfile2 message use','kfile2 message use',0,1,1.6,'K1452',52),(2919,'lacinia aenean','lacinia aenean',0,1,1.4667,'L250',21),(2920,'lacinia aenean venenatis','lacinia aenean venenatis',0,1,1.8,'L251532',21),(2921,'lacinia eros','lacinia eros',0,1,1.4,'L2562',69),(2922,'lacinia eros sed','lacinia eros sed',0,1,1.5333,'L25623',69),(2923,'lacinia in','lacinia in',0,1,1.3333,'L250',21),(2924,'lacinia in hac','lacinia in hac',0,1,1.4667,'L252',21),(2925,'lacinia nisi','lacinia nisi',0,1,1.4,'L252',44),(2926,'lacinia nisi nam','lacinia nisi nam',0,1,1.5333,'L2525',44),(2927,'lacus nam','lacus nam',0,1,1.3,'L250',69),(2928,'lacus nam fermentum','lacus nam fermentum',0,1,1.6333,'L2516535',69),(2929,'laoreet enim','laoreet enim',0,1,1.4,'L635',68),(2930,'laoreet enim et','laoreet enim et',0,1,1.5,'L6353',68),(2931,'laoreet ipsum','laoreet ipsum',0,1,1.4333,'L63125',44),(2932,'laoreet ipsum auctor','laoreet ipsum auctor',0,1,1.6667,'L63125236',44),(2933,'large','large',0,0,0.3333,'L620',43),(2934,'large headline','large headline',0,1,1.4667,'L62345',43),(2935,'large headline use','large headline use',0,1,1.6,'L623452',43),(2936,'lectus','lectus',0,0,0.4,'L232',404),(2937,'lectus eget','lectus eget',0,1,1.3667,'L2323',44),(2938,'lectus eget laoreet','lectus eget laoreet',0,1,1.6333,'L2323463',44),(2939,'lectus fusce','lectus fusce',0,1,1.4,'L23212',44),(2940,'lectus fusce eu','lectus fusce eu',0,1,1.5,'L23212',44),(2941,'lectus ornare','lectus ornare',0,1,1.4333,'L232656',68),(2942,'lectus ornare hendrerit','lectus ornare hendrerit',0,1,1.7667,'L2326565363',68),(2943,'left','left',0,0,0.2667,'L130',77),(2944,'left display','left display',0,1,1.4,'L13214',68),(2945,'left display block','left display block',0,1,1.6,'L13214142',68),(2946,'legend','legend',0,0,0.4,'L253',68),(2947,'legend lorem','legend lorem',0,1,1.4,'L253465',68),(2948,'legend lorem ipsum','legend lorem ipsum',0,1,1.6,'L253465125',68),(2949,'legends','legends',0,0,0.4667,'L2532',68),(2950,'leo lorem','leo lorem',0,1,1.3,'L650',244),(2951,'leo lorem vitae','leo lorem vitae',0,1,1.5,'L6513',69),(2952,'libero aliquam','libero aliquam',0,1,1.4667,'L16425',35),(2953,'libero aliquam ullamcorper','libero aliquam ullamcorper',0,1,1.8667,'L16425452616',21),(2954,'libero aliquam use','libero aliquam use',0,1,1.6,'L164252',21),(2955,'libero mauris','libero mauris',0,1,1.4333,'L16562',69),(2956,'libero mauris lacinia','libero mauris lacinia',0,1,1.7,'L16562425',69),(2957,'libero morbi','libero morbi',0,1,1.4,'L16561',69),(2958,'libero morbi aliquam','libero morbi aliquam',0,1,1.6667,'L16561425',69),(2959,'ligula feugiat','ligula feugiat',0,1,1.4667,'L24123',68),(2960,'ligula feugiat ac','ligula feugiat ac',0,1,1.5667,'L241232',68),(2961,'like the','like the',0,1,1.2667,'L230',24),(2962,'like the following','like the following',0,1,1.6,'L231452',24),(2963,'lists','lists',0,0,0.3333,'L232',68),(2964,'lists ol','lists ol',0,1,1.2667,'L2324',43),(2965,'lists ol class','lists ol class',0,1,1.4667,'L2324242',43),(2966,'lists ul','lists ul',0,1,1.2667,'L2324',68),(2967,'lists ul class','lists ul class',0,1,1.4667,'L2324242',68),(2968,'lobortis dapibus','lobortis dapibus',0,1,1.5333,'L1632312',68),(2969,'lobortis dapibus risus','lobortis dapibus risus',0,1,1.7333,'L163231262',68),(2970,'lobortis sed','lobortis sed',0,1,1.4,'L16323',44),(2971,'lobortis sed lobortis','lobortis sed lobortis',0,1,1.7,'L1632341632',44),(2972,'lobortis vel','lobortis vel',0,1,1.4,'L163214',46),(2973,'lobortis vel mauris','lobortis vel mauris',0,1,1.6333,'L163214562',44),(2974,'location','location',0,0,0.5333,'L235',52),(2975,'location message','location message',0,1,1.5333,'L2352',52),(2976,'location message use','location message use',0,1,1.6667,'L2352',52),(2977,'locationminus','locationminus',0,0,0.8667,'L2352',28),(2978,'locationminus message','locationminus message',0,1,1.7,'L235252',28),(2979,'locationminus message use','locationminus message use',0,1,1.8333,'L235252',28),(2980,'locationplus','locationplus',0,0,0.8,'L235142',28),(2981,'locationplus cd','locationplus cd',0,1,1.5,'L2351423',28),(2982,'locationplus cd message','locationplus cd message',0,1,1.7667,'L235142352',28),(2983,'lorem ipsum lorem','lorem ipsum lorem',0,1,1.5667,'L65125465',57),(2984,'lorem ipsum numblocks','lorem ipsum numblocks',0,1,1.7,'L65125142',37),(2985,'lorem mattis','lorem mattis',0,1,1.4,'L6532',44),(2986,'lorem mattis molestie','lorem mattis molestie',0,1,1.7,'L65325423',44),(2987,'lorem praesent','lorem praesent',0,1,1.4667,'L6516253',21),(2988,'lorem praesent aliquet','lorem praesent aliquet',0,1,1.7333,'L6516253423',21),(2989,'lorem vitae','lorem vitae',0,1,1.3667,'L6513',69),(2990,'lorem vitae purus','lorem vitae purus',0,1,1.5667,'L6513162',69),(2991,'luctus augue','luctus augue',0,1,1.4,'L232',44),(2992,'luctus augue id','luctus augue id',0,1,1.5,'L2323',44),(2993,'luctus this','luctus this',0,1,1.3667,'L23232',21),(2994,'luctus this is','luctus this is',0,1,1.4667,'L23232',21),(2995,'luctus velit','luctus velit',0,1,1.4,'L232143',44),(2996,'luctus velit quis','luctus velit quis',0,1,1.5667,'L2321432',44),(2997,'magna convallis','magna convallis',0,1,1.5,'M2525142',21),(2998,'magna convallis lacinia','magna convallis lacinia',0,1,1.7667,'M2525142425',21),(2999,'main','main',0,0,0.2667,'M000',72),(3000,'main part','main part',0,1,1.3,'M163',68),(3001,'main part of','main part of',0,1,1.4,'M1631',68),(3002,'malesuada felis','malesuada felis',0,1,1.5,'M423142',69),(3003,'malesuada felis cras','malesuada felis cras',0,1,1.6667,'M42314262',69),(3004,'malesuada neque','malesuada neque',0,1,1.5,'M42352',21),(3005,'malesuada neque icon','malesuada neque icon',0,1,1.6667,'M423525',15),(3006,'malesuada neque this','malesuada neque this',0,1,1.6667,'M4235232',21),(3007,'map','map',0,0,0.2,'M100',52),(3008,'map message','map message',0,1,1.3667,'M152',52),(3009,'map message use','map message use',0,1,1.5,'M152',52),(3010,'massa adipiscing','massa adipiscing',0,1,1.5333,'M231252',69),(3011,'massa adipiscing justo','massa adipiscing justo',0,1,1.7333,'M2312523',69),(3012,'massa imperdiet','massa imperdiet',0,1,1.5,'M25163',21),(3013,'massa imperdiet placerat','massa imperdiet placerat',0,1,1.8,'M2516314263',21),(3014,'massa sed','massa sed',0,1,1.3,'M230',21),(3015,'massa sed eleifend','massa sed eleifend',0,1,1.6,'M234153',21),(3016,'mattis eu','mattis eu',0,1,1.3,'M320',21),(3017,'mattis eu id','mattis eu id',0,1,1.4,'M323',21),(3018,'mattis feugiat','mattis feugiat',0,1,1.4667,'M32123',69),(3019,'mattis feugiat dapibus','mattis feugiat dapibus',0,1,1.7333,'M3212312',69),(3020,'mattis molestie','mattis molestie',0,1,1.5,'M325423',44),(3021,'mattis molestie suspendisse','mattis molestie suspendisse',0,1,1.9,'M32542321532',44),(3022,'mauris in','mauris in',0,1,1.3,'M625',44),(3023,'mauris in volutpat','mauris in volutpat',0,1,1.6,'M62514313',44),(3024,'mauris lacinia','mauris lacinia',0,1,1.4667,'M62425',69),(3025,'mauris lacinia eros','mauris lacinia eros',0,1,1.6333,'M6242562',69),(3026,'mauris sed','mauris sed',0,1,1.3333,'M623',44),(3027,'mauris sed a','mauris sed a',0,1,1.4,'M623',44),(3028,'mauris sed vehicula','mauris sed vehicula',0,1,1.6333,'M623124',44),(3029,'mauris volutpat','mauris volutpat',0,1,1.5,'M6214313',21),(3030,'mauris volutpat consectetur','mauris volutpat consectetur',0,1,1.9,'M621431325236',21),(3031,'message','message',0,0,0.4667,'M200',55),(3032,'message goes','message goes',0,1,1.4,'M200',30),(3033,'message goes here','message goes here',0,1,1.5667,'M260',30),(3034,'message use','message use',0,1,1.3667,'M200',52),(3035,'message use p','message use p',0,1,1.4333,'M210',52),(3036,'moby','moby',0,0,0.2667,'M100',15),(3037,'moby picture','moby picture',0,1,1.4,'M1236',3),(3038,'moby picture a','moby picture a',0,1,1.4667,'M1236',3),(3039,'moby picture twitter','moby picture twitter',0,1,1.6667,'M123636',3),(3040,'molestie','molestie',0,0,0.5333,'M423',358),(3041,'molestie suspendisse','molestie suspendisse',0,1,1.6667,'M42321532',44),(3042,'molestie suspendisse potenti','molestie suspendisse potenti',0,1,1.9333,'M423215321353',44),(3043,'mollis augue','mollis augue',0,1,1.4,'M420',44),(3044,'mollis augue non','mollis augue non',0,1,1.5333,'M425',44),(3045,'mollis nunc','mollis nunc',0,1,1.3667,'M4252',44),(3046,'mollis nunc quisque','mollis nunc quisque',0,1,1.6333,'M4252',44),(3047,'mollis pretium','mollis pretium',0,1,1.4667,'M421635',44),(3048,'mollis pretium imperdiet','mollis pretium imperdiet',0,1,1.8,'M421635163',44),(3049,'morbi aliquam','morbi aliquam',0,1,1.4333,'M61425',69),(3050,'morbi aliquam nibh','morbi aliquam nibh',0,1,1.6,'M614251',69),(3051,'morbi quis','morbi quis',0,1,1.3333,'M612',68),(3052,'morbi quis enim','morbi quis enim',0,1,1.5,'M6125',68),(3053,'nam ac','nam ac',0,1,1.2,'N200',44),(3054,'nam ac sem','nam ac sem',0,1,1.3333,'N250',44),(3055,'nam fermentum','nam fermentum',0,1,1.4333,'N16535',69),(3056,'nam fermentum eros','nam fermentum eros',0,1,1.6,'N1653562',69),(3057,'nam quis','nam quis',0,1,1.2667,'N200',24),(3058,'nam quis turpis','nam quis turpis',0,1,1.5,'N23612',21),(3059,'name','name',0,0,0.2667,'N000',79),(3060,'name cite','name cite',0,1,1.3,'N230',68),(3061,'name cite div','name cite div',0,1,1.4333,'N231',68),(3062,'name of','name of',0,1,1.2333,'N100',68),(3063,'name of your','name of your',0,1,1.4,'N160',68),(3064,'nato','nato',0,0,0.2667,'N300',43),(3065,'nato use','nato use',0,1,1.2667,'N320',43),(3066,'nato use acronym','nato use acronym',0,1,1.5333,'N3265',43),(3067,'nav','nav',0,0,0.2,'N100',28),(3068,'nav message','nav message',0,1,1.3667,'N152',28),(3069,'nav message use','nav message use',0,1,1.5,'N152',28),(3070,'nec euismod','nec euismod',0,1,1.3667,'N253',44),(3071,'nec euismod lacinia','nec euismod lacinia',0,1,1.6333,'N253425',44),(3072,'nec tellus','nec tellus',0,1,1.3333,'N2342',2),(3073,'nec tellus headings','nec tellus headings',0,1,1.6333,'N2342352',2),(3074,'nec tellus lorem','nec tellus lorem',0,1,1.5333,'N2342465',2),(3075,'nec vel','nec vel',0,1,1.2333,'N214',44),(3076,'nec vel eros','nec vel eros',0,1,1.4,'N21462',42),(3077,'neque','neque',0,0,0.3333,'N200',195),(3078,'neque icon','neque icon',0,1,1.3333,'N250',39),(3079,'neque icon set','neque icon set',0,1,1.4667,'N2523',39),(3080,'neque nunc','neque nunc',0,1,1.3333,'N252',44),(3081,'neque nunc enim','neque nunc enim',0,1,1.5,'N2525',44),(3082,'neque this','neque this',0,1,1.3333,'N232',43),(3083,'neque this is','neque this is',0,1,1.4333,'N232',43),(3084,'nibh luctus','nibh luctus',0,1,1.3667,'N14232',21),(3085,'nibh luctus this','nibh luctus this',0,1,1.5333,'N1423232',21),(3086,'nibh mattis','nibh mattis',0,1,1.3667,'N1532',69),(3087,'nibh mattis feugiat','nibh mattis feugiat',0,1,1.6333,'N1532123',69),(3088,'nibh posuere','nibh posuere',0,1,1.4,'N126',44),(3089,'nibh posuere mauris','nibh posuere mauris',0,1,1.6333,'N126562',44),(3090,'nisi elementum','nisi elementum',0,1,1.4667,'N24535',69),(3091,'nisi elementum non','nisi elementum non',0,1,1.6,'N24535',69),(3092,'nisi massa','nisi massa',0,1,1.3333,'N252',69),(3093,'nisi massa adipiscing','nisi massa adipiscing',0,1,1.7,'N25231252',69),(3094,'nisi nam','nisi nam',0,1,1.2667,'N250',44),(3095,'nisi nam ac','nisi nam ac',0,1,1.3667,'N252',44),(3096,'non blandit','non blandit',0,1,1.3667,'N1453',69),(3097,'non blandit urna','non blandit urna',0,1,1.5333,'N145365',69),(3098,'non dolor','non dolor',0,1,1.3,'N346',25),(3099,'non dolor convallis','non dolor convallis',0,1,1.6333,'N34625142',21),(3100,'non posuere','non posuere',0,1,1.3667,'N126',47),(3101,'non posuere odio','non posuere odio',0,1,1.5333,'N1263',44),(3102,'nulla this','nulla this',0,1,1.3333,'N432',21),(3103,'nulla this is','nulla this is',0,1,1.4333,'N432',21),(3104,'nulla vel','nulla vel',0,1,1.3,'N414',68),(3105,'nulla vel congue','nulla vel congue',0,1,1.5333,'N414252',68),(3106,'nullam blandit','nullam blandit',0,1,1.4667,'N451453',44),(3107,'nullam blandit elit','nullam blandit elit',0,1,1.6333,'N45145343',44),(3108,'number','number',0,0,0.4,'N160',250),(3109,'number span','number span',0,1,1.3667,'N16215',68),(3110,'number span and','number span and',0,1,1.5,'N162153',68),(3111,'numblocks','numblocks',0,0,0.6,'N142',68),(3112,'numblocks p','numblocks p',0,1,1.3667,'N1421',68),(3113,'numblocks p class','numblocks p class',0,1,1.5667,'N1421242',68),(3114,'nunc','nunc',0,0,0.2667,'N200',1148),(3115,'nunc a','nunc a',0,1,1.2,'N200',69),(3116,'nunc a malesuada','nunc a malesuada',0,1,1.5333,'N25423',69),(3117,'nunc enim','nunc enim',0,1,1.3,'N250',44),(3118,'nunc enim urna','nunc enim urna',0,1,1.4667,'N2565',44),(3119,'nunc in','nunc in',0,1,1.2333,'N250',193),(3120,'nunc in volutpat','nunc in volutpat',0,1,1.5333,'N2514313',44),(3121,'nunc quisque','nunc quisque',0,1,1.4,'N200',44),(3122,'nunc quisque semper','nunc quisque semper',0,1,1.6333,'N2516',44),(3123,'odio interdum','odio interdum',0,1,1.4333,'O353635',68),(3124,'odio interdum sit','odio interdum sit',0,1,1.5667,'O35363523',68),(3125,'odio placerat','odio placerat',0,1,1.4333,'O314263',44),(3126,'odio placerat in','odio placerat in',0,1,1.5333,'O3142635',44),(3127,'of a','of a',0,1,1.1333,'O100',54),(3128,'of a classic','of a classic',0,1,1.4,'O1242',43),(3129,'of an','of an',0,1,1.1667,'O150',43),(3130,'of an abbreviation','of an abbreviation',0,1,1.6,'O1516135',43),(3131,'of an acronym','of an acronym',0,1,1.4333,'O15265',43),(3132,'of element','of element',0,1,1.3333,'O1453',68),(3133,'of element p','of element p',0,1,1.4,'O14531',68),(3134,'of gavern','of gavern',0,1,1.3,'O12165',68),(3135,'of gavern framework','of gavern framework',0,1,1.6333,'O1216516562',68),(3136,'of text','of text',0,1,1.2333,'O1323',68),(3137,'of text span','of text span',0,1,1.4,'O1323215',68),(3138,'of the text','of the text',0,1,1.3667,'O1323',68),(3139,'of what','of what',0,1,1.2333,'O130',43),(3140,'of what you','of what you',0,1,1.3667,'O130',43),(3141,'of your','of your',0,1,1.2333,'O160',68),(3142,'of your file','of your file',0,1,1.4,'O1614',68),(3143,'ol','ol',0,0,0.1333,'O400',43),(3144,'ol class','ol class',0,1,1.2667,'O4242',43),(3145,'ol class gkalpha','ol class gkalpha',0,1,1.5333,'O424241',43),(3146,'ol class gkdec','ol class gkdec',0,1,1.4667,'O424232',43),(3147,'ol class gkdecimalleadingzero','ol class gkdecimalleadingzero',0,1,1.9667,'O424232543526',43),(3148,'ol class gkroman','ol class gkroman',0,1,1.5333,'O424265',43),(3149,'or','or',0,0,0.1333,'O600',107),(3150,'or div','or div',0,1,1.2,'O631',68),(3151,'or div class','or div class',0,1,1.4,'O631242',67),(3152,'or phrase','or phrase',0,1,1.3,'O6162',43),(3153,'or phrase here','or phrase here',0,1,1.4667,'O61626',43),(3154,'or use','or use',0,1,1.2,'O620',72),(3155,'or use html','or use html',0,1,1.3667,'O62354',68),(3156,'order','order',0,0,0.3333,'O636',82),(3157,'order to','order to',0,1,1.2667,'O6363',79),(3158,'order to structure','order to structure',0,1,1.6,'O6363236236',68),(3159,'order to use','order to use',0,1,1.4,'O63632',68),(3160,'ordered','ordered',0,0,0.4667,'O6363',43),(3161,'ordered lists','ordered lists',0,1,1.4333,'O63634232',43),(3162,'ordered lists ol','ordered lists ol',0,1,1.5333,'O636342324',43),(3163,'ornare hendrerit','ornare hendrerit',0,1,1.5333,'O6565363',68),(3164,'ornare hendrerit aliquam','ornare hendrerit aliquam',0,1,1.8,'O6565363425',68),(3165,'ornare magna','ornare magna',0,1,1.4,'O656525',24),(3166,'ornare magna convallis','ornare magna convallis',0,1,1.7333,'O65652525142',21),(3167,'own','own',0,0,0.2,'O500',46),(3168,'own and','own and',0,1,1.2333,'O530',43),(3169,'own and warning','own and warning',0,1,1.5,'O53652',41),(3170,'own critical','own critical',0,1,1.4,'O526324',30),(3171,'own critical critical','own critical critical',0,1,1.7,'O52632426324',30),(3172,'own css','own css',0,1,1.2333,'O520',43),(3173,'own css powered','own css powered',0,1,1.5,'O52163',43),(3174,'own help','own help',0,1,1.2667,'O541',43),(3175,'own help help','own help help',0,1,1.4333,'O54141',43),(3176,'own highlights','own highlights',0,1,1.4667,'O524232',43),(3177,'own highlights lorem','own highlights lorem',0,1,1.6667,'O524232465',21),(3178,'own information','own information',0,1,1.5,'O516535',42),(3179,'own information information','own information information',0,1,1.9,'O51653516535',42),(3180,'p','p',0,0,0.0667,'P000',74),(3181,'p 01','p 01',0,1,1.1333,'P000',68),(3182,'p 01 lorem','p 01 lorem',0,1,1.3333,'P465',68),(3183,'p 02','p 02',0,1,1.1333,'P000',21),(3184,'p 02 lorem','p 02 lorem',0,1,1.3333,'P465',21),(3185,'p 03','p 03',0,1,1.1333,'P000',21),(3186,'p 03 lorem','p 03 lorem',0,1,1.3333,'P465',21),(3187,'p and','p and',0,1,1.1667,'P530',68),(3188,'p and here','p and here',0,1,1.3333,'P536',68),(3189,'p blockquotes','p blockquotes',0,1,1.4333,'P4232',36),(3190,'p blockquotes lorem','p blockquotes lorem',0,1,1.6333,'P4232465',36),(3191,'p class','p class',0,1,1.2333,'P242',69),(3192,'p class gkbook','p class gkbook',0,1,1.4667,'P24212',52),(3193,'p class gkbulb','p class gkbulb',0,1,1.4667,'P242141',28),(3194,'p class gkdropcap2','p class gkdropcap2',0,1,1.6,'P24236121',43),(3195,'p class gkerror','p class gkerror',0,1,1.5,'P2426',28),(3196,'p class gkfile1','p class gkfile1',0,1,1.5,'P24214',52),(3197,'p class gkfile2','p class gkfile2',0,1,1.5,'P24214',52),(3198,'p class gkflash','p class gkflash',0,1,1.5,'P242142',28),(3199,'p class gkgraph','p class gkgraph',0,1,1.5,'P24261',28),(3200,'p class gkheadling','p class gkheadling',0,1,1.6,'P2423452',43),(3201,'p class gklocation','p class gklocation',0,1,1.6,'P2424235',52),(3202,'p class gklocationminus','p class gklocationminus',0,1,1.7667,'P24242352',28),(3203,'p class gklocationplus','p class gklocationplus',0,1,1.7333,'P2424235142',25),(3204,'p class gkmap','p class gkmap',0,1,1.4333,'P24251',52),(3205,'p class gknav','p class gknav',0,1,1.4333,'P24251',28),(3206,'p class gknumber1','p class gknumber1',0,1,1.5667,'P242516',24),(3207,'p class gknumber2','p class gknumber2',0,1,1.5667,'P242516',24),(3208,'p class gknumber3','p class gknumber3',0,1,1.5667,'P242516',24),(3209,'p class gkribbon','p class gkribbon',0,1,1.5333,'P242615',27),(3210,'p class gksearch','p class gksearch',0,1,1.5333,'P24262',28),(3211,'p class gkstar','p class gkstar',0,1,1.4667,'P24236',28),(3212,'p class gkstats','p class gkstats',0,1,1.5,'P24232',52),(3213,'p class gksubheadline','p class gksubheadline',0,1,1.7,'P2421345',43),(3214,'p class gktag','p class gktag',0,1,1.4333,'P24232',52),(3215,'p class gktick','p class gktick',0,1,1.4667,'P24232',28),(3216,'p class gkzoomminus','p class gkzoomminus',0,1,1.6333,'P24252',28),(3217,'p class gkzoomplus','p class gkzoomplus',0,1,1.6,'P2425142',28),(3218,'p div','p div',0,1,1.1667,'P310',69),(3219,'p div abbrs','p div abbrs',0,1,1.3667,'P3162',34),(3220,'p div legend','p div legend',0,1,1.4,'P314253',45),(3221,'p here','p here',0,1,1.2,'P600',68),(3222,'p here goes','p here goes',0,1,1.3667,'P620',68),(3223,'p lorem','p lorem',0,1,1.2333,'P465',69),(3224,'p lorem ipsum','p lorem ipsum',0,1,1.4333,'P465125',69),(3225,'p p','p p',0,1,1.1,'P000',44),(3226,'p p class','p p class',0,1,1.3,'P242',43),(3227,'p span','p span',0,1,1.2,'P215',43),(3228,'p span class','p span class',0,1,1.4,'P215242',43),(3229,'p t','p t',0,1,1.1,'P300',43),(3230,'p t his','p t his',0,1,1.2333,'P320',43),(3231,'p this','p this',0,1,1.2,'P320',29),(3232,'p this is','p this is',0,1,1.3,'P320',29),(3233,'p tooltips','p tooltips',0,1,1.3333,'P34312',43),(3234,'p tooltips here','p tooltips here',0,1,1.5,'P343126',43),(3235,'p urna','p urna',0,1,1.2,'P650',43),(3236,'p urna erat','p urna erat',0,1,1.3667,'P6563',43),(3237,'package','package',0,0,0.4667,'P200',76),(3238,'package with','package with',0,1,1.4,'P230',68),(3239,'package with a','package with a',0,1,1.4667,'P230',68),(3240,'page','page',0,0,0.2667,'P200',135),(3241,'page to','page to',0,1,1.2333,'P230',68),(3242,'page to show','page to show',0,1,1.4,'P232',68),(3243,'pellentesque pharetra','pellentesque pharetra',0,1,1.7,'P45321636',34),(3244,'pellentesque pharetra tincidunt','pellentesque pharetra tincidunt',0,1,2,'P45321636352353',34),(3245,'pharetra odio','pharetra odio',0,1,1.4333,'P6363',68),(3246,'pharetra odio interdum','pharetra odio interdum',0,1,1.7333,'P636353635',68),(3247,'pharetra tincidunt','pharetra tincidunt',0,1,1.6,'P636352353',34),(3248,'pharetra tincidunt sapien','pharetra tincidunt sapien',0,1,1.8333,'P636352353215',34),(3249,'phasellus','phasellus',0,0,0.6,'P242',213),(3250,'phasellus venenatis','phasellus venenatis',0,1,1.6333,'P2421532',44),(3251,'phasellus venenatis mollis','phasellus venenatis mollis',0,1,1.8667,'P2421532542',44),(3252,'phrase','phrase',0,0,0.4,'P620',68),(3253,'phrase goes','phrase goes',0,1,1.3667,'P620',68),(3254,'phrase goes here','phrase goes here',0,1,1.5333,'P626',68),(3255,'phrase here','phrase here',0,1,1.3667,'P626',43),(3256,'phrase here goes','phrase here goes',0,1,1.5333,'P6262',43),(3257,'phrase use','phrase use',0,1,1.3333,'P620',68),(3258,'phrase use span','phrase use span',0,1,1.5,'P6215',68),(3259,'picture','picture',0,0,0.4667,'P236',11),(3260,'picture a','picture a',0,1,1.3,'P236',3),(3261,'picture a a','picture a a',0,1,1.3667,'P236',3),(3262,'picture twitter','picture twitter',0,1,1.5,'P23636',3),(3263,'picture twitter youtube','picture twitter youtube',0,1,1.7667,'P2363631',3),(3264,'placerat','placerat',0,0,0.5333,'P4263',218),(3265,'placerat in','placerat in',0,1,1.3667,'P42635',44),(3266,'placerat in etiam','placerat in etiam',0,1,1.5667,'P4263535',44),(3267,'placerat mauris','placerat mauris',0,1,1.5,'P4263562',44),(3268,'placerat mauris sed','placerat mauris sed',0,1,1.6333,'P42635623',44),(3269,'placerat nec','placerat nec',0,1,1.4,'P426352',44),(3270,'placerat nec euismod','placerat nec euismod',0,1,1.6667,'P42635253',44),(3271,'placerat tristique','placerat tristique',0,1,1.6,'P42636232',13),(3272,'placerat tristique et','placerat tristique et',0,1,1.7,'P426362323',13),(3273,'platea','platea',0,0,0.4,'P430',21),(3274,'platea dictumst','platea dictumst',0,1,1.5,'P4323523',21),(3275,'platea dictumst mauris','platea dictumst mauris',0,1,1.7333,'P4323523562',21),(3276,'plug','plug',0,0,0.2667,'P420',68),(3277,'plug in','plug in',0,1,1.2333,'P425',68),(3278,'plug in which','plug in which',0,1,1.4333,'P4252',68),(3279,'porta aliquam','porta aliquam',0,1,1.4333,'P63425',44),(3280,'porta aliquam varius','porta aliquam varius',0,1,1.6667,'P63425162',44),(3281,'porta eleifend','porta eleifend',0,1,1.4667,'P634153',68),(3282,'porta eleifend lorem','porta eleifend lorem',0,1,1.6667,'P634153465',68),(3283,'porta eleifend vivamus','porta eleifend vivamus',0,1,1.7333,'P634153152',21),(3284,'porta facilisis','porta facilisis',0,1,1.5,'P631242',44),(3285,'porta facilisis sapien','porta facilisis sapien',0,1,1.7333,'P63124215',44),(3286,'position relative','position relative',0,1,1.5667,'P2356431',68),(3287,'position relative float','position relative float',0,1,1.7667,'P235643143',68),(3288,'possible','possible',0,0,0.5333,'P214',72),(3289,'possible with','possible with',0,1,1.4333,'P2143',68),(3290,'possible with templates','possible with templates',0,1,1.7667,'P214351432',68),(3291,'posuere mauris','posuere mauris',0,1,1.4667,'P26562',44),(3292,'posuere mauris in','posuere mauris in',0,1,1.5667,'P265625',44),(3293,'posuere odio','posuere odio',0,1,1.4,'P263',44),(3294,'posuere odio placerat','posuere odio placerat',0,1,1.7,'P26314263',44),(3295,'potenti','potenti',0,0,0.4667,'P353',44),(3296,'potenti praesent','potenti praesent',0,1,1.5333,'P35316253',21),(3297,'potenti praesent quis','potenti praesent quis',0,1,1.7,'P353162532',21),(3298,'powered','powered',0,0,0.4667,'P630',43),(3299,'powered tooltip','powered tooltip',0,1,1.5,'P63431',43),(3300,'powered tooltip this','powered tooltip this',0,1,1.6667,'P6343132',43),(3301,'praesent aliquet','praesent aliquet',0,1,1.5333,'P6253423',21),(3302,'praesent aliquet turpis','praesent aliquet turpis',0,1,1.7667,'P6253423612',21),(3303,'praesent quis','praesent quis',0,1,1.4333,'P62532',21),(3304,'praesent quis diam','praesent quis diam',0,1,1.6,'P6253235',21),(3305,'pre','pre',0,0,0.2,'P600',68),(3306,'pre or','pre or',0,1,1.2,'P600',68),(3307,'pre or div','pre or div',0,1,1.3333,'P631',68),(3308,'present','present',0,0,0.4667,'P6253',71),(3309,'present rebuilt','present rebuilt',0,1,1.5,'P62536143',68),(3310,'present rebuilt and','present rebuilt and',0,1,1.6333,'P6253614353',68),(3311,'pretium','pretium',0,0,0.4667,'P635',68),(3312,'pretium imperdiet','pretium imperdiet',0,1,1.5667,'P635163',44),(3313,'pretium imperdiet hendrerit','pretium imperdiet hendrerit',0,1,1.9,'P6351635363',44),(3314,'produce','produce',0,0,0.4667,'P632',43),(3315,'produce your','produce your',0,1,1.4,'P6326',43),(3316,'produce your own','produce your own',0,1,1.5333,'P63265',43),(3317,'proin','proin',0,0,0.3333,'P650',50),(3318,'proin urna','proin urna',0,1,1.3333,'P6565',44),(3319,'proin urna erat','proin urna erat',0,1,1.5,'P656563',44),(3320,'pulvinar','pulvinar',0,0,0.5333,'P4156',236),(3321,'pulvinar justo','pulvinar justo',0,1,1.4667,'P415623',68),(3322,'pulvinar justo sed','pulvinar justo sed',0,1,1.6,'P41562323',68),(3323,'pulvinar nibh','pulvinar nibh',0,1,1.4333,'P415651',21),(3324,'pulvinar nibh luctus','pulvinar nibh luctus',0,1,1.6667,'P4156514232',21),(3325,'purus donec','purus donec',0,1,1.3667,'P62352',44),(3326,'purus donec est','purus donec est',0,1,1.5,'P623523',44),(3327,'purus nunc','purus nunc',0,1,1.3333,'P6252',69),(3328,'purus nunc a','purus nunc a',0,1,1.4,'P6252',69),(3329,'purus p','purus p',0,1,1.2333,'P621',68),(3330,'purus p here','purus p here',0,1,1.4,'P6216',68),(3331,'purus porta','purus porta',0,1,1.3667,'P62163',68),(3332,'purus porta eleifend','purus porta eleifend',0,1,1.6667,'P621634153',68),(3333,'purus vitae','purus vitae',0,1,1.3667,'P6213',68),(3334,'purus vitae pharetra','purus vitae pharetra',0,1,1.6667,'P62131636',68),(3335,'quam sed','quam sed',0,1,1.2667,'Q523',68),(3336,'quam sed purus','quam sed purus',0,1,1.4667,'Q523162',68),(3337,'quam sollicitudin','quam sollicitudin',0,1,1.5667,'Q524235',47),(3338,'quam sollicitudin condimentum','quam sollicitudin condimentum',0,1,1.9667,'Q524235253535',44),(3339,'quam tempor','quam tempor',0,1,1.3667,'Q53516',21),(3340,'quam tempor eu','quam tempor eu',0,1,1.4667,'Q53516',21),(3341,'quis diam','quis diam',0,1,1.3,'Q350',21),(3342,'quis diam non','quis diam non',0,1,1.4333,'Q350',21),(3343,'quis enim','quis enim',0,1,1.3,'Q500',71),(3344,'quis enim nulla','quis enim nulla',0,1,1.5,'Q540',68),(3345,'quis lobortis','quis lobortis',0,1,1.4333,'Q41632',44),(3346,'quis lobortis sed','quis lobortis sed',0,1,1.5667,'Q416323',44),(3347,'quis nullam','quis nullam',0,1,1.3667,'Q545',44),(3348,'quis nullam blandit','quis nullam blandit',0,1,1.6333,'Q5451453',44),(3349,'quis porta','quis porta',0,1,1.3333,'Q163',46),(3350,'quis porta aliquam','quis porta aliquam',0,1,1.6,'Q163425',44),(3351,'quis quam','quis quam',0,1,1.3,'Q500',68),(3352,'quis quam sed','quis quam sed',0,1,1.4333,'Q523',68),(3353,'quis turpis','quis turpis',0,1,1.3667,'Q3612',149),(3354,'quis turpis tellus','quis turpis tellus',0,1,1.6,'Q3612342',21),(3355,'quis ullamcorper','quis ullamcorper',0,1,1.5333,'Q452616',69),(3356,'quis ullamcorper convallis','quis ullamcorper convallis',0,1,1.8667,'Q45261625142',69),(3357,'quisque','quisque',0,0,0.4667,'Q000',63),(3358,'quisque sagittis','quisque sagittis',0,1,1.5333,'Q320',44),(3359,'quisque sagittis luctus','quisque sagittis luctus',0,1,1.7667,'Q324232',44),(3360,'quisque semper','quisque semper',0,1,1.4667,'Q516',44),(3361,'quisque semper condimentum','quisque semper condimentum',0,1,1.8667,'Q516253535',44),(3362,'quoted','quoted',0,0,0.4,'Q300',69),(3363,'quoted text','quoted text',0,1,1.3667,'Q323',69),(3364,'quoted text goes','quoted text goes',0,1,1.5333,'Q3232',69),(3365,'rebuilt','rebuilt',0,0,0.4667,'R143',68),(3366,'rebuilt and','rebuilt and',0,1,1.3667,'R14353',68),(3367,'rebuilt and refreshed','rebuilt and refreshed',0,1,1.7,'R1435361623',68),(3368,'refreshed','refreshed',0,0,0.6,'R1623',68),(3369,'refreshed typographical','refreshed typographical',0,1,1.7667,'R1623126124',68),(3370,'refreshed typographical aspects','refreshed typographical aspects',0,1,2,'R162312612421232',68),(3371,'relative','relative',0,0,0.5333,'R431',68),(3372,'relative float','relative float',0,1,1.4667,'R43143',68),(3373,'relative float left','relative float left',0,1,1.6333,'R43143413',68),(3374,'rest','rest',0,0,0.2667,'R230',68),(3375,'rest of','rest of',0,1,1.2333,'R231',68),(3376,'rest of the','rest of the',0,1,1.3667,'R2313',68),(3377,'rhoncus','rhoncus',0,0,0.4667,'R520',206),(3378,'rhoncus arcu','rhoncus arcu',0,1,1.4,'R5262',44),(3379,'rhoncus arcu sit','rhoncus arcu sit',0,1,1.5333,'R52623',44),(3380,'rhoncus enim','rhoncus enim',0,1,1.4,'R525',69),(3381,'rhoncus enim libero','rhoncus enim libero',0,1,1.6333,'R525416',69),(3382,'ribbon','ribbon',0,0,0.4,'R150',28),(3383,'ribbon message','ribbon message',0,1,1.4667,'R152',28),(3384,'ribbon message use','ribbon message use',0,1,1.6,'R152',28),(3385,'risus aliquam','risus aliquam',0,1,1.4333,'R2425',68),(3386,'risus aliquam laoreet','risus aliquam laoreet',0,1,1.7,'R2425463',68),(3387,'risus facilisis','risus facilisis',0,1,1.5,'R21242',44),(3388,'risus facilisis dignissim','risus facilisis dignissim',0,1,1.8333,'R2124232525',44),(3389,'robert','robert',0,0,0.4,'R163',968),(3390,'robert gavick','robert gavick',0,1,1.4333,'R163212',69),(3391,'robert gavick legends','robert gavick legends',0,1,1.7,'R16321242532',37),(3392,'robert gavick lorem','robert gavick lorem',0,1,1.6333,'R163212465',68),(3393,'rutrum blandit','rutrum blandit',0,1,1.4667,'R3651453',68),(3394,'rutrum blandit purus','rutrum blandit purus',0,1,1.6667,'R3651453162',68),(3395,'rutrum tortor','rutrum tortor',0,1,1.4333,'R3653636',44),(3396,'rutrum tortor nibh','rutrum tortor nibh',0,1,1.6,'R365363651',44),(3397,'sagittis luctus','sagittis luctus',0,1,1.5,'S324232',44),(3398,'sagittis luctus augue','sagittis luctus augue',0,1,1.7,'S324232',44),(3399,'sample book','sample book',0,1,1.3667,'S51412',29),(3400,'sample book message','sample book message',0,1,1.6333,'S5141252',29),(3401,'sample bulb','sample bulb',0,1,1.3667,'S514141',28),(3402,'sample bulb message','sample bulb message',0,1,1.6333,'S51414152',28),(3403,'sample error','sample error',0,1,1.4,'S5146',28),(3404,'sample error message','sample error message',0,1,1.6667,'S514652',28),(3405,'sample file1','sample file1',0,1,1.4,'S51414',29),(3406,'sample file1 message','sample file1 message',0,1,1.6667,'S5141452',29),(3407,'sample flash','sample flash',0,1,1.4,'S514142',28),(3408,'sample flash message','sample flash message',0,1,1.6667,'S51414252',28),(3409,'sample graph','sample graph',0,1,1.4,'S514261',28),(3410,'sample graph message','sample graph message',0,1,1.6667,'S51426152',28),(3411,'sample kfile2','sample kfile2',0,1,1.4333,'S514214',29),(3412,'sample kfile2 message','sample kfile2 message',0,1,1.7,'S51421452',29),(3413,'sample location','sample location',0,1,1.5,'S514235',29),(3414,'sample location message','sample location message',0,1,1.7667,'S5142352',29),(3415,'sample locationminus','sample locationminus',0,1,1.6667,'S5142352',28),(3416,'sample locationminus message','sample locationminus message',0,1,1.9333,'S514235252',28),(3417,'sample map','sample map',0,1,1.3333,'S51451',29),(3418,'sample map message','sample map message',0,1,1.6,'S5145152',29),(3419,'sample nav','sample nav',0,1,1.3333,'S51451',28),(3420,'sample nav message','sample nav message',0,1,1.6,'S5145152',28),(3421,'sample of','sample of',0,1,1.3,'S5141',46),(3422,'sample of an','sample of an',0,1,1.4,'S51415',43),(3423,'sample ribbon','sample ribbon',0,1,1.4333,'S514615',28),(3424,'sample ribbon message','sample ribbon message',0,1,1.7,'S5146152',28),(3425,'sample search','sample search',0,1,1.4333,'S514262',28),(3426,'sample search message','sample search message',0,1,1.7,'S51426252',28),(3427,'sample star','sample star',0,1,1.3667,'S514236',28),(3428,'sample star message','sample star message',0,1,1.6333,'S51423652',28),(3429,'sample stats','sample stats',0,1,1.4,'S514232',29),(3430,'sample stats message','sample stats message',0,1,1.6667,'S51423252',29),(3431,'sample tag','sample tag',0,1,1.3333,'S51432',29),(3432,'sample tag message','sample tag message',0,1,1.6,'S5143252',29),(3433,'sample text','sample text',0,1,1.3667,'S514323',43),(3434,'sample text with','sample text with',0,1,1.5333,'S514323',43),(3435,'sample tick','sample tick',0,1,1.3667,'S51432',28),(3436,'sample tick message','sample tick message',0,1,1.6333,'S5143252',28),(3437,'sample zoom','sample zoom',0,1,1.3667,'S51425',28),(3438,'sample zoom message','sample zoom message',0,1,1.6333,'S514252',28),(3439,'sapien','sapien',0,0,0.4,'S150',237),(3440,'sapien eu','sapien eu',0,1,1.3,'S150',69),(3441,'sapien eu nisi','sapien eu nisi',0,1,1.4667,'S152',69),(3442,'sapien in','sapien in',0,1,1.3,'S150',44),(3443,'sapien in tempus','sapien in tempus',0,1,1.5333,'S153512',44),(3444,'sapien use','sapien use',0,1,1.3333,'S152',34),(3445,'sapien use div','sapien use div',0,1,1.4667,'S15231',34),(3446,'sapien velit','sapien velit',0,1,1.4,'S15143',2),(3447,'sapien velit tristique','sapien velit tristique',0,1,1.7333,'S151436232',2),(3448,'scelerisque vel','scelerisque vel',0,1,1.5,'S46214',2),(3449,'scelerisque vel aliquet','scelerisque vel aliquet',0,1,1.7667,'S4621423',2),(3450,'search','search',0,0,0.4,'S620',30),(3451,'search message','search message',0,1,1.4667,'S6252',28),(3452,'search message use','search message use',0,1,1.6,'S6252',28),(3453,'sed a','sed a',0,1,1.1667,'S300',937),(3454,'sed a mollis','sed a mollis',0,1,1.4,'S3542',44),(3455,'sed eleifend','sed eleifend',0,1,1.4,'S34153',21),(3456,'sed eleifend felis','sed eleifend felis',0,1,1.6,'S34153142',21),(3457,'sed faucibus','sed faucibus',0,1,1.4,'S31212',68),(3458,'sed faucibus ligula','sed faucibus ligula',0,1,1.6333,'S31212424',68),(3459,'sed lobortis','sed lobortis',0,1,1.4,'S341632',44),(3460,'sed lobortis vel','sed lobortis vel',0,1,1.5333,'S34163214',44),(3461,'sed ornare','sed ornare',0,1,1.3333,'S3656',21),(3462,'sed ornare magna','sed ornare magna',0,1,1.5333,'S3656525',21),(3463,'sed purus','sed purus',0,1,1.3,'S3162',68),(3464,'sed purus porta','sed purus porta',0,1,1.5,'S3162163',68),(3465,'sed quam','sed quam',0,1,1.2667,'S325',44),(3466,'sed quam sollicitudin','sed quam sollicitudin',0,1,1.7,'S32524235',44),(3467,'sed tellus','sed tellus',0,1,1.3333,'S342',26),(3468,'sed tellus cursus','sed tellus cursus',0,1,1.5667,'S34262',21),(3469,'sed tempus','sed tempus',0,1,1.3333,'S3512',86),(3470,'sed tempus leo','sed tempus leo',0,1,1.4667,'S35124',69),(3471,'sed vehicula','sed vehicula',0,1,1.4,'S3124',44),(3472,'sed vehicula integer','sed vehicula integer',0,1,1.6667,'S31245326',44),(3473,'sed velit','sed velit',0,1,1.3,'S3143',21),(3474,'sed velit massa','sed velit massa',0,1,1.5,'S314352',21),(3475,'sem sed','sem sed',0,1,1.2333,'S523',44),(3476,'sem sed quam','sem sed quam',0,1,1.4,'S52325',44),(3477,'semper condimentum','semper condimentum',0,1,1.6,'S516253535',44),(3478,'semper condimentum lectus','semper condimentum lectus',0,1,1.8333,'S5162535354232',44),(3479,'semper egestas','semper egestas',0,1,1.4667,'S516232',44),(3480,'semper egestas nunc','semper egestas nunc',0,1,1.6333,'S51623252',44),(3481,'set','set',0,0,0.2,'S300',89),(3482,'set 1','set 1',0,1,1.1667,'S300',18),(3483,'set 1 this','set 1 this',0,1,1.3333,'S320',18),(3484,'show','show',0,0,0.2667,'S000',95),(3485,'show you','show you',0,1,1.2667,'S000',68),(3486,'show you how','show you how',0,1,1.4,'S000',68),(3487,'simple code','simple code',0,1,1.3667,'S51423',24),(3488,'simple code and','simple code and',0,1,1.5,'S5142353',24),(3489,'sit amet 01','sit amet 01',0,1,1.3667,'S353',21),(3490,'sit amet 02','sit amet 02',0,1,1.3667,'S353',21),(3491,'sit amet 03','sit amet 03',0,1,1.3667,'S353',21),(3492,'sit amet condimentum','sit amet condimentum',0,1,1.6667,'S353253535',69),(3493,'sit amet consectetuer','sit amet consectetuer',0,1,1.7,'S35325236',68),(3494,'sit amet est','sit amet est',0,1,1.4,'S35323',44),(3495,'sit amet lorem','sit amet lorem',0,1,1.4667,'S353465',68),(3496,'sit amet ol','sit amet ol',0,1,1.3667,'S3534',43),(3497,'sit amet ordered','sit amet ordered',0,1,1.5333,'S3536363',43),(3498,'sit amet p','sit amet p',0,1,1.3333,'S3531',21),(3499,'sit amet pellentesque','sit amet pellentesque',0,1,1.7,'S35314532',34),(3500,'sit amet ul','sit amet ul',0,1,1.3667,'S3534',68),(3501,'sit amet use','sit amet use',0,1,1.4,'S3532',68),(3502,'small','small',0,0,0.3333,'S540',48),(3503,'small headline','small headline',0,1,1.4667,'S54345',43),(3504,'small headline this','small headline this',0,1,1.6333,'S5434532',43),(3505,'so','so',0,0,0.1333,'S000',61),(3506,'so feel','so feel',0,1,1.2333,'S140',43),(3507,'so feel free','so feel free',0,1,1.4,'S1416',43),(3508,'social','social',0,0,0.4,'S400',315),(3509,'social icons','social icons',0,1,1.4,'S4252',61),(3510,'social icons like','social icons like',0,1,1.5667,'S425242',24),(3511,'sodales','sodales',0,0,0.4667,'S342',89),(3512,'sodales additional','sodales additional',0,1,1.6,'S342354',30),(3513,'sodales additional typography','sodales additional typography',0,1,1.9667,'S34235431261',30),(3514,'sodales quis','sodales quis',0,1,1.4,'S342',44),(3515,'sodales quis lobortis','sodales quis lobortis',0,1,1.7,'S34241632',44),(3516,'sollicitudin','sollicitudin',0,0,0.8,'S4235',212),(3517,'sollicitudin condimentum','sollicitudin condimentum',0,1,1.8,'S4235253535',44),(3518,'sollicitudin condimentum et','sollicitudin condimentum et',0,1,1.9,'S42352535353',44),(3519,'some','some',0,0,0.2667,'S500',46),(3520,'some examples','some examples',0,1,1.4333,'S525142',43),(3521,'some examples of','some examples of',0,1,1.5333,'S5251421',43),(3522,'span','span',0,0,0.2667,'S150',69),(3523,'span and','span and',0,1,1.2667,'S153',68),(3524,'span and here','span and here',0,1,1.4333,'S1536',68),(3525,'span class','span class',0,1,1.3333,'S15242',68),(3526,'span class gkblocktextcenter','span class gkblocktextcenter',0,1,1.9333,'S152421423232536',68),(3527,'span class gkblocktextleft','span class gkblocktextleft',0,1,1.8667,'S15242142323413',68),(3528,'span class gkblocktextright','span class gkblocktextright',0,1,1.9,'S15242142323623',68),(3529,'span class gkdropcap1','span class gkdropcap1',0,1,1.7,'S1524236121',43),(3530,'span class gkdropcap2','span class gkdropcap2',0,1,1.7,'S1524236121',43),(3531,'span class gkdropcap3','span class gkdropcap3',0,1,1.7,'S1524236121',43),(3532,'span class gkhighlight1','span class gkhighlight1',0,1,1.7667,'S15242423',68),(3533,'span class gkhighlight2','span class gkhighlight2',0,1,1.7667,'S15242423',68),(3534,'span class gkhighlight3','span class gkhighlight3',0,1,1.7667,'S15242423',68),(3535,'span class gkhighlight4','span class gkhighlight4',0,1,1.7667,'S15242423',55),(3536,'span code','span code',0,1,1.3,'S1523',67),(3537,'span code wrapper','span code wrapper',0,1,1.5667,'S1523616',54),(3538,'span here','span here',0,1,1.3,'S156',68),(3539,'span here goes','span here goes',0,1,1.4667,'S1562',68),(3540,'span his','span his',0,1,1.2667,'S152',43),(3541,'span his is','span his is',0,1,1.3667,'S152',43),(3542,'span lorem','span lorem',0,1,1.3333,'S15465',22),(3543,'span lorem ipsum','span lorem ipsum',0,1,1.5333,'S15465125',21),(3544,'span rest','span rest',0,1,1.3,'S15623',68),(3545,'span rest of','span rest of',0,1,1.4,'S156231',68),(3546,'star','star',0,0,0.2667,'S360',44),(3547,'star message','star message',0,1,1.4,'S3652',28),(3548,'star message use','star message use',0,1,1.5333,'S3652',20),(3549,'stats','stats',0,0,0.3333,'S320',52),(3550,'stats message','stats message',0,1,1.4333,'S3252',52),(3551,'stats message use','stats message use',0,1,1.5667,'S3252',52),(3552,'structure','structure',0,0,0.6,'S36236',78),(3553,'structure your','structure your',0,1,1.4667,'S36236',68),(3554,'structure your content','structure your content',0,1,1.7333,'S3623625353',68),(3555,'stumble','stumble',0,0,0.4667,'S3514',3),(3556,'stumble upon','stumble upon',0,1,1.4,'S351415',3),(3557,'stumble upon a','stumble upon a',0,1,1.4667,'S351415',3),(3558,'stumble upon vimeo','stumble upon vimeo',0,1,1.6,'S35141515',3),(3559,'subheadline','subheadline',0,0,0.7333,'S1345',43),(3560,'subheadline p','subheadline p',0,1,1.4333,'S13451',43),(3561,'subheadline p urna','subheadline p urna',0,1,1.6,'S1345165',43),(3562,'subheadline use','subheadline use',0,1,1.5,'S13452',43),(3563,'subheadline use p','subheadline use p',0,1,1.5667,'S134521',43),(3564,'suspendisse potenti','suspendisse potenti',0,1,1.6333,'S15321353',44),(3565,'suspendisse potenti praesent','suspendisse potenti praesent',0,1,1.9333,'S1532135316253',21),(3566,'t','t',0,0,0.0667,'T000',43),(3567,'t his','t his',0,1,1.1667,'T200',43),(3568,'t his is','t his is',0,1,1.2667,'T200',43),(3569,'t span','t span',0,1,1.2,'T215',43),(3570,'t span his','t span his',0,1,1.3333,'T2152',43),(3571,'tag message','tag message',0,1,1.3667,'T252',52),(3572,'tag message use','tag message use',0,1,1.5,'T252',52),(3573,'tags','tags',0,0,0.2667,'T200',68),(3574,'tags in','tags in',0,1,1.2333,'T250',68),(3575,'tags in order','tags in order',0,1,1.4333,'T25636',68),(3576,'tellus cursus','tellus cursus',0,1,1.4333,'T4262',21),(3577,'tellus cursus lacinia','tellus cursus lacinia',0,1,1.7,'T4262425',21),(3578,'tellus headings','tellus headings',0,1,1.5,'T42352',2),(3579,'tellus headings this','tellus headings this',0,1,1.6667,'T4235232',2),(3580,'tellus lorem','tellus lorem',0,1,1.4,'T42465',2),(3581,'tellus lorem ipsum','tellus lorem ipsum',0,1,1.6,'T42465125',2),(3582,'tellus vitae','tellus vitae',0,1,1.4,'T4213',21),(3583,'tellus vitae malesuada','tellus vitae malesuada',0,1,1.7333,'T42135423',21),(3584,'template or','template or',0,1,1.3667,'T51436',68),(3585,'template or use','template or use',0,1,1.5,'T514362',68),(3586,'templates','templates',0,0,0.6,'T51432',70),(3587,'templates which','templates which',0,1,1.5,'T51432',68),(3588,'templates which have','templates which have',0,1,1.6667,'T514321',68),(3589,'tempor','tempor',0,0,0.4,'T516',64),(3590,'tempor eu','tempor eu',0,1,1.3,'T516',21),(3591,'tempor eu pulvinar','tempor eu pulvinar',0,1,1.6,'T51614156',21),(3592,'tempor iaculis','tempor iaculis',0,1,1.4667,'T516242',44),(3593,'tempor iaculis phasellus','tempor iaculis phasellus',0,1,1.8,'T5162421242',44),(3594,'tempus leo','tempus leo',0,1,1.3333,'T5124',69),(3595,'tempus leo lorem','tempus leo lorem',0,1,1.5333,'T512465',69),(3596,'tempus lorem','tempus lorem',0,1,1.4,'T512465',44),(3597,'tempus lorem mattis','tempus lorem mattis',0,1,1.6333,'T51246532',44),(3598,'text','text',0,0,0.2667,'T230',72),(3599,'text goes','text goes',0,1,1.3,'T232',69),(3600,'text goes here','text goes here',0,1,1.4667,'T2326',69),(3601,'text of','text of',0,1,1.2333,'T231',68),(3602,'text of element','text of element',0,1,1.5,'T231453',68),(3603,'text p','text p',0,1,1.2,'T231',68),(3604,'text p div','text p div',0,1,1.3333,'T23131',68),(3605,'text p lorem','text p lorem',0,1,1.4,'T231465',68),(3606,'text span','text span',0,1,1.3,'T23215',68),(3607,'text span class','text span class',0,1,1.5,'T23215242',68),(3608,'text span rest','text span rest',0,1,1.4667,'T23215623',68),(3609,'text with','text with',0,1,1.3,'T230',44),(3610,'text with dropcap','text with dropcap',0,1,1.5667,'T236121',43),(3611,'the following','the following',0,1,1.4333,'T1452',32),(3612,'the following icons','the following icons',0,1,1.6333,'T145252',24),(3613,'the text','the text',0,1,1.2667,'T230',70),(3614,'the text p','the text p',0,1,1.3333,'T231',68),(3615,'the text span','the text span',0,1,1.4333,'T23215',68),(3616,'this is','this is',0,1,1.2333,'T200',72),(3617,'this is a','this is a',0,1,1.3,'T200',72),(3618,'this is heading','this is heading',0,1,1.5,'T2352',68),(3619,'this is just','this is just',0,1,1.4,'T230',43),(3620,'tick','tick',0,0,0.2667,'T200',28),(3621,'tick message','tick message',0,1,1.4,'T252',28),(3622,'tick message use','tick message use',0,1,1.5333,'T252',28),(3623,'tincidunt','tincidunt',0,0,0.6,'T52353',950),(3624,'tincidunt sapien','tincidunt sapien',0,1,1.5333,'T52353215',34),(3625,'tincidunt sapien use','tincidunt sapien use',0,1,1.6667,'T523532152',34),(3626,'title','title',0,0,0.3333,'T400',93),(3627,'title h4','title h4',0,1,1.2667,'T400',68),(3628,'title h4 p','title h4 p',0,1,1.3333,'T410',68),(3629,'title here','title here',0,1,1.3333,'T460',43),(3630,'title here goes','title here goes',0,1,1.5,'T462',43),(3631,'to','to',0,0,0.1333,'T000',664),(3632,'to get','to get',0,1,1.2,'T230',48),(3633,'to get creative','to get creative',0,1,1.5,'T232631',43),(3634,'to show','to show',0,1,1.2333,'T200',68),(3635,'to show you','to show you',0,1,1.3667,'T200',68),(3636,'to structure','to structure',0,1,1.4,'T236236',68),(3637,'to structure your','to structure your',0,1,1.5667,'T236236',68),(3638,'to use','to use',0,1,1.2,'T200',94),(3639,'to use a','to use a',0,1,1.2667,'T200',68),(3640,'to use it','to use it',0,1,1.3,'T230',68),(3641,'tooltip','tooltip',0,0,0.4667,'T431',43),(3642,'tooltip feel','tooltip feel',0,1,1.4,'T4314',43),(3643,'tooltip feel free','tooltip feel free',0,1,1.5667,'T431416',43),(3644,'tooltip this','tooltip this',0,1,1.4,'T43132',43),(3645,'tooltip this is','tooltip this is',0,1,1.5,'T43132',43),(3646,'tooltips','tooltips',0,0,0.5333,'T4312',43),(3647,'tooltips here','tooltips here',0,1,1.4333,'T43126',43),(3648,'tooltips here are','tooltips here are',0,1,1.5667,'T43126',43),(3649,'tortor nibh','tortor nibh',0,1,1.3667,'T63651',44),(3650,'tortor nibh posuere','tortor nibh posuere',0,1,1.6333,'T6365126',44),(3651,'tristique','tristique',0,0,0.6,'T6232',54),(3652,'tristique ac','tristique ac',0,1,1.4,'T6232',4),(3653,'tristique ac scelerisque','tristique ac scelerisque',0,1,1.8,'T6232462',2),(3654,'tristique convallis','tristique convallis',0,1,1.6333,'T62325142',43),(3655,'tristique convallis nec','tristique convallis nec',0,1,1.7667,'T6232514252',43),(3656,'tristique et','tristique et',0,1,1.4,'T62323',21),(3657,'tristique et consectetur','tristique et consectetur',0,1,1.8,'T6232325236',21),(3658,'turpis in','turpis in',0,1,1.3,'T6125',150),(3659,'turpis in quam','turpis in quam',0,1,1.4667,'T612525',21),(3660,'turpis tellus','turpis tellus',0,1,1.4333,'T612342',21),(3661,'turpis tellus vitae','turpis tellus vitae',0,1,1.6333,'T61234213',21),(3662,'twitter','twitter',0,0,0.4667,'T600',226),(3663,'twitter a','twitter a',0,1,1.3,'T600',45),(3664,'twitter a a','twitter a a',0,1,1.3667,'T600',45),(3665,'twitter youtube','twitter youtube',0,1,1.5,'T631',3),(3666,'twitter youtube ichat','twitter youtube ichat',0,1,1.7,'T63123',3),(3667,'typodesc','typodesc',0,0,0.5333,'T132',16),(3668,'typodesc blocks','typodesc blocks',0,1,1.5,'T132142',5),(3669,'typodesc blocks lorem','typodesc blocks lorem',0,1,1.7,'T132142465',5),(3670,'typographical','typographical',0,0,0.8667,'T126124',68),(3671,'typographical aspects','typographical aspects',0,1,1.7,'T12612421232',68),(3672,'typographical aspects of','typographical aspects of',0,1,1.8,'T126124212321',68),(3673,'typography','typography',0,0,0.6667,'T1261',75),(3674,'typography elements','typography elements',0,1,1.6333,'T12614532',44),(3675,'typography elements you','typography elements you',0,1,1.7667,'T12614532',24),(3676,'typography page','typography page',0,1,1.5,'T12612',68),(3677,'typography page to','typography page to',0,1,1.6,'T126123',68),(3678,'ul','ul',0,0,0.1333,'U400',68),(3679,'ul class','ul class',0,1,1.2667,'U4242',68),(3680,'ul class gkbullet1','ul class gkbullet1',0,1,1.6,'U4242143',68),(3681,'ul class gkbullet2','ul class gkbullet2',0,1,1.6,'U4242143',68),(3682,'ul class gkbullet3','ul class gkbullet3',0,1,1.6,'U4242143',64),(3683,'ul class gkbullet4','ul class gkbullet4',0,1,1.6,'U4242143',68),(3684,'ul class gkcircle1','ul class gkcircle1',0,1,1.6,'U4242624',35),(3685,'ul class gkcircle2','ul class gkcircle2',0,1,1.6,'U4242624',40),(3686,'ul class gksquare1','ul class gksquare1',0,1,1.6,'U42426',43),(3687,'ul class gksquare2','ul class gksquare2',0,1,1.6,'U42426',43),(3688,'ullamcorper convallis','ullamcorper convallis',0,1,1.7,'U45261625142',69),(3689,'ullamcorper convallis libero','ullamcorper convallis libero',0,1,1.9333,'U45261625142416',69),(3690,'ullamcorper est','ullamcorper est',0,1,1.5,'U45261623',21),(3691,'ullamcorper est id','ullamcorper est id',0,1,1.6,'U45261623',21),(3692,'ullamcorper use','ullamcorper use',0,1,1.5,'U4526162',21),(3693,'ullamcorper use p','ullamcorper use p',0,1,1.5667,'U45261621',21),(3694,'ultrices','ultrices',0,0,0.5333,'U4362',383),(3695,'ultrices lectus','ultrices lectus',0,1,1.5,'U43624232',44),(3696,'ultrices lectus fusce','ultrices lectus fusce',0,1,1.7,'U4362423212',44),(3697,'ultrices sapien','ultrices sapien',0,1,1.5,'U436215',69),(3698,'ultrices sapien eu','ultrices sapien eu',0,1,1.6,'U436215',69),(3699,'ultricies ac','ultricies ac',0,1,1.4,'U4362',44),(3700,'ultricies ac mollis','ultricies ac mollis',0,1,1.6333,'U4362542',44),(3701,'unordered','unordered',0,0,0.6,'U56363',68),(3702,'unordered lists','unordered lists',0,1,1.5,'U563634232',68),(3703,'unordered lists ul','unordered lists ul',0,1,1.6,'U5636342324',68),(3704,'upon','upon',0,0,0.2667,'U150',3),(3705,'upon a','upon a',0,1,1.2,'U150',3),(3706,'upon a a','upon a a',0,1,1.2667,'U150',3),(3707,'upon vimeo','upon vimeo',0,1,1.3333,'U1515',3),(3708,'upon vimeo moby','upon vimeo moby',0,1,1.5,'U15151',3),(3709,'urna erat','urna erat',0,1,1.3,'U6563',47),(3710,'urna erat egestas','urna erat egestas',0,1,1.5667,'U6563232',44),(3711,'urna ipsum','urna ipsum',0,1,1.3333,'U65125',69),(3712,'urna ipsum et','urna ipsum et',0,1,1.4333,'U651253',69),(3713,'urna sodales','urna sodales',0,1,1.4,'U652342',69),(3714,'urna sodales additional','urna sodales additional',0,1,1.7667,'U652342354',30),(3715,'urna ultricies','urna ultricies',0,1,1.4667,'U654362',44),(3716,'urna ultricies ac','urna ultricies ac',0,1,1.5667,'U654362',44),(3717,'use','use',0,0,0.2,'U200',103),(3718,'use a','use a',0,1,1.1667,'U200',68),(3719,'use a plug','use a plug',0,1,1.3333,'U2142',68),(3720,'use abbr','use abbr',0,1,1.2667,'U216',38),(3721,'use abbr title','use abbr title',0,1,1.4667,'U21634',38),(3722,'use acronym','use acronym',0,1,1.3667,'U265',43),(3723,'use acronym title','use acronym title',0,1,1.5667,'U26534',43),(3724,'use blockquote','use blockquote',0,1,1.4667,'U21423',68),(3725,'use blockquote div','use blockquote div',0,1,1.6,'U214231',68),(3726,'use div','use div',0,1,1.2333,'U231',68),(3727,'use div class','use div class',0,1,1.4333,'U231242',68),(3728,'use e','use e',0,1,1.1667,'U200',68),(3729,'use e g','use e g',0,1,1.2333,'U200',68),(3730,'use html','use html',0,1,1.2667,'U2354',68),(3731,'use html code','use html code',0,1,1.4333,'U235423',68),(3732,'use it','use it',0,1,1.2,'U230',68),(3733,'use it you','use it you',0,1,1.3333,'U230',68),(3734,'use p','use p',0,1,1.1667,'U210',52),(3735,'use p class','use p class',0,1,1.3667,'U21242',52),(3736,'use p span','use p span',0,1,1.3333,'U21215',43),(3737,'use pre','use pre',0,1,1.2333,'U216',68),(3738,'use pre or','use pre or',0,1,1.3333,'U216',68),(3739,'use span','use span',0,1,1.2667,'U215',68),(3740,'use span class','use span class',0,1,1.4667,'U215242',68),(3741,'using','using',0,0,0.3333,'U252',63),(3742,'using a','using a',0,1,1.2333,'U252',48),(3743,'using a css','using a css',0,1,1.3667,'U252',43),(3744,'using simple','using simple',0,1,1.4,'U252514',24),(3745,'using simple code','using simple code',0,1,1.5667,'U25251423',24),(3746,'ut consequat','ut consequat',0,1,1.4,'U32523',68),(3747,'ut consequat eget','ut consequat eget',0,1,1.5667,'U3252323',68),(3748,'varius placerat','varius placerat',0,1,1.5,'V6214263',44),(3749,'varius placerat mauris','varius placerat mauris',0,1,1.7333,'V6214263562',44),(3750,'vehicula integer','vehicula integer',0,1,1.5333,'V245326',44),(3751,'vehicula integer porta','vehicula integer porta',0,1,1.7333,'V245326163',44),(3752,'vel aliquet','vel aliquet',0,1,1.3667,'V423',2),(3753,'vel aliquet nec','vel aliquet nec',0,1,1.5,'V42352',2),(3754,'vel congue','vel congue',0,1,1.3333,'V4252',68),(3755,'vel congue augue','vel congue augue',0,1,1.5333,'V4252',68),(3756,'vel consectetur','vel consectetur',0,1,1.5,'V425236',44),(3757,'vel consectetur at','vel consectetur at',0,1,1.6,'V4252363',44),(3758,'vel eros','vel eros',0,1,1.2667,'V462',42),(3759,'vel eros vestibulum','vel eros vestibulum',0,1,1.6333,'V462123145',42),(3760,'vel mauris','vel mauris',0,1,1.3333,'V4562',44),(3761,'vel mauris sed','vel mauris sed',0,1,1.4667,'V45623',44),(3762,'velit ac','velit ac',0,1,1.2667,'V432',44),(3763,'velit ac eros','velit ac eros',0,1,1.4333,'V43262',44),(3764,'velit massa','velit massa',0,1,1.3667,'V4352',21),(3765,'velit massa imperdiet','velit massa imperdiet',0,1,1.7,'V43525163',21),(3766,'velit quis','velit quis',0,1,1.3333,'V432',44),(3767,'velit quis porta','velit quis porta',0,1,1.5333,'V432163',44),(3768,'velit tristique','velit tristique',0,1,1.5,'V436232',2),(3769,'velit tristique ac','velit tristique ac',0,1,1.6,'V436232',2),(3770,'venenatis aliquet','venenatis aliquet',0,1,1.5667,'V532423',21),(3771,'venenatis aliquet euismod','venenatis aliquet euismod',0,1,1.8333,'V532423253',21),(3772,'venenatis mollis','venenatis mollis',0,1,1.5333,'V532542',44),(3773,'venenatis mollis augue','venenatis mollis augue',0,1,1.7333,'V532542',44),(3774,'vestibulum condimentum','vestibulum condimentum',0,1,1.7333,'V23145253535',68),(3775,'vestibulum condimentum pulvinar','vestibulum condimentum pulvinar',0,1,2,'V2314525353514156',68),(3776,'vestibulum euismod','vestibulum euismod',0,1,1.6,'V23145253',40),(3777,'vestibulum euismod luctus','vestibulum euismod luctus',0,1,1.8333,'V231452534232',40),(3778,'vimeo','vimeo',0,0,0.3333,'V500',22),(3779,'vimeo a','vimeo a',0,1,1.2333,'V500',22),(3780,'vimeo a a','vimeo a a',0,1,1.3,'V500',15),(3781,'vimeo moby','vimeo moby',0,1,1.3333,'V510',15),(3782,'vimeo moby picture','vimeo moby picture',0,1,1.6,'V51236',3),(3783,'vitae malesuada','vitae malesuada',0,1,1.5,'V35423',21),(3784,'vitae malesuada neque','vitae malesuada neque',0,1,1.7,'V3542352',21),(3785,'vitae pharetra','vitae pharetra',0,1,1.4667,'V31636',68),(3786,'vitae pharetra odio','vitae pharetra odio',0,1,1.6333,'V316363',68),(3787,'vitae purus','vitae purus',0,1,1.3667,'V3162',69),(3788,'vitae purus nunc','vitae purus nunc',0,1,1.5333,'V316252',69),(3789,'vitae purus p','vitae purus p',0,1,1.4333,'V31621',68),(3790,'vivamus rhoncus','vivamus rhoncus',0,1,1.5,'V52652',44),(3791,'vivamus rhoncus arcu','vivamus rhoncus arcu',0,1,1.6667,'V5265262',44),(3792,'vivamus ullamcorper','vivamus ullamcorper',0,1,1.6333,'V52452616',21),(3793,'vivamus ullamcorper est','vivamus ullamcorper est',0,1,1.7667,'V5245261623',21),(3794,'volutpat','volutpat',0,0,0.5333,'V4313',1055),(3795,'volutpat consectetur','volutpat consectetur',0,1,1.6667,'V431325236',21),(3796,'volutpat consectetur accumsan','volutpat consectetur accumsan',0,1,1.9667,'V4313252362525',21),(3797,'volutpat diam','volutpat diam',0,1,1.4333,'V43135',44),(3798,'volutpat diam ante','volutpat diam ante',0,1,1.6,'V431353',44),(3799,'volutpat fusce','volutpat fusce',0,1,1.4667,'V431312',44),(3800,'volutpat fusce adipiscing','volutpat fusce adipiscing',0,1,1.8333,'V43131231252',44),(3801,'volutpat ultrices','volutpat ultrices',0,1,1.5667,'V43134362',44),(3802,'volutpat ultrices lectus','volutpat ultrices lectus',0,1,1.8,'V431343624232',44),(3803,'warning','warning',0,0,0.4667,'W652',43),(3804,'warning this','warning this',0,1,1.4,'W65232',43),(3805,'warning this is','warning this is',0,1,1.5,'W65232',43),(3806,'warning warning','warning warning',0,1,1.5,'W652652',39),(3807,'warning warning this','warning warning this',0,1,1.6667,'W65265232',39),(3808,'warnings','warnings',0,0,0.5333,'W652',68),(3809,'warnings lorem','warnings lorem',0,1,1.4667,'W652465',68),(3810,'warnings lorem ipsum','warnings lorem ipsum',0,1,1.6667,'W652465125',68),(3811,'way','way',0,0,0.2,'W000',76),(3812,'way below','way below',0,1,1.3,'W140',68),(3813,'way below we','way below we',0,1,1.4,'W140',68),(3814,'we','we',0,0,0.1333,'W000',109),(3815,'we present','we present',0,1,1.3333,'W16253',68),(3816,'we present rebuilt','we present rebuilt',0,1,1.6,'W162536143',68),(3817,'what','what',0,0,0.2667,'W300',66),(3818,'what you','what you',0,1,1.2667,'W300',43),(3819,'what you can','what you can',0,1,1.4,'W325',43),(3820,'which','which',0,0,0.3333,'W200',100),(3821,'which have','which have',0,1,1.3333,'W210',68),(3822,'which have a','which have a',0,1,1.4,'W210',68),(3823,'which is','which is',0,1,1.2667,'W200',71),(3824,'which is delivered','which is delivered',0,1,1.6,'W234163',68),(3825,'with a','with a',0,1,1.2,'W300',80),(3826,'with a template','with a template',0,1,1.5,'W35143',68),(3827,'with dropcap','with dropcap',0,1,1.4,'W36121',43),(3828,'with dropcap lorem','with dropcap lorem',0,1,1.6,'W36121465',43),(3829,'with dropcap p','with dropcap p',0,1,1.4667,'W36121',43),(3830,'with templates','with templates',0,1,1.4667,'W351432',68),(3831,'with templates which','with templates which',0,1,1.6667,'W351432',68),(3832,'word','word',0,0,0.2667,'W630',43),(3833,'word or','word or',0,1,1.2333,'W636',43),(3834,'word or phrase','word or phrase',0,1,1.4667,'W636162',43),(3835,'wrapper','wrapper',0,0,0.4667,'W616',73),(3836,'wrapper position','wrapper position',0,1,1.5333,'W6161235',68),(3837,'wrapper position relative','wrapper position relative',0,1,1.8333,'W61612356431',68),(3838,'you','you',0,0,0.2,'Y000',324),(3839,'you can','you can',0,1,1.2333,'Y250',122),(3840,'you can create','you can create',0,1,1.4667,'Y25263',32),(3841,'you can do','you can do',0,1,1.3333,'Y253',43),(3842,'you can use','you can use',0,1,1.3667,'Y252',78),(3843,'you have','you have',0,1,1.2667,'Y100',70),(3844,'you have to','you have to',0,1,1.3667,'Y130',70),(3845,'you how','you how',0,1,1.2333,'Y000',68),(3846,'you how you','you how you',0,1,1.3667,'Y000',68),(3847,'your','your',0,0,0.2667,'Y600',284),(3848,'your code','your code',0,1,1.3,'Y623',68),(3849,'your code div','your code div',0,1,1.4333,'Y6231',68),(3850,'your content','your content',0,1,1.4,'Y625353',68),(3851,'your content in','your content in',0,1,1.5,'Y6253535',68),(3852,'your file','your file',0,1,1.3,'Y614',68),(3853,'your file h4','your file h4',0,1,1.4,'Y614',68),(3854,'your goes','your goes',0,1,1.3,'Y620',29),(3855,'your goes here','your goes here',0,1,1.4667,'Y626',29),(3856,'your highlight','your highlight',0,1,1.4667,'Y62423',68),(3857,'your highlight phrase','your highlight phrase',0,1,1.7,'Y62423162',68),(3858,'your message','your message',0,1,1.4,'Y652',30),(3859,'your message goes','your message goes',0,1,1.5667,'Y652',30),(3860,'your own','your own',0,1,1.2667,'Y650',46),(3861,'your own and','your own and',0,1,1.4,'Y653',43),(3862,'your own critical','your own critical',0,1,1.5667,'Y6526324',30),(3863,'your own css','your own css',0,1,1.4,'Y652',43),(3864,'your own help','your own help',0,1,1.4333,'Y6541',43),(3865,'your own highlights','your own highlights',0,1,1.6333,'Y6524232',43),(3866,'your own information','your own information',0,1,1.6667,'Y6516535',42),(3867,'your quoted','your quoted',0,1,1.3667,'Y623',69),(3868,'your quoted text','your quoted text',0,1,1.5333,'Y62323',69),(3869,'youtube','youtube',0,0,0.4667,'Y310',26),(3870,'youtube a','youtube a',0,1,1.3,'Y310',15),(3871,'youtube a a','youtube a a',0,1,1.3667,'Y310',15),(3872,'youtube ichat','youtube ichat',0,1,1.4333,'Y3123',3),(3873,'youtube ichat digg','youtube ichat digg',0,1,1.6,'Y31232',3),(3874,'zoom','zoom',0,0,0.2667,'Z500',29),(3875,'zoom message','zoom message',0,1,1.4,'Z520',28),(3876,'zoom message use','zoom message use',0,1,1.5333,'Z520',28),(3877,'module','module',0,0,0.4,'M340',36),(3878,'module positions','module positions',0,1,1.5333,'M3412352',26),(3879,'positions','positions',0,0,0.6,'P2352',31),(3880,'a message','a message',0,1,1.3,'A520',3),(3881,'a message type','a message type',0,1,1.4667,'A5231',3),(3882,'a sample message','a sample message',0,1,1.5333,'A251452',3),(3883,'about','about',0,0,0.3333,'A130',26),(3884,'about joomla','about joomla',0,1,1.4,'A13254',3),(3885,'about joomla system','about joomla system',0,1,1.6333,'A13254235',3),(3886,'as','as',0,0,0.1333,'A200',232),(3887,'as follows','as follows',0,1,1.3333,'A2142',3),(3888,'as follows error','as follows error',0,1,1.5333,'A21426',3),(3889,'creatings','creatings',0,0,0.6,'C6352',3),(3890,'creatings standard','creatings standard',0,1,1.6,'C635235363',3),(3891,'creatings standard information','creatings standard information',0,1,2,'C635235363516535',3),(3892,'depending','depending',0,0,0.6,'D15352',3),(3893,'depending on','depending on',0,1,1.4,'D153525',3),(3894,'depending on a','depending on a',0,1,1.4667,'D153525',3),(3895,'different','different',0,0,0.6,'D1653',23),(3896,'different types','different types',0,1,1.5,'D165312',3),(3897,'different types of','different types of',0,1,1.6,'D1653121',3),(3898,'error this','error this',0,1,1.3333,'E632',3),(3899,'error this is','error this is',0,1,1.4333,'E632',3),(3900,'follows','follows',0,0,0.4667,'F420',5),(3901,'follows error','follows error',0,1,1.4333,'F426',3),(3902,'follows error this','follows error this',0,1,1.6,'F42632',3),(3903,'information about','information about',0,1,1.5667,'I51653513',3),(3904,'information about joomla','information about joomla',0,1,1.8,'I51653513254',3),(3905,'is presented','is presented',0,1,1.4,'I216253',3),(3906,'is presented depending','is presented depending',0,1,1.7333,'I21625315352',3),(3907,'joomla offers','joomla offers',0,1,1.4333,'J54162',3),(3908,'joomla offers three','joomla offers three',0,1,1.6333,'J5416236',3),(3909,'joomla system','joomla system',0,1,1.4333,'J54235',3),(3910,'joomla system is','joomla system is',0,1,1.5333,'J542352',3),(3911,'message error','message error',0,1,1.4333,'M260',3),(3912,'message error this','message error this',0,1,1.6,'M2632',3),(3913,'message type','message type',0,1,1.4,'M231',3),(3914,'message type as','message type as',0,1,1.5,'M2312',3),(3915,'messages','messages',0,0,0.5333,'M200',3),(3916,'messages creatings','messages creatings',0,1,1.6,'M26352',3),(3917,'messages creatings standard','messages creatings standard',0,1,1.9,'M2635235363',3),(3918,'notice','notice',0,0,0.4,'N320',13),(3919,'notice message','notice message',0,1,1.4667,'N3252',3),(3920,'notice message error','notice message error',0,1,1.6667,'N32526',3),(3921,'of error','of error',0,1,1.2667,'O160',3),(3922,'of error message','of error message',0,1,1.5333,'O1652',3),(3923,'of messages','of messages',0,1,1.3667,'O152',3),(3924,'of messages creatings','of messages creatings',0,1,1.7,'O1526352',3),(3925,'of notice','of notice',0,1,1.3,'O1532',3),(3926,'of notice message','of notice message',0,1,1.5667,'O153252',3),(3927,'offers','offers',0,0,0.4,'O162',189),(3928,'offers three','offers three',0,1,1.4,'O16236',3),(3929,'offers three different','offers three different',0,1,1.7333,'O1623631653',3),(3930,'on','on',0,0,0.1333,'O500',342),(3931,'on a','on a',0,1,1.1333,'O500',5),(3932,'on a message','on a message',0,1,1.4,'O520',3),(3933,'presented','presented',0,0,0.6,'P6253',3),(3934,'presented depending','presented depending',0,1,1.6333,'P625315352',3),(3935,'presented depending on','presented depending on',0,1,1.7333,'P6253153525',3),(3936,'sample message','sample message',0,1,1.4667,'S51452',3),(3937,'sample message error','sample message error',0,1,1.6667,'S514526',3),(3938,'sample of error','sample of error',0,1,1.5,'S51416',3),(3939,'sample of notice','sample of notice',0,1,1.5333,'S5141532',3),(3940,'standard','standard',0,0,0.5333,'S35363',14),(3941,'standard information','standard information',0,1,1.6667,'S35363516535',3),(3942,'standard information about','standard information about',0,1,1.8667,'S3536351653513',3),(3943,'system is','system is',0,1,1.3,'S352',3),(3944,'system is presented','system is presented',0,1,1.6333,'S35216253',3),(3945,'three','three',0,0,0.3333,'T600',32),(3946,'three different','three different',0,1,1.5,'T631653',3),(3947,'three different types','three different types',0,1,1.7,'T63165312',3),(3948,'type','type',0,0,0.2667,'T100',11),(3949,'type as','type as',0,1,1.2333,'T120',3),(3950,'type as follows','type as follows',0,1,1.5,'T12142',3),(3951,'types of','types of',0,1,1.2667,'T121',3),(3952,'types of messages','types of messages',0,1,1.5667,'T12152',3),(3953,'62','62',0,0,0.2,'',6),(3954,'adipiscing elit maecenas','adipiscing elit maecenas',0,1,1.8,'A31252435252',175),(3955,'adipiscing elit vivamus','adipiscing elit vivamus',0,1,1.7667,'A3125243152',176),(3956,'aliquet maecenas','aliquet maecenas',0,1,1.5333,'A4235252',184),(3957,'aliquet maecenas sed','aliquet maecenas sed',0,1,1.6667,'A42352523',184),(3958,'amet fermentum lorem','amet fermentum lorem',0,1,1.6667,'A5316535465',175),(3959,'amet fermentum vestibulum','amet fermentum vestibulum',0,1,1.8333,'A5316535123145',175),(3960,'amet risus sed','amet risus sed',0,1,1.4667,'A53623',178),(3961,'amet risus vestibulum','amet risus vestibulum',0,1,1.7,'A5362123145',187),(3962,'at lobortis curabitur','at lobortis curabitur',0,1,1.7,'A3416326136',70),(3963,'at lobortis integer','at lobortis integer',0,1,1.6333,'A3416325326',175),(3964,'at lobortis vestibulum','at lobortis vestibulum',0,1,1.7333,'A341632123145',178),(3965,'auctor aenean','auctor aenean',0,1,1.4333,'A2365',175),(3966,'auctor aenean eu','auctor aenean eu',0,1,1.5333,'A2365',175),(3967,'auctor curabitur','auctor curabitur',0,1,1.5333,'A23626136',175),(3968,'auctor curabitur blandit','auctor curabitur blandit',0,1,1.8,'A236261361453',175),(3969,'auctor maecenas','auctor maecenas',0,1,1.5,'A2365252',175),(3970,'auctor maecenas faucibus','auctor maecenas faucibus',0,1,1.8,'A23652521212',175),(3971,'auctor nulla','auctor nulla',0,1,1.4,'A23654',175),(3972,'auctor nulla vitae','auctor nulla vitae',0,1,1.6,'A2365413',175),(3973,'consectetur et duis','consectetur et duis',0,1,1.6333,'C523632',131),(3974,'dolor auctor aenean','dolor auctor aenean',0,1,1.6333,'D462365',175),(3975,'dolor auctor curabitur','dolor auctor curabitur',0,1,1.7333,'D4623626136',175),(3976,'dolor auctor maecenas','dolor auctor maecenas',0,1,1.7,'D462365252',175),(3977,'dolor auctor nulla','dolor auctor nulla',0,1,1.6,'D4623654',175),(3978,'dui etiam','dui etiam',0,1,1.3,'D500',86),(3979,'dui etiam porta','dui etiam porta',0,1,1.5,'D5163',86),(3980,'eget metus fusce','eget metus fusce',0,1,1.5333,'E2353212',175),(3981,'eget quam etiam','eget quam etiam',0,1,1.5,'E232535',179),(3982,'elit maecenas','elit maecenas',0,1,1.4333,'E435252',175),(3983,'elit maecenas faucibus','elit maecenas faucibus',0,1,1.7333,'E4352521212',175),(3984,'elit vestibulum id','elit vestibulum id',0,1,1.6,'E431231453',175),(3985,'et duis','et duis',0,1,1.2333,'E320',131),(3986,'et duis mollis','et duis mollis',0,1,1.4667,'E32542',131),(3987,'eu leo etiam','eu leo etiam',0,1,1.4,'E435',155),(3988,'eu leo lorem','eu leo lorem',0,1,1.4,'E465',175),(3989,'euismod aenean lacinia','euismod aenean lacinia',0,1,1.7333,'E2535425',175),(3990,'euismod sed','euismod sed',0,1,1.3667,'E25323',86),(3991,'euismod sed posuere','euismod sed posuere',0,1,1.6333,'E25323126',86),(3992,'euismod semper cras','euismod semper cras',0,1,1.6333,'E2532516262',179),(3993,'euismod semper nullam','euismod semper nullam',0,1,1.7,'E2532516545',184),(3994,'euismod semper vivamus','euismod semper vivamus',0,1,1.7333,'E2532516152',175),(3995,'fermentum lorem','fermentum lorem',0,1,1.5,'F6535465',175),(3996,'fermentum lorem ipsum','fermentum lorem ipsum',0,1,1.7,'F6535465125',175),(3997,'fermentum vestibulum','fermentum vestibulum',0,1,1.6667,'F6535123145',175),(3998,'fermentum vestibulum id','fermentum vestibulum id',0,1,1.7667,'F65351231453',175),(3999,'interdum maecenas','interdum maecenas',0,1,1.5667,'I53635252',189),(4000,'interdum maecenas sed','interdum maecenas sed',0,1,1.7,'I536352523',175),(4001,'ipsum 4','ipsum 4',0,1,1.2333,'I125',3),(4002,'ipsum iv','ipsum iv',0,1,1.2667,'I1251',3),(4003,'iv','iv',0,0,0.1333,'I100',28),(4004,'leo etiam','leo etiam',0,1,1.3,'L350',155),(4005,'leo etiam porta','leo etiam porta',0,1,1.5,'L35163',155),(4006,'leo lorem ipsum','leo lorem ipsum',0,1,1.5,'L65125',175),(4007,'lobortis curabitur','lobortis curabitur',0,1,1.6,'L16326136',70),(4008,'lobortis curabitur blandit','lobortis curabitur blandit',0,1,1.8667,'L163261361453',70),(4009,'lobortis integer','lobortis integer',0,1,1.5333,'L16325326',175),(4010,'lobortis integer posuere','lobortis integer posuere',0,1,1.8,'L16325326126',175),(4011,'lobortis vestibulum','lobortis vestibulum',0,1,1.6333,'L1632123145',178),(4012,'lobortis vestibulum id','lobortis vestibulum id',0,1,1.7333,'L16321231453',178),(4013,'lorem ipsum 4','lorem ipsum 4',0,1,1.4333,'L65125',3),(4014,'lorem ipsum iv','lorem ipsum iv',0,1,1.4667,'L651251',3),(4015,'magna cras','magna cras',0,1,1.3333,'M25262',175),(4016,'magna cras mattis','magna cras mattis',0,1,1.5667,'M25262532',175),(4017,'magna praesent','magna praesent',0,1,1.4667,'M2516253',175),(4018,'magna praesent commodo','magna praesent commodo',0,1,1.7333,'M2516253253',175),(4019,'metus fusce','metus fusce',0,1,1.3667,'M3212',175),(4020,'metus fusce dapibus','metus fusce dapibus',0,1,1.6333,'M3212312',175),(4021,'mollis euismod sed','mollis euismod sed',0,1,1.6,'M425323',86),(4022,'mollis interdum maecenas','mollis interdum maecenas',0,1,1.8,'M4253635252',175),(4023,'nec elit sed','nec elit sed',0,1,1.4,'N24323',175),(4024,'nec elit vestibulum','nec elit vestibulum',0,1,1.6333,'N243123145',175),(4025,'non magna cras','non magna cras',0,1,1.4667,'N25262',175),(4026,'non magna praesent','non magna praesent',0,1,1.6,'N2516253',175),(4027,'odio dui etiam','odio dui etiam',0,1,1.4667,'O350',86),(4028,'porttitor donec id','porttitor donec id',0,1,1.6,'P6363523',179),(4029,'porttitor nullam','porttitor nullam',0,1,1.5333,'P636545',139),(4030,'porttitor nullam quis','porttitor nullam quis',0,1,1.7,'P6365452',139),(4031,'quam etiam','quam etiam',0,1,1.3333,'Q535',179),(4032,'quam etiam porta','quam etiam porta',0,1,1.5333,'Q535163',179),(4033,'risus sed','risus sed',0,1,1.3,'R230',180),(4034,'risus sed posuere','risus sed posuere',0,1,1.5667,'R23126',178),(4035,'risus vestibulum','risus vestibulum',0,1,1.5333,'R2123145',187),(4036,'risus vestibulum id','risus vestibulum id',0,1,1.6333,'R21231453',187),(4037,'semper cras','semper cras',0,1,1.3667,'S516262',179),(4038,'semper cras justo','semper cras justo',0,1,1.5667,'S5162623',179),(4039,'semper cras mattis','semper cras mattis',0,1,1.6,'S516262532',175),(4040,'semper nullam','semper nullam',0,1,1.4333,'S516545',184),(4041,'semper nullam quis','semper nullam quis',0,1,1.6,'S5165452',175),(4042,'semper vivamus','semper vivamus',0,1,1.4667,'S516152',175),(4043,'semper vivamus sagittis','semper vivamus sagittis',0,1,1.7667,'S51615232',175),(4044,'tempus porttitor nullam','tempus porttitor nullam',0,1,1.7667,'T5121636545',139),(4045,'velit aliquet maecenas','velit aliquet maecenas',0,1,1.7333,'V434235252',184),(4046,'venenatis vestibulum fusce','venenatis vestibulum fusce',0,1,1.8667,'V53212314512',178),(4047,'vestibulum fusce','vestibulum fusce',0,1,1.5333,'V2314512',178),(4048,'a particular','a particular',0,1,1.4,'A163246',8),(4049,'a particular template','a particular template',0,1,1.7,'A16324635143',8),(4050,'a plug-in','a plug-in',0,1,1.3,'A1425',8),(4051,'a plug-in which','a plug-in which',0,1,1.5,'A14252',8),(4052,'a user','a user',0,1,1.2,'A260',8),(4053,'a user has','a user has',0,1,1.3333,'A262',8),(4054,'additional functionality','additional functionality',0,1,1.8,'A3541523543',8),(4055,'additional functionality offered','additional functionality offered',0,1,2,'A3541523543163',8),(4056,'an additional','an additional',0,1,1.4333,'A5354',10),(4057,'an additional functionality','an additional functionality',0,1,1.9,'A53541523543',8),(4058,'be','be',0,0,0.1333,'B000',239),(4059,'be found','be found',0,1,1.2667,'B530',13),(4060,'be found in','be found in',0,1,1.3667,'B535',11),(4061,'by gk','by gk',0,1,1.1667,'B200',8),(4062,'by gk menu','by gk menu',0,1,1.3333,'B250',8),(4063,'can be','can be',0,1,1.2,'C510',20),(4064,'can be found','can be found',0,1,1.4,'C5153',8),(4065,'characteristic','characteristic',0,0,0.9333,'C6236232',8),(4066,'characteristic it','characteristic it',0,1,1.5667,'C62362323',8),(4067,'characteristic it is','characteristic it is',0,1,1.6667,'C623623232',8),(4068,'different characteristic','different characteristic',0,1,1.8,'D165326236232',8),(4069,'different characteristic it','different characteristic it',0,1,1.9,'D1653262362323',8),(4070,'dropline','dropline',0,0,0.5333,'D6145',8),(4071,'dropline menu','dropline menu',0,1,1.4333,'D6145',8),(4072,'dropline menu split','dropline menu split',0,1,1.6333,'D61452143',8),(4073,'each','each',0,0,0.2667,'E200',8),(4074,'each of','each of',0,1,1.2333,'E210',8),(4075,'each of these','each of these',0,1,1.4333,'E2132',8),(4076,'found','found',0,0,0.3333,'F530',13),(4077,'found in','found in',0,1,1.2667,'F535',11),(4078,'found in the','found in the',0,1,1.4,'F5353',8),(4079,'functionality','functionality',0,0,0.8667,'F523543',8),(4080,'functionality offered','functionality offered',0,1,1.7,'F523543163',8),(4081,'functionality offered by','functionality offered by',0,1,1.8,'F5235431631',8),(4082,'gain','gain',0,0,0.2667,'G500',8),(4083,'gain an','gain an',0,1,1.2333,'G500',8),(4084,'gain an additional','gain an additional',0,1,1.6,'G5354',8),(4085,'gk','gk',0,0,0.1333,'G000',10),(4086,'gk menu','gk menu',0,1,1.2333,'G500',8),(4087,'gk menu a','gk menu a',0,1,1.3,'G500',8),(4088,'gk menu dropline','gk menu dropline',0,1,1.5333,'G536145',8),(4089,'has','has',0,0,0.2,'H200',122),(4090,'has different','has different',0,1,1.4333,'H231653',8),(4091,'has different characteristic','has different characteristic',0,1,1.9333,'H23165326236232',8),(4092,'has to','has to',0,1,1.2,'H230',9),(4093,'has to install','has to install',0,1,1.4667,'H235234',8),(4094,'important','important',0,0,0.6,'I516353',18),(4095,'important to','important to',0,1,1.4,'I516353',8),(4096,'important to know','important to know',0,1,1.5667,'I51635325',8),(4097,'in the rest-files','in the rest-files',0,1,1.5667,'I53623142',8),(4098,'install','install',0,0,0.4667,'I5234',8),(4099,'install a','install a',0,1,1.3,'I5234',8),(4100,'install a plug-in','install a plug-in',0,1,1.5667,'I52341425',8),(4101,'is important','is important',0,1,1.4,'I2516353',8),(4102,'is important to','is important to',0,1,1.5,'I2516353',8),(4103,'it is important','it is important',0,1,1.5,'I32516353',8),(4104,'know','know',0,0,0.2667,'K500',189),(4105,'know that','know that',0,1,1.3,'K530',8),(4106,'know that in','know that in',0,1,1.4,'K535',8),(4107,'menu a','menu a',0,1,1.2,'M000',8),(4108,'menu a user','menu a user',0,1,1.3667,'M260',8),(4109,'menu dropline','menu dropline',0,1,1.4333,'M36145',8),(4110,'menu dropline menu','menu dropline menu',0,1,1.6,'M36145',8),(4111,'menu each','menu each',0,1,1.3,'M200',8),(4112,'menu each of','menu each of',0,1,1.4,'M210',8),(4113,'menu split','menu split',0,1,1.3333,'M2143',8),(4114,'menu split menu','menu split menu',0,1,1.5,'M21435',8),(4115,'menu types gk','menu types gk',0,1,1.4333,'M312',8),(4116,'menus','menus',0,0,0.3333,'M200',8),(4117,'menus has','menus has',0,1,1.3,'M200',8),(4118,'menus has different','menus has different',0,1,1.6333,'M231653',8),(4119,'of a particular','of a particular',0,1,1.5,'O163246',8),(4120,'of these','of these',0,1,1.2667,'O132',14),(4121,'of these menus','of these menus',0,1,1.4667,'O13252',8),(4122,'offered by','offered by',0,1,1.3333,'O1631',8),(4123,'offered by gk','offered by gk',0,1,1.4333,'O16312',8),(4124,'order to gain','order to gain',0,1,1.4333,'O636325',8),(4125,'our template','our template',0,1,1.4,'O635143',8),(4126,'our template supports','our template supports',0,1,1.7,'O63514321632',8),(4127,'package of','package of',0,1,1.3333,'P210',8),(4128,'package of a','package of a',0,1,1.4,'P210',8),(4129,'particular','particular',0,0,0.6667,'P63246',8),(4130,'particular template','particular template',0,1,1.6333,'P6324635143',8),(4131,'plug-in','plug-in',0,0,0.4667,'P425',8),(4132,'plug-in which','plug-in which',0,1,1.4333,'P4252',8),(4133,'plug-in which can','plug-in which can',0,1,1.5667,'P42525',8),(4134,'rest-files','rest-files',0,0,0.6667,'R23142',8),(4135,'rest-files package','rest-files package',0,1,1.6,'R2314212',8),(4136,'rest-files package of','rest-files package of',0,1,1.7,'R23142121',8),(4137,'split','split',0,0,0.3333,'S143',8),(4138,'split menu','split menu',0,1,1.3333,'S1435',8),(4139,'split menu each','split menu each',0,1,1.5,'S14352',8),(4140,'supports','supports',0,0,0.5333,'S1632',16),(4141,'supports three','supports three',0,1,1.4667,'S163236',8),(4142,'supports three menu','supports three menu',0,1,1.6333,'S1632365',8),(4143,'template supports','template supports',0,1,1.5667,'T514321632',12),(4144,'template supports three','template supports three',0,1,1.7667,'T51432163236',8),(4145,'that in','that in',0,1,1.2333,'T500',10),(4146,'that in order','that in order',0,1,1.4333,'T5636',10),(4147,'the rest-files','the rest-files',0,1,1.4667,'T623142',8),(4148,'the rest-files package','the rest-files package',0,1,1.7333,'T62314212',8),(4149,'these','these',0,0,0.3333,'T200',19),(4150,'these menus','these menus',0,1,1.3667,'T252',8),(4151,'these menus has','these menus has',0,1,1.5,'T252',8),(4152,'three menu','three menu',0,1,1.3333,'T650',8),(4153,'three menu types','three menu types',0,1,1.5333,'T65312',8),(4154,'to gain','to gain',0,1,1.2333,'T250',8),(4155,'to gain an','to gain an',0,1,1.3333,'T250',8),(4156,'to install','to install',0,1,1.3333,'T5234',8),(4157,'to install a','to install a',0,1,1.4,'T5234',8),(4158,'to know','to know',0,1,1.2333,'T250',185),(4159,'to know that','to know that',0,1,1.4,'T253',8),(4160,'types gk','types gk',0,1,1.2667,'T120',8),(4161,'types gk menu','types gk menu',0,1,1.4333,'T125',8),(4162,'user has','user has',0,1,1.2667,'U262',8),(4163,'user has to','user has to',0,1,1.3667,'U2623',8),(4164,'which can','which can',0,1,1.3,'W250',8),(4165,'which can be','which can be',0,1,1.4,'W251',8),(4166,'a enim','a enim',0,1,1.2,'A500',14),(4167,'a enim cras','a enim cras',0,1,1.3667,'A5262',14),(4168,'a facilisis','a facilisis',0,1,1.3667,'A1242',177),(4169,'a facilisis id','a facilisis id',0,1,1.4667,'A12423',14),(4170,'a nec','a nec',0,1,1.1667,'A520',142),(4171,'a nec felis','a nec felis',0,1,1.3667,'A52142',14),(4172,'a tincidunt','a tincidunt',0,1,1.3667,'A352353',14),(4173,'a tincidunt in','a tincidunt in',0,1,1.4667,'A3523535',14),(4174,'ac euismod','ac euismod',0,1,1.3333,'A253',14),(4175,'ac euismod ut','ac euismod ut',0,1,1.4333,'A253',14),(4176,'adipiscing elit duis','adipiscing elit duis',0,1,1.6667,'A31252432',14),(4177,'adipiscing placerat','adipiscing placerat',0,1,1.6333,'A3125214263',14),(4178,'adipiscing placerat commodo','adipiscing placerat commodo',0,1,1.9,'A3125214263253',14),(4179,'aliquam blandit','aliquam blandit',0,1,1.5,'A4251453',14),(4180,'aliquam blandit in','aliquam blandit in',0,1,1.6,'A42514535',14),(4181,'aliquam nunc','aliquam nunc',0,1,1.4,'A4252',14),(4182,'aliquam nunc ut','aliquam nunc ut',0,1,1.5,'A42523',14),(4183,'aliquet ac','aliquet ac',0,1,1.3333,'A4232',14),(4184,'aliquet ac euismod','aliquet ac euismod',0,1,1.6,'A423253',14),(4185,'amet lacus','amet lacus',0,1,1.3333,'A5342',14),(4186,'amet lacus sed','amet lacus sed',0,1,1.4667,'A53423',14),(4187,'amet lacus sit','amet lacus sit',0,1,1.4667,'A53423',14),(4188,'amet nunc','amet nunc',0,1,1.3,'A5352',17),(4189,'amet nunc commodo','amet nunc commodo',0,1,1.5667,'A535253',14),(4190,'amet odio','amet odio',0,1,1.3,'A530',14),(4191,'amet odio vulputate','amet odio vulputate',0,1,1.6333,'A531413',14),(4192,'ante ipsum','ante ipsum',0,1,1.3333,'A53125',18),(4193,'ante ipsum primis','ante ipsum primis',0,1,1.5667,'A531251652',18),(4194,'ante nec','ante nec',0,1,1.2667,'A5352',14),(4195,'ante nec magna','ante nec magna',0,1,1.4667,'A5352525',14),(4196,'at sapien','at sapien',0,1,1.3,'A3215',14),(4197,'at sapien neque','at sapien neque',0,1,1.5,'A32152',14),(4198,'blandit in','blandit in',0,1,1.3333,'B4535',14),(4199,'blandit in at','blandit in at',0,1,1.4333,'B45353',14),(4200,'blandit interdum','blandit interdum',0,1,1.5333,'B45353635',14),(4201,'blandit interdum maecenas','blandit interdum maecenas',0,1,1.8333,'B45353635252',14),(4202,'blandit vel','blandit vel',0,1,1.3667,'B45314',14),(4203,'blandit vel urna','blandit vel urna',0,1,1.5333,'B4531465',14),(4204,'column','column',0,0,0.4,'C450',19),(4205,'commodo quis','commodo quis',0,1,1.4,'C532',14),(4206,'commodo quis purus','commodo quis purus',0,1,1.6,'C532162',14),(4207,'commodo tempus','commodo tempus',0,1,1.4667,'C53512',14),(4208,'commodo tempus donec','commodo tempus donec',0,1,1.6667,'C53512352',14),(4209,'consequat etiam','consequat etiam',0,1,1.5,'C5235',14),(4210,'consequat etiam eget','consequat etiam eget',0,1,1.6667,'C523523',14),(4211,'cras quis','cras quis',0,1,1.3,'C620',14),(4212,'cras quis tellus','cras quis tellus',0,1,1.5333,'C62342',14),(4213,'cubilia','cubilia',0,0,0.4667,'C140',18),(4214,'cubilia curae','cubilia curae',0,1,1.4333,'C1426',18),(4215,'cubilia curae donec','cubilia curae donec',0,1,1.6333,'C1426352',14),(4216,'curabitur ut','curabitur ut',0,1,1.4,'C61363',14),(4217,'curabitur ut nisl','curabitur ut nisl',0,1,1.5667,'C61363524',14),(4218,'curae','curae',0,0,0.3333,'C600',18),(4219,'curae donec','curae donec',0,1,1.3667,'C6352',14),(4220,'curae donec malesuada','curae donec malesuada',0,1,1.7,'C63525423',14),(4221,'cursus libero','cursus libero',0,1,1.4333,'C62416',14),(4222,'cursus libero aliquam','cursus libero aliquam',0,1,1.7,'C62416425',14),(4223,'diam neque','diam neque',0,1,1.3333,'D520',14),(4224,'donec eget massa','donec eget massa',0,1,1.5333,'D52352',14),(4225,'donec malesuada','donec malesuada',0,1,1.5,'D525423',14),(4226,'donec malesuada ligula','donec malesuada ligula',0,1,1.7333,'D525423424',14),(4227,'dui nec','dui nec',0,1,1.2333,'D520',17),(4228,'dui nec velit','dui nec velit',0,1,1.4333,'D52143',14),(4229,'duis sit','duis sit',0,1,1.2667,'D230',14),(4230,'duis sit amet','duis sit amet',0,1,1.4333,'D2353',14),(4231,'egestas vestibulum','egestas vestibulum',0,1,1.6,'E232123145',14),(4232,'egestas vestibulum leo','egestas vestibulum leo',0,1,1.7333,'E2321231454',14),(4233,'eget enim','eget enim',0,1,1.3,'E235',164),(4234,'eget enim sit','eget enim sit',0,1,1.4333,'E23523',14),(4235,'eget massa','eget massa',0,1,1.3333,'E2352',14),(4236,'eget massa ut','eget massa ut',0,1,1.4333,'E23523',14),(4237,'eget urna luctus','eget urna luctus',0,1,1.5333,'E23654232',14),(4238,'elementum a','elementum a',0,1,1.3667,'E4535',14),(4239,'elementum a tincidunt','elementum a tincidunt',0,1,1.7,'E4535352353',14),(4240,'elit duis','elit duis',0,1,1.3,'E432',14),(4241,'elit duis sit','elit duis sit',0,1,1.4333,'E4323',14),(4242,'enim cras','enim cras',0,1,1.3,'E5262',14),(4243,'enim cras quis','enim cras quis',0,1,1.4667,'E5262',14),(4244,'enim sit','enim sit',0,1,1.2667,'E523',14),(4245,'enim sit amet','enim sit amet',0,1,1.4333,'E52353',14),(4246,'et justo','et justo',0,1,1.2667,'E323',18),(4247,'et justo placerat','et justo placerat',0,1,1.5667,'E32314263',14),(4248,'et nibh','et nibh',0,1,1.2333,'E351',14),(4249,'et nibh molestie','et nibh molestie',0,1,1.5333,'E3515423',14),(4250,'et purus','et purus',0,1,1.2667,'E3162',14),(4251,'et purus nam','et purus nam',0,1,1.4,'E31625',14),(4252,'et ultrices','et ultrices',0,1,1.3667,'E34362',18),(4253,'et ultrices posuere','et ultrices posuere',0,1,1.6333,'E34362126',18),(4254,'et ultricies','et ultricies',0,1,1.4,'E34362',14),(4255,'et ultricies nec','et ultricies nec',0,1,1.5333,'E3436252',14),(4256,'etiam eget','etiam eget',0,1,1.3333,'E3523',14),(4257,'etiam eget enim','etiam eget enim',0,1,1.5,'E35235',14),(4258,'etiam lorem','etiam lorem',0,1,1.3667,'E35465',14),(4259,'etiam lorem libero','etiam lorem libero',0,1,1.6,'E35465416',14),(4260,'eu tempor','eu tempor',0,1,1.3,'E3516',14),(4261,'eu tempor odio','eu tempor odio',0,1,1.4667,'E35163',14),(4262,'euismod ut','euismod ut',0,1,1.3333,'E253',14),(4263,'euismod ut iaculis','euismod ut iaculis',0,1,1.6,'E253242',14),(4264,'facilisis id','facilisis id',0,1,1.4,'F2423',14),(4265,'facilisis id blandit','facilisis id blandit',0,1,1.6667,'F24231453',14),(4266,'faucibus orci','faucibus orci',0,1,1.4333,'F21262',18),(4267,'faucibus orci luctus','faucibus orci luctus',0,1,1.6667,'F212624232',18),(4268,'felis suspendisse','felis suspendisse',0,1,1.5667,'F421532',14),(4269,'felis suspendisse tortor','felis suspendisse tortor',0,1,1.8,'F4215323636',14),(4270,'fermentum a','fermentum a',0,1,1.3667,'F6535',14),(4271,'fermentum a facilisis','fermentum a facilisis',0,1,1.7,'F65351242',14),(4272,'fringilla aliquam','fringilla aliquam',0,1,1.5667,'F652425',14),(4273,'fringilla aliquam nunc','fringilla aliquam nunc',0,1,1.7333,'F6524252',14),(4274,'gravida volutpat','gravida volutpat',0,1,1.5333,'G61314313',14),(4275,'gravida volutpat adipiscing','gravida volutpat adipiscing',0,1,1.9,'G613143131252',14),(4276,'hendrerit tempus','hendrerit tempus',0,1,1.5333,'H5363512',14),(4277,'hendrerit tempus nunc','hendrerit tempus nunc',0,1,1.7,'H536351252',14),(4278,'iaculis in','iaculis in',0,1,1.3333,'I2425',14),(4279,'iaculis in orci','iaculis in orci',0,1,1.5,'I242562',14),(4280,'id blandit','id blandit',0,1,1.3333,'I31453',14),(4281,'id blandit vel','id blandit vel',0,1,1.4667,'I3145314',14),(4282,'in at','in at',0,1,1.1667,'I530',14),(4283,'in at sapien','in at sapien',0,1,1.4,'I53215',14),(4284,'in elementum','in elementum',0,1,1.4,'I54535',14),(4285,'in elementum a','in elementum a',0,1,1.4667,'I54535',14),(4286,'in faucibus','in faucibus',0,1,1.3667,'I51212',18),(4287,'in faucibus orci','in faucibus orci',0,1,1.5333,'I5121262',18),(4288,'in in','in in',0,1,1.1667,'I500',14),(4289,'in in nibh','in in nibh',0,1,1.3333,'I510',14),(4290,'in nibh','in nibh',0,1,1.2333,'I510',14),(4291,'in nibh lacus','in nibh lacus',0,1,1.4333,'I5142',14),(4292,'in orci','in orci',0,1,1.2333,'I562',14),(4293,'in orci vestibulum','in orci vestibulum',0,1,1.6,'I562123145',14),(4294,'in turpis','in turpis',0,1,1.3,'I53612',15),(4295,'in turpis curabitur','in turpis curabitur',0,1,1.6333,'I536126136',14),(4296,'interdum maecenas lectus','interdum maecenas lectus',0,1,1.8,'I536352524232',14),(4297,'ipsum primis','ipsum primis',0,1,1.4,'I1251652',18),(4298,'ipsum primis in','ipsum primis in',0,1,1.5,'I12516525',18),(4299,'justo placerat','justo placerat',0,1,1.4667,'J314263',14),(4300,'justo placerat vitae','justo placerat vitae',0,1,1.6667,'J31426313',14),(4301,'lacus sed','lacus sed',0,1,1.3,'L230',14),(4302,'lacus sed sed','lacus sed sed',0,1,1.4333,'L2323',14),(4303,'lacus sed tempus','lacus sed tempus',0,1,1.5333,'L23512',14),(4304,'lacus sit','lacus sit',0,1,1.3,'L230',14),(4305,'lacus sit amet','lacus sit amet',0,1,1.4667,'L2353',14),(4306,'lectus nunc','lectus nunc',0,1,1.3667,'L23252',14),(4307,'lectus nunc gravida','lectus nunc gravida',0,1,1.6333,'L23252613',14),(4308,'leo ligula','leo ligula',0,1,1.3333,'L240',14),(4309,'leo ligula volutpat','leo ligula volutpat',0,1,1.6333,'L2414313',14),(4310,'libero aliquam blandit','libero aliquam blandit',0,1,1.7333,'L164251453',14),(4311,'libero et','libero et',0,1,1.3,'L163',14),(4312,'libero et justo','libero et justo',0,1,1.5,'L16323',14),(4313,'libero fermentum','libero fermentum',0,1,1.5333,'L1616535',16),(4314,'libero fermentum a','libero fermentum a',0,1,1.6,'L1616535',14),(4315,'libero venenatis','libero venenatis',0,1,1.5333,'L161532',14),(4316,'libero venenatis in','libero venenatis in',0,1,1.6333,'L1615325',14),(4317,'ligula egestas','ligula egestas',0,1,1.4667,'L24232',14),(4318,'ligula egestas vestibulum','ligula egestas vestibulum',0,1,1.8333,'L24232123145',14),(4319,'ligula eget urna','ligula eget urna',0,1,1.5333,'L242365',14),(4320,'ligula mattis','ligula mattis',0,1,1.4333,'L24532',14),(4321,'ligula mattis pharetra','ligula mattis pharetra',0,1,1.7333,'L245321636',14),(4322,'ligula phasellus','ligula phasellus',0,1,1.5333,'L241242',14),(4323,'ligula phasellus fringilla','ligula phasellus fringilla',0,1,1.8667,'L24124216524',14),(4324,'ligula quam','ligula quam',0,1,1.3667,'L2425',14),(4325,'ligula quam aliquet','ligula quam aliquet',0,1,1.6333,'L2425423',14),(4326,'ligula volutpat','ligula volutpat',0,1,1.5,'L2414313',14),(4327,'ligula volutpat et','ligula volutpat et',0,1,1.6,'L2414313',14),(4328,'lobortis etiam','lobortis etiam',0,1,1.4667,'L163235',14),(4329,'lobortis etiam lorem','lobortis etiam lorem',0,1,1.6667,'L163235465',14),(4330,'lorem libero','lorem libero',0,1,1.4,'L65416',14),(4331,'lorem libero fermentum','lorem libero fermentum',0,1,1.7333,'L6541616535',14),(4332,'luctus et','luctus et',0,1,1.3,'L2323',18),(4333,'luctus et ultrices','luctus et ultrices',0,1,1.6,'L23234362',18),(4334,'luctus eu','luctus eu',0,1,1.3,'L232',14),(4335,'luctus eu tempor','luctus eu tempor',0,1,1.5333,'L2323516',14),(4336,'maecenas lectus','maecenas lectus',0,1,1.5,'M2524232',14),(4337,'maecenas lectus nunc','maecenas lectus nunc',0,1,1.6667,'M252423252',14),(4338,'magna blandit','magna blandit',0,1,1.4333,'M251453',14),(4339,'magna blandit interdum','magna blandit interdum',0,1,1.7333,'M25145353635',14),(4340,'malesuada ligula','malesuada ligula',0,1,1.5333,'M423424',14),(4341,'malesuada ligula eget','malesuada ligula eget',0,1,1.7,'M42342423',14),(4342,'malesuada ligula phasellus','malesuada ligula phasellus',0,1,1.8667,'M4234241242',14),(4343,'massa ut','massa ut',0,1,1.2667,'M230',14),(4344,'massa ut ligula','massa ut ligula',0,1,1.5,'M23424',14),(4345,'mattis pharetra','mattis pharetra',0,1,1.5,'M321636',14),(4346,'mattis pharetra a','mattis pharetra a',0,1,1.5667,'M321636',14),(4347,'mauris vestibulum','mauris vestibulum',0,1,1.5667,'M62123145',14),(4348,'mauris vestibulum vestibulum','mauris vestibulum vestibulum',0,1,1.9333,'M62123145123145',14),(4349,'molestie pretium','molestie pretium',0,1,1.5333,'M4231635',14),(4350,'molestie pretium vel','molestie pretium vel',0,1,1.6667,'M423163514',14),(4351,'morbi ligula','morbi ligula',0,1,1.4,'M61424',14),(4352,'morbi ligula quam','morbi ligula quam',0,1,1.5667,'M6142425',14),(4353,'nam porttitor','nam porttitor',0,1,1.4333,'N1636',14),(4354,'nam porttitor libero','nam porttitor libero',0,1,1.6667,'N1636416',14),(4355,'nec felis','nec felis',0,1,1.3,'N2142',14),(4356,'nec felis suspendisse','nec felis suspendisse',0,1,1.7,'N21421532',14),(4357,'nec magna','nec magna',0,1,1.3,'N2525',14),(4358,'nec magna blandit','nec magna blandit',0,1,1.5667,'N25251453',14),(4359,'nec tempus','nec tempus',0,1,1.3333,'N23512',14),(4360,'nec tempus a','nec tempus a',0,1,1.4,'N23512',14),(4361,'nec velit','nec velit',0,1,1.3,'N2143',14),(4362,'nec velit hendrerit','nec velit hendrerit',0,1,1.6333,'N21435363',14),(4363,'neque quis','neque quis',0,1,1.3333,'N200',14),(4364,'neque quis malesuada','neque quis malesuada',0,1,1.6667,'N25423',14),(4365,'nibh lacus','nibh lacus',0,1,1.3333,'N142',14),(4366,'nibh lacus sed','nibh lacus sed',0,1,1.4667,'N1423',14),(4367,'nibh molestie','nibh molestie',0,1,1.4333,'N15423',14),(4368,'nibh molestie pretium','nibh molestie pretium',0,1,1.7,'N154231635',14),(4369,'nisl sed','nisl sed',0,1,1.2667,'N2423',14),(4370,'nisl sed mauris','nisl sed mauris',0,1,1.5,'N2423562',14),(4371,'nunc commodo','nunc commodo',0,1,1.4,'N253',14),(4372,'nunc commodo tempus','nunc commodo tempus',0,1,1.6333,'N253512',14),(4373,'nunc gravida','nunc gravida',0,1,1.4,'N2613',14),(4374,'nunc gravida volutpat','nunc gravida volutpat',0,1,1.7,'N261314313',14),(4375,'nunc scelerisque','nunc scelerisque',0,1,1.5333,'N2462',14),(4376,'nunc scelerisque ante','nunc scelerisque ante',0,1,1.7,'N246253',14),(4377,'nunc ut','nunc ut',0,1,1.2333,'N230',14),(4378,'nunc ut volutpat','nunc ut volutpat',0,1,1.5333,'N2314313',14),(4379,'odio consequat','odio consequat',0,1,1.4667,'O32523',14),(4380,'odio consequat etiam','odio consequat etiam',0,1,1.6667,'O325235',14),(4381,'odio vulputate','odio vulputate',0,1,1.4667,'O31413',14),(4382,'odio vulputate lobortis','odio vulputate lobortis',0,1,1.7667,'O3141341632',14),(4383,'orci','orci',0,0,0.2667,'O620',1078),(4384,'orci luctus','orci luctus',0,1,1.3667,'O624232',18),(4385,'orci luctus et','orci luctus et',0,1,1.4667,'O6242323',18),(4386,'orci vestibulum','orci vestibulum',0,1,1.5,'O62123145',14),(4387,'orci vestibulum ante','orci vestibulum ante',0,1,1.6667,'O621231453',14),(4388,'pharetra a','pharetra a',0,1,1.3333,'P636',14),(4389,'pharetra a nec','pharetra a nec',0,1,1.4667,'P63652',14),(4390,'phasellus fringilla','phasellus fringilla',0,1,1.6333,'P24216524',14),(4391,'phasellus fringilla aliquam','phasellus fringilla aliquam',0,1,1.9,'P2421652425',14),(4392,'placerat commodo','placerat commodo',0,1,1.5333,'P4263253',14),(4393,'placerat commodo quis','placerat commodo quis',0,1,1.7,'P42632532',14),(4394,'placerat vitae','placerat vitae',0,1,1.4667,'P426313',14),(4395,'placerat vitae sodales','placerat vitae sodales',0,1,1.7333,'P4263132342',14),(4396,'porttitor libero','porttitor libero',0,1,1.5333,'P636416',14),(4397,'porttitor libero et','porttitor libero et',0,1,1.6333,'P6364163',14),(4398,'posuere cubilia','posuere cubilia',0,1,1.5,'P26214',18),(4399,'posuere cubilia curae','posuere cubilia curae',0,1,1.7,'P2621426',18),(4400,'pretium vel','pretium vel',0,1,1.3667,'P63514',14),(4401,'pretium vel sit','pretium vel sit',0,1,1.5,'P6351423',14),(4402,'primis','primis',0,0,0.4,'P652',18),(4403,'primis in','primis in',0,1,1.3,'P6525',18),(4404,'primis in faucibus','primis in faucibus',0,1,1.6,'P65251212',18),(4405,'purus morbi','purus morbi',0,1,1.3667,'P62561',14),(4406,'purus morbi ligula','purus morbi ligula',0,1,1.6,'P62561424',14),(4407,'purus nam','purus nam',0,1,1.3,'P625',14),(4408,'purus nam porttitor','purus nam porttitor',0,1,1.6333,'P6251636',14),(4409,'quam aliquet','quam aliquet',0,1,1.4,'Q5423',14),(4410,'quam aliquet ac','quam aliquet ac',0,1,1.5,'Q54232',14),(4411,'quis malesuada','quis malesuada',0,1,1.4667,'Q5423',14),(4412,'quis malesuada ligula','quis malesuada ligula',0,1,1.7,'Q5423424',14),(4413,'quis purus','quis purus',0,1,1.3333,'Q162',14),(4414,'quis purus morbi','quis purus morbi',0,1,1.5333,'Q162561',14),(4415,'quis tellus','quis tellus',0,1,1.3667,'Q342',16),(4416,'quis tellus et','quis tellus et',0,1,1.4667,'Q3423',14),(4417,'quisque tempor','quisque tempor',0,1,1.4667,'Q3516',14),(4418,'quisque tempor cursus','quisque tempor cursus',0,1,1.7,'Q3516262',14),(4419,'right','right',0,0,0.3333,'R230',18),(4420,'right column','right column',0,1,1.4,'R23245',2),(4421,'sapien neque','sapien neque',0,1,1.4,'S152',14),(4422,'sapien neque quis','sapien neque quis',0,1,1.5667,'S152',14),(4423,'scelerisque ante','scelerisque ante',0,1,1.5333,'S46253',14),(4424,'scelerisque ante nec','scelerisque ante nec',0,1,1.6667,'S4625352',14),(4425,'sed diam neque','sed diam neque',0,1,1.4667,'S352',14),(4426,'sed mauris','sed mauris',0,1,1.3333,'S3562',14),(4427,'sed mauris vestibulum','sed mauris vestibulum',0,1,1.7,'S3562123145',14),(4428,'sed sed','sed sed',0,1,1.2333,'S323',17),(4429,'sed sed diam','sed sed diam',0,1,1.4,'S3235',14),(4430,'sed tempus dui','sed tempus dui',0,1,1.4667,'S35123',14),(4431,'sit amet lacus','sit amet lacus',0,1,1.4667,'S35342',14),(4432,'sit amet nunc','sit amet nunc',0,1,1.4333,'S35352',17),(4433,'sit amet odio','sit amet odio',0,1,1.4333,'S353',14),(4434,'sodales ligula','sodales ligula',0,1,1.4667,'S342424',14),(4435,'sodales ligula egestas','sodales ligula egestas',0,1,1.7333,'S342424232',14),(4436,'suspendisse tortor','suspendisse tortor',0,1,1.6,'S15323636',14),(4437,'suspendisse tortor libero','suspendisse tortor libero',0,1,1.8333,'S15323636416',14),(4438,'tellus et','tellus et',0,1,1.3,'T423',14),(4439,'tellus et nibh','tellus et nibh',0,1,1.4667,'T42351',14),(4440,'tempor cursus','tempor cursus',0,1,1.4333,'T516262',14),(4441,'tempor cursus libero','tempor cursus libero',0,1,1.6667,'T516262416',14),(4442,'tempor odio','tempor odio',0,1,1.3667,'T5163',14),(4443,'tempor odio consequat','tempor odio consequat',0,1,1.7,'T51632523',14),(4444,'tempus a','tempus a',0,1,1.2667,'T512',14),(4445,'tempus a enim','tempus a enim',0,1,1.4333,'T5125',14),(4446,'tempus donec','tempus donec',0,1,1.4,'T512352',14),(4447,'tempus donec eget','tempus donec eget',0,1,1.5667,'T5123523',14),(4448,'tempus dui','tempus dui',0,1,1.3333,'T5123',14),(4449,'tempus dui nec','tempus dui nec',0,1,1.4667,'T512352',14),(4450,'tempus nunc','tempus nunc',0,1,1.3667,'T51252',14),(4451,'tempus nunc scelerisque','tempus nunc scelerisque',0,1,1.7667,'T51252462',14),(4452,'tincidunt in','tincidunt in',0,1,1.4,'T523535',14),(4453,'tincidunt in turpis','tincidunt in turpis',0,1,1.6333,'T5235353612',14),(4454,'tortor libero','tortor libero',0,1,1.4333,'T636416',16),(4455,'tortor libero venenatis','tortor libero venenatis',0,1,1.7667,'T6364161532',14),(4456,'turpis curabitur','turpis curabitur',0,1,1.5333,'T6126136',14),(4457,'turpis curabitur ut','turpis curabitur ut',0,1,1.6333,'T61261363',14),(4458,'ultrices posuere','ultrices posuere',0,1,1.5333,'U4362126',18),(4459,'ultrices posuere cubilia','ultrices posuere cubilia',0,1,1.8,'U4362126214',18),(4460,'ultricies et','ultricies et',0,1,1.4,'U43623',14),(4461,'ultricies et purus','ultricies et purus',0,1,1.6,'U43623162',14),(4462,'ultricies nec','ultricies nec',0,1,1.4333,'U436252',14),(4463,'ultricies nec tempus','ultricies nec tempus',0,1,1.6667,'U4362523512',14),(4464,'urna luctus','urna luctus',0,1,1.3667,'U654232',14),(4465,'urna luctus eu','urna luctus eu',0,1,1.4667,'U654232',14),(4466,'urna quisque','urna quisque',0,1,1.4,'U652',14),(4467,'urna quisque tempor','urna quisque tempor',0,1,1.6333,'U6523516',14),(4468,'ut iaculis','ut iaculis',0,1,1.3333,'U3242',14),(4469,'ut iaculis in','ut iaculis in',0,1,1.4333,'U32425',14),(4470,'ut ligula','ut ligula',0,1,1.3,'U3424',14),(4471,'ut ligula mattis','ut ligula mattis',0,1,1.5333,'U3424532',14),(4472,'ut nisl','ut nisl',0,1,1.2333,'U3524',14),(4473,'ut nisl sed','ut nisl sed',0,1,1.3667,'U352423',14),(4474,'ut volutpat','ut volutpat',0,1,1.3667,'U314313',14),(4475,'ut volutpat in','ut volutpat in',0,1,1.4667,'U3143135',14),(4476,'vel sit','vel sit',0,1,1.2333,'V423',14),(4477,'vel sit amet','vel sit amet',0,1,1.4,'V42353',14),(4478,'vel urna','vel urna',0,1,1.2667,'V465',14),(4479,'vel urna quisque','vel urna quisque',0,1,1.5333,'V4652',14),(4480,'velit hendrerit','velit hendrerit',0,1,1.5,'V435363',14),(4481,'velit hendrerit tempus','velit hendrerit tempus',0,1,1.7333,'V435363512',14),(4482,'venenatis in','venenatis in',0,1,1.4,'V5325',14),(4483,'venenatis in elementum','venenatis in elementum',0,1,1.7333,'V53254535',14),(4484,'vestibulum ante','vestibulum ante',0,1,1.5,'V231453',18),(4485,'vestibulum ante ipsum','vestibulum ante ipsum',0,1,1.7,'V231453125',18),(4486,'vestibulum leo','vestibulum leo',0,1,1.4667,'V231454',14),(4487,'vestibulum leo ligula','vestibulum leo ligula',0,1,1.7,'V23145424',14),(4488,'vestibulum ultricies','vestibulum ultricies',0,1,1.6667,'V231454362',14),(4489,'vestibulum ultricies et','vestibulum ultricies et',0,1,1.7667,'V2314543623',14),(4490,'vestibulum vestibulum','vestibulum vestibulum',0,1,1.7,'V23145123145',14),(4491,'vestibulum vestibulum ultricies','vestibulum vestibulum ultricies',0,1,2,'V231451231454362',14),(4492,'vitae sodales','vitae sodales',0,1,1.4333,'V32342',14),(4493,'vitae sodales ligula','vitae sodales ligula',0,1,1.6667,'V32342424',14),(4494,'volutpat adipiscing','volutpat adipiscing',0,1,1.6333,'V43131252',14),(4495,'volutpat adipiscing placerat','volutpat adipiscing placerat',0,1,1.9333,'V4313125214263',14),(4496,'volutpat et','volutpat et',0,1,1.3667,'V4313',14),(4497,'volutpat et ultricies','volutpat et ultricies',0,1,1.7,'V43134362',14),(4498,'volutpat in','volutpat in',0,1,1.3667,'V43135',16),(4499,'volutpat in in','volutpat in in',0,1,1.4667,'V43135',14),(4500,'vulputate','vulputate',0,0,0.6,'V413',20),(4501,'vulputate lobortis','vulputate lobortis',0,1,1.6,'V41341632',14),(4502,'vulputate lobortis etiam','vulputate lobortis etiam',0,1,1.8,'V4134163235',14),(4503,'left column','left column',0,1,1.3667,'L13245',4),(4504,'content inset','content inset',0,1,1.4333,'C5353523',10),(4505,'content inset left','content inset left',0,1,1.6,'C5353523413',2),(4506,'inset','inset',0,0,0.3333,'I523',17),(4507,'inset left','inset left',0,1,1.3333,'I523413',2),(4508,'content inset right','content inset right',0,1,1.6333,'C5353523623',2),(4509,'inset right','inset right',0,1,1.3667,'I523623',2),(4510,'both','both',0,0,0.2667,'B300',2),(4511,'content inset both','content inset both',0,1,1.6,'C535352313',2),(4512,'inset both','inset both',0,1,1.3333,'I52313',2),(4513,'content inset column','content inset column',0,1,1.6667,'C5353523245',4),(4514,'inset column','inset column',0,1,1.4,'I523245',4),(4515,'2x','2x',0,0,0.1333,'X000',2),(4516,'column 2x','column 2x',0,1,1.3,'C452',2),(4517,'inset column 2x','inset column 2x',0,1,1.5,'I5232452',2),(4518,'16','16',0,0,0.2,'',2),(4519,'17','17',0,0,0.2,'',2),(4520,'18','18',0,0,0.2,'',25),(4521,'about space','about space',0,1,1.3667,'A13212',1),(4522,'about space at','about space at',0,1,1.4667,'A132123',1),(4523,'about using','about using',0,1,1.3667,'A13252',9),(4524,'about using space','about using space',0,1,1.5667,'A1325212',9),(4525,'additional suffixes','additional suffixes',0,1,1.6333,'A354212',15),(4526,'additional suffixes horizontal','additional suffixes horizontal',0,1,2,'A35421262534',1),(4527,'and column','and column',0,1,1.3333,'A53245',1),(4528,'at beginning','at beginning',0,1,1.4,'A31252',9),(4529,'at beginning of','at beginning of',0,1,1.5,'A312521',9),(4530,'basic','basic',0,0,0.3333,'B200',38),(4531,'basic suffixes','basic suffixes',0,1,1.4667,'B212',25),(4532,'basic suffixes used','basic suffixes used',0,1,1.6333,'B2123',25),(4533,'beginning','beginning',0,0,0.6,'B252',12),(4534,'beginning of','beginning of',0,1,1.4,'B2521',12),(4535,'beginning of most','beginning of most',0,1,1.5667,'B2521523',1),(4536,'beginning of suffix','beginning of suffix',0,1,1.6333,'B2521212',9),(4537,'can see','can see',0,1,1.2333,'C520',38),(4538,'can see basic','can see basic',0,1,1.4333,'C5212',25),(4539,'few','few',0,0,0.2,'F000',7),(4540,'few additional','few additional',0,1,1.4667,'F354',4),(4541,'few additional suffixes','few additional suffixes',0,1,1.7667,'F354212',1),(4542,'gk4','gk4',0,0,0.2,'G000',15),(4543,'gk4 module','gk4 module',0,1,1.3333,'G534',11),(4544,'gk4 module has','gk4 module has',0,1,1.4667,'G5342',1),(4545,'has few','has few',0,1,1.2333,'H210',1),(4546,'has few additional','has few additional',0,1,1.6,'H21354',1),(4547,'horizontal','horizontal',0,0,0.6667,'H62534',6),(4548,'horizontal vertical','horizontal vertical',0,1,1.6333,'H6253416324',1),(4549,'horizontal vertical nsp','horizontal vertical nsp',0,1,1.7667,'H6253416324521',1),(4550,'in module','in module',0,1,1.3,'I534',9),(4551,'in module options','in module options',0,1,1.5667,'I5341352',9),(4552,'in this','in this',0,1,1.2333,'I532',28),(4553,'in this template','in this template',0,1,1.5333,'I53235143',25),(4554,'module has','module has',0,1,1.3333,'M342',15),(4555,'module has few','module has few',0,1,1.4667,'M3421',1),(4556,'module options','module options',0,1,1.4667,'M341352',9),(4557,'module options please','module options please',0,1,1.7,'M341352142',1),(4558,'module variation','module variation',0,1,1.5333,'M341635',1),(4559,'most','most',0,0,0.2667,'M230',224),(4560,'most of','most of',0,1,1.2333,'M231',2),(4561,'most of the','most of the',0,1,1.3667,'M2313',2),(4562,'name in','name in',0,1,1.2333,'N000',9),(4563,'name in module','name in module',0,1,1.4667,'N340',9),(4564,'news show','news show',0,1,1.3,'N200',24),(4565,'news show pro','news show pro',0,1,1.4333,'N216',24),(4566,'nsp','nsp',0,0,0.2,'N210',18),(4567,'nsp and','nsp and',0,1,1.2333,'N2153',1),(4568,'nsp and column','nsp and column',0,1,1.4667,'N2153245',1),(4569,'of most','of most',0,1,1.2333,'O1523',1),(4570,'of most of','of most of',0,1,1.3333,'O15231',1),(4571,'of suffix','of suffix',0,1,1.3,'O1212',9),(4572,'of suffix name','of suffix name',0,1,1.4667,'O12125',9),(4573,'of the suffixes','of the suffixes',0,1,1.5,'O13212',2),(4574,'on this','on this',0,1,1.2333,'O532',25),(4575,'on this page','on this page',0,1,1.4,'O53212',25),(4576,'options','options',0,0,0.4667,'O1352',9),(4577,'options please','options please',0,1,1.4667,'O1352142',1),(4578,'options please remember','options please remember',0,1,1.7667,'O13521426516',1),(4579,'page you','page you',0,1,1.2667,'P200',25),(4580,'page you can','page you can',0,1,1.4,'P250',25),(4581,'please','please',0,0,0.4,'P420',31),(4582,'please remember','please remember',0,1,1.5,'P426516',12),(4583,'please remember about','please remember about',0,1,1.7,'P42651613',12),(4584,'pro gk4','pro gk4',0,1,1.2333,'P620',6),(4585,'pro gk4 module','pro gk4 module',0,1,1.4667,'P62534',4),(4586,'remember','remember',0,0,0.5333,'R516',13),(4587,'remember about','remember about',0,1,1.4667,'R51613',12),(4588,'remember about space','remember about space',0,1,1.6667,'R51613212',1),(4589,'remember about using','remember about using',0,1,1.6667,'R51613252',9),(4590,'see','see',0,0,0.2,'S000',38),(4591,'see basic','see basic',0,1,1.3,'S120',25),(4592,'see basic suffixes','see basic suffixes',0,1,1.6,'S1212',25),(4593,'show pro','show pro',0,1,1.2667,'S160',24),(4594,'show pro gk4','show pro gk4',0,1,1.4,'S162',6),(4595,'space','space',0,0,0.3333,'S120',14),(4596,'space at','space at',0,1,1.2667,'S123',9),(4597,'space at beginning','space at beginning',0,1,1.6,'S1231252',9),(4598,'suffix','suffix',0,0,0.4,'S120',35),(4599,'suffix name','suffix name',0,1,1.3667,'S125',9),(4600,'suffix name in','suffix name in',0,1,1.4667,'S125',9),(4601,'suffixes','suffixes',0,0,0.5333,'S120',25),(4602,'suffixes horizontal','suffixes horizontal',0,1,1.6333,'S1262534',1),(4603,'suffixes horizontal vertical','suffixes horizontal vertical',0,1,1.9333,'S126253416324',1),(4604,'suffixes the','suffixes the',0,1,1.4,'S123',1),(4605,'suffixes the news','suffixes the news',0,1,1.5667,'S12352',1),(4606,'suffixes used','suffixes used',0,1,1.4333,'S123',25),(4607,'suffixes used in','suffixes used in',0,1,1.5333,'S1235',25),(4608,'template please','template please',0,1,1.5,'T5143142',9),(4609,'template please remember','template please remember',0,1,1.8,'T51431426516',9),(4610,'the news','the news',0,1,1.2667,'T520',22),(4611,'the news show','the news show',0,1,1.4333,'T520',22),(4612,'the suffixes','the suffixes',0,1,1.4,'T212',4),(4613,'the suffixes the','the suffixes the',0,1,1.5333,'T2123',1),(4614,'this page','this page',0,1,1.3,'T212',25),(4615,'this page you','this page you',0,1,1.4333,'T212',25),(4616,'this template','this template',0,1,1.4333,'T235143',25),(4617,'this template please','this template please',0,1,1.6667,'T235143142',9),(4618,'used','used',0,0,0.2667,'U230',35),(4619,'used in','used in',0,1,1.2333,'U235',25),(4620,'used in this','used in this',0,1,1.4,'U23532',25),(4621,'using space','using space',0,1,1.3667,'U25212',9),(4622,'using space at','using space at',0,1,1.4667,'U252123',9),(4623,'variation','variation',0,0,0.6,'V635',1),(4624,'vertical','vertical',0,0,0.5333,'V6324',4),(4625,'vertical nsp','vertical nsp',0,1,1.4,'V6324521',1),(4626,'vertical nsp and','vertical nsp and',0,1,1.5333,'V632452153',1),(4627,'you can see','you can see',0,1,1.3667,'Y252',35),(4628,'19','19',0,0,0.2,'',1),(4629,'a erat','a erat',0,1,1.2,'A630',3),(4630,'a erat euismod','a erat euismod',0,1,1.4667,'A63253',3),(4631,'a lorem ipsum','a lorem ipsum',0,1,1.4333,'A465125',3),(4632,'a metus','a metus',0,1,1.2333,'A532',3),(4633,'a metus duis','a metus duis',0,1,1.4,'A53232',3),(4634,'a pharetra leo','a pharetra leo',0,1,1.4667,'A16364',3),(4635,'a quam','a quam',0,1,1.2,'A250',3),(4636,'a quam urna','a quam urna',0,1,1.3667,'A2565',3),(4637,'a turpis','a turpis',0,1,1.2667,'A3612',3),(4638,'a turpis pellentesque','a turpis pellentesque',0,1,1.7,'A361214532',3),(4639,'adipiscing elit fusce','adipiscing elit fusce',0,1,1.7,'A312524312',3),(4640,'adipiscing facilisis','adipiscing facilisis',0,1,1.6667,'A312521242',3),(4641,'adipiscing facilisis est','adipiscing facilisis est',0,1,1.8,'A3125212423',3),(4642,'adipiscing lectus','adipiscing lectus',0,1,1.5667,'A312524232',3),(4643,'adipiscing lectus a','adipiscing lectus a',0,1,1.6333,'A312524232',3),(4644,'adipiscing nec','adipiscing nec',0,1,1.4667,'A3125252',3),(4645,'adipiscing nec nibh','adipiscing nec nibh',0,1,1.6333,'A312525251',3),(4646,'aliquam fermentum','aliquam fermentum',0,1,1.5667,'A42516535',3),(4647,'aliquam fermentum sollicitudin','aliquam fermentum sollicitudin',0,1,2,'A4251653524235',3),(4648,'aliquam tempus','aliquam tempus',0,1,1.4667,'A4253512',896),(4649,'aliquam tempus eu','aliquam tempus eu',0,1,1.5667,'A4253512',3),(4650,'aliquet vel','aliquet vel',0,1,1.3667,'A42314',3),(4651,'aliquet vel nec','aliquet vel nec',0,1,1.5,'A4231452',3),(4652,'amet bibendum','amet bibendum',0,1,1.4333,'A531535',3),(4653,'amet bibendum nam','amet bibendum nam',0,1,1.5667,'A531535',3),(4654,'amet diam','amet diam',0,1,1.3,'A535',3),(4655,'amet diam dapibus','amet diam dapibus',0,1,1.5667,'A535312',3),(4656,'amet laoreet','amet laoreet',0,1,1.4,'A53463',3),(4657,'amet laoreet et','amet laoreet et',0,1,1.5,'A53463',3),(4658,'amet luctus','amet luctus',0,1,1.3667,'A534232',3),(4659,'amet luctus donec','amet luctus donec',0,1,1.5667,'A534232352',3),(4660,'amet nunc cursus','amet nunc cursus',0,1,1.5333,'A535262',3),(4661,'amet volutpat','amet volutpat',0,1,1.4333,'A5314313',3),(4662,'amet volutpat libero','amet volutpat libero',0,1,1.6667,'A5314313416',3),(4663,'archive','archive',0,0,0.4667,'A621',3),(4664,'archive article','archive article',0,1,1.5,'A6216324',3),(4665,'archive article i','archive article i',0,1,1.5667,'A6216324',1),(4666,'arcu auctor','arcu auctor',0,1,1.3667,'A6236',3),(4667,'arcu auctor phasellus','arcu auctor phasellus',0,1,1.7,'A62361242',3),(4668,'arcu morbi','arcu morbi',0,1,1.3333,'A62561',3),(4669,'arcu morbi nec','arcu morbi nec',0,1,1.4667,'A6256152',3),(4670,'article i','article i',0,1,1.3,'A6324',1),(4671,'at consequat','at consequat',0,1,1.4,'A32523',3),(4672,'at consequat neque','at consequat neque',0,1,1.6,'A3252352',3),(4673,'at cursus','at cursus',0,1,1.3,'A3262',3),(4674,'at cursus sed','at cursus sed',0,1,1.4333,'A32623',3),(4675,'at id','at id',0,1,1.1667,'A300',3),(4676,'at id dolor','at id dolor',0,1,1.3667,'A346',3),(4677,'at mattis','at mattis',0,1,1.3,'A3532',3),(4678,'at mattis eget','at mattis eget',0,1,1.4667,'A35323',3),(4679,'at sollicitudin','at sollicitudin',0,1,1.5,'A324235',3),(4680,'at sollicitudin tellus','at sollicitudin tellus',0,1,1.7333,'A324235342',3),(4681,'at vivamus','at vivamus',0,1,1.3333,'A3152',3),(4682,'at vivamus vel','at vivamus vel',0,1,1.4667,'A315214',3),(4683,'auctor phasellus','auctor phasellus',0,1,1.5333,'A2361242',3),(4684,'auctor phasellus volutpat','auctor phasellus volutpat',0,1,1.8333,'A236124214313',3),(4685,'auctor vehicula','auctor vehicula',0,1,1.5,'A236124',3),(4686,'auctor vehicula felis','auctor vehicula felis',0,1,1.7,'A236124142',3),(4687,'augue id laoreet','augue id laoreet',0,1,1.5333,'A23463',3),(4688,'augue porttitor','augue porttitor',0,1,1.5,'A21636',3),(4689,'augue porttitor pulvinar','augue porttitor pulvinar',0,1,1.8,'A2163614156',3),(4690,'augue sit','augue sit',0,1,1.3,'A230',3),(4691,'augue sit amet','augue sit amet',0,1,1.4667,'A2353',3),(4692,'bibendum nam','bibendum nam',0,1,1.4,'B535',3),(4693,'bibendum nam vitae','bibendum nam vitae',0,1,1.6,'B53513',3),(4694,'blandit elit a','blandit elit a',0,1,1.4667,'B45343',3),(4695,'congue at','congue at',0,1,1.3,'C523',3),(4696,'congue at vivamus','congue at vivamus',0,1,1.5667,'C523152',3),(4697,'congue sed','congue sed',0,1,1.3333,'C523',3),(4698,'congue sed arcu','congue sed arcu',0,1,1.5,'C52362',3),(4699,'consequat neque','consequat neque',0,1,1.5,'C52352',3),(4700,'consequat neque viverra','consequat neque viverra',0,1,1.7667,'C5235216',3),(4701,'convallis nisl','convallis nisl',0,1,1.4667,'C5142524',3),(4702,'convallis nisl sit','convallis nisl sit',0,1,1.6,'C514252423',3),(4703,'curabitur vel','curabitur vel',0,1,1.4333,'C613614',3),(4704,'curabitur vel tortor','curabitur vel tortor',0,1,1.6667,'C6136143636',3),(4705,'cursus magna dui','cursus magna dui',0,1,1.5333,'C625253',3),(4706,'cursus sed','cursus sed',0,1,1.3333,'C623',3),(4707,'cursus sed tellus','cursus sed tellus',0,1,1.5667,'C62342',3),(4708,'cursus vehicula','cursus vehicula',0,1,1.5,'C62124',3),(4709,'cursus vehicula at','cursus vehicula at',0,1,1.6,'C621243',3),(4710,'dapibus aliquet','dapibus aliquet',0,1,1.5,'D12423',3),(4711,'dapibus aliquet vel','dapibus aliquet vel',0,1,1.6333,'D1242314',3),(4712,'dapibus massa','dapibus massa',0,1,1.4333,'D1252',3),(4713,'dapibus massa id','dapibus massa id',0,1,1.5333,'D12523',3),(4714,'diam dapibus','diam dapibus',0,1,1.4,'D5312',3),(4715,'diam dapibus aliquet','diam dapibus aliquet',0,1,1.6667,'D5312423',3),(4716,'diam eu','diam eu',0,1,1.2333,'D500',3),(4717,'diam eu urna','diam eu urna',0,1,1.4,'D565',3),(4718,'dolor in','dolor in',0,1,1.2667,'D465',3),(4719,'dolor in enim','dolor in enim',0,1,1.4333,'D465',3),(4720,'dolor maecenas','dolor maecenas',0,1,1.4667,'D465252',9),(4721,'dolor maecenas volutpat','dolor maecenas volutpat',0,1,1.7667,'D46525214313',3),(4722,'donec ipsum','donec ipsum',0,1,1.3667,'D52125',3),(4723,'donec ipsum erat','donec ipsum erat',0,1,1.5333,'D5212563',3),(4724,'donec leo','donec leo',0,1,1.3,'D524',3),(4725,'donec leo quam','donec leo quam',0,1,1.4667,'D52425',3),(4726,'donec ornare','donec ornare',0,1,1.4,'D52656',3),(4727,'donec ornare magna','donec ornare magna',0,1,1.6,'D52656525',3),(4728,'dui adipiscing','dui adipiscing',0,1,1.4667,'D1252',131),(4729,'dui adipiscing lectus','dui adipiscing lectus',0,1,1.7,'D12524232',3),(4730,'dui nec pretium','dui nec pretium',0,1,1.5,'D521635',3),(4731,'duis eu','duis eu',0,1,1.2333,'D200',3),(4732,'duis eu vestibulum','duis eu vestibulum',0,1,1.6,'D2123145',3),(4733,'egestas morbi','egestas morbi',0,1,1.4333,'E232561',3),(4734,'egestas morbi non','egestas morbi non',0,1,1.5667,'E2325615',3),(4735,'eget augue','eget augue',0,1,1.3333,'E232',3),(4736,'eget augue porttitor','eget augue porttitor',0,1,1.6667,'E2321636',3),(4737,'eget nisi','eget nisi',0,1,1.3,'E2352',131),(4738,'eget nisi curabitur','eget nisi curabitur',0,1,1.6333,'E23526136',3),(4739,'eget tincidunt','eget tincidunt',0,1,1.4667,'E2352353',3),(4740,'eget tincidunt lorem','eget tincidunt lorem',0,1,1.6667,'E2352353465',3),(4741,'eget urna erat','eget urna erat',0,1,1.4667,'E236563',3),(4742,'elementum eget','elementum eget',0,1,1.4667,'E453523',3),(4743,'elementum eget tincidunt','elementum eget tincidunt',0,1,1.8,'E45352352353',3),(4744,'elit a','elit a',0,1,1.2,'E430',3),(4745,'elit a turpis','elit a turpis',0,1,1.4333,'E43612',3),(4746,'elit fusce ut','elit fusce ut',0,1,1.4333,'E43123',3),(4747,'elit nam quis','elit nam quis',0,1,1.4333,'E4352',3),(4748,'elit sed risus','elit sed risus',0,1,1.4667,'E432362',3),(4749,'elit vitae','elit vitae',0,1,1.3333,'E4313',3),(4750,'elit vitae sem','elit vitae sem',0,1,1.4667,'E431325',3),(4751,'enim in','enim in',0,1,1.2333,'E500',3),(4752,'enim in lacus','enim in lacus',0,1,1.4333,'E542',3),(4753,'enim nisi','enim nisi',0,1,1.3,'E520',3),(4754,'enim nisi venenatis','enim nisi venenatis',0,1,1.6333,'E521532',3),(4755,'enim phasellus','enim phasellus',0,1,1.4667,'E51242',3),(4756,'enim phasellus adipiscing','enim phasellus adipiscing',0,1,1.8333,'E5124231252',3),(4757,'enim quis','enim quis',0,1,1.3,'E520',3),(4758,'enim quis lectus','enim quis lectus',0,1,1.5333,'E524232',3),(4759,'erat et','erat et',0,1,1.2333,'E630',3),(4760,'erat et hendrerit','erat et hendrerit',0,1,1.5667,'E635363',3),(4761,'erat euismod','erat euismod',0,1,1.4,'E63253',3),(4762,'erat euismod egestas','erat euismod egestas',0,1,1.6667,'E63253232',3),(4763,'erat gravida','erat gravida',0,1,1.4,'E632613',3),(4764,'erat gravida sit','erat gravida sit',0,1,1.5333,'E63261323',3),(4765,'est sit','est sit',0,1,1.2333,'E2323',3),(4766,'est sit amet','est sit amet',0,1,1.4,'E232353',3),(4767,'et adipiscing','et adipiscing',0,1,1.4333,'E31252',3),(4768,'et adipiscing nec','et adipiscing nec',0,1,1.5667,'E3125252',3),(4769,'et hendrerit','et hendrerit',0,1,1.4,'E35363',3),(4770,'et hendrerit magna','et hendrerit magna',0,1,1.6,'E35363525',3),(4771,'eu nec','eu nec',0,1,1.2,'E520',3),(4772,'eu nec enim','eu nec enim',0,1,1.3667,'E525',3),(4773,'eu urna','eu urna',0,1,1.2333,'E650',4),(4774,'eu urna fermentum','eu urna fermentum',0,1,1.5667,'E6516535',3),(4775,'eu vestibulum','eu vestibulum',0,1,1.4333,'E123145',3),(4776,'eu vestibulum nisl','eu vestibulum nisl',0,1,1.6,'E12314524',3),(4777,'euismod egestas','euismod egestas',0,1,1.5,'E253232',3),(4778,'euismod egestas morbi','euismod egestas morbi',0,1,1.7,'E253232561',3),(4779,'facilisis at','facilisis at',0,1,1.4,'F2423',3),(4780,'facilisis at mattis','facilisis at mattis',0,1,1.6333,'F2423532',3),(4781,'facilisis est','facilisis est',0,1,1.4333,'F2423',3),(4782,'facilisis est sit','facilisis est sit',0,1,1.5667,'F242323',3),(4783,'faucibus nulla','faucibus nulla',0,1,1.4667,'F21254',3),(4784,'faucibus nulla ut','faucibus nulla ut',0,1,1.5667,'F212543',3),(4785,'faucibus tempor','faucibus tempor',0,1,1.5,'F2123516',3),(4786,'faucibus tempor molestie','faucibus tempor molestie',0,1,1.8,'F21235165423',3),(4787,'felis pellentesque','felis pellentesque',0,1,1.6,'F4214532',3),(4788,'felis pellentesque a','felis pellentesque a',0,1,1.6667,'F4214532',3),(4789,'felis sed mattis','felis sed mattis',0,1,1.5333,'F423532',3),(4790,'felis vel','felis vel',0,1,1.3,'F4214',3),(4791,'felis vel placerat','felis vel placerat',0,1,1.6,'F421414263',3),(4792,'fermentum sed','fermentum sed',0,1,1.4333,'F653523',3),(4793,'fermentum sed porta','fermentum sed porta',0,1,1.6333,'F653523163',3),(4794,'fermentum sollicitudin','fermentum sollicitudin',0,1,1.7333,'F653524235',3),(4795,'fermentum sollicitudin lorem','fermentum sollicitudin lorem',0,1,1.9333,'F653524235465',3),(4796,'feugiat malesuada','feugiat malesuada',0,1,1.5667,'F235423',3),(4797,'feugiat malesuada cursus','feugiat malesuada cursus',0,1,1.8,'F235423262',3),(4798,'fringilla augue','fringilla augue',0,1,1.5,'F65242',7),(4799,'fringilla augue sit','fringilla augue sit',0,1,1.6333,'F652423',3),(4800,'fusce ut','fusce ut',0,1,1.2667,'F230',3),(4801,'fusce ut metus','fusce ut metus',0,1,1.4667,'F23532',3),(4802,'gravida sit','gravida sit',0,1,1.3667,'G61323',3),(4803,'gravida sit amet','gravida sit amet',0,1,1.5333,'G6132353',3),(4804,'hendrerit magna','hendrerit magna',0,1,1.5,'H5363525',3),(4805,'hendrerit magna in','hendrerit magna in',0,1,1.6,'H5363525',3),(4806,'hendrerit nulla','hendrerit nulla',0,1,1.5,'H536354',3),(4807,'id congue','id congue',0,1,1.3,'I3252',3),(4808,'id congue sed','id congue sed',0,1,1.4333,'I32523',3),(4809,'id dolor in','id dolor in',0,1,1.3667,'I3465',3),(4810,'id facilisis','id facilisis',0,1,1.4,'I31242',3),(4811,'id facilisis at','id facilisis at',0,1,1.5,'I312423',3),(4812,'id laoreet','id laoreet',0,1,1.3333,'I3463',3),(4813,'id laoreet dolor','id laoreet dolor',0,1,1.5333,'I346346',3),(4814,'id leo','id leo',0,1,1.2,'I340',3),(4815,'id leo faucibus','id leo faucibus',0,1,1.5,'I341212',3),(4816,'in a quam','in a quam',0,1,1.3,'I525',3),(4817,'in enim','in enim',0,1,1.2333,'I500',3),(4818,'in enim nisi','in enim nisi',0,1,1.4,'I520',3),(4819,'in lacus','in lacus',0,1,1.2667,'I542',3),(4820,'in lacus aliquam','in lacus aliquam',0,1,1.5333,'I542425',3),(4821,'in mauris','in mauris',0,1,1.3,'I562',3),(4822,'in mauris sit','in mauris sit',0,1,1.4333,'I5623',3),(4823,'in phasellus','in phasellus',0,1,1.4,'I51242',3),(4824,'in phasellus tincidunt','in phasellus tincidunt',0,1,1.7333,'I51242352353',3),(4825,'integer eget','integer eget',0,1,1.4,'I532623',3),(4826,'integer eget urna','integer eget urna',0,1,1.5667,'I53262365',3),(4827,'ipsum erat','ipsum erat',0,1,1.3333,'I12563',3),(4828,'ipsum erat gravida','ipsum erat gravida',0,1,1.6,'I125632613',3),(4829,'lacinia id','lacinia id',0,1,1.3333,'L253',3),(4830,'lacinia id congue','lacinia id congue',0,1,1.5667,'L253252',3),(4831,'lacus aliquam','lacus aliquam',0,1,1.4333,'L2425',3),(4832,'lacus aliquam tempus','lacus aliquam tempus',0,1,1.6667,'L24253512',3),(4833,'laoreet dolor','laoreet dolor',0,1,1.4333,'L6346',3),(4834,'laoreet dolor maecenas','laoreet dolor maecenas',0,1,1.7333,'L63465252',3),(4835,'laoreet et','laoreet et',0,1,1.3333,'L630',3),(4836,'laoreet et adipiscing','laoreet et adipiscing',0,1,1.7,'L631252',3),(4837,'lectus a','lectus a',0,1,1.2667,'L232',3),(4838,'lectus a pharetra','lectus a pharetra',0,1,1.5667,'L2321636',3),(4839,'lectus donec','lectus donec',0,1,1.4,'L232352',3),(4840,'lectus donec ornare','lectus donec ornare',0,1,1.6333,'L232352656',3),(4841,'leo enim','leo enim',0,1,1.2667,'L500',166),(4842,'leo enim quis','leo enim quis',0,1,1.4333,'L520',3),(4843,'leo faucibus','leo faucibus',0,1,1.4,'L1212',3),(4844,'leo faucibus tempor','leo faucibus tempor',0,1,1.6333,'L12123516',3),(4845,'leo quam sollicitudin','leo quam sollicitudin',0,1,1.7,'L2524235',3),(4846,'libero at','libero at',0,1,1.3,'L163',3),(4847,'libero at consequat','libero at consequat',0,1,1.6333,'L1632523',3),(4848,'libero vehicula','libero vehicula',0,1,1.5,'L16124',3),(4849,'libero vehicula in','libero vehicula in',0,1,1.6,'L161245',3),(4850,'lorem auctor','lorem auctor',0,1,1.4,'L65236',3),(4851,'lorem auctor vehicula','lorem auctor vehicula',0,1,1.7,'L65236124',3),(4852,'lorem quisque','lorem quisque',0,1,1.4333,'L652',3),(4853,'lorem quisque ornare','lorem quisque ornare',0,1,1.6667,'L652656',3),(4854,'luctus donec','luctus donec',0,1,1.4,'L232352',3),(4855,'luctus donec leo','luctus donec leo',0,1,1.5333,'L2323524',3),(4856,'maecenas volutpat','maecenas volutpat',0,1,1.5667,'M25214313',3),(4857,'maecenas volutpat tristique','maecenas volutpat tristique',0,1,1.9,'M252143136232',3),(4858,'magna a','magna a',0,1,1.2333,'M250',3),(4859,'magna a erat','magna a erat',0,1,1.4,'M2563',3),(4860,'magna dui','magna dui',0,1,1.3,'M253',3),(4861,'magna dui adipiscing','magna dui adipiscing',0,1,1.6667,'M2531252',3),(4862,'magna in','magna in',0,1,1.2667,'M250',3),(4863,'magna in a','magna in a',0,1,1.3333,'M250',3),(4864,'magna mollis sed','magna mollis sed',0,1,1.5333,'M25423',3),(4865,'malesuada cursus','malesuada cursus',0,1,1.5333,'M423262',3),(4866,'malesuada cursus magna','malesuada cursus magna',0,1,1.7333,'M423262525',3),(4867,'malesuada dui','malesuada dui',0,1,1.4333,'M423',3),(4868,'malesuada dui nec','malesuada dui nec',0,1,1.5667,'M42352',3),(4869,'massa aliquam','massa aliquam',0,1,1.4333,'M2425',3),(4870,'massa aliquam fermentum','massa aliquam fermentum',0,1,1.7667,'M242516535',3),(4871,'massa id','massa id',0,1,1.2667,'M230',3),(4872,'massa id leo','massa id leo',0,1,1.4,'M234',3),(4873,'massa sapien','massa sapien',0,1,1.4,'M215',3),(4874,'massa sapien sed','massa sapien sed',0,1,1.5333,'M21523',3),(4875,'mattis diam','mattis diam',0,1,1.3667,'M3235',3),(4876,'mattis diam eu','mattis diam eu',0,1,1.4667,'M3235',3),(4877,'mattis eget','mattis eget',0,1,1.3667,'M323',3),(4878,'mattis eget nisi','mattis eget nisi',0,1,1.5333,'M32352',3),(4879,'mattis libero','mattis libero',0,1,1.4333,'M32416',3),(4880,'mattis libero at','mattis libero at',0,1,1.5333,'M324163',3),(4881,'mauris blandit','mauris blandit',0,1,1.4667,'M621453',3),(4882,'mauris blandit elit','mauris blandit elit',0,1,1.6333,'M62145343',3),(4883,'mauris sit','mauris sit',0,1,1.3333,'M623',3),(4884,'mauris sit amet','mauris sit amet',0,1,1.5,'M62353',3),(4885,'metus augue','metus augue',0,1,1.3667,'M320',3),(4886,'metus augue id','metus augue id',0,1,1.4667,'M323',3),(4887,'metus duis','metus duis',0,1,1.3333,'M3232',7),(4888,'metus duis eu','metus duis eu',0,1,1.4333,'M3232',3),(4889,'metus rhoncus','metus rhoncus',0,1,1.4333,'M32652',3),(4890,'metus rhoncus id','metus rhoncus id',0,1,1.5333,'M326523',3),(4891,'molestie purus','molestie purus',0,1,1.4667,'M423162',3),(4892,'molestie purus placerat','molestie purus placerat',0,1,1.7667,'M42316214263',3),(4893,'mollis sed','mollis sed',0,1,1.3333,'M423',3),(4894,'mollis sed ultricies','mollis sed ultricies',0,1,1.6667,'M4234362',3),(4895,'morbi nec','morbi nec',0,1,1.3,'M6152',3),(4896,'morbi nec risus','morbi nec risus',0,1,1.5,'M615262',3),(4897,'morbi non','morbi non',0,1,1.3,'M615',3),(4898,'morbi non arcu','morbi non arcu',0,1,1.4667,'M61562',3),(4899,'mus pellentesque','mus pellentesque',0,1,1.5333,'M214532',3),(4900,'mus pellentesque tempor','mus pellentesque tempor',0,1,1.7667,'M2145323516',3),(4901,'nam quis enim','nam quis enim',0,1,1.4333,'N250',3),(4902,'nam vitae','nam vitae',0,1,1.3,'N130',3),(4903,'nam vitae hendrerit','nam vitae hendrerit',0,1,1.6333,'N135363',3),(4904,'nec elit vitae','nec elit vitae',0,1,1.4667,'N24313',3),(4905,'nec enim','nec enim',0,1,1.2667,'N250',5),(4906,'nec enim phasellus','nec enim phasellus',0,1,1.6,'N251242',3),(4907,'nec massa','nec massa',0,1,1.3,'N252',3),(4908,'nec massa aliquam','nec massa aliquam',0,1,1.5667,'N252425',3),(4909,'nec nibh','nec nibh',0,1,1.2667,'N251',3),(4910,'nec nibh vivamus','nec nibh vivamus',0,1,1.5333,'N25152',3),(4911,'nec pretium','nec pretium',0,1,1.3667,'N21635',3),(4912,'nec pretium ut','nec pretium ut',0,1,1.4667,'N216353',3),(4913,'nec risus','nec risus',0,1,1.3,'N262',5),(4914,'nec risus eget','nec risus eget',0,1,1.4667,'N2623',3),(4915,'neque viverra','neque viverra',0,1,1.4333,'N216',3),(4916,'neque viverra sed','neque viverra sed',0,1,1.5667,'N21623',3),(4917,'nibh vivamus','nibh vivamus',0,1,1.4,'N152',3),(4918,'nibh vivamus ultrices','nibh vivamus ultrices',0,1,1.7,'N1524362',3),(4919,'nisi curabitur','nisi curabitur',0,1,1.4667,'N26136',5),(4920,'nisi curabitur vel','nisi curabitur vel',0,1,1.6,'N2613614',3),(4921,'nisi venenatis','nisi venenatis',0,1,1.4667,'N21532',3),(4922,'nisi venenatis quis','nisi venenatis quis',0,1,1.6333,'N21532',3),(4923,'nisl mauris','nisl mauris',0,1,1.3667,'N24562',3),(4924,'nisl mauris blandit','nisl mauris blandit',0,1,1.6333,'N245621453',3),(4925,'nisl sit','nisl sit',0,1,1.2667,'N2423',3),(4926,'nisl sit amet','nisl sit amet',0,1,1.4333,'N242353',3),(4927,'non arcu','non arcu',0,1,1.2667,'N620',3),(4928,'non arcu sit','non arcu sit',0,1,1.4,'N623',3),(4929,'non posuere sapien','non posuere sapien',0,1,1.6,'N126215',3),(4930,'nulla ut','nulla ut',0,1,1.2667,'N430',3),(4931,'nulla ut rhoncus','nulla ut rhoncus',0,1,1.5333,'N43652',3),(4932,'nunc cursus','nunc cursus',0,1,1.3667,'N262',3),(4933,'nunc cursus vehicula','nunc cursus vehicula',0,1,1.6667,'N262124',3),(4934,'nunc non','nunc non',0,1,1.2667,'N250',3),(4935,'nunc non posuere','nunc non posuere',0,1,1.5333,'N25126',3),(4936,'ornare magna a','ornare magna a',0,1,1.4667,'O656525',3),(4937,'ornare malesuada','ornare malesuada',0,1,1.5333,'O6565423',3),(4938,'ornare malesuada dui','ornare malesuada dui',0,1,1.6667,'O6565423',3),(4939,'pellentesque a','pellentesque a',0,1,1.4667,'P4532',3),(4940,'pellentesque a lorem','pellentesque a lorem',0,1,1.6667,'P4532465',3),(4941,'pellentesque a metus','pellentesque a metus',0,1,1.6667,'P4532532',3),(4942,'pellentesque semper','pellentesque semper',0,1,1.6333,'P4532516',3),(4943,'pellentesque semper integer','pellentesque semper integer',0,1,1.9,'P45325165326',3),(4944,'pellentesque tempor','pellentesque tempor',0,1,1.6333,'P45323516',3),(4945,'pellentesque tempor fringilla','pellentesque tempor fringilla',0,1,1.9667,'P4532351616524',3),(4946,'pharetra leo','pharetra leo',0,1,1.4,'P6364',3),(4947,'pharetra leo enim','pharetra leo enim',0,1,1.5667,'P63645',3),(4948,'phasellus adipiscing','phasellus adipiscing',0,1,1.6667,'P24231252',3),(4949,'phasellus adipiscing facilisis','phasellus adipiscing facilisis',0,1,2,'P242312521242',3),(4950,'phasellus tincidunt','phasellus tincidunt',0,1,1.6333,'P242352353',3),(4951,'phasellus tincidunt convallis','phasellus tincidunt convallis',0,1,1.9667,'P24235235325142',3),(4952,'phasellus volutpat','phasellus volutpat',0,1,1.6,'P24214313',3),(4953,'phasellus volutpat sem','phasellus volutpat sem',0,1,1.7333,'P2421431325',3),(4954,'placerat cum','placerat cum',0,1,1.4,'P426325',3),(4955,'placerat cum sociis','placerat cum sociis',0,1,1.6333,'P4263252',3),(4956,'placerat sapien','placerat sapien',0,1,1.5,'P4263215',3),(4957,'placerat sapien congue','placerat sapien congue',0,1,1.7333,'P4263215252',3),(4958,'porta arcu','porta arcu',0,1,1.3333,'P6362',3),(4959,'porta arcu auctor','porta arcu auctor',0,1,1.5667,'P636236',3),(4960,'porttitor at','porttitor at',0,1,1.4,'P6363',3),(4961,'porttitor at cursus','porttitor at cursus',0,1,1.6333,'P6363262',3),(4962,'porttitor pulvinar','porttitor pulvinar',0,1,1.6,'P63614156',3),(4963,'porttitor pulvinar lorem','porttitor pulvinar lorem',0,1,1.8,'P63614156465',3),(4964,'posuere elementum','posuere elementum',0,1,1.5667,'P264535',3),(4965,'posuere elementum eget','posuere elementum eget',0,1,1.7333,'P26453523',3),(4966,'posuere sapien','posuere sapien',0,1,1.4667,'P26215',3),(4967,'posuere sapien praesent','posuere sapien praesent',0,1,1.7667,'P2621516253',3),(4968,'praesent nec','praesent nec',0,1,1.4,'P625352',3),(4969,'praesent nec elit','praesent nec elit',0,1,1.5667,'P62535243',3),(4970,'pretium ut','pretium ut',0,1,1.3333,'P6353',3),(4971,'pretium ut in','pretium ut in',0,1,1.4333,'P63535',3),(4972,'pulvinar lorem','pulvinar lorem',0,1,1.4667,'P4156465',3),(4973,'pulvinar lorem ipsum','pulvinar lorem ipsum',0,1,1.6667,'P4156465125',3),(4974,'purus placerat','purus placerat',0,1,1.4667,'P6214263',3),(4975,'purus placerat cum','purus placerat cum',0,1,1.6,'P621426325',3),(4976,'quam sollicitudin vel','quam sollicitudin vel',0,1,1.7,'Q52423514',3),(4977,'quam urna','quam urna',0,1,1.3,'Q565',3),(4978,'quam urna at','quam urna at',0,1,1.4,'Q5653',3),(4979,'quis enim in','quis enim in',0,1,1.4,'Q500',3),(4980,'quis lacinia','quis lacinia',0,1,1.4,'Q425',3),(4981,'quis lacinia id','quis lacinia id',0,1,1.5,'Q4253',3),(4982,'quis lectus','quis lectus',0,1,1.3667,'Q4232',3),(4983,'quis lectus donec','quis lectus donec',0,1,1.5667,'Q4232352',3),(4984,'quisque ornare','quisque ornare',0,1,1.4667,'Q656',3),(4985,'quisque ornare malesuada','quisque ornare malesuada',0,1,1.8,'Q6565423',3),(4986,'rhoncus id','rhoncus id',0,1,1.3333,'R523',3),(4987,'rhoncus id facilisis','rhoncus id facilisis',0,1,1.6667,'R5231242',3),(4988,'rhoncus nunc','rhoncus nunc',0,1,1.4,'R5252',3),(4989,'rhoncus nunc non','rhoncus nunc non',0,1,1.5333,'R52525',3),(4990,'ridiculus mus pellentesque','ridiculus mus pellentesque',0,1,1.8667,'R32425214532',3),(4991,'risus eget augue','risus eget augue',0,1,1.5333,'R232',3),(4992,'risus magna','risus magna',0,1,1.3667,'R2525',3),(4993,'risus magna mollis','risus magna mollis',0,1,1.6,'R252542',3),(4994,'sapien congue','sapien congue',0,1,1.4333,'S15252',3),(4995,'sapien congue at','sapien congue at',0,1,1.5333,'S152523',3),(4996,'sapien praesent','sapien praesent',0,1,1.5,'S1516253',3),(4997,'sapien praesent nec','sapien praesent nec',0,1,1.6333,'S151625352',3),(4998,'sapien sed','sapien sed',0,1,1.3333,'S1523',3),(4999,'sapien sed tempus','sapien sed tempus',0,1,1.5667,'S1523512',3),(5000,'sed arcu','sed arcu',0,1,1.2667,'S362',3),(5001,'sed arcu morbi','sed arcu morbi',0,1,1.4667,'S362561',3),(5002,'sed dapibus','sed dapibus',0,1,1.3667,'S312',3),(5003,'sed dapibus massa','sed dapibus massa',0,1,1.5667,'S31252',3),(5004,'sed mattis','sed mattis',0,1,1.3333,'S3532',3),(5005,'sed mattis diam','sed mattis diam',0,1,1.5,'S353235',3),(5006,'sed porta','sed porta',0,1,1.3,'S3163',3),(5007,'sed porta arcu','sed porta arcu',0,1,1.4667,'S316362',3),(5008,'sed risus','sed risus',0,1,1.3,'S362',3),(5009,'sed risus magna','sed risus magna',0,1,1.5,'S362525',3),(5010,'sed sed tortor','sed sed tortor',0,1,1.4667,'S323636',3),(5011,'sed tellus sed','sed tellus sed',0,1,1.4667,'S3423',3),(5012,'sed tempus mattis','sed tempus mattis',0,1,1.5667,'S3512532',3),(5013,'sed tortor','sed tortor',0,1,1.3333,'S3636',3),(5014,'sed tortor metus','sed tortor metus',0,1,1.5333,'S3636532',3),(5015,'sed ultricies','sed ultricies',0,1,1.4333,'S34362',3),(5016,'sed ultricies ut','sed ultricies ut',0,1,1.5333,'S343623',3),(5017,'sem feugiat','sem feugiat',0,1,1.3667,'S5123',3),(5018,'sem feugiat malesuada','sem feugiat malesuada',0,1,1.7,'S51235423',3),(5019,'sem posuere','sem posuere',0,1,1.3667,'S5126',3),(5020,'sem posuere elementum','sem posuere elementum',0,1,1.7,'S51264535',3),(5021,'semper integer','semper integer',0,1,1.4667,'S5165326',3),(5022,'semper integer eget','semper integer eget',0,1,1.6333,'S516532623',3),(5023,'sit amet bibendum','sit amet bibendum',0,1,1.5667,'S3531535',3),(5024,'sit amet diam','sit amet diam',0,1,1.4333,'S3535',3),(5025,'sit amet laoreet','sit amet laoreet',0,1,1.5333,'S353463',3),(5026,'sit amet luctus','sit amet luctus',0,1,1.5,'S3534232',3),(5027,'sit amet volutpat','sit amet volutpat',0,1,1.5667,'S35314313',3),(5028,'sollicitudin lorem','sollicitudin lorem',0,1,1.6,'S4235465',3),(5029,'sollicitudin lorem auctor','sollicitudin lorem auctor',0,1,1.8333,'S4235465236',3),(5030,'sollicitudin tellus','sollicitudin tellus',0,1,1.6333,'S4235342',3),(5031,'sollicitudin tellus donec','sollicitudin tellus donec',0,1,1.8333,'S4235342352',3),(5032,'sollicitudin vel','sollicitudin vel',0,1,1.5333,'S423514',3),(5033,'sollicitudin vel porttitor','sollicitudin vel porttitor',0,1,1.8667,'S4235141636',3),(5034,'tellus donec','tellus donec',0,1,1.4,'T42352',3),(5035,'tellus donec ipsum','tellus donec ipsum',0,1,1.6,'T42352125',3),(5036,'tellus sed','tellus sed',0,1,1.3333,'T423',3),(5037,'tellus sed dapibus','tellus sed dapibus',0,1,1.6,'T42312',3),(5038,'tempor fringilla','tempor fringilla',0,1,1.5333,'T51616524',3),(5039,'tempor fringilla augue','tempor fringilla augue',0,1,1.7333,'T516165242',3),(5040,'tempor molestie','tempor molestie',0,1,1.5,'T5165423',3),(5041,'tempor molestie purus','tempor molestie purus',0,1,1.7,'T5165423162',3),(5042,'tempus eu','tempus eu',0,1,1.3,'T512',3),(5043,'tempus eu nec','tempus eu nec',0,1,1.4333,'T51252',3),(5044,'tempus mattis','tempus mattis',0,1,1.4333,'T512532',3),(5045,'tempus mattis libero','tempus mattis libero',0,1,1.6667,'T512532416',3),(5046,'tincidunt convallis','tincidunt convallis',0,1,1.6333,'T5235325142',3),(5047,'tincidunt convallis nisl','tincidunt convallis nisl',0,1,1.8,'T5235325142524',3),(5048,'tincidunt lorem','tincidunt lorem',0,1,1.5,'T52353465',3),(5049,'tincidunt lorem quisque','tincidunt lorem quisque',0,1,1.7667,'T523534652',3),(5050,'tortor felis','tortor felis',0,1,1.4,'T636142',3),(5051,'tortor felis sed','tortor felis sed',0,1,1.5333,'T6361423',3),(5052,'tortor metus','tortor metus',0,1,1.4,'T636532',3),(5053,'tortor metus rhoncus','tortor metus rhoncus',0,1,1.6667,'T636532652',3),(5054,'tristique felis','tristique felis',0,1,1.5,'T6232142',3),(5055,'tristique felis vel','tristique felis vel',0,1,1.6333,'T623214214',3),(5056,'turpis pellentesque','turpis pellentesque',0,1,1.6333,'T61214532',3),(5057,'turpis pellentesque semper','turpis pellentesque semper',0,1,1.8667,'T61214532516',3),(5058,'ultrices faucibus','ultrices faucibus',0,1,1.5667,'U43621212',3),(5059,'ultrices faucibus nulla','ultrices faucibus nulla',0,1,1.7667,'U4362121254',3),(5060,'ultricies ut','ultricies ut',0,1,1.4,'U43623',5),(5061,'ultricies ut pellentesque','ultricies ut pellentesque',0,1,1.8333,'U4362314532',3),(5062,'urna at','urna at',0,1,1.2333,'U653',3),(5063,'urna at sollicitudin','urna at sollicitudin',0,1,1.6667,'U65324235',3),(5064,'urna erat et','urna erat et',0,1,1.4,'U6563',3),(5065,'urna fermentum','urna fermentum',0,1,1.4667,'U6516535',3),(5066,'urna fermentum sed','urna fermentum sed',0,1,1.6,'U651653523',3),(5067,'ut in','ut in',0,1,1.1667,'U350',3),(5068,'ut in mauris','ut in mauris',0,1,1.4,'U3562',3),(5069,'ut metus','ut metus',0,1,1.2667,'U3532',3),(5070,'ut metus augue','ut metus augue',0,1,1.4667,'U3532',3),(5071,'ut pellentesque','ut pellentesque',0,1,1.5,'U314532',3),(5072,'ut pellentesque a','ut pellentesque a',0,1,1.5667,'U314532',3),(5073,'ut rhoncus','ut rhoncus',0,1,1.3333,'U3652',3),(5074,'ut rhoncus nunc','ut rhoncus nunc',0,1,1.5,'U365252',3),(5075,'vehicula at','vehicula at',0,1,1.3667,'V243',3),(5076,'vehicula at id','vehicula at id',0,1,1.4667,'V243',3),(5077,'vehicula felis','vehicula felis',0,1,1.4667,'V24142',3),(5078,'vehicula felis pellentesque','vehicula felis pellentesque',0,1,1.9,'V2414214532',3),(5079,'vehicula in','vehicula in',0,1,1.3667,'V245',3),(5080,'vehicula in phasellus','vehicula in phasellus',0,1,1.7,'V2451242',3),(5081,'vel massa','vel massa',0,1,1.3,'V452',3),(5082,'vel massa sapien','vel massa sapien',0,1,1.5333,'V45215',3),(5083,'vel nec','vel nec',0,1,1.2333,'V452',3),(5084,'vel nec massa','vel nec massa',0,1,1.4333,'V45252',3),(5085,'vel placerat','vel placerat',0,1,1.4,'V414263',3),(5086,'vel placerat sapien','vel placerat sapien',0,1,1.6333,'V414263215',3),(5087,'vel porttitor','vel porttitor',0,1,1.4333,'V41636',3),(5088,'vel porttitor at','vel porttitor at',0,1,1.5333,'V416363',3),(5089,'vel tortor','vel tortor',0,1,1.3333,'V43636',3),(5090,'vel tortor felis','vel tortor felis',0,1,1.5333,'V43636142',3),(5091,'venenatis quis','venenatis quis',0,1,1.4667,'V532',152),(5092,'venenatis quis lacinia','venenatis quis lacinia',0,1,1.7333,'V532425',3),(5093,'vestibulum nisl','vestibulum nisl',0,1,1.5,'V2314524',3),(5094,'vestibulum nisl mauris','vestibulum nisl mauris',0,1,1.7333,'V2314524562',3),(5095,'vitae hendrerit','vitae hendrerit',0,1,1.5,'V35363',5),(5096,'vitae hendrerit nulla','vitae hendrerit nulla',0,1,1.7,'V3536354',3),(5097,'vitae sem','vitae sem',0,1,1.3,'V325',3),(5098,'vitae sem posuere','vitae sem posuere',0,1,1.5667,'V325126',3),(5099,'vivamus ultrices','vivamus ultrices',0,1,1.5333,'V524362',3),(5100,'vivamus ultrices faucibus','vivamus ultrices faucibus',0,1,1.8333,'V5243621212',3),(5101,'vivamus vel','vivamus vel',0,1,1.3667,'V5214',3),(5102,'vivamus vel massa','vivamus vel massa',0,1,1.5667,'V521452',3),(5103,'viverra','viverra',0,0,0.4667,'V600',8),(5104,'viverra sed','viverra sed',0,1,1.3667,'V623',3),(5105,'viverra sed sed','viverra sed sed',0,1,1.5,'V62323',3),(5106,'volutpat libero','volutpat libero',0,1,1.5,'V4313416',3),(5107,'volutpat libero vehicula','volutpat libero vehicula',0,1,1.8,'V4313416124',3),(5108,'volutpat sem','volutpat sem',0,1,1.4,'V431325',3),(5109,'volutpat sem feugiat','volutpat sem feugiat',0,1,1.6667,'V431325123',3),(5110,'volutpat tristique','volutpat tristique',0,1,1.6,'V43136232',3),(5111,'volutpat tristique felis','volutpat tristique felis',0,1,1.8,'V43136232142',3),(5112,'20','20',0,0,0.2,'',2),(5113,'archive article ii','archive article ii',0,1,1.6,'A6216324',1),(5114,'article ii','article ii',0,1,1.3333,'A6324',1),(5115,'21','21',0,0,0.2,'',10),(5116,'archive article iii','archive article iii',0,1,1.6333,'A6216324',1),(5117,'article iii','article iii',0,1,1.3667,'A6324',1),(5118,'iii','iii',0,0,0.2,'I000',59),(5119,'61','61',0,0,0.2,'',1),(5120,'ipsum 3','ipsum 3',0,1,1.2333,'I125',1),(5121,'ipsum iii','ipsum iii',0,1,1.3,'I125',1),(5122,'lorem ipsum 3','lorem ipsum 3',0,1,1.4333,'L65125',1),(5123,'lorem ipsum iii','lorem ipsum iii',0,1,1.5,'L65125',1),(5124,'60','60',0,0,0.2,'',3),(5125,'ipsum 2','ipsum 2',0,1,1.2333,'I125',2),(5126,'ipsum ii','ipsum ii',0,1,1.2667,'I125',2),(5127,'lorem ipsum 2','lorem ipsum 2',0,1,1.4333,'L65125',2),(5128,'lorem ipsum ii','lorem ipsum ii',0,1,1.4667,'L65125',2),(5129,'59','59',0,0,0.2,'',11),(5130,'ipsum 1','ipsum 1',0,1,1.2333,'I125',2),(5131,'ipsum i','ipsum i',0,1,1.2333,'I125',2),(5132,'lorem ipsum 1','lorem ipsum 1',0,1,1.4333,'L65125',2),(5133,'lorem ipsum i','lorem ipsum i',0,1,1.4333,'L65125',2),(5134,'56','56',0,0,0.2,'',4),(5135,'a arcu','a arcu',0,1,1.2,'A620',4),(5136,'a arcu ultricies','a arcu ultricies',0,1,1.5333,'A624362',4),(5137,'a mi','a mi',0,1,1.1333,'A500',4),(5138,'a mi vel','a mi vel',0,1,1.2667,'A514',4),(5139,'ac dolor','ac dolor',0,1,1.2667,'A2346',4),(5140,'ac dolor nullam','ac dolor nullam',0,1,1.5,'A2346545',4),(5141,'ac nibh','ac nibh',0,1,1.2333,'A251',4),(5142,'ac nibh eu','ac nibh eu',0,1,1.3333,'A251',4),(5143,'ac odio','ac odio',0,1,1.2333,'A230',4),(5144,'ac odio orci','ac odio orci',0,1,1.4,'A2362',4),(5145,'ac risus','ac risus',0,1,1.2667,'A262',4),(5146,'ac risus faucibus','ac risus faucibus',0,1,1.5667,'A2621212',4),(5147,'ac turpis','ac turpis',0,1,1.3,'A23612',6),(5148,'ac turpis egestas','ac turpis egestas',0,1,1.5667,'A2361232',6),(5149,'ac vehicula','ac vehicula',0,1,1.3667,'A2124',4),(5150,'ac vehicula nam','ac vehicula nam',0,1,1.5,'A21245',4),(5151,'ad','ad',0,0,0.1333,'A300',4),(5152,'ad litora','ad litora',0,1,1.3,'A3436',4),(5153,'ad litora torquent','ad litora torquent',0,1,1.6,'A343636253',4),(5154,'adipiscing diam','adipiscing diam',0,1,1.5,'A3125235',4),(5155,'adipiscing diam imperdiet','adipiscing diam imperdiet',0,1,1.8333,'A3125235163',4),(5156,'adipiscing in','adipiscing in',0,1,1.4333,'A312525',4),(5157,'adipiscing in ornare','adipiscing in ornare',0,1,1.6667,'A312525656',4),(5158,'adipiscing ligula','adipiscing ligula',0,1,1.5667,'A31252424',4),(5159,'adipiscing ligula justo','adipiscing ligula justo',0,1,1.7667,'A3125242423',4),(5160,'aenean venenatis consectetur','aenean venenatis consectetur',0,1,1.9333,'A515325236',4),(5161,'aliquam dignissim','aliquam dignissim',0,1,1.5667,'A42532525',4),(5162,'aliquam dignissim aliquam','aliquam dignissim aliquam',0,1,1.8333,'A42532525425',4),(5163,'aliquam erat','aliquam erat',0,1,1.4,'A42563',6),(5164,'aliquam erat dolor','aliquam erat dolor',0,1,1.6,'A4256346',4),(5165,'aliquam posuere','aliquam posuere',0,1,1.5,'A425126',4),(5166,'aliquam posuere sed','aliquam posuere sed',0,1,1.6333,'A42512623',4),(5167,'aliquet feugiat','aliquet feugiat',0,1,1.5,'A423123',4),(5168,'aliquet feugiat molestie','aliquet feugiat molestie',0,1,1.8,'A4231235423',4),(5169,'aliquet nibh','aliquet nibh',0,1,1.4,'A42351',4),(5170,'aliquet nibh tristique','aliquet nibh tristique',0,1,1.7333,'A4235136232',4),(5171,'aliquet nulla','aliquet nulla',0,1,1.4333,'A42354',6),(5172,'aliquet nulla vitae','aliquet nulla vitae',0,1,1.6333,'A4235413',6),(5173,'amet justo','amet justo',0,1,1.3333,'A5323',4),(5174,'amet justo faucibus','amet justo faucibus',0,1,1.6333,'A53231212',4),(5175,'amet metus','amet metus',0,1,1.3333,'A53532',4),(5176,'amet metus maecenas','amet metus maecenas',0,1,1.6333,'A535325252',4),(5177,'amet ultricies','amet ultricies',0,1,1.4667,'A534362',4),(5178,'amet ultricies adipiscing','amet ultricies adipiscing',0,1,1.8333,'A53436231252',4),(5179,'amet ultricies magna','amet ultricies magna',0,1,1.6667,'A534362525',4),(5180,'amet vehicula','amet vehicula',0,1,1.4333,'A53124',4),(5181,'amet vehicula enim','amet vehicula enim',0,1,1.6,'A531245',4),(5182,'ante molestie','ante molestie',0,1,1.4333,'A535423',4),(5183,'ante molestie venenatis','ante molestie venenatis',0,1,1.7667,'A5354231532',4),(5184,'ante nibh','ante nibh',0,1,1.3,'A5351',4),(5185,'ante nibh suscipit','ante nibh suscipit',0,1,1.6,'A5351213',4),(5186,'aptent','aptent',0,0,0.4,'A1353',4),(5187,'aptent taciti','aptent taciti',0,1,1.4333,'A135323',4),(5188,'aptent taciti sociosqu','aptent taciti sociosqu',0,1,1.7333,'A1353232',4),(5189,'arcu ultricies','arcu ultricies',0,1,1.4667,'A624362',4),(5190,'arcu ultricies consectetur','arcu ultricies consectetur',0,1,1.8667,'A6243625236',4),(5191,'at donec','at donec',0,1,1.2667,'A352',4),(5192,'at donec facilisis','at donec facilisis',0,1,1.6,'A3521242',4),(5193,'auctor donec','auctor donec',0,1,1.4,'A236352',4),(5194,'auctor donec id','auctor donec id',0,1,1.5,'A2363523',4),(5195,'auctor duis tortor','auctor duis tortor',0,1,1.6,'A236323636',4),(5196,'auctor fringilla curabitur','auctor fringilla curabitur',0,1,1.8667,'A2361652426136',7),(5197,'auctor vitae','auctor vitae',0,1,1.4,'A23613',4),(5198,'auctor vitae metus','auctor vitae metus',0,1,1.6,'A23613532',4),(5199,'augue aenean lacinia','augue aenean lacinia',0,1,1.6667,'A25425',7),(5200,'augue bibendum','augue bibendum',0,1,1.4667,'A21535',4),(5201,'augue bibendum rutrum','augue bibendum rutrum',0,1,1.7,'A215356365',4),(5202,'augue eleifend','augue eleifend',0,1,1.4667,'A24153',4),(5203,'augue eleifend aenean','augue eleifend aenean',0,1,1.7,'A241535',4),(5204,'augue non rhoncus','augue non rhoncus',0,1,1.5667,'A25652',4),(5205,'bibendum justo','bibendum justo',0,1,1.4667,'B53523',4),(5206,'bibendum justo ac','bibendum justo ac',0,1,1.5667,'B535232',4),(5207,'bibendum rutrum','bibendum rutrum',0,1,1.5,'B5356365',4),(5208,'bibendum rutrum nam','bibendum rutrum nam',0,1,1.6333,'B5356365',4),(5209,'blandit consequat','blandit consequat',0,1,1.5667,'B4532523',2),(5210,'blandit consequat lorem','blandit consequat lorem',0,1,1.7667,'B4532523465',1),(5211,'break','break',0,0,0.3333,'B620',11),(5212,'break example','break example',0,1,1.4333,'B62514',4),(5213,'class aptent','class aptent',0,1,1.4,'C421353',4),(5214,'class aptent taciti','class aptent taciti',0,1,1.6333,'C42135323',4),(5215,'commodo integer','commodo integer',0,1,1.5,'C535326',4),(5216,'commodo integer congue','commodo integer congue',0,1,1.7333,'C535326252',4),(5217,'condimentum hendrerit','condimentum hendrerit',0,1,1.7,'C53535363',4),(5218,'condimentum hendrerit et','condimentum hendrerit et',0,1,1.8,'C53535363',4),(5219,'condimentum vel','condimentum vel',0,1,1.5,'C5353514',4),(5220,'condimentum vel feugiat','condimentum vel feugiat',0,1,1.7667,'C5353514123',4),(5221,'congue lectus','congue lectus',0,1,1.4333,'C524232',4),(5222,'congue lectus et','congue lectus et',0,1,1.5333,'C5242323',4),(5223,'congue lectus sit','congue lectus sit',0,1,1.5667,'C5242323',4),(5224,'consectetur donec id','consectetur donec id',0,1,1.6667,'C52363523',4),(5225,'consectetur et vestibulum','consectetur et vestibulum',0,1,1.8333,'C52363123145',2),(5226,'consectetur integer','consectetur integer',0,1,1.6333,'C52365326',4),(5227,'consectetur integer ut','consectetur integer ut',0,1,1.7333,'C523653263',4),(5228,'consectetur maecenas','consectetur maecenas',0,1,1.6667,'C52365252',8),(5229,'consectetur maecenas sed','consectetur maecenas sed',0,1,1.8,'C523652523',6),(5230,'consectetur orci','consectetur orci',0,1,1.5333,'C52362',4),(5231,'consectetur orci sit','consectetur orci sit',0,1,1.6667,'C523623',4),(5232,'consectetur vestibulum','consectetur vestibulum',0,1,1.7333,'C5236123145',4),(5233,'consectetur vestibulum id','consectetur vestibulum id',0,1,1.8333,'C52361231453',4),(5234,'consequat lorem','consequat lorem',0,1,1.5,'C523465',1),(5235,'consequat lorem ipsum','consequat lorem ipsum',0,1,1.7,'C523465125',1),(5236,'conubia','conubia',0,0,0.4667,'C510',4),(5237,'conubia nostra','conubia nostra',0,1,1.4667,'C515236',4),(5238,'conubia nostra per','conubia nostra per',0,1,1.6,'C51523616',4),(5239,'cubilia curae mauris','cubilia curae mauris',0,1,1.6667,'C1426562',2),(5240,'curae mauris','curae mauris',0,1,1.4,'C6562',2),(5241,'curae mauris justo','curae mauris justo',0,1,1.6,'C65623',2),(5242,'dapibus lacinia','dapibus lacinia',0,1,1.5,'D12425',4),(5243,'dapibus lacinia pellentesque','dapibus lacinia pellentesque',0,1,1.9333,'D1242514532',4),(5244,'diam imperdiet','diam imperdiet',0,1,1.4667,'D5163',4),(5245,'diam imperdiet at','diam imperdiet at',0,1,1.5667,'D5163',4),(5246,'diam nisi','diam nisi',0,1,1.3,'D520',4),(5247,'diam nisi ut','diam nisi ut',0,1,1.4,'D523',4),(5248,'dignissim aliquam','dignissim aliquam',0,1,1.5667,'D2525425',4),(5249,'dignissim aliquam posuere','dignissim aliquam posuere',0,1,1.8333,'D2525425126',4),(5250,'dignissim aliquet','dignissim aliquet',0,1,1.5667,'D2525423',4),(5251,'dignissim aliquet nibh','dignissim aliquet nibh',0,1,1.7333,'D252542351',4),(5252,'dignissim ipsum','dignissim ipsum',0,1,1.5,'D2525125',4),(5253,'dignissim ipsum sed','dignissim ipsum sed',0,1,1.6333,'D252512523',4),(5254,'dolor ac','dolor ac',0,1,1.2667,'D462',4),(5255,'dolor ac risus','dolor ac risus',0,1,1.4667,'D46262',4),(5256,'dolor auctor donec','dolor auctor donec',0,1,1.6,'D46236352',4),(5257,'dolor donec','dolor donec',0,1,1.3667,'D46352',4),(5258,'dolor donec interdum','dolor donec interdum',0,1,1.6667,'D4635253635',4),(5259,'dolor nullam','dolor nullam',0,1,1.4,'D46545',4),(5260,'dolor nullam suscipit','dolor nullam suscipit',0,1,1.7,'D46545213',4),(5261,'dolor nunc','dolor nunc',0,1,1.3333,'D4652',4),(5262,'dolor nunc eleifend','dolor nunc eleifend',0,1,1.6333,'D46524153',4),(5263,'dolor varius','dolor varius',0,1,1.4,'D46162',4),(5264,'dolor varius eros','dolor varius eros',0,1,1.5667,'D4616262',4),(5265,'donec facilisis','donec facilisis',0,1,1.5,'D521242',4),(5266,'donec facilisis nunc','donec facilisis nunc',0,1,1.6667,'D52124252',4),(5267,'donec interdum','donec interdum',0,1,1.4667,'D5253635',4),(5268,'donec interdum ornare','donec interdum ornare',0,1,1.7,'D5253635656',4),(5269,'dui cras','dui cras',0,1,1.2667,'D262',7),(5270,'dui cras mattis','dui cras mattis',0,1,1.5,'D262532',4),(5271,'dui turpis','dui turpis',0,1,1.3333,'D612',4),(5272,'dui turpis ac','dui turpis ac',0,1,1.4333,'D612',4),(5273,'duis tortor','duis tortor',0,1,1.3667,'D23636',4),(5274,'duis tortor nisl','duis tortor nisl',0,1,1.5333,'D23636524',4),(5275,'egestas fusce','egestas fusce',0,1,1.4333,'E23212',2),(5276,'egestas fusce id','egestas fusce id',0,1,1.5333,'E232123',2),(5277,'egestas risus','egestas risus',0,1,1.4333,'E23262',4),(5278,'egestas risus in','egestas risus in',0,1,1.5333,'E232625',4),(5279,'eget est','eget est',0,1,1.2667,'E2323',4),(5280,'eget est urna','eget est urna',0,1,1.4333,'E232365',4),(5281,'eget metus cras','eget metus cras',0,1,1.5,'E2353262',6),(5282,'eget metus duis','eget metus duis',0,1,1.5,'E2353232',4),(5283,'eget metus etiam','eget metus etiam',0,1,1.5333,'E2353235',4),(5284,'eget metus integer','eget metus integer',0,1,1.6,'E235325326',4),(5285,'eget metus nullam','eget metus nullam',0,1,1.5667,'E23532545',7),(5286,'eget quam lorem','eget quam lorem',0,1,1.5,'E2325465',6),(5287,'eget quam vivamus','eget quam vivamus',0,1,1.5667,'E2325152',10),(5288,'eget rutrum','eget rutrum',0,1,1.3667,'E236365',4),(5289,'eget rutrum vivamus','eget rutrum vivamus',0,1,1.6333,'E236365152',2),(5290,'eget scelerisque','eget scelerisque',0,1,1.5333,'E232462',4),(5291,'eget scelerisque vestibulum','eget scelerisque vestibulum',0,1,1.9,'E232462123145',4),(5292,'eleifend aenean','eleifend aenean',0,1,1.5,'E41535',4),(5293,'eleifend aenean venenatis','eleifend aenean venenatis',0,1,1.8333,'E415351532',4),(5294,'eleifend lacinia','eleifend lacinia',0,1,1.5333,'E4153425',4),(5295,'eleifend lacinia libero','eleifend lacinia libero',0,1,1.7667,'E4153425416',4),(5296,'elit nulla','elit nulla',0,1,1.3333,'E4354',4),(5297,'elit nulla ultrices','elit nulla ultrices',0,1,1.6333,'E4354362',4),(5298,'enim id','enim id',0,1,1.2333,'E530',4),(5299,'enim id erat','enim id erat',0,1,1.4,'E5363',4),(5300,'enim lorem','enim lorem',0,1,1.3333,'E5465',4),(5301,'enim lorem in','enim lorem in',0,1,1.4333,'E5465',4),(5302,'erat dolor','erat dolor',0,1,1.3333,'E6346',4),(5303,'erat dolor varius','erat dolor varius',0,1,1.5667,'E6346162',4),(5304,'erat id','erat id',0,1,1.2333,'E630',4),(5305,'erat id augue','erat id augue',0,1,1.4333,'E632',4),(5306,'erat sodales','erat sodales',0,1,1.4,'E632342',4),(5307,'erat sodales auctor','erat sodales auctor',0,1,1.6333,'E63234236',4),(5308,'eros in semper','eros in semper',0,1,1.4667,'E6252516',4),(5309,'est mauris','est mauris',0,1,1.3333,'E23562',4),(5310,'est mauris laoreet','est mauris laoreet',0,1,1.6,'E23562463',4),(5311,'est urna','est urna',0,1,1.2667,'E2365',4),(5312,'est urna class','est urna class',0,1,1.4667,'E2365242',4),(5313,'et euismod','et euismod',0,1,1.3333,'E3253',4),(5314,'et euismod quis','et euismod quis',0,1,1.5,'E32532',4),(5315,'et euismod sit','et euismod sit',0,1,1.4667,'E325323',4),(5316,'et justo pellentesque','et justo pellentesque',0,1,1.7,'E32314532',4),(5317,'et malesuada','et malesuada',0,1,1.4,'E35423',6),(5318,'et malesuada fames','et malesuada fames',0,1,1.6,'E35423152',6),(5319,'et netus','et netus',0,1,1.2667,'E3532',6),(5320,'et netus et','et netus et',0,1,1.3667,'E35323',6),(5321,'et vestibulum','et vestibulum',0,1,1.4333,'E3123145',2),(5322,'et vestibulum id','et vestibulum id',0,1,1.5333,'E31231453',2),(5323,'eu ipsum','eu ipsum',0,1,1.2667,'E125',4),(5324,'eu ipsum tristique','eu ipsum tristique',0,1,1.6,'E12536232',4),(5325,'eu leo sed','eu leo sed',0,1,1.3333,'E423',4),(5326,'eu mattis','eu mattis',0,1,1.3,'E532',4),(5327,'eu mattis aliquam','eu mattis aliquam',0,1,1.5667,'E532425',4),(5328,'euismod nullam','euismod nullam',0,1,1.4667,'E253545',4),(5329,'euismod nullam quis','euismod nullam quis',0,1,1.6333,'E2535452',4),(5330,'euismod quis dolor','euismod quis dolor',0,1,1.6,'E2532346',4),(5331,'euismod semper donec','euismod semper donec',0,1,1.6667,'E2532516352',4),(5332,'euismod sit','euismod sit',0,1,1.3667,'E25323',4),(5333,'euismod sit amet','euismod sit amet',0,1,1.5333,'E2532353',4),(5334,'facilisis nunc','facilisis nunc',0,1,1.4667,'F24252',4),(5335,'facilisis nunc sit','facilisis nunc sit',0,1,1.6,'F242523',4),(5336,'facilisis nunc tristique','facilisis nunc tristique',0,1,1.8,'F2425236232',4),(5337,'fames','fames',0,0,0.3333,'F520',6),(5338,'fames ac','fames ac',0,1,1.2667,'F520',6),(5339,'fames ac turpis','fames ac turpis',0,1,1.5,'F523612',6),(5340,'faucibus lorem','faucibus lorem',0,1,1.4667,'F212465',4),(5341,'faucibus lorem imperdiet','faucibus lorem imperdiet',0,1,1.8,'F212465163',4),(5342,'faucibus luctus','faucibus luctus',0,1,1.5,'F2124232',4),(5343,'faucibus luctus non','faucibus luctus non',0,1,1.6333,'F21242325',4),(5344,'faucibus sodales','faucibus sodales',0,1,1.5333,'F212342',4),(5345,'faucibus sodales tortor','faucibus sodales tortor',0,1,1.7667,'F2123423636',4),(5346,'fermentum quis','fermentum quis',0,1,1.4667,'F65352',4),(5347,'fermentum quis mattis','fermentum quis mattis',0,1,1.7,'F65352532',4),(5348,'feugiat molestie','feugiat molestie',0,1,1.5333,'F235423',4),(5349,'feugiat molestie maecenas','feugiat molestie maecenas',0,1,1.8333,'F2354235252',4),(5350,'feugiat risus','feugiat risus',0,1,1.4333,'F2362',132),(5351,'feugiat risus varius','feugiat risus varius',0,1,1.6667,'F2362162',4),(5352,'feugiat vel','feugiat vel',0,1,1.3667,'F2314',4),(5353,'feugiat vel venenatis','feugiat vel venenatis',0,1,1.7,'F23141532',4),(5354,'fringilla augue non','fringilla augue non',0,1,1.6333,'F652425',4),(5355,'fringilla curabitur','fringilla curabitur',0,1,1.6333,'F652426136',7),(5356,'fringilla curabitur blandit','fringilla curabitur blandit',0,1,1.9,'F6524261361453',7),(5357,'fusce id','fusce id',0,1,1.2667,'F230',4),(5358,'fusce id enim','fusce id enim',0,1,1.4333,'F235',4),(5359,'habitant','habitant',0,0,0.5333,'H1353',6),(5360,'habitant morbi','habitant morbi',0,1,1.4667,'H1353561',6),(5361,'habitant morbi tristique','habitant morbi tristique',0,1,1.8,'H135356136232',6),(5362,'hendrerit donec','hendrerit donec',0,1,1.5,'H536352',4),(5363,'hendrerit donec ullamcorper','hendrerit donec ullamcorper',0,1,1.9,'H536352452616',4),(5364,'hendrerit et','hendrerit et',0,1,1.4,'H5363',4),(5365,'hendrerit et euismod','hendrerit et euismod',0,1,1.6667,'H5363253',4),(5366,'himenaeos','himenaeos',0,0,0.6,'H520',4),(5367,'himenaeos vivamus','himenaeos vivamus',0,1,1.5667,'H52152',4),(5368,'himenaeos vivamus mauris','himenaeos vivamus mauris',0,1,1.8,'H52152562',4),(5369,'id augue','id augue',0,1,1.2667,'I320',6),(5370,'id augue bibendum','id augue bibendum',0,1,1.5667,'I321535',4),(5371,'id commodo','id commodo',0,1,1.3333,'I3253',4),(5372,'id commodo integer','id commodo integer',0,1,1.6,'I32535326',4),(5373,'id enim','id enim',0,1,1.2333,'I350',4),(5374,'id enim id','id enim id',0,1,1.3333,'I353',4),(5375,'id erat','id erat',0,1,1.2333,'I363',4),(5376,'id erat sodales','id erat sodales',0,1,1.5,'I3632342',4),(5377,'id lobortis','id lobortis',0,1,1.3667,'I341632',4),(5378,'id lobortis et','id lobortis et',0,1,1.4667,'I3416323',4),(5379,'id orci','id orci',0,1,1.2333,'I362',4),(5380,'id orci dapibus','id orci dapibus',0,1,1.5,'I362312',4),(5381,'id placerat','id placerat',0,1,1.3667,'I314263',4),(5382,'id placerat augue','id placerat augue',0,1,1.5667,'I3142632',4),(5383,'id turpis','id turpis',0,1,1.3,'I3612',4),(5384,'id turpis morbi','id turpis morbi',0,1,1.5,'I3612561',4),(5385,'imperdiet at','imperdiet at',0,1,1.4,'I5163',4),(5386,'imperdiet at donec','imperdiet at donec',0,1,1.6,'I516352',4),(5387,'imperdiet sagittis','imperdiet sagittis',0,1,1.6,'I5163232',4),(5388,'imperdiet sagittis proin','imperdiet sagittis proin',0,1,1.8,'I5163232165',4),(5389,'in faucibus sodales','in faucibus sodales',0,1,1.6333,'I51212342',4),(5390,'in ipsum','in ipsum',0,1,1.2667,'I5125',4),(5391,'in ipsum nullam','in ipsum nullam',0,1,1.5,'I512545',4),(5392,'in neque','in neque',0,1,1.2667,'I520',4),(5393,'in neque in','in neque in',0,1,1.3667,'I525',4),(5394,'in ornare','in ornare',0,1,1.3,'I5656',4),(5395,'in ornare in','in ornare in',0,1,1.4,'I56565',4),(5396,'in semper','in semper',0,1,1.3,'I52516',4),(5397,'in semper sem','in semper sem',0,1,1.4333,'I5251625',4),(5398,'in ultrices','in ultrices',0,1,1.3667,'I54362',4),(5399,'in ultrices bibendum','in ultrices bibendum',0,1,1.6667,'I543621535',4),(5400,'inceptos','inceptos',0,0,0.5333,'I52132',4),(5401,'inceptos himenaeos','inceptos himenaeos',0,1,1.6,'I5213252',4),(5402,'inceptos himenaeos vivamus','inceptos himenaeos vivamus',0,1,1.8667,'I5213252152',4),(5403,'integer congue','integer congue',0,1,1.4667,'I5326252',4),(5404,'integer congue lectus','integer congue lectus',0,1,1.7,'I53262524232',4),(5405,'integer sit','integer sit',0,1,1.3667,'I532623',4),(5406,'integer sit amet','integer sit amet',0,1,1.5333,'I53262353',4),(5407,'integer ut','integer ut',0,1,1.3333,'I53263',4),(5408,'integer ut mollis','integer ut mollis',0,1,1.5667,'I53263542',4),(5409,'interdum ornare','interdum ornare',0,1,1.5,'I53635656',4),(5410,'interdum ornare ligula','interdum ornare ligula',0,1,1.7333,'I53635656424',4),(5411,'interdum vivamus','interdum vivamus',0,1,1.5333,'I53635152',4),(5412,'interdum vivamus sagittis','interdum vivamus sagittis',0,1,1.8333,'I5363515232',4),(5413,'ipsum nullam','ipsum nullam',0,1,1.4,'I12545',4),(5414,'ipsum nullam ac','ipsum nullam ac',0,1,1.5,'I125452',4),(5415,'ipsum sed','ipsum sed',0,1,1.3,'I12523',4),(5416,'ipsum sed sodales','ipsum sed sodales',0,1,1.5667,'I125232342',4),(5417,'ipsum tristique','ipsum tristique',0,1,1.5,'I12536232',4),(5418,'ipsum tristique ullamcorper','ipsum tristique ullamcorper',0,1,1.9,'I12536232452616',4),(5419,'justo ac','justo ac',0,1,1.2667,'J320',4),(5420,'justo ac vehicula','justo ac vehicula',0,1,1.5667,'J32124',4),(5421,'justo congue','justo congue',0,1,1.4,'J3252',4),(5422,'justo congue lectus','justo congue lectus',0,1,1.6333,'J32524232',4),(5423,'justo faucibus','justo faucibus',0,1,1.4667,'J31212',4),(5424,'justo faucibus lorem','justo faucibus lorem',0,1,1.6667,'J31212465',4),(5425,'justo fermentum','justo fermentum',0,1,1.5,'J316535',4),(5426,'justo fermentum quis','justo fermentum quis',0,1,1.6667,'J3165352',4),(5427,'justo metus','justo metus',0,1,1.3667,'J3532',4),(5428,'justo metus ultrices','justo metus ultrices',0,1,1.6667,'J35324362',4),(5429,'justo pellentesque','justo pellentesque',0,1,1.6,'J314532',4),(5430,'justo pellentesque sed','justo pellentesque sed',0,1,1.7333,'J3145323',4),(5431,'lacinia libero','lacinia libero',0,1,1.4667,'L25416',4),(5432,'lacinia libero eget','lacinia libero eget',0,1,1.6333,'L2541623',4),(5433,'lacinia pellentesque','lacinia pellentesque',0,1,1.6667,'L2514532',4),(5434,'lacinia pellentesque habitant','lacinia pellentesque habitant',0,1,1.9667,'L25145321353',4),(5435,'lacus facilisis','lacus facilisis',0,1,1.5,'L21242',4),(5436,'lacus facilisis nunc','lacus facilisis nunc',0,1,1.6667,'L2124252',4),(5437,'laoreet condimentum','laoreet condimentum',0,1,1.6333,'L63253535',4),(5438,'laoreet condimentum hendrerit','laoreet condimentum hendrerit',0,1,1.9667,'L63253535363',4),(5439,'laoreet dui','laoreet dui',0,1,1.3667,'L630',833),(5440,'laoreet dui turpis','laoreet dui turpis',0,1,1.6,'L63612',4),(5441,'lectus et','lectus et',0,1,1.3,'L2323',4),(5442,'lectus et justo','lectus et justo',0,1,1.5,'L232323',4),(5443,'lectus sit','lectus sit',0,1,1.3333,'L2323',4),(5444,'lectus sit amet','lectus sit amet',0,1,1.5,'L232353',4),(5445,'leo donec id','leo donec id',0,1,1.4,'L3523',4),(5446,'leo sed','leo sed',0,1,1.2333,'L230',4),(5447,'leo sed posuere','leo sed posuere',0,1,1.5,'L23126',4),(5448,'libero eget','libero eget',0,1,1.3667,'L1623',4),(5449,'libero eget scelerisque','libero eget scelerisque',0,1,1.7667,'L16232462',4),(5450,'ligula justo','ligula justo',0,1,1.4,'L2423',4),(5451,'ligula justo congue','ligula justo congue',0,1,1.6333,'L2423252',4),(5452,'ligula vitae','ligula vitae',0,1,1.4,'L2413',4),(5453,'ligula vitae adipiscing','ligula vitae adipiscing',0,1,1.7667,'L24131252',4),(5454,'litora','litora',0,0,0.4,'L360',4),(5455,'litora torquent','litora torquent',0,1,1.5,'L3636253',4),(5456,'litora torquent per','litora torquent per',0,1,1.6333,'L363625316',4),(5457,'lobortis et','lobortis et',0,1,1.3667,'L16323',4),(5458,'lobortis et euismod','lobortis et euismod',0,1,1.6333,'L16323253',4),(5459,'lorem id','lorem id',0,1,1.2667,'L653',6),(5460,'lorem id orci','lorem id orci',0,1,1.4333,'L65362',4),(5461,'lorem imperdiet','lorem imperdiet',0,1,1.5,'L65163',4),(5462,'lorem imperdiet sagittis','lorem imperdiet sagittis',0,1,1.8,'L65163232',4),(5463,'lorem in','lorem in',0,1,1.2667,'L650',4),(5464,'lorem in neque','lorem in neque',0,1,1.4667,'L652',4),(5465,'luctus non','luctus non',0,1,1.3333,'L2325',4),(5466,'luctus non id','luctus non id',0,1,1.4333,'L23253',4),(5467,'maecenas non','maecenas non',0,1,1.4,'M2525',4),(5468,'maecenas non dolor','maecenas non dolor',0,1,1.6,'M2525346',4),(5469,'maecenas sed nisl','maecenas sed nisl',0,1,1.5667,'M2523524',4),(5470,'maecenas tempus','maecenas tempus',0,1,1.5,'M2523512',4),(5471,'maecenas tempus scelerisque','maecenas tempus scelerisque',0,1,1.9,'M2523512462',4),(5472,'magna etiam','magna etiam',0,1,1.3667,'M2535',4),(5473,'magna etiam porta','magna etiam porta',0,1,1.5667,'M2535163',4),(5474,'magna sagittis','magna sagittis',0,1,1.4667,'M25232',4),(5475,'magna sagittis vel','magna sagittis vel',0,1,1.6,'M2523214',4),(5476,'malesuada fames','malesuada fames',0,1,1.5,'M423152',6),(5477,'malesuada fames ac','malesuada fames ac',0,1,1.6,'M423152',6),(5478,'massa pellentesque','massa pellentesque',0,1,1.6,'M214532',4),(5479,'massa pellentesque sed','massa pellentesque sed',0,1,1.7333,'M2145323',4),(5480,'mattis aliquam','mattis aliquam',0,1,1.4667,'M32425',4),(5481,'mattis aliquam dignissim','mattis aliquam dignissim',0,1,1.8,'M3242532525',4),(5482,'mattis vel','mattis vel',0,1,1.3333,'M3214',4),(5483,'mattis vel auctor','mattis vel auctor',0,1,1.5667,'M3214236',4),(5484,'mauris id','mauris id',0,1,1.3,'M623',4),(5485,'mauris id commodo','mauris id commodo',0,1,1.5667,'M623253',4),(5486,'mauris justo','mauris justo',0,1,1.4,'M623',4),(5487,'mauris justo fermentum','mauris justo fermentum',0,1,1.7333,'M62316535',4),(5488,'mauris justo metus','mauris justo metus',0,1,1.6,'M623532',4),(5489,'mauris laoreet','mauris laoreet',0,1,1.4667,'M62463',4),(5490,'mauris laoreet condimentum','mauris laoreet condimentum',0,1,1.8667,'M62463253535',4),(5491,'metus cras','metus cras',0,1,1.3333,'M3262',6),(5492,'metus cras justo','metus cras justo',0,1,1.5333,'M32623',4),(5493,'metus duis mollis','metus duis mollis',0,1,1.5667,'M3232542',4),(5494,'metus etiam','metus etiam',0,1,1.3667,'M3235',4),(5495,'metus etiam porta','metus etiam porta',0,1,1.5667,'M3235163',4),(5496,'metus integer','metus integer',0,1,1.4333,'M325326',4),(5497,'metus integer posuere','metus integer posuere',0,1,1.7,'M325326126',4),(5498,'metus maecenas faucibus','metus maecenas faucibus',0,1,1.7667,'M3252521212',4),(5499,'metus maecenas non','metus maecenas non',0,1,1.6,'M3252525',4),(5500,'metus nullam','metus nullam',0,1,1.4,'M32545',7),(5501,'metus nullam est','metus nullam est',0,1,1.5333,'M3254523',4),(5502,'metus nullam quis','metus nullam quis',0,1,1.5667,'M325452',7),(5503,'metus praesent','metus praesent',0,1,1.4667,'M3216253',4),(5504,'metus praesent a','metus praesent a',0,1,1.5333,'M3216253',4),(5505,'metus ultrices','metus ultrices',0,1,1.4667,'M324362',4),(5506,'metus ultrices id','metus ultrices id',0,1,1.5667,'M3243623',4),(5507,'metus vel','metus vel',0,1,1.3,'M3214',4),(5508,'metus vel metus','metus vel metus',0,1,1.5,'M3214532',4),(5509,'metus vulputate','metus vulputate',0,1,1.5,'M321413',4),(5510,'metus vulputate id','metus vulputate id',0,1,1.6,'M321413',4),(5511,'mi vel','mi vel',0,1,1.2,'M140',4),(5512,'mi vel ante','mi vel ante',0,1,1.3667,'M1453',4),(5513,'molestie maecenas','molestie maecenas',0,1,1.5667,'M4235252',4),(5514,'molestie maecenas tempus','molestie maecenas tempus',0,1,1.8,'M42352523512',4),(5515,'molestie venenatis','molestie venenatis',0,1,1.6,'M4231532',4),(5516,'mollis elit','mollis elit',0,1,1.3667,'M4243',4),(5517,'mollis elit nulla','mollis elit nulla',0,1,1.5667,'M424354',4),(5518,'mollis euismod nullam','mollis euismod nullam',0,1,1.7,'M4253545',4),(5519,'mollis interdum vivamus','mollis interdum vivamus',0,1,1.7667,'M4253635152',4),(5520,'morbi ante','morbi ante',0,1,1.3333,'M6153',4),(5521,'morbi ante nibh','morbi ante nibh',0,1,1.5,'M615351',4),(5522,'morbi tristique','morbi tristique',0,1,1.5,'M6136232',6),(5523,'morbi tristique senectus','morbi tristique senectus',0,1,1.8,'M61362325232',6),(5524,'nam aliquet','nam aliquet',0,1,1.3667,'N423',4),(5525,'nam aliquet feugiat','nam aliquet feugiat',0,1,1.6333,'N423123',4),(5526,'nam tincidunt','nam tincidunt',0,1,1.4333,'N352353',4),(5527,'nam tincidunt blandit','nam tincidunt blandit',0,1,1.7,'N3523531453',4),(5528,'neque in','neque in',0,1,1.2667,'N250',4),(5529,'neque in ultrices','neque in ultrices',0,1,1.5667,'N254362',4),(5530,'netus','netus',0,0,0.3333,'N320',6),(5531,'netus et','netus et',0,1,1.2667,'N323',6),(5532,'netus et malesuada','netus et malesuada',0,1,1.6,'N3235423',6),(5533,'nibh eu','nibh eu',0,1,1.2333,'N100',4),(5534,'nibh eu ipsum','nibh eu ipsum',0,1,1.4333,'N125',4),(5535,'nibh suscipit','nibh suscipit',0,1,1.4333,'N1213',4),(5536,'nibh suscipit non','nibh suscipit non',0,1,1.5667,'N12135',4),(5537,'nibh tristique','nibh tristique',0,1,1.4667,'N136232',4),(5538,'nibh tristique hendrerit','nibh tristique hendrerit',0,1,1.8,'N1362325363',4),(5539,'nisi ut','nisi ut',0,1,1.2333,'N230',4),(5540,'nisi ut ultrices','nisi ut ultrices',0,1,1.5333,'N234362',4),(5541,'nisl a','nisl a',0,1,1.2,'N240',4),(5542,'nisl a arcu','nisl a arcu',0,1,1.3667,'N2462',4),(5543,'nisl condimentum','nisl condimentum',0,1,1.5333,'N24253535',4),(5544,'nisl condimentum vel','nisl condimentum vel',0,1,1.6667,'N2425353514',4),(5545,'nisl metus','nisl metus',0,1,1.3333,'N24532',4),(5546,'nisl metus praesent','nisl metus praesent',0,1,1.6333,'N2453216253',4),(5547,'non adipiscing','non adipiscing',0,1,1.4667,'N31252',4),(5548,'non adipiscing in','non adipiscing in',0,1,1.5667,'N312525',4),(5549,'non diam','non diam',0,1,1.2667,'N350',4),(5550,'non diam nisi','non diam nisi',0,1,1.4333,'N352',4),(5551,'non dolor ac','non dolor ac',0,1,1.4,'N3462',4),(5552,'non id','non id',0,1,1.2,'N300',4),(5553,'non id turpis','non id turpis',0,1,1.4333,'N3612',4),(5554,'non magna etiam','non magna etiam',0,1,1.5,'N2535',4),(5555,'non rhoncus','non rhoncus',0,1,1.3667,'N652',6),(5556,'non rhoncus nullam','non rhoncus nullam',0,1,1.6,'N652545',4),(5557,'nostra','nostra',0,0,0.4,'N236',4),(5558,'nostra per','nostra per',0,1,1.3333,'N23616',4),(5559,'nostra per inceptos','nostra per inceptos',0,1,1.6333,'N2361652132',4),(5560,'nulla non diam','nulla non diam',0,1,1.4667,'N4535',4),(5561,'nulla quis','nulla quis',0,1,1.3333,'N420',6),(5562,'nulla quis metus','nulla quis metus',0,1,1.5333,'N42532',4),(5563,'nulla ultrices','nulla ultrices',0,1,1.4667,'N4362',4),(5564,'nulla ultrices scelerisque','nulla ultrices scelerisque',0,1,1.8667,'N4362462',4),(5565,'nullam ac','nullam ac',0,1,1.3,'N452',4),(5566,'nullam ac nibh','nullam ac nibh',0,1,1.4667,'N45251',4),(5567,'nullam ac odio','nullam ac odio',0,1,1.4667,'N4523',4),(5568,'nullam est','nullam est',0,1,1.3333,'N4523',4),(5569,'nullam est mauris','nullam est mauris',0,1,1.5667,'N4523562',4),(5570,'nullam suscipit','nullam suscipit',0,1,1.5,'N45213',4),(5571,'nullam suscipit fringilla','nullam suscipit fringilla',0,1,1.8333,'N4521316524',4),(5572,'nunc eleifend','nunc eleifend',0,1,1.4333,'N24153',4),(5573,'nunc eleifend lacinia','nunc eleifend lacinia',0,1,1.7,'N24153425',4),(5574,'nunc porttitor','nunc porttitor',0,1,1.4667,'N21636',4),(5575,'nunc porttitor lorem','nunc porttitor lorem',0,1,1.6667,'N21636465',4),(5576,'nunc sit','nunc sit',0,1,1.2667,'N230',4),(5577,'nunc sit amet','nunc sit amet',0,1,1.4333,'N2353',4),(5578,'nunc tristique','nunc tristique',0,1,1.4667,'N236232',4),(5579,'nunc tristique placerat','nunc tristique placerat',0,1,1.7667,'N23623214263',4),(5580,'odio dui cras','odio dui cras',0,1,1.4333,'O3262',7),(5581,'odio eget','odio eget',0,1,1.3,'O323',4),(5582,'odio eget rutrum','odio eget rutrum',0,1,1.5333,'O3236365',4),(5583,'odio orci','odio orci',0,1,1.3,'O362',4),(5584,'odio orci sed','odio orci sed',0,1,1.4333,'O3623',4),(5585,'orci dapibus','orci dapibus',0,1,1.4,'O62312',4),(5586,'orci dapibus lacinia','orci dapibus lacinia',0,1,1.6667,'O62312425',4),(5587,'orci sed','orci sed',0,1,1.2667,'O623',4),(5588,'orci sed pretium','orci sed pretium',0,1,1.5333,'O6231635',4),(5589,'orci sit','orci sit',0,1,1.2667,'O623',4),(5590,'orci sit amet','orci sit amet',0,1,1.4333,'O62353',4),(5591,'ornare in','ornare in',0,1,1.3,'O6565',4),(5592,'ornare in ipsum','ornare in ipsum',0,1,1.5,'O6565125',4),(5593,'ornare ligula','ornare ligula',0,1,1.4333,'O656424',4),(5594,'ornare ligula vitae','ornare ligula vitae',0,1,1.6333,'O65642413',4),(5595,'page break','page break',0,1,1.3333,'P2162',6),(5596,'page break example','page break example',0,1,1.6,'P2162514',4),(5597,'pellentesque habitant','pellentesque habitant',0,1,1.7,'P45321353',6),(5598,'pellentesque habitant morbi','pellentesque habitant morbi',0,1,1.9,'P45321353561',6),(5599,'pellentesque sed','pellentesque sed',0,1,1.5333,'P45323',4),(5600,'pellentesque sed nisl','pellentesque sed nisl',0,1,1.7,'P45323524',4),(5601,'pellentesque sed semper','pellentesque sed semper',0,1,1.7667,'P453232516',4),(5602,'per','per',0,0,0.2,'P600',12),(5603,'per conubia','per conubia',0,1,1.3667,'P6251',4),(5604,'per conubia nostra','per conubia nostra',0,1,1.6,'P62515236',4),(5605,'per inceptos','per inceptos',0,1,1.4,'P652132',4),(5606,'per inceptos himenaeos','per inceptos himenaeos',0,1,1.7333,'P65213252',4),(5607,'placerat augue','placerat augue',0,1,1.4667,'P42632',4),(5608,'placerat augue eleifend','placerat augue eleifend',0,1,1.7667,'P426324153',4),(5609,'placerat odio','placerat odio',0,1,1.4333,'P4263',4),(5610,'placerat odio eget','placerat odio eget',0,1,1.6,'P426323',4),(5611,'porttitor lorem id','porttitor lorem id',0,1,1.6,'P6364653',4),(5612,'posuere sed','posuere sed',0,1,1.3667,'P2623',4),(5613,'posuere sed dignissim','posuere sed dignissim',0,1,1.7,'P26232525',4),(5614,'praesent a','praesent a',0,1,1.3333,'P6253',4),(5615,'praesent a mi','praesent a mi',0,1,1.4333,'P62535',4),(5616,'pretium velit','pretium velit',0,1,1.4333,'P635143',4),(5617,'pretium velit integer','pretium velit integer',0,1,1.7,'P6351435326',4),(5618,'proin egestas','proin egestas',0,1,1.4333,'P65232',4),(5619,'proin egestas risus','proin egestas risus',0,1,1.6333,'P6523262',4),(5620,'quam lorem','quam lorem',0,1,1.3333,'Q5465',6),(5621,'quam lorem ipsum','quam lorem ipsum',0,1,1.5333,'Q5465125',6),(5622,'quam vivamus','quam vivamus',0,1,1.4,'Q5152',10),(5623,'quam vivamus sagittis','quam vivamus sagittis',0,1,1.7,'Q515232',10),(5624,'quis dolor','quis dolor',0,1,1.3333,'Q346',4),(5625,'quis dolor nunc','quis dolor nunc',0,1,1.5,'Q34652',4),(5626,'quis mattis','quis mattis',0,1,1.3667,'Q532',4),(5627,'quis mattis vel','quis mattis vel',0,1,1.5,'Q53214',4),(5628,'quis metus','quis metus',0,1,1.3333,'Q532',4),(5629,'quis metus vulputate','quis metus vulputate',0,1,1.6667,'Q5321413',4),(5630,'rhoncus nullam','rhoncus nullam',0,1,1.4667,'R52545',4),(5631,'rhoncus nullam ac','rhoncus nullam ac',0,1,1.5667,'R525452',4),(5632,'risus faucibus','risus faucibus',0,1,1.4667,'R21212',4),(5633,'risus faucibus luctus','risus faucibus luctus',0,1,1.7,'R212124232',4),(5634,'risus in','risus in',0,1,1.2667,'R250',4),(5635,'risus in faucibus','risus in faucibus',0,1,1.5667,'R251212',4),(5636,'risus varius laoreet','risus varius laoreet',0,1,1.6667,'R2162463',4),(5637,'rutrum nam','rutrum nam',0,1,1.3333,'R365',4),(5638,'rutrum nam aliquet','rutrum nam aliquet',0,1,1.6,'R365423',4),(5639,'rutrum vivamus','rutrum vivamus',0,1,1.4667,'R365152',2),(5640,'rutrum vivamus eget','rutrum vivamus eget',0,1,1.6333,'R3651523',2),(5641,'sagittis proin','sagittis proin',0,1,1.4667,'S32165',4),(5642,'sagittis proin egestas','sagittis proin egestas',0,1,1.7333,'S32165232',4),(5643,'sagittis vel','sagittis vel',0,1,1.4,'S3214',4),(5644,'sagittis vel nulla','sagittis vel nulla',0,1,1.6,'S321454',4),(5645,'scelerisque mauris','scelerisque mauris',0,1,1.6,'S462562',4),(5646,'scelerisque mauris id','scelerisque mauris id',0,1,1.7,'S4625623',4),(5647,'scelerisque tellus','scelerisque tellus',0,1,1.6,'S462342',4),(5648,'scelerisque tellus eu','scelerisque tellus eu',0,1,1.7,'S462342',4),(5649,'scelerisque vestibulum','scelerisque vestibulum',0,1,1.7333,'S462123145',4),(5650,'scelerisque vestibulum ante','scelerisque vestibulum ante',0,1,1.9,'S4621231453',4),(5651,'sed consectetur maecenas','sed consectetur maecenas',0,1,1.8,'S3252365252',8),(5652,'sed consectetur vestibulum','sed consectetur vestibulum',0,1,1.8667,'S325236123145',4),(5653,'sed dignissim','sed dignissim',0,1,1.4333,'S32525',4),(5654,'sed dignissim ipsum','sed dignissim ipsum',0,1,1.6333,'S32525125',4),(5655,'sed nisl','sed nisl',0,1,1.2667,'S3524',4),(5656,'sed nisl a','sed nisl a',0,1,1.3333,'S3524',4),(5657,'sed nisl metus','sed nisl metus',0,1,1.4667,'S3524532',4),(5658,'sed pretium','sed pretium',0,1,1.3667,'S31635',4),(5659,'sed pretium velit','sed pretium velit',0,1,1.5667,'S31635143',4),(5660,'sed semper','sed semper',0,1,1.3333,'S32516',154),(5661,'sed semper lacus','sed semper lacus',0,1,1.5333,'S3251642',4),(5662,'sed sodales','sed sodales',0,1,1.3667,'S32342',4),(5663,'sed sodales aliquam','sed sodales aliquam',0,1,1.6333,'S32342425',4),(5664,'sem metus','sem metus',0,1,1.3,'S532',4),(5665,'sem metus vel','sem metus vel',0,1,1.4333,'S53214',4),(5666,'semper donec','semper donec',0,1,1.4,'S516352',4),(5667,'semper donec id','semper donec id',0,1,1.5,'S5163523',4),(5668,'semper donec ullamcorper','semper donec ullamcorper',0,1,1.8,'S516352452616',4),(5669,'semper lacus','semper lacus',0,1,1.4,'S51642',4),(5670,'semper lacus facilisis','semper lacus facilisis',0,1,1.7333,'S516421242',4),(5671,'semper sem','semper sem',0,1,1.3333,'S51625',4),(5672,'semper sem metus','semper sem metus',0,1,1.5333,'S5162532',4),(5673,'senectus','senectus',0,0,0.5333,'S5232',6),(5674,'senectus et','senectus et',0,1,1.3667,'S52323',6),(5675,'senectus et netus','senectus et netus',0,1,1.5667,'S52323532',6),(5676,'sit amet justo','sit amet justo',0,1,1.4667,'S35323',4),(5677,'sit amet metus','sit amet metus',0,1,1.4667,'S353532',4),(5678,'sit amet ultricies','sit amet ultricies',0,1,1.6,'S3534362',4),(5679,'sit amet vehicula','sit amet vehicula',0,1,1.5667,'S353124',4),(5680,'sociosqu','sociosqu',0,0,0.5333,'S000',4),(5681,'sociosqu ad','sociosqu ad',0,1,1.3667,'S300',4),(5682,'sociosqu ad litora','sociosqu ad litora',0,1,1.6,'S3436',4),(5683,'sodales aliquam','sodales aliquam',0,1,1.5,'S342425',4),(5684,'sodales aliquam erat','sodales aliquam erat',0,1,1.6667,'S34242563',4),(5685,'sodales auctor','sodales auctor',0,1,1.4667,'S34236',4),(5686,'sodales auctor duis','sodales auctor duis',0,1,1.6333,'S3423632',4),(5687,'sodales tortor','sodales tortor',0,1,1.4667,'S3423636',4),(5688,'sodales tortor turpis','sodales tortor turpis',0,1,1.7,'S34236363612',4),(5689,'suscipit','suscipit',0,0,0.5333,'S130',134),(5690,'suscipit fringilla','suscipit fringilla',0,1,1.6,'S1316524',4),(5691,'suscipit fringilla augue','suscipit fringilla augue',0,1,1.8,'S13165242',4),(5692,'suscipit non','suscipit non',0,1,1.4,'S135',4),(5693,'suscipit non adipiscing','suscipit non adipiscing',0,1,1.7667,'S13531252',4),(5694,'taciti','taciti',0,0,0.4,'T230',4),(5695,'taciti sociosqu','taciti sociosqu',0,1,1.5,'T232',4),(5696,'taciti sociosqu ad','taciti sociosqu ad',0,1,1.6,'T2323',4),(5697,'tellus eu','tellus eu',0,1,1.3,'T420',154),(5698,'tellus eu mattis','tellus eu mattis',0,1,1.5333,'T42532',4),(5699,'tempus scelerisque','tempus scelerisque',0,1,1.6,'T512462',4),(5700,'tempus scelerisque tellus','tempus scelerisque tellus',0,1,1.8333,'T512462342',4),(5701,'tincidunt blandit','tincidunt blandit',0,1,1.5667,'T523531453',4),(5702,'tincidunt blandit consequat','tincidunt blandit consequat',0,1,1.9,'T5235314532523',2),(5703,'torquent','torquent',0,0,0.5333,'T6253',4),(5704,'torquent per','torquent per',0,1,1.4,'T625316',4),(5705,'torquent per conubia','torquent per conubia',0,1,1.6667,'T625316251',4),(5706,'tortor nisl','tortor nisl',0,1,1.3667,'T636524',4),(5707,'tortor nisl condimentum','tortor nisl condimentum',0,1,1.7667,'T636524253535',4),(5708,'tortor turpis','tortor turpis',0,1,1.4333,'T6363612',4),(5709,'tortor turpis feugiat','tortor turpis feugiat',0,1,1.7,'T6363612123',4),(5710,'tristique hendrerit','tristique hendrerit',0,1,1.6333,'T62325363',4),(5711,'tristique hendrerit donec','tristique hendrerit donec',0,1,1.8333,'T6232536352',4),(5712,'tristique placerat','tristique placerat',0,1,1.6,'T623214263',4),(5713,'tristique placerat odio','tristique placerat odio',0,1,1.7667,'T623214263',4),(5714,'tristique senectus','tristique senectus',0,1,1.6,'T62325232',6),(5715,'tristique senectus et','tristique senectus et',0,1,1.7,'T623252323',6),(5716,'tristique ullamcorper','tristique ullamcorper',0,1,1.7,'T6232452616',4),(5717,'tristique ullamcorper nunc','tristique ullamcorper nunc',0,1,1.8667,'T623245261652',4),(5718,'turpis ac','turpis ac',0,1,1.3,'T612',4),(5719,'turpis ac dolor','turpis ac dolor',0,1,1.5,'T612346',4),(5720,'turpis egestas','turpis egestas',0,1,1.4667,'T61232',6),(5721,'turpis egestas fusce','turpis egestas fusce',0,1,1.6667,'T6123212',2),(5722,'turpis feugiat','turpis feugiat',0,1,1.4667,'T612123',4),(5723,'turpis feugiat risus','turpis feugiat risus',0,1,1.6667,'T61212362',4),(5724,'turpis morbi','turpis morbi',0,1,1.4,'T612561',4),(5725,'turpis morbi ante','turpis morbi ante',0,1,1.5667,'T61256153',4),(5726,'ullamcorper nulla quis','ullamcorper nulla quis',0,1,1.7333,'U452616542',4),(5727,'ullamcorper nunc','ullamcorper nunc',0,1,1.5333,'U45261652',4),(5728,'ullamcorper nunc porttitor','ullamcorper nunc porttitor',0,1,1.8667,'U452616521636',4),(5729,'ultrices bibendum','ultrices bibendum',0,1,1.5667,'U43621535',4),(5730,'ultrices bibendum justo','ultrices bibendum justo',0,1,1.7667,'U4362153523',4),(5731,'ultrices id','ultrices id',0,1,1.3667,'U43623',4),(5732,'ultrices id lobortis','ultrices id lobortis',0,1,1.6667,'U4362341632',4),(5733,'ultrices massa','ultrices massa',0,1,1.4667,'U436252',4),(5734,'ultrices massa pellentesque','ultrices massa pellentesque',0,1,1.9,'U43625214532',4),(5735,'ultrices scelerisque','ultrices scelerisque',0,1,1.6667,'U4362462',4),(5736,'ultrices scelerisque mauris','ultrices scelerisque mauris',0,1,1.9,'U4362462562',4),(5737,'ultricies adipiscing','ultricies adipiscing',0,1,1.6667,'U436231252',4),(5738,'ultricies adipiscing ligula','ultricies adipiscing ligula',0,1,1.9,'U436231252424',4),(5739,'ultricies consectetur','ultricies consectetur',0,1,1.7,'U43625236',4),(5740,'ultricies consectetur integer','ultricies consectetur integer',0,1,1.9667,'U436252365326',4),(5741,'ultricies magna','ultricies magna',0,1,1.5,'U4362525',4),(5742,'ultricies magna sagittis','ultricies magna sagittis',0,1,1.8,'U4362525232',4),(5743,'urna class','urna class',0,1,1.3333,'U65242',4),(5744,'urna class aptent','urna class aptent',0,1,1.5667,'U652421353',4),(5745,'ut dignissim','ut dignissim',0,1,1.4,'U32525',4),(5746,'ut dignissim aliquet','ut dignissim aliquet',0,1,1.6667,'U32525423',4),(5747,'ut dolor','ut dolor',0,1,1.2667,'U346',4),(5748,'ut dolor donec','ut dolor donec',0,1,1.4667,'U346352',4),(5749,'ut mollis','ut mollis',0,1,1.3,'U3542',4),(5750,'ut mollis elit','ut mollis elit',0,1,1.4667,'U354243',4),(5751,'ut ultrices','ut ultrices',0,1,1.3667,'U34362',6),(5752,'ut ultrices massa','ut ultrices massa',0,1,1.5667,'U3436252',4),(5753,'ut viverra','ut viverra',0,1,1.3333,'U316',4),(5754,'ut viverra erat','ut viverra erat',0,1,1.5,'U3163',4),(5755,'varius eros','varius eros',0,1,1.3667,'V6262',154),(5756,'varius eros in','varius eros in',0,1,1.4667,'V62625',4),(5757,'varius laoreet','varius laoreet',0,1,1.4667,'V62463',4),(5758,'varius laoreet dui','varius laoreet dui',0,1,1.6,'V62463',4),(5759,'vehicula enim','vehicula enim',0,1,1.4333,'V245',4),(5760,'vehicula enim lorem','vehicula enim lorem',0,1,1.6333,'V245465',4),(5761,'vehicula nam','vehicula nam',0,1,1.4,'V245',4),(5762,'vehicula nam tincidunt','vehicula nam tincidunt',0,1,1.7333,'V245352353',4),(5763,'vel ante','vel ante',0,1,1.2667,'V453',4),(5764,'vel ante molestie','vel ante molestie',0,1,1.5667,'V4535423',4),(5765,'vel auctor','vel auctor',0,1,1.3333,'V4236',4),(5766,'vel auctor vitae','vel auctor vitae',0,1,1.5333,'V423613',4),(5767,'vel feugiat','vel feugiat',0,1,1.3667,'V4123',4),(5768,'vel feugiat vel','vel feugiat vel',0,1,1.5,'V412314',4),(5769,'vel metus','vel metus',0,1,1.3,'V4532',4),(5770,'vel metus nullam','vel metus nullam',0,1,1.5333,'V4532545',4),(5771,'vel nulla','vel nulla',0,1,1.3,'V454',4),(5772,'vel nulla non','vel nulla non',0,1,1.4333,'V4545',4),(5773,'vel venenatis','vel venenatis',0,1,1.4333,'V41532',4),(5774,'vel venenatis ut','vel venenatis ut',0,1,1.5333,'V415323',4),(5775,'velit aliquet nulla','velit aliquet nulla',0,1,1.6333,'V4342354',6),(5776,'velit integer','velit integer',0,1,1.4333,'V435326',4),(5777,'velit integer sit','velit integer sit',0,1,1.5667,'V43532623',4),(5778,'venenatis consectetur','venenatis consectetur',0,1,1.7,'V5325236',4),(5779,'venenatis consectetur orci','venenatis consectetur orci',0,1,1.8667,'V53252362',4),(5780,'venenatis ut','venenatis ut',0,1,1.4,'V5323',4),(5781,'venenatis ut dolor','venenatis ut dolor',0,1,1.6,'V532346',4),(5782,'vestibulum maecenas sed','vestibulum maecenas sed',0,1,1.7667,'V231452523',4),(5783,'vitae adipiscing','vitae adipiscing',0,1,1.5333,'V31252',4),(5784,'vitae adipiscing diam','vitae adipiscing diam',0,1,1.7,'V3125235',4),(5785,'vitae metus','vitae metus',0,1,1.3667,'V3532',4),(5786,'vitae metus maecenas','vitae metus maecenas',0,1,1.6667,'V35325252',4),(5787,'vivamus eget','vivamus eget',0,1,1.4,'V523',5),(5788,'vivamus eget est','vivamus eget est',0,1,1.5333,'V52323',4),(5789,'vivamus mauris','vivamus mauris',0,1,1.4667,'V52562',4),(5790,'vivamus mauris justo','vivamus mauris justo',0,1,1.6667,'V525623',4),(5791,'viverra erat','viverra erat',0,1,1.4,'V630',4),(5792,'viverra erat id','viverra erat id',0,1,1.5,'V630',4),(5793,'vulputate id','vulputate id',0,1,1.4,'V413',4),(5794,'vulputate id placerat','vulputate id placerat',0,1,1.7,'V41314263',4),(5795,'57','57',0,0,0.2,'',2),(5796,'a dictum','a dictum',0,1,1.2667,'A3235',2),(5797,'a dictum vulputate','a dictum vulputate',0,1,1.6,'A32351413',2),(5798,'a ligula','a ligula',0,1,1.2667,'A424',2),(5799,'a ligula nulla','a ligula nulla',0,1,1.4667,'A42454',2),(5800,'a lorem ligula','a lorem ligula',0,1,1.4667,'A465424',2),(5801,'a nulla','a nulla',0,1,1.2333,'A540',2),(5802,'a nulla quis','a nulla quis',0,1,1.4,'A542',2),(5803,'a porttitor','a porttitor',0,1,1.3667,'A1636',2),(5804,'a porttitor eu','a porttitor eu',0,1,1.4667,'A1636',2),(5805,'ac condimentum','ac condimentum',0,1,1.4667,'A253535',2),(5806,'ac condimentum leo','ac condimentum leo',0,1,1.6,'A2535354',2),(5807,'ac faucibus','ac faucibus',0,1,1.3667,'A21212',2),(5808,'ac faucibus sed','ac faucibus sed',0,1,1.5,'A212123',2),(5809,'ac sodales','ac sodales',0,1,1.3333,'A2342',2),(5810,'ac sodales augue','ac sodales augue',0,1,1.5333,'A2342',2),(5811,'adipiscing auctor','adipiscing auctor',0,1,1.5667,'A3125236',2),(5812,'adipiscing auctor sed','adipiscing auctor sed',0,1,1.7,'A312523623',2),(5813,'adipiscing elit aliquam','adipiscing elit aliquam',0,1,1.7667,'A3125243425',2),(5814,'adipiscing elit proin','adipiscing elit proin',0,1,1.7,'A3125243165',2),(5815,'aenean et','aenean et',0,1,1.3,'A530',2),(5816,'aenean et erat','aenean et erat',0,1,1.4667,'A5363',2),(5817,'aliquam ac','aliquam ac',0,1,1.3333,'A4252',2),(5818,'aliquam ac condimentum','aliquam ac condimentum',0,1,1.7333,'A425253535',2),(5819,'aliquam erat volutpat','aliquam erat volutpat',0,1,1.7,'A4256314313',2),(5820,'aliquam mi','aliquam mi',0,1,1.3333,'A425',2),(5821,'aliquam mi dui','aliquam mi dui',0,1,1.4667,'A4253',2),(5822,'amet elementum','amet elementum',0,1,1.4667,'A534535',2),(5823,'amet elementum et','amet elementum et',0,1,1.5667,'A5345353',2),(5824,'amet mi','amet mi',0,1,1.2333,'A535',2),(5825,'amet mi quisque','amet mi quisque',0,1,1.5,'A5352',2),(5826,'amet nisi','amet nisi',0,1,1.3,'A5352',2),(5827,'amet nisi felis','amet nisi felis',0,1,1.5,'A5352142',2),(5828,'amet sit','amet sit',0,1,1.2667,'A5323',2),(5829,'amet sit amet','amet sit amet',0,1,1.4333,'A532353',2),(5830,'ante et','ante et',0,1,1.2333,'A530',2),(5831,'ante et tellus','ante et tellus',0,1,1.4667,'A5342',2),(5832,'arcu et','arcu et',0,1,1.2333,'A623',2),(5833,'arcu et egestas','arcu et egestas',0,1,1.5,'A623232',2),(5834,'arcu sapien','arcu sapien',0,1,1.3667,'A6215',2),(5835,'arcu sapien pulvinar','arcu sapien pulvinar',0,1,1.6667,'A621514156',2),(5836,'auctor sed','auctor sed',0,1,1.3333,'A23623',4),(5837,'auctor sed tellus','auctor sed tellus',0,1,1.5667,'A2362342',2),(5838,'augue eget','augue eget',0,1,1.3333,'A230',2),(5839,'augue eget velit','augue eget velit',0,1,1.5333,'A23143',2),(5840,'augue lorem','augue lorem',0,1,1.3667,'A2465',152),(5841,'augue lorem ipsum','augue lorem ipsum',0,1,1.5667,'A2465125',2),(5842,'augue magna','augue magna',0,1,1.3667,'A2525',2),(5843,'augue magna id','augue magna id',0,1,1.4667,'A25253',2),(5844,'augue pellentesque','augue pellentesque',0,1,1.6,'A214532',2),(5845,'augue pellentesque habitant','augue pellentesque habitant',0,1,1.9,'A2145321353',2),(5846,'condimentum a','condimentum a',0,1,1.4333,'C53535',2),(5847,'condimentum a porttitor','condimentum a porttitor',0,1,1.7667,'C535351636',2),(5848,'condimentum eget','condimentum eget',0,1,1.5333,'C5353523',2),(5849,'condimentum eget tristique','condimentum eget tristique',0,1,1.8667,'C53535236232',2),(5850,'condimentum leo','condimentum leo',0,1,1.5,'C535354',2),(5851,'condimentum leo laoreet','condimentum leo laoreet',0,1,1.7667,'C53535463',2),(5852,'convallis nec pharetra','convallis nec pharetra',0,1,1.7333,'C5142521636',2),(5853,'curabitur pretium','curabitur pretium',0,1,1.5667,'C61361635',2),(5854,'curabitur pretium porta','curabitur pretium porta',0,1,1.7667,'C61361635163',2),(5855,'cursus venenatis','cursus venenatis',0,1,1.5333,'C621532',2),(5856,'cursus venenatis dictum','cursus venenatis dictum',0,1,1.7667,'C6215323235',2),(5857,'cursus vitae','cursus vitae',0,1,1.4,'C6213',151),(5858,'cursus vitae sollicitudin','cursus vitae sollicitudin',0,1,1.8333,'C621324235',2),(5859,'dapibus malesuada','dapibus malesuada',0,1,1.5667,'D125423',2),(5860,'dapibus malesuada integer','dapibus malesuada integer',0,1,1.8333,'D1254235326',2),(5861,'diam faucibus','diam faucibus',0,1,1.4333,'D51212',2),(5862,'diam faucibus nunc','diam faucibus nunc',0,1,1.6,'D5121252',2),(5863,'diam in','diam in',0,1,1.2333,'D500',2),(5864,'diam in leo','diam in leo',0,1,1.3667,'D540',2),(5865,'diam quis','diam quis',0,1,1.3,'D520',2),(5866,'diam quis porta','diam quis porta',0,1,1.5,'D52163',2),(5867,'dictum','dictum',0,0,0.4,'D235',156),(5868,'dictum arcu','dictum arcu',0,1,1.3667,'D23562',2),(5869,'dictum arcu sapien','dictum arcu sapien',0,1,1.6,'D2356215',2),(5870,'dictum morbi','dictum morbi',0,1,1.4,'D23561',2),(5871,'dictum morbi massa','dictum morbi massa',0,1,1.6,'D2356152',2),(5872,'dictum vulputate','dictum vulputate',0,1,1.5333,'D2351413',2),(5873,'dictum vulputate dui','dictum vulputate dui',0,1,1.6667,'D2351413',2),(5874,'donec feugiat','donec feugiat',0,1,1.4333,'D52123',2),(5875,'donec feugiat turpis','donec feugiat turpis',0,1,1.6667,'D52123612',2),(5876,'donec libero','donec libero',0,1,1.4,'D52416',2),(5877,'donec libero urna','donec libero urna',0,1,1.5667,'D524165',2),(5878,'donec sit','donec sit',0,1,1.3,'D523',2),(5879,'donec sit amet','donec sit amet',0,1,1.4667,'D52353',2),(5880,'dui diam','dui diam',0,1,1.2667,'D500',2),(5881,'dui diam faucibus','dui diam faucibus',0,1,1.5667,'D51212',2),(5882,'dui eu','dui eu',0,1,1.2,'D000',2),(5883,'dui eu leo','dui eu leo',0,1,1.3333,'D400',2),(5884,'duis a','duis a',0,1,1.2,'D200',831),(5885,'duis a nulla','duis a nulla',0,1,1.4,'D254',2),(5886,'egestas donec','egestas donec',0,1,1.4333,'E232352',2),(5887,'egestas donec sit','egestas donec sit',0,1,1.5667,'E2323523',2),(5888,'egestas fermentum','egestas fermentum',0,1,1.5667,'E23216535',2),(5889,'egestas fermentum enim','egestas fermentum enim',0,1,1.7333,'E23216535',2),(5890,'egestas non','egestas non',0,1,1.3667,'E2325',2),(5891,'egestas non tempus','egestas non tempus',0,1,1.6,'E23253512',2),(5892,'eget diam','eget diam',0,1,1.3,'E235',2),(5893,'eget diam in','eget diam in',0,1,1.4,'E235',2),(5894,'eget tristique','eget tristique',0,1,1.4667,'E236232',2),(5895,'eget tristique ac','eget tristique ac',0,1,1.5667,'E236232',2),(5896,'eget velit','eget velit',0,1,1.3333,'E23143',2),(5897,'eget velit convallis','eget velit convallis',0,1,1.6667,'E2314325142',2),(5898,'eleifend vel','eleifend vel',0,1,1.4,'E415314',2),(5899,'eleifend vel lobortis','eleifend vel lobortis',0,1,1.7,'E4153141632',2),(5900,'elementum et','elementum et',0,1,1.4,'E45353',2),(5901,'elementum et massa','elementum et massa',0,1,1.6,'E4535352',2),(5902,'elit aliquam','elit aliquam',0,1,1.4,'E43425',2),(5903,'elit aliquam ac','elit aliquam ac',0,1,1.5,'E434252',2),(5904,'elit aliquam erat','elit aliquam erat',0,1,1.5667,'E4342563',2),(5905,'elit proin','elit proin',0,1,1.3333,'E43165',2),(5906,'elit proin posuere','elit proin posuere',0,1,1.6,'E43165126',2),(5907,'enim aenean','enim aenean',0,1,1.3667,'E500',2),(5908,'enim aenean et','enim aenean et',0,1,1.4667,'E530',2),(5909,'enim purus','enim purus',0,1,1.3333,'E5162',2),(5910,'enim purus fermentum','enim purus fermentum',0,1,1.6667,'E516216535',2),(5911,'erat nec','erat nec',0,1,1.2667,'E6352',2),(5912,'erat nec lectus','erat nec lectus',0,1,1.5,'E63524232',2),(5913,'erat volutpat','erat volutpat',0,1,1.4333,'E6314313',2),(5914,'erat volutpat lorem','erat volutpat lorem',0,1,1.6333,'E6314313465',2),(5915,'eros tincidunt','eros tincidunt',0,1,1.4667,'E62352353',2),(5916,'eros tincidunt maecenas','eros tincidunt maecenas',0,1,1.7667,'E623523535252',2),(5917,'est quisque','est quisque',0,1,1.3667,'E232',2),(5918,'est quisque magna','est quisque magna',0,1,1.5667,'E232525',2),(5919,'est sollicitudin','est sollicitudin',0,1,1.5333,'E2324235',2),(5920,'est sollicitudin nulla','est sollicitudin nulla',0,1,1.7333,'E23242354',2),(5921,'est ultricies','est ultricies',0,1,1.4333,'E234362',2),(5922,'est ultricies ut','est ultricies ut',0,1,1.5333,'E2343623',2),(5923,'et egestas','et egestas',0,1,1.3333,'E3232',2),(5924,'et egestas fermentum','et egestas fermentum',0,1,1.6667,'E323216535',2),(5925,'et erat','et erat',0,1,1.2333,'E363',2),(5926,'et erat nec','et erat nec',0,1,1.3667,'E36352',2),(5927,'et laoreet','et laoreet',0,1,1.3333,'E3463',2),(5928,'et laoreet dictum','et laoreet dictum',0,1,1.5667,'E3463235',2),(5929,'et lorem','et lorem',0,1,1.2667,'E3465',2),(5930,'et lorem id','et lorem id',0,1,1.3667,'E34653',2),(5931,'et massa','et massa',0,1,1.2667,'E352',2),(5932,'et massa donec','et massa donec',0,1,1.4667,'E352352',2),(5933,'et tellus','et tellus',0,1,1.3,'E342',2),(5934,'et tellus morbi','et tellus morbi',0,1,1.5,'E342561',2),(5935,'et tortor libero','et tortor libero',0,1,1.5333,'E3636416',2),(5936,'eu fermentum','eu fermentum',0,1,1.4,'E16535',2),(5937,'eu fermentum nec','eu fermentum nec',0,1,1.5333,'E165352',2),(5938,'eu sagittis','eu sagittis',0,1,1.3667,'E232',2),(5939,'eu sagittis lacus','eu sagittis lacus',0,1,1.5667,'E23242',2),(5940,'facilisi','facilisi',0,0,0.5333,'F242',895),(5941,'facilisi pellentesque','facilisi pellentesque',0,1,1.7,'F24214532',2),(5942,'facilisi pellentesque tempus','facilisi pellentesque tempus',0,1,1.9333,'F242145323512',2),(5943,'faucibus nunc','faucibus nunc',0,1,1.4333,'F21252',2),(5944,'faucibus nunc ac','faucibus nunc ac',0,1,1.5333,'F21252',2),(5945,'faucibus nunc id','faucibus nunc id',0,1,1.5333,'F212523',2),(5946,'faucibus sed','faucibus sed',0,1,1.4,'F2123',2),(5947,'faucibus sed nisi','faucibus sed nisi',0,1,1.5667,'F212352',2),(5948,'felis morbi','felis morbi',0,1,1.3667,'F42561',2),(5949,'felis morbi faucibus','felis morbi faucibus',0,1,1.6667,'F42561212',2),(5950,'fermentum diam','fermentum diam',0,1,1.4667,'F653535',2),(5951,'fermentum diam quis','fermentum diam quis',0,1,1.6333,'F6535352',2),(5952,'fermentum enim','fermentum enim',0,1,1.4667,'F6535',2),(5953,'fermentum enim purus','fermentum enim purus',0,1,1.6667,'F6535162',2),(5954,'fermentum molestie','fermentum molestie',0,1,1.6,'F6535423',2),(5955,'fermentum molestie sit','fermentum molestie sit',0,1,1.7333,'F653542323',2),(5956,'fermentum nec','fermentum nec',0,1,1.4333,'F65352',2),(5957,'fermentum nec enim','fermentum nec enim',0,1,1.6,'F653525',2),(5958,'feugiat turpis','feugiat turpis',0,1,1.4667,'F23612',2),(5959,'feugiat turpis a','feugiat turpis a',0,1,1.5333,'F23612',2),(5960,'gravida laoreet','gravida laoreet',0,1,1.5,'G613463',2),(5961,'gravida laoreet in','gravida laoreet in',0,1,1.6,'G6134635',2),(5962,'hendrerit vitae','hendrerit vitae',0,1,1.5,'H536313',2),(5963,'hendrerit vitae tellus','hendrerit vitae tellus',0,1,1.7333,'H53631342',2),(5964,'id augue pellentesque','id augue pellentesque',0,1,1.7,'I3214532',2),(5965,'id elit aliquam','id elit aliquam',0,1,1.5,'I343425',2),(5966,'id libero fermentum','id libero fermentum',0,1,1.6333,'I341616535',2),(5967,'in aliquam','in aliquam',0,1,1.3333,'I5425',2),(5968,'in aliquam mi','in aliquam mi',0,1,1.4333,'I5425',2),(5969,'in eget','in eget',0,1,1.2333,'I523',2),(5970,'in eget diam','in eget diam',0,1,1.4,'I5235',2),(5971,'in leo','in leo',0,1,1.2,'I540',2),(5972,'in leo nisl','in leo nisl',0,1,1.3667,'I54524',2),(5973,'in lobortis','in lobortis',0,1,1.3667,'I541632',2),(5974,'in lobortis ligula','in lobortis ligula',0,1,1.6,'I541632424',2),(5975,'in sagittis','in sagittis',0,1,1.3667,'I5232',2),(5976,'in sagittis pellentesque','in sagittis pellentesque',0,1,1.8,'I523214532',2),(5977,'in tincidunt','in tincidunt',0,1,1.4,'I5352353',2),(5978,'in tincidunt augue','in tincidunt augue',0,1,1.6,'I53523532',2),(5979,'in tincidunt dapibus','in tincidunt dapibus',0,1,1.6667,'I535235312',2),(5980,'integer a','integer a',0,1,1.3,'I5326',3),(5981,'integer a lorem','integer a lorem',0,1,1.5,'I5326465',2),(5982,'integer cursus','integer cursus',0,1,1.4667,'I5326262',2),(5983,'integer cursus venenatis','integer cursus venenatis',0,1,1.8,'I53262621532',2),(5984,'lacinia tristique','lacinia tristique',0,1,1.5667,'L2536232',2),(5985,'lacinia tristique donec','lacinia tristique donec',0,1,1.7667,'L2536232352',2),(5986,'lacus ante','lacus ante',0,1,1.3333,'L253',2),(5987,'lacus ante et','lacus ante et',0,1,1.4333,'L253',2),(5988,'laoreet dictum','laoreet dictum',0,1,1.4667,'L63235',2),(5989,'laoreet dictum arcu','laoreet dictum arcu',0,1,1.6333,'L6323562',2),(5990,'laoreet in','laoreet in',0,1,1.3333,'L635',2),(5991,'laoreet in lobortis','laoreet in lobortis',0,1,1.6333,'L63541632',2),(5992,'laoreet sed','laoreet sed',0,1,1.3667,'L6323',2),(5993,'laoreet sed nec','laoreet sed nec',0,1,1.5,'L632352',2),(5994,'lectus adipiscing','lectus adipiscing',0,1,1.5667,'L23231252',2),(5995,'lectus adipiscing auctor','lectus adipiscing auctor',0,1,1.8,'L2323125236',2),(5996,'lectus ut','lectus ut',0,1,1.3,'L2323',2),(5997,'lectus ut odio','lectus ut odio',0,1,1.4667,'L2323',2),(5998,'leo laoreet','leo laoreet',0,1,1.3667,'L630',2),(5999,'leo laoreet sed','leo laoreet sed',0,1,1.5,'L6323',2),(6000,'leo nisl','leo nisl',0,1,1.2667,'L524',2),(6001,'leo nisl eleifend','leo nisl eleifend',0,1,1.5667,'L524153',2),(6002,'leo nullam posuere','leo nullam posuere',0,1,1.6,'L545126',2),(6003,'libero fermentum molestie','libero fermentum molestie',0,1,1.8333,'L1616535423',2),(6004,'libero urna','libero urna',0,1,1.3667,'L165',2),(6005,'libero urna cursus','libero urna cursus',0,1,1.6,'L165262',2),(6006,'libero vel','libero vel',0,1,1.3333,'L1614',2),(6007,'libero vel malesuada','libero vel malesuada',0,1,1.6667,'L16145423',2),(6008,'ligula in','ligula in',0,1,1.3,'L245',2),(6009,'ligula in sagittis','ligula in sagittis',0,1,1.6,'L245232',2),(6010,'ligula in tincidunt','ligula in tincidunt',0,1,1.6333,'L245352353',2),(6011,'ligula nulla','ligula nulla',0,1,1.4,'L2454',2),(6012,'ligula nulla placerat','ligula nulla placerat',0,1,1.7,'L245414263',2),(6013,'lobortis ligula','lobortis ligula',0,1,1.5,'L1632424',2),(6014,'lobortis ligula in','lobortis ligula in',0,1,1.6,'L16324245',2),(6015,'lobortis vel tincidunt','lobortis vel tincidunt',0,1,1.7333,'L163214352353',2),(6016,'lorem id libero','lorem id libero',0,1,1.5,'L653416',2),(6017,'lorem ligula','lorem ligula',0,1,1.4,'L65424',2),(6018,'lorem ligula in','lorem ligula in',0,1,1.5,'L654245',2),(6019,'maecenas et','maecenas et',0,1,1.3667,'M2523',130),(6020,'maecenas et tortor','maecenas et tortor',0,1,1.6,'M2523636',2),(6021,'magna id','magna id',0,1,1.2667,'M253',2),(6022,'magna id augue','magna id augue',0,1,1.4667,'M2532',2),(6023,'magna tellus','magna tellus',0,1,1.4,'M25342',2),(6024,'magna tellus condimentum','magna tellus condimentum',0,1,1.8,'M2534253535',2),(6025,'magna venenatis','magna venenatis',0,1,1.5,'M251532',2),(6026,'magna venenatis neque','magna venenatis neque',0,1,1.7,'M25153252',2),(6027,'malesuada est','malesuada est',0,1,1.4333,'M42323',2),(6028,'malesuada est quisque','malesuada est quisque',0,1,1.7,'M423232',2),(6029,'malesuada integer','malesuada integer',0,1,1.5667,'M4235326',2),(6030,'malesuada integer a','malesuada integer a',0,1,1.6333,'M4235326',2),(6031,'massa donec','massa donec',0,1,1.3667,'M2352',2),(6032,'massa donec feugiat','massa donec feugiat',0,1,1.6333,'M2352123',2),(6033,'massa est','massa est',0,1,1.3,'M230',2),(6034,'massa est ultricies','massa est ultricies',0,1,1.6333,'M234362',2),(6035,'mattis volutpat','mattis volutpat',0,1,1.5,'M3214313',2),(6036,'mattis volutpat in','mattis volutpat in',0,1,1.6,'M32143135',2),(6037,'mauris lectus','mauris lectus',0,1,1.4333,'M624232',2),(6038,'mauris lectus ut','mauris lectus ut',0,1,1.5333,'M6242323',2),(6039,'mi dui','mi dui',0,1,1.2,'M300',2),(6040,'mi dui eu','mi dui eu',0,1,1.3,'M300',2),(6041,'mi quisque','mi quisque',0,1,1.3333,'M200',2),(6042,'mi quisque ultrices','mi quisque ultrices',0,1,1.6333,'M24362',2),(6043,'molestie sit','molestie sit',0,1,1.4,'M42323',2),(6044,'molestie sit amet','molestie sit amet',0,1,1.5667,'M4232353',2),(6045,'morbi faucibus','morbi faucibus',0,1,1.4667,'M61212',2),(6046,'morbi faucibus nunc','morbi faucibus nunc',0,1,1.6333,'M6121252',2),(6047,'morbi massa','morbi massa',0,1,1.3667,'M6152',2),(6048,'morbi massa est','morbi massa est',0,1,1.5,'M61523',2),(6049,'morbi vel','morbi vel',0,1,1.3,'M614',2),(6050,'morbi vel semper','morbi vel semper',0,1,1.5333,'M6142516',2),(6051,'nec enim aenean','nec enim aenean',0,1,1.5,'N250',2),(6052,'nec lectus','nec lectus',0,1,1.3333,'N24232',2),(6053,'nec lectus adipiscing','nec lectus adipiscing',0,1,1.7,'N2423231252',2),(6054,'nec pharetra','nec pharetra',0,1,1.4,'N21636',2),(6055,'nec pharetra eros','nec pharetra eros',0,1,1.5667,'N216362',2),(6056,'nec risus sed','nec risus sed',0,1,1.4333,'N2623',2),(6057,'neque et','neque et',0,1,1.2667,'N230',2),(6058,'neque et laoreet','neque et laoreet',0,1,1.5333,'N23463',2),(6059,'neque eu','neque eu',0,1,1.2667,'N200',2),(6060,'neque eu sagittis','neque eu sagittis',0,1,1.5667,'N232',2),(6061,'nisi curabitur pretium','nisi curabitur pretium',0,1,1.7333,'N261361635',2),(6062,'nisi felis','nisi felis',0,1,1.3333,'N2142',2),(6063,'nisi felis morbi','nisi felis morbi',0,1,1.5333,'N2142561',2),(6064,'nisi quis','nisi quis',0,1,1.3,'N200',2),(6065,'nisi quis odio','nisi quis odio',0,1,1.4667,'N230',2),(6066,'nisl eleifend','nisl eleifend',0,1,1.4333,'N24153',2),(6067,'nisl eleifend vel','nisl eleifend vel',0,1,1.5667,'N2415314',2),(6068,'non tempus','non tempus',0,1,1.3333,'N3512',2),(6069,'non tempus est','non tempus est',0,1,1.4667,'N35123',2),(6070,'nulla facilisi','nulla facilisi',0,1,1.4667,'N41242',895),(6071,'nulla facilisi pellentesque','nulla facilisi pellentesque',0,1,1.9,'N4124214532',2),(6072,'nulla mattis','nulla mattis',0,1,1.4,'N4532',2),(6073,'nulla mattis volutpat','nulla mattis volutpat',0,1,1.7,'N453214313',2),(6074,'nulla placerat','nulla placerat',0,1,1.4667,'N414263',2),(6075,'nulla placerat gravida','nulla placerat gravida',0,1,1.7333,'N4142632613',2),(6076,'nulla quis tellus','nulla quis tellus',0,1,1.5667,'N42342',2),(6077,'nulla sed tempor','nulla sed tempor',0,1,1.5333,'N423516',2),(6078,'nullam posuere','nullam posuere',0,1,1.4667,'N45126',2),(6079,'nullam posuere arcu','nullam posuere arcu',0,1,1.6333,'N451262',2),(6080,'nunc ac','nunc ac',0,1,1.2333,'N200',2),(6081,'nunc ac sodales','nunc ac sodales',0,1,1.5,'N2342',2),(6082,'nunc id','nunc id',0,1,1.2333,'N230',2),(6083,'nunc id elit','nunc id elit',0,1,1.4,'N2343',2),(6084,'odio egestas','odio egestas',0,1,1.4,'O3232',2),(6085,'odio egestas non','odio egestas non',0,1,1.5333,'O32325',2),(6086,'odio in','odio in',0,1,1.2333,'O350',2),(6087,'odio in aliquam','odio in aliquam',0,1,1.5,'O35425',2),(6088,'odio in tincidunt','odio in tincidunt',0,1,1.5667,'O35352353',2),(6089,'orci magna','orci magna',0,1,1.3333,'O62525',2),(6090,'orci magna venenatis','orci magna venenatis',0,1,1.6667,'O625251532',2),(6091,'pellentesque orci','pellentesque orci',0,1,1.5667,'P453262',2),(6092,'pellentesque orci magna','pellentesque orci magna',0,1,1.7667,'P453262525',2),(6093,'pellentesque tempus','pellentesque tempus',0,1,1.6333,'P45323512',2),(6094,'pellentesque tempus suscipit','pellentesque tempus suscipit',0,1,1.9333,'P4532351213',2),(6095,'pharetra eros','pharetra eros',0,1,1.4333,'P6362',2),(6096,'pharetra eros tincidunt','pharetra eros tincidunt',0,1,1.7667,'P6362352353',2),(6097,'phasellus et','phasellus et',0,1,1.4,'P2423',2),(6098,'phasellus et lorem','phasellus et lorem',0,1,1.6,'P2423465',2),(6099,'placerat gravida','placerat gravida',0,1,1.5333,'P42632613',2),(6100,'placerat gravida laoreet','placerat gravida laoreet',0,1,1.8,'P42632613463',2),(6101,'porta mauris','porta mauris',0,1,1.4,'P63562',2),(6102,'porta mauris lectus','porta mauris lectus',0,1,1.6333,'P635624232',2),(6103,'porta pulvinar','porta pulvinar',0,1,1.4667,'P6314156',2),(6104,'porta pulvinar integer','porta pulvinar integer',0,1,1.7333,'P63141565326',2),(6105,'porttitor eu','porttitor eu',0,1,1.4,'P636',2),(6106,'porttitor eu fermentum','porttitor eu fermentum',0,1,1.7333,'P63616535',2),(6107,'posuere arcu','posuere arcu',0,1,1.4,'P262',2),(6108,'posuere arcu et','posuere arcu et',0,1,1.5,'P2623',2),(6109,'posuere nisi','posuere nisi',0,1,1.4,'P2652',2),(6110,'posuere nisi quis','posuere nisi quis',0,1,1.5667,'P2652',2),(6111,'pretium porta','pretium porta',0,1,1.4333,'P635163',2),(6112,'pretium porta pulvinar','pretium porta pulvinar',0,1,1.7333,'P63516314156',2),(6113,'proin posuere','proin posuere',0,1,1.4333,'P65126',2),(6114,'proin posuere nisi','proin posuere nisi',0,1,1.6,'P6512652',2),(6115,'pulvinar integer','pulvinar integer',0,1,1.5333,'P41565326',2),(6116,'pulvinar integer cursus','pulvinar integer cursus',0,1,1.7667,'P41565326262',2),(6117,'pulvinar odio','pulvinar odio',0,1,1.4333,'P41563',2),(6118,'pulvinar odio in','pulvinar odio in',0,1,1.5333,'P415635',2),(6119,'purus fermentum','purus fermentum',0,1,1.5,'P6216535',2),(6120,'purus fermentum diam','purus fermentum diam',0,1,1.6667,'P621653535',2),(6121,'quis odio','quis odio',0,1,1.3,'Q300',2),(6122,'quis odio egestas','quis odio egestas',0,1,1.5667,'Q3232',2),(6123,'quis porta mauris','quis porta mauris',0,1,1.5667,'Q163562',2),(6124,'quis tellus lacinia','quis tellus lacinia',0,1,1.6333,'Q342425',2),(6125,'quisque magna','quisque magna',0,1,1.4333,'Q525',2),(6126,'quisque magna tellus','quisque magna tellus',0,1,1.6667,'Q525342',2),(6127,'quisque ultrices','quisque ultrices',0,1,1.5333,'Q4362',2),(6128,'quisque ultrices neque','quisque ultrices neque',0,1,1.7333,'Q436252',2),(6129,'risus sed nulla','risus sed nulla',0,1,1.5,'R2354',2),(6130,'sagittis lacus ante','sagittis lacus ante',0,1,1.6333,'S324253',2),(6131,'sagittis pellentesque','sagittis pellentesque',0,1,1.7,'S3214532',2),(6132,'sagittis pellentesque orci','sagittis pellentesque orci',0,1,1.8667,'S321453262',2),(6133,'sapien condimentum','sapien condimentum',0,1,1.6,'S15253535',2),(6134,'sapien condimentum eget','sapien condimentum eget',0,1,1.7667,'S1525353523',2),(6135,'sapien pulvinar','sapien pulvinar',0,1,1.5,'S1514156',2),(6136,'sapien pulvinar odio','sapien pulvinar odio',0,1,1.6667,'S15141563',2),(6137,'sed nec','sed nec',0,1,1.2333,'S352',2),(6138,'sed nec risus','sed nec risus',0,1,1.4333,'S35262',2),(6139,'sed nisi','sed nisi',0,1,1.2667,'S352',2),(6140,'sed nisi curabitur','sed nisi curabitur',0,1,1.6,'S3526136',2),(6141,'sed nulla','sed nulla',0,1,1.3,'S354',2),(6142,'sed nulla mattis','sed nulla mattis',0,1,1.5333,'S354532',2),(6143,'sed tellus sapien','sed tellus sapien',0,1,1.5667,'S34215',2),(6144,'sed tempor','sed tempor',0,1,1.3333,'S3516',2),(6145,'sed tempor phasellus','sed tempor phasellus',0,1,1.6667,'S35161242',2),(6146,'semper augue','semper augue',0,1,1.4,'S5162',2),(6147,'semper augue lorem','semper augue lorem',0,1,1.6,'S5162465',2),(6148,'sit amet elementum','sit amet elementum',0,1,1.6,'S3534535',2),(6149,'sit amet mi','sit amet mi',0,1,1.3667,'S3535',2),(6150,'sit amet nisi','sit amet nisi',0,1,1.4333,'S35352',2),(6151,'sit amet sit','sit amet sit',0,1,1.4,'S35323',2),(6152,'sodales augue','sodales augue',0,1,1.4333,'S342',2),(6153,'sodales augue magna','sodales augue magna',0,1,1.6333,'S342525',2),(6154,'sollicitudin nulla','sollicitudin nulla',0,1,1.6,'S42354',2),(6155,'sollicitudin nulla facilisi','sollicitudin nulla facilisi',0,1,1.9,'S423541242',2),(6156,'sollicitudin sit','sollicitudin sit',0,1,1.5333,'S423523',2),(6157,'sollicitudin sit amet','sollicitudin sit amet',0,1,1.7,'S42352353',2),(6158,'suscipit nulla','suscipit nulla',0,1,1.4667,'S1354',2),(6159,'suscipit nulla sed','suscipit nulla sed',0,1,1.6,'S135423',2),(6160,'tellus condimentum','tellus condimentum',0,1,1.6,'T4253535',2),(6161,'tellus condimentum a','tellus condimentum a',0,1,1.6667,'T4253535',2),(6162,'tellus duis','tellus duis',0,1,1.3667,'T4232',2),(6163,'tellus duis a','tellus duis a',0,1,1.4333,'T4232',2),(6164,'tellus lacinia','tellus lacinia',0,1,1.4667,'T42425',2),(6165,'tellus lacinia tristique','tellus lacinia tristique',0,1,1.8,'T4242536232',2),(6166,'tellus morbi','tellus morbi',0,1,1.4,'T42561',2),(6167,'tellus morbi vel','tellus morbi vel',0,1,1.5333,'T425614',2),(6168,'tellus sapien','tellus sapien',0,1,1.4333,'T4215',2),(6169,'tellus sapien condimentum','tellus sapien condimentum',0,1,1.8333,'T4215253535',2),(6170,'tempor phasellus','tempor phasellus',0,1,1.5333,'T5161242',2),(6171,'tempor phasellus et','tempor phasellus et',0,1,1.6333,'T51612423',2),(6172,'tempus est','tempus est',0,1,1.3333,'T5123',2),(6173,'tempus est sollicitudin','tempus est sollicitudin',0,1,1.7667,'T512324235',2),(6174,'tempus suscipit','tempus suscipit',0,1,1.5,'T51213',2),(6175,'tempus suscipit nulla','tempus suscipit nulla',0,1,1.7,'T5121354',2),(6176,'tincidunt a','tincidunt a',0,1,1.3667,'T52353',2),(6177,'tincidunt a ligula','tincidunt a ligula',0,1,1.6,'T52353424',2),(6178,'tincidunt augue','tincidunt augue',0,1,1.5,'T523532',2),(6179,'tincidunt augue eget','tincidunt augue eget',0,1,1.6667,'T5235323',2),(6180,'tincidunt dapibus','tincidunt dapibus',0,1,1.5667,'T5235312',2),(6181,'tincidunt dapibus malesuada','tincidunt dapibus malesuada',0,1,1.9,'T52353125423',2),(6182,'tincidunt maecenas','tincidunt maecenas',0,1,1.6,'T523535252',2),(6183,'tincidunt maecenas et','tincidunt maecenas et',0,1,1.7,'T5235352523',2),(6184,'tortor libero vel','tortor libero vel',0,1,1.5667,'T63641614',2),(6185,'tristique ac faucibus','tristique ac faucibus',0,1,1.7,'T62321212',2),(6186,'tristique donec','tristique donec',0,1,1.5,'T6232352',2),(6187,'tristique donec libero','tristique donec libero',0,1,1.7333,'T6232352416',2),(6188,'turpis a','turpis a',0,1,1.2667,'T612',2),(6189,'turpis a dictum','turpis a dictum',0,1,1.5,'T6123235',2),(6190,'turpis egestas donec','turpis egestas donec',0,1,1.6667,'T61232352',2),(6191,'ultrices neque','ultrices neque',0,1,1.4667,'U436252',2),(6192,'ultrices neque et','ultrices neque et',0,1,1.5667,'U4362523',2),(6193,'ultrices vitae','ultrices vitae',0,1,1.4667,'U436213',2),(6194,'ultrices vitae hendrerit','ultrices vitae hendrerit',0,1,1.8,'U4362135363',2),(6195,'ultricies ut ultrices','ultricies ut ultrices',0,1,1.7,'U436234362',2),(6196,'urna cursus','urna cursus',0,1,1.3667,'U65262',2),(6197,'urna cursus vitae','urna cursus vitae',0,1,1.5667,'U6526213',2),(6198,'ut odio','ut odio',0,1,1.2333,'U300',130),(6199,'ut odio in','ut odio in',0,1,1.3333,'U350',2),(6200,'ut ultrices vitae','ut ultrices vitae',0,1,1.5667,'U3436213',2),(6201,'vel lobortis','vel lobortis',0,1,1.4,'V41632',2),(6202,'vel lobortis vel','vel lobortis vel',0,1,1.5333,'V4163214',2),(6203,'vel malesuada','vel malesuada',0,1,1.4333,'V45423',2),(6204,'vel malesuada est','vel malesuada est',0,1,1.5667,'V4542323',2),(6205,'vel semper','vel semper',0,1,1.3333,'V42516',2),(6206,'vel semper augue','vel semper augue',0,1,1.5333,'V425162',2),(6207,'vel tincidunt','vel tincidunt',0,1,1.4333,'V4352353',2),(6208,'vel tincidunt a','vel tincidunt a',0,1,1.5,'V4352353',2),(6209,'velit convallis','velit convallis',0,1,1.5,'V4325142',2),(6210,'velit convallis nec','velit convallis nec',0,1,1.6333,'V432514252',2),(6211,'venenatis dictum','venenatis dictum',0,1,1.5333,'V5323235',2),(6212,'venenatis dictum morbi','venenatis dictum morbi',0,1,1.7333,'V532323561',2),(6213,'venenatis neque','venenatis neque',0,1,1.5,'V53252',2),(6214,'venenatis neque eu','venenatis neque eu',0,1,1.6,'V53252',2),(6215,'vitae hendrerit vitae','vitae hendrerit vitae',0,1,1.7,'V3536313',2),(6216,'vitae sollicitudin','vitae sollicitudin',0,1,1.6,'V324235',2),(6217,'vitae sollicitudin sit','vitae sollicitudin sit',0,1,1.7333,'V32423523',2),(6218,'vitae tellus','vitae tellus',0,1,1.4,'V342',3),(6219,'vitae tellus duis','vitae tellus duis',0,1,1.5667,'V34232',2),(6220,'volutpat in eget','volutpat in eget',0,1,1.5333,'V4313523',2),(6221,'volutpat lorem','volutpat lorem',0,1,1.4667,'V4313465',2),(6222,'volutpat lorem ipsum','volutpat lorem ipsum',0,1,1.6667,'V4313465125',2),(6223,'vulputate dui','vulputate dui',0,1,1.4333,'V413',2),(6224,'vulputate dui diam','vulputate dui diam',0,1,1.6,'V4135',2),(6225,'58','58',0,0,0.2,'',3),(6226,'amet fermentum morbi','amet fermentum morbi',0,1,1.6667,'A531653561',3),(6227,'at eros donec','at eros donec',0,1,1.4333,'A362352',3),(6228,'at eros etiam','at eros etiam',0,1,1.4333,'A36235',3),(6229,'at lobortis nullam','at lobortis nullam',0,1,1.6,'A341632545',3),(6230,'auctor fringilla aenean','auctor fringilla aenean',0,1,1.7667,'A236165245',164),(6231,'auctor fringilla donec','auctor fringilla donec',0,1,1.7333,'A23616524352',3),(6232,'consectetur donec ullamcorper','consectetur donec ullamcorper',0,1,1.9667,'C5236352452616',3),(6233,'consectetur et maecenas','consectetur et maecenas',0,1,1.7667,'C523635252',16),(6234,'dui cras justo','dui cras justo',0,1,1.4667,'D2623',3),(6235,'dui morbi','dui morbi',0,1,1.3,'D561',5),(6236,'dui morbi leo','dui morbi leo',0,1,1.4333,'D5614',5),(6237,'eget quam praesent','eget quam praesent',0,1,1.6,'E232516253',3),(6238,'eros donec','eros donec',0,1,1.3333,'E62352',131),(6239,'eros donec ullamcorper','eros donec ullamcorper',0,1,1.7333,'E62352452616',3),(6240,'eros etiam','eros etiam',0,1,1.3333,'E6235',3),(6241,'eros etiam porta','eros etiam porta',0,1,1.5333,'E6235163',3),(6242,'et maecenas','et maecenas',0,1,1.3667,'E35252',16),(6243,'et maecenas sed','et maecenas sed',0,1,1.5,'E352523',12),(6244,'eu leo vivamus','eu leo vivamus',0,1,1.4667,'E4152',3),(6245,'euismod donec','euismod donec',0,1,1.4333,'E25352',7),(6246,'euismod donec id','euismod donec id',0,1,1.5333,'E253523',3),(6247,'fermentum morbi','fermentum morbi',0,1,1.5,'F653561',3),(6248,'fermentum morbi leo','fermentum morbi leo',0,1,1.6333,'F6535614',3),(6249,'fringilla aenean','fringilla aenean',0,1,1.5333,'F65245',164),(6250,'fringilla aenean lacinia','fringilla aenean lacinia',0,1,1.8,'F65245425',5),(6251,'fringilla donec','fringilla donec',0,1,1.5,'F6524352',3),(6252,'fringilla donec ullamcorper','fringilla donec ullamcorper',0,1,1.9,'F6524352452616',3),(6253,'id elit aenean','id elit aenean',0,1,1.4667,'I3435',3),(6254,'id elit fusce','id elit fusce',0,1,1.4333,'I34312',3),(6255,'leo vivamus','leo vivamus',0,1,1.3667,'L152',3),(6256,'leo vivamus sagittis','leo vivamus sagittis',0,1,1.6667,'L15232',3),(6257,'lobortis nullam','lobortis nullam',0,1,1.5,'L1632545',3),(6258,'lobortis nullam id','lobortis nullam id',0,1,1.6,'L16325453',3),(6259,'magna donec','magna donec',0,1,1.3667,'M25352',3),(6260,'magna donec id','magna donec id',0,1,1.4667,'M253523',3),(6261,'mollis euismod donec','mollis euismod donec',0,1,1.6667,'M425352',7),(6262,'nec elit donec','nec elit donec',0,1,1.4667,'N24352',3),(6263,'non magna donec','non magna donec',0,1,1.5,'N25352',3),(6264,'odio dui morbi','odio dui morbi',0,1,1.4667,'O3561',5),(6265,'porttitor donec ullamcorper','porttitor donec ullamcorper',0,1,1.9,'P636352452616',3),(6266,'quam praesent','quam praesent',0,1,1.4333,'Q516253',3),(6267,'quam praesent commodo','quam praesent commodo',0,1,1.7,'Q516253253',3),(6268,'venenatis vestibulum lorem','venenatis vestibulum lorem',0,1,1.8667,'V532123145465',3),(6269,'vestibulum lorem','vestibulum lorem',0,1,1.5333,'V23145465',3),(6270,'vestibulum lorem ipsum','vestibulum lorem ipsum',0,1,1.7333,'V23145465125',3),(6271,'63','63',0,0,0.2,'',11),(6272,'ipsum 5','ipsum 5',0,1,1.2333,'I125',4),(6273,'ipsum v','ipsum v',0,1,1.2333,'I1251',4),(6274,'lorem ipsum 5','lorem ipsum 5',0,1,1.4333,'L65125',4),(6275,'lorem ipsum v','lorem ipsum v',0,1,1.4333,'L651251',4),(6276,'v','v',0,0,0.0667,'V000',29),(6277,'64','64',0,0,0.2,'',6),(6278,'ipsum 6','ipsum 6',0,1,1.2333,'I125',2),(6279,'ipsum vi','ipsum vi',0,1,1.2667,'I1251',2),(6280,'lorem ipsum 6','lorem ipsum 6',0,1,1.4333,'L65125',2),(6281,'lorem ipsum vi','lorem ipsum vi',0,1,1.4667,'L651251',2),(6282,'vi','vi',0,0,0.1333,'V000',2),(6283,'65','65',0,0,0.2,'',28),(6284,'ipsum 7','ipsum 7',0,1,1.2333,'I125',3),(6285,'ipsum vii','ipsum vii',0,1,1.3,'I1251',3),(6286,'lorem ipsum 7','lorem ipsum 7',0,1,1.4333,'L65125',3),(6287,'lorem ipsum vii','lorem ipsum vii',0,1,1.5,'L651251',3),(6288,'vii','vii',0,0,0.2,'V000',3),(6289,'66','66',0,0,0.2,'',35),(6290,'ipsum 8','ipsum 8',0,1,1.2333,'I125',5),(6291,'ipsum viii','ipsum viii',0,1,1.3333,'I1251',5),(6292,'lorem ipsum 8','lorem ipsum 8',0,1,1.4333,'L65125',5),(6293,'lorem ipsum viii','lorem ipsum viii',0,1,1.5333,'L651251',5),(6294,'viii','viii',0,0,0.2667,'V000',5),(6295,'67','67',0,0,0.2,'',47),(6296,'ipsum 9','ipsum 9',0,1,1.2333,'I125',3),(6297,'ipsum ix','ipsum ix',0,1,1.2667,'I1252',3),(6298,'ix','ix',0,0,0.1333,'I200',3),(6299,'lorem ipsum 9','lorem ipsum 9',0,1,1.4333,'L65125',3),(6300,'lorem ipsum ix','lorem ipsum ix',0,1,1.4667,'L651252',3),(6301,'68','68',0,0,0.2,'',2),(6302,'adipiscing elit cras','adipiscing elit cras',0,1,1.6667,'A3125243262',6),(6303,'dui lorem','dui lorem',0,1,1.3,'D465',2),(6304,'dui lorem ipsum','dui lorem ipsum',0,1,1.5,'D465125',2),(6305,'ipsum subcategory','ipsum subcategory',0,1,1.5667,'I125212326',2),(6306,'lorem ipsum subcategory','lorem ipsum subcategory',0,1,1.7667,'L65125212326',2),(6307,'odio dui lorem','odio dui lorem',0,1,1.4667,'O3465',2),(6308,'com index','com index',0,1,1.3,'C532',2),(6309,'com index php','com index php',0,1,1.4333,'C5321',2),(6310,'feed','feed',0,0,0.2667,'F300',2),(6311,'feed type','feed type',0,1,1.3,'F310',2),(6312,'feed type rss','feed type rss',0,1,1.4333,'F3162',2),(6313,'format','format',0,0,0.4,'F653',2),(6314,'format feed','format feed',0,1,1.3667,'F65313',2),(6315,'format feed type','format feed type',0,1,1.5333,'F653131',2),(6316,'gavickmagazine','gavickmagazine',0,0,0.9333,'G12525',3),(6317,'gavickmagazine com','gavickmagazine com',0,1,1.6,'G1252525',3),(6318,'gavickmagazine com index','gavickmagazine com index',0,1,1.8,'G125252532',2),(6319,'gavickpro news','gavickpro news',0,1,1.4667,'G121652',1),(6320,'http','http',0,0,0.2667,'H310',23),(6321,'http www','http www',0,1,1.2667,'H310',10),(6322,'http www gavickmagazine','http www gavickmagazine',0,1,1.7667,'H31212525',3),(6323,'index php','index php',0,1,1.3,'I5321',2),(6324,'index php format','index php format',0,1,1.5333,'I5321653',2),(6325,'news feed','news feed',0,1,1.3,'N213',1),(6326,'php','php',0,0,0.2,'P000',2),(6327,'php format','php format',0,1,1.3333,'P653',2),(6328,'php format feed','php format feed',0,1,1.5,'P65313',2),(6329,'rss','rss',0,0,0.2,'R200',19),(6330,'type rss','type rss',0,1,1.2667,'T162',2),(6331,'www','www',0,0,0.2,'W000',10),(6332,'www gavickmagazine','www gavickmagazine',0,1,1.6,'W212525',3),(6333,'www gavickmagazine com','www gavickmagazine com',0,1,1.7333,'W21252525',3),(6334,'demo gavick','demo gavick',0,1,1.3667,'D5212',1),(6335,'demo gavick com','demo gavick com',0,1,1.5,'D52125',1),(6336,'gavick com','gavick com',0,1,1.3333,'G125',2),(6337,'gavickpro demo','gavickpro demo',0,1,1.4667,'G121635',1),(6338,'http demo','http demo',0,1,1.3,'H3135',1),(6339,'http demo gavick','http demo gavick',0,1,1.5333,'H3135212',1),(6340,'link','link',0,0,0.2667,'L520',22),(6341,'web','web',0,0,0.2,'W100',74),(6342,'web link','web link',0,1,1.2667,'W1452',5),(6343,'com gavickpro','com gavickpro',0,1,1.4333,'C521216',1),(6344,'facebook com','facebook com',0,1,1.4,'F2125',1),(6345,'facebook com gavickpro','facebook com gavickpro',0,1,1.7333,'F212521216',1),(6346,'gavickpro facebook','gavickpro facebook',0,1,1.6,'G12161212',1),(6347,'http www facebook','http www facebook',0,1,1.5667,'H31212',1),(6348,'www facebook','www facebook',0,1,1.4,'W1212',1),(6349,'www facebook com','www facebook com',0,1,1.5333,'W12125',1),(6350,'gavickpro homepage','gavickpro homepage',0,1,1.6,'G1216512',1),(6351,'homepage','homepage',0,0,0.5333,'H512',19),(6352,'http www gavick','http www gavick',0,1,1.5,'H31212',1),(6353,'www gavick','www gavick',0,1,1.3333,'W212',1),(6354,'www gavick com','www gavick com',0,1,1.4667,'W2125',1),(6355,'gavickpro magazine','gavickpro magazine',0,1,1.6,'G1216525',1),(6356,'magazine','magazine',0,0,0.5333,'M250',23),(6357,'gavickpro rss','gavickpro rss',0,1,1.4333,'G12162',1),(6358,'gavickpro rss news','gavickpro rss news',0,1,1.6,'G1216252',1),(6359,'rss news','rss news',0,1,1.2667,'R252',1),(6360,'abbreviation dr','abbreviation dr',0,1,1.5,'A1613536',42),(6361,'abbreviation dr use','abbreviation dr use',0,1,1.6333,'A16135362',42),(6362,'amet blocks','amet blocks',0,1,1.3667,'A53142',20),(6363,'amet blocks lorem','amet blocks lorem',0,1,1.5667,'A53142465',11),(6364,'an abbreviation dr','an abbreviation dr',0,1,1.6,'A51613536',42),(6365,'bubble-4 lorem','bubble-4 lorem',0,1,1.4667,'B465',1),(6366,'bubble-4 lorem ipsum','bubble-4 lorem ipsum',0,1,1.6667,'B465125',1),(6367,'class bubble-4 lorem','class bubble-4 lorem',0,1,1.6667,'C421465',1),(6368,'class demo-typo padd','class demo-typo padd',0,1,1.6667,'C4235313',36),(6369,'code div unordered','code div unordered',0,1,1.6,'C3156363',67),(6370,'congue interdum elit','congue interdum elit',0,1,1.6667,'C525363543',20),(6371,'demo-typo padd','demo-typo padd',0,1,1.4667,'D5313',36),(6372,'demo-typo padd wrapper','demo-typo padd wrapper',0,1,1.7333,'D5313616',13),(6373,'div unordered','div unordered',0,1,1.4333,'D156363',67),(6374,'div unordered lists','div unordered lists',0,1,1.6333,'D1563634232',67),(6375,'dribbble a href','dribbble a href',0,1,1.5,'D61461',2),(6376,'gavick legends legend','gavick legends legend',0,1,1.7,'G12425324253',36),(6377,'gklocationplus your message','gklocationplus your message',0,1,1.9,'G4235142652',27),(6378,'here div bubbles','here div bubbles',0,1,1.5333,'H63142',29),(6379,'interdum elit','interdum elit',0,1,1.4333,'I5363543',20),(6380,'interdum elit sed','interdum elit sed',0,1,1.5667,'I536354323',20),(6381,'legends legend','legends legend',0,1,1.4667,'L25324253',67),(6382,'legends legend lorem','legends legend lorem',0,1,1.6667,'L25324253465',67),(6383,'padd','padd',0,0,0.2667,'P300',36),(6384,'padd wrapper','padd wrapper',0,1,1.4,'P3616',13),(6385,'padd wrapper position','padd wrapper position',0,1,1.7,'P36161235',13),(6386,'sit amet blocks','sit amet blocks',0,1,1.5,'S353142',20),(6387,'accumsan at accumsan','accumsan at accumsan',0,1,1.6667,'A252532525',46),(6388,'accumsan tortor','accumsan tortor',0,1,1.5,'A25253636',46),(6389,'accumsan tortor congue','accumsan tortor congue',0,1,1.7333,'A25253636252',46),(6390,'at accumsan tortor','at accumsan tortor',0,1,1.6,'A325253636',46),(6391,'blandit eu','blandit eu',0,1,1.3333,'B453',13),(6392,'blandit eu eleifend','blandit eu eleifend',0,1,1.6333,'B4534153',13),(6393,'class demo-typo-col3','class demo-typo-col3',0,1,1.6667,'C42353124',18),(6394,'class demo-typo-col3 lorem','class demo-typo-col3 lorem',0,1,1.8667,'C4235312465',9),(6395,'congue nunc','congue nunc',0,1,1.3667,'C5252',13),(6396,'congue nunc felis','congue nunc felis',0,1,1.5667,'C5252142',13),(6397,'demo-typo padd legend','demo-typo padd legend',0,1,1.7,'D53134253',5),(6398,'demo-typo padd lorem','demo-typo padd lorem',0,1,1.6667,'D5313465',10),(6399,'demo-typo padd ol','demo-typo padd ol',0,1,1.5667,'D53134',14),(6400,'demo-typo-col3','demo-typo-col3',0,0,0.9333,'D53124',18),(6401,'demo-typo-col3 lorem','demo-typo-col3 lorem',0,1,1.6667,'D5312465',9),(6402,'demo-typo-col3 lorem ipsum','demo-typo-col3 lorem ipsum',0,1,1.8667,'D5312465125',9),(6403,'eleifend headings','eleifend headings',0,1,1.5667,'E415352',13),(6404,'eleifend headings this','eleifend headings this',0,1,1.7333,'E41535232',13),(6405,'elit vestibulum venenatis','elit vestibulum venenatis',0,1,1.8333,'E431231451532',66),(6406,'eu eleifend','eu eleifend',0,1,1.3667,'E4153',13),(6407,'eu eleifend headings','eu eleifend headings',0,1,1.6667,'E415352',13),(6408,'eu eleifend lorem','eu eleifend lorem',0,1,1.5667,'E4153465',13),(6409,'felis nunc','felis nunc',0,1,1.3333,'F4252',13),(6410,'felis nunc sollicitudin','felis nunc sollicitudin',0,1,1.7667,'F42524235',13),(6411,'in blandit','in blandit',0,1,1.3333,'I51453',13),(6412,'in blandit eu','in blandit eu',0,1,1.4333,'I51453',13),(6413,'non tortor','non tortor',0,1,1.3333,'N3636',66),(6414,'non tortor accumsan','non tortor accumsan',0,1,1.6333,'N36362525',66),(6415,'nunc felis','nunc felis',0,1,1.3333,'N2142',13),(6416,'nunc felis nunc','nunc felis nunc',0,1,1.5,'N214252',13),(6417,'nunc sollicitudin','nunc sollicitudin',0,1,1.5667,'N24235',13),(6418,'nunc sollicitudin in','nunc sollicitudin in',0,1,1.6667,'N24235',13),(6419,'orci non','orci non',0,1,1.2667,'O625',66),(6420,'orci non tortor','orci non tortor',0,1,1.5,'O6253636',66),(6421,'padd legend','padd legend',0,1,1.3667,'P34253',5),(6422,'padd legend lorem','padd legend lorem',0,1,1.5667,'P34253465',5),(6423,'padd lorem','padd lorem',0,1,1.3333,'P3465',10),(6424,'padd lorem ipsum','padd lorem ipsum',0,1,1.5333,'P3465125',10),(6425,'padd ol','padd ol',0,1,1.2333,'P340',14),(6426,'padd ol class','padd ol class',0,1,1.4333,'P34242',14),(6427,'sollicitudin in','sollicitudin in',0,1,1.5,'S4235',13),(6428,'sollicitudin in blandit','sollicitudin in blandit',0,1,1.7667,'S42351453',13),(6429,'tortor accumsan','tortor accumsan',0,1,1.5,'T6362525',66),(6430,'tortor accumsan at','tortor accumsan at',0,1,1.6,'T63625253',46),(6431,'tortor congue','tortor congue',0,1,1.4333,'T636252',46),(6432,'tortor congue nunc','tortor congue nunc',0,1,1.6,'T63625252',13),(6433,'venenatis orci','venenatis orci',0,1,1.4667,'V53262',66),(6434,'venenatis orci non','venenatis orci non',0,1,1.6,'V532625',66),(6435,'vestibulum venenatis','vestibulum venenatis',0,1,1.6667,'V231451532',66),(6436,'vestibulum venenatis orci','vestibulum venenatis orci',0,1,1.8333,'V23145153262',66),(6437,'appsprotech','appsprotech',0,0,0.7333,'A121632',1),(6438,'appsprotech reader','appsprotech reader',0,1,1.6,'A121632636',1),(6439,'reader','reader',0,0,0.4,'R360',22),(6440,'application','application',0,0,0.7333,'A14235',48),(6441,'application reader','application reader',0,1,1.6,'A14235636',11),(6442,'reader application','reader application',0,1,1.6,'R3614235',21),(6443,'appspro','appspro',0,0,0.4667,'A1216',274),(6444,'appspro tech','appspro tech',0,1,1.4,'A121632',274),(6445,'tech','tech',0,0,0.2667,'T200',324),(6446,'appspro news','appspro news',0,1,1.4,'A121652',8),(6447,'appspro news 1','appspro news 1',0,1,1.4667,'A121652',4),(6448,'news 1','news 1',0,1,1.2,'N200',30),(6449,'appspro news 2','appspro news 2',0,1,1.4667,'A121652',4),(6450,'news 2','news 2',0,1,1.2,'N200',34),(6451,'news 3','news 3',0,1,1.2,'N200',12),(6452,'news 4','news 4',0,1,1.2,'N200',18),(6453,'news 5','news 5',0,1,1.2,'N200',9),(6454,'news 6','news 6',0,1,1.2,'N200',20),(6455,'news 7','news 7',0,1,1.2,'N200',3),(6456,'news 8','news 8',0,1,1.2,'N200',26),(6457,'news 9','news 9',0,1,1.2,'N200',4),(6458,'news 10','news 10',0,1,1.2333,'N200',7),(6459,'news 11','news 11',0,1,1.2333,'N200',4),(6460,'business','business',0,0,0.5333,'B252',112),(6461,'business resources','business resources',0,1,1.6,'B2526262',7),(6462,'business resources information','business resources information',0,1,2,'B2526262516535',7),(6463,'isweeller','isweeller',0,0,0.6,'I246',27),(6464,'isweeller pro','isweeller pro',0,1,1.4333,'I24616',27),(6465,'isweeller pro business','isweeller pro business',0,1,1.7333,'I246161252',4),(6466,'pro business','pro business',0,1,1.4,'P61252',12),(6467,'pro business resources','pro business resources',0,1,1.7333,'P612526262',7),(6468,'resources','resources',0,0,0.6,'R262',7),(6469,'resources information','resources information',0,1,1.7,'R262516535',7),(6470,'cloud','cloud',0,0,0.3333,'C430',41),(6471,'cloud mobility','cloud mobility',0,1,1.4667,'C435143',20),(6472,'cloud mobility to','cloud mobility to',0,1,1.5667,'C435143',20),(6473,'drive','drive',0,0,0.3333,'D610',21),(6474,'drive security','drive security',0,1,1.4667,'D61263',20),(6475,'drive security market','drive security market',0,1,1.7,'D612635623',20),(6476,'mobility','mobility',0,0,0.5333,'M143',31),(6477,'mobility to','mobility to',0,1,1.3667,'M143',20),(6478,'mobility to drive','mobility to drive',0,1,1.5667,'M14361',20),(6479,'security','security',0,0,0.5333,'S630',24),(6480,'security market','security market',0,1,1.5,'S635623',20),(6481,'to drive','to drive',0,1,1.2667,'T610',20),(6482,'to drive security','to drive security',0,1,1.5667,'T61263',20),(6483,'a cloud-based','a cloud-based',0,1,1.4333,'A243123',3),(6484,'cloud-based','cloud-based',0,0,0.7333,'C43123',3),(6485,'company\'s','company',0,0,0.6,'C5152',11),(6486,'company\'s mobility','company mobility',0,1,1.6,'C51525143',11),(6487,'company\'s mobility woes','company mobility woes',0,1,1.7667,'C515251432',3),(6488,'is a cloud-based','is a cloud-based',0,1,1.5333,'I243123',3),(6489,'mobility woes','mobility woes',0,1,1.4333,'M1432',3),(6490,'mobility woes is','mobility woes is',0,1,1.5333,'M1432',3),(6491,'woes','woes',0,0,0.2667,'W200',3),(6492,'woes is','woes is',0,1,1.2333,'W200',3),(6493,'woes is a','woes is a',0,1,1.3,'W200',3),(6494,'better way to','better way to',0,1,1.4333,'B363',4),(6495,'cloud computing','cloud computing',0,1,1.5,'C43251352',10),(6496,'cloud computing is','cloud computing is',0,1,1.6,'C43251352',4),(6497,'computing','computing',0,0,0.6,'C51352',15),(6498,'computing is','computing is',0,1,1.4,'C51352',4),(6499,'computing is a','computing is a',0,1,1.4667,'C51352',4),(6500,'is a better','is a better',0,1,1.3667,'I2136',4),(6501,'run','run',0,0,0.2,'R500',4),(6502,'run your','run your',0,1,1.2667,'R560',4),(6503,'run your business','run your business',0,1,1.5667,'R561252',4),(6504,'to run','to run',0,1,1.2,'T650',4),(6505,'to run your','to run your',0,1,1.3667,'T656',4),(6506,'way to','way to',0,1,1.2,'W300',8),(6507,'way to run','way to run',0,1,1.3333,'W365',4),(6508,'your business','your business',0,1,1.4333,'Y61252',4),(6509,'business development','business development',0,1,1.6667,'B252314153',11),(6510,'business development gkbd','business development gkbd',0,1,1.8333,'B252314153213',4),(6511,'business-related','business-related',0,0,1,'B252643',4),(6512,'business-related organizations','business-related organizations',0,1,2,'B2526436252352',4),(6513,'development','development',0,0,0.7333,'D14153',21),(6514,'development gkbd','development gkbd',0,1,1.5333,'D14153213',4),(6515,'development gkbd supports','development gkbd supports',0,1,1.8333,'D1415321321632',4),(6516,'gkbd','gkbd',0,0,0.2667,'G130',4),(6517,'gkbd supports','gkbd supports',0,1,1.4333,'G1321632',4),(6518,'gkbd supports business-related','gkbd supports business-related',0,1,2,'G13216321252643',4),(6519,'organizations','organizations',0,0,0.8667,'O6252352',4),(6520,'supports business-related','supports business-related',0,1,1.8333,'S16321252643',4),(6521,'supports business-related organizations','supports business-related organizations',0,1,2,'S163212526436252352',4),(6522,'apps','apps',0,0,0.2667,'A120',31),(6523,'apps curve','apps curve',0,1,1.3333,'A1261',12),(6524,'apps curve is','apps curve is',0,1,1.4333,'A12612',12),(6525,'by internet','by internet',0,1,1.3667,'B53653',12),(6526,'by internet marketing','by internet marketing',0,1,1.7,'B53653562352',12),(6527,'curve','curve',0,0,0.3333,'C610',12),(6528,'curve is','curve is',0,1,1.2667,'C612',12),(6529,'curve is managed','curve is managed',0,1,1.5333,'C612523',12),(6530,'experts','experts',0,0,0.4667,'E21632',12),(6531,'internet','internet',0,0,0.5333,'I53653',12),(6532,'internet marketing','internet marketing',0,1,1.6,'I53653562352',12),(6533,'internet marketing experts','internet marketing experts',0,1,1.8667,'I536535623521632',12),(6534,'is managed','is managed',0,1,1.3333,'I2523',12),(6535,'is managed by','is managed by',0,1,1.4333,'I25231',12),(6536,'managed','managed',0,0,0.4667,'M230',22),(6537,'managed by','managed by',0,1,1.3333,'M231',12),(6538,'managed by internet','managed by internet',0,1,1.6333,'M23153653',12),(6539,'marketing','marketing',0,0,0.6,'M62352',21),(6540,'marketing experts','marketing experts',0,1,1.5667,'M623521632',12),(6541,'cloud platform','cloud platform',0,1,1.4667,'C43143165',11),(6542,'continued','continued',0,0,0.6,'C5353',2),(6543,'continued global','continued global',0,1,1.5333,'C53532414',2),(6544,'continued global roll','continued global roll',0,1,1.7,'C5353241464',2),(6545,'continued global roll-out','continued global roll-out',0,1,1.8333,'C53532414643',2),(6546,'global','global',0,0,0.4,'G414',14),(6547,'global roll','global roll',0,1,1.3667,'G41464',10),(6548,'global roll out','global roll out',0,1,1.5,'G414643',10),(6549,'global roll-out','global roll-out',0,1,1.5,'G414643',3),(6550,'global roll-out of','global roll-out of',0,1,1.6,'G4146431',3),(6551,'managed cloud','managed cloud',0,1,1.4333,'M23243',10),(6552,'managed cloud platform','managed cloud platform',0,1,1.7333,'M23243143165',10),(6553,'of managed','of managed',0,1,1.3333,'O1523',10),(6554,'of managed cloud','of managed cloud',0,1,1.5333,'O1523243',10),(6555,'out','out',0,0,0.2,'O300',12),(6556,'out of','out of',0,1,1.2,'O310',10),(6557,'out of managed','out of managed',0,1,1.4667,'O31523',10),(6558,'platform','platform',0,0,0.5333,'P43165',11),(6559,'roll','roll',0,0,0.2667,'R400',21),(6560,'roll out','roll out',0,1,1.2667,'R430',10),(6561,'roll out of','roll out of',0,1,1.3667,'R431',10),(6562,'roll-out','roll-out',0,0,0.5333,'R430',3),(6563,'roll-out of','roll-out of',0,1,1.3667,'R431',3),(6564,'roll-out of managed','roll-out of managed',0,1,1.6333,'R431523',3),(6565,'analysis','analysis',0,0,0.5333,'A542',12),(6566,'analysis software','analysis software',0,1,1.5667,'A542136',12),(6567,'app','app',0,0,0.2,'A100',8),(6568,'app for','app for',0,1,1.2333,'A160',8),(6569,'app for technical','app for technical',0,1,1.5667,'A1632524',8),(6570,'day','day',0,0,0.2,'D000',13),(6571,'day app','day app',0,1,1.2333,'D100',8),(6572,'day app for','day app for',0,1,1.3667,'D160',8),(6573,'end','end',0,0,0.2,'E530',21),(6574,'end of','end of',0,1,1.2,'E531',8),(6575,'end of day','end of day',0,1,1.3333,'E5313',8),(6576,'end-of-day','end-of-day',0,0,0.6667,'E5313',1),(6577,'end-of-day app','end-of-day app',0,1,1.4667,'E53131',1),(6578,'end-of-day app for','end-of-day app for',0,1,1.6,'E531316',1),(6579,'for technical','for technical',0,1,1.4333,'F632524',8),(6580,'for technical analysis','for technical analysis',0,1,1.7333,'F632524542',8),(6581,'of day','of day',0,1,1.2,'O130',8),(6582,'of day app','of day app',0,1,1.3333,'O131',8),(6583,'software','software',0,0,0.5333,'S136',12),(6584,'technical','technical',0,0,0.6,'T2524',12),(6585,'technical analysis','technical analysis',0,1,1.6,'T2524542',12),(6586,'technical analysis software','technical analysis software',0,1,1.9,'T2524542136',12),(6587,'application case','application case',0,1,1.5333,'A142352',7),(6588,'application case study','application case study',0,1,1.7333,'A1423523',7),(6589,'case','case',0,0,0.2667,'C000',7),(6590,'case study','case study',0,1,1.3333,'C300',7),(6591,'igk','igk',0,0,0.2,'I200',42),(6592,'igk pro','igk pro',0,1,1.2333,'I216',19),(6593,'igk pro web','igk pro web',0,1,1.3667,'I2161',11),(6594,'pro web','pro web',0,1,1.2333,'P610',11),(6595,'pro web application','pro web application',0,1,1.6333,'P614235',11),(6596,'study','study',0,0,0.3333,'S300',7),(6597,'web application','web application',0,1,1.5,'W14235',27),(6598,'web application case','web application case',0,1,1.6667,'W142352',7),(6599,'a comprehensive','a comprehensive',0,1,1.5,'A2516521',8),(6600,'a comprehensive charting','a comprehensive charting',0,1,1.8,'A251652126352',8),(6601,'charting','charting',0,0,0.5333,'C6352',8),(6602,'charting solution','charting solution',0,1,1.5667,'C6352435',8),(6603,'charts','charts',0,0,0.4,'C632',10),(6604,'charts suite','charts suite',0,1,1.4,'C6323',10),(6605,'charts suite is','charts suite is',0,1,1.5,'C63232',8),(6606,'comprehensive','comprehensive',0,0,0.8667,'C516521',8),(6607,'comprehensive charting','comprehensive charting',0,1,1.7333,'C51652126352',8),(6608,'comprehensive charting solution','comprehensive charting solution',0,1,2,'C51652126352435',8),(6609,'dtti','dtti',0,0,0.2667,'D000',10),(6610,'dtti charts','dtti charts',0,1,1.3667,'D2632',10),(6611,'dtti charts suite','dtti charts suite',0,1,1.5667,'D26323',10),(6612,'is a comprehensive','is a comprehensive',0,1,1.6,'I2516521',8),(6613,'solution','solution',0,0,0.5333,'S435',8),(6614,'suite','suite',0,0,0.3333,'S300',10),(6615,'suite is','suite is',0,1,1.2667,'S320',8),(6616,'suite is a','suite is a',0,1,1.3333,'S320',8),(6617,'and elegantly','and elegantly',0,1,1.4333,'A5342534',3),(6618,'and elegantly present','and elegantly present',0,1,1.7,'A534253416253',3),(6619,'design','design',0,0,0.4,'D250',152),(6620,'design edit','design edit',0,1,1.3667,'D253',3),(6621,'design edit and','design edit and',0,1,1.5,'D25353',3),(6622,'edit','edit',0,0,0.2667,'E300',3),(6623,'edit and','edit and',0,1,1.2667,'E353',3),(6624,'edit and elegantly','edit and elegantly',0,1,1.6,'E35342534',3),(6625,'elegantly','elegantly',0,0,0.6,'E42534',3),(6626,'elegantly present','elegantly present',0,1,1.5667,'E4253416253',3),(6627,'elegantly present using','elegantly present using',0,1,1.7667,'E4253416253252',3),(6628,'igktouch','igktouch',0,0,0.5333,'I232',9),(6629,'igktouch apps','igktouch apps',0,1,1.4333,'I23212',9),(6630,'new igktouch','new igktouch',0,1,1.4,'N232',3),(6631,'new igktouch apps','new igktouch apps',0,1,1.5667,'N23212',3),(6632,'present using','present using',0,1,1.4333,'P6253252',3),(6633,'present using new','present using new',0,1,1.5667,'P62532525',3),(6634,'using new','using new',0,1,1.3,'U2525',3),(6635,'using new igktouch','using new igktouch',0,1,1.6,'U2525232',3),(6636,'android','android',0,0,0.4667,'A5363',31),(6637,'android devices','android devices',0,1,1.5,'A536312',9),(6638,'apps for','apps for',0,1,1.2667,'A1216',10),(6639,'apps for android','apps for android',0,1,1.5333,'A12165363',3),(6640,'best','best',0,0,0.2667,'B230',29),(6641,'best tablet','best tablet',0,1,1.3667,'B23143',3),(6642,'best tablet optimised','best tablet optimised',0,1,1.7,'B2314313523',3),(6643,'best tablet-optimised','best tablet-optimised',0,1,1.7,'B2314313523',1),(6644,'best tablet-optimised apps','best tablet-optimised apps',0,1,1.8667,'B231431352312',1),(6645,'devices','devices',0,0,0.4667,'D120',21),(6646,'for android','for android',0,1,1.3667,'F65363',9),(6647,'for android devices','for android devices',0,1,1.6333,'F6536312',9),(6648,'for best','for best',0,1,1.2667,'F6123',3),(6649,'for best tablet','for best tablet',0,1,1.5,'F6123143',3),(6650,'for best tablet-optimised','for best tablet-optimised',0,1,1.8333,'F612314313523',1),(6651,'optimised','optimised',0,0,0.6,'O13523',3),(6652,'optimised apps','optimised apps',0,1,1.4667,'O1352312',3),(6653,'optimised apps for','optimised apps for',0,1,1.6,'O135231216',3),(6654,'support','support',0,0,0.4667,'S163',11),(6655,'support for','support for',0,1,1.3667,'S16316',9),(6656,'support for best','support for best',0,1,1.5333,'S16316123',3),(6657,'tablet','tablet',0,0,0.4,'T143',55),(6658,'tablet optimised','tablet optimised',0,1,1.5333,'T14313523',3),(6659,'tablet optimised apps','tablet optimised apps',0,1,1.7,'T1431352312',3),(6660,'tablet-optimised','tablet-optimised',0,0,1,'T14313523',3),(6661,'tablet-optimised apps','tablet-optimised apps',0,1,1.7,'T1431352312',3),(6662,'tablet-optimised apps for','tablet-optimised apps for',0,1,1.8333,'T143135231216',3),(6663,'access','access',0,0,0.4,'A200',185),(6664,'click','click',0,0,0.3333,'C420',6),(6665,'click access','click access',0,1,1.4,'C420',5),(6666,'comes','comes',0,0,0.3333,'C520',5),(6667,'comes preloaded','comes preloaded',0,1,1.5,'C521643',5),(6668,'comes preloaded with','comes preloaded with',0,1,1.6667,'C521643',5),(6669,'igk tablet','igk tablet',0,1,1.3333,'I23143',21),(6670,'igk tablet comes','igk tablet comes',0,1,1.5333,'I23143252',5),(6671,'one click','one click',0,1,1.3,'O5242',5),(6672,'one click access','one click access',0,1,1.5333,'O5242',5),(6673,'one-click','one-click',0,0,0.6,'O5242',2),(6674,'one-click access','one-click access',0,1,1.5333,'O5242',2),(6675,'preloaded','preloaded',0,0,0.6,'P643',5),(6676,'preloaded with','preloaded with',0,1,1.4667,'P643',5),(6677,'preloaded with one','preloaded with one',0,1,1.6,'P6435',5),(6678,'preloaded with one-click','preloaded with one-click',0,1,1.8,'P6435242',2),(6679,'tablet comes','tablet comes',0,1,1.4,'T143252',5),(6680,'tablet comes preloaded','tablet comes preloaded',0,1,1.7333,'T1432521643',5),(6681,'the igk','the igk',0,1,1.2333,'T200',13),(6682,'the igk tablet','the igk tablet',0,1,1.4667,'T23143',11),(6683,'with one','with one',0,1,1.2667,'W350',8),(6684,'with one click','with one click',0,1,1.4667,'W35242',5),(6685,'with one-click','with one-click',0,1,1.4667,'W35242',2),(6686,'with one-click access','with one-click access',0,1,1.7,'W35242',2),(6687,'apps for ios','apps for ios',0,1,1.4,'A12162',2),(6688,'for ios','for ios',0,1,1.2333,'F620',2),(6689,'for ios devices','for ios devices',0,1,1.5,'F62312',2),(6690,'ios','ios',0,0,0.2,'I200',2),(6691,'ios devices','ios devices',0,1,1.3667,'I2312',2),(6692,'vgbest','vgbest',0,0,0.4,'V2123',7),(6693,'vgbest tablet-optimised','vgbest tablet-optimised',0,1,1.7667,'V212314313523',2),(6694,'vgbest tablet-optimised apps','vgbest tablet-optimised apps',0,1,1.9333,'V21231431352312',2),(6695,'10.1”','10.1”',0,0,0.3333,'”000',2),(6696,'10.1” screen','10.1” screen',0,1,1.4,'”265',2),(6697,'101”','101”',0,0,0.2667,'”000',5),(6698,'101” screen','101” screen',0,1,1.3667,'”265',5),(6699,'a crisp','a crisp',0,1,1.2333,'A2621',5),(6700,'a crisp and','a crisp and',0,1,1.3667,'A262153',5),(6701,'and vibrant','and vibrant',0,1,1.3667,'A531653',5),(6702,'and vibrant 10.1”','and vibrant 10.1”',0,1,1.5667,'A531653',2),(6703,'and vibrant 101”','and vibrant 101”',0,1,1.5333,'A531653',5),(6704,'crisp','crisp',0,0,0.3333,'C621',5),(6705,'crisp and','crisp and',0,1,1.3,'C62153',5),(6706,'crisp and vibrant','crisp and vibrant',0,1,1.5667,'C621531653',5),(6707,'has a','has a',0,1,1.1667,'H200',11),(6708,'has a crisp','has a crisp',0,1,1.3667,'H2621',5),(6709,'igk tablet has','igk tablet has',0,1,1.4667,'I231432',5),(6710,'screen','screen',0,0,0.4,'S650',5),(6711,'tablet has','tablet has',0,1,1.3333,'T1432',5),(6712,'tablet has a','tablet has a',0,1,1.4,'T1432',5),(6713,'vibrant','vibrant',0,0,0.4667,'V653',5),(6714,'vibrant 10.1”','vibrant 10.1”',0,1,1.4333,'V653',2),(6715,'vibrant 10.1” screen','vibrant 10.1” screen',0,1,1.6667,'V653265',2),(6716,'vibrant 101”','vibrant 101”',0,1,1.4,'V653',5),(6717,'vibrant 101” screen','vibrant 101” screen',0,1,1.6333,'V653265',5),(6718,'igk pro business','igk pro business',0,1,1.5333,'I2161252',8),(6719,'an automatic','an automatic',0,1,1.4,'A53532',10),(6720,'an automatic notice','an automatic notice',0,1,1.6333,'A53532532',10),(6721,'automatic','automatic',0,0,0.6,'A3532',10),(6722,'automatic notice','automatic notice',0,1,1.5333,'A3532532',10),(6723,'igk tablet will','igk tablet will',0,1,1.5,'I231434',3),(6724,'of the igk','of the igk',0,1,1.3333,'O132',5),(6725,'owners','owners',0,0,0.4,'O562',5),(6726,'owners of','owners of',0,1,1.3,'O5621',5),(6727,'owners of the','owners of the',0,1,1.4333,'O56213',5),(6728,'receive','receive',0,0,0.4667,'R210',10),(6729,'receive an','receive an',0,1,1.3333,'R215',10),(6730,'receive an automatic','receive an automatic',0,1,1.6667,'R2153532',10),(6731,'tablet will','tablet will',0,1,1.3667,'T1434',3),(6732,'tablet will receive','tablet will receive',0,1,1.6333,'T1434621',3),(6733,'will receive','will receive',0,1,1.4,'W4621',3),(6734,'will receive an','will receive an',0,1,1.5,'W46215',3),(6735,'igk receive','igk receive',0,1,1.3667,'I2621',2),(6736,'igk receive an','igk receive an',0,1,1.4667,'I26215',2),(6737,'the igk receive','the igk receive',0,1,1.5,'T2621',2),(6738,'business reader','business reader',0,1,1.5,'B252636',7),(6739,'business reader application','business reader application',0,1,1.9,'B25263614235',7),(6740,'itech','itech',0,0,0.3333,'I320',10),(6741,'itech business','itech business',0,1,1.4667,'I321252',7),(6742,'itech business reader','itech business reader',0,1,1.7,'I321252636',7),(6743,'support for android','support for android',0,1,1.6333,'S163165363',8),(6744,'vgbest tablet','vgbest tablet',0,1,1.4333,'V2123143',5),(6745,'itech reader','itech reader',0,1,1.4,'I32636',8),(6746,'itech reader application','itech reader application',0,1,1.8,'I3263614235',8),(6747,'management','management',0,0,0.6667,'M253',8),(6748,'management cloud','management cloud',0,1,1.5333,'M253243',8),(6749,'management cloud platform','management cloud platform',0,1,1.8333,'M253243143165',8),(6750,'a design','a design',0,1,1.2667,'A325',11),(6751,'a design visible','a design visible',0,1,1.5333,'A3251214',2),(6752,'a page','a page',0,1,1.2,'A120',2),(6753,'a page suffix','a page suffix',0,1,1.4333,'A1212',2),(6754,'a special','a special',0,1,1.3,'A2124',3),(6755,'a special design','a special design',0,1,1.5333,'A2124325',2),(6756,'a white','a white',0,1,1.2333,'A300',2),(6757,'a white module','a white module',0,1,1.4667,'A3534',2),(6758,'achieve','achieve',0,0,0.4667,'A210',5),(6759,'achieve transparent','achieve transparent',0,1,1.6333,'A2136521653',2),(6760,'achieve transparent background','achieve transparent background',0,1,2,'A213652165312653',2),(6761,'adding','adding',0,0,0.4,'A352',3),(6762,'adding the','adding the',0,1,1.3333,'A3523',2),(6763,'adding the horizontal','adding the horizontal',0,1,1.7,'A352362534',2),(6764,'additionaly','additionaly',0,0,0.7333,'A354',3),(6765,'additionaly with','additionaly with',0,1,1.5333,'A3543',2),(6766,'additionaly with news','additionaly with news',0,1,1.7,'A354352',2),(6767,'advertisement','advertisement',0,0,0.8667,'A3163253',2),(6768,'advertisement suffix','advertisement suffix',0,1,1.6667,'A3163253212',2),(6769,'advertisement suffix can','advertisement suffix can',0,1,1.8,'A31632532125',2),(6770,'also','also',0,0,0.2667,'A420',211),(6771,'also on','also on',0,1,1.2333,'A425',2),(6772,'also on the','also on the',0,1,1.3667,'A4253',2),(6773,'and adding','and adding',0,1,1.3333,'A5352',2),(6774,'and adding the','and adding the',0,1,1.4667,'A53523',2),(6775,'and advertisement','and advertisement',0,1,1.5667,'A53163253',2),(6776,'and advertisement suffix','and advertisement suffix',0,1,1.8,'A53163253212',2),(6777,'and also','and also',0,1,1.2667,'A5342',2),(6778,'and also on','and also on',0,1,1.3667,'A53425',2),(6779,'and left','and left',0,1,1.2667,'A53413',2),(6780,'and left column','and left column',0,1,1.5,'A53413245',2),(6781,'and on','and on',0,1,1.2,'A535',6),(6782,'and on the','and on the',0,1,1.3333,'A5353',6),(6783,'and tabs','and tabs',0,1,1.2667,'A5312',2),(6784,'and tabs gk4','and tabs gk4',0,1,1.4,'A5312',2),(6785,'articles for','articles for',0,1,1.4,'A6324216',2),(6786,'articles for the','articles for the',0,1,1.5333,'A63242163',2),(6787,'as a','as a',0,1,1.1333,'A200',9),(6788,'as a white','as a white',0,1,1.3333,'A230',2),(6789,'as the','as the',0,1,1.2,'A230',14),(6790,'as the color2','as the color2',0,1,1.4333,'A23246',2),(6791,'background','background',0,0,0.6667,'B2653',6),(6792,'background on','background on',0,1,1.4333,'B26535',2),(6793,'background on the','background on the',0,1,1.5667,'B265353',2),(6794,'be used','be used',0,1,1.2333,'B230',6),(6795,'be used as','be used as',0,1,1.3333,'B232',2),(6796,'be used inside','be used inside',0,1,1.4667,'B23523',2),(6797,'between','between',0,0,0.4667,'B350',18),(6798,'between the','between the',0,1,1.3667,'B353',2),(6799,'between the articles','between the articles',0,1,1.6667,'B35363242',2),(6800,'big','big',0,0,0.2,'B200',30),(6801,'big suffix','big suffix',0,1,1.3333,'B212',5),(6802,'big suffix for','big suffix for',0,1,1.4667,'B21216',2),(6803,'bigger','bigger',0,0,0.4,'B260',5),(6804,'bigger titles','bigger titles',0,1,1.4333,'B26342',3),(6805,'bigger titles and','bigger titles and',0,1,1.5667,'B2634253',2),(6806,'border','border',0,0,0.4,'B636',15),(6807,'border dark','border dark',0,1,1.3667,'B636362',2),(6808,'border dark and','border dark and',0,1,1.5,'B63636253',2),(6809,'bottom7-12','bottom7-12',0,0,0.6667,'B350',2),(6810,'bottom7-12 module','bottom7-12 module',0,1,1.5667,'B3534',2),(6811,'bottom7-12 module positions','bottom7-12 module positions',0,1,1.9,'B353412352',2),(6812,'can be used','can be used',0,1,1.3667,'C5123',3),(6813,'cause','cause',0,0,0.3333,'C000',2),(6814,'cause a','cause a',0,1,1.2333,'C000',2),(6815,'cause a design','cause a design',0,1,1.4667,'C325',2),(6816,'cause bigger','cause bigger',0,1,1.4,'C126',2),(6817,'cause bigger titles','cause bigger titles',0,1,1.6333,'C126342',2),(6818,'color1','color1',0,0,0.4,'C460',4),(6819,'color1 suffix','color1 suffix',0,1,1.4333,'C46212',2),(6820,'color1 suffix can','color1 suffix can',0,1,1.5667,'C462125',2),(6821,'color2','color2',0,0,0.4,'C460',4),(6822,'color2 suffix','color2 suffix',0,1,1.4333,'C46212',2),(6823,'color2 suffix can','color2 suffix can',0,1,1.5667,'C462125',2),(6824,'color2 suffix the','color2 suffix the',0,1,1.5667,'C462123',2),(6825,'column inside','column inside',0,1,1.4333,'C4523',2),(6826,'column inside the','column inside the',0,1,1.5667,'C4523',2),(6827,'columns','columns',0,0,0.4667,'C452',12),(6828,'columns it','columns it',0,1,1.3333,'C4523',2),(6829,'columns it is','columns it is',0,1,1.4333,'C45232',2),(6830,'container','container',0,0,0.6,'C5356',18),(6831,'container and','container and',0,1,1.4333,'C535653',5),(6832,'container and also','container and also',0,1,1.6,'C53565342',2),(6833,'container and on','container and on',0,1,1.5333,'C5356535',2),(6834,'container you','container you',0,1,1.4333,'C5356',2),(6835,'container you have','container you have',0,1,1.6,'C53561',2),(6836,'content please','content please',0,1,1.4667,'C5353142',2),(6837,'content please remember','content please remember',0,1,1.7667,'C53531426516',2),(6838,'dark','dark',0,0,0.2667,'D620',4),(6839,'dark and','dark and',0,1,1.2667,'D6253',2),(6840,'dark and advertisement','dark and advertisement',0,1,1.7333,'D6253163253',2),(6841,'define','define',0,0,0.4,'D150',3),(6842,'define a','define a',0,1,1.2667,'D150',2),(6843,'define a page','define a page',0,1,1.4333,'D1512',2),(6844,'demo content please','demo content please',0,1,1.6333,'D525353142',2),(6845,'design in','design in',0,1,1.3,'D250',2),(6846,'design in the','design in the',0,1,1.4333,'D253',2),(6847,'design visible','design visible',0,1,1.4667,'D251214',2),(6848,'design visible on','design visible on',0,1,1.5667,'D2512145',2),(6849,'for the','for the',0,1,1.2333,'F630',233),(6850,'for the homepage','for the homepage',0,1,1.5333,'F63512',2),(6851,'for the standard','for the standard',0,1,1.5333,'F63235363',2),(6852,'for the tabs','for the tabs',0,1,1.4,'F6312',7),(6853,'gk4 and','gk4 and',0,1,1.2333,'G530',2),(6854,'gk4 and tabs','gk4 and tabs',0,1,1.4,'G5312',2),(6855,'gk4 module this','gk4 module this',0,1,1.5,'G53432',2),(6856,'gk4 modules','gk4 modules',0,1,1.3667,'G5342',6),(6857,'gk4 modules has','gk4 modules has',0,1,1.5,'G5342',2),(6858,'gkcontent','gkcontent',0,0,0.6,'G5353',4),(6859,'gkcontent container','gkcontent container',0,1,1.6333,'G535325356',2),(6860,'gkcontent container and','gkcontent container and',0,1,1.7667,'G53532535653',2),(6861,'gkcontent container you','gkcontent container you',0,1,1.7667,'G535325356',2),(6862,'has a special','has a special',0,1,1.4333,'H2124',2),(6863,'have to define','have to define',0,1,1.4667,'H1315',2),(6864,'header','header',0,0,0.4,'H360',26),(6865,'header additionaly','header additionaly',0,1,1.6,'H36354',2),(6866,'header additionaly with','header additionaly with',0,1,1.7667,'H363543',2),(6867,'homepage menu','homepage menu',0,1,1.4333,'H5125',2),(6868,'homepage menu item','homepage menu item',0,1,1.6,'H512535',2),(6869,'homepage of','homepage of',0,1,1.3667,'H5121',2),(6870,'homepage of the','homepage of the',0,1,1.5,'H51213',2),(6871,'horizontal lines','horizontal lines',0,1,1.5333,'H6253452',2),(6872,'horizontal lines between','horizontal lines between',0,1,1.8,'H6253452135',2),(6873,'in the nsp','in the nsp',0,1,1.3333,'I53521',4),(6874,'increase','increase',0,0,0.5333,'I5262',2),(6875,'increase the','increase the',0,1,1.4,'I52623',2),(6876,'increase the size','increase the size',0,1,1.5667,'I526232',2),(6877,'inside','inside',0,0,0.4,'I523',35),(6878,'inside the','inside the',0,1,1.3333,'I523',28),(6879,'inside the columns','inside the columns',0,1,1.6,'I5232452',2),(6880,'inside the gkcontent','inside the gkcontent',0,1,1.6667,'I52325353',4),(6881,'is rendered','is rendered',0,1,1.3667,'I265363',2),(6882,'is rendered as','is rendered as',0,1,1.4667,'I2653632',2),(6883,'it cause','it cause',0,1,1.2667,'I320',2),(6884,'it cause bigger','it cause bigger',0,1,1.5,'I32126',2),(6885,'it is rendered','it is rendered',0,1,1.4667,'I3265363',2),(6886,'left column inside','left column inside',0,1,1.6,'L1324523',2),(6887,'lines','lines',0,0,0.3333,'L520',2),(6888,'lines between','lines between',0,1,1.4333,'L52135',2),(6889,'lines between the','lines between the',0,1,1.5667,'L521353',2),(6890,'menu item','menu item',0,1,1.3,'M350',3),(6891,'module header','module header',0,1,1.4333,'M3436',2),(6892,'module header additionaly','module header additionaly',0,1,1.8333,'M3436354',2),(6893,'module it','module it',0,1,1.3,'M343',2),(6894,'module it cause','module it cause',0,1,1.5,'M3432',2),(6895,'module options the','module options the',0,1,1.6,'M3413523',5),(6896,'module positions the','module positions the',0,1,1.6667,'M34123523',9),(6897,'module the','module the',0,1,1.3333,'M343',4),(6898,'module the border','module the border',0,1,1.5667,'M3431636',2),(6899,'module this','module this',0,1,1.3667,'M3432',2),(6900,'module this suffix','module this suffix',0,1,1.6,'M343212',2),(6901,'module variations','module variations',0,1,1.5667,'M3416352',24),(6902,'modules','modules',0,0,0.4667,'M342',21),(6903,'modules has','modules has',0,1,1.3667,'M342',2),(6904,'modules has a','modules has a',0,1,1.4333,'M342',2),(6905,'modules increase','modules increase',0,1,1.5333,'M3425262',2),(6906,'modules increase the','modules increase the',0,1,1.6667,'M34252623',2),(6907,'nobg','nobg',0,0,0.2667,'N120',4),(6908,'nobg for','nobg for',0,1,1.2667,'N1216',2),(6909,'nobg for the','nobg for the',0,1,1.4,'N12163',2),(6910,'nsp module','nsp module',0,1,1.3333,'N21534',16),(6911,'nsp module it','nsp module it',0,1,1.4333,'N215343',2),(6912,'of the demo','of the demo',0,1,1.3667,'O135',2),(6913,'of the module','of the module',0,1,1.4333,'O13534',2),(6914,'on the','on the',0,1,1.2,'O530',64),(6915,'on the bottom7-12','on the bottom7-12',0,1,1.5667,'O53135',2),(6916,'on the gkcontent','on the gkcontent',0,1,1.5333,'O5325353',2),(6917,'on the homepage','on the homepage',0,1,1.5,'O53512',7),(6918,'on the right','on the right',0,1,1.4,'O53623',3),(6919,'options the','options the',0,1,1.3667,'O13523',5),(6920,'options the color1','options the color1',0,1,1.6,'O13523246',2),(6921,'order to achieve','order to achieve',0,1,1.5333,'O636321',2),(6922,'page suffix','page suffix',0,1,1.3667,'P212',10),(6923,'page suffix nobg','page suffix nobg',0,1,1.5333,'P212512',3),(6924,'please remember that','please remember that',0,1,1.6667,'P4265163',5),(6925,'positions the','positions the',0,1,1.4333,'P23523',9),(6926,'positions the color2','positions the color2',0,1,1.6667,'P23523246',2),(6927,'pro gk4 and','pro gk4 and',0,1,1.3667,'P6253',2),(6928,'remember that','remember that',0,1,1.4333,'R5163',5),(6929,'remember that in','remember that in',0,1,1.5333,'R51635',2),(6930,'rendered','rendered',0,0,0.5333,'R5363',2),(6931,'rendered as','rendered as',0,1,1.3667,'R53632',2),(6932,'rendered as a','rendered as a',0,1,1.4333,'R53632',2),(6933,'right and','right and',0,1,1.3,'R2353',2),(6934,'right and left','right and left',0,1,1.4667,'R2353413',2),(6935,'size','size',0,0,0.2667,'S000',7),(6936,'size of','size of',0,1,1.2333,'S100',2),(6937,'size of the','size of the',0,1,1.3667,'S130',2),(6938,'special','special',0,0,0.4667,'S124',52),(6939,'special design','special design',0,1,1.4667,'S124325',2),(6940,'special design in','special design in',0,1,1.5667,'S124325',2),(6941,'standard modules','standard modules',0,1,1.5333,'S353635342',2),(6942,'standard modules increase','standard modules increase',0,1,1.8333,'S3536353425262',2),(6943,'suffix can','suffix can',0,1,1.3333,'S125',2),(6944,'suffix can be','suffix can be',0,1,1.4333,'S1251',2),(6945,'suffix cause','suffix cause',0,1,1.4,'S120',2),(6946,'suffix cause a','suffix cause a',0,1,1.4667,'S120',2),(6947,'suffix for','suffix for',0,1,1.3333,'S1216',3),(6948,'suffix for the','suffix for the',0,1,1.4667,'S12163',2),(6949,'suffix nobg','suffix nobg',0,1,1.3667,'S12512',3),(6950,'suffix nobg for','suffix nobg for',0,1,1.5,'S1251216',2),(6951,'suffix the','suffix the',0,1,1.3333,'S123',3),(6952,'suffix the big','suffix the big',0,1,1.4667,'S12312',2),(6953,'tabs','tabs',0,0,0.2667,'T120',18),(6954,'tabs gk4','tabs gk4',0,1,1.2667,'T120',7),(6955,'tabs gk4 module','tabs gk4 module',0,1,1.5,'T12534',7),(6956,'tabs gk4 modules','tabs gk4 modules',0,1,1.5333,'T125342',2),(6957,'the articles','the articles',0,1,1.4,'T63242',2),(6958,'the articles for','the articles for',0,1,1.5333,'T6324216',2),(6959,'the big','the big',0,1,1.2333,'T120',11),(6960,'the big suffix','the big suffix',0,1,1.4667,'T1212',5),(6961,'the border','the border',0,1,1.3333,'T1636',2),(6962,'the border dark','the border dark',0,1,1.5,'T1636362',2),(6963,'the bottom7-12','the bottom7-12',0,1,1.4667,'T135',2),(6964,'the bottom7-12 module','the bottom7-12 module',0,1,1.7,'T13534',2),(6965,'the color1','the color1',0,1,1.3333,'T246',2),(6966,'the color1 suffix','the color1 suffix',0,1,1.5667,'T246212',2),(6967,'the color2','the color2',0,1,1.3333,'T246',2),(6968,'the color2 suffix','the color2 suffix',0,1,1.5667,'T246212',2),(6969,'the columns','the columns',0,1,1.3667,'T2452',2),(6970,'the columns it','the columns it',0,1,1.4667,'T24523',2),(6971,'the demo','the demo',0,1,1.2667,'T500',5),(6972,'the demo content','the demo content',0,1,1.5333,'T525353',2),(6973,'the gkcontent','the gkcontent',0,1,1.4333,'T25353',4),(6974,'the gkcontent container','the gkcontent container',0,1,1.7667,'T2535325356',2),(6975,'the homepage','the homepage',0,1,1.4,'T512',7),(6976,'the homepage menu','the homepage menu',0,1,1.5667,'T5125',2),(6977,'the homepage of','the homepage of',0,1,1.5,'T5121',2),(6978,'the horizontal','the horizontal',0,1,1.4667,'T62534',5),(6979,'the horizontal lines','the horizontal lines',0,1,1.6667,'T6253452',2),(6980,'the module','the module',0,1,1.3333,'T534',11),(6981,'the module header','the module header',0,1,1.5667,'T53436',2),(6982,'the nsp','the nsp',0,1,1.2333,'T521',5),(6983,'the nsp module','the nsp module',0,1,1.4667,'T521534',3),(6984,'the right','the right',0,1,1.3,'T623',6),(6985,'the right and','the right and',0,1,1.4333,'T62353',2),(6986,'the size','the size',0,1,1.2667,'T200',2),(6987,'the size of','the size of',0,1,1.3667,'T210',2),(6988,'the standard','the standard',0,1,1.4,'T235363',2),(6989,'the standard modules','the standard modules',0,1,1.6667,'T2353635342',2),(6990,'the tabs','the tabs',0,1,1.2667,'T120',14),(6991,'the tabs gk4','the tabs gk4',0,1,1.4,'T120',7),(6992,'this suffix','this suffix',0,1,1.3667,'T212',17),(6993,'this suffix cause','this suffix cause',0,1,1.5667,'T212',2),(6994,'titles','titles',0,0,0.4,'T420',5),(6995,'titles and','titles and',0,1,1.3333,'T4253',2),(6996,'titles and adding','titles and adding',0,1,1.5667,'T425352',2),(6997,'to achieve','to achieve',0,1,1.3333,'T210',5),(6998,'to achieve transparent','to achieve transparent',0,1,1.7333,'T2136521653',2),(6999,'to define','to define',0,1,1.3,'T150',2),(7000,'to define a','to define a',0,1,1.3667,'T150',2),(7001,'transparent','transparent',0,0,0.7333,'T6521653',2),(7002,'transparent background','transparent background',0,1,1.7333,'T652165312653',2),(7003,'transparent background on','transparent background on',0,1,1.8333,'T6521653126535',2),(7004,'used as','used as',0,1,1.2333,'U232',7),(7005,'used as the','used as the',0,1,1.3667,'U2323',2),(7006,'used inside','used inside',0,1,1.3667,'U23523',2),(7007,'used inside the','used inside the',0,1,1.5,'U23523',2),(7008,'variations','variations',0,0,0.6667,'V6352',24),(7009,'visible','visible',0,0,0.4667,'V214',7),(7010,'visible on','visible on',0,1,1.3333,'V2145',2),(7011,'visible on the','visible on the',0,1,1.4667,'V21453',2),(7012,'white','white',0,0,0.3333,'W300',11),(7013,'white module','white module',0,1,1.4,'W3534',2),(7014,'white module the','white module the',0,1,1.5333,'W35343',2),(7015,'with news','with news',0,1,1.3,'W352',2),(7016,'with news show','with news show',0,1,1.4667,'W352',2),(7017,'8 tabs','8 tabs',0,1,1.2,'T120',1),(7018,'additionaly in','additionaly in',0,1,1.4667,'A3545',1),(7019,'additionaly in order','additionaly in order',0,1,1.6667,'A3545636',1),(7020,'be edited','be edited',0,1,1.3,'B300',1),(7021,'be edited we','be edited we',0,1,1.4,'B300',1),(7022,'change','change',0,0,0.4,'C520',2),(7023,'change the','change the',0,1,1.3333,'C523',2),(7024,'change the tabs','change the tabs',0,1,1.5,'C52312',1),(7025,'design the','design the',0,1,1.3333,'D253',1),(7026,'design the tabs','design the tabs',0,1,1.5,'D25312',1),(7027,'edited','edited',0,0,0.4,'E300',1),(7028,'edited we','edited we',0,1,1.3,'E300',1),(7029,'edited we have','edited we have',0,1,1.4667,'E310',1),(7030,'elements psd','elements psd',0,1,1.4,'E4532123',1),(7031,'elements psd file','elements psd file',0,1,1.5667,'E453212314',1),(7032,'file should','file should',0,1,1.3667,'F4243',1),(7033,'file should be','file should be',0,1,1.4667,'F42431',1),(7034,'for 8','for 8',0,1,1.1667,'F600',1),(7035,'for 8 tabs','for 8 tabs',0,1,1.3333,'F6312',1),(7036,'graphics','graphics',0,0,0.5333,'G612',1),(7037,'graphics for','graphics for',0,1,1.4,'G61216',1),(7038,'graphics for 8','graphics for 8',0,1,1.4667,'G61216',1),(7039,'have prepared','have prepared',0,1,1.4333,'H16163',6),(7040,'have prepared graphics','have prepared graphics',0,1,1.7333,'H161632612',1),(7041,'icons in','icons in',0,1,1.2667,'I2525',1),(7042,'icons in the','icons in the',0,1,1.4,'I25253',1),(7043,'in the interface','in the interface',0,1,1.5333,'I5353612',1),(7044,'interface','interface',0,0,0.6,'I53612',4),(7045,'interface elements','interface elements',0,1,1.6,'I536124532',1),(7046,'interface elements psd','interface elements psd',0,1,1.7333,'I536124532123',1),(7047,'item additionaly','item additionaly',0,1,1.5333,'I35354',1),(7048,'item additionaly in','item additionaly in',0,1,1.6333,'I353545',1),(7049,'menu item additionaly','menu item additionaly',0,1,1.7,'M35354',1),(7050,'order to change','order to change',0,1,1.5,'O6363252',1),(7051,'prepared','prepared',0,0,0.5333,'P6163',6),(7052,'prepared graphics','prepared graphics',0,1,1.5667,'P61632612',1),(7053,'prepared graphics for','prepared graphics for',0,1,1.7,'P6163261216',1),(7054,'psd','psd',0,0,0.2,'P230',1),(7055,'psd file','psd file',0,1,1.2667,'P2314',1),(7056,'psd file should','psd file should',0,1,1.5,'P2314243',1),(7057,'should','should',0,0,0.4,'S430',33),(7058,'should be','should be',0,1,1.3,'S431',18),(7059,'should be edited','should be edited',0,1,1.5333,'S4313',1),(7060,'tabs design','tabs design',0,1,1.3667,'T12325',1),(7061,'tabs design the','tabs design the',0,1,1.5,'T123253',1),(7062,'tabs icons','tabs icons',0,1,1.3333,'T1252',1),(7063,'tabs icons in','tabs icons in',0,1,1.4333,'T12525',1),(7064,'the interface','the interface',0,1,1.4333,'T53612',1),(7065,'the interface elements','the interface elements',0,1,1.7333,'T536124532',1),(7066,'the tabs design','the tabs design',0,1,1.5,'T12325',1),(7067,'the tabs icons','the tabs icons',0,1,1.4667,'T1252',1),(7068,'to change','to change',0,1,1.3,'T252',2),(7069,'to change the','to change the',0,1,1.4333,'T2523',2),(7070,'we have','we have',0,1,1.2333,'W100',6),(7071,'we have prepared','we have prepared',0,1,1.5333,'W16163',6),(7072,'class gkrss','class gkrss',0,1,1.3667,'C4262',7),(7073,'class gkrss rss','class gkrss rss',0,1,1.5,'C426262',6),(7074,'elements facebook twitter','elements facebook twitter',0,1,1.8333,'E4532121236',21),(7075,'facebook twitter','facebook twitter',0,1,1.5333,'F21236',28),(7076,'facebook twitter rss','facebook twitter rss',0,1,1.6667,'F212362',6),(7077,'gkrss','gkrss',0,0,0.3333,'G620',7),(7078,'gkrss rss','gkrss rss',0,1,1.3,'G6262',6),(7079,'gkrss rss a','gkrss rss a',0,1,1.3667,'G6262',6),(7080,'href class gkrss','href class gkrss',0,1,1.5333,'H6124262',6),(7081,'rss a','rss a',0,1,1.1667,'R200',17),(7082,'rss a href','rss a href',0,1,1.3333,'R261',9),(7083,'twitter rss','twitter rss',0,1,1.3667,'T620',6),(7084,'twitter rss a','twitter rss a',0,1,1.4333,'T620',6),(7085,'a on','a on',0,1,1.1333,'A500',5),(7086,'a on the','a on the',0,1,1.2667,'A530',5),(7087,'amet h1','amet h1',0,1,1.2333,'A530',5),(7088,'amet h1 for','amet h1 for',0,1,1.3667,'A5316',5),(7089,'and h2.gktypo','and h2.gktypo',0,1,1.4333,'A53231',5),(7090,'and h2.gktypo headers','and h2.gktypo headers',0,1,1.7,'A53231362',5),(7091,'as lorem','as lorem',0,1,1.2667,'A2465',5),(7092,'as lorem ipsum','as lorem ipsum',0,1,1.4667,'A2465125',5),(7093,'banner','banner',0,0,0.4,'B560',12),(7094,'banner positions','banner positions',0,1,1.5333,'B5612352',5),(7095,'banner positions you','banner positions you',0,1,1.6667,'B5612352',5),(7096,'be visible','be visible',0,1,1.3333,'B214',5),(7097,'be visible as','be visible as',0,1,1.4333,'B2142',5),(7098,'big module','big module',0,1,1.3333,'B2534',5),(7099,'big module suffix','big module suffix',0,1,1.5667,'B2534212',5),(7100,'can use the','can use the',0,1,1.3667,'C523',5),(7101,'class gktypo','class gktypo',0,1,1.4,'C4231',5),(7102,'class gktypo dolor','class gktypo dolor',0,1,1.6,'C4231346',5),(7103,'class gktypo lorem','class gktypo lorem',0,1,1.6,'C4231465',5),(7104,'class tabcontent','class tabcontent',0,1,1.5333,'C423125353',5),(7105,'class tabcontent maecenas','class tabcontent maecenas',0,1,1.8333,'C4231253535252',5),(7106,'class tabimage','class tabimage',0,1,1.4667,'C423152',5),(7107,'class tabimage gktab-1','class tabimage gktab-1',0,1,1.7333,'C42315231',5),(7108,'class tabtitle','class tabtitle',0,1,1.4667,'C423134',5),(7109,'class tabtitle span','class tabtitle span',0,1,1.6333,'C423134215',5),(7110,'content div','content div',0,1,1.3667,'C53531',6),(7111,'content div class','content div class',0,1,1.5667,'C53531242',5),(7112,'div class tabimage','div class tabimage',0,1,1.6,'D12423152',5),(7113,'div h2','div h2',0,1,1.2,'D100',6),(7114,'div h2 class','div h2 class',0,1,1.4,'D1242',5),(7115,'dolor h2','dolor h2',0,1,1.2667,'D460',5),(7116,'dolor h2 p','dolor h2 p',0,1,1.3333,'D461',5),(7117,'dolor maecenas sed','dolor maecenas sed',0,1,1.6,'D4652523',6),(7118,'euismod semper maecenas','euismod semper maecenas',0,1,1.7667,'E25325165252',6),(7119,'euismod semper p','euismod semper p',0,1,1.5333,'E25325161',5),(7120,'following structure','following structure',0,1,1.6333,'F45236236',12),(7121,'following structure for','following structure for',0,1,1.7667,'F4523623616',5),(7122,'gk4 module with','gk4 module with',0,1,1.5,'G5343',5),(7123,'gktab-1','gktab-1',0,0,0.4667,'G310',5),(7124,'gktab-1 div','gktab-1 div',0,1,1.3667,'G3131',5),(7125,'gktab-1 div h2','gktab-1 div h2',0,1,1.4667,'G3131',5),(7126,'gktypo','gktypo',0,0,0.4,'G310',5),(7127,'gktypo dolor','gktypo dolor',0,1,1.4,'G31346',5),(7128,'gktypo dolor sit','gktypo dolor sit',0,1,1.5333,'G3134623',5),(7129,'gktypo lorem','gktypo lorem',0,1,1.4,'G31465',5),(7130,'gktypo lorem ipsum','gktypo lorem ipsum',0,1,1.6,'G31465125',5),(7131,'h1','h1',0,0,0.1333,'H000',15),(7132,'h1 class','h1 class',0,1,1.2667,'H242',5),(7133,'h1 class gktypo','h1 class gktypo',0,1,1.5,'H24231',5),(7134,'h1 for','h1 for',0,1,1.2,'H160',5),(7135,'h1 for the','h1 for the',0,1,1.3333,'H163',5),(7136,'h1 h2','h1 h2',0,1,1.1667,'H000',10),(7137,'h1 h2 class','h1 h2 class',0,1,1.3667,'H242',5),(7138,'h1.gktypo','h1.gktypo',0,0,0.6,'H231',5),(7139,'h1.gktypo and','h1.gktypo and',0,1,1.4333,'H23153',5),(7140,'h1.gktypo and h2.gktypo','h1.gktypo and h2.gktypo',0,1,1.7667,'H23153231',5),(7141,'h2','h2',0,0,0.1333,'H000',19),(7142,'h2 class','h2 class',0,1,1.2667,'H242',14),(7143,'h2 class gktypo','h2 class gktypo',0,1,1.5,'H24231',5),(7144,'h2 class tabtitle','h2 class tabtitle',0,1,1.5667,'H2423134',5),(7145,'h2 p','h2 p',0,1,1.1333,'H100',6),(7146,'h2 p class','h2 p class',0,1,1.3333,'H1242',5),(7147,'h2.gktypo','h2.gktypo',0,0,0.6,'H231',5),(7148,'h2.gktypo headers','h2.gktypo headers',0,1,1.5667,'H231362',5),(7149,'h2.gktypo headers h1','h2.gktypo headers h1',0,1,1.6667,'H231362',5),(7150,'headers','headers',0,0,0.4667,'H362',16),(7151,'headers h1','headers h1',0,1,1.3333,'H362',5),(7152,'headers h1 class','headers h1 class',0,1,1.5333,'H36242',5),(7153,'in the typography','in the typography',0,1,1.5667,'I531261',5),(7154,'ipsum dolor h2','ipsum dolor h2',0,1,1.4667,'I125346',5),(7155,'ipsum dolor maecenas','ipsum dolor maecenas',0,1,1.6667,'I1253465252',6),(7156,'ipsum h1','ipsum h1',0,1,1.2667,'I125',5),(7157,'ipsum h1 h2','ipsum h1 h2',0,1,1.3667,'I125',5),(7158,'it will','it will',0,1,1.2333,'I340',13),(7159,'it will be','it will be',0,1,1.3333,'I341',5),(7160,'lorem ipsum h1','lorem ipsum h1',0,1,1.4667,'L65125',5),(7161,'lorem span','lorem span',0,1,1.3333,'L65215',5),(7162,'lorem span ipsum','lorem span ipsum',0,1,1.5333,'L65215125',5),(7163,'magna vestibulum','magna vestibulum',0,1,1.5333,'M25123145',6),(7164,'magna vestibulum id','magna vestibulum id',0,1,1.6333,'M251231453',6),(7165,'module suffix','module suffix',0,1,1.4333,'M34212',5),(7166,'module suffix we','module suffix we',0,1,1.5333,'M34212',5),(7167,'module with','module with',0,1,1.3667,'M343',19),(7168,'module with the','module with the',0,1,1.5,'M343',6),(7169,'non magna vestibulum','non magna vestibulum',0,1,1.6667,'N25123145',6),(7170,'on the banner','on the banner',0,1,1.4333,'O53156',5),(7171,'p class tabcontent','p class tabcontent',0,1,1.6,'P2423125353',5),(7172,'p it','p it',0,1,1.1333,'P300',5),(7173,'p it will','p it will',0,1,1.3,'P340',5),(7174,'positions you','positions you',0,1,1.4333,'P2352',5),(7175,'positions you can','positions you can',0,1,1.5667,'P23525',5),(7176,'recommend','recommend',0,0,0.6,'R253',23),(7177,'recommend to','recommend to',0,1,1.4,'R253',23),(7178,'recommend to use','recommend to use',0,1,1.5333,'R2532',13),(7179,'rss a on','rss a on',0,1,1.2667,'R250',5),(7180,'semper maecenas','semper maecenas',0,1,1.5,'S5165252',6),(7181,'semper maecenas sed','semper maecenas sed',0,1,1.6333,'S51652523',6),(7182,'semper p','semper p',0,1,1.2667,'S5161',5),(7183,'semper p it','semper p it',0,1,1.3667,'S51613',5),(7184,'sit amet h1','sit amet h1',0,1,1.3667,'S353',5),(7185,'span ipsum','span ipsum',0,1,1.3333,'S15125',5),(7186,'span ipsum dolor','span ipsum dolor',0,1,1.5333,'S15125346',5),(7187,'span lorem span','span lorem span',0,1,1.5,'S15465215',5),(7188,'structure for','structure for',0,1,1.4333,'S3623616',5),(7189,'structure for the','structure for the',0,1,1.5667,'S36236163',5),(7190,'suffix we','suffix we',0,1,1.3,'S120',5),(7191,'suffix we recommend','suffix we recommend',0,1,1.6333,'S126253',5),(7192,'tabcontent','tabcontent',0,0,0.6667,'T125353',5),(7193,'tabcontent maecenas','tabcontent maecenas',0,1,1.6333,'T1253535252',5),(7194,'tabcontent maecenas sed','tabcontent maecenas sed',0,1,1.7667,'T12535352523',5),(7195,'tabimage','tabimage',0,0,0.5333,'T152',5),(7196,'tabimage gktab-1','tabimage gktab-1',0,1,1.5333,'T15231',5),(7197,'tabimage gktab-1 div','tabimage gktab-1 div',0,1,1.6667,'T1523131',5),(7198,'tabs content','tabs content',0,1,1.4,'T125353',5),(7199,'tabs content div','tabs content div',0,1,1.5333,'T1253531',5),(7200,'tabtitle','tabtitle',0,0,0.5333,'T134',5),(7201,'tabtitle span','tabtitle span',0,1,1.4333,'T134215',5),(7202,'tabtitle span lorem','tabtitle span lorem',0,1,1.6333,'T134215465',5),(7203,'the banner','the banner',0,1,1.3333,'T156',6),(7204,'the banner positions','the banner positions',0,1,1.6667,'T15612352',5),(7205,'the big module','the big module',0,1,1.4667,'T12534',5),(7206,'the following structure','the following structure',0,1,1.7667,'T145236236',9),(7207,'the h1.gktypo','the h1.gktypo',0,1,1.4333,'T231',5),(7208,'the h1.gktypo and','the h1.gktypo and',0,1,1.5667,'T23153',5),(7209,'the tabs content','the tabs content',0,1,1.5333,'T125353',5),(7210,'the typography','the typography',0,1,1.4667,'T1261',5),(7211,'the typography the','the typography the',0,1,1.6,'T12613',5),(7212,'to use in','to use in',0,1,1.3,'T250',5),(7213,'typography the','typography the',0,1,1.4667,'T12613',5),(7214,'typography the following','typography the following',0,1,1.8,'T126131452',5),(7215,'use in','use in',0,1,1.2,'U250',5),(7216,'use in the','use in the',0,1,1.3333,'U253',5),(7217,'use the','use the',0,1,1.2333,'U230',23),(7218,'use the h1.gktypo','use the h1.gktypo',0,1,1.5667,'U23231',5),(7219,'visible as','visible as',0,1,1.3333,'V2142',5),(7220,'visible as lorem','visible as lorem',0,1,1.5333,'V2142465',5),(7221,'we recommend','we recommend',0,1,1.4,'W6253',23),(7222,'we recommend to','we recommend to',0,1,1.5,'W6253',23),(7223,'will be','will be',0,1,1.2333,'W410',16),(7224,'will be visible','will be visible',0,1,1.5,'W41214',5),(7225,'with the','with the',0,1,1.2667,'W300',39),(7226,'with the big','with the big',0,1,1.4,'W312',6),(7227,'can use class','can use class',0,1,1.4333,'C5242',6),(7228,'class gktab-1','class gktab-1',0,1,1.4333,'C4231',3),(7229,'class gktab-1 gktab-8','class gktab-1 gktab-8',0,1,1.7,'C4231231',3),(7230,'euismod semper for','euismod semper for',0,1,1.6,'E253251616',4),(7231,'euismod semper lorem','euismod semper lorem',0,1,1.6667,'E2532516465',4),(7232,'for the image','for the image',0,1,1.4333,'F6352',5),(7233,'gktab-1 gktab-8','gktab-1 gktab-8',0,1,1.5,'G31231',3),(7234,'gktab-1 gktab-8 lorem','gktab-1 gktab-8 lorem',0,1,1.7,'G31231465',3),(7235,'gktab-8','gktab-8',0,0,0.4667,'G310',3),(7236,'gktab-8 lorem','gktab-8 lorem',0,1,1.4333,'G31465',3),(7237,'gktab-8 lorem ipsum','gktab-8 lorem ipsum',0,1,1.6333,'G31465125',3),(7238,'image','image',0,0,0.3333,'I520',18),(7239,'in this structure','in this structure',0,1,1.5667,'I53236236',3),(7240,'semper for','semper for',0,1,1.3333,'S51616',4),(7241,'semper for the','semper for the',0,1,1.4667,'S516163',4),(7242,'semper lorem','semper lorem',0,1,1.4,'S516465',4),(7243,'semper lorem ipsum','semper lorem ipsum',0,1,1.6,'S516465125',4),(7244,'structure you','structure you',0,1,1.4333,'S36236',3),(7245,'structure you can','structure you can',0,1,1.5667,'S3623625',3),(7246,'the image','the image',0,1,1.3,'T520',10),(7247,'this structure','this structure',0,1,1.4667,'T236236',3),(7248,'this structure you','this structure you',0,1,1.6,'T236236',3),(7249,'use class','use class',0,1,1.3,'U242',6),(7250,'use class gktab-1','use class gktab-1',0,1,1.5667,'U24231',3),(7251,'aliquet etiam','aliquet etiam',0,1,1.4333,'A4235',2),(7252,'aliquet etiam porta','aliquet etiam porta',0,1,1.6333,'A4235163',2),(7253,'consectetur et fusce','consectetur et fusce',0,1,1.6667,'C5236312',2),(7254,'consequat vestibulum','consequat vestibulum',0,1,1.6667,'C523123145',2),(7255,'consequat vestibulum id','consequat vestibulum id',0,1,1.7667,'C5231231453',2),(7256,'cubilia curae nulla','cubilia curae nulla',0,1,1.6333,'C142654',2),(7257,'curae nulla','curae nulla',0,1,1.3667,'C654',2),(7258,'curae nulla vitae','curae nulla vitae',0,1,1.5667,'C65413',2),(7259,'egestas lorem','egestas lorem',0,1,1.4333,'E232465',2),(7260,'egestas lorem ipsum','egestas lorem ipsum',0,1,1.6333,'E232465125',2),(7261,'eget quam mauris','eget quam mauris',0,1,1.5333,'E232562',2),(7262,'et fusce','et fusce',0,1,1.2667,'E312',2),(7263,'et fusce id','et fusce id',0,1,1.3667,'E3123',2),(7264,'metus vivamus eget','metus vivamus eget',0,1,1.6,'M321523',2),(7265,'molestie venenatis donec','molestie venenatis donec',0,1,1.8,'M4231532352',2),(7266,'quam mauris','quam mauris',0,1,1.3667,'Q562',2),(7267,'quam mauris justo','quam mauris justo',0,1,1.5667,'Q5623',2),(7268,'turpis egestas lorem','turpis egestas lorem',0,1,1.6667,'T61232465',2),(7269,'velit aliquet etiam','velit aliquet etiam',0,1,1.6333,'V434235',2),(7270,'venenatis donec','venenatis donec',0,1,1.5,'V532352',2),(7271,'venenatis donec sed','venenatis donec sed',0,1,1.6333,'V5323523',2),(7272,'companys','companys',0,0,0.5333,'C5152',6),(7273,'companys mobility','companys mobility',0,1,1.5667,'C51525143',6),(7274,'dinner','dinner',0,0,0.4,'D560',17),(7275,'roast','roast',0,0,0.3333,'R230',17),(7276,'roast turkey','roast turkey',0,1,1.4,'R2362',17),(7277,'roast turkey dinner','roast turkey dinner',0,1,1.6333,'R2362356',17),(7278,'turkey','turkey',0,0,0.4,'T620',17),(7279,'turkey dinner','turkey dinner',0,1,1.4333,'T62356',17),(7280,'fresh','fresh',0,0,0.3333,'F620',56),(7281,'fresh mixed','fresh mixed',0,1,1.3667,'F62523',9),(7282,'fresh mixed vegetable','fresh mixed vegetable',0,1,1.7,'F6252312314',9),(7283,'mixed','mixed',0,0,0.3333,'M230',9),(7284,'mixed vegetable','mixed vegetable',0,1,1.5,'M2312314',9),(7285,'mixed vegetable salad','mixed vegetable salad',0,1,1.7,'M2312314243',9),(7286,'salad','salad',0,0,0.3333,'S430',52),(7287,'vegetable','vegetable',0,0,0.6,'V2314',27),(7288,'vegetable salad','vegetable salad',0,1,1.5,'V2314243',9),(7289,'and walnuts','and walnuts',0,1,1.3667,'A534532',10),(7290,'arugula','arugula',0,0,0.4667,'A624',10),(7291,'arugula and','arugula and',0,1,1.3667,'A62453',10),(7292,'arugula and walnuts','arugula and walnuts',0,1,1.6333,'A624534532',10),(7293,'avocado','avocado',0,0,0.4667,'A123',10),(7294,'avocado arugula','avocado arugula',0,1,1.5,'A123624',10),(7295,'avocado arugula and','avocado arugula and',0,1,1.6333,'A12362453',10),(7296,'mango','mango',0,0,0.3333,'M200',10),(7297,'mango avocado','mango avocado',0,1,1.4333,'M2123',10),(7298,'mango avocado arugula','mango avocado arugula',0,1,1.7,'M2123624',10),(7299,'salad with','salad with',0,1,1.3333,'S430',20),(7300,'salad with mango','salad with mango',0,1,1.5333,'S4352',10),(7301,'walnuts','walnuts',0,0,0.4667,'W4532',10),(7302,'with mango','with mango',0,1,1.3333,'W352',10),(7303,'with mango avocado','with mango avocado',0,1,1.6,'W352123',10),(7304,'fresh vegetable','fresh vegetable',0,1,1.5,'F6212314',11),(7305,'fresh vegetable spring','fresh vegetable spring',0,1,1.7333,'F621231421652',11),(7306,'spring','spring',0,0,0.4,'S1652',37),(7307,'spring roll','spring roll',0,1,1.3667,'S165264',11),(7308,'vegetable spring','vegetable spring',0,1,1.5333,'V231421652',11),(7309,'vegetable spring roll','vegetable spring roll',0,1,1.7,'V23142165264',11),(7310,'and cauliflower','and cauliflower',0,1,1.5,'A5324146',7),(7311,'and cauliflower gratin','and cauliflower gratin',0,1,1.7333,'A53241462635',7),(7312,'broccoli','broccoli',0,0,0.5333,'B624',7),(7313,'broccoli and','broccoli and',0,1,1.4,'B62453',7),(7314,'broccoli and cauliflower','broccoli and cauliflower',0,1,1.8,'B6245324146',7),(7315,'cauliflower','cauliflower',0,0,0.7333,'C4146',7),(7316,'cauliflower gratin','cauliflower gratin',0,1,1.6,'C41462635',7),(7317,'gratin','gratin',0,0,0.4,'G635',7),(7318,'grilled','grilled',0,0,0.4667,'G643',54),(7319,'grilled steak','grilled steak',0,1,1.4333,'G643232',7),(7320,'grilled steak with','grilled steak with',0,1,1.6,'G6432323',7),(7321,'steak','steak',0,0,0.3333,'S320',43),(7322,'steak with','steak with',0,1,1.3333,'S323',7),(7323,'steak with salad','steak with salad',0,1,1.5333,'S323243',7),(7324,'succulent','succulent',0,0,0.6,'S453',7),(7325,'succulent grilled','succulent grilled',0,1,1.5667,'S4532643',7),(7326,'succulent grilled steak','succulent grilled steak',0,1,1.7667,'S4532643232',7),(7327,'with salad','with salad',0,1,1.3333,'W3243',7),(7328,'noodles','noodles',0,0,0.4667,'N342',5),(7329,'noodles with','noodles with',0,1,1.4,'N3423',5),(7330,'noodles with shrimp','noodles with shrimp',0,1,1.6333,'N34232651',3),(7331,'pad','pad',0,0,0.2,'P300',5),(7332,'pad thai','pad thai',0,1,1.2667,'P300',5),(7333,'pad thai noodles','pad thai noodles',0,1,1.5333,'P35342',5),(7334,'shrimp','shrimp',0,0,0.4,'S651',5),(7335,'thai','thai',0,0,0.2667,'T000',13),(7336,'thai noodles','thai noodles',0,1,1.4,'T5342',5),(7337,'thai noodles with','thai noodles with',0,1,1.5667,'T53423',5),(7338,'with shrimp','with shrimp',0,1,1.3667,'W32651',3),(7339,'chicken','chicken',0,0,0.4667,'C500',19),(7340,'chicken curry','chicken curry',0,1,1.4333,'C526',5),(7341,'chicken curry stripes','chicken curry stripes',0,1,1.7,'C52623612',5),(7342,'curry','curry',0,0,0.3333,'C600',7),(7343,'curry stripes','curry stripes',0,1,1.4333,'C623612',5),(7344,'curry stripes with','curry stripes with',0,1,1.6,'C6236123',5),(7345,'red','red',0,0,0.2,'R300',5),(7346,'red chicken','red chicken',0,1,1.3667,'R325',5),(7347,'red chicken curry','red chicken curry',0,1,1.5667,'R32526',5),(7348,'rice','rice',0,0,0.2667,'R200',5),(7349,'stripes','stripes',0,0,0.4667,'S3612',5),(7350,'stripes with','stripes with',0,1,1.4,'S36123',5),(7351,'stripes with rice','stripes with rice',0,1,1.5667,'S3612362',5),(7352,'with rice','with rice',0,1,1.3,'W362',5),(7353,'cheesecake','cheesecake',0,0,0.6667,'C000',2),(7354,'strawberry','strawberry',0,0,0.6667,'S3616',2),(7355,'strawberry cheesecake','strawberry cheesecake',0,1,1.7,'S36162',2),(7356,'sweet','sweet',0,0,0.3333,'S300',7),(7357,'sweet strawberry','sweet strawberry',0,1,1.5333,'S323616',1),(7358,'sweet strawberry cheesecake','sweet strawberry cheesecake',0,1,1.9,'S3236162',1),(7359,'cream','cream',0,0,0.3333,'C650',7),(7360,'cream on','cream on',0,1,1.2667,'C650',7),(7361,'cream on plate','cream on plate',0,1,1.4667,'C65143',7),(7362,'fresh hazelnut','fresh hazelnut',0,1,1.4667,'F62453',7),(7363,'fresh hazelnut ice','fresh hazelnut ice',0,1,1.6,'F624532',7),(7364,'hazelnut','hazelnut',0,0,0.5333,'H2453',7),(7365,'hazelnut ice','hazelnut ice',0,1,1.4,'H24532',7),(7366,'hazelnut ice cream','hazelnut ice cream',0,1,1.6,'H2453265',7),(7367,'ice','ice',0,0,0.2,'I200',10),(7368,'ice cream','ice cream',0,1,1.3,'I265',7),(7369,'ice cream on','ice cream on',0,1,1.4,'I265',7),(7370,'on plate','on plate',0,1,1.2667,'O5143',7),(7371,'plate','plate',0,0,0.3333,'P430',7),(7372,'c','c',0,0,0.0667,'C000',10),(7373,'crepes','crepes',0,0,0.4,'C612',10),(7374,'crepes with','crepes with',0,1,1.3667,'C6123',6),(7375,'crepes with shallow','crepes with shallow',0,1,1.6333,'C612324',1),(7376,'dof','dof',0,0,0.2,'D100',5),(7377,'french','french',0,0,0.4,'F652',5),(7378,'french style','french style',0,1,1.4,'F65234',5),(7379,'french style crepes','french style crepes',0,1,1.6333,'F652342612',5),(7380,'shallow','shallow',0,0,0.4667,'S400',5),(7381,'shallow dof','shallow dof',0,1,1.3667,'S431',5),(7382,'style','style',0,0,0.3333,'S340',22),(7383,'style crepes','style crepes',0,1,1.4,'S342612',5),(7384,'style crepes with','style crepes with',0,1,1.5667,'S3426123',1),(7385,'with shallow','with shallow',0,1,1.4,'W324',1),(7386,'with shallow dof','with shallow dof',0,1,1.5333,'W32431',1),(7387,'crepes on','crepes on',0,1,1.3,'C6125',4),(7388,'crepes on shallow','crepes on shallow',0,1,1.5667,'C612524',4),(7389,'on shallow','on shallow',0,1,1.3333,'O524',4),(7390,'on shallow dof','on shallow dof',0,1,1.4667,'O52431',4),(7391,'style crepes on','style crepes on',0,1,1.5,'S3426125',4),(7392,'and fresh','and fresh',0,1,1.3,'A53162',5),(7393,'and fresh strawberries','and fresh strawberries',0,1,1.7333,'A5316236162',5),(7394,'cheese','cheese',0,0,0.4,'C000',5),(7395,'cheese and','cheese and',0,1,1.3333,'C530',5),(7396,'cheese and fresh','cheese and fresh',0,1,1.5333,'C53162',5),(7397,'crepes with curd','crepes with curd',0,1,1.5333,'C6123263',5),(7398,'curd','curd',0,0,0.2667,'C630',54),(7399,'curd cheese','curd cheese',0,1,1.3667,'C632',5),(7400,'curd cheese and','curd cheese and',0,1,1.5,'C63253',5),(7401,'fresh strawberries','fresh strawberries',0,1,1.6,'F6236162',5),(7402,'strawberries','strawberries',0,0,0.8,'S36162',5),(7403,'with curd','with curd',0,1,1.3,'W3263',5),(7404,'with curd cheese','with curd cheese',0,1,1.5333,'W32632',5),(7405,'and orange','and orange',0,1,1.3333,'A53652',6),(7406,'belgian','belgian',0,0,0.4667,'B425',6),(7407,'belgian waffles','belgian waffles',0,1,1.5,'B425142',6),(7408,'belgian waffles with','belgian waffles with',0,1,1.6667,'B4251423',6),(7409,'honey','honey',0,0,0.3333,'H500',6),(7410,'honey and','honey and',0,1,1.3,'H530',6),(7411,'honey and orange','honey and orange',0,1,1.5333,'H53652',6),(7412,'orange','orange',0,0,0.4,'O652',6),(7413,'waffles','waffles',0,0,0.4667,'W142',6),(7414,'waffles with','waffles with',0,1,1.4,'W1423',6),(7415,'waffles with honey','waffles with honey',0,1,1.6,'W14235',6),(7416,'with honey','with honey',0,1,1.3333,'W350',6),(7417,'with honey and','with honey and',0,1,1.4667,'W353',6),(7418,'breast','breast',0,0,0.4,'B623',10),(7419,'caesar','caesar',0,0,0.4,'C600',10),(7420,'caesar salad','caesar salad',0,1,1.4,'C6243',10),(7421,'caesar salad with','caesar salad with',0,1,1.5667,'C6243',10),(7422,'chicken breast','chicken breast',0,1,1.4667,'C51623',10),(7423,'grilled chicken','grilled chicken',0,1,1.5,'G64325',10),(7424,'grilled chicken breast','grilled chicken breast',0,1,1.7333,'G643251623',10),(7425,'salad with grilled','salad with grilled',0,1,1.6,'S432643',10),(7426,'with grilled','with grilled',0,1,1.4,'W32643',10),(7427,'with grilled chicken','with grilled chicken',0,1,1.6667,'W3264325',10),(7428,'image in','image in',0,1,1.2667,'I525',1),(7429,'image in this','image in this',0,1,1.4333,'I52532',1),(7430,'the image in','the image in',0,1,1.4,'T525',1),(7431,'additional borders','additional borders',0,1,1.6,'A35416362',22),(7432,'additional borders margins','additional borders margins',0,1,1.8667,'A3541636256252',22),(7433,'and paddings','and paddings',0,1,1.4,'A531352',22),(7434,'and paddings for','and paddings for',0,1,1.5333,'A53135216',2),(7435,'banners','banners',0,0,0.4667,'B562',22),(7436,'banners or','banners or',0,1,1.3333,'B5626',22),(7437,'banners or images','banners or images',0,1,1.5667,'B562652',22),(7438,'be used only','be used only',0,1,1.4,'B2354',4),(7439,'big suffix should','big suffix should',0,1,1.5667,'B21243',3),(7440,'borders','borders',0,0,0.4667,'B6362',22),(7441,'borders margins','borders margins',0,1,1.5,'B636256252',22),(7442,'borders margins and','borders margins and',0,1,1.6333,'B63625625253',22),(7443,'clear','clear',0,0,0.3333,'C460',22),(7444,'clear suffix','clear suffix',0,1,1.4,'C46212',22),(7445,'clear suffix is','clear suffix is',0,1,1.5,'C46212',22),(7446,'create banners','create banners',0,1,1.4667,'C631562',22),(7447,'create banners or','create banners or',0,1,1.5667,'C6315626',22),(7448,'dark used','dark used',0,1,1.3,'D623',2),(7449,'dark used in','dark used in',0,1,1.4,'D6235',2),(7450,'element paddings','element paddings',0,1,1.5333,'E4531352',2),(7451,'element we','element we',0,1,1.3333,'E453',2),(7452,'element we recommend','element we recommend',0,1,1.6667,'E4536253',2),(7453,'for the suffixes','for the suffixes',0,1,1.5333,'F63212',2),(7454,'gk4 module the','gk4 module the',0,1,1.4667,'G5343',2),(7455,'gkcontent element','gkcontent element',0,1,1.5667,'G5353453',2),(7456,'gkcontent element paddings','gkcontent element paddings',0,1,1.8667,'G53534531352',2),(7457,'gkcontent element we','gkcontent element we',0,1,1.6667,'G5353453',2),(7458,'images','images',0,0,0.4,'I520',34),(7459,'images without','images without',0,1,1.4667,'I523',22),(7460,'images without additional','images without additional',0,1,1.8333,'I52354',22),(7461,'in the modules','in the modules',0,1,1.4667,'I535342',4),(7462,'is very','is very',0,1,1.2333,'I216',26),(7463,'is very useful','is very useful',0,1,1.4667,'I216214',22),(7464,'like wood1','like wood1',0,1,1.3333,'L230',2),(7465,'like wood1 wood2','like wood1 wood2',0,1,1.5333,'L230',2),(7466,'margins','margins',0,0,0.4667,'M6252',22),(7467,'margins and','margins and',0,1,1.3667,'M625253',22),(7468,'margins and paddings','margins and paddings',0,1,1.6667,'M6252531352',22),(7469,'module the clear','module the clear',0,1,1.5333,'M343246',2),(7470,'modules inside','modules inside',0,1,1.4667,'M342523',2),(7471,'modules inside the','modules inside the',0,1,1.6,'M342523',2),(7472,'nomargin','nomargin',0,0,0.5333,'N625',5),(7473,'nomargin suffix','nomargin suffix',0,1,1.5,'N625212',2),(7474,'nomargin suffix this','nomargin suffix this',0,1,1.6667,'N62521232',2),(7475,'only','only',0,0,0.2667,'O540',209),(7476,'only with','only with',0,1,1.3,'O543',3),(7477,'only with the','only with the',0,1,1.4333,'O543',3),(7478,'options the big','options the big',0,1,1.5,'O1352312',3),(7479,'or dark','or dark',0,1,1.2333,'O6362',2),(7480,'or dark used','or dark used',0,1,1.4,'O63623',2),(7481,'or images','or images',0,1,1.3,'O652',22),(7482,'or images without','or images without',0,1,1.5667,'O6523',22),(7483,'paddings','paddings',0,0,0.5333,'P352',22),(7484,'paddings for','paddings for',0,1,1.4,'P35216',2),(7485,'paddings for the','paddings for the',0,1,1.5333,'P352163',2),(7486,'reduce','reduce',0,0,0.4,'R320',2),(7487,'reduce gkcontent','reduce gkcontent',0,1,1.5333,'R325353',2),(7488,'reduce gkcontent element','reduce gkcontent element',0,1,1.8,'R325353453',2),(7489,'should be used','should be used',0,1,1.4667,'S43123',3),(7490,'suffix is','suffix is',0,1,1.3,'S120',22),(7491,'suffix is very','suffix is very',0,1,1.4667,'S1216',22),(7492,'suffix reduce','suffix reduce',0,1,1.4333,'S12632',2),(7493,'suffix reduce gkcontent','suffix reduce gkcontent',0,1,1.7667,'S126325353',2),(7494,'suffix should','suffix should',0,1,1.4333,'S1243',3),(7495,'suffix should be','suffix should be',0,1,1.5333,'S12431',3),(7496,'suffix this','suffix this',0,1,1.3667,'S1232',2),(7497,'suffix this suffix','suffix this suffix',0,1,1.6,'S123212',2),(7498,'suffixes like','suffixes like',0,1,1.4333,'S1242',2),(7499,'suffixes like wood1','suffixes like wood1',0,1,1.6333,'S12423',2),(7500,'the clear','the clear',0,1,1.3,'T246',22),(7501,'the clear suffix','the clear suffix',0,1,1.5333,'T246212',22),(7502,'the gkcontent element','the gkcontent element',0,1,1.7,'T25353453',2),(7503,'the modules','the modules',0,1,1.3667,'T5342',19),(7504,'the modules inside','the modules inside',0,1,1.6,'T5342523',2),(7505,'the suffixes like','the suffixes like',0,1,1.5667,'T21242',2),(7506,'this suffix reduce','this suffix reduce',0,1,1.6,'T212632',2),(7507,'to create','to create',0,1,1.3,'T263',39),(7508,'to create banners','to create banners',0,1,1.5667,'T2631562',22),(7509,'to use nomargin','to use nomargin',0,1,1.5,'T25625',2),(7510,'use nomargin','use nomargin',0,1,1.4,'U25625',2),(7511,'use nomargin suffix','use nomargin suffix',0,1,1.6333,'U25625212',2),(7512,'used in the','used in the',0,1,1.3667,'U2353',2),(7513,'used only','used only',0,1,1.3,'U2354',4),(7514,'used only with','used only with',0,1,1.4667,'U23543',3),(7515,'useful','useful',0,0,0.4,'U214',26),(7516,'useful to','useful to',0,1,1.3,'U2143',22),(7517,'useful to create','useful to create',0,1,1.5333,'U2143263',22),(7518,'very useful','very useful',0,1,1.3667,'V6214',22),(7519,'very useful to','very useful to',0,1,1.4667,'V62143',22),(7520,'with the news','with the news',0,1,1.4333,'W352',3),(7521,'without','without',0,0,0.4667,'W300',28),(7522,'without additional','without additional',0,1,1.6,'W354',22),(7523,'without additional borders','without additional borders',0,1,1.8667,'W35416362',22),(7524,'wood1','wood1',0,0,0.3333,'W300',2),(7525,'wood1 wood2','wood1 wood2',0,1,1.3667,'W300',2),(7526,'wood1 wood2 or','wood1 wood2 or',0,1,1.4667,'W360',2),(7527,'wood2','wood2',0,0,0.3333,'W300',2),(7528,'wood2 or','wood2 or',0,1,1.2667,'W360',2),(7529,'wood2 or dark','wood2 or dark',0,1,1.4333,'W36362',2),(7530,'salads','salads',0,0,0.4,'S432',44),(7531,'season salads','season salads',0,1,1.4333,'S52432',44),(7532,'frites','frites',0,0,0.4,'F632',39),(7533,'steak frites','steak frites',0,1,1.4,'S321632',39),(7534,'coconut','coconut',0,0,0.4667,'C530',2),(7535,'coconut rope','coconut rope',0,1,1.4,'C5361',2),(7536,'coconut rope mussels','coconut rope mussels',0,1,1.6667,'C53615242',2),(7537,'mussels','mussels',0,0,0.4667,'M242',2),(7538,'rope','rope',0,0,0.2667,'R100',2),(7539,'rope mussels','rope mussels',0,1,1.4,'R15242',2),(7540,'and desserts','and desserts',0,1,1.4,'A532632',16),(7541,'desserts','desserts',0,0,0.5333,'D2632',16),(7542,'sweets','sweets',0,0,0.4,'S320',16),(7543,'sweets and','sweets and',0,1,1.3333,'S3253',16),(7544,'sweets and desserts','sweets and desserts',0,1,1.6333,'S32532632',16),(7545,'fish','fish',0,0,0.2667,'F200',40),(7546,'fish shellfish','fish shellfish',0,1,1.4667,'F2412',40),(7547,'shellfish','shellfish',0,0,0.6,'S412',40),(7548,'92','92',0,0,0.2,'',10),(7549,'and vegetables','and vegetables',0,1,1.4667,'A53123142',19),(7550,'orzo','orzo',0,0,0.2667,'O620',6),(7551,'orzo and','orzo and',0,1,1.2667,'O6253',6),(7552,'orzo and vegetables','orzo and vegetables',0,1,1.6333,'O6253123142',6),(7553,'scallops','scallops',0,0,0.5333,'S412',6),(7554,'scallops with','scallops with',0,1,1.4333,'S4123',6),(7555,'scallops with orzo','scallops with orzo',0,1,1.6,'S412362',6),(7556,'sea','sea',0,0,0.2,'S000',2),(7557,'sea scallops','sea scallops',0,1,1.4,'S412',2),(7558,'sea scallops with','sea scallops with',0,1,1.5667,'S4123',2),(7559,'seared','seared',0,0,0.4,'S630',6),(7560,'seared sea','seared sea',0,1,1.3333,'S632',2),(7561,'seared sea scallops','seared sea scallops',0,1,1.6333,'S632412',2),(7562,'vegetables','vegetables',0,0,0.6667,'V23142',19),(7563,'with orzo','with orzo',0,1,1.3,'W362',6),(7564,'with orzo and','with orzo and',0,1,1.4333,'W36253',6),(7565,'seared scallops','seared scallops',0,1,1.5,'S632412',4),(7566,'seared scallops with','seared scallops with',0,1,1.6667,'S6324123',4),(7567,'93','93',0,0,0.2,'',14),(7568,'beef','beef',0,0,0.2667,'B000',15),(7569,'beef with','beef with',0,1,1.3,'B300',15),(7570,'beef with tomato','beef with tomato',0,1,1.5333,'B353',7),(7571,'grilled beef','grilled beef',0,1,1.4,'G6431',8),(7572,'grilled beef with','grilled beef with',0,1,1.5667,'G64313',8),(7573,'tomato','tomato',0,0,0.4,'T530',14),(7574,'with tomato','with tomato',0,1,1.3667,'W353',7),(7575,'94','94',0,0,0.2,'',14),(7576,'and potatoes','and potatoes',0,1,1.4,'A53132',7),(7577,'beef with mushroom','beef with mushroom',0,1,1.6,'B35265',7),(7578,'fillet','fillet',0,0,0.4,'F430',7),(7579,'fillet of','fillet of',0,1,1.3,'F431',7),(7580,'fillet of beef','fillet of beef',0,1,1.4667,'F431',7),(7581,'mushroom','mushroom',0,0,0.5333,'M265',7),(7582,'mushroom sauce','mushroom sauce',0,1,1.4667,'M2652',7),(7583,'mushroom sauce and','mushroom sauce and',0,1,1.6,'M265253',7),(7584,'of beef','of beef',0,1,1.2333,'O100',7),(7585,'of beef with','of beef with',0,1,1.4,'O130',7),(7586,'potatoes','potatoes',0,0,0.5333,'P320',7),(7587,'sauce','sauce',0,0,0.3333,'S000',7),(7588,'sauce and','sauce and',0,1,1.3,'S530',7),(7589,'sauce and potatoes','sauce and potatoes',0,1,1.6,'S53132',7),(7590,'with mushroom','with mushroom',0,1,1.4333,'W35265',7),(7591,'with mushroom sauce','with mushroom sauce',0,1,1.6333,'W352652',7),(7592,'95','95',0,0,0.2,'',19),(7593,'grilled salmon','grilled salmon',0,1,1.4667,'G643245',13),(7594,'grilled salmon and','grilled salmon and',0,1,1.6,'G6432453',13),(7595,'salmon','salmon',0,0,0.4,'S450',13),(7596,'salmon and','salmon and',0,1,1.3333,'S453',13),(7597,'salmon and vegetables','salmon and vegetables',0,1,1.7,'S453123142',13),(7598,'grilled portion','grilled portion',0,1,1.5,'G6431635',4),(7599,'grilled portion of','grilled portion of',0,1,1.6,'G64316351',1),(7600,'mahi','mahi',0,0,0.2667,'M000',4),(7601,'mahi mahi','mahi mahi',0,1,1.3,'M000',4),(7602,'mahi-mahi','mahi-mahi',0,0,0.6,'M000',4),(7603,'of mahi','of mahi',0,1,1.2333,'O150',4),(7604,'of mahi mahi','of mahi mahi',0,1,1.4,'O150',4),(7605,'of mahi-mahi','of mahi-mahi',0,1,1.4,'O150',4),(7606,'portion','portion',0,0,0.4667,'P635',4),(7607,'portion of','portion of',0,1,1.3333,'P6351',1),(7608,'portion of mahi','portion of mahi',0,1,1.5,'P63515',1),(7609,'portion of mahi-mahi','portion of mahi-mahi',0,1,1.6667,'P63515',1),(7610,'96','96',0,0,0.2,'',10),(7611,'carbonara','carbonara',0,0,0.6,'C6156',5),(7612,'fresca','fresca',0,0,0.4,'F620',38),(7613,'pasta','pasta',0,0,0.3333,'P230',38),(7614,'pasta fresca','pasta fresca',0,1,1.4,'P23162',38),(7615,'spaghetti','spaghetti',0,0,0.6,'S123',5),(7616,'spaghetti carbonara','spaghetti carbonara',0,1,1.6333,'S12326156',5),(7617,'97','97',0,0,0.2,'',9),(7618,'and tomato','and tomato',0,1,1.3333,'A5353',6),(7619,'and tomato linguine','and tomato linguine',0,1,1.6333,'A53534525',6),(7620,'bacon','bacon',0,0,0.3333,'B250',6),(7621,'bacon lettuce','bacon lettuce',0,1,1.4333,'B25432',6),(7622,'bacon lettuce and','bacon lettuce and',0,1,1.5667,'B2543253',6),(7623,'lettuce','lettuce',0,0,0.4667,'L320',6),(7624,'lettuce and','lettuce and',0,1,1.3667,'L3253',6),(7625,'lettuce and tomato','lettuce and tomato',0,1,1.6,'L325353',6),(7626,'linguine','linguine',0,0,0.5333,'L525',6),(7627,'linguine pasta','linguine pasta',0,1,1.4667,'L525123',6),(7628,'tomato linguine','tomato linguine',0,1,1.5,'T534525',6),(7629,'tomato linguine pasta','tomato linguine pasta',0,1,1.7,'T534525123',6),(7630,'98','98',0,0,0.2,'',23),(7631,'copy','copy',0,0,0.2667,'C100',140),(7632,'copy of','copy of',0,1,1.2333,'C100',140),(7633,'copy of bacon','copy of bacon',0,1,1.4333,'C125',1),(7634,'of bacon','of bacon',0,1,1.2667,'O125',1),(7635,'of bacon lettuce','of bacon lettuce',0,1,1.5333,'O125432',1),(7636,'pasta primavera','pasta primavera',0,1,1.5,'P2316516',3),(7637,'primavera','primavera',0,0,0.6,'P6516',3),(7638,'centered','centered',0,0,0.5333,'C5363',5),(7639,'centered pagination','centered pagination',0,1,1.6333,'C536312535',3),(7640,'centered pagination in','centered pagination in',0,1,1.7333,'C536312535',2),(7641,'centernav','centernav',0,0,0.6,'C53651',3),(7642,'centernav if','centernav if',0,1,1.4,'C53651',2),(7643,'centernav if you','centernav if you',0,1,1.5333,'C53651',2),(7644,'element paddings please','element paddings please',0,1,1.7667,'E4531352142',1),(7645,'get the','get the',0,1,1.2333,'G300',5),(7646,'get the centered','get the centered',0,1,1.5333,'G325363',2),(7647,'if','if',0,0,0.1333,'I100',33),(7648,'if you','if you',0,1,1.2,'I100',20),(7649,'if you want','if you want',0,1,1.3667,'I153',13),(7650,'in the news','in the news',0,1,1.3667,'I5352',2),(7651,'paddings please','paddings please',0,1,1.5,'P352142',1),(7652,'paddings please use','paddings please use',0,1,1.6333,'P352142',1),(7653,'pagination','pagination',0,0,0.6667,'P2535',3),(7654,'pagination in','pagination in',0,1,1.4333,'P2535',2),(7655,'pagination in the','pagination in the',0,1,1.5667,'P25353',2),(7656,'please use','please use',0,1,1.3333,'P420',15),(7657,'please use the','please use the',0,1,1.4667,'P423',12),(7658,'suffix centernav','suffix centernav',0,1,1.5333,'S1253651',2),(7659,'suffix centernav if','suffix centernav if',0,1,1.6333,'S1253651',2),(7660,'the centered','the centered',0,1,1.4,'T25363',3),(7661,'the centered pagination','the centered pagination',0,1,1.7667,'T2536312535',2),(7662,'the suffix','the suffix',0,1,1.3333,'T212',2),(7663,'the suffix centernav','the suffix centernav',0,1,1.6667,'T21253651',2),(7664,'to get the','to get the',0,1,1.3333,'T230',5),(7665,'use the suffix','use the suffix',0,1,1.4667,'U23212',2),(7666,'want','want',0,0,0.2667,'W530',190),(7667,'want to','want to',0,1,1.2333,'W530',15),(7668,'want to get','want to get',0,1,1.3667,'W5323',2),(7669,'you want','you want',0,1,1.2667,'Y530',13),(7670,'you want to','you want to',0,1,1.3667,'Y530',13),(7671,'99','99',0,0,0.2,'',23),(7672,'delicious','delicious',0,0,0.6,'D420',4),(7673,'delicious zucchini','delicious zucchini',0,1,1.6,'D425',4),(7674,'delicious zucchini italian','delicious zucchini italian',0,1,1.8667,'D425345',4),(7675,'italian','italian',0,0,0.4667,'I345',12),(7676,'italian pasta','italian pasta',0,1,1.4333,'I345123',4),(7677,'zucchini','zucchini',0,0,0.5333,'Z500',4),(7678,'zucchini italian','zucchini italian',0,1,1.5333,'Z5345',4),(7679,'zucchini italian pasta','zucchini italian pasta',0,1,1.7333,'Z5345123',4),(7680,'100','100',0,0,0.3,'',17),(7681,'buffet','buffet',0,0,0.4,'B300',27),(7682,'chick','chick',0,0,0.3333,'C000',2),(7683,'chick peas','chick peas',0,1,1.3333,'C120',2),(7684,'chick-peas','chick-peas',0,0,0.6667,'C120',2),(7685,'curry with','curry with',0,1,1.3333,'C630',2),(7686,'curry with chick','curry with chick',0,1,1.5333,'C632',2),(7687,'curry with chick-peas','curry with chick-peas',0,1,1.7,'C63212',2),(7688,'peas','peas',0,0,0.2667,'P200',2),(7689,'pumpkin','pumpkin',0,0,0.4667,'P5125',2),(7690,'pumpkin curry','pumpkin curry',0,1,1.4333,'P512526',2),(7691,'pumpkin curry with','pumpkin curry with',0,1,1.6,'P5125263',2),(7692,'vegetarian','vegetarian',0,0,0.6667,'V2365',27),(7693,'vegetarian buffet','vegetarian buffet',0,1,1.5667,'V236513',27),(7694,'with chick','with chick',0,1,1.3333,'W320',2),(7695,'with chick peas','with chick peas',0,1,1.5,'W3212',2),(7696,'with chick-peas','with chick-peas',0,1,1.5,'W3212',2),(7697,'101','101',0,0,0.3,'',6),(7698,'102','102',0,0,0.3,'',12),(7699,'and vegetable','and vegetable',0,1,1.4333,'A5312314',7),(7700,'and vegetable stir','and vegetable stir',0,1,1.6,'A5312314236',7),(7701,'fry','fry',0,0,0.2,'F600',7),(7702,'stir','stir',0,0,0.2667,'S360',7),(7703,'stir fry','stir fry',0,1,1.2667,'S3616',7),(7704,'tofu','tofu',0,0,0.2667,'T100',7),(7705,'tofu and','tofu and',0,1,1.2667,'T153',7),(7706,'tofu and vegetable','tofu and vegetable',0,1,1.6,'T15312314',7),(7707,'vegetable stir','vegetable stir',0,1,1.4667,'V2314236',7),(7708,'vegetable stir fry','vegetable stir fry',0,1,1.6,'V231423616',7),(7709,'fresh salad','fresh salad',0,1,1.3667,'F6243',8),(7710,'papaya','papaya',0,0,0.4,'P000',8),(7711,'papaya fresh','papaya fresh',0,1,1.4,'P620',8),(7712,'papaya fresh salad','papaya fresh salad',0,1,1.6,'P6243',8),(7713,'thai papaya','thai papaya',0,1,1.3667,'T100',8),(7714,'thai papaya fresh','thai papaya fresh',0,1,1.5667,'T162',8),(7715,'103','103',0,0,0.3,'',13),(7716,'chicken salad','chicken salad',0,1,1.4333,'C5243',4),(7717,'chicken salad wrap','chicken salad wrap',0,1,1.6,'C524361',4),(7718,'down','down',0,0,0.2667,'D500',68),(7719,'down town','down town',0,1,1.3,'D535',37),(7720,'down town chicken','down town chicken',0,1,1.5667,'D53525',4),(7721,'salad wrap','salad wrap',0,1,1.3333,'S4361',4),(7722,'salad wrap sandwich','salad wrap sandwich',0,1,1.6333,'S43612532',4),(7723,'sandwich','sandwich',0,0,0.5333,'S532',37),(7724,'town','town',0,0,0.2667,'T500',37),(7725,'town chicken','town chicken',0,1,1.4,'T525',4),(7726,'town chicken salad','town chicken salad',0,1,1.6,'T525243',4),(7727,'wrap','wrap',0,0,0.2667,'W610',8),(7728,'wrap sandwich','wrap sandwich',0,1,1.4333,'W612532',4),(7729,'down town sandwich','down town sandwich',0,1,1.6,'D5352532',35),(7730,'town sandwich','town sandwich',0,1,1.4333,'T52532',35),(7731,'104','104',0,0,0.3,'',17),(7732,'and salad','and salad',0,1,1.3,'A53243',4),(7733,'club','club',0,0,0.2667,'C410',4),(7734,'club hamburger','club hamburger',0,1,1.4667,'C4151626',4),(7735,'club hamburger with','club hamburger with',0,1,1.6333,'C41516263',4),(7736,'fries','fries',0,0,0.3333,'F620',4),(7737,'fries and','fries and',0,1,1.3,'F6253',4),(7738,'fries and salad','fries and salad',0,1,1.5,'F6253243',4),(7739,'hamburger','hamburger',0,0,0.6,'H51626',4),(7740,'hamburger with','hamburger with',0,1,1.4667,'H516263',4),(7741,'hamburger with fries','hamburger with fries',0,1,1.6667,'H516263162',4),(7742,'with fries','with fries',0,1,1.3333,'W3162',4),(7743,'with fries and','with fries and',0,1,1.4667,'W316253',4),(7744,'105','105',0,0,0.3,'',12),(7745,'fresh grilled','fresh grilled',0,1,1.4333,'F62643',12),(7746,'fresh grilled panini','fresh grilled panini',0,1,1.6667,'F6264315',12),(7747,'grilled panini','grilled panini',0,1,1.4667,'G64315',12),(7748,'grilled panini sandwich','grilled panini sandwich',0,1,1.7667,'G643152532',12),(7749,'panini','panini',0,0,0.4,'P500',12),(7750,'panini sandwich','panini sandwich',0,1,1.5,'P52532',12),(7751,'106','106',0,0,0.3,'',12),(7752,'rolls','rolls',0,0,0.3333,'R420',4),(7753,'sandwich rolls','sandwich rolls',0,1,1.4667,'S532642',4),(7754,'tortilla','tortilla',0,0,0.5333,'T634',4),(7755,'tortilla sandwich','tortilla sandwich',0,1,1.5667,'T6342532',4),(7756,'tortilla sandwich rolls','tortilla sandwich rolls',0,1,1.7667,'T6342532642',4),(7757,'107','107',0,0,0.3,'',23),(7758,'collard','collard',0,0,0.4667,'C463',1),(7759,'collard greens','collard greens',0,1,1.4667,'C4632652',1),(7760,'greens','greens',0,0,0.4,'G652',1),(7761,'liberian','liberian',0,0,0.5333,'L165',1),(7762,'liberian style','liberian style',0,1,1.4667,'L165234',1),(7763,'liberian style collard','liberian style collard',0,1,1.7333,'L1652342463',1),(7764,'style collard','style collard',0,1,1.4333,'S342463',1),(7765,'style collard greens','style collard greens',0,1,1.6667,'S3424632652',1),(7766,'cioppino','cioppino',0,0,0.5333,'C150',5),(7767,'cioppino grilled','cioppino grilled',0,1,1.5333,'C152643',5),(7768,'cioppino grilled salmon','cioppino grilled salmon',0,1,1.7667,'C152643245',5),(7769,'beef with fresh','beef with fresh',0,1,1.5,'B3162',1),(7770,'fresh tomato','fresh tomato',0,1,1.4,'F62353',1),(7771,'with fresh','with fresh',0,1,1.3333,'W3162',1),(7772,'with fresh tomato','with fresh tomato',0,1,1.5667,'W3162353',1),(7773,'grilled portion marinade','grilled portion marinade',0,1,1.8,'G6431635653',3),(7774,'marinade','marinade',0,0,0.5333,'M653',3),(7775,'marinade of','marinade of',0,1,1.3667,'M6531',3),(7776,'marinade of mahi','marinade of mahi',0,1,1.5333,'M65315',3),(7777,'marinade of mahi-mahi','marinade of mahi-mahi',0,1,1.7,'M65315',3),(7778,'portion marinade','portion marinade',0,1,1.5333,'P635653',3),(7779,'portion marinade of','portion marinade of',0,1,1.6333,'P6356531',3),(7780,'naked','naked',0,0,0.3333,'N230',2),(7781,'naked shrimp','naked shrimp',0,1,1.4,'N232651',2),(7782,'noodles with naked','noodles with naked',0,1,1.6,'N3423523',2),(7783,'with naked','with naked',0,1,1.3333,'W3523',2),(7784,'with naked shrimp','with naked shrimp',0,1,1.5667,'W35232651',2),(7785,'chef','chef',0,0,0.2667,'C100',10),(7786,'chef robert','chef robert',0,1,1.3667,'C16163',5),(7787,'chef robert g','chef robert g',0,1,1.4333,'C161632',5),(7788,'robert g','robert g',0,1,1.2667,'R1632',5),(7789,'\'-100px\',','-100px',0,0,0.6,'P200',5),(7790,'\'-100px\', \'opacity\'','-100px opacity',0,1,1.6333,'P2123',5),(7791,'\'-100px\', \'opacity\' 0','-100px opacity 0',0,1,1.7,'P2123',5),(7792,'\'-300px\'','-300px',0,0,0.5333,'P200',5),(7793,'\'-300px\' data-end','-300px data-end',0,1,1.5667,'P2353',5),(7794,'\'-300px\' data-end \'opacity\'','-300px data-end opacity',0,1,1.9,'P2353123',5),(7795,'\'0px\',','0px',0,0,0.4,'P200',5),(7796,'\'0px\', \'opacity\'','0px opacity',0,1,1.5333,'P2123',5),(7797,'\'0px\', \'opacity\' 0','0px opacity 0',0,1,1.6,'P2123',5),(7798,'\'150px\',','150px',0,0,0.5333,'P200',5),(7799,'\'150px\', \'right\'','150px right',0,1,1.5333,'P2623',5),(7800,'\'150px\', \'right\' \'30px\'','150px right 30px',0,1,1.7667,'P262312',5),(7801,'\'30px\'','30px',0,0,0.4,'P200',5),(7802,'\'30px\' data-end','30px data-end',0,1,1.5,'P2353',5),(7803,'\'30px\' data-end \'opacity\'','30px data-end opacity',0,1,1.8333,'P2353123',5),(7804,'\'30px\' data-end \'top\'','30px data-end top',0,1,1.7,'P23531',5),(7805,'\'40px\',','40px',0,0,0.4667,'P200',5),(7806,'\'40px\', \'opacity\'','40px opacity',0,1,1.5667,'P2123',5),(7807,'\'40px\', \'opacity\' 0','40px opacity 0',0,1,1.6333,'P2123',5),(7808,'\'600px\'','600px',0,0,0.4667,'P200',5),(7809,'\'600px\' data-end','600px data-end',0,1,1.5333,'P2353',5),(7810,'\'600px\' data-end \'opacity\'','600px data-end opacity',0,1,1.8667,'P2353123',5),(7811,'\'bottom\'','bottom',0,0,0.5333,'B350',5),(7812,'\'bottom\' \'0px\',','bottom 0px',0,1,1.5,'B3512',5),(7813,'\'bottom\' \'0px\', \'opacity\'','bottom 0px opacity',0,1,1.8333,'B3512123',5),(7814,'\'bottom\' \'40px\',','bottom 40px',0,1,1.5333,'B3512',5),(7815,'\'bottom\' \'40px\', \'opacity\'','bottom 40px opacity',0,1,1.8667,'B3512123',5),(7816,'\'left\'','left',0,0,0.4,'L130',5),(7817,'\'left\' \'40px\',','left 40px',0,1,1.4667,'L1312',5),(7818,'\'left\' \'40px\', \'opacity\'','left 40px opacity',0,1,1.8,'L1312123',5),(7819,'\'left\' 30','left 30',0,1,1.3,'L130',5),(7820,'\'left\' 30 data-delay','left 30 data-delay',0,1,1.6667,'L134',5),(7821,'\'opacity\'','opacity',0,0,0.6,'O123',5),(7822,'\'opacity\' 0','opacity 0',0,1,1.3667,'O123',5),(7823,'\'opacity\' 0 \'right\'','opacity 0 right',0,1,1.6333,'O123623',5),(7824,'\'opacity\' 0 \'top\'','opacity 0 top',0,1,1.5667,'O1231',5),(7825,'\'opacity\' 0 left','opacity 0 left',0,1,1.5333,'O123413',5),(7826,'\'opacity\' 0 right','opacity 0 right',0,1,1.5667,'O123623',5),(7827,'\'opacity\' 1','opacity 1',0,1,1.3667,'O123',5),(7828,'\'opacity\' 1 \'left\'','opacity 1 left',0,1,1.6,'O123413',5),(7829,'\'opacity\' 1 \'right\'','opacity 1 right',0,1,1.6333,'O123623',5),(7830,'\'opacity\' 1 \'top\'','opacity 1 top',0,1,1.5667,'O1231',5),(7831,'\'opacity\' 1 data-delay','opacity 1 data-delay',0,1,1.7333,'O1234',5),(7832,'\'right\'','right',0,0,0.4667,'R230',5),(7833,'\'right\' \'30px\'','right 30px',0,1,1.4667,'R2312',5),(7834,'\'right\' \'30px\' data-end','right 30px data-end',0,1,1.7667,'R2312353',5),(7835,'\'right\' 40','right 40',0,1,1.3333,'R230',5),(7836,'\'right\' 40 data-delay','right 40 data-delay',0,1,1.7,'R234',5),(7837,'\'top\'','top',0,0,0.3333,'T100',5),(7838,'\'top\' \'-100px\',','top -100px',0,1,1.5,'T120',5),(7839,'\'top\' \'-100px\', \'opacity\'','top -100px opacity',0,1,1.8333,'T12123',5),(7840,'\'top\' \'150px\',','top 150px',0,1,1.4667,'T120',5),(7841,'\'top\' \'150px\', \'right\'','top 150px right',0,1,1.7333,'T12623',5),(7842,'\'top\' \'600px\'','top 600px',0,1,1.4333,'T120',5),(7843,'\'top\' \'600px\' data-end','top 600px data-end',0,1,1.7333,'T12353',5),(7844,'\'top\' 40','top 40',0,1,1.2667,'T100',5),(7845,'\'top\' 40 data-delay','top 40 data-delay',0,1,1.6333,'T134',5),(7846,'\'top\' 45','top 45',0,1,1.2667,'T100',5),(7847,'\'top\' 45 \'opacity\'','top 45 opacity',0,1,1.6,'T123',5),(7848,'0','0',0,0,0.1,'',15),(7849,'0 \'right\'','0 right',0,1,1.3,'R230',5),(7850,'0 \'right\' \'30px\'','0 right 30px',0,1,1.5333,'R2312',5),(7851,'0 \'top\'','0 top',0,1,1.2333,'T100',5),(7852,'0 \'top\' \'150px\',','0 top 150px',0,1,1.5333,'T120',5),(7853,'0 \'top\' \'600px\'','0 top 600px',0,1,1.5,'T120',5),(7854,'0 data-time','0 data-time',0,1,1.3667,'D500',5),(7855,'0 data-time 600','0 data-time 600',0,1,1.5,'D500',5),(7856,'0 left','0 left',0,1,1.2,'L130',5),(7857,'0 left \'-300px\'','0 left -300px',0,1,1.5,'L1312',5),(7858,'0 right','0 right',0,1,1.2333,'R230',5),(7859,'0 right \'-300px\'','0 right -300px',0,1,1.5333,'R2312',5),(7860,'0 you','0 you',0,1,1.1667,'Y000',5),(7861,'0 you have','0 you have',0,1,1.3333,'Y100',5),(7862,'1 \'left\'','1 left',0,1,1.2667,'L130',5),(7863,'1 \'left\' 30','1 left 30',0,1,1.3667,'L130',5),(7864,'1 \'right\'','1 right',0,1,1.3,'R230',5),(7865,'1 \'right\' 40','1 right 40',0,1,1.4,'R230',5),(7866,'1 \'top\'','1 top',0,1,1.2333,'T100',5),(7867,'1 \'top\' 40','1 top 40',0,1,1.3333,'T100',5),(7868,'1 data-delay','1 data-delay',0,1,1.4,'D400',5),(7869,'1 data-delay 100','1 data-delay 100',0,1,1.5333,'D400',5),(7870,'1 data-delay 350','1 data-delay 350',0,1,1.5333,'D400',5),(7871,'100 data-time','100 data-time',0,1,1.4333,'D500',5),(7872,'100 data-time 500','100 data-time 500',0,1,1.5667,'D500',5),(7873,'100ms','100ms',0,0,0.3333,'M200',5),(7874,'100ms the','100ms the',0,1,1.3,'M230',5),(7875,'100ms the paragraph','100ms the paragraph',0,1,1.6333,'M2316261',5),(7876,'250','250',0,0,0.3,'',5),(7877,'250 chef','250 chef',0,1,1.2667,'C100',5),(7878,'250 chef jeferson','250 chef jeferson',0,1,1.5667,'C121625',5),(7879,'250 order','250 order',0,1,1.3,'O636',5),(7880,'250 order online','250 order online',0,1,1.5333,'O636545',5),(7881,'30','30',0,0,0.2,'',17),(7882,'30 data-delay','30 data-delay',0,1,1.4333,'D400',5),(7883,'30 data-delay 700','30 data-delay 700',0,1,1.5667,'D400',5),(7884,'350','350',0,0,0.3,'',5),(7885,'350 data-time','350 data-time',0,1,1.4333,'D500',5),(7886,'350 data-time 350','350 data-time 350',0,1,1.5667,'D500',5),(7887,'350 sed','350 sed',0,1,1.2333,'S300',5),(7888,'350 sed ut','350 sed ut',0,1,1.3333,'S300',5),(7889,'350ms','350ms',0,0,0.3333,'M200',5),(7890,'350ms and','350ms and',0,1,1.3,'M253',5),(7891,'350ms and will','350ms and will',0,1,1.4667,'M2534',5),(7892,'350ms etc','350ms etc',0,1,1.3,'M232',5),(7893,'350ms etc the','350ms etc the',0,1,1.4333,'M2323',5),(7894,'40','40',0,0,0.2,'',6),(7895,'40 data-delay','40 data-delay',0,1,1.4333,'D400',5),(7896,'40 data-delay 0','40 data-delay 0',0,1,1.5,'D400',5),(7897,'40 data-delay 700','40 data-delay 700',0,1,1.5667,'D400',5),(7898,'45','45',0,0,0.2,'',11),(7899,'45 \'opacity\'','45 opacity',0,1,1.4,'O123',5),(7900,'45 \'opacity\' 1','45 opacity 1',0,1,1.4667,'O123',5),(7901,'500','500',0,0,0.3,'',6),(7902,'500 welcome','500 welcome',0,1,1.3667,'W425',5),(7903,'500 welcome h1','500 welcome h1',0,1,1.4667,'W425',5),(7904,'500ms','500ms',0,0,0.3333,'M200',6),(7905,'500ms and','500ms and',0,1,1.3,'M253',5),(7906,'500ms and will','500ms and will',0,1,1.4667,'M2534',5),(7907,'600','600',0,0,0.3,'',5),(7908,'600 hat','600 hat',0,1,1.2333,'H300',5),(7909,'600 hat div','600 hat div',0,1,1.3667,'H310',5),(7910,'700','700',0,0,0.3,'',5),(7911,'700 data-time','700 data-time',0,1,1.4333,'D500',5),(7912,'700 data-time 250','700 data-time 250',0,1,1.5667,'D500',5),(7913,'a chalkboard','a chalkboard',0,1,1.4,'A242163',5),(7914,'a chalkboard with','a chalkboard with',0,1,1.5667,'A242163',5),(7915,'a container','a container',0,1,1.3667,'A25356',6),(7916,'a container with','a container with',0,1,1.5333,'A253563',6),(7917,'a div','a div',0,1,1.1667,'A310',14),(7918,'a div with','a div with',0,1,1.3333,'A313',5),(7919,'a you','a you',0,1,1.1667,'A000',5),(7920,'a you can','a you can',0,1,1.3,'A250',5),(7921,'absolutely','absolutely',0,0,0.6667,'A12434',5),(7922,'additional attributes','additional attributes',0,1,1.7,'A35436132',5),(7923,'additional attributes data-time','additional attributes data-time',0,1,2,'A3543613235',5),(7924,'after','after',0,0,0.3333,'A136',209),(7925,'after 100ms','after 100ms',0,1,1.3667,'A13652',5),(7926,'after 100ms the','after 100ms the',0,1,1.5,'A136523',5),(7927,'after 350ms','after 350ms',0,1,1.3667,'A13652',4),(7928,'after 350ms etc','after 350ms etc',0,1,1.5,'A1365232',4),(7929,'all','all',0,0,0.2,'A400',206),(7930,'all elements','all elements',0,1,1.4,'A4532',5),(7931,'all elements are','all elements are',0,1,1.5333,'A45326',5),(7932,'also two','also two',0,1,1.2667,'A423',8),(7933,'also two additional','also two additional',0,1,1.6333,'A42354',8),(7934,'analyze','analyze',0,0,0.4667,'A542',5),(7935,'analyze the','analyze the',0,1,1.3667,'A5423',5),(7936,'analyze the fragment','analyze the fragment',0,1,1.6667,'A542316253',5),(7937,'and all','and all',0,1,1.2333,'A534',5),(7938,'and all elements','and all elements',0,1,1.5333,'A534532',5),(7939,'and data-delay','and data-delay',0,1,1.4667,'A534',5),(7940,'and data-delay the','and data-delay the',0,1,1.6,'A5343',5),(7941,'and data-end','and data-end',0,1,1.4,'A5353',5),(7942,'and data-end the','and data-end the',0,1,1.5333,'A5353',5),(7943,'and opacity','and opacity',0,1,1.3667,'A53123',5),(7944,'and opacity properties','and opacity properties',0,1,1.7333,'A53123161632',5),(7945,'and put','and put',0,1,1.2333,'A5313',5),(7946,'and put elements','and put elements',0,1,1.5333,'A53134532',5),(7947,'and these','and these',0,1,1.3,'A532',5),(7948,'and these properties','and these properties',0,1,1.6667,'A532161632',5),(7949,'and what','and what',0,1,1.2667,'A530',5),(7950,'and what will','and what will',0,1,1.4333,'A534',5),(7951,'and will','and will',0,1,1.2667,'A534',186),(7952,'and will start','and will start',0,1,1.4667,'A5342363',5),(7953,'animate','animate',0,0,0.4667,'A530',6),(7954,'animate only','animate only',0,1,1.4,'A5354',5),(7955,'animate only opacity','animate only opacity',0,1,1.6667,'A5354123',5),(7956,'animate top','animate top',0,1,1.3667,'A531',5),(7957,'animate top and','animate top and',0,1,1.5,'A53153',5),(7958,'animated','animated',0,0,0.5333,'A530',10),(7959,'animated and','animated and',0,1,1.4,'A5353',5),(7960,'animated and what','animated and what',0,1,1.5667,'A5353',5),(7961,'animated element','animated element',0,1,1.5333,'A53453',8),(7962,'animated element and','animated element and',0,1,1.6667,'A5345353',5),(7963,'animation','animation',0,0,0.6,'A535',20),(7964,'animation div','animation div',0,1,1.4333,'A53531',5),(7965,'animation div class','animation div class',0,1,1.6333,'A53531242',5),(7966,'animation engine','animation engine',0,1,1.5333,'A53525',6),(7967,'animation engine based','animation engine based',0,1,1.7333,'A53525123',5),(7968,'animation engine for','animation engine for',0,1,1.6667,'A5352516',5),(7969,'animation in','animation in',0,1,1.4,'A535',5),(7970,'animation in miliseconds','animation in miliseconds',0,1,1.8,'A53542532',5),(7971,'animation of','animation of',0,1,1.4,'A5351',5),(7972,'animation of the','animation of the',0,1,1.5333,'A53513',5),(7973,'animation on','animation on',0,1,1.4,'A535',5),(7974,'animation on the','animation on the',0,1,1.5333,'A5353',5),(7975,'animation please','animation please',0,1,1.5333,'A535142',5),(7976,'animation please creat','animation please creat',0,1,1.7333,'A53514263',1),(7977,'animations','animations',0,0,0.6667,'A5352',7),(7978,'animations like','animations like',0,1,1.5,'A535242',5),(7979,'animations like the','animations like the',0,1,1.6333,'A5352423',5),(7980,'architecto','architecto',0,0,0.6667,'A62323',5),(7981,'architecto beatae','architecto beatae',0,1,1.5667,'A6232313',5),(7982,'architecto beatae naseaeraciat','architecto beatae naseaeraciat',0,1,2,'A623231352623',5),(7983,'are also','are also',0,1,1.2667,'A642',7),(7984,'are also two','are also two',0,1,1.4,'A6423',7),(7985,'are hidden','are hidden',0,1,1.3333,'A635',5),(7986,'are hidden by','are hidden by',0,1,1.4333,'A6351',5),(7987,'are positioned','are positioned',0,1,1.4667,'A612353',4),(7988,'are positioned absolutely','are positioned absolutely',0,1,1.8333,'A61235312434',4),(7989,'as you','as you',0,1,1.2,'A200',10),(7990,'as you can','as you can',0,1,1.3333,'A250',10),(7991,'at least','at least',0,1,1.2667,'A3423',5),(7992,'at least two','at least two',0,1,1.4,'A3423',5),(7993,'attribute','attribute',0,0,0.6,'A3613',6),(7994,'attribute contains','attribute contains',0,1,1.6,'A361325352',5),(7995,'attribute contains starting','attribute contains starting',0,1,1.9,'A36132535236352',5),(7996,'attribute specify','attribute specify',0,1,1.5667,'A36132121',5),(7997,'attribute specify the','attribute specify the',0,1,1.7,'A361321213',5),(7998,'attribute specify which','attribute specify which',0,1,1.7667,'A361321212',5),(7999,'attributes','attributes',0,0,0.6667,'A36132',9),(8000,'attributes data-start','attributes data-start',0,1,1.7,'A3613232363',8),(8001,'attributes data-start and','attributes data-start and',0,1,1.8333,'A361323236353',5),(8002,'attributes data-time','attributes data-time',0,1,1.6667,'A3613235',5),(8003,'attributes data-time and','attributes data-time and',0,1,1.8,'A36132353',5),(8004,'attributes to','attributes to',0,1,1.4333,'A361323',1),(8005,'attributes to create','attributes to create',0,1,1.6667,'A361323263',1),(8006,'based','based',0,0,0.3333,'B230',11),(8007,'based on','based on',0,1,1.2667,'B235',11),(8008,'based on the','based on the',0,1,1.4,'B2353',11),(8009,'be animated','be animated',0,1,1.3667,'B530',5),(8010,'be animated and','be animated and',0,1,1.5,'B5353',5),(8011,'be their','be their',0,1,1.2667,'B360',5),(8012,'be their final','be their final',0,1,1.4667,'B36154',5),(8013,'be written','be written',0,1,1.3333,'B635',5),(8014,'be written with','be written with',0,1,1.5,'B6353',5),(8015,'beatae','beatae',0,0,0.4,'B300',5),(8016,'beatae naseaeraciat','beatae naseaeraciat',0,1,1.6333,'B352623',5),(8017,'beatae naseaeraciat kuiase','beatae naseaeraciat kuiase',0,1,1.8667,'B3526232',5),(8018,'by opacity','by opacity',0,1,1.3333,'B230',5),(8019,'by opacity set','by opacity set',0,1,1.4667,'B2323',5),(8020,'can create small','can create small',0,1,1.5333,'C5263254',5),(8021,'can see the','can see the',0,1,1.3667,'C523',8),(8022,'chalkboard','chalkboard',0,0,0.6667,'C42163',5),(8023,'chalkboard with','chalkboard with',0,1,1.5,'C42163',5),(8024,'chalkboard with text','chalkboard with text',0,1,1.6667,'C4216323',5),(8025,'chef jeferson','chef jeferson',0,1,1.4333,'C121625',5),(8026,'chef jeferson div','chef jeferson div',0,1,1.5667,'C12162531',5),(8027,'class example','class example',0,1,1.4333,'C42514',5),(8028,'class example item','class example item',0,1,1.6,'C4251435',5),(8029,'class gkchalkboard','class gkchalkboard',0,1,1.6,'C4242163',5),(8030,'class gkchalkboard strong','class gkchalkboard strong',0,1,1.8333,'C424216323652',5),(8031,'class gkdemologo','class gkdemologo',0,1,1.5333,'C423542',5),(8032,'class gkdemologo demo','class gkdemologo demo',0,1,1.7,'C42354235',5),(8033,'class gkdropbox','class gkdropbox',0,1,1.5,'C423612',12),(8034,'class gkdropbox dropbox','class gkdropbox dropbox',0,1,1.7667,'C4236123612',12),(8035,'class gkheader','class gkheader',0,1,1.4667,'C4236',5),(8036,'class gkheader and','class gkheader and',0,1,1.6,'C423653',5),(8037,'class gkheader h1','class gkheader h1',0,1,1.5667,'C4236',5),(8038,'class gkheaderhat','class gkheaderhat',0,1,1.5667,'C42363',5),(8039,'class gkheaderhat data-start','class gkheaderhat data-start',0,1,1.9333,'C423632363',5),(8040,'class gkheaderorder','class gkheaderorder',0,1,1.6333,'C423636',5),(8041,'class gkheaderorder data-start','class gkheaderorder data-start',0,1,2,'C42363632363',5),(8042,'class gkheadersign','class gkheadersign',0,1,1.6,'C423625',5),(8043,'class gkheadersign data-start','class gkheadersign data-start',0,1,1.9667,'C42362532363',5),(8044,'class gkmoby','class gkmoby',0,1,1.4,'C4251',12),(8045,'class gkmoby moby','class gkmoby moby',0,1,1.5667,'C425151',12),(8046,'class gkskype','class gkskype',0,1,1.4333,'C421',12),(8047,'class gkskype href','class gkskype href',0,1,1.6,'C42161',3),(8048,'class gkskype skype','class gkskype skype',0,1,1.6333,'C42121',12),(8049,'code from','code from',0,1,1.3,'C3165',5),(8050,'code from the','code from the',0,1,1.4333,'C31653',5),(8051,'container with','container with',0,1,1.4667,'C53563',12),(8052,'container with class','container with class',0,1,1.6667,'C53563242',6),(8053,'containing','containing',0,0,0.6667,'C5352',5),(8054,'containing class','containing class',0,1,1.5333,'C535242',5),(8055,'containing class gkdemologo','containing class gkdemologo',0,1,1.9,'C5352423542',5),(8056,'contains','contains',0,0,0.5333,'C5352',18),(8057,'contains starting','contains starting',0,1,1.5667,'C535236352',5),(8058,'contains starting properties','contains starting properties',0,1,1.9333,'C535236352161632',5),(8059,'content of','content of',0,1,1.3333,'C53531',5),(8060,'content of the','content of the',0,1,1.4667,'C535313',5),(8061,'course','course',0,0,0.4,'C620',6),(8062,'course in','course in',0,1,1.3,'C625',5),(8063,'course in the','course in the',0,1,1.4333,'C6253',5),(8064,'creat','creat',0,0,0.3333,'C630',1),(8065,'creat a','creat a',0,1,1.2333,'C630',1),(8066,'creat a container','creat a container',0,1,1.5667,'C6325356',1),(8067,'create a','create a',0,1,1.2667,'C630',26),(8068,'create a chalkboard','create a chalkboard',0,1,1.6333,'C63242163',5),(8069,'create a div','create a div',0,1,1.4,'C631',5),(8070,'create animation','create animation',0,1,1.5333,'C63535',1),(8071,'create animation please','create animation please',0,1,1.7667,'C63535142',1),(8072,'create small','create small',0,1,1.4,'C63254',5),(8073,'create small logo','create small logo',0,1,1.5667,'C632542',5),(8074,'creating','creating',0,0,0.5333,'C6352',10),(8075,'creating simple','creating simple',0,1,1.5,'C6352514',5),(8076,'creating simple intro','creating simple intro',0,1,1.7,'C6352514536',5),(8077,'data','data',0,0,0.2667,'D000',194),(8078,'data attributes','data attributes',0,1,1.5,'D6132',9),(8079,'data attributes to','data attributes to',0,1,1.6,'D61323',1),(8080,'data-delay','data-delay',0,0,0.6667,'D400',6),(8081,'data-delay 0','data-delay 0',0,1,1.4,'D400',6),(8082,'data-delay 0 data-time','data-delay 0 data-time',0,1,1.7333,'D435',5),(8083,'data-delay 100','data-delay 100',0,1,1.4667,'D400',5),(8084,'data-delay 100 data-time','data-delay 100 data-time',0,1,1.8,'D435',5),(8085,'data-delay 350','data-delay 350',0,1,1.4667,'D400',5),(8086,'data-delay 350 data-time','data-delay 350 data-time',0,1,1.8,'D435',5),(8087,'data-delay 700','data-delay 700',0,1,1.4667,'D400',5),(8088,'data-delay 700 data-time','data-delay 700 data-time',0,1,1.8,'D435',5),(8089,'data-delay the','data-delay the',0,1,1.4667,'D430',5),(8090,'data-delay the data-time','data-delay the data-time',0,1,1.8,'D435',4),(8091,'data-end','data-end',0,0,0.5333,'D530',8),(8092,'data-end \'opacity\'','data-end opacity',0,1,1.6,'D53123',5),(8093,'data-end \'opacity\' 1','data-end opacity 1',0,1,1.6667,'D53123',5),(8094,'data-end \'top\'','data-end top',0,1,1.4667,'D531',5),(8095,'data-end \'top\' 45','data-end top 45',0,1,1.5667,'D531',5),(8096,'data-end the','data-end the',0,1,1.4,'D530',8),(8097,'data-end the first','data-end the first',0,1,1.6,'D531623',5),(8098,'data-start','data-start',0,0,0.6667,'D2363',8),(8099,'data-start \'bottom\'','data-start bottom',0,1,1.6333,'D2363135',5),(8100,'data-start \'bottom\' \'0px\',','data-start bottom 0px',0,1,1.8667,'D236313512',5),(8101,'data-start \'bottom\' \'40px\',','data-start bottom 40px',0,1,1.9,'D236313512',5),(8102,'data-start \'left\'','data-start left',0,1,1.5667,'D2363413',5),(8103,'data-start \'left\' \'40px\',','data-start left 40px',0,1,1.8333,'D236341312',5),(8104,'data-start \'opacity\'','data-start opacity',0,1,1.6667,'D2363123',5),(8105,'data-start \'opacity\' 0','data-start opacity 0',0,1,1.7333,'D2363123',5),(8106,'data-start \'top\'','data-start top',0,1,1.5333,'D23631',5),(8107,'data-start \'top\' \'-100px\',','data-start top -100px',0,1,1.8667,'D236312',5),(8108,'data-start and','data-start and',0,1,1.4667,'D236353',5),(8109,'data-start and data-end','data-start and data-end',0,1,1.7667,'D23635353',5),(8110,'data-start attribute','data-start attribute',0,1,1.6667,'D2363613',5),(8111,'data-start attribute specify','data-start attribute specify',0,1,1.9333,'D23636132121',5),(8112,'data-time','data-time',0,0,0.6,'D500',5),(8113,'data-time 250','data-time 250',0,1,1.4333,'D500',5),(8114,'data-time 250 chef','data-time 250 chef',0,1,1.6,'D521',5),(8115,'data-time 250 order','data-time 250 order',0,1,1.6333,'D5636',5),(8116,'data-time 350','data-time 350',0,1,1.4333,'D500',5),(8117,'data-time 350 sed','data-time 350 sed',0,1,1.5667,'D523',5),(8118,'data-time 500','data-time 500',0,1,1.4333,'D500',5),(8119,'data-time 500 welcome','data-time 500 welcome',0,1,1.7,'D5425',5),(8120,'data-time 600','data-time 600',0,1,1.4333,'D500',5),(8121,'data-time 600 hat','data-time 600 hat',0,1,1.5667,'D530',5),(8122,'data-time and','data-time and',0,1,1.4333,'D530',5),(8123,'data-time and data-delay','data-time and data-delay',0,1,1.8,'D534',5),(8124,'data-time attribute','data-time attribute',0,1,1.6333,'D53613',5),(8125,'data-time attribute specify','data-time attribute specify',0,1,1.9,'D536132121',5),(8126,'delay','delay',0,0,0.3333,'D400',6),(8127,'delay for','delay for',0,1,1.3,'D416',5),(8128,'delay for animation','delay for animation',0,1,1.6333,'D416535',5),(8129,'demo logo','demo logo',0,1,1.3,'D542',11),(8130,'demo logo to','demo logo to',0,1,1.4,'D5423',5),(8131,'digg dropbox','digg dropbox',0,1,1.4,'D23612',12),(8132,'digg dropbox a','digg dropbox a',0,1,1.4667,'D23612',12),(8133,'div as','div as',0,1,1.2,'D120',8),(8134,'div as you','div as you',0,1,1.3333,'D120',5),(8135,'div class gkchalkboard','div class gkchalkboard',0,1,1.7333,'D124242163',5),(8136,'div class gkheader','div class gkheader',0,1,1.6,'D124236',5),(8137,'div class gkheaderhat','div class gkheaderhat',0,1,1.7,'D1242363',5),(8138,'div class gkheaderorder','div class gkheaderorder',0,1,1.7667,'D12423636',5),(8139,'div class gkheadersign','div class gkheadersign',0,1,1.7333,'D12423625',5),(8140,'div containing','div containing',0,1,1.4667,'D125352',5),(8141,'div containing class','div containing class',0,1,1.6667,'D12535242',5),(8142,'div div as','div div as',0,1,1.3333,'D1312',8),(8143,'div div class','div div class',0,1,1.4333,'D131242',9),(8144,'div gkheaderhat','div gkheaderhat',0,1,1.5,'D12363',5),(8145,'div gkheaderhat div','div gkheaderhat div',0,1,1.6333,'D123631',5),(8146,'div gkheaderorder','div gkheaderorder',0,1,1.5667,'D123636',5),(8147,'div gkheaderorder div','div gkheaderorder div',0,1,1.7,'D12363631',5),(8148,'div gkheadersign','div gkheadersign',0,1,1.5333,'D123625',5),(8149,'div gkheadersign all','div gkheadersign all',0,1,1.6667,'D1236254',5),(8150,'div simple','div simple',0,1,1.3333,'D12514',5),(8151,'div simple animation','div simple animation',0,1,1.6667,'D12514535',5),(8152,'div with','div with',0,1,1.2667,'D130',5),(8153,'div with gkchalkboard','div with gkchalkboard',0,1,1.7,'D13242163',5),(8154,'dropbox','dropbox',0,0,0.4667,'D612',12),(8155,'dropbox a','dropbox a',0,1,1.3,'D612',12),(8156,'dropbox a href','dropbox a href',0,1,1.4667,'D61261',12),(8157,'dropbox a you','dropbox a you',0,1,1.4333,'D612',5),(8158,'element and','element and',0,1,1.3667,'E45353',6),(8159,'element and all','element and all',0,1,1.5,'E453534',5),(8160,'element and these','element and these',0,1,1.5667,'E453532',5),(8161,'element of','element of',0,1,1.3333,'E4531',5),(8162,'element of course','element of course',0,1,1.5667,'E4531262',5),(8163,'element will','element will',0,1,1.4,'E4534',8),(8164,'element will animate','element will animate',0,1,1.6667,'E453453',5),(8165,'elements are','elements are',0,1,1.4,'E45326',11),(8166,'elements are hidden','elements are hidden',0,1,1.6333,'E4532635',5),(8167,'elements are positioned','elements are positioned',0,1,1.7667,'E4532612353',4),(8168,'elements inside','elements inside',0,1,1.5,'E4532523',5),(8169,'elements inside it','elements inside it',0,1,1.6,'E4532523',5),(8170,'elements like','elements like',0,1,1.4333,'E453242',5),(8171,'elements like h1','elements like h1',0,1,1.5333,'E453242',5),(8172,'engine','engine',0,0,0.4,'E525',9),(8173,'engine based','engine based',0,1,1.4,'E525123',5),(8174,'engine based on','engine based on',0,1,1.5,'E5251235',5),(8175,'engine for','engine for',0,1,1.3333,'E52516',5),(8176,'engine for creating','engine for creating',0,1,1.6333,'E5251626352',5),(8177,'enim ipsam','enim ipsam',0,1,1.3333,'E5125',5),(8178,'enim ipsam lertasevol','enim ipsam lertasevol',0,1,1.7,'E5125463214',5),(8179,'etc','etc',0,0,0.2,'E320',6),(8180,'etc the','etc the',0,1,1.2333,'E323',5),(8181,'etc the very','etc the very',0,1,1.4,'E32316',5),(8182,'example item','example item',0,1,1.4,'E251435',5),(8183,'example item number','example item number',0,1,1.6333,'E25143516',5),(8184,'example strong','example strong',0,1,1.4667,'E251423652',5),(8185,'example strong p','example strong p',0,1,1.5333,'E2514236521',5),(8186,'facebook twitter vimeo','facebook twitter vimeo',0,1,1.7333,'F2123615',12),(8187,'fact','fact',0,0,0.2667,'F230',5),(8188,'fact that','fact that',0,1,1.3,'F230',5),(8189,'fact that the','fact that the',0,1,1.4333,'F230',5),(8190,'final','final',0,0,0.3333,'F540',10),(8191,'final value','final value',0,1,1.3667,'F5414',5),(8192,'final value without','final value without',0,1,1.6333,'F54143',5),(8193,'first attribute','first attribute',0,1,1.5,'F623613',5),(8194,'first attribute contains','first attribute contains',0,1,1.8,'F62361325352',5),(8195,'for animation','for animation',0,1,1.4333,'F6535',5),(8196,'for animation of','for animation of',0,1,1.5333,'F65351',5),(8197,'for creating','for creating',0,1,1.4,'F626352',10),(8198,'for creating simple','for creating simple',0,1,1.6333,'F626352514',5),(8199,'for the element','for the element',0,1,1.5,'F63453',5),(8200,'fragment','fragment',0,0,0.5333,'F6253',5),(8201,'fragment of','fragment of',0,1,1.3667,'F62531',5),(8202,'fragment of the','fragment of the',0,1,1.5,'F625313',5),(8203,'from the','from the',0,1,1.2667,'F653',18),(8204,'from the homepage','from the homepage',0,1,1.5667,'F653512',5),(8205,'gkchalkboard','gkchalkboard',0,0,0.8,'G42163',5),(8206,'gkchalkboard class','gkchalkboard class',0,1,1.6,'G42163242',5),(8207,'gkchalkboard class example','gkchalkboard class example',0,1,1.8667,'G42163242514',5),(8208,'gkchalkboard strong','gkchalkboard strong',0,1,1.6333,'G4216323652',5),(8209,'gkchalkboard strong example','gkchalkboard strong example',0,1,1.9,'G4216323652514',5),(8210,'gkdemologo','gkdemologo',0,0,0.6667,'G3542',5),(8211,'gkdemologo demo','gkdemologo demo',0,1,1.5,'G354235',5),(8212,'gkdemologo demo logo','gkdemologo demo logo',0,1,1.6667,'G35423542',5),(8213,'gkdropbox','gkdropbox',0,0,0.6,'G3612',12),(8214,'gkdropbox dropbox','gkdropbox dropbox',0,1,1.5667,'G36123612',12),(8215,'gkdropbox dropbox a','gkdropbox dropbox a',0,1,1.6333,'G36123612',12),(8216,'gkheader','gkheader',0,0,0.5333,'G360',5),(8217,'gkheader and','gkheader and',0,1,1.4,'G3653',5),(8218,'gkheader and put','gkheader and put',0,1,1.5333,'G365313',5),(8219,'gkheader h1','gkheader h1',0,1,1.3667,'G360',5),(8220,'gkheader h1 data-start','gkheader h1 data-start',0,1,1.7333,'G3632363',5),(8221,'gkheaderhat','gkheaderhat',0,0,0.7333,'G363',5),(8222,'gkheaderhat data-start','gkheaderhat data-start',0,1,1.7333,'G3632363',5),(8223,'gkheaderhat data-start \'left\'','gkheaderhat data-start left',0,1,1.9667,'G3632363413',5),(8224,'gkheaderhat div','gkheaderhat div',0,1,1.5,'G3631',5),(8225,'gkheaderhat div gkheaderorder','gkheaderhat div gkheaderorder',0,1,1.9667,'G363123636',5),(8226,'gkheaderorder','gkheaderorder',0,0,0.8667,'G3636',5),(8227,'gkheaderorder data-start','gkheaderorder data-start',0,1,1.8,'G363632363',5),(8228,'gkheaderorder data-start \'bottom\'','gkheaderorder data-start bottom',0,1,2,'G363632363135',5),(8229,'gkheaderorder div','gkheaderorder div',0,1,1.5667,'G363631',5),(8230,'gkheaderorder div gkheadersign','gkheaderorder div gkheadersign',0,1,2,'G36363123625',5),(8231,'gkheadersign','gkheadersign',0,0,0.8,'G3625',5),(8232,'gkheadersign all','gkheadersign all',0,1,1.5333,'G36254',5),(8233,'gkheadersign all elements','gkheadersign all elements',0,1,1.8333,'G36254532',5),(8234,'gkheadersign data-start','gkheadersign data-start',0,1,1.7667,'G362532363',5),(8235,'gkheadersign data-start \'bottom\'','gkheadersign data-start bottom',0,1,2,'G362532363135',5),(8236,'gkmoby','gkmoby',0,0,0.4,'G510',12),(8237,'gkmoby moby','gkmoby moby',0,1,1.3667,'G5151',12),(8238,'gkmoby moby a','gkmoby moby a',0,1,1.4333,'G5151',12),(8239,'gkskype','gkskype',0,0,0.4667,'G100',12),(8240,'gkskype href','gkskype href',0,1,1.4,'G161',3),(8241,'gkskype href skype','gkskype href skype',0,1,1.6,'G16121',3),(8242,'gkskype skype','gkskype skype',0,1,1.4333,'G121',12),(8243,'gkskype skype a','gkskype skype a',0,1,1.5,'G121',12),(8244,'h1 data-start','h1 data-start',0,1,1.4333,'H32363',5),(8245,'h1 data-start \'top\'','h1 data-start top',0,1,1.6333,'H323631',5),(8246,'h1 element','h1 element',0,1,1.3333,'H453',5),(8247,'h1 element will','h1 element will',0,1,1.5,'H4534',5),(8248,'h1 p','h1 p',0,1,1.1333,'H100',5),(8249,'h1 p data-start','h1 p data-start',0,1,1.5,'H132363',5),(8250,'h1 p p','h1 p p',0,1,1.2,'H100',5),(8251,'hat','hat',0,0,0.2,'H300',5),(8252,'hat div','hat div',0,1,1.2333,'H310',5),(8253,'hat div div','hat div div',0,1,1.3667,'H3131',5),(8254,'have prepared elements','have prepared elements',0,1,1.7333,'H161634532',5),(8255,'have to specify','have to specify',0,1,1.5,'H132121',5),(8256,'hidden','hidden',0,0,0.4,'H350',12),(8257,'hidden by','hidden by',0,1,1.3,'H351',5),(8258,'hidden by opacity','hidden by opacity',0,1,1.5667,'H35123',5),(8259,'homepage animation','homepage animation',0,1,1.6,'H512535',5),(8260,'homepage animation div','homepage animation div',0,1,1.7333,'H51253531',5),(8261,'homepage we','homepage we',0,1,1.3667,'H512',5),(8262,'homepage we recommend','homepage we recommend',0,1,1.7,'H5126253',5),(8263,'href class gkdropbox','href class gkdropbox',0,1,1.6667,'H612423612',12),(8264,'href class gkmoby','href class gkmoby',0,1,1.5667,'H6124251',11),(8265,'href class gkskype','href class gkskype',0,1,1.6,'H612421',12),(8266,'href skype','href skype',0,1,1.3333,'H6121',3),(8267,'href skype youtube','href skype youtube',0,1,1.6,'H612131',3),(8268,'icexplicabo','icexplicabo',0,0,0.7333,'I21421',5),(8269,'icexplicabo nemo','icexplicabo nemo',0,1,1.5333,'I214215',5),(8270,'icexplicabo nemo enim','icexplicabo nemo enim',0,1,1.7,'I214215',5),(8271,'important is','important is',0,1,1.4,'I5163532',5),(8272,'important is fact','important is fact',0,1,1.5667,'I5163532123',5),(8273,'in 350ms','in 350ms',0,1,1.2667,'I520',5),(8274,'in 350ms and','in 350ms and',0,1,1.4,'I5253',5),(8275,'in 500ms','in 500ms',0,1,1.2667,'I520',5),(8276,'in 500ms and','in 500ms and',0,1,1.4,'I5253',5),(8277,'in miliseconds','in miliseconds',0,1,1.4667,'I542532',6),(8278,'in miliseconds the','in miliseconds the',0,1,1.6,'I5425323',5),(8279,'in the miliseconds','in the miliseconds',0,1,1.6,'I53542532',5),(8280,'inside it','inside it',0,1,1.3,'I523',5),(8281,'inside it we','inside it we',0,1,1.4,'I523',5),(8282,'inside please','inside please',0,1,1.4333,'I523142',5),(8283,'inside please create','inside please create',0,1,1.6667,'I52314263',5),(8284,'intro','intro',0,0,0.3333,'I536',5),(8285,'intro animations','intro animations',0,1,1.5333,'I5365352',5),(8286,'intro animations like','intro animations like',0,1,1.7,'I536535242',5),(8287,'ipsam','ipsam',0,0,0.3333,'I125',5),(8288,'ipsam lertasevol','ipsam lertasevol',0,1,1.5333,'I125463214',5),(8289,'ipsam lertasevol uptatemia','ipsam lertasevol uptatemia',0,1,1.8667,'I125463214135',5),(8290,'is fact','is fact',0,1,1.2333,'I2123',5),(8291,'is fact that','is fact that',0,1,1.4,'I2123',5),(8292,'it we','it we',0,1,1.1667,'I300',5),(8293,'it we have','it we have',0,1,1.3333,'I310',5),(8294,'item number','item number',0,1,1.3667,'I3516',5),(8295,'item number one','item number one',0,1,1.5,'I35165',5),(8296,'item number two','item number two',0,1,1.5,'I35163',5),(8297,'jeferson','jeferson',0,0,0.5333,'J1625',5),(8298,'jeferson div','jeferson div',0,1,1.4,'J162531',5),(8299,'jeferson div div','jeferson div div',0,1,1.5333,'J16253131',5),(8300,'keriasertas','keriasertas',0,0,0.7333,'K62632',5),(8301,'keriasertas toresa','keriasertas toresa',0,1,1.6,'K62632362',5),(8302,'keriasertas toresa small','keriasertas toresa small',0,1,1.8,'K6263236254',5),(8303,'kuiase','kuiase',0,0,0.4,'K000',5),(8304,'kuiase undeosler','kuiase undeosler',0,1,1.5333,'K53246',5),(8305,'kuiase undeosler miase','kuiase undeosler miase',0,1,1.7333,'K5324652',5),(8306,'least','least',0,0,0.3333,'L230',5),(8307,'least two','least two',0,1,1.3,'L230',5),(8308,'least two attributes','least two attributes',0,1,1.6667,'L236132',5),(8309,'left \'-300px\'','left -300px',0,1,1.4333,'L1312',5),(8310,'left \'-300px\' data-end','left -300px data-end',0,1,1.7333,'L1312353',5),(8311,'leroacustiu','leroacustiu',0,0,0.7333,'L623',5),(8312,'leroacustiu mera','leroacustiu mera',0,1,1.5333,'L62356',5),(8313,'leroacustiu mera reuentis','leroacustiu mera reuentis',0,1,1.8333,'L62356532',5),(8314,'lertasevol','lertasevol',0,0,0.6667,'L63214',5),(8315,'lertasevol uptatemia','lertasevol uptatemia',0,1,1.6667,'L63214135',5),(8316,'lertasevol uptatemia voluptas','lertasevol uptatemia voluptas',0,1,1.9667,'L6321413514132',5),(8317,'let\'s','let',0,0,0.3333,'L320',14),(8318,'let\'s analyze','let analyze',0,1,1.4333,'L32542',5),(8319,'let\'s analyze the','let analyze the',0,1,1.5667,'L325423',5),(8320,'like h1','like h1',0,1,1.2333,'L200',5),(8321,'like h1 p','like h1 p',0,1,1.3,'L210',5),(8322,'like the animation','like the animation',0,1,1.6,'L23535',5),(8323,'logo','logo',0,0,0.2667,'L200',11),(8324,'logo to','logo to',0,1,1.2333,'L230',5),(8325,'logo to create','logo to create',0,1,1.4667,'L23263',5),(8326,'logo with','logo with',0,1,1.3,'L230',5),(8327,'logo with using','logo with using',0,1,1.5,'L23252',5),(8328,'mera','mera',0,0,0.2667,'M600',5),(8329,'mera reuentis','mera reuentis',0,1,1.4333,'M6532',5),(8330,'mera reuentis mose','mera reuentis mose',0,1,1.6,'M653252',5),(8331,'miase','miase',0,0,0.3333,'M200',5),(8332,'miase osac','miase osac',0,1,1.3333,'M200',5),(8333,'miase osac usa','miase osac usa',0,1,1.4667,'M200',5),(8334,'miliseconds','miliseconds',0,0,0.7333,'M42532',6),(8335,'miliseconds let\'s','miliseconds let',0,1,1.5667,'M42532432',5),(8336,'miliseconds let\'s analyze','miliseconds let analyze',0,1,1.8333,'M42532432542',5),(8337,'miliseconds the','miliseconds the',0,1,1.5,'M425323',5),(8338,'miliseconds the second','miliseconds the second',0,1,1.7333,'M425323253',5),(8339,'moby a','moby a',0,1,1.2,'M100',12),(8340,'moby a a','moby a a',0,1,1.2667,'M100',12),(8341,'mose','mose',0,0,0.2667,'M200',5),(8342,'mose keriasertas','mose keriasertas',0,1,1.5333,'M262632',5),(8343,'mose keriasertas toresa','mose keriasertas toresa',0,1,1.7667,'M262632362',5),(8344,'naseaeraciat','naseaeraciat',0,0,0.8,'N2623',5),(8345,'naseaeraciat kuiase','naseaeraciat kuiase',0,1,1.6333,'N26232',5),(8346,'naseaeraciat kuiase undeosler','naseaeraciat kuiase undeosler',0,1,1.9667,'N2623253246',5),(8347,'nemo','nemo',0,0,0.2667,'N000',5),(8348,'nemo enim','nemo enim',0,1,1.3,'N000',5),(8349,'nemo enim ipsam','nemo enim ipsam',0,1,1.5,'N125',5),(8350,'ntiume','ntiume',0,0,0.4,'N350',5),(8351,'ntiume uedearsteked','ntiume uedearsteked',0,1,1.6333,'N35362323',5),(8352,'ntiume uedearsteked icexplicabo','ntiume uedearsteked icexplicabo',0,1,2,'N3536232321421',5),(8353,'number one','number one',0,1,1.3333,'N165',186),(8354,'number one item','number one item',0,1,1.5,'N16535',5),(8355,'number one p','number one p',0,1,1.4,'N1651',5),(8356,'number two','number two',0,1,1.3333,'N163',5),(8357,'number two div','number two div',0,1,1.4667,'N1631',5),(8358,'number two p','number two p',0,1,1.4,'N1631',5),(8359,'of course','of course',0,1,1.3,'O1262',5),(8360,'of course in','of course in',0,1,1.4,'O12625',5),(8361,'of delay','of delay',0,1,1.2667,'O134',5),(8362,'of delay for','of delay for',0,1,1.4,'O13416',5),(8363,'of the animated','of the animated',0,1,1.5,'O1353',5),(8364,'of the animation','of the animation',0,1,1.5333,'O13535',8),(8365,'of the code','of the code',0,1,1.3667,'O1323',5),(8366,'of the data-start','of the data-start',0,1,1.5667,'O132363',4),(8367,'of the specific','of the specific',0,1,1.5,'O1321212',10),(8368,'on the data','on the data',0,1,1.3667,'O530',5),(8369,'one item','one item',0,1,1.2667,'O535',5),(8370,'one item number','one item number',0,1,1.5,'O53516',5),(8371,'one p','one p',0,1,1.1667,'O510',5),(8372,'one p p','one p p',0,1,1.2333,'O510',5),(8373,'online','online',0,0,0.4,'O545',6),(8374,'online div','online div',0,1,1.3333,'O54531',5),(8375,'online div div','online div div',0,1,1.4667,'O5453131',5),(8376,'only opacity','only opacity',0,1,1.4,'O54123',5),(8377,'only opacity property','only opacity property',0,1,1.7,'O5412316163',5),(8378,'opacity','opacity',0,0,0.4667,'O123',5),(8379,'opacity properties','opacity properties',0,1,1.6,'O123161632',5),(8380,'opacity properties in','opacity properties in',0,1,1.7,'O1231616325',5),(8381,'opacity property','opacity property',0,1,1.5333,'O12316163',5),(8382,'opacity property in','opacity property in',0,1,1.6333,'O123161635',5),(8383,'opacity set','opacity set',0,1,1.3667,'O12323',5),(8384,'opacity set to','opacity set to',0,1,1.4667,'O12323',5),(8385,'order online','order online',0,1,1.4,'O636545',5),(8386,'order online div','order online div',0,1,1.5333,'O63654531',5),(8387,'orodiaer','orodiaer',0,0,0.5333,'O636',5),(8388,'orodiaer leroacustiu','orodiaer leroacustiu',0,1,1.6667,'O6364623',5),(8389,'orodiaer leroacustiu mera','orodiaer leroacustiu mera',0,1,1.8333,'O636462356',5),(8390,'osac','osac',0,0,0.2667,'O200',5),(8391,'osac usa','osac usa',0,1,1.2667,'O200',5),(8392,'osac usa ntiume','osac usa ntiume',0,1,1.5,'O2535',5),(8393,'our simple','our simple',0,1,1.3333,'O62514',5),(8394,'our simple animation','our simple animation',0,1,1.6667,'O62514535',5),(8395,'p data-start','p data-start',0,1,1.4,'P32363',5),(8396,'p data-start \'opacity\'','p data-start opacity',0,1,1.7333,'P32363123',5),(8397,'p div class','p div class',0,1,1.3667,'P31242',5),(8398,'p div simple','p div simple',0,1,1.4,'P312514',5),(8399,'p item','p item',0,1,1.2,'P350',5),(8400,'p item number','p item number',0,1,1.4333,'P3516',5),(8401,'p p item','p p item',0,1,1.2667,'P350',5),(8402,'p p small','p p small',0,1,1.3,'P254',5),(8403,'p small','p small',0,1,1.2333,'P254',5),(8404,'p small div','p small div',0,1,1.3667,'P25431',5),(8405,'paragraph','paragraph',0,0,0.6,'P6261',6),(8406,'paragraph will','paragraph will',0,1,1.4667,'P62614',5),(8407,'paragraph will animate','paragraph will animate',0,1,1.7333,'P6261453',5),(8408,'perspiciat','perspiciat',0,0,0.6667,'P62123',5),(8409,'perspiciat unde','perspiciat unde',0,1,1.5,'P6212353',5),(8410,'perspiciat unde orodiaer','perspiciat unde orodiaer',0,1,1.8,'P6212353636',5),(8411,'please creat','please creat',0,1,1.4,'P4263',1),(8412,'please creat a','please creat a',0,1,1.4667,'P4263',1),(8413,'please create','please create',0,1,1.4333,'P4263',6),(8414,'please create a','please create a',0,1,1.5,'P4263',6),(8415,'position of','position of',0,1,1.3667,'P2351',6),(8416,'position of the','position of the',0,1,1.5,'P23513',6),(8417,'positioned','positioned',0,0,0.6667,'P2353',5),(8418,'positioned absolutely','positioned absolutely',0,1,1.7,'P235312434',5),(8419,'prepared elements','prepared elements',0,1,1.5667,'P61634532',5),(8420,'prepared elements like','prepared elements like',0,1,1.7333,'P6163453242',5),(8421,'properties','properties',0,0,0.6667,'P61632',5),(8422,'properties for','properties for',0,1,1.4667,'P6163216',5),(8423,'properties for the','properties for the',0,1,1.6,'P61632163',5),(8424,'properties in','properties in',0,1,1.4333,'P616325',5),(8425,'properties in 500ms','properties in 500ms',0,1,1.6333,'P6163252',5),(8426,'properties should','properties should',0,1,1.5667,'P6163243',5),(8427,'properties should be','properties should be',0,1,1.6667,'P61632431',5),(8428,'properties will','properties will',0,1,1.5,'P616324',5),(8429,'properties will be','properties will be',0,1,1.6,'P6163241',5),(8430,'property','property',0,0,0.5333,'P6163',5),(8431,'property in','property in',0,1,1.3667,'P61635',5),(8432,'property in 350ms','property in 350ms',0,1,1.5667,'P616352',5),(8433,'put','put',0,0,0.2,'P300',11),(8434,'put elements','put elements',0,1,1.4,'P34532',5),(8435,'put elements inside','put elements inside',0,1,1.6333,'P34532523',5),(8436,'reuentis','reuentis',0,0,0.5333,'R532',5),(8437,'reuentis mose','reuentis mose',0,1,1.4333,'R53252',5),(8438,'reuentis mose keriasertas','reuentis mose keriasertas',0,1,1.8333,'R5325262632',5),(8439,'right \'-300px\'','right -300px',0,1,1.4667,'R2312',5),(8440,'right \'-300px\' data-end','right -300px data-end',0,1,1.7667,'R2312353',5),(8441,'second','second',0,0,0.4,'S530',31),(8442,'second attribute','second attribute',0,1,1.5333,'S53613',5),(8443,'second attribute specify','second attribute specify',0,1,1.8,'S536132121',5),(8444,'sed ut','sed ut',0,1,1.2,'S300',154),(8445,'sed ut perspiciat','sed ut perspiciat',0,1,1.5667,'S3162123',5),(8446,'see the','see the',0,1,1.2333,'S300',8),(8447,'see the the','see the the',0,1,1.3667,'S300',5),(8448,'set to','set to',0,1,1.2,'S300',7),(8449,'set to 0','set to 0',0,1,1.2667,'S300',5),(8450,'should be written','should be written',0,1,1.5667,'S431635',5),(8451,'simple animation','simple animation',0,1,1.5333,'S514535',6),(8452,'simple animation engine','simple animation engine',0,1,1.7667,'S51453525',6),(8453,'simple intro','simple intro',0,1,1.4,'S514536',5),(8454,'simple intro animations','simple intro animations',0,1,1.7667,'S5145365352',5),(8455,'sit small','sit small',0,1,1.3,'S3254',5),(8456,'sit small p','sit small p',0,1,1.3667,'S32541',5),(8457,'skype','skype',0,0,0.3333,'S100',12),(8458,'skype a','skype a',0,1,1.2333,'S100',12),(8459,'skype a a','skype a a',0,1,1.3,'S100',12),(8460,'skype youtube','skype youtube',0,1,1.4333,'S131',12),(8461,'skype youtube digg','skype youtube digg',0,1,1.6,'S13132',11),(8462,'small architecto','small architecto',0,1,1.5333,'S5462323',5),(8463,'small architecto beatae','small architecto beatae',0,1,1.7667,'S546232313',5),(8464,'small div','small div',0,1,1.3,'S5431',5),(8465,'small div gkheaderhat','small div gkheaderhat',0,1,1.7,'S54312363',5),(8466,'small logo','small logo',0,1,1.3333,'S542',5),(8467,'small logo with','small logo with',0,1,1.5,'S5423',5),(8468,'small p','small p',0,1,1.2333,'S541',5),(8469,'small p div','small p div',0,1,1.3667,'S54131',5),(8470,'specific','specific',0,0,0.5333,'S1212',16),(8471,'specific element','specific element',0,1,1.5333,'S1212453',6),(8472,'specific element of','specific element of',0,1,1.6333,'S12124531',5),(8473,'specify','specify',0,0,0.4667,'S121',10),(8474,'specify at','specify at',0,1,1.3333,'S1213',5),(8475,'specify at least','specify at least',0,1,1.5333,'S1213423',5),(8476,'specify the','specify the',0,1,1.3667,'S1213',6),(8477,'specify the start','specify the start',0,1,1.5667,'S12132363',5),(8478,'specify the time','specify the time',0,1,1.5333,'S12135',5),(8479,'specify which','specify which',0,1,1.4333,'S1212',5),(8480,'specify which properties','specify which properties',0,1,1.8,'S1212161632',4),(8481,'start','start',0,0,0.3333,'S363',14),(8482,'start after','start after',0,1,1.3667,'S363136',5),(8483,'start after 100ms','start after 100ms',0,1,1.5667,'S36313652',5),(8484,'start after 350ms','start after 350ms',0,1,1.5667,'S36313652',4),(8485,'start position','start position',0,1,1.4667,'S3631235',8),(8486,'start position of','start position of',0,1,1.5667,'S36312351',5),(8487,'starting properties','starting properties',0,1,1.6333,'S36352161632',5),(8488,'starting properties for','starting properties for',0,1,1.7667,'S3635216163216',5),(8489,'strong','strong',0,0,0.4,'S3652',9),(8490,'strong example','strong example',0,1,1.4667,'S3652514',6),(8491,'strong example strong','strong example strong',0,1,1.7,'S365251423652',5),(8492,'strong p','strong p',0,1,1.2667,'S36521',5),(8493,'strong p item','strong p item',0,1,1.4333,'S3652135',5),(8494,'text inside','text inside',0,1,1.3667,'T23523',5),(8495,'text inside please','text inside please',0,1,1.6,'T23523142',5),(8496,'that the','that the',0,1,1.2667,'T000',8),(8497,'that the content','that the content',0,1,1.5333,'T25353',5),(8498,'the animated','the animated',0,1,1.4,'T530',5),(8499,'the animated element','the animated element',0,1,1.6667,'T53453',5),(8500,'the animation','the animation',0,1,1.4333,'T535',9),(8501,'the animation in','the animation in',0,1,1.5333,'T535',5),(8502,'the animation on','the animation on',0,1,1.5333,'T535',5),(8503,'the code','the code',0,1,1.2667,'T230',5),(8504,'the code from','the code from',0,1,1.4333,'T23165',5),(8505,'the content','the content',0,1,1.3667,'T25353',5),(8506,'the content of','the content of',0,1,1.4667,'T253531',5),(8507,'the data','the data',0,1,1.2667,'T000',5),(8508,'the data attributes','the data attributes',0,1,1.6333,'T6132',5),(8509,'the data-start','the data-start',0,1,1.4667,'T2363',4),(8510,'the data-start attribute','the data-start attribute',0,1,1.8,'T2363613',4),(8511,'the data-time','the data-time',0,1,1.4333,'T500',4),(8512,'the data-time attribute','the data-time attribute',0,1,1.7667,'T53613',4),(8513,'the element','the element',0,1,1.3667,'T453',11),(8514,'the element and','the element and',0,1,1.5,'T45353',6),(8515,'the first attribute','the first attribute',0,1,1.6333,'T1623613',5),(8516,'the fragment','the fragment',0,1,1.4,'T16253',5),(8517,'the fragment of','the fragment of',0,1,1.5,'T162531',5),(8518,'the homepage animation','the homepage animation',0,1,1.7333,'T512535',5),(8519,'the homepage we','the homepage we',0,1,1.5,'T512',5),(8520,'the miliseconds','the miliseconds',0,1,1.5,'T542532',5),(8521,'the miliseconds let\'s','the miliseconds let',0,1,1.7,'T542532432',5),(8522,'the paragraph','the paragraph',0,1,1.4333,'T16261',5),(8523,'the paragraph will','the paragraph will',0,1,1.6,'T162614',5),(8524,'the second','the second',0,1,1.3333,'T253',26),(8525,'the second attribute','the second attribute',0,1,1.6667,'T253613',5),(8526,'the specific','the specific',0,1,1.4,'T21212',16),(8527,'the specific element','the specific element',0,1,1.6667,'T21212453',6),(8528,'the start','the start',0,1,1.3,'T2363',8),(8529,'the start position','the start position',0,1,1.6,'T23631235',8),(8530,'the the','the the',0,1,1.2333,'T000',5),(8531,'the time','the time',0,1,1.2667,'T500',5),(8532,'the time of','the time of',0,1,1.3667,'T510',5),(8533,'the very','the very',0,1,1.2667,'T160',5),(8534,'the very important','the very important',0,1,1.6,'T16516353',5),(8535,'their','their',0,0,0.3333,'T600',189),(8536,'their final','their final',0,1,1.3667,'T6154',5),(8537,'their final value','their final value',0,1,1.5667,'T615414',5),(8538,'there','there',0,0,0.3333,'T600',23),(8539,'there are','there are',0,1,1.3,'T600',9),(8540,'there are also','there are also',0,1,1.4667,'T642',7),(8541,'these properties','these properties',0,1,1.5333,'T2161632',5),(8542,'these properties should','these properties should',0,1,1.7667,'T216163243',5),(8543,'time of','time of',0,1,1.2333,'T510',5),(8544,'time of delay','time of delay',0,1,1.4333,'T5134',5),(8545,'time of the','time of the',0,1,1.3667,'T513',5),(8546,'to 0','to 0',0,1,1.1333,'T000',5),(8547,'to 0 you','to 0 you',0,1,1.2667,'T000',5),(8548,'to create a','to create a',0,1,1.3667,'T263',19),(8549,'to create animation','to create animation',0,1,1.6333,'T263535',1),(8550,'to specify','to specify',0,1,1.3333,'T2121',6),(8551,'to specify at','to specify at',0,1,1.4333,'T21213',5),(8552,'to use our','to use our',0,1,1.3333,'T260',5),(8553,'top','top',0,0,0.2,'T100',69),(8554,'top and','top and',0,1,1.2333,'T153',24),(8555,'top and opacity','top and opacity',0,1,1.5,'T153123',5),(8556,'toresa','toresa',0,0,0.4,'T620',5),(8557,'toresa small','toresa small',0,1,1.4,'T6254',5),(8558,'toresa small architecto','toresa small architecto',0,1,1.7667,'T625462323',5),(8559,'twitter vimeo','twitter vimeo',0,1,1.4333,'T615',12),(8560,'twitter vimeo moby','twitter vimeo moby',0,1,1.6,'T6151',12),(8561,'two','two',0,0,0.2,'T000',34),(8562,'two additional','two additional',0,1,1.4667,'T540',8),(8563,'two additional attributes','two additional attributes',0,1,1.8333,'T5436132',5),(8564,'two attributes','two attributes',0,1,1.4667,'T6132',5),(8565,'two attributes data-start','two attributes data-start',0,1,1.8333,'T613232363',5),(8566,'two div','two div',0,1,1.2333,'T100',5),(8567,'two div class','two div class',0,1,1.4333,'T1242',5),(8568,'two p','two p',0,1,1.1667,'T100',5),(8569,'two p div','two p div',0,1,1.3,'T131',5),(8570,'uedearsteked','uedearsteked',0,0,0.8,'U362323',5),(8571,'uedearsteked icexplicabo','uedearsteked icexplicabo',0,1,1.8,'U36232321421',5),(8572,'uedearsteked icexplicabo nemo','uedearsteked icexplicabo nemo',0,1,1.9667,'U362323214215',5),(8573,'unde','unde',0,0,0.2667,'U530',5),(8574,'unde orodiaer','unde orodiaer',0,1,1.4333,'U53636',5),(8575,'unde orodiaer leroacustiu','unde orodiaer leroacustiu',0,1,1.8333,'U536364623',5),(8576,'undeosler','undeosler',0,0,0.6,'U53246',5),(8577,'undeosler miase','undeosler miase',0,1,1.5,'U5324652',5),(8578,'undeosler miase osac','undeosler miase osac',0,1,1.6667,'U5324652',5),(8579,'units','units',0,0,0.3333,'U532',5),(8580,'units the','units the',0,1,1.3,'U5323',5),(8581,'units there','units there',0,1,1.3667,'U53236',5),(8582,'units there are','units there are',0,1,1.5,'U53236',5),(8583,'uptatemia','uptatemia',0,0,0.6,'U135',5),(8584,'uptatemia voluptas','uptatemia voluptas',0,1,1.6,'U13514132',5),(8585,'uptatemia voluptas sit','uptatemia voluptas sit',0,1,1.7333,'U135141323',5),(8586,'usa','usa',0,0,0.2,'U200',5),(8587,'usa ntiume','usa ntiume',0,1,1.3333,'U2535',5),(8588,'usa ntiume uedearsteked','usa ntiume uedearsteked',0,1,1.7667,'U2535362323',5),(8589,'use our','use our',0,1,1.2333,'U260',11),(8590,'use our simple','use our simple',0,1,1.4667,'U262514',5),(8591,'using div','using div',0,1,1.3,'U25231',5),(8592,'using div containing','using div containing',0,1,1.6667,'U2523125352',5),(8593,'ut perspiciat','ut perspiciat',0,1,1.4333,'U3162123',5),(8594,'ut perspiciat unde','ut perspiciat unde',0,1,1.6,'U316212353',5),(8595,'value','value',0,0,0.3333,'V400',14),(8596,'value without','value without',0,1,1.4333,'V430',5),(8597,'value without units','value without units',0,1,1.6333,'V43532',5),(8598,'very important','very important',0,1,1.4667,'V6516353',8),(8599,'very important is','very important is',0,1,1.5667,'V65163532',5),(8600,'voluptas','voluptas',0,0,0.5333,'V4132',5),(8601,'voluptas sit','voluptas sit',0,1,1.4,'V41323',5),(8602,'voluptas sit small','voluptas sit small',0,1,1.6,'V41323254',5),(8603,'welcome','welcome',0,0,0.4667,'W425',34),(8604,'welcome h1','welcome h1',0,1,1.3333,'W425',5),(8605,'welcome h1 p','welcome h1 p',0,1,1.4,'W4251',5),(8606,'what will','what will',0,1,1.3,'W340',5),(8607,'what will be','what will be',0,1,1.4,'W341',5),(8608,'which properties','which properties',0,1,1.5333,'W2161632',4),(8609,'which properties will','which properties will',0,1,1.7,'W21616324',4),(8610,'will animate','will animate',0,1,1.4,'W453',5),(8611,'will animate only','will animate only',0,1,1.5667,'W45354',5),(8612,'will animate top','will animate top',0,1,1.5333,'W4531',5),(8613,'will be animated','will be animated',0,1,1.5333,'W4153',5),(8614,'will be their','will be their',0,1,1.4333,'W4136',5),(8615,'will start','will start',0,1,1.3333,'W42363',8),(8616,'will start after','will start after',0,1,1.5333,'W42363136',5),(8617,'with class','with class',0,1,1.3333,'W3242',6),(8618,'with class gkheader','with class gkheader',0,1,1.6333,'W324236',5),(8619,'with gkchalkboard','with gkchalkboard',0,1,1.5667,'W3242163',5),(8620,'with gkchalkboard class','with gkchalkboard class',0,1,1.7667,'W3242163242',5),(8621,'with text','with text',0,1,1.3,'W323',5),(8622,'with text inside','with text inside',0,1,1.5333,'W323523',5),(8623,'with units','with units',0,1,1.3333,'W3532',5),(8624,'with units the','with units the',0,1,1.4667,'W35323',5),(8625,'with using','with using',0,1,1.3333,'W3252',16),(8626,'with using div','with using div',0,1,1.4667,'W325231',5),(8627,'without units','without units',0,1,1.4333,'W3532',5),(8628,'without units there','without units there',0,1,1.6333,'W353236',5),(8629,'written','written',0,0,0.4667,'W635',5),(8630,'written with','written with',0,1,1.4,'W6353',5),(8631,'written with units','written with units',0,1,1.6,'W6353532',5),(8632,'youtube digg','youtube digg',0,1,1.4,'Y3132',11),(8633,'youtube digg dropbox','youtube digg dropbox',0,1,1.6667,'Y31323612',11),(8634,'animation please creata','animation please creata',0,1,1.7667,'A53514263',4),(8635,'attributes for','attributes for',0,1,1.4667,'A3613216',4),(8636,'attributes for creating','attributes for creating',0,1,1.7667,'A361321626352',4),(8637,'creata','creata',0,0,0.4,'C630',4),(8638,'creata a','creata a',0,1,1.2667,'C630',4),(8639,'creata a container','creata a container',0,1,1.6,'C6325356',4),(8640,'creating animation','creating animation',0,1,1.6,'C6352535',4),(8641,'creating animation please','creating animation please',0,1,1.8333,'C6352535142',4),(8642,'data attributes for','data attributes for',0,1,1.6333,'D613216',4),(8643,'for creating animation','for creating animation',0,1,1.7333,'F626352535',4),(8644,'please creata','please creata',0,1,1.4333,'P4263',4),(8645,'please creata a','please creata a',0,1,1.5,'P4263',4),(8646,'2012','2012',0,0,0.4,'',45),(8647,'born','born',0,0,0.2667,'B650',5),(8648,'born 2012','born 2012',0,1,1.3,'B650',5),(8649,'rose','rose',0,0,0.2667,'R200',9),(8650,'rose born','rose born',0,1,1.3,'R2165',5),(8651,'rose born 2012','rose born 2012',0,1,1.4667,'R2165',5),(8652,'a cooler','a cooler',0,1,1.2667,'A246',1),(8653,'a cooler lighter','a cooler lighter',0,1,1.5333,'A2464236',1),(8654,'cooler','cooler',0,0,0.4,'C460',1),(8655,'cooler lighter','cooler lighter',0,1,1.4667,'C464236',1),(8656,'cooler lighter summer','cooler lighter summer',0,1,1.7,'C464236256',1),(8657,'lighter','lighter',0,0,0.4667,'L236',2),(8658,'lighter summer','lighter summer',0,1,1.4667,'L236256',1),(8659,'lighter summer suit','lighter summer suit',0,1,1.6333,'L23625623',1),(8660,'suit','suit',0,0,0.2667,'S300',6),(8661,'summer','summer',0,0,0.4,'S560',186),(8662,'summer suit','summer suit',0,1,1.3667,'S5623',1),(8663,'fashion','fashion',0,0,0.4667,'F250',158),(8664,'fashion week','fashion week',0,1,1.4,'F252',62),(8665,'london','london',0,0,0.4,'L535',66),(8666,'london fashion','london fashion',0,1,1.4667,'L535125',59),(8667,'london fashion week','london fashion week',0,1,1.6333,'L5351252',59),(8668,'week','week',0,0,0.2667,'W200',62),(8669,'fashion week 2','fashion week 2',0,1,1.4667,'F252',1),(8670,'week 2','week 2',0,1,1.2,'W200',1),(8671,'fashion week 3','fashion week 3',0,1,1.4667,'F252',4),(8672,'week 3','week 3',0,1,1.2,'W200',4),(8673,'fashion week 4','fashion week 4',0,1,1.4667,'F252',5),(8674,'week 4','week 4',0,1,1.2,'W200',5),(8675,'fashion week 5','fashion week 5',0,1,1.4667,'F252',3),(8676,'week 5','week 5',0,1,1.2,'W200',3),(8677,'fashion week 6','fashion week 6',0,1,1.4667,'F252',2),(8678,'week 6','week 6',0,1,1.2,'W200',2),(8679,'fashion week 7','fashion week 7',0,1,1.4667,'F252',1),(8680,'week 7','week 7',0,1,1.2,'W200',1),(8681,'fashion week 8','fashion week 8',0,1,1.4667,'F252',5),(8682,'week 8','week 8',0,1,1.2,'W200',5),(8683,'fashion week 9','fashion week 9',0,1,1.4667,'F252',9),(8684,'week 9','week 9',0,1,1.2,'W200',9),(8685,'fashion week 10','fashion week 10',0,1,1.5,'F252',5),(8686,'week 10','week 10',0,1,1.2333,'W200',5),(8687,'fashion week 11','fashion week 11',0,1,1.5,'F252',1),(8688,'week 11','week 11',0,1,1.2333,'W200',1),(8689,'fashion week 12','fashion week 12',0,1,1.5,'F252',1),(8690,'week 12','week 12',0,1,1.2333,'W200',1),(8691,'fashion week 13','fashion week 13',0,1,1.5,'F252',2),(8692,'week 13','week 13',0,1,1.2333,'W200',2),(8693,'fashion week 14','fashion week 14',0,1,1.5,'F252',4),(8694,'week 14','week 14',0,1,1.2333,'W200',4),(8695,'href information','href information',0,1,1.5333,'H61516535',1),(8696,'href information information','href information information',0,1,1.9333,'H6151653516535',1),(8697,'the h1','the h1',0,1,1.2,'T000',3),(8698,'the h1 element','the h1 element',0,1,1.4667,'T453',3),(8699,'the the h1','the the h1',0,1,1.3333,'T000',3),(8700,'units the second','units the second',0,1,1.5333,'U5323253',3),(8701,'class demo-typo-col3 wrapper','class demo-typo-col3 wrapper',0,1,1.9333,'C42353124616',5),(8702,'demo-typo-col3 wrapper','demo-typo-col3 wrapper',0,1,1.7333,'D53124616',5),(8703,'demo-typo-col3 wrapper position','demo-typo-col3 wrapper position',0,1,2,'D531246161235',5),(8704,'href digg','href digg',0,1,1.3,'H6132',1),(8705,'href digg dropbox','href digg dropbox',0,1,1.5667,'H61323612',1),(8706,'moby skype','moby skype',0,1,1.3333,'M121',9),(8707,'moby skype youtube','moby skype youtube',0,1,1.6,'M12131',9),(8708,'vimeo moby skype','vimeo moby skype',0,1,1.5333,'V5121',9),(8709,'class gklegend4 legend','class gklegend4 legend',0,1,1.7333,'C4242534253',2),(8710,'gklegend4 legend','gklegend4 legend',0,1,1.5333,'G42534253',2),(8711,'gklegend4 legend lorem','gklegend4 legend lorem',0,1,1.7333,'G42534253465',2),(8712,'congue headings','congue headings',0,1,1.5,'C52352',33),(8713,'congue headings this','congue headings this',0,1,1.6667,'C5235232',33),(8714,'congue lorem','congue lorem',0,1,1.4,'C52465',33),(8715,'congue lorem ipsum','congue lorem ipsum',0,1,1.6,'C52465125',33),(8716,'href warning','href warning',0,1,1.4,'H61652',2),(8717,'href warning warning','href warning warning',0,1,1.6667,'H61652652',2),(8718,'tortor congue headings','tortor congue headings',0,1,1.7333,'T636252352',33),(8719,'tortor congue lorem','tortor congue lorem',0,1,1.6333,'T636252465',33),(8720,'typodesc numblocks','typodesc numblocks',0,1,1.6,'T1325142',3),(8721,'typodesc numblocks p','typodesc numblocks p',0,1,1.6667,'T13251421',3),(8722,'class demo-typodiv','class demo-typodiv',0,1,1.6,'C42353131',9),(8723,'class demo-typodiv typodesc','class demo-typodiv typodesc',0,1,1.9,'C423531313132',9),(8724,'demo-typodiv','demo-typodiv',0,0,0.8,'D53131',9),(8725,'demo-typodiv typodesc','demo-typodiv typodesc',0,1,1.7,'D531313132',9),(8726,'demo-typodiv typodesc blockquotes','demo-typodiv typodesc blockquotes',0,1,2,'D53131313214232',7),(8727,'typodesc blockquotes','typodesc blockquotes',0,1,1.6667,'T13214232',7),(8728,'typodesc blockquotes lorem','typodesc blockquotes lorem',0,1,1.8667,'T13214232465',7),(8729,'class demo-typo numblocks','class demo-typo numblocks',0,1,1.8333,'C4235315142',3),(8730,'demo-typo numblocks','demo-typo numblocks',0,1,1.6333,'D5315142',3),(8731,'demo-typo numblocks p','demo-typo numblocks p',0,1,1.7,'D53151421',3),(8732,'demo-typodiv typodesc icon','demo-typodiv typodesc icon',0,1,1.8667,'D5313131325',4),(8733,'typodesc icon','typodesc icon',0,1,1.4333,'T1325',4),(8734,'typodesc icon set','typodesc icon set',0,1,1.5667,'T132523',4),(8735,'warningtooltip','warningtooltip',0,0,0.9333,'W6523431',4),(8736,'warningtooltip warning','warningtooltip warning',0,1,1.7333,'W6523431652',4),(8737,'warningtooltip warning this','warningtooltip warning this',0,1,1.9,'W652343165232',4),(8738,'class customtooltip','class customtooltip',0,1,1.6333,'C42353431',1),(8739,'class customtooltip warningtooltip','class customtooltip warningtooltip',0,1,2,'C423534316523431',1),(8740,'class gknav this','class gknav this',0,1,1.5333,'C425132',1),(8741,'customtooltip','customtooltip',0,0,0.8667,'C353431',1),(8742,'customtooltip warningtooltip','customtooltip warningtooltip',0,1,1.9333,'C3534316523431',1),(8743,'customtooltip warningtooltip warning','customtooltip warningtooltip warning',0,1,2,'C3534316523431652',1),(8744,'gknav this','gknav this',0,1,1.3333,'G5132',1),(8745,'gknav this is','gknav this is',0,1,1.4333,'G5132',1),(8746,'icon set this','icon set this',0,1,1.4333,'I25232',11),(8747,'set this','set this',0,1,1.2667,'S320',11),(8748,'set this is','set this is',0,1,1.3667,'S320',11),(8749,'d','d',0,0,0.0667,'D000',9),(8750,'d g','d g',0,1,1.1,'D200',9),(8751,'d g fever','d g fever',0,1,1.3,'D216',9),(8752,'david','david',0,0,0.3333,'D130',28),(8753,'david gandy','david gandy',0,1,1.3667,'D13253',20),(8754,'dg','dg',0,0,0.1333,'D200',9),(8755,'dg fever','dg fever',0,1,1.2667,'D216',9),(8756,'dg fever david','dg fever david',0,1,1.4667,'D216313',9),(8757,'fever','fever',0,0,0.3333,'F600',9),(8758,'fever david','fever david',0,1,1.3667,'F6313',9),(8759,'fever david gandy','fever david gandy',0,1,1.5667,'F6313253',9),(8760,'g fever','g fever',0,1,1.2333,'G160',9),(8761,'g fever david','g fever david',0,1,1.4333,'G16313',9),(8762,'gandy','gandy',0,0,0.3333,'G530',20),(8763,'and ready','and ready',0,1,1.3,'A5363',1),(8764,'and ready to','and ready to',0,1,1.4,'A5363',1),(8765,'and ready-to-wear','and ready-to-wear',0,1,1.5667,'A53636',1),(8766,'and ready-to-wear spring','and ready-to-wear spring',0,1,1.8,'A5363621652',1),(8767,'fresh and','fresh and',0,1,1.3,'F6253',1),(8768,'fresh and ready','fresh and ready',0,1,1.5,'F625363',1),(8769,'fresh and ready-to-wear','fresh and ready-to-wear',0,1,1.7667,'F6253636',1),(8770,'ready','ready',0,0,0.3333,'R300',11),(8771,'ready to','ready to',0,1,1.2667,'R300',8),(8772,'ready to wear','ready to wear',0,1,1.4333,'R360',8),(8773,'ready-to-wear','ready-to-wear',0,0,0.8667,'R360',8),(8774,'ready-to-wear spring','ready-to-wear spring',0,1,1.6667,'R3621652',8),(8775,'ready-to-wear spring fashion','ready-to-wear spring fashion',0,1,1.9333,'R3621652125',2),(8776,'spring fashion','spring fashion',0,1,1.4667,'S1652125',6),(8777,'to wear','to wear',0,1,1.2333,'T600',8),(8778,'to wear spring','to wear spring',0,1,1.4667,'T621652',8),(8779,'wear','wear',0,0,0.2667,'W600',12),(8780,'wear spring','wear spring',0,1,1.3667,'W621652',8),(8781,'wear spring fashion','wear spring fashion',0,1,1.6333,'W621652125',2),(8782,'ready-to-wear spring 2012','ready-to-wear spring 2012',0,1,1.8333,'R3621652',5),(8783,'spring 2012','spring 2012',0,1,1.3667,'S1652',5),(8784,'wear spring 2012','wear spring 2012',0,1,1.5333,'W621652',5),(8785,'fashion week 15','fashion week 15',0,1,1.5,'F252',2),(8786,'week 15','week 15',0,1,1.2333,'W200',2),(8787,'fashion trends','fashion trends',0,1,1.4667,'F2536532',4),(8788,'fashion trends 2012','fashion trends 2012',0,1,1.6333,'F2536532',4),(8789,'spring fashion trends','spring fashion trends',0,1,1.7,'S165212536532',4),(8790,'trends','trends',0,0,0.4,'T6532',4),(8791,'trends 2012','trends 2012',0,1,1.3667,'T6532',4),(8792,'beach','beach',0,0,0.3333,'B200',1),(8793,'beach sexy','beach sexy',0,1,1.3333,'B200',1),(8794,'beach sexy swimwear','beach sexy swimwear',0,1,1.6333,'B256',1),(8795,'secret','secret',0,0,0.4,'S630',4),(8796,'secret beach','secret beach',0,1,1.4,'S6312',1),(8797,'secret beach sexy','secret beach sexy',0,1,1.5667,'S6312',1),(8798,'sexy','sexy',0,0,0.2667,'S000',5),(8799,'sexy swimwear','sexy swimwear',0,1,1.4333,'S560',1),(8800,'swimwear','swimwear',0,0,0.5333,'S560',4),(8801,'victoria\'s','victoria',0,0,0.6667,'V2362',4),(8802,'victoria\'s secret','victoria secret',0,1,1.5667,'V236263',4),(8803,'victoria\'s secret beach','victoria secret beach',0,1,1.7667,'V23626312',1),(8804,'victorias','victorias',0,0,0.6,'V2362',4),(8805,'victorias secret','victorias secret',0,1,1.5333,'V236263',4),(8806,'victorias secret beach','victorias secret beach',0,1,1.7333,'V23626312',1),(8807,'secret swimwear','secret swimwear',0,1,1.5,'S63256',3),(8808,'victoria\'s secret swimwear','victoria secret swimwear',0,1,1.8667,'V236263256',3),(8809,'victorias secret swimwear','victorias secret swimwear',0,1,1.8333,'V236263256',3),(8810,'etsay','etsay',0,0,0.3333,'E320',5),(8811,'handmade','handmade',0,0,0.5333,'H5353',5),(8812,'handmade jewelry','handmade jewelry',0,1,1.5333,'H5353246',5),(8813,'handmade jewelry on','handmade jewelry on',0,1,1.6333,'H53532465',5),(8814,'jewelry','jewelry',0,0,0.4667,'J460',5),(8815,'jewelry on','jewelry on',0,1,1.3333,'J465',5),(8816,'jewelry on etsay','jewelry on etsay',0,1,1.5333,'J46532',5),(8817,'on etsay','on etsay',0,1,1.2667,'O532',5),(8818,'collezion','collezion',0,0,0.6,'C425',4),(8819,'david gandy for','david gandy for',0,1,1.5,'D1325316',11),(8820,'for marks','for marks',0,1,1.3,'F6562',11),(8821,'for marks spencer','for marks spencer',0,1,1.5667,'F65621526',11),(8822,'gandy for','gandy for',0,1,1.3,'G5316',11),(8823,'gandy for marks','gandy for marks',0,1,1.5,'G5316562',11),(8824,'marks','marks',0,0,0.3333,'M620',11),(8825,'marks spencer','marks spencer',0,1,1.4333,'M621526',11),(8826,'marks spencer collezion','marks spencer collezion',0,1,1.7667,'M6215262425',4),(8827,'spencer','spencer',0,0,0.4667,'S1526',11),(8828,'spencer collezion','spencer collezion',0,1,1.5667,'S15262425',4),(8829,'colletion','colletion',0,0,0.6,'C435',7),(8830,'marks spencer colletion','marks spencer colletion',0,1,1.7667,'M6215262435',7),(8831,'spencer colletion','spencer colletion',0,1,1.5667,'S15262435',7),(8832,'diva','diva',0,0,0.2667,'D100',6),(8833,'diva duffle','diva duffle',0,1,1.3667,'D1314',6),(8834,'diva duffle roller','diva duffle roller',0,1,1.6,'D1314646',6),(8835,'duffle','duffle',0,0,0.4,'D140',6),(8836,'duffle roller','duffle roller',0,1,1.4333,'D14646',6),(8837,'fashion diva','fashion diva',0,1,1.4,'F2531',6),(8838,'fashion diva duffle','fashion diva duffle',0,1,1.6333,'F2531314',6),(8839,'roller','roller',0,0,0.4,'R460',6),(8840,'are back','are back',0,1,1.2667,'A612',7),(8841,'are back for','are back for',0,1,1.4,'A61216',7),(8842,'back','back',0,0,0.2667,'B200',221),(8843,'back for','back for',0,1,1.2667,'B216',7),(8844,'back for spring','back for spring',0,1,1.5,'B21621652',7),(8845,'for spring','for spring',0,1,1.3333,'F621652',7),(8846,'ladies','ladies',0,0,0.4,'L320',7),(8847,'ladies are','ladies are',0,1,1.3333,'L326',7),(8848,'ladies are back','ladies are back',0,1,1.5,'L32612',7),(8849,'the ladies','the ladies',0,1,1.3333,'T432',1),(8850,'the ladies are','the ladies are',0,1,1.4667,'T4326',1),(8851,'handbags','handbags',0,0,0.5333,'H5312',9),(8852,'handbags spring','handbags spring',0,1,1.5,'H53121652',4),(8853,'handbags spring summer','handbags spring summer',0,1,1.7333,'H5312165256',4),(8854,'prada','prada',0,0,0.3333,'P630',9),(8855,'prada handbags','prada handbags',0,1,1.4667,'P635312',6),(8856,'prada handbags spring','prada handbags spring',0,1,1.7,'P6353121652',4),(8857,'spring summer','spring summer',0,1,1.4333,'S165256',4),(8858,'spring summer 2012','spring summer 2012',0,1,1.6,'S165256',4),(8859,'summer 2012','summer 2012',0,1,1.3667,'S560',4),(8860,'collection','collection',0,0,0.6667,'C4235',8),(8861,'collection 2012','collection 2012',0,1,1.5,'C4235',2),(8862,'handbags collection','handbags collection',0,1,1.6333,'H53124235',2),(8863,'handbags collection 2012','handbags collection 2012',0,1,1.8,'H53124235',2),(8864,'prada handbags collection','prada handbags collection',0,1,1.8333,'P6353124235',2),(8865,'handbags 2012','handbags 2012',0,1,1.4333,'H5312',3),(8866,'new handbags','new handbags',0,1,1.4,'N312',3),(8867,'new handbags 2012','new handbags 2012',0,1,1.5667,'N312',3),(8868,'prada new','prada new',0,1,1.3,'P635',3),(8869,'prada new handbags','prada new handbags',0,1,1.6,'P635312',3),(8870,'galli','galli',0,0,0.3333,'G400',4),(8871,'galli outlet','galli outlet',0,1,1.4,'G4343',4),(8872,'galli outlet collection','galli outlet collection',0,1,1.7667,'G434324235',4),(8873,'giovanni','giovanni',0,0,0.5333,'G150',4),(8874,'giovanni galli','giovanni galli',0,1,1.4667,'G1524',4),(8875,'giovanni galli outlet','giovanni galli outlet',0,1,1.7,'G1524343',4),(8876,'outlet','outlet',0,0,0.4,'O343',6),(8877,'outlet collection','outlet collection',0,1,1.5667,'O34324235',4),(8878,'and seductive','and seductive',0,1,1.4333,'A5323231',4),(8879,'and seductive shoes','and seductive shoes',0,1,1.6333,'A53232312',4),(8880,'seductive','seductive',0,0,0.6,'S3231',4),(8881,'seductive shoes','seductive shoes',0,1,1.5,'S32312',4),(8882,'sexy stylish','sexy stylish',0,1,1.4,'S342',4),(8883,'sexy stylish and','sexy stylish and',0,1,1.5333,'S34253',4),(8884,'shoes','shoes',0,0,0.3333,'S000',4),(8885,'stylish','stylish',0,0,0.4667,'S342',4),(8886,'stylish and','stylish and',0,1,1.3667,'S34253',4),(8887,'stylish and seductive','stylish and seductive',0,1,1.7,'S3425323231',4),(8888,'australian','australian',0,0,0.6667,'A23645',3),(8889,'australian fashion','australian fashion',0,1,1.6,'A23645125',3),(8890,'australian fashion week','australian fashion week',0,1,1.7667,'A236451252',3),(8891,'rosemount','rosemount',0,0,0.6,'R253',3),(8892,'rosemount australian','rosemount australian',0,1,1.6667,'R25323645',3),(8893,'rosemount australian fashion','rosemount australian fashion',0,1,1.9333,'R25323645125',3),(8894,'beats','beats',0,0,0.3333,'B320',4),(8895,'berlin','berlin',0,0,0.4,'B645',4),(8896,'berlin beats','berlin beats',0,1,1.4,'B645132',4),(8897,'fashion berlin','fashion berlin',0,1,1.4667,'F251645',4),(8898,'fashion berlin beats','fashion berlin beats',0,1,1.6667,'F251645132',4),(8899,'men\'s','men',0,0,0.3333,'M200',39),(8900,'men\'s fashion','men fashion',0,1,1.4333,'M2125',39),(8901,'men\'s fashion berlin','men fashion berlin',0,1,1.6667,'M21251645',4),(8902,'engaged','engaged',0,0,0.4667,'E523',4),(8903,'knightley','knightley',0,0,0.6,'K5234',4),(8904,'knightley engaged','knightley engaged',0,1,1.5667,'K5234523',4),(8905,'americana','americana',0,0,0.6,'A5625',1),(8906,'vintage','vintage',0,0,0.4667,'V532',3),(8907,'vintage americana','vintage americana',0,1,1.5667,'V5325625',1),(8908,'louis','louis',0,0,0.3333,'L200',9),(8909,'louis vuitton','louis vuitton',0,1,1.4333,'L2135',3),(8910,'vuitton','vuitton',0,0,0.4667,'V350',3),(8911,'class iconfacebook','class iconfacebook',0,1,1.6,'C4251212',3),(8912,'class iconfacebook facebook','class iconfacebook facebook',0,1,1.9,'C42512121212',3),(8913,'class icongoogle','class icongoogle',0,1,1.5333,'C42524',3),(8914,'class icongoogle google','class icongoogle google',0,1,1.7667,'C4252424',3),(8915,'class iconrss','class iconrss',0,1,1.4333,'C42562',3),(8916,'class iconrss rss','class iconrss rss',0,1,1.5667,'C4256262',3),(8917,'class icontwitter','class icontwitter',0,1,1.5667,'C42536',3),(8918,'class icontwitter twitter','class icontwitter twitter',0,1,1.8333,'C4253636',3),(8919,'facebook twitter google','facebook twitter google',0,1,1.7667,'F2123624',10),(8920,'google','google',0,0,0.4,'G400',43),(8921,'google a','google a',0,1,1.2667,'G400',24),(8922,'google rss','google rss',0,1,1.3333,'G462',10),(8923,'google rss a','google rss a',0,1,1.4,'G462',3),(8924,'href class iconfacebook','href class iconfacebook',0,1,1.7667,'H6124251212',3),(8925,'href class icongoogle','href class icongoogle',0,1,1.7,'H61242524',3),(8926,'href class iconrss','href class iconrss',0,1,1.6,'H61242562',3),(8927,'href class icontwitter','href class icontwitter',0,1,1.7333,'H61242536',3),(8928,'iconfacebook','iconfacebook',0,0,0.8,'I251212',3),(8929,'iconfacebook facebook','iconfacebook facebook',0,1,1.7,'I2512121212',3),(8930,'iconfacebook facebook a','iconfacebook facebook a',0,1,1.7667,'I2512121212',3),(8931,'icongoogle','icongoogle',0,0,0.6667,'I2524',3),(8932,'icongoogle google','icongoogle google',0,1,1.5667,'I252424',3),(8933,'icongoogle google a','icongoogle google a',0,1,1.6333,'I252424',3),(8934,'iconrss','iconrss',0,0,0.4667,'I2562',3),(8935,'iconrss rss','iconrss rss',0,1,1.3667,'I256262',3),(8936,'iconrss rss a','iconrss rss a',0,1,1.4333,'I256262',3),(8937,'icontwitter','icontwitter',0,0,0.7333,'I2536',3),(8938,'icontwitter twitter','icontwitter twitter',0,1,1.6333,'I253636',3),(8939,'icontwitter twitter a','icontwitter twitter a',0,1,1.7,'I253636',3),(8940,'rss a a','rss a a',0,1,1.2333,'R200',10),(8941,'twitter google','twitter google',0,1,1.4667,'T624',10),(8942,'twitter google rss','twitter google rss',0,1,1.6,'T62462',10),(8943,'fashion top','fashion top',0,1,1.3667,'F2531',3),(8944,'fashion top model','fashion top model',0,1,1.5667,'F2531534',3),(8945,'model','model',0,0,0.3333,'M340',3),(8946,'outdoor','outdoor',0,0,0.4667,'O360',3),(8947,'outdoor fashion','outdoor fashion',0,1,1.5,'O36125',3),(8948,'outdoor fashion top','outdoor fashion top',0,1,1.6333,'O3612531',3),(8949,'top model','top model',0,1,1.3,'T1534',3),(8950,'women\'s','women',0,0,0.4667,'W520',67),(8951,'women\'s fashion','women fashion',0,1,1.5,'W52125',62),(8952,'desert\'s','desert',0,0,0.5333,'D2632',2),(8953,'desert\'s fashion','desert fashion',0,1,1.5333,'D2632125',2),(8954,'desert\'s fashion week','desert fashion week',0,1,1.7,'D26321252',2),(8955,'el','el',0,0,0.1333,'E400',2),(8956,'el paseo','el paseo',0,1,1.2667,'E412',2),(8957,'fashion week el','fashion week el',0,1,1.5,'F2524',2),(8958,'palm','palm',0,0,0.2667,'P450',2),(8959,'palm desert\'s','palm desert',0,1,1.4333,'P4532632',2),(8960,'palm desert\'s fashion','palm desert fashion',0,1,1.7,'P4532632125',2),(8961,'paseo','paseo',0,0,0.3333,'P200',2),(8962,'week el','week el',0,1,1.2333,'W240',2),(8963,'week el paseo','week el paseo',0,1,1.4333,'W2412',2),(8964,'blue','blue',0,0,0.2667,'B400',13),(8965,'blue jeans','blue jeans',0,1,1.3333,'B4252',2),(8966,'in blue','in blue',0,1,1.2333,'I514',2),(8967,'in blue jeans','in blue jeans',0,1,1.4333,'I514252',2),(8968,'jeans','jeans',0,0,0.3333,'J520',2),(8969,'natalia','natalia',0,0,0.4667,'N340',2),(8970,'natalia vodianova','natalia vodianova',0,1,1.5667,'N341351',2),(8971,'natalia vodianova wild','natalia vodianova wild',0,1,1.7333,'N34135143',2),(8972,'vodianova','vodianova',0,0,0.6,'V351',2),(8973,'vodianova wild','vodianova wild',0,1,1.4667,'V35143',2),(8974,'vodianova wild in','vodianova wild in',0,1,1.5667,'V351435',2),(8975,'wild','wild',0,0,0.2667,'W430',2),(8976,'wild in','wild in',0,1,1.2333,'W435',2),(8977,'wild in blue','wild in blue',0,1,1.4,'W43514',2),(8978,'mens','mens',0,0,0.2667,'M200',3),(8979,'mens fashion','mens fashion',0,1,1.4,'M2125',3),(8980,'mens fashion berlin','mens fashion berlin',0,1,1.6333,'M21251645',3),(8981,'america','america',0,0,0.4667,'A562',2),(8982,'america collection','america collection',0,1,1.6,'A5624235',2),(8983,'vintage america','vintage america',0,1,1.5,'V532562',2),(8984,'vintage america collection','vintage america collection',0,1,1.8667,'V5325624235',2),(8985,'louis vuitton outlet','louis vuitton outlet',0,1,1.6667,'L2135343',2),(8986,'vuitton outlet','vuitton outlet',0,1,1.4667,'V35343',2),(8987,'beautiful','beautiful',0,0,0.6,'B314',187),(8988,'beautiful people','beautiful people',0,1,1.5333,'B31414',6),(8989,'beautiful people stay','beautiful people stay',0,1,1.7,'B3141423',6),(8990,'people','people',0,0,0.4,'P400',15),(8991,'people stay','people stay',0,1,1.3667,'P423',6),(8992,'people stay young','people stay young',0,1,1.5667,'P42352',6),(8993,'stay','stay',0,0,0.2667,'S300',6),(8994,'stay young','stay young',0,1,1.3333,'S352',6),(8995,'nothing','nothing',0,0,0.4667,'N352',2),(8996,'nothing too','nothing too',0,1,1.3667,'N3523',2),(8997,'nothing too risque','nothing too risque',0,1,1.6,'N352362',2),(8998,'risque','risque',0,0,0.4,'R200',2),(8999,'s nothing','s nothing',0,1,1.3,'S5352',2),(9000,'s nothing too','s nothing too',0,1,1.4333,'S53523',2),(9001,'there s','there s',0,1,1.2333,'T620',2),(9002,'there s nothing','there s nothing',0,1,1.5,'T625352',2),(9003,'there\'s','there',0,0,0.4667,'T620',2),(9004,'there\'s nothing','there nothing',0,1,1.5,'T625352',2),(9005,'there\'s nothing too','there nothing too',0,1,1.6333,'T6253523',2),(9006,'too','too',0,0,0.2,'T000',188),(9007,'too risque','too risque',0,1,1.3333,'T620',2),(9008,'up','up',0,0,0.1333,'U100',44),(9009,'up fashion','up fashion',0,1,1.3333,'U125',2),(9010,'2013','2013',0,0,0.4,'',219),(9011,'spring 2013','spring 2013',0,1,1.3667,'S1652',3),(9012,'wear it','wear it',0,1,1.2333,'W630',4),(9013,'following day','following day',0,1,1.4333,'F4523',1),(9014,'it today','it today',0,1,1.2667,'I300',3),(9015,'today','today',0,0,0.3333,'T000',14),(9016,'wear it today','wear it today',0,1,1.4333,'W630',3),(9017,'it today or','it today or',0,1,1.3667,'I360',2),(9018,'never','never',0,0,0.3333,'N160',11),(9019,'or never','or never',0,1,1.2667,'O6516',2),(9020,'today or','today or',0,1,1.2667,'T600',2),(9021,'today or never','today or never',0,1,1.4667,'T6516',2),(9022,'forever','forever',0,0,0.4667,'F616',179),(9023,'last','last',0,0,0.2667,'L230',199),(9024,'last forever','last forever',0,1,1.4,'L231616',2),(9025,'promises','promises',0,0,0.5333,'P652',2),(9026,'promises last','promises last',0,1,1.4333,'P652423',2),(9027,'promises last forever','promises last forever',0,1,1.7,'P6524231616',2),(9028,'a special menu','a special menu',0,1,1.4667,'A21245',1),(9029,'achieve bigger','achieve bigger',0,1,1.4667,'A2126',1),(9030,'achieve bigger titles','achieve bigger titles',0,1,1.7,'A2126342',1),(9031,'add','add',0,0,0.2,'A300',24),(9032,'add for','add for',0,1,1.2333,'A316',1),(9033,'add for it','add for it',0,1,1.3333,'A3163',1),(9034,'also use','also use',0,1,1.2667,'A420',1),(9035,'also use for','also use for',0,1,1.4,'A4216',1),(9036,'and paddings in','and paddings in',0,1,1.5,'A5313525',1),(9037,'and please','and please',0,1,1.3333,'A53142',1),(9038,'and please add','and please add',0,1,1.4667,'A531423',1),(9039,'bigger titles please','bigger titles please',0,1,1.6667,'B26342142',1),(9040,'class login','class login',0,1,1.3667,'C42425',1),(9041,'create a special','create a special',0,1,1.5333,'C632124',1),(9042,'enable','enable',0,0,0.4,'E514',1),(9043,'enable the','enable the',0,1,1.3333,'E5143',1),(9044,'enable the login','enable the login',0,1,1.5333,'E5143425',1),(9045,'for it','for it',0,1,1.2,'F630',1),(9046,'for it class','for it class',0,1,1.4,'F63242',1),(9047,'for the page','for the page',0,1,1.4,'F6312',1),(9048,'gk4 module if','gk4 module if',0,1,1.4333,'G5341',1),(9049,'it class','it class',0,1,1.2667,'I3242',1),(9050,'it class login','it class login',0,1,1.4667,'I3242425',1),(9051,'item and','item and',0,1,1.2667,'I353',1),(9052,'item and please','item and please',0,1,1.5,'I353142',1),(9053,'login','login',0,0,0.3333,'L250',1),(9054,'login popup','login popup',0,1,1.3667,'L251',1),(9055,'login popup please','login popup please',0,1,1.6,'L25142',1),(9056,'mainbody','mainbody',0,0,0.5333,'M130',20),(9057,'mainbody position','mainbody position',0,1,1.5667,'M131235',1),(9058,'mainbody position please','mainbody position please',0,1,1.8,'M131235142',1),(9059,'menu item and','menu item and',0,1,1.4333,'M353',1),(9060,'module if','module if',0,1,1.3,'M341',1),(9061,'module if you','module if you',0,1,1.4333,'M341',1),(9062,'module on','module on',0,1,1.3,'M345',1),(9063,'module on the','module on the',0,1,1.4333,'M3453',1),(9064,'nobg the','nobg the',0,1,1.2667,'N123',1),(9065,'nobg the clear','nobg the clear',0,1,1.4667,'N123246',1),(9066,'nsp module on','nsp module on',0,1,1.4333,'N215345',1),(9067,'on the mainbody','on the mainbody',0,1,1.5,'O53513',2),(9068,'order to enable','order to enable',0,1,1.5,'O6363514',1),(9069,'paddings in','paddings in',0,1,1.3667,'P3525',1),(9070,'paddings in order','paddings in order',0,1,1.5667,'P3525636',1),(9071,'please add','please add',0,1,1.3333,'P423',1),(9072,'please add for','please add for',0,1,1.4667,'P42316',1),(9073,'please also','please also',0,1,1.3667,'P4242',2),(9074,'please also use','please also use',0,1,1.5,'P4242',1),(9075,'popup','popup',0,0,0.3333,'P000',6),(9076,'popup please','popup please',0,1,1.4,'P420',1),(9077,'popup please create','popup please create',0,1,1.6333,'P4263',1),(9078,'position please','position please',0,1,1.5,'P235142',8),(9079,'position please also','position please also',0,1,1.6667,'P23514242',1),(9080,'put the','put the',0,1,1.2333,'P300',1),(9081,'put the nsp','put the nsp',0,1,1.3667,'P3521',1),(9082,'special menu','special menu',0,1,1.4,'S1245',1),(9083,'special menu item','special menu item',0,1,1.5667,'S124535',1),(9084,'suffix nobg the','suffix nobg the',0,1,1.5,'S125123',1),(9085,'the login','the login',0,1,1.3,'T425',1),(9086,'the login popup','the login popup',0,1,1.5,'T4251',1),(9087,'the mainbody','the mainbody',0,1,1.4,'T513',20),(9088,'the mainbody position','the mainbody position',0,1,1.7,'T5131235',1),(9089,'the page','the page',0,1,1.2667,'T120',1),(9090,'the page suffix','the page suffix',0,1,1.5,'T1212',1),(9091,'titles please','titles please',0,1,1.4333,'T42142',1),(9092,'titles please use','titles please use',0,1,1.5667,'T42142',1),(9093,'to achieve bigger','to achieve bigger',0,1,1.5667,'T2126',1),(9094,'to enable','to enable',0,1,1.3,'T514',1),(9095,'to enable the','to enable the',0,1,1.4333,'T5143',1),(9096,'to put','to put',0,1,1.2,'T130',1),(9097,'to put the','to put the',0,1,1.3333,'T130',1),(9098,'use for','use for',0,1,1.2333,'U216',1),(9099,'use for the','use for the',0,1,1.3667,'U2163',1),(9100,'want to achieve','want to achieve',0,1,1.5,'W5321',1),(9101,'want to put','want to put',0,1,1.3667,'W5313',1),(9102,'100 9r','100 9r',0,1,1.2,'R000',2),(9103,'100 9r carbon','100 9r carbon',0,1,1.4333,'R2615',2),(9104,'9r','9r',0,0,0.1333,'R000',2),(9105,'9r carbon','9r carbon',0,1,1.3,'R2615',2),(9106,'9r carbon expert','9r carbon expert',0,1,1.5333,'R26152163',2),(9107,'bike','bike',0,0,0.2667,'B200',62),(9108,'carbon','carbon',0,0,0.4,'C615',27),(9109,'carbon expert','carbon expert',0,1,1.4333,'C6152163',22),(9110,'carbon expert mountain','carbon expert mountain',0,1,1.7333,'C6152163535',22),(9111,'expert','expert',0,0,0.4,'E2163',22),(9112,'expert mountain','expert mountain',0,1,1.5,'E2163535',22),(9113,'expert mountain bike','expert mountain bike',0,1,1.6667,'E216353512',22),(9114,'gt','gt',0,0,0.1333,'G300',2),(9115,'gt zaskar','gt zaskar',0,1,1.3,'G326',2),(9116,'gt zaskar 100','gt zaskar 100',0,1,1.4333,'G326',2),(9117,'mountain','mountain',0,0,0.5333,'M350',22),(9118,'mountain bike','mountain bike',0,1,1.4333,'M3512',22),(9119,'zaskar','zaskar',0,0,0.4,'Z600',2),(9120,'zaskar 100','zaskar 100',0,1,1.3333,'Z600',2),(9121,'zaskar 100 9r','zaskar 100 9r',0,1,1.4333,'Z600',2),(9122,'scott','scott',0,0,0.3333,'S300',21),(9123,'scott carbon','scott carbon',0,1,1.4,'S32615',21),(9124,'scott carbon expert','scott carbon expert',0,1,1.6333,'S326152163',21),(9125,'ac dui this','ac dui this',0,1,1.3667,'A232',23),(9126,'ac use','ac use',0,1,1.2,'A200',1),(9127,'ac use p','ac use p',0,1,1.2667,'A210',1),(9128,'adipiscing elit 02','adipiscing elit 02',0,1,1.6,'A3125243',47),(9129,'adipiscing elit blocks','adipiscing elit blocks',0,1,1.7333,'A3125243142',43),(9130,'adipiscing elit p','adipiscing elit p',0,1,1.5667,'A31252431',47),(9131,'class gkbulb this','class gkbulb this',0,1,1.5667,'C4214132',4),(9132,'class gkhighlight3 highlight','class gkhighlight3 highlight',0,1,1.9333,'C424232423',4),(9133,'class numblocks','class numblocks',0,1,1.5,'C425142',47),(9134,'class numblocks num-3','class numblocks num-3',0,1,1.7,'C4251425',47),(9135,'dui this','dui this',0,1,1.2667,'D200',23),(9136,'dui this is','dui this is',0,1,1.3667,'D200',23),(9137,'elit 02','elit 02',0,1,1.2333,'E430',47),(9138,'elit 02 lorem','elit 02 lorem',0,1,1.4333,'E43465',47),(9139,'elit blocks','elit blocks',0,1,1.3667,'E43142',43),(9140,'elit blocks lorem','elit blocks lorem',0,1,1.5667,'E43142465',42),(9141,'elit p','elit p',0,1,1.2,'E431',47),(9142,'elit p class','elit p class',0,1,1.4,'E431242',47),(9143,'erat this','erat this',0,1,1.3,'E632',23),(9144,'erat this is','erat this is',0,1,1.4,'E632',23),(9145,'eu neque icon','eu neque icon',0,1,1.4333,'E525',22),(9146,'eu neque this','eu neque this',0,1,1.4333,'E5232',22),(9147,'faucibus ligula use','faucibus ligula use',0,1,1.6333,'F2124242',22),(9148,'felis erat this','felis erat this',0,1,1.5,'F42632',23),(9149,'feugiat ac use','feugiat ac use',0,1,1.4667,'F232',1),(9150,'gkbulb this','gkbulb this',0,1,1.3667,'G14132',4),(9151,'gkbulb this is','gkbulb this is',0,1,1.4667,'G14132',4),(9152,'gkhighlight3 highlight','gkhighlight3 highlight',0,1,1.7333,'G4232423',4),(9153,'gkhighlight3 highlight phrase','gkhighlight3 highlight phrase',0,1,1.9667,'G4232423162',4),(9154,'hendrerit massa this','hendrerit massa this',0,1,1.6667,'H53635232',23),(9155,'here span this','here span this',0,1,1.4667,'H621532',47),(9156,'highlights this','highlights this',0,1,1.5,'H2423232',47),(9157,'highlights this is','highlights this is',0,1,1.6,'H2423232',47),(9158,'ligula use','ligula use',0,1,1.3333,'L242',22),(9159,'ligula use p','ligula use p',0,1,1.4,'L2421',22),(9160,'massa this','massa this',0,1,1.3333,'M232',23),(9161,'massa this is','massa this is',0,1,1.4333,'M232',23),(9162,'num-3','num-3',0,0,0.3333,'N000',47),(9163,'num-3 02','num-3 02',0,1,1.2667,'N000',7),(9164,'num-3 02 lorem','num-3 02 lorem',0,1,1.4667,'N465',7),(9165,'numblocks num-3','numblocks num-3',0,1,1.5,'N1425',47),(9166,'numblocks num-3 02','numblocks num-3 02',0,1,1.6,'N1425',3),(9167,'own highlights this','own highlights this',0,1,1.6333,'O52423232',22),(9168,'potenti this','potenti this',0,1,1.4,'P3532',23),(9169,'potenti this is','potenti this is',0,1,1.5,'P3532',23),(9170,'span this','span this',0,1,1.3,'S1532',47),(9171,'span this is','span this is',0,1,1.4,'S1532',47),(9172,'suspendisse potenti this','suspendisse potenti this',0,1,1.8,'S153213532',23),(9173,'typodesc bubbles','typodesc bubbles',0,1,1.5333,'T132142',4),(9174,'typodesc bubbles lorem','typodesc bubbles lorem',0,1,1.7333,'T132142465',4),(9175,'condimentum pulvinar use','condimentum pulvinar use',0,1,1.8,'C53535141562',21),(9176,'pulvinar use','pulvinar use',0,1,1.4,'P41562',21),(9177,'pulvinar use p','pulvinar use p',0,1,1.4667,'P415621',21),(9232,'trinity','trinity',0,0,0.4667,'T653',17),(9229,'110','110',0,0,0.3,'',117),(9230,'composite','composite',0,0,0.6,'C5123',17),(9231,'composite 1','composite 1',0,1,1.3667,'C5123',5),(9181,'luke','luke',0,0,0.2667,'L200',3),(9182,'luke webber','luke webber',0,1,1.3667,'L216',3),(9183,'webber','webber',0,0,0.4,'W160',3),(9184,'bike clothing','bike clothing',0,1,1.4333,'B24352',1),(9185,'clothing','clothing',0,0,0.5333,'C4352',1),(9186,'endura','endura',0,0,0.4,'E536',5),(9187,'endura women\'s','endura women',0,1,1.4667,'E53652',5),(9188,'endura women\'s bike','endura women bike',0,1,1.6333,'E5365212',5),(9189,'endura womens','endura womens',0,1,1.4333,'E53652',5),(9190,'endura womens bike','endura womens bike',0,1,1.6,'E5365212',5),(9191,'women\'s bike','women bike',0,1,1.4,'W5212',5),(9192,'women\'s bike clothing','women bike clothing',0,1,1.7,'W52124352',1),(9193,'womens','womens',0,0,0.4,'W520',5),(9194,'womens bike','womens bike',0,1,1.3667,'W5212',5),(9195,'womens bike clothing','womens bike clothing',0,1,1.6667,'W52124352',1),(9196,'bike tracksuit','bike tracksuit',0,1,1.4667,'B23623',4),(9197,'tracksuit','tracksuit',0,0,0.6,'T623',4),(9198,'women\'s bike tracksuit','women bike tracksuit',0,1,1.7333,'W52123623',4),(9199,'womens bike tracksuit','womens bike tracksuit',0,1,1.7,'W52123623',4),(9200,'bike shirt','bike shirt',0,1,1.3333,'B263',3),(9201,'columbia\'s','columbia',0,0,0.6667,'C4512',3),(9202,'columbia\'s lightest-weight','columbia lightest-weight',0,1,1.8667,'C45124232323',3),(9203,'columbia\'s lightest-weight bike','columbia lightest-weight bike',0,1,2,'C4512423232312',3),(9204,'columbias','columbias',0,0,0.6,'C4512',3),(9205,'columbias lightest','columbias lightest',0,1,1.6,'C451242323',3),(9206,'columbias lightest weight','columbias lightest weight',0,1,1.8333,'C45124232323',3),(9207,'lightest','lightest',0,0,0.5333,'L2323',3),(9208,'lightest weight','lightest weight',0,1,1.5,'L232323',3),(9209,'lightest weight bike','lightest weight bike',0,1,1.6667,'L23232312',3),(9210,'lightest-weight','lightest-weight',0,0,1,'L232323',3),(9211,'lightest-weight bike','lightest-weight bike',0,1,1.6667,'L23232312',3),(9212,'lightest-weight bike shirt','lightest-weight bike shirt',0,1,1.8667,'L2323231263',3),(9213,'shirt','shirt',0,0,0.3333,'S630',3),(9214,'weight','weight',0,0,0.4,'W230',3),(9215,'weight bike','weight bike',0,1,1.3667,'W2312',3),(9216,'weight bike shirt','weight bike shirt',0,1,1.5667,'W231263',3),(9217,'109','109',0,0,0.3,'',12),(9218,'copy of endura','copy of endura',0,1,1.4667,'C1536',1),(9219,'of endura','of endura',0,1,1.3,'O1536',1),(9220,'of endura women\'s','of endura women',0,1,1.5667,'O153652',1),(9221,'bike cruising','bike cruising',0,1,1.4333,'B26252',5),(9222,'bike cruising throught','bike cruising throught',0,1,1.7333,'B262523623',5),(9223,'cruising','cruising',0,0,0.5333,'C6252',5),(9224,'cruising throught','cruising throught',0,1,1.5667,'C62523623',5),(9225,'cruising throught nature','cruising throught nature',0,1,1.8,'C62523623536',5),(9226,'nature','nature',0,0,0.4,'N360',28),(9227,'throught','throught',0,0,0.5333,'T623',5),(9228,'throught nature','throught nature',0,1,1.5,'T623536',5),(9233,'trinity composite','trinity composite',0,1,1.5667,'T65325123',17),(9234,'trinity composite 1','trinity composite 1',0,1,1.6333,'T65325123',5),(9235,'composite w\'s','composite w',0,1,1.4333,'C51232',12),(9236,'composite w\'s lightweight','composite w lightweight',0,1,1.8333,'C5123242323',12),(9237,'composite ws','composite ws',0,1,1.4,'C51232',12),(9238,'composite ws lightweight','composite ws lightweight',0,1,1.8,'C5123242323',12),(9239,'lightweight','lightweight',0,0,0.7333,'L2323',12),(9240,'trinity composite w\'s','trinity composite w',0,1,1.7,'T653251232',12),(9241,'trinity composite ws','trinity composite ws',0,1,1.6667,'T653251232',12),(9242,'w\'s','w',0,0,0.2,'W200',12),(9243,'w\'s lightweight','w lightweight',0,1,1.5,'W242323',12),(9244,'ws','ws',0,0,0.1333,'W200',12),(9245,'ws lightweight','ws lightweight',0,1,1.4667,'W242323',12),(9246,'marketing news','marketing news',0,1,1.4667,'M6235252',2),(9247,'111','111',0,0,0.3,'',11),(9248,'bikes','bikes',0,0,0.3333,'B200',47),(9249,'copy of trinity','copy of trinity',0,1,1.5,'C13653',3),(9250,'of trinity','of trinity',0,1,1.3333,'O13653',3),(9251,'of trinity composite','of trinity composite',0,1,1.6667,'O1365325123',3),(9252,'special bikes','special bikes',0,1,1.4333,'S12412',29),(9253,'9.8','9.8',0,0,0.3,'',6),(9254,'9.8 on','9.8 on',0,1,1.2,'O500',6),(9255,'9.8 on the','9.8 on the',0,1,1.3333,'O530',6),(9256,'98 on','98 on',0,1,1.1667,'O500',6),(9257,'98 on the','98 on the',0,1,1.3,'O530',6),(9258,'ar','ar',0,0,0.1333,'A600',6),(9259,'ar tt','ar tt',0,1,1.1667,'A630',6),(9260,'ar tt 98','ar tt 98',0,1,1.2667,'A630',6),(9261,'ar-tt','ar-tt',0,0,0.3333,'A630',6),(9262,'ar-tt 9.8','ar-tt 9.8',0,1,1.3,'A630',6),(9263,'ar-tt 9.8 on','ar-tt 9.8 on',0,1,1.4,'A635',6),(9264,'cboardman','cboardman',0,0,0.6,'C1635',6),(9265,'cboardman ar','cboardman ar',0,1,1.4,'C16356',6),(9266,'cboardman ar tt','cboardman ar tt',0,1,1.5,'C163563',6),(9267,'cboardman ar-tt','cboardman ar-tt',0,1,1.5,'C163563',6),(9268,'cboardman ar-tt 9.8','cboardman ar-tt 9.8',0,1,1.6333,'C163563',6),(9269,'on the market','on the market',0,1,1.4333,'O535623',6),(9270,'tt','tt',0,0,0.1333,'T000',6),(9271,'tt 98','tt 98',0,1,1.1667,'T000',6),(9272,'tt 98 on','tt 98 on',0,1,1.2667,'T500',6),(9273,'112','112',0,0,0.3,'',31),(9274,'merida','merida',0,0,0.4,'M630',10),(9275,'merida s60','merida s60',0,1,1.3333,'M632',10),(9276,'merida s60 bike','merida s60 bike',0,1,1.5,'M63212',10),(9277,'s60','s60',0,0,0.2,'S000',10),(9278,'s60 bike','s60 bike',0,1,1.2667,'S120',10),(9279,'time warp','time warp',0,1,1.3,'T561',10),(9280,'time warp with','time warp with',0,1,1.4667,'T5613',10),(9281,'warp','warp',0,0,0.2667,'W610',10),(9282,'warp with','warp with',0,1,1.3,'W613',10),(9283,'warp with merida','warp with merida',0,1,1.5333,'W613563',10),(9284,'with merida','with merida',0,1,1.3667,'W3563',10),(9285,'with merida s60','with merida s60',0,1,1.5,'W35632',10),(9286,'113','113',0,0,0.3,'',10),(9287,'aerodynamic','aerodynamic',0,0,0.7333,'A6352',9),(9288,'and incredibly','and incredibly',0,1,1.4667,'A53526314',9),(9289,'and incredibly aerodynamic','and incredibly aerodynamic',0,1,1.8667,'A535263146352',9),(9290,'incredibly','incredibly',0,0,0.6667,'I526314',9),(9291,'incredibly aerodynamic','incredibly aerodynamic',0,1,1.7333,'I5263146352',9),(9292,'light','light',0,0,0.3333,'L230',23),(9293,'light and','light and',0,1,1.3,'L2353',9),(9294,'light and incredibly','light and incredibly',0,1,1.6667,'L2353526314',9),(9295,'stiff','stiff',0,0,0.3333,'S310',9),(9296,'stiff light','stiff light',0,1,1.3667,'S31423',9),(9297,'stiff light and','stiff light and',0,1,1.5,'S3142353',9),(9298,'advanced','advanced',0,0,0.5333,'A31523',10),(9299,'advanced sl','advanced sl',0,1,1.3667,'A3152324',10),(9300,'advanced sl alternative','advanced sl alternative',0,1,1.7667,'A315232436531',10),(9301,'advanced sl alternative-geometry','advanced sl alternative-geometry',0,1,2,'A3152324365312536',10),(9302,'alternative','alternative',0,0,0.7333,'A436531',10),(9303,'alternative geometry','alternative geometry',0,1,1.6667,'A4365312536',10),(9304,'alternative geometry bike','alternative geometry bike',0,1,1.8333,'A436531253612',10),(9305,'alternative-geometry','alternative-geometry',0,0,1,'A4365312536',10),(9306,'alternative-geometry bike','alternative-geometry bike',0,1,1.8333,'A436531253612',10),(9307,'competition','competition',0,0,0.7333,'C5135',15),(9308,'competition bikes','competition bikes',0,1,1.5667,'C513512',15),(9309,'defy','defy',0,0,0.2667,'D100',10),(9310,'defy advanced','defy advanced',0,1,1.4333,'D131523',10),(9311,'defy advanced sl','defy advanced sl',0,1,1.5333,'D13152324',10),(9312,'geometry','geometry',0,0,0.5333,'G536',10),(9313,'geometry bike','geometry bike',0,1,1.4333,'G53612',10),(9314,'sl','sl',0,0,0.1333,'S400',10),(9315,'sl alternative','sl alternative',0,1,1.4667,'S436531',10),(9316,'sl alternative geometry','sl alternative geometry',0,1,1.7667,'S4365312536',10),(9317,'sl alternative-geometry','sl alternative-geometry',0,1,1.7667,'S4365312536',10),(9318,'sl alternative-geometry bike','sl alternative-geometry bike',0,1,1.9333,'S436531253612',10),(9319,'carbon triathlon','carbon triathlon',0,1,1.5333,'C61536345',5),(9320,'carbon triathlon bike','carbon triathlon bike',0,1,1.7,'C6153634512',5),(9321,'cervelo','cervelo',0,0,0.4667,'C614',10),(9322,'cervelo p3','cervelo p3',0,1,1.3333,'C6141',5),(9323,'cervelo p3 ultegra','cervelo p3 ultegra',0,1,1.6,'C61414326',5),(9324,'p3','p3',0,0,0.1333,'P000',5),(9325,'p3 ultegra','p3 ultegra',0,1,1.3333,'P4326',5),(9326,'p3 ultegra carbon','p3 ultegra carbon',0,1,1.5667,'P43262615',5),(9327,'triathlon','triathlon',0,0,0.6,'T6345',5),(9328,'triathlon bike','triathlon bike',0,1,1.4667,'T634512',5),(9329,'ultegra','ultegra',0,0,0.4667,'U4326',5),(9330,'ultegra carbon','ultegra carbon',0,1,1.4667,'U43262615',5),(9331,'ultegra carbon triathlon','ultegra carbon triathlon',0,1,1.8,'U4326261536345',5),(9332,'114','114',0,0,0.3,'',7),(9333,'copy of defy','copy of defy',0,1,1.4,'C131',4),(9334,'of defy','of defy',0,1,1.2333,'O131',4),(9335,'of defy advanced','of defy advanced',0,1,1.5333,'O13131523',4),(9336,'cervelo r5ca','cervelo r5ca',0,1,1.4,'C61462',5),(9337,'cervelo r5ca is','cervelo r5ca is',0,1,1.5,'C61462',5),(9338,'crown','crown',0,0,0.3333,'C650',5),(9339,'crown jewel','crown jewel',0,1,1.3667,'C6524',5),(9340,'crown jewel in','crown jewel in',0,1,1.4667,'C65245',5),(9341,'in the r','in the r',0,1,1.2667,'I536',5),(9342,'in the r-series','in the r-series',0,1,1.5,'I536262',5),(9343,'is the','is the',0,1,1.2,'I230',197),(9344,'is the crown','is the crown',0,1,1.4,'I23265',5),(9345,'jewel','jewel',0,0,0.3333,'J400',5),(9346,'jewel in','jewel in',0,1,1.2667,'J450',5),(9347,'jewel in the','jewel in the',0,1,1.4,'J453',5),(9348,'r','r',0,0,0.0667,'R000',5),(9349,'r series','r series',0,1,1.2667,'R262',5),(9350,'r-series','r-series',0,0,0.5333,'R262',5),(9351,'r5ca','r5ca',0,0,0.2667,'R200',5),(9352,'r5ca is','r5ca is',0,1,1.2333,'R200',5),(9353,'r5ca is the','r5ca is the',0,1,1.3667,'R230',5),(9354,'series','series',0,0,0.4,'S620',212),(9355,'the crown','the crown',0,1,1.3,'T265',5),(9356,'the crown jewel','the crown jewel',0,1,1.5,'T26524',5),(9357,'the r','the r',0,1,1.1667,'T600',5),(9358,'the r series','the r series',0,1,1.4,'T6262',5),(9359,'the r-series','the r-series',0,1,1.4,'T6262',5),(12394,'clank','clank',0,0,0.3333,'C452',12),(12393,'award-winning development team','award-winning development team',0,1,2,'A63523141535',4),(12392,'award-winning development','award-winning development',0,1,1.8333,'A6352314153',4),(12391,'award-winning','award-winning',0,0,0.8667,'A6352',5),(12390,'at insomniac games','at insomniac games',0,1,1.6,'A3525252',4),(12389,'at insomniac','at insomniac',0,1,1.4,'A35252',4),(12388,'and adventure of','and adventure of',0,1,1.5333,'A5315361',4),(12387,'and adventure','and adventure',0,1,1.4333,'A531536',4),(12386,'adventure of the','adventure of the',0,1,1.5333,'A3153613',4),(12385,'adventure of','adventure of',0,1,1.4,'A315361',4),(12384,'adventure','adventure',0,0,0.6,'A31536',4),(12383,'149','149',0,0,0.3,'',25),(12382,'150','150',0,0,0.3,'',24),(12381,'151','151',0,0,0.3,'',20),(14027,'nec erat tincidunt','nec erat tincidunt',0,1,1.6,'N26352353',829),(9385,'a bike','a bike',0,1,1.2,'A120',2),(9386,'a bike workout','a bike workout',0,1,1.4667,'A12623',2),(9387,'bike workout','bike workout',0,1,1.4,'B2623',2),(9388,'bike workout today','bike workout today',0,1,1.6,'B2623',2),(9389,'do a','do a',0,1,1.1333,'D000',2),(9390,'do a bike','do a bike',0,1,1.3,'D120',2),(9391,'here s','here s',0,1,1.2,'H620',2),(9392,'here s why','here s why',0,1,1.3333,'H620',2),(9393,'here\'s','here',0,0,0.4,'H620',2),(9394,'here\'s why','here why',0,1,1.3333,'H620',2),(9395,'here\'s why you','here why you',0,1,1.4667,'H620',2),(9396,'s why','s why',0,1,1.1667,'S000',2),(9397,'s why you','s why you',0,1,1.3,'S000',2),(9398,'should do','should do',0,1,1.3,'S430',2),(9399,'should do a','should do a',0,1,1.3667,'S430',2),(9400,'why','why',0,0,0.2,'W000',9),(9401,'why you','why you',0,1,1.2333,'W000',2),(9402,'why you should','why you should',0,1,1.4667,'W243',2),(9403,'workout','workout',0,0,0.4667,'W623',2),(9404,'workout today','workout today',0,1,1.4333,'W623',2),(9405,'you should','you should',0,1,1.3333,'Y243',8),(9406,'you should do','you should do',0,1,1.4333,'Y243',2),(9407,'bikes good','bikes good',0,1,1.3333,'B230',3),(9408,'bikes good things','bikes good things',0,1,1.5667,'B2352',3),(9409,'good','good',0,0,0.2667,'G300',7),(9410,'good things','good things',0,1,1.3667,'G352',3),(9411,'good things happen','good things happen',0,1,1.6,'G35215',3),(9412,'happen','happen',0,0,0.4,'H150',16),(9413,'people ride','people ride',0,1,1.3667,'P463',3),(9414,'people ride bikes','people ride bikes',0,1,1.5667,'P46312',3),(9415,'ride','ride',0,0,0.2667,'R300',3),(9416,'ride bikes','ride bikes',0,1,1.3333,'R312',3),(9417,'ride bikes good','ride bikes good',0,1,1.5,'R3123',3),(9418,'things','things',0,0,0.4,'T520',6),(9419,'things happen','things happen',0,1,1.4333,'T5215',3),(9420,'when','when',0,0,0.2667,'W500',23),(9421,'when people','when people',0,1,1.3667,'W514',3),(9422,'when people ride','when people ride',0,1,1.5333,'W51463',3),(9423,'bicycle','bicycle',0,0,0.4667,'B240',5),(9424,'decide','decide',0,0,0.4,'D230',5),(9425,'decide to','decide to',0,1,1.3,'D230',5),(9426,'decide to use','decide to use',0,1,1.4333,'D232',5),(9427,'however','however',0,0,0.4667,'H160',5),(9428,'however you','however you',0,1,1.3667,'H160',5),(9429,'however you decide','however you decide',0,1,1.6,'H16323',5),(9430,'to use your','to use your',0,1,1.3667,'T260',5),(9431,'use your','use your',0,1,1.2667,'U260',5),(9432,'use your bicycle','use your bicycle',0,1,1.5333,'U26124',5),(9433,'you decide','you decide',0,1,1.3333,'Y323',5),(9434,'you decide to','you decide to',0,1,1.4333,'Y323',5),(9435,'your bicycle','your bicycle',0,1,1.4,'Y6124',5),(9436,'good way','good way',0,1,1.2667,'G300',4),(9437,'good way to','good way to',0,1,1.3667,'G300',4),(9438,'lose','lose',0,0,0.2667,'L200',4),(9439,'lose those','lose those',0,1,1.3333,'L232',4),(9440,'lose those unwanted','lose those unwanted',0,1,1.6333,'L23253',4),(9441,'pounds','pounds',0,0,0.4,'P532',4),(9442,'those','those',0,0,0.3333,'T200',4),(9443,'those unwanted','those unwanted',0,1,1.4667,'T253',4),(9444,'those unwanted pounds','those unwanted pounds',0,1,1.7,'T2531532',4),(9445,'to lose','to lose',0,1,1.2333,'T420',4),(9446,'to lose those','to lose those',0,1,1.4333,'T4232',4),(9447,'unwanted','unwanted',0,0,0.5333,'U530',4),(9448,'unwanted pounds','unwanted pounds',0,1,1.5,'U531532',4),(9449,'way to lose','way to lose',0,1,1.3667,'W342',4),(9450,'a bottom','a bottom',0,1,1.2667,'A135',1),(9451,'a bottom centered','a bottom centered',0,1,1.5667,'A13525363',1),(9452,'additional spacing','additional spacing',0,1,1.6,'A35421252',1),(9453,'additional spacing the','additional spacing the',0,1,1.7333,'A354212523',1),(9454,'additional suffixes centernav','additional suffixes centernav',0,1,1.9667,'A35421253651',1),(9455,'additionaly there','additionaly there',0,1,1.5667,'A35436',1),(9456,'additionaly there are','additionaly there are',0,1,1.7,'A35436',1),(9457,'adds','adds',0,0,0.2667,'A320',2),(9458,'adds the','adds the',0,1,1.2667,'A323',1),(9459,'adds the hover','adds the hover',0,1,1.4667,'A32316',1),(9460,'alpha','alpha',0,0,0.3333,'A410',1),(9461,'alpha suffix','alpha suffix',0,1,1.4,'A41212',1),(9462,'alpha suffix the','alpha suffix the',0,1,1.5333,'A412123',1),(9463,'also alpha','also alpha',0,1,1.3333,'A4241',1),(9464,'also alpha suffix','also alpha suffix',0,1,1.5667,'A4241212',1),(9465,'also very','also very',0,1,1.3,'A4216',19),(9466,'also very useful','also very useful',0,1,1.5333,'A4216214',19),(9467,'and lightbg','and lightbg',0,1,1.3667,'A5342312',1),(9468,'and lightbg first','and lightbg first',0,1,1.5667,'A53423121623',1),(9469,'and mainbody','and mainbody',0,1,1.4,'A53513',19),(9470,'and mainbody bottom','and mainbody bottom',0,1,1.6333,'A53513135',19),(9471,'and paddings the','and paddings the',0,1,1.5333,'A5313523',19),(9472,'and remove','and remove',0,1,1.3333,'A53651',1),(9473,'and remove additional','and remove additional',0,1,1.7,'A53651354',1),(9474,'and zoom','and zoom',0,1,1.2667,'A5325',1),(9475,'and zoom which','and zoom which',0,1,1.4667,'A53252',1),(9476,'are two','are two',0,1,1.2333,'A630',1),(9477,'are two page','are two page',0,1,1.4,'A6312',1),(9478,'at the','at the',0,1,1.2,'A300',24),(9479,'at the latest','at the latest',0,1,1.4333,'A34323',1),(9480,'background from','background from',0,1,1.5,'B2653165',1),(9481,'background from the','background from the',0,1,1.6333,'B26531653',1),(9482,'background it','background it',0,1,1.4333,'B2653',1),(9483,'background it is','background it is',0,1,1.5333,'B26532',1),(9484,'background lower','background lower',0,1,1.5333,'B265346',1),(9485,'background lower on','background lower on',0,1,1.6333,'B2653465',1),(9486,'banner suffix','banner suffix',0,1,1.4333,'B56212',1),(9487,'banner suffix it','banner suffix it',0,1,1.5333,'B562123',1),(9488,'banners we','banners we',0,1,1.3333,'B562',1),(9489,'banners we recommend','banners we recommend',0,1,1.6667,'B5626253',1),(9490,'bottom','bottom',0,0,0.4,'B350',20),(9491,'bottom centered','bottom centered',0,1,1.5,'B3525363',1),(9492,'bottom centered pagination','bottom centered pagination',0,1,1.8667,'B352536312535',1),(9493,'bottom module','bottom module',0,1,1.4333,'B3534',19),(9494,'bottom module positions','bottom module positions',0,1,1.7667,'B353412352',19),(9495,'bottom or','bottom or',0,1,1.3,'B356',1),(9496,'bottom or sidebar','bottom or sidebar',0,1,1.5667,'B3562316',1),(9497,'bottom1','bottom1',0,0,0.4667,'B350',3),(9498,'bottom1 bottom2','bottom1 bottom2',0,1,1.5,'B35135',1),(9499,'bottom1 bottom2 bottom3','bottom1 bottom2 bottom3',0,1,1.7667,'B35135135',1),(9500,'bottom2','bottom2',0,0,0.4667,'B350',3),(9501,'bottom2 bottom3','bottom2 bottom3',0,1,1.5,'B35135',1),(9502,'bottom2 bottom3 module','bottom2 bottom3 module',0,1,1.7333,'B3513534',1),(9503,'bottom2 module','bottom2 module',0,1,1.4667,'B3534',1),(9504,'bottom2 module position','bottom2 module position',0,1,1.7667,'B35341235',1),(9505,'bottom3','bottom3',0,0,0.4667,'B350',1),(9506,'bottom3 module','bottom3 module',0,1,1.4667,'B3534',1),(9507,'bottom3 module positions','bottom3 module positions',0,1,1.8,'B353412352',1),(9508,'center','center',0,0,0.4,'C536',7),(9509,'center the','center the',0,1,1.3333,'C5363',1),(9510,'center the image','center the image',0,1,1.5333,'C536352',1),(9511,'centered pagination and','centered pagination and',0,1,1.7667,'C5363125353',1),(9512,'centernav which','centernav which',0,1,1.5,'C536512',1),(9513,'centernav which creates','centernav which creates',0,1,1.7667,'C536512632',1),(9514,'change the position','change the position',0,1,1.6333,'C5231235',1),(9515,'creates','creates',0,0,0.4667,'C632',18),(9516,'creates a','creates a',0,1,1.3,'C632',18),(9517,'creates a bottom','creates a bottom',0,1,1.5333,'C632135',1),(9518,'dedicated','dedicated',0,0,0.6,'D230',1),(9519,'dedicated styling','dedicated styling',0,1,1.5667,'D2323452',1),(9520,'dedicated styling of','dedicated styling of',0,1,1.6667,'D23234521',1),(9521,'effect','effect',0,0,0.4,'E123',14),(9522,'effect for','effect for',0,1,1.3333,'E12316',1),(9523,'effect for the','effect for the',0,1,1.4667,'E123163',1),(9524,'first suffix','first suffix',0,1,1.4,'F623212',1),(9525,'first suffix is','first suffix is',0,1,1.5,'F623212',1),(9526,'for the images','for the images',0,1,1.4667,'F6352',1),(9527,'from the mainbody','from the mainbody',0,1,1.5667,'F653513',1),(9528,'has additional','has additional',0,1,1.4667,'H2354',14),(9529,'has additional suffixes','has additional suffixes',0,1,1.7667,'H2354212',12),(9530,'have dedicated','have dedicated',0,1,1.4667,'H1323',1),(9531,'have dedicated styling','have dedicated styling',0,1,1.7333,'H132323452',1),(9532,'hover','hover',0,0,0.3333,'H160',10),(9533,'hover effect','hover effect',0,1,1.4,'H16123',9),(9534,'hover effect for','hover effect for',0,1,1.5333,'H1612316',1),(9535,'image and','image and',0,1,1.3,'I5253',2),(9536,'image and remove','image and remove',0,1,1.5333,'I5253651',1),(9537,'image banners','image banners',0,1,1.4333,'I521562',1),(9538,'image banners we','image banners we',0,1,1.5333,'I521562',1),(9539,'images look','images look',0,1,1.3667,'I5242',1),(9540,'images look at','images look at',0,1,1.4667,'I52423',1),(9541,'inside the mainbody','inside the mainbody',0,1,1.6333,'I523513',19),(9542,'is also','is also',0,1,1.2333,'I242',19),(9543,'is also very','is also very',0,1,1.4,'I24216',19),(9544,'is used','is used',0,1,1.2333,'I230',3),(9545,'is used to','is used to',0,1,1.3333,'I230',3),(9546,'is useful','is useful',0,1,1.3,'I214',2),(9547,'is useful to','is useful to',0,1,1.4,'I2143',1),(9548,'it is useful','it is useful',0,1,1.4,'I3214',1),(9549,'it will center','it will center',0,1,1.4667,'I342536',1),(9550,'latest','latest',0,0,0.4,'L323',185),(9551,'latest offers','latest offers',0,1,1.4333,'L323162',1),(9552,'latest offers module','latest offers module',0,1,1.6667,'L323162534',1),(9553,'lightbg','lightbg',0,0,0.4667,'L2312',1),(9554,'lightbg first','lightbg first',0,1,1.4333,'L23121623',1),(9555,'lightbg first suffix','lightbg first suffix',0,1,1.6667,'L23121623212',1),(9556,'lighter background','lighter background',0,1,1.6,'L23612653',1),(9557,'lighter background it','lighter background it',0,1,1.7,'L23612653',1),(9558,'lighter background lower','lighter background lower',0,1,1.8,'L2361265346',1),(9559,'look','look',0,0,0.2667,'L200',2),(9560,'look at','look at',0,1,1.2333,'L230',1),(9561,'look at the','look at the',0,1,1.3667,'L230',1),(9562,'lower on','lower on',0,1,1.2667,'L650',1),(9563,'lower on the','lower on the',0,1,1.4,'L653',1),(9564,'mainbody bottom','mainbody bottom',0,1,1.5,'M13135',19),(9565,'mainbody bottom module','mainbody bottom module',0,1,1.7333,'M1313534',19),(9566,'mainbody bottom or','mainbody bottom or',0,1,1.6,'M131356',1),(9567,'mainbody mainbody','mainbody mainbody',0,1,1.5667,'M13513',19),(9568,'mainbody mainbody top','mainbody mainbody top',0,1,1.7,'M135131',19),(9569,'mainbody the','mainbody the',0,1,1.4,'M130',1),(9570,'mainbody the second','mainbody the second',0,1,1.6333,'M13253',1),(9571,'mainbody top','mainbody top',0,1,1.4,'M131',19),(9572,'mainbody top and','mainbody top and',0,1,1.5333,'M13153',19),(9573,'mainbody top mainbody','mainbody top mainbody',0,1,1.7,'M131513',1),(9574,'module additionaly','module additionaly',0,1,1.6,'M34354',1),(9575,'module additionaly there','module additionaly there',0,1,1.8,'M3435436',1),(9576,'module has additional','module has additional',0,1,1.7,'M342354',14),(9577,'module options most','module options most',0,1,1.6333,'M341352523',1),(9578,'module position','module position',0,1,1.5,'M341235',12),(9579,'module position for','module position for',0,1,1.6333,'M34123516',1),(9580,'module positions have','module positions have',0,1,1.7,'M34123521',1),(9581,'module positions on','module positions on',0,1,1.6333,'M34123525',1),(9582,'module positions we','module positions we',0,1,1.6333,'M3412352',17),(9583,'modules on','modules on',0,1,1.3333,'M3425',1),(9584,'modules on the','modules on the',0,1,1.4667,'M34253',1),(9585,'move','move',0,0,0.2667,'M100',1),(9586,'move the','move the',0,1,1.2667,'M130',1),(9587,'move the lighter','move the lighter',0,1,1.5333,'M134236',1),(9588,'nobg and','nobg and',0,1,1.2667,'N1253',1),(9589,'nobg and lightbg','nobg and lightbg',0,1,1.5333,'N125342312',1),(9590,'of the lighter','of the lighter',0,1,1.4667,'O134236',1),(9591,'of the modules','of the modules',0,1,1.4667,'O135342',1),(9592,'offers module','offers module',0,1,1.4333,'O162534',1),(9593,'offers module additionaly','offers module additionaly',0,1,1.8333,'O162534354',1),(9594,'on the bottom2','on the bottom2',0,1,1.4667,'O53135',1),(9595,'on the specific','on the specific',0,1,1.5,'O5321212',5),(9596,'on the top1','on the top1',0,1,1.3667,'O531',1),(9597,'only on','only on',0,1,1.2333,'O545',1),(9598,'only on the','only on the',0,1,1.3667,'O5453',1),(9599,'options most','options most',0,1,1.4,'O1352523',1),(9600,'options most of','options most of',0,1,1.5,'O13525231',1),(9601,'or sidebar','or sidebar',0,1,1.3333,'O62316',8),(9602,'or sidebar module','or sidebar module',0,1,1.5667,'O62316534',8),(9603,'or top2','or top2',0,1,1.2333,'O631',1),(9604,'or top2 module','or top2 module',0,1,1.4667,'O631534',1),(9605,'paddings the','paddings the',0,1,1.4,'P3523',19),(9606,'paddings the clear','paddings the clear',0,1,1.6,'P3523246',19),(9607,'page suffixes','page suffixes',0,1,1.4333,'P212',1),(9608,'page suffixes nobg','page suffixes nobg',0,1,1.6,'P212512',1),(9609,'pages','pages',0,0,0.3333,'P200',1),(9610,'pagination and','pagination and',0,1,1.4667,'P25353',1),(9611,'pagination and zoom','pagination and zoom',0,1,1.6333,'P2535325',1),(9612,'position for','position for',0,1,1.4,'P23516',1),(9613,'position for the','position for the',0,1,1.5333,'P235163',1),(9614,'positions have','positions have',0,1,1.4667,'P23521',1),(9615,'positions have dedicated','positions have dedicated',0,1,1.8,'P23521323',1),(9616,'positions on','positions on',0,1,1.4,'P23525',1),(9617,'positions on the','positions on the',0,1,1.5333,'P235253',1),(9618,'positions the top1','positions the top1',0,1,1.6,'P235231',1),(9619,'positions we','positions we',0,1,1.4,'P2352',17),(9620,'positions we recommend','positions we recommend',0,1,1.7333,'P23526253',1),(9621,'pro module','pro module',0,1,1.3333,'P6534',14),(9622,'pro module has','pro module has',0,1,1.4667,'P65342',14),(9623,'remove','remove',0,0,0.4,'R510',8),(9624,'remove additional','remove additional',0,1,1.5667,'R51354',1),(9625,'remove additional spacing','remove additional spacing',0,1,1.8333,'R5135421252',1),(9626,'remove background','remove background',0,1,1.5667,'R512653',1),(9627,'remove background from','remove background from',0,1,1.7333,'R512653165',1),(9628,'second is','second is',0,1,1.3,'S532',1),(9629,'second is used','second is used',0,1,1.4667,'S5323',1),(9630,'show pro module','show pro module',0,1,1.5,'S16534',14),(9631,'sidebar','sidebar',0,0,0.4667,'S316',8),(9632,'sidebar module','sidebar module',0,1,1.4667,'S316534',8),(9633,'sidebar module positions','sidebar module positions',0,1,1.8,'S31653412352',1),(9634,'spacing','spacing',0,0,0.4667,'S1252',2),(9635,'spacing the','spacing the',0,1,1.3667,'S12523',1),(9636,'spacing the news','spacing the news',0,1,1.5333,'S1252352',1),(9637,'specific pages','specific pages',0,1,1.4667,'S121212',1),(9638,'styling','styling',0,0,0.4667,'S3452',12),(9639,'styling of','styling of',0,1,1.3333,'S34521',1),(9640,'styling of the','styling of the',0,1,1.4667,'S345213',1),(9641,'suffix is also','suffix is also',0,1,1.4667,'S1242',19),(9642,'suffix is used','suffix is used',0,1,1.4667,'S123',1),(9643,'suffix it','suffix it',0,1,1.3,'S123',8),(9644,'suffix it will','suffix it will',0,1,1.4667,'S1234',8),(9645,'suffix the clear','suffix the clear',0,1,1.5333,'S123246',1),(9646,'suffixes can','suffixes can',0,1,1.4,'S125',1),(9647,'suffixes can be','suffixes can be',0,1,1.5,'S1251',1),(9648,'suffixes centernav','suffixes centernav',0,1,1.6,'S1253651',1),(9649,'suffixes centernav which','suffixes centernav which',0,1,1.8,'S12536512',1),(9650,'suffixes nobg','suffixes nobg',0,1,1.4333,'S12512',1),(9651,'suffixes nobg and','suffixes nobg and',0,1,1.5667,'S1251253',1),(9652,'the banner suffix','the banner suffix',0,1,1.5667,'T156212',1),(9653,'the bottom2','the bottom2',0,1,1.3667,'T135',1),(9654,'the bottom2 module','the bottom2 module',0,1,1.6,'T13534',1),(9655,'the hover','the hover',0,1,1.3,'T160',1),(9656,'the hover effect','the hover effect',0,1,1.5333,'T16123',1),(9657,'the image and','the image and',0,1,1.4333,'T5253',1),(9658,'the image banners','the image banners',0,1,1.5667,'T521562',1),(9659,'the images','the images',0,1,1.3333,'T520',1),(9660,'the images look','the images look',0,1,1.5,'T5242',1),(9661,'the latest','the latest',0,1,1.3333,'T4323',1),(9662,'the latest offers','the latest offers',0,1,1.5667,'T4323162',1),(9663,'the lighter','the lighter',0,1,1.3667,'T4236',1),(9664,'the lighter background','the lighter background',0,1,1.7333,'T423612653',1),(9665,'the mainbody mainbody','the mainbody mainbody',0,1,1.7,'T513513',19),(9666,'the mainbody the','the mainbody the',0,1,1.5333,'T513',1),(9667,'the modules on','the modules on',0,1,1.4667,'T53425',1),(9668,'the position','the position',0,1,1.4,'T1235',1),(9669,'the position of','the position of',0,1,1.5,'T12351',1),(9670,'the second is','the second is',0,1,1.4333,'T2532',1),(9671,'the specific pages','the specific pages',0,1,1.6,'T2121212',1),(9672,'the suffixes can','the suffixes can',0,1,1.5333,'T2125',1),(9673,'the top1','the top1',0,1,1.2667,'T100',1),(9674,'the top1 or','the top1 or',0,1,1.3667,'T160',1),(9675,'the top1 top2','the top1 top2',0,1,1.4333,'T131',1),(9676,'there are two','there are two',0,1,1.4333,'T630',1),(9677,'to move','to move',0,1,1.2333,'T510',1),(9678,'to move the','to move the',0,1,1.3667,'T513',1),(9679,'to remove','to remove',0,1,1.3,'T651',8),(9680,'to remove background','to remove background',0,1,1.6667,'T6512653',1),(9681,'to use also','to use also',0,1,1.3667,'T242',1),(9682,'to use the','to use the',0,1,1.3333,'T230',1),(9683,'top and mainbody','top and mainbody',0,1,1.5333,'T153513',19),(9684,'top mainbody','top mainbody',0,1,1.4,'T1513',1),(9685,'top mainbody bottom','top mainbody bottom',0,1,1.6333,'T1513135',1),(9686,'top1','top1',0,0,0.2667,'T100',1),(9687,'top1 or','top1 or',0,1,1.2333,'T160',1),(9688,'top1 or top2','top1 or top2',0,1,1.4,'T1631',1),(9689,'top1 top2','top1 top2',0,1,1.3,'T131',1),(9690,'top1 top2 bottom1','top1 top2 bottom1',0,1,1.5667,'T13135',1),(9691,'top2','top2',0,0,0.2667,'T100',1),(9692,'top2 bottom1','top2 bottom1',0,1,1.4,'T135',1),(9693,'top2 bottom1 bottom2','top2 bottom1 bottom2',0,1,1.6667,'T135135',1),(9694,'top2 module','top2 module',0,1,1.3667,'T1534',1),(9695,'top2 module positions','top2 module positions',0,1,1.7,'T153412352',1),(9696,'two page','two page',0,1,1.2667,'T120',1),(9697,'two page suffixes','two page suffixes',0,1,1.5667,'T1212',1),(9698,'use also','use also',0,1,1.2667,'U242',1),(9699,'use also alpha','use also alpha',0,1,1.4667,'U24241',1),(9700,'use the banner','use the banner',0,1,1.4667,'U23156',1),(9701,'used only on','used only on',0,1,1.4,'U23545',1),(9702,'used to','used to',0,1,1.2333,'U230',3),(9703,'used to change','used to change',0,1,1.4667,'U23252',1),(9704,'used to remove','used to remove',0,1,1.4667,'U23651',1),(9705,'useful inside','useful inside',0,1,1.4333,'U214523',19),(9706,'useful inside the','useful inside the',0,1,1.5667,'U214523',19),(9707,'useful to move','useful to move',0,1,1.4667,'U214351',1),(9708,'very useful inside','very useful inside',0,1,1.6,'V6214523',19),(9709,'which adds','which adds',0,1,1.3333,'W232',1),(9710,'which adds the','which adds the',0,1,1.4667,'W2323',1),(9711,'which creates','which creates',0,1,1.4333,'W2632',3),(9712,'which creates a','which creates a',0,1,1.5,'W2632',3),(9713,'will center','will center',0,1,1.3667,'W42536',1),(9714,'will center the','will center the',0,1,1.5,'W425363',1),(9715,'zoom which','zoom which',0,1,1.3333,'Z520',1),(9716,'zoom which adds','zoom which adds',0,1,1.5,'Z5232',1),(9717,'class numblocks num-1','class numblocks num-1',0,1,1.7,'C4251425',44),(9718,'class numblocks num-2','class numblocks num-2',0,1,1.7,'C4251425',44),(9719,'demo-typodiv typodesc bubbles','demo-typodiv typodesc bubbles',0,1,1.9667,'D531313132142',1),(9720,'num-1','num-1',0,0,0.3333,'N000',44),(9721,'num-1 span','num-1 span',0,1,1.3333,'N215',44),(9722,'num-1 span here','num-1 span here',0,1,1.5,'N2156',44),(9723,'num-2','num-2',0,0,0.3333,'N000',44),(9724,'num-2 span','num-2 span',0,1,1.3333,'N215',44),(9725,'num-2 span here','num-2 span here',0,1,1.5,'N2156',44),(9726,'num-3 span','num-3 span',0,1,1.3333,'N215',44),(9727,'num-3 span here','num-3 span here',0,1,1.5,'N2156',44),(9728,'numblocks num-1','numblocks num-1',0,1,1.5,'N1425',44),(9729,'numblocks num-1 span','numblocks num-1 span',0,1,1.6667,'N1425215',44),(9730,'numblocks num-2','numblocks num-2',0,1,1.5,'N1425',44),(9731,'numblocks num-2 span','numblocks num-2 span',0,1,1.6667,'N1425215',44),(9732,'numblocks num-3 span','numblocks num-3 span',0,1,1.6667,'N1425215',44),(9733,'p class numblocks','p class numblocks',0,1,1.5667,'P2425142',44),(9734,'illustration','illustration',0,0,0.8,'I423635',3),(9735,'illustration on','illustration on',0,1,1.5,'I423635',3),(9736,'illustration on new','illustration on new',0,1,1.6333,'I423635',3),(9737,'new years','new years',0,1,1.3,'N620',3),(9738,'new years day','new years day',0,1,1.4333,'N623',3),(9739,'on new','on new',0,1,1.2,'O500',3),(9740,'on new years','on new years',0,1,1.4,'O562',3),(9741,'years','years',0,0,0.3333,'Y620',21),(9742,'years day','years day',0,1,1.3,'Y623',3),(9743,'class demo-typo-col2 this','class demo-typo-col2 this',0,1,1.8333,'C4235312432',3),(9744,'class demo-typo-col4','class demo-typo-col4',0,1,1.6667,'C42353124',13),(9745,'class demo-typo-col4 ul','class demo-typo-col4 ul',0,1,1.7667,'C42353124',3),(9746,'demo-typo-col2 this','demo-typo-col2 this',0,1,1.6333,'D5312432',3),(9747,'demo-typo-col2 this is','demo-typo-col2 this is',0,1,1.7333,'D5312432',3),(9748,'demo-typo-col4','demo-typo-col4',0,0,0.9333,'D53124',13),(9749,'demo-typo-col4 ul','demo-typo-col4 ul',0,1,1.5667,'D53124',3),(9750,'demo-typo-col4 ul class','demo-typo-col4 ul class',0,1,1.7667,'D53124242',3),(9751,'num-3 01','num-3 01',0,1,1.2667,'N000',3),(9752,'num-3 01 lorem','num-3 01 lorem',0,1,1.4667,'N465',3),(9753,'free joomla','free joomla',0,1,1.3667,'F6254',25),(9754,'free joomla theme','free joomla theme',0,1,1.5667,'F625435',25),(9755,'joomla theme','joomla theme',0,1,1.4,'J5435',25),(9756,'music','music',0,0,0.3333,'M200',211),(9757,'music free','music free',0,1,1.3333,'M216',25),(9758,'music free joomla','music free joomla',0,1,1.5667,'M216254',25),(9759,'theme','theme',0,0,0.3333,'T500',36),(9760,'10 discount','10 discount',0,1,1.3667,'D253',9),(9761,'10 discount codes','10 discount codes',0,1,1.5667,'D253232',9),(9762,'10 users','10 users',0,1,1.2667,'U262',9),(9763,'10 users license','10 users license',0,1,1.5333,'U2624252',9),(9764,'2 users','2 users',0,1,1.2333,'U262',9),(9765,'2 users license','2 users license',0,1,1.5,'U2624252',9),(9766,'29','29',0,0,0.2,'',10),(9767,'29 monthly','29 monthly',0,1,1.3333,'M340',9),(9768,'29 monthly 2','29 monthly 2',0,1,1.4,'M340',9),(9769,'5 discount','5 discount',0,1,1.3333,'D253',9),(9770,'5 discount codes','5 discount codes',0,1,1.5333,'D253232',9),(9771,'5 users','5 users',0,1,1.2333,'U262',9),(9772,'5 users license','5 users license',0,1,1.5,'U2624252',9),(9773,'59 monthly','59 monthly',0,1,1.3333,'M340',9),(9774,'59 monthly 5','59 monthly 5',0,1,1.4,'M340',9),(9775,'69','69',0,0,0.2,'',9),(9776,'99 monthly','99 monthly',0,1,1.3333,'M340',9),(9777,'99 monthly 10','99 monthly 10',0,1,1.4333,'M340',9),(9778,'account','account',0,0,0.4667,'A253',190),(9779,'account unlimited','account unlimited',0,1,1.5667,'A2535453',9),(9780,'account unlimited databases','account unlimited databases',0,1,1.9,'A253545312',9),(9781,'basic 29','basic 29',0,1,1.2667,'B200',9),(9782,'basic 29 monthly','basic 29 monthly',0,1,1.5333,'B2534',9),(9783,'basic customization','basic customization',0,1,1.6333,'B235235',9),(9784,'basic customization no','basic customization no',0,1,1.7333,'B235235',9),(9785,'builder','builder',0,0,0.4667,'B436',9),(9786,'builder basic','builder basic',0,1,1.4333,'B43612',9),(9787,'builder basic customization','builder basic customization',0,1,1.9,'B4361235235',9),(9788,'builder extended','builder extended',0,1,1.5333,'B4362353',9),(9789,'builder extended customization','builder extended customization',0,1,2,'B4362353235235',9),(9790,'builder standard','builder standard',0,1,1.5333,'B436235363',9),(9791,'builder standard customization','builder standard customization',0,1,2,'B436235363235235',9),(9792,'campaign','campaign',0,0,0.5333,'C5125',9),(9793,'campaign builder','campaign builder',0,1,1.5333,'C51251436',9),(9794,'campaign builder basic','campaign builder basic',0,1,1.7333,'C5125143612',9),(9795,'campaign builder extended','campaign builder extended',0,1,1.8333,'C512514362353',9),(9796,'campaign builder standard','campaign builder standard',0,1,1.8333,'C51251436235363',9),(9797,'codes','codes',0,0,0.3333,'C320',9),(9798,'codes sign','codes sign',0,1,1.3333,'C325',9),(9799,'codes sign up','codes sign up',0,1,1.4333,'C3251',9),(9800,'customization','customization',0,0,0.8667,'C35235',9),(9801,'customization 10','customization 10',0,1,1.5333,'C35235',9),(9802,'customization 10 discount','customization 10 discount',0,1,1.8333,'C352353253',9),(9803,'customization 5','customization 5',0,1,1.5,'C35235',9),(9804,'customization 5 discount','customization 5 discount',0,1,1.8,'C352353253',9),(9805,'customization no','customization no',0,1,1.5333,'C35235',9),(9806,'customization no discount','customization no discount',0,1,1.8333,'C352353253',9),(9807,'databases','databases',0,0,0.6,'D120',9),(9808,'databases campaign','databases campaign',0,1,1.6,'D125125',9),(9809,'databases campaign builder','databases campaign builder',0,1,1.8667,'D1251251436',9),(9810,'discount','discount',0,0,0.5333,'D253',9),(9811,'discount codes','discount codes',0,1,1.4667,'D253232',9),(9812,'discount codes sign','discount codes sign',0,1,1.6333,'D2532325',9),(9813,'email','email',0,0,0.3333,'E540',14),(9814,'email account','email account',0,1,1.4333,'E54253',9),(9815,'email account unlimited','email account unlimited',0,1,1.7667,'E542535453',9),(9816,'extended','extended',0,0,0.5333,'E2353',20),(9817,'extended customization','extended customization',0,1,1.7333,'E2353235235',9),(9818,'extended customization 10','extended customization 10',0,1,1.8333,'E2353235235',9),(9819,'free email','free email',0,1,1.3333,'F654',9),(9820,'free email account','free email account',0,1,1.6,'F654253',9),(9821,'license','license',0,0,0.4667,'L252',9),(9822,'license free','license free',0,1,1.4,'L25216',9),(9823,'license free email','license free email',0,1,1.6,'L2521654',9),(9824,'monthly','monthly',0,0,0.4667,'M340',9),(9825,'monthly 10','monthly 10',0,1,1.3333,'M340',9),(9826,'monthly 10 users','monthly 10 users',0,1,1.5333,'M34262',9),(9827,'monthly 2','monthly 2',0,1,1.3,'M340',9),(9828,'monthly 2 users','monthly 2 users',0,1,1.5,'M34262',9),(9829,'monthly 5','monthly 5',0,1,1.3,'M340',9),(9830,'monthly 5 users','monthly 5 users',0,1,1.5,'M34262',9),(9831,'no','no',0,0,0.1333,'N000',10),(9832,'no discount','no discount',0,1,1.3667,'N3253',9),(9833,'no discount codes','no discount codes',0,1,1.5667,'N3253232',9),(9834,'premium','premium',0,0,0.4667,'P650',14),(9835,'premium 99','premium 99',0,1,1.3333,'P650',9),(9836,'premium 99 monthly','premium 99 monthly',0,1,1.6,'P6534',9),(9837,'price','price',0,0,0.3333,'P620',11),(9838,'price table','price table',0,1,1.3667,'P62314',11),(9839,'sign','sign',0,0,0.2667,'S500',9),(9840,'sign up','sign up',0,1,1.2333,'S510',9),(9841,'sign up premium','sign up premium',0,1,1.5,'S5165',9),(9842,'sign up standard','sign up standard',0,1,1.5333,'S51235363',9),(9843,'standard 59','standard 59',0,1,1.3667,'S35363',9),(9844,'standard 59 monthly','standard 59 monthly',0,1,1.6333,'S35363534',9),(9845,'standard customization','standard customization',0,1,1.7333,'S35363235235',9),(9846,'standard customization 5','standard customization 5',0,1,1.8,'S35363235235',9),(9847,'table','table',0,0,0.3333,'T140',11),(9848,'unlimited','unlimited',0,0,0.6,'U5453',10),(9849,'unlimited databases','unlimited databases',0,1,1.6333,'U545312',9),(9850,'unlimited databases campaign','unlimited databases campaign',0,1,1.9333,'U5453125125',9),(9851,'up premium','up premium',0,1,1.3333,'U165',9),(9852,'up premium 99','up premium 99',0,1,1.4333,'U165',9),(9853,'up standard','up standard',0,1,1.3667,'U1235363',9),(9854,'up standard 59','up standard 59',0,1,1.4667,'U1235363',9),(9855,'users','users',0,0,0.3333,'U262',190),(9856,'users license','users license',0,1,1.4333,'U2624252',9),(9857,'users license free','users license free',0,1,1.6,'U262425216',9),(9858,'118','118',0,0,0.3,'',9),(9859,'copy of music','copy of music',0,1,1.4333,'C152',7),(9860,'ecommerce','ecommerce',0,0,0.6,'E2562',32),(9861,'of music','of music',0,1,1.2667,'O152',7),(9862,'of music free','of music free',0,1,1.4333,'O15216',7),(9863,'117','117',0,0,0.3,'',3),(9864,'blog','blog',0,0,0.2667,'B420',39),(9865,'copy of cboardman','copy of cboardman',0,1,1.5667,'C121635',3),(9866,'of cboardman','of cboardman',0,1,1.4,'O121635',3),(9867,'of cboardman ar-tt','of cboardman ar-tt',0,1,1.6,'O12163563',3),(9868,'116','116',0,0,0.3,'',6),(9869,'copy of time','copy of time',0,1,1.4,'C135',3),(9870,'of time','of time',0,1,1.2333,'O135',3),(9871,'of time warp','of time warp',0,1,1.4,'O13561',3),(9872,'115','115',0,0,0.3,'',21),(9873,'copy of stiff','copy of stiff',0,1,1.4333,'C1231',4),(9874,'of stiff','of stiff',0,1,1.2667,'O1231',4),(9875,'of stiff light','of stiff light',0,1,1.4667,'O1231423',4),(9876,'120','120',0,0,0.3,'',2),(9877,'copy of cervelo','copy of cervelo',0,1,1.5,'C12614',2),(9878,'of cervelo','of cervelo',0,1,1.3333,'O12614',2),(9879,'of cervelo p3','of cervelo p3',0,1,1.4333,'O126141',2),(9880,'119','119',0,0,0.3,'',16),(9881,'124','124',0,0,0.3,'',9),(9882,'networking','networking',0,0,0.6667,'N36252',194),(9883,'social networking','social networking',0,1,1.5667,'S4536252',194),(9884,'123','123',0,0,0.3,'',2),(9885,'122','122',0,0,0.3,'',2),(9886,'121','121',0,0,0.3,'',3),(9887,'href sign','href sign',0,1,1.3,'H6125',5),(9888,'href sign up','href sign up',0,1,1.4,'H61251',5),(9889,'sign up basic','sign up basic',0,1,1.4333,'S512',7),(9890,'up basic','up basic',0,1,1.2667,'U120',7),(9891,'up basic 29','up basic 29',0,1,1.3667,'U120',7),(9892,'button','button',0,0,0.4,'B350',16),(9893,'button href','button href',0,1,1.3667,'B3561',4),(9894,'button href sign','button href sign',0,1,1.5333,'B356125',4),(9895,'class button','class button',0,1,1.4,'C42135',5),(9896,'class button href','class button href',0,1,1.5667,'C4213561',4),(9897,'fashion responsive','fashion responsive',0,1,1.6,'F25621521',6),(9898,'fashion responsive joomla','fashion responsive joomla',0,1,1.8333,'F25621521254',6),(9899,'joomla template','joomla template',0,1,1.5,'J5435143',98),(9900,'responsive','responsive',0,0,0.6667,'R21521',7),(9901,'responsive joomla','responsive joomla',0,1,1.5667,'R21521254',6),(9902,'responsive joomla template','responsive joomla template',0,1,1.8667,'R2152125435143',6),(9903,'5 columns','5 columns',0,1,1.3,'C452',5),(9904,'5 columns one','5 columns one',0,1,1.4333,'C4525',5),(9905,'a blue','a blue',0,1,1.2,'A140',5),(9906,'a blue class','a blue class',0,1,1.4,'A14242',5),(9907,'a nice','a nice',0,1,1.2,'A520',14),(9908,'a nice price','a nice price',0,1,1.4,'A52162',5),(9909,'additionally','additionally',0,0,0.8,'A354',14),(9910,'additionally every','additionally every',0,1,1.6,'A35416',5),(9911,'additionally every black','additionally every black',0,1,1.8,'A35416142',5),(9912,'an extra','an extra',0,1,1.2667,'A5236',5),(9913,'an extra class','an extra class',0,1,1.4667,'A5236242',5),(9914,'be can','be can',0,1,1.2,'B250',5),(9915,'be can be','be can be',0,1,1.3,'B251',5),(9916,'be changed','be changed',0,1,1.3333,'B2523',8),(9917,'be changed to','be changed to',0,1,1.4333,'B2523',5),(9918,'be highlighted','be highlighted',0,1,1.4667,'B2423',6),(9919,'be highlighted with','be highlighted with',0,1,1.6333,'B2423',5),(9920,'black','black',0,0,0.3333,'B420',21),(9921,'black header','black header',0,1,1.4,'B4236',5),(9922,'black header of','black header of',0,1,1.5,'B42361',5),(9923,'blue class','blue class',0,1,1.3333,'B4242',5),(9924,'blue class basic','blue class basic',0,1,1.5333,'B424212',5),(9925,'blue header','blue header',0,1,1.3667,'B436',5),(9926,'blue header with','blue header with',0,1,1.5333,'B4363',5),(9927,'blue standard','blue standard',0,1,1.4333,'B4235363',5),(9928,'blue standard 59','blue standard 59',0,1,1.5333,'B4235363',5),(9929,'can be can','can be can',0,1,1.3333,'C5125',5),(9930,'can be changed','can be changed',0,1,1.4667,'C512523',8),(9931,'can be highlighted','can be highlighted',0,1,1.6,'C512423',5),(9932,'can contains','can contains',0,1,1.4,'C525352',5),(9933,'can contains up','can contains up',0,1,1.5,'C5253521',5),(9934,'can create a','can create a',0,1,1.4,'C5263',8),(9935,'changed','changed',0,0,0.4667,'C523',9),(9936,'changed to','changed to',0,1,1.3333,'C523',5),(9937,'changed to blue','changed to blue',0,1,1.5,'C52314',5),(9938,'class additionally','class additionally',0,1,1.6,'C42354',8),(9939,'class additionally every','class additionally every',0,1,1.8,'C4235416',5),(9940,'class basic','class basic',0,1,1.3667,'C4212',5),(9941,'class basic 29','class basic 29',0,1,1.4667,'C4212',5),(9942,'class blue','class blue',0,1,1.3333,'C4214',5),(9943,'class blue standard','class blue standard',0,1,1.6333,'C4214235363',5),(9944,'column can','column can',0,1,1.3333,'C4525',5),(9945,'column can be','column can be',0,1,1.4333,'C45251',5),(9946,'columns can','columns can',0,1,1.3667,'C4525',5),(9947,'columns can be','columns can be',0,1,1.4667,'C45251',5),(9948,'columns one','columns one',0,1,1.3667,'C4525',5),(9949,'columns one of','columns one of',0,1,1.4667,'C45251',5),(9950,'contains up','contains up',0,1,1.3667,'C53521',5),(9951,'contains up to','contains up to',0,1,1.4667,'C535213',5),(9952,'create a nice','create a nice',0,1,1.4333,'C6352',14),(9953,'every','every',0,0,0.3333,'E160',29),(9954,'every black','every black',0,1,1.3667,'E16142',5),(9955,'every black header','every black header',0,1,1.6,'E1614236',5),(9956,'extra','extra',0,0,0.3333,'E236',5),(9957,'extra class','extra class',0,1,1.3667,'E236242',5),(9958,'extra class additionally','extra class additionally',0,1,1.8,'E236242354',5),(9959,'header of','header of',0,1,1.3,'H361',5),(9960,'header of the','header of the',0,1,1.4333,'H3613',5),(9961,'header with','header with',0,1,1.3667,'H363',5),(9962,'header with using','header with using',0,1,1.5667,'H363252',5),(9963,'highlighted','highlighted',0,0,0.7333,'H2423',6),(9964,'highlighted with','highlighted with',0,1,1.5333,'H2423',5),(9965,'highlighted with using','highlighted with using',0,1,1.7333,'H2423252',5),(9966,'nice','nice',0,0,0.2667,'N200',14),(9967,'nice price','nice price',0,1,1.3333,'N2162',5),(9968,'nice price table','nice price table',0,1,1.5333,'N2162314',5),(9969,'of these columns','of these columns',0,1,1.5333,'O132452',5),(9970,'one of','one of',0,1,1.2,'O510',30),(9971,'one of these','one of these',0,1,1.4,'O5132',6),(9972,'price table can','price table can',0,1,1.5,'P6231425',5),(9973,'price table using','price table using',0,1,1.5667,'P62314252',5),(9974,'sign up the','sign up the',0,1,1.3667,'S513',5),(9975,'specific column','specific column',0,1,1.5,'S121245',5),(9976,'specific column can','specific column can',0,1,1.6333,'S12124525',5),(9977,'table can','table can',0,1,1.3,'T1425',5),(9978,'table can contains','table can contains',0,1,1.6,'T142525352',5),(9979,'table using','table using',0,1,1.3667,'T14252',5),(9980,'table using the','table using the',0,1,1.5,'T142523',5),(9981,'template typography','template typography',0,1,1.6333,'T51431261',19),(9982,'template typography basic','template typography basic',0,1,1.8333,'T514312612',5),(9983,'the price','the price',0,1,1.3,'T162',6),(9984,'the price table','the price table',0,1,1.5,'T162314',5),(9985,'the specific column','the specific column',0,1,1.6333,'T2121245',5),(9986,'the template','the template',0,1,1.4,'T5143',19),(9987,'the template typography','the template typography',0,1,1.7667,'T51431261',5),(9988,'these columns','these columns',0,1,1.4333,'T2452',5),(9989,'these columns can','these columns can',0,1,1.5667,'T24525',5),(9990,'to 5','to 5',0,1,1.1333,'T000',5),(9991,'to 5 columns','to 5 columns',0,1,1.4,'T2452',5),(9992,'to blue','to blue',0,1,1.2333,'T140',5),(9993,'to blue header','to blue header',0,1,1.4667,'T1436',5),(9994,'typography basic','typography basic',0,1,1.5333,'T12612',5),(9995,'typography basic 29','typography basic 29',0,1,1.6333,'T12612',5),(9996,'up the','up the',0,1,1.2,'U130',5),(9997,'up the price','up the price',0,1,1.4,'U13162',5),(9998,'up to','up to',0,1,1.1667,'U130',5),(9999,'up to 5','up to 5',0,1,1.2333,'U130',5),(10000,'using a blue','using a blue',0,1,1.4,'U25214',5),(10001,'using an','using an',0,1,1.2667,'U2525',5),(10002,'using an extra','using an extra',0,1,1.4667,'U2525236',5),(10003,'using the','using the',0,1,1.3,'U2523',9),(10004,'using the template','using the template',0,1,1.6,'U25235143',5),(10005,'with using a','with using a',0,1,1.4,'W3252',5),(10006,'with using an','with using an',0,1,1.4333,'W32525',5),(10007,'ecommerce joomla','ecommerce joomla',0,1,1.5333,'E256254',22),(10008,'ecommerce joomla template','ecommerce joomla template',0,1,1.8333,'E25625435143',22),(10009,'esport','esport',0,0,0.4,'E2163',5),(10010,'esport ecommerce','esport ecommerce',0,1,1.5333,'E21632562',5),(10011,'esport ecommerce joomla','esport ecommerce joomla',0,1,1.7667,'E2163256254',5),(10012,'boutique','boutique',0,0,0.5333,'B320',1),(10013,'boutique ecommerce','boutique ecommerce',0,1,1.6,'B32562',1),(10014,'boutique ecommerce joomla','boutique ecommerce joomla',0,1,1.8333,'B3256254',1),(10015,'appsite','appsite',0,0,0.4667,'A123',6),(10016,'appsite business','appsite business',0,1,1.5333,'A1231252',6),(10017,'appsite business joomla','appsite business joomla',0,1,1.7667,'A123125254',6),(10018,'business joomla','business joomla',0,1,1.5,'B25254',17),(10019,'business joomla template','business joomla template',0,1,1.8,'B2525435143',15),(10020,'125','125',0,0,0.3,'',6),(10021,'copy of esport','copy of esport',0,1,1.4667,'C12163',1),(10022,'of esport','of esport',0,1,1.3,'O12163',1),(10023,'of esport ecommerce','of esport ecommerce',0,1,1.6333,'O121632562',1),(10024,'bikestore','bikestore',0,0,0.6,'B236',5),(10025,'bikestore ecommerce','bikestore ecommerce',0,1,1.6333,'B2362562',5),(10026,'bikestore ecommerce joomla','bikestore ecommerce joomla',0,1,1.8667,'B236256254',5),(10027,'blog joomla','blog joomla',0,1,1.3667,'B4254',7),(10028,'blog joomla template','blog joomla template',0,1,1.6667,'B425435143',7),(10029,'myfolio','myfolio',0,0,0.4667,'M140',3),(10030,'myfolio blog','myfolio blog',0,1,1.4,'M14142',3),(10031,'myfolio blog joomla','myfolio blog joomla',0,1,1.6333,'M1414254',3),(10032,'pixellove','pixellove',0,0,0.6,'P241',2),(10033,'pixellove blog','pixellove blog',0,1,1.4667,'P24142',2),(10034,'pixellove blog joomla','pixellove blog joomla',0,1,1.7,'P2414254',2),(10035,'cherrydesign','cherrydesign',0,0,0.8,'C6325',2),(10036,'cherrydesign blog','cherrydesign blog',0,1,1.5667,'C6325142',2),(10037,'cherrydesign blog joomla','cherrydesign blog joomla',0,1,1.8,'C632514254',2),(10038,'financial','financial',0,0,0.6,'F524',2),(10039,'financial business','financial business',0,1,1.6,'F5241252',2),(10040,'financial business joomla','financial business joomla',0,1,1.8333,'F524125254',2),(10041,'126','126',0,0,0.3,'',2),(10042,'black white','black white',0,1,1.3667,'B423',8),(10043,'black white ecommerce','black white ecommerce',0,1,1.7,'B4232562',8),(10044,'white ecommerce','white ecommerce',0,1,1.5,'W32562',8),(10045,'white ecommerce joomla','white ecommerce joomla',0,1,1.7333,'W3256254',8),(10046,'appspro tech business','appspro tech business',0,1,1.7,'A1216321252',5),(10047,'tech business','tech business',0,1,1.4333,'T21252',5),(10048,'tech business joomla','tech business joomla',0,1,1.6667,'T2125254',5),(10049,'127','127',0,0,0.3,'',19),(10050,'music social','music social',0,1,1.4,'M240',1),(10051,'music social joomla','music social joomla',0,1,1.6333,'M24254',1),(10052,'social joomla','social joomla',0,1,1.4333,'S4254',3),(10053,'social joomla template','social joomla template',0,1,1.7333,'S425435143',3),(10054,'game magazine','game magazine',0,1,1.4333,'G525',22),(10055,'game magazine gaming','game magazine gaming',0,1,1.6667,'G525252',22),(10056,'gaming','gaming',0,0,0.4,'G520',35),(10057,'gaming joomla','gaming joomla',0,1,1.4333,'G5254',22),(10058,'gaming joomla template','gaming joomla template',0,1,1.7333,'G525435143',22),(10059,'magazine gaming','magazine gaming',0,1,1.5,'M25252',22),(10060,'magazine gaming joomla','magazine gaming joomla',0,1,1.7333,'M2525254',22),(12395,'clank trilogy','clank trilogy',0,1,1.4333,'C4523642',2),(10062,'copy of appspro','copy of appspro',0,1,1.5,'C1216',3),(10063,'of appspro','of appspro',0,1,1.3333,'O1216',3),(10064,'of appspro tech','of appspro tech',0,1,1.5,'O121632',3),(10065,'129','129',0,0,0.3,'',2),(10066,'copy of copy','copy of copy',0,1,1.4,'C121',23),(10067,'of copy','of copy',0,1,1.2333,'O121',23),(10068,'of copy of','of copy of',0,1,1.3333,'O121',23),(10069,'131','131',0,0,0.3,'',3),(10070,'130','130',0,0,0.3,'',2),(10071,'league news premier','league news premier',0,1,1.6333,'L2521656',6),(10072,'news premier','news premier',0,1,1.4,'N21656',6),(10073,'news premier joomla','news premier joomla',0,1,1.6333,'N21656254',6),(10074,'premier','premier',0,0,0.4667,'P656',6),(10075,'premier joomla','premier joomla',0,1,1.4667,'P656254',6),(10076,'premier joomla template','premier joomla template',0,1,1.7667,'P65625435143',6),(10077,'ii joomla','ii joomla',0,1,1.3,'I254',1),(10078,'ii joomla template','ii joomla template',0,1,1.6,'I25435143',1),(10079,'news ii','news ii',0,1,1.2333,'N200',1),(10080,'news ii joomla','news ii joomla',0,1,1.4667,'N254',1),(10081,'the world','the world',0,1,1.3,'T643',9),(10082,'the world news','the world news',0,1,1.4667,'T64352',1),(10083,'world','world',0,0,0.3333,'W643',55),(10084,'world news','world news',0,1,1.3333,'W64352',1),(10085,'world news ii','world news ii',0,1,1.4333,'W64352',1),(10086,'news joomla','news joomla',0,1,1.3667,'N254',1),(10087,'news joomla template','news joomla template',0,1,1.6667,'N25435143',1),(10088,'sport','sport',0,0,0.3333,'S163',1),(10089,'sport news','sport news',0,1,1.3333,'S16352',1),(10090,'sport news joomla','sport news joomla',0,1,1.5667,'S1635254',1),(10091,'sporter','sporter',0,0,0.4667,'S1636',1),(10092,'sporter sport','sporter sport',0,1,1.4333,'S16362163',1),(10093,'sporter sport news','sporter sport news',0,1,1.6,'S1636216352',1),(10094,'132','132',0,0,0.3,'',14),(10095,'corporate','corporate',0,0,0.6,'C6163',2),(10096,'corporate business','corporate business',0,1,1.6,'C61631252',2),(10097,'corporate business joomla','corporate business joomla',0,1,1.8333,'C6163125254',2),(10098,'quay','quay',0,0,0.2667,'Q000',1),(10099,'quay social','quay social',0,1,1.3667,'Q400',1),(10100,'quay social joomla','quay social joomla',0,1,1.6,'Q4254',1),(10101,'partyfreak','partyfreak',0,0,0.6667,'P63162',1),(10102,'partyfreak social','partyfreak social',0,1,1.5667,'P631624',1),(10103,'partyfreak social joomla','partyfreak social joomla',0,1,1.8,'P631624254',1),(10104,'restaurant','restaurant',0,0,0.6667,'R23653',5),(10105,'restaurant ecommerce','restaurant ecommerce',0,1,1.6667,'R236532562',3),(10106,'restaurant ecommerce joomla','restaurant ecommerce joomla',0,1,1.9,'R23653256254',3),(10107,'com joomla','com joomla',0,1,1.3333,'C5254',1),(10108,'com joomla project','com joomla project',0,1,1.6,'C52541623',1),(10109,'deolconta','deolconta',0,0,0.6,'D4253',1),(10110,'deolconta com','deolconta com',0,1,1.4333,'D425325',1),(10111,'deolconta com joomla','deolconta com joomla',0,1,1.6667,'D425325254',1),(10112,'joomla project','joomla project',0,1,1.4667,'J541623',3),(10113,'project','project',0,0,0.4667,'P623',22),(10114,'business joomla project','business joomla project',0,1,1.7667,'B252541623',2),(10115,'coffe','coffe',0,0,0.3333,'C100',2),(10116,'coffe eshop','coffe eshop',0,1,1.3667,'C121',2),(10117,'coffe eshop joomla','coffe eshop joomla',0,1,1.6,'C121254',2),(10118,'eshop','eshop',0,0,0.3333,'E210',2),(10119,'eshop joomla','eshop joomla',0,1,1.4,'E21254',2),(10120,'eshop joomla template','eshop joomla template',0,1,1.7,'E2125435143',2),(10121,'augue duis mollis','augue duis mollis',0,1,1.5667,'A232542',111),(10122,'pharetra augue duis','pharetra augue duis',0,1,1.6333,'P636232',111),(10123,'vestibulum fusce dapibus','vestibulum fusce dapibus',0,1,1.8,'V2314512312',114),(10124,'penquimmail','penquimmail',0,0,0.7333,'P5254',6),(10125,'penquimmail joomla','penquimmail joomla',0,1,1.6,'P5254254',6),(10126,'penquimmail joomla template','penquimmail joomla template',0,1,1.9,'P525425435143',6),(10127,'2 users strong','2 users strong',0,1,1.4667,'U2623652',3),(10128,'29 small','29 small',0,1,1.2667,'S540',4),(10129,'29 small monthly','29 small monthly',0,1,1.5333,'S54534',3),(10130,'a class','a class',0,1,1.2333,'A242',29),(10131,'a class button','a class button',0,1,1.4667,'A242135',3),(10132,'a dd','a dd',0,1,1.1333,'A300',4),(10133,'a dd dl','a dd dl',0,1,1.2333,'A340',4),(10134,'account dd','account dd',0,1,1.3333,'A253',3),(10135,'account dd dd','account dd dd',0,1,1.4333,'A253',3),(10136,'all columns','all columns',0,1,1.3667,'A42452',3),(10137,'all columns should','all columns should',0,1,1.6,'A4245243',3),(10138,'basic dt','basic dt',0,1,1.2667,'B230',4),(10139,'basic dt dd','basic dt dd',0,1,1.3667,'B230',4),(10140,'basic strong','basic strong',0,1,1.4,'B23652',3),(10141,'basic strong customization','basic strong customization',0,1,1.8667,'B2365235235',3),(10142,'be placed','be placed',0,1,1.3,'B423',7),(10143,'be placed in','be placed in',0,1,1.4,'B4235',6),(10144,'blue or','blue or',0,1,1.2333,'B460',3),(10145,'blue or extra','blue or extra',0,1,1.4333,'B46236',3),(10146,'builder strong','builder strong',0,1,1.4667,'B43623652',3),(10147,'builder strong dd','builder strong dd',0,1,1.5667,'B436236523',3),(10148,'campaign strong','campaign strong',0,1,1.5,'C512523652',3),(10149,'campaign strong builder','campaign strong builder',0,1,1.7667,'C5125236521436',3),(10150,'class blue or','class blue or',0,1,1.4333,'C42146',3),(10151,'class gkpricetable','class gkpricetable',0,1,1.6,'C42162314',4),(10152,'class gkpricetable col3','class gkpricetable col3',0,1,1.7667,'C4216231424',3),(10153,'class price','class price',0,1,1.3667,'C42162',3),(10154,'class price sup','class price sup',0,1,1.5,'C421621',3),(10155,'codes dd','codes dd',0,1,1.2667,'C323',3),(10156,'codes dd dd','codes dd dd',0,1,1.3667,'C323',3),(10157,'col3','col3',0,0,0.2667,'C400',4),(10158,'column of','column of',0,1,1.3,'C451',4),(10159,'column of the','column of the',0,1,1.4333,'C4513',3),(10160,'columns should','columns should',0,1,1.4667,'C45243',3),(10161,'columns should be','columns should be',0,1,1.5667,'C452431',3),(10162,'customization strong','customization strong',0,1,1.6667,'C3523523652',3),(10163,'customization strong dd','customization strong dd',0,1,1.7667,'C35235236523',3),(10164,'databases dd','databases dd',0,1,1.4,'D123',3),(10165,'databases dd dd','databases dd dd',0,1,1.5,'D123',3),(10166,'dd','dd',0,0,0.1333,'D000',4),(10167,'dd a','dd a',0,1,1.1333,'D000',4),(10168,'dd a class','dd a class',0,1,1.3333,'D242',3),(10169,'dd basic','dd basic',0,1,1.2667,'D120',3),(10170,'dd basic strong','dd basic strong',0,1,1.5,'D123652',3),(10171,'dd campaign','dd campaign',0,1,1.3667,'D25125',3),(10172,'dd campaign strong','dd campaign strong',0,1,1.6,'D2512523652',3),(10173,'dd class','dd class',0,1,1.2667,'D242',4),(10174,'dd class price','dd class price',0,1,1.4667,'D242162',3),(10175,'dd dd','dd dd',0,1,1.1667,'D000',4),(10176,'dd dd a','dd dd a',0,1,1.2333,'D000',4),(10177,'dd dd basic','dd dd basic',0,1,1.3667,'D120',3),(10178,'dd dd campaign','dd dd campaign',0,1,1.4667,'D25125',3),(10179,'dd dd strong','dd dd strong',0,1,1.4,'D23652',3),(10180,'dd dl','dd dl',0,1,1.1667,'D400',4),(10181,'dd dl for','dd dl for',0,1,1.3,'D416',3),(10182,'dd strong','dd strong',0,1,1.3,'D23652',3),(10183,'dd strong 2','dd strong 2',0,1,1.3667,'D23652',3),(10184,'dd strong free','dd strong free',0,1,1.4667,'D2365216',3),(10185,'dd strong no','dd strong no',0,1,1.4,'D236525',3),(10186,'dd strong unlimited','dd strong unlimited',0,1,1.6333,'D236525453',3),(10187,'discount codes dd','discount codes dd',0,1,1.5667,'D2532323',3),(10188,'div class gkpricetable','div class gkpricetable',0,1,1.7333,'D1242162314',4),(10189,'dl','dl',0,0,0.1333,'D400',4),(10190,'dl dt','dl dt',0,1,1.1667,'D430',4),(10191,'dl dt basic','dl dt basic',0,1,1.3667,'D4312',4),(10192,'dl elements','dl elements',0,1,1.3667,'D4532',3),(10193,'dl elements you','dl elements you',0,1,1.5,'D4532',3),(10194,'dl for','dl for',0,1,1.2,'D416',3),(10195,'dl for the','dl for the',0,1,1.3333,'D4163',3),(10196,'dt','dt',0,0,0.1333,'D000',4),(10197,'dt basic','dt basic',0,1,1.2667,'D120',4),(10198,'dt basic dt','dt basic dt',0,1,1.3667,'D123',4),(10199,'dt dd','dt dd',0,1,1.1667,'D000',4),(10200,'dt dd class','dt dd class',0,1,1.3667,'D242',4),(10201,'email account dd','email account dd',0,1,1.5333,'E54253',3),(10202,'extra all','extra all',0,1,1.3,'E2364',3),(10203,'extra all columns','extra all columns',0,1,1.5667,'E23642452',3),(10204,'following structure dl','following structure dl',0,1,1.7333,'F4523623634',3),(10205,'for the dl','for the dl',0,1,1.3333,'F634',3),(10206,'free strong','free strong',0,1,1.3667,'F623652',3),(10207,'free strong email','free strong email',0,1,1.5667,'F62365254',3),(10208,'gkpricetable','gkpricetable',0,0,0.8,'G162314',4),(10209,'gkpricetable col3','gkpricetable col3',0,1,1.5667,'G16231424',3),(10210,'in the one','in the one',0,1,1.3333,'I535',3),(10211,'license dd','license dd',0,1,1.3333,'L2523',3),(10212,'license dd dd','license dd dd',0,1,1.4333,'L2523',3),(10213,'monthly small','monthly small',0,1,1.4333,'M34254',3),(10214,'monthly small dd','monthly small dd',0,1,1.5333,'M342543',3),(10215,'need','need',0,0,0.2667,'N300',11),(10216,'need to','need to',0,1,1.2333,'N300',11),(10217,'need to use','need to use',0,1,1.3667,'N320',3),(10218,'no strong','no strong',0,1,1.3,'N23652',3),(10219,'no strong discount','no strong discount',0,1,1.6,'N236523253',3),(10220,'of the price','of the price',0,1,1.4,'O13162',3),(10221,'one wrap','one wrap',0,1,1.2667,'O561',3),(10222,'one wrap div','one wrap div',0,1,1.4,'O56131',3),(10223,'or extra','or extra',0,1,1.2667,'O6236',3),(10224,'or extra all','or extra all',0,1,1.4,'O62364',3),(10225,'placed','placed',0,0,0.4,'P423',7),(10226,'placed in','placed in',0,1,1.3,'P4235',7),(10227,'placed in the','placed in the',0,1,1.4333,'P42353',7),(10228,'prepare','prepare',0,0,0.4667,'P616',3),(10229,'prepare the','prepare the',0,1,1.3667,'P6163',3),(10230,'prepare the column','prepare the column',0,1,1.6,'P6163245',3),(10231,'price sup','price sup',0,1,1.3,'P621',3),(10232,'price sup sup','price sup sup',0,1,1.4333,'P62121',3),(10233,'price table you','price table you',0,1,1.5,'P62314',3),(10234,'should be placed','should be placed',0,1,1.5333,'S431423',7),(10235,'sign up a','sign up a',0,1,1.3,'S510',3),(10236,'small dd','small dd',0,1,1.2667,'S543',4),(10237,'small dd dd','small dd dd',0,1,1.3667,'S543',4),(10238,'small monthly','small monthly',0,1,1.4333,'S54534',3),(10239,'small monthly small','small monthly small',0,1,1.6333,'S54534254',3),(10240,'strong 2','strong 2',0,1,1.2667,'S3652',3),(10241,'strong 2 users','strong 2 users',0,1,1.4667,'S365262',3),(10242,'strong builder','strong builder',0,1,1.4667,'S36521436',3),(10243,'strong builder strong','strong builder strong',0,1,1.7,'S3652143623652',3),(10244,'strong customization','strong customization',0,1,1.6667,'S365235235',3),(10245,'strong customization strong','strong customization strong',0,1,1.9,'S36523523523652',3),(10246,'strong databases','strong databases',0,1,1.5333,'S3652312',3),(10247,'strong databases dd','strong databases dd',0,1,1.6333,'S36523123',3),(10248,'strong dd','strong dd',0,1,1.3,'S36523',3),(10249,'strong dd dd','strong dd dd',0,1,1.4,'S36523',3),(10250,'strong discount','strong discount',0,1,1.5,'S36523253',3),(10251,'strong discount codes','strong discount codes',0,1,1.7,'S36523253232',3),(10252,'strong email','strong email',0,1,1.4,'S365254',3),(10253,'strong email account','strong email account',0,1,1.6667,'S365254253',3),(10254,'strong free','strong free',0,1,1.3667,'S365216',3),(10255,'strong free strong','strong free strong',0,1,1.6,'S36521623652',3),(10256,'strong license','strong license',0,1,1.4667,'S36524252',3),(10257,'strong license dd','strong license dd',0,1,1.5667,'S365242523',3),(10258,'strong no','strong no',0,1,1.3,'S36525',3),(10259,'strong no strong','strong no strong',0,1,1.5333,'S3652523652',3),(10260,'strong unlimited','strong unlimited',0,1,1.5333,'S36525453',3),(10261,'strong unlimited strong','strong unlimited strong',0,1,1.7667,'S3652545323652',3),(10262,'structure dl','structure dl',0,1,1.4,'S3623634',3),(10263,'structure dl dt','structure dl dt',0,1,1.5,'S36236343',3),(10264,'sup','sup',0,0,0.2,'S100',3),(10265,'sup 29','sup 29',0,1,1.2,'S100',3),(10266,'sup 29 small','sup 29 small',0,1,1.4,'S1254',3),(10267,'sup sup','sup sup',0,1,1.2333,'S121',3),(10268,'sup sup 29','sup sup 29',0,1,1.3333,'S121',3),(10269,'table you','table you',0,1,1.3,'T140',3),(10270,'table you need','table you need',0,1,1.4667,'T1453',3),(10271,'the column','the column',0,1,1.3333,'T245',4),(10272,'the column of','the column of',0,1,1.4333,'T2451',3),(10273,'the dl','the dl',0,1,1.2,'T400',3),(10274,'the dl elements','the dl elements',0,1,1.5,'T4532',3),(10275,'the one','the one',0,1,1.2333,'T500',3),(10276,'the one wrap','the one wrap',0,1,1.4,'T561',3),(10277,'to prepare','to prepare',0,1,1.3333,'T1616',3),(10278,'to prepare the','to prepare the',0,1,1.4667,'T16163',3),(10279,'to use following','to use following',0,1,1.5333,'T21452',3),(10280,'unlimited strong','unlimited strong',0,1,1.5333,'U545323652',3),(10281,'unlimited strong databases','unlimited strong databases',0,1,1.8667,'U545323652312',3),(10282,'up a','up a',0,1,1.1333,'U100',3),(10283,'up a dd','up a dd',0,1,1.2333,'U130',3),(10284,'up to prepare','up to prepare',0,1,1.4333,'U131616',3),(10285,'use class blue','use class blue',0,1,1.4667,'U24214',3),(10286,'use following','use following',0,1,1.4333,'U21452',3),(10287,'use following structure','use following structure',0,1,1.7667,'U2145236236',3),(10288,'users strong','users strong',0,1,1.4,'U2623652',3),(10289,'users strong license','users strong license',0,1,1.6667,'U26236524252',3),(10290,'wrap div','wrap div',0,1,1.2667,'W6131',3),(10291,'wrap div class','wrap div class',0,1,1.4667,'W6131242',3),(10292,'you need','you need',0,1,1.2667,'Y530',11),(10293,'you need to','you need to',0,1,1.3667,'Y530',11),(10294,'1 up','1 up',0,1,1.1333,'U100',1),(10295,'1 up to','1 up to',0,1,1.2333,'U130',1),(10296,'5 columns by','5 columns by',0,1,1.4,'C4521',1),(10297,'be changed from','be changed from',0,1,1.5,'B2523165',4),(10298,'by using classes','by using classes',0,1,1.5333,'B25242',1),(10299,'changed from','changed from',0,1,1.4,'C523165',4),(10300,'changed from 1','changed from 1',0,1,1.4667,'C523165',1),(10301,'classes','classes',0,0,0.4667,'C420',7),(10302,'classes col1','classes col1',0,1,1.4,'C424',2),(10303,'classes col1 col5','classes col1 col5',0,1,1.5667,'C42424',2),(10304,'col1','col1',0,0,0.2667,'C400',2),(10305,'col1 col5','col1 col5',0,1,1.3,'C424',2),(10306,'col3 the','col3 the',0,1,1.2667,'C430',1),(10307,'col3 the number','col3 the number',0,1,1.5,'C43516',1),(10308,'col5','col5',0,0,0.2667,'C400',2),(10309,'columns by','columns by',0,1,1.3333,'C4521',1),(10310,'columns by using','columns by using',0,1,1.5333,'C4521252',1),(10311,'from 1','from 1',0,1,1.2,'F650',1),(10312,'from 1 up','from 1 up',0,1,1.3,'F651',1),(10313,'gkpricetable col3 the','gkpricetable col3 the',0,1,1.7,'G162314243',1),(10314,'number of','number of',0,1,1.3,'N161',1),(10315,'number of columns','number of columns',0,1,1.5667,'N1612452',1),(10316,'of columns','of columns',0,1,1.3333,'O12452',3),(10317,'of columns can','of columns can',0,1,1.4667,'O124525',1),(10318,'the number','the number',0,1,1.3333,'T516',1),(10319,'the number of','the number of',0,1,1.4333,'T5161',1),(10320,'using classes','using classes',0,1,1.4333,'U25242',1),(10321,'using classes col1','using classes col1',0,1,1.6,'U252424',1),(10322,',100',',100',0,0,0.4,'',3),(10323,',100 circle',',100 circle',0,1,1.3667,'C624',3),(10324,',100 circle div',',100 circle div',0,1,1.5,'C62431',3),(10325,',25',',25',0,0,0.3,'',3),(10326,',25 data-end',',25 data-end',0,1,1.4,'D530',3),(10327,',25 data-end 75',',25 data-end 75',0,1,1.5,'D530',3),(10328,',25 square',',25 square',0,1,1.3333,'S600',3),(10329,',25 square div',',25 square div',0,1,1.4667,'S631',3),(10330,',50',',50',0,0,0.3,'',3),(10331,',50 data-end',',50 data-end',0,1,1.4,'D530',3),(10332,',50 data-end 50',',50 data-end 50',0,1,1.5,'D530',3),(10333,'.gkp-background-top','.gkp-background-top',0,0,1,'G126531',3),(10334,'.gkp-background-top then','.gkp-background-top then',0,1,1.8,'G12653135',3),(10335,'.gkp-background-top then the','.gkp-background-top then the',0,1,1.9333,'G126531353',3),(10336,'0 data-height','0 data-height',0,1,1.4333,'D230',1),(10337,'0 data-height 400','0 data-height 400',0,1,1.5667,'D230',1),(10338,'0 means','0 means',0,1,1.2333,'M200',3),(10339,'0 means that','0 means that',0,1,1.4,'M230',3),(10340,'25 ,25','25 ,25',0,1,1.2,'',3),(10341,'25 ,25 data-end','25 ,25 data-end',0,1,1.5,'D530',3),(10342,'400','400',0,0,0.3,'',3),(10343,'400 div','400 div',0,1,1.2333,'D100',3),(10344,'400 div class','400 div class',0,1,1.4333,'D1242',3),(10345,'400 means','400 means',0,1,1.3,'M200',3),(10346,'400 means that','400 means that',0,1,1.4667,'M230',3),(10347,'400 pixels','400 pixels',0,1,1.3333,'P242',3),(10348,'400 pixels from','400 pixels from',0,1,1.5,'P242165',3),(10349,'50','50',0,0,0.2,'',4),(10350,'50 ,100','50 ,100',0,1,1.2333,'',3),(10351,'50 ,100 circle','50 ,100 circle',0,1,1.4667,'C624',3),(10352,'50 ,50','50 ,50',0,1,1.2,'',3),(10353,'50 ,50 data-end','50 ,50 data-end',0,1,1.5,'D530',3),(10354,'70','70',0,0,0.2,'',3),(10355,'75 ,25','75 ,25',0,1,1.2,'',3),(10356,'75 ,25 square','75 ,25 square',0,1,1.4333,'S600',3),(10357,'a few','a few',0,1,1.1667,'A100',4),(10358,'a few useful','a few useful',0,1,1.4,'A1214',3),(10359,'a height','a height',0,1,1.2667,'A230',3),(10360,'a height of','a height of',0,1,1.3667,'A231',3),(10361,'a value','a value',0,1,1.2333,'A140',4),(10362,'a value in','a value in',0,1,1.3333,'A145',3),(10363,'about images','about images',0,1,1.4,'A1352',3),(10364,'about images for','about images for',0,1,1.5333,'A135216',3),(10365,'add also','add also',0,1,1.2667,'A342',3),(10366,'add also own','add also own',0,1,1.4,'A3425',3),(10367,'add the','add the',0,1,1.2333,'A300',13),(10368,'add the own','add the own',0,1,1.3667,'A350',3),(10369,'additionally you','additionally you',0,1,1.5333,'A354',3),(10370,'additionally you will','additionally you will',0,1,1.7,'A354',3),(10371,'after page','after page',0,1,1.3333,'A13612',3),(10372,'after page loading','after page loading',0,1,1.6,'A136124352',3),(10373,'allows','allows',0,0,0.4,'A420',3),(10374,'allows you','allows you',0,1,1.3333,'A420',3),(10375,'allows you to','allows you to',0,1,1.4333,'A423',3),(10376,'also own','also own',0,1,1.2667,'A425',3),(10377,'also own class','also own class',0,1,1.4667,'A425242',3),(10378,'and css','and css',0,1,1.2333,'A532',3),(10379,'and css to','and css to',0,1,1.3333,'A5323',3),(10380,'and have','and have',0,1,1.2667,'A531',184),(10381,'and have gkp-element','and have gkp-element',0,1,1.6667,'A53121453',3),(10382,'and mobile','and mobile',0,1,1.3333,'A53514',3),(10383,'and mobile devices','and mobile devices',0,1,1.6,'A53514312',3),(10384,'and now','and now',0,1,1.2333,'A535',3),(10385,'and now the','and now the',0,1,1.3667,'A5353',3),(10386,'and the square','and the square',0,1,1.4667,'A5326',3),(10387,'and use','and use',0,1,1.2333,'A532',3),(10388,'and use this','and use this',0,1,1.4,'A53232',3),(10389,'animated element contains','animated element contains',0,1,1.8333,'A5345325352',3),(10390,'animated element seems','animated element seems',0,1,1.7333,'A53453252',3),(10391,'animated element should','animated element should',0,1,1.7667,'A53453243',3),(10392,'animated elements','animated elements',0,1,1.5667,'A534532',4),(10393,'animated elements every','animated elements every',0,1,1.7667,'A53453216',3),(10394,'animated elements gkp-tablet','animated elements gkp-tablet',0,1,1.9333,'A53453213143',3),(10395,'animation starts','animation starts',0,1,1.5333,'A53523632',3),(10396,'animation starts 0','animation starts 0',0,1,1.6,'A53523632',3),(10397,'animation the','animation the',0,1,1.4333,'A5353',3),(10398,'animation the order','animation the order',0,1,1.6333,'A5353636',3),(10399,'animation will','animation will',0,1,1.4667,'A5354',3),(10400,'animation will start','animation will start',0,1,1.6667,'A53542363',3),(10401,'appear','appear',0,0,0.4,'A160',3),(10402,'appear after','appear after',0,1,1.4,'A16136',3),(10403,'appear after page','appear after page',0,1,1.5667,'A1613612',3),(10404,'are calculated','are calculated',0,1,1.4667,'A624243',3),(10405,'are calculated relatively','are calculated relatively',0,1,1.8333,'A62424364314',3),(10406,'area','area',0,0,0.2667,'A600',8),(10407,'area and','area and',0,1,1.2667,'A653',3),(10408,'area and the','area and the',0,1,1.4,'A653',3),(10409,'area which','area which',0,1,1.3333,'A620',3),(10410,'area which is','area which is',0,1,1.4333,'A620',3),(10411,'as listed','as listed',0,1,1.3,'A2423',3),(10412,'as listed below','as listed below',0,1,1.5,'A242314',3),(10413,'as percent','as percent',0,1,1.3333,'A216253',3),(10414,'as percent values','as percent values',0,1,1.5667,'A216253142',3),(10415,'as we','as we',0,1,1.1667,'A200',3),(10416,'as we can','as we can',0,1,1.3,'A250',3),(10417,'at the beginning','at the beginning',0,1,1.5333,'A31252',3),(10418,'at the top','at the top',0,1,1.3333,'A310',13),(10419,'attributes data-area','attributes data-area',0,1,1.6667,'A3613236',3),(10420,'attributes data-area it','attributes data-area it',0,1,1.7667,'A36132363',3),(10421,'attributes data-start the','attributes data-start the',0,1,1.8333,'A3613232363',3),(10422,'awesome','awesome',0,0,0.4667,'A250',15),(10423,'awesome parallax','awesome parallax',0,1,1.5333,'A251642',3),(10424,'awesome parallax effects','awesome parallax effects',0,1,1.8,'A2516421232',3),(10425,'background image','background image',0,1,1.5333,'B265352',3),(10426,'background image we','background image we',0,1,1.6333,'B265352',3),(10427,'background image will','background image will',0,1,1.7,'B2653524',3),(10428,'basic knowledge','basic knowledge',0,1,1.5,'B25432',3),(10429,'basic knowledge in','basic knowledge in',0,1,1.6,'B254325',3),(10430,'basic structure','basic structure',0,1,1.5,'B236236',3),(10431,'basic structure with','basic structure with',0,1,1.6667,'B2362363',3),(10432,'be at','be at',0,1,1.1667,'B300',3),(10433,'be at the','be at the',0,1,1.3,'B300',3),(10434,'be styled','be styled',0,1,1.3,'B2343',3),(10435,'be styled to','be styled to',0,1,1.4,'B2343',3),(10436,'beginning of the','beginning of the',0,1,1.5333,'B25213',3),(10437,'below div','below div',0,1,1.3,'B431',3),(10438,'below div class','below div class',0,1,1.5,'B431242',3),(10439,'brand','brand',0,0,0.3333,'B653',184),(10440,'brand new','brand new',0,1,1.3,'B6535',184),(10441,'brand new parallax','brand new parallax',0,1,1.6,'B65351642',3),(10442,'browser','browser',0,0,0.4667,'B626',3),(10443,'browser window','browser window',0,1,1.4667,'B62653',3),(10444,'browser window data-height','browser window data-height',0,1,1.8667,'B6265323',3),(10445,'browser window e','browser window e',0,1,1.5333,'B62653',3),(10446,'calculated','calculated',0,0,0.6667,'C4243',3),(10447,'calculated relatively','calculated relatively',0,1,1.7,'C424364314',3),(10448,'calculated relatively to','calculated relatively to',0,1,1.8,'C4243643143',3),(10449,'can use negative','can use negative',0,1,1.5333,'C525231',3),(10450,'center of','center of',0,1,1.3,'C5361',3),(10451,'center of the','center of the',0,1,1.4333,'C53613',3),(10452,'circle','circle',0,0,0.4,'C624',3),(10453,'circle div','circle div',0,1,1.3333,'C62431',3),(10454,'circle div div','circle div div',0,1,1.4667,'C6243131',3),(10455,'circle square','circle square',0,1,1.4333,'C62426',3),(10456,'circle square tablet','circle square tablet',0,1,1.6667,'C624263143',3),(10457,'circle will','circle will',0,1,1.3667,'C624',3),(10458,'circle will go','circle will go',0,1,1.4667,'C6242',3),(10459,'class additionally you','class additionally you',0,1,1.7333,'C42354',3),(10460,'class for','class for',0,1,1.3,'C4216',3),(10461,'class for the','class for the',0,1,1.4333,'C42163',3),(10462,'class gk-parallax','class gk-parallax',0,1,1.5667,'C421642',3),(10463,'class gk-parallax data-area','class gk-parallax data-area',0,1,1.9,'C42164236',3),(10464,'class gk-parallax-wrap','class gk-parallax-wrap',0,1,1.7333,'C42164261',3),(10465,'class gk-parallax-wrap div','class gk-parallax-wrap div',0,1,1.8667,'C4216426131',3),(10466,'class gkp-element','class gkp-element',0,1,1.5667,'C421453',3),(10467,'class gkp-element gkp-circle','class gkp-element gkp-circle',0,1,1.9333,'C421453212624',3),(10468,'class gkp-element gkp-square','class gkp-element gkp-square',0,1,1.9333,'C4214532126',3),(10469,'class gkp-mobile','class gkp-mobile',0,1,1.5333,'C421514',3),(10470,'class gkp-mobile mobile','class gkp-mobile mobile',0,1,1.7667,'C421514514',3),(10471,'class gkp-tablet','class gkp-tablet',0,1,1.5333,'C4213143',3),(10472,'class gkp-tablet tablet','class gkp-tablet tablet',0,1,1.7667,'C4213143143',3),(10473,'class i','class i',0,1,1.2333,'C420',3),(10474,'class i e','class i e',0,1,1.3,'C420',3),(10475,'class like','class like',0,1,1.3333,'C4242',3),(10476,'class like gkp-circle','class like gkp-circle',0,1,1.7,'C424212624',3),(10477,'class with','class with',0,1,1.3333,'C423',3),(10478,'class with the','class with the',0,1,1.4667,'C423',3),(10479,'code create','code create',0,1,1.3667,'C3263',3),(10480,'code create the','code create the',0,1,1.5,'C3263',3),(10481,'code for','code for',0,1,1.2667,'C316',3),(10482,'code for the','code for the',0,1,1.4,'C3163',3),(10483,'code the','code the',0,1,1.2667,'C300',3),(10484,'code the basic','code the basic',0,1,1.4667,'C312',3),(10485,'code the circle','code the circle',0,1,1.5,'C32624',3),(10486,'completes','completes',0,0,0.6,'C51432',3),(10487,'contain','contain',0,0,0.4667,'C535',8),(10488,'contain the','contain the',0,1,1.3667,'C5353',3),(10489,'contain the image','contain the image',0,1,1.5667,'C535352',3),(10490,'container and have','container and have',0,1,1.6,'C5356531',3),(10491,'container and use','container and use',0,1,1.5667,'C5356532',3),(10492,'container contains','container contains',0,1,1.6,'C535625352',3),(10493,'container contains three','container contains three',0,1,1.8,'C53562535236',3),(10494,'contains animated','contains animated',0,1,1.5667,'C535253',3),(10495,'contains animated elements','contains animated elements',0,1,1.8667,'C5352534532',3),(10496,'contains three','contains three',0,1,1.4667,'C535236',4),(10497,'contains three other','contains three other',0,1,1.6667,'C53523636',3),(10498,'contains two','contains two',0,1,1.4,'C53523',3),(10499,'contains two data','contains two data',0,1,1.5667,'C53523',3),(10500,'coordinates','coordinates',0,0,0.7333,'C63532',3),(10501,'coordinates are','coordinates are',0,1,1.5,'C635326',3),(10502,'coordinates are calculated','coordinates are calculated',0,1,1.8667,'C63532624243',3),(10503,'coordinates as','coordinates as',0,1,1.4667,'C63532',3),(10504,'coordinates as percent','coordinates as percent',0,1,1.7333,'C6353216253',3),(10505,'create awesome','create awesome',0,1,1.4667,'C6325',3),(10506,'create awesome parallax','create awesome parallax',0,1,1.7667,'C63251642',3),(10507,'create the','create the',0,1,1.3333,'C630',5),(10508,'create the necessary','create the necessary',0,1,1.6667,'C63526',3),(10509,'create the proper','create the proper',0,1,1.5667,'C631616',3),(10510,'create your','create your',0,1,1.3667,'C636',3),(10511,'create your own','create your own',0,1,1.5,'C6365',3),(10512,'creative template','creative template',0,1,1.5667,'C63135143',3),(10513,'creative template supports','creative template supports',0,1,1.8667,'C6313514321632',3),(10514,'css code','css code',0,1,1.2667,'C300',4),(10515,'css code for','css code for',0,1,1.4,'C316',3),(10516,'css to','css to',0,1,1.2,'C300',3),(10517,'css to create','css to create',0,1,1.4333,'C3263',3),(10518,'data attributes data-area','data attributes data-area',0,1,1.8333,'D613236',3),(10519,'data attributes data-start','data attributes data-start',0,1,1.8667,'D613232363',3),(10520,'data-area','data-area',0,0,0.6,'D600',3),(10521,'data-area 0','data-area 0',0,1,1.3667,'D600',1),(10522,'data-area 0 data-height','data-area 0 data-height',0,1,1.7667,'D6323',1),(10523,'data-area it','data-area it',0,1,1.4,'D630',3),(10524,'data-area it is','data-area it is',0,1,1.5,'D632',3),(10525,'data-end 50','data-end 50',0,1,1.3667,'D530',3),(10526,'data-end 50 ,100','data-end 50 ,100',0,1,1.5333,'D530',3),(10527,'data-end 75','data-end 75',0,1,1.3667,'D530',3),(10528,'data-end 75 ,25','data-end 75 ,25',0,1,1.5,'D530',3),(10529,'data-end the end','data-end the end',0,1,1.5333,'D5353',3),(10530,'data-height','data-height',0,0,0.7333,'D230',3),(10531,'data-height 400','data-height 400',0,1,1.5,'D230',3),(10532,'data-height 400 div','data-height 400 div',0,1,1.6333,'D231',3),(10533,'data-height it','data-height it',0,1,1.4667,'D230',3),(10534,'data-height it is','data-height it is',0,1,1.5667,'D232',3),(10535,'data-start 25','data-start 25',0,1,1.4333,'D2363',3),(10536,'data-start 25 ,25','data-start 25 ,25',0,1,1.5667,'D2363',3),(10537,'data-start 50','data-start 50',0,1,1.4333,'D2363',3),(10538,'data-start 50 ,50','data-start 50 ,50',0,1,1.5667,'D2363',3),(10539,'data-start the','data-start the',0,1,1.4667,'D2363',3),(10540,'data-start the start','data-start the start',0,1,1.6667,'D23632363',3),(10541,'devices create','devices create',0,1,1.4667,'D1263',3),(10542,'devices create the','devices create the',0,1,1.6,'D1263',3),(10543,'devices please','devices please',0,1,1.4667,'D12142',3),(10544,'devices please remember','devices please remember',0,1,1.7667,'D121426516',3),(10545,'div as we','div as we',0,1,1.3,'D120',3),(10546,'div class gk-parallax','div class gk-parallax',0,1,1.7,'D12421642',3),(10547,'div class gk-parallax-wrap','div class gk-parallax-wrap',0,1,1.8667,'D1242164261',3),(10548,'div class gkp-element','div class gkp-element',0,1,1.7,'D12421453',3),(10549,'div class gkp-mobile','div class gkp-mobile',0,1,1.6667,'D12421514',3),(10550,'div class gkp-tablet','div class gkp-tablet',0,1,1.6667,'D124213143',3),(10551,'div div div','div div div',0,1,1.3667,'D13131',4),(10552,'do three','do three',0,1,1.2667,'D600',3),(10553,'do three things','do three things',0,1,1.5,'D6352',3),(10554,'down of','down of',0,1,1.2333,'D510',3),(10555,'down of the','down of the',0,1,1.3667,'D513',3),(10556,'e .gkp-background-top','e .gkp-background-top',0,1,1.7,'E2126531',3),(10557,'e .gkp-background-top then','e .gkp-background-top then',0,1,1.8667,'E212653135',3),(10558,'e g 400','e g 400',0,1,1.2333,'E200',3),(10559,'edge','edge',0,0,0.2667,'E320',6),(10560,'edge of','edge of',0,1,1.2333,'E321',4),(10561,'edge of the','edge of the',0,1,1.3667,'E3213',4),(10562,'effect elements','effect elements',0,1,1.5,'E1234532',3),(10563,'effect elements let\'s','effect elements let',0,1,1.7,'E1234532432',3),(10564,'effect you','effect you',0,1,1.3333,'E123',3),(10565,'effect you need','effect you need',0,1,1.5,'E12353',3),(10566,'effects','effects',0,0,0.4667,'E1232',3),(10567,'effects in','effects in',0,1,1.3333,'E12325',3),(10568,'effects in the','effects in the',0,1,1.4667,'E123253',3),(10569,'element at','element at',0,1,1.3333,'E453',3),(10570,'element at the','element at the',0,1,1.4667,'E453',3),(10571,'element contains','element contains',0,1,1.5333,'E45325352',3),(10572,'element contains two','element contains two',0,1,1.6667,'E453253523',3),(10573,'element seems','element seems',0,1,1.4333,'E453252',3),(10574,'element seems as','element seems as',0,1,1.5333,'E453252',3),(10575,'element should','element should',0,1,1.4667,'E453243',3),(10576,'element should be','element should be',0,1,1.5667,'E4532431',3),(10577,'element will be','element will be',0,1,1.5,'E45341',3),(10578,'elements every','elements every',0,1,1.4667,'E453216',3),(10579,'elements every animated','elements every animated',0,1,1.7667,'E45321653',3),(10580,'elements gkp-tablet','elements gkp-tablet',0,1,1.6333,'E453213143',3),(10581,'elements gkp-tablet it','elements gkp-tablet it',0,1,1.7333,'E453213143',3),(10582,'elements in','elements in',0,1,1.3667,'E45325',3),(10583,'elements in the','elements in the',0,1,1.5,'E453253',3),(10584,'elements let\'s','elements let',0,1,1.4667,'E4532432',3),(10585,'elements let\'s start','elements let start',0,1,1.6667,'E4532432363',3),(10586,'end position','end position',0,1,1.4,'E531235',3),(10587,'end position coordinates','end position coordinates',0,1,1.8,'E531235263532',3),(10588,'engine needs','engine needs',0,1,1.4,'E52532',3),(10589,'engine needs basic','engine needs basic',0,1,1.6,'E5253212',3),(10590,'engine which','engine which',0,1,1.4,'E5252',3),(10591,'engine which allows','engine which allows',0,1,1.6333,'E525242',3),(10592,'every animated','every animated',0,1,1.4667,'E1653',3),(10593,'every animated element','every animated element',0,1,1.7333,'E1653453',3),(10594,'few useful','few useful',0,1,1.3333,'F214',3),(10595,'few useful information','few useful information',0,1,1.7333,'F214516535',3),(10596,'for tablet','for tablet',0,1,1.3333,'F63143',3),(10597,'for tablet and','for tablet and',0,1,1.4667,'F6314353',3),(10598,'for the gk-parallax','for the gk-parallax',0,1,1.6333,'F6321642',3),(10599,'for the mobile','for the mobile',0,1,1.4667,'F63514',3),(10600,'for the parallax','for the parallax',0,1,1.5333,'F631642',3),(10601,'for the tablet','for the tablet',0,1,1.4667,'F63143',3),(10602,'for this','for this',0,1,1.2667,'F632',3),(10603,'for this wrapper','for this wrapper',0,1,1.5333,'F632616',3),(10604,'for us','for us',0,1,1.2,'F620',3),(10605,'for us in','for us in',0,1,1.3,'F625',3),(10606,'from the top','from the top',0,1,1.4,'F6531',3),(10607,'g 400','g 400',0,1,1.1667,'G000',3),(10608,'g 400 means','g 400 means',0,1,1.3667,'G520',3),(10609,'get the background','get the background',0,1,1.6,'G312653',3),(10610,'gk-parallax','gk-parallax',0,0,0.7333,'G1642',3),(10611,'gk-parallax container','gk-parallax container',0,1,1.7,'G16425356',3),(10612,'gk-parallax container and','gk-parallax container and',0,1,1.8333,'G1642535653',3),(10613,'gk-parallax data-area','gk-parallax data-area',0,1,1.7,'G164236',3),(10614,'gk-parallax data-area 0','gk-parallax data-area 0',0,1,1.7667,'G164236',1),(10615,'gk-parallax-wrap','gk-parallax-wrap',0,0,1,'G164261',3),(10616,'gk-parallax-wrap container','gk-parallax-wrap container',0,1,1.8667,'G16426125356',3),(10617,'gk-parallax-wrap container and','gk-parallax-wrap container and',0,1,2,'G1642612535653',3),(10618,'gk-parallax-wrap div','gk-parallax-wrap div',0,1,1.6667,'G16426131',3),(10619,'gk-parallax-wrap div class','gk-parallax-wrap div class',0,1,1.8667,'G16426131242',3),(10620,'gk-parallax-wrap it','gk-parallax-wrap it',0,1,1.6333,'G1642613',3),(10621,'gk-parallax-wrap it contains','gk-parallax-wrap it contains',0,1,1.9333,'G164261325352',3),(10622,'gkp-circle','gkp-circle',0,0,0.6667,'G12624',3),(10623,'gkp-circle data-start','gkp-circle data-start',0,1,1.7,'G1262432363',3),(10624,'gkp-circle data-start 50','gkp-circle data-start 50',0,1,1.8,'G1262432363',3),(10625,'gkp-circle or','gkp-circle or',0,1,1.4333,'G126246',3),(10626,'gkp-circle or gkp-square','gkp-circle or gkp-square',0,1,1.8,'G1262462126',3),(10627,'gkp-element','gkp-element',0,0,0.7333,'G1453',3),(10628,'gkp-element class','gkp-element class',0,1,1.5667,'G1453242',3),(10629,'gkp-element class additionally','gkp-element class additionally',0,1,2,'G1453242354',3),(10630,'gkp-element gkp-circle','gkp-element gkp-circle',0,1,1.7333,'G1453212624',3),(10631,'gkp-element gkp-circle data-start','gkp-element gkp-circle data-start',0,1,2,'G145321262432363',3),(10632,'gkp-element gkp-square','gkp-element gkp-square',0,1,1.7333,'G14532126',3),(10633,'gkp-element gkp-square data-start','gkp-element gkp-square data-start',0,1,2,'G1453212632363',3),(10634,'gkp-mobile','gkp-mobile',0,0,0.6667,'G1514',3),(10635,'gkp-mobile it','gkp-mobile it',0,1,1.4333,'G15143',3),(10636,'gkp-mobile it should','gkp-mobile it should',0,1,1.6667,'G15143243',3),(10637,'gkp-mobile mobile','gkp-mobile mobile',0,1,1.5667,'G1514514',3),(10638,'gkp-mobile mobile view','gkp-mobile mobile view',0,1,1.7333,'G15145141',3),(10639,'gkp-square','gkp-square',0,0,0.6667,'G126',3),(10640,'gkp-square data-start','gkp-square data-start',0,1,1.7,'G12632363',3),(10641,'gkp-square data-start 25','gkp-square data-start 25',0,1,1.8,'G12632363',3),(10642,'gkp-square every','gkp-square every',0,1,1.5333,'G12616',3),(10643,'gkp-square every animated','gkp-square every animated',0,1,1.8333,'G1261653',3),(10644,'gkp-tablet','gkp-tablet',0,0,0.6667,'G13143',3),(10645,'gkp-tablet it','gkp-tablet it',0,1,1.4333,'G13143',3),(10646,'gkp-tablet it should','gkp-tablet it should',0,1,1.6667,'G13143243',3),(10647,'gkp-tablet tablet','gkp-tablet tablet',0,1,1.5667,'G13143143',3),(10648,'gkp-tablet tablet view','gkp-tablet tablet view',0,1,1.7333,'G131431431',3),(10649,'go','go',0,0,0.1333,'G000',3),(10650,'go to','go to',0,1,1.1667,'G300',3),(10651,'go to down','go to down',0,1,1.3333,'G350',3),(10652,'go to the','go to the',0,1,1.3,'G300',3),(10653,'have gkp-element','have gkp-element',0,1,1.5333,'H121453',3),(10654,'have gkp-element class','have gkp-element class',0,1,1.7333,'H121453242',3),(10655,'header is','header is',0,1,1.3,'H362',3),(10656,'header is 400','header is 400',0,1,1.4333,'H362',3),(10657,'header is at','header is at',0,1,1.4,'H3623',3),(10658,'headers the','headers the',0,1,1.3667,'H3623',6),(10659,'headers the usage','headers the usage',0,1,1.5667,'H36232',3),(10660,'height','height',0,0,0.4,'H230',4),(10661,'height of','height of',0,1,1.3,'H231',3),(10662,'height of the','height of the',0,1,1.4333,'H2313',3),(10663,'height value','height value',0,1,1.4,'H2314',3),(10664,'height value for','height value for',0,1,1.5333,'H231416',3),(10665,'hide','hide',0,0,0.2667,'H300',3),(10666,'hide the','hide the',0,1,1.2667,'H300',3),(10667,'hide the element','hide the element',0,1,1.5333,'H3453',3),(10668,'html5','html5',0,0,0.3333,'H354',3),(10669,'html5 and','html5 and',0,1,1.3,'H35453',3),(10670,'html5 and css','html5 and css',0,1,1.4333,'H354532',3),(10671,'html5 code','html5 code',0,1,1.3333,'H35423',3),(10672,'html5 code create','html5 code create',0,1,1.5667,'H35423263',3),(10673,'html5 code the','html5 code the',0,1,1.4667,'H35423',3),(10674,'i e','i e',0,1,1.1,'I000',4),(10675,'i e .gkp-background-top','i e .gkp-background-top',0,1,1.7667,'I2126531',3),(10676,'image for','image for',0,1,1.3,'I5216',3),(10677,'image for the','image for the',0,1,1.4333,'I52163',3),(10678,'image we','image we',0,1,1.2667,'I520',3),(10679,'image we recommend','image we recommend',0,1,1.6,'I526253',3),(10680,'image will','image will',0,1,1.3333,'I524',3),(10681,'image will appear','image will appear',0,1,1.5667,'I52416',3),(10682,'images for','images for',0,1,1.3333,'I5216',3),(10683,'images for tablet','images for tablet',0,1,1.5667,'I52163143',3),(10684,'images please','images please',0,1,1.4333,'I52142',3),(10685,'images please remember','images please remember',0,1,1.7333,'I521426516',3),(10686,'important the','important the',0,1,1.4333,'I516353',3),(10687,'important the last','important the last',0,1,1.6,'I516353423',3),(10688,'in html5','in html5',0,1,1.2667,'I5354',3),(10689,'in html5 and','in html5 and',0,1,1.4,'I535453',3),(10690,'in pixels','in pixels',0,1,1.3,'I51242',3),(10691,'in pixels the','in pixels the',0,1,1.4333,'I512423',3),(10692,'in pixels which','in pixels which',0,1,1.5,'I51242',3),(10693,'in the gk-parallax-wrap','in the gk-parallax-wrap',0,1,1.7667,'I532164261',3),(10694,'in the mentioned','in the mentioned',0,1,1.5333,'I535353',3),(10695,'in the template','in the template',0,1,1.5,'I535143',8),(10696,'in the wrapper','in the wrapper',0,1,1.4667,'I53616',3),(10697,'information you','information you',0,1,1.5,'I516535',3),(10698,'information you can','information you can',0,1,1.6333,'I51653525',3),(10699,'interesting','interesting',0,0,0.7333,'I5362352',23),(10700,'interesting part','interesting part',0,1,1.5333,'I5362352163',3),(10701,'interesting part animated','interesting part animated',0,1,1.8333,'I536235216353',3),(10702,'is 400','is 400',0,1,1.2,'I200',3),(10703,'is 400 pixels','is 400 pixels',0,1,1.4333,'I21242',3),(10704,'is a height','is a height',0,1,1.3667,'I230',3),(10705,'is a value','is a value',0,1,1.3333,'I214',4),(10706,'is at','is at',0,1,1.1667,'I230',5),(10707,'is at the','is at the',0,1,1.3,'I230',5),(10708,'is necessary','is necessary',0,1,1.4,'I2526',3),(10709,'is necessary for','is necessary for',0,1,1.5333,'I252616',3),(10710,'is very important','is very important',0,1,1.5667,'I216516353',3),(10711,'it contains','it contains',0,1,1.3667,'I325352',3),(10712,'it contains animated','it contains animated',0,1,1.6667,'I32535253',3),(10713,'it is a','it is a',0,1,1.2333,'I320',11),(10714,'it should','it should',0,1,1.3,'I3243',3),(10715,'it should be','it should be',0,1,1.4,'I32431',3),(10716,'knowledge','knowledge',0,0,0.6,'K5432',3),(10717,'knowledge in','knowledge in',0,1,1.4,'K54325',3),(10718,'knowledge in html5','knowledge in html5',0,1,1.6,'K54325354',3),(10719,'last element','last element',0,1,1.4,'L23453',3),(10720,'last element will','last element will',0,1,1.5667,'L234534',3),(10721,'layers','layers',0,0,0.4,'L620',3),(10722,'layers to','layers to',0,1,1.3,'L623',3),(10723,'layers to get','layers to get',0,1,1.4333,'L62323',3),(10724,'let\'s start','let start',0,1,1.3667,'L32363',3),(10725,'let\'s start with','let start with',0,1,1.5333,'L32363',3),(10726,'like gkp-circle','like gkp-circle',0,1,1.5,'L212624',3),(10727,'like gkp-circle or','like gkp-circle or',0,1,1.6,'L2126246',3),(10728,'listed','listed',0,0,0.4,'L230',3),(10729,'listed below','listed below',0,1,1.4,'L2314',3),(10730,'listed below div','listed below div',0,1,1.5333,'L231431',3),(10731,'loaded','loaded',0,0,0.4,'L300',4),(10732,'loaded class','loaded class',0,1,1.4,'L3242',3),(10733,'loaded class i','loaded class i',0,1,1.4667,'L3242',3),(10734,'loading','loading',0,0,0.4667,'L352',7),(10735,'loading completes','loading completes',0,1,1.5667,'L35251432',3),(10736,'main container','main container',0,1,1.4667,'M25356',3),(10737,'main container contains','main container contains',0,1,1.7667,'M2535625352',3),(10738,'main wrapper','main wrapper',0,1,1.4,'M616',4),(10739,'main wrapper contains','main wrapper contains',0,1,1.7,'M61625352',4),(10740,'means that','means that',0,1,1.3333,'M230',3),(10741,'means that the','means that the',0,1,1.4667,'M230',3),(10742,'mentioned','mentioned',0,0,0.6,'M353',4),(10743,'mentioned code','mentioned code',0,1,1.4667,'M35323',3),(10744,'mentioned code the','mentioned code the',0,1,1.6,'M35323',3),(10745,'mobile','mobile',0,0,0.4,'M140',200),(10746,'mobile devices','mobile devices',0,1,1.4667,'M14312',10),(10747,'mobile devices create','mobile devices create',0,1,1.7,'M1431263',3),(10748,'mobile devices please','mobile devices please',0,1,1.7,'M14312142',3),(10749,'mobile view','mobile view',0,1,1.3667,'M141',3),(10750,'mobile view a','mobile view a',0,1,1.4333,'M141',3),(10751,'mobile view div','mobile view div',0,1,1.5,'M14131',3),(10752,'most interesting','most interesting',0,1,1.5333,'M235362352',16),(10753,'most interesting part','most interesting part',0,1,1.7,'M235362352163',3),(10754,'necessary','necessary',0,0,0.6,'N260',4),(10755,'necessary for','necessary for',0,1,1.4333,'N2616',3),(10756,'necessary for us','necessary for us',0,1,1.5333,'N26162',3),(10757,'necessary images','necessary images',0,1,1.5333,'N2652',3),(10758,'necessary images please','necessary images please',0,1,1.7667,'N2652142',3),(10759,'need to add','need to add',0,1,1.3667,'N300',3),(10760,'need to do','need to do',0,1,1.3333,'N300',3),(10761,'needs','needs',0,0,0.3333,'N320',4),(10762,'needs basic','needs basic',0,1,1.3667,'N3212',3),(10763,'needs basic knowledge','needs basic knowledge',0,1,1.7,'N32125432',3),(10764,'negative','negative',0,0,0.5333,'N231',3),(10765,'negative values','negative values',0,1,1.5,'N23142',3),(10766,'negative values to','negative values to',0,1,1.6,'N231423',3),(10767,'new parallax','new parallax',0,1,1.4,'N1642',3),(10768,'new parallax engine','new parallax engine',0,1,1.6333,'N1642525',3),(10769,'now','now',0,0,0.2,'N000',3),(10770,'now the','now the',0,1,1.2333,'N300',3),(10771,'now the most','now the most',0,1,1.4,'N3523',3),(10772,'object','object',0,0,0.4,'O123',3),(10773,'object so','object so',0,1,1.3,'O1232',3),(10774,'object so in','object so in',0,1,1.4,'O12325',3),(10775,'of layers','of layers',0,1,1.3,'O1462',3),(10776,'of layers to','of layers to',0,1,1.4,'O14623',3),(10777,'of the area','of the area',0,1,1.3667,'O136',3),(10778,'of the browser','of the browser',0,1,1.4667,'O131626',3),(10779,'of the elements','of the elements',0,1,1.5,'O134532',3),(10780,'of the header','of the header',0,1,1.4333,'O136',3),(10781,'of the object','of the object',0,1,1.4333,'O13123',3),(10782,'of the parallax','of the parallax',0,1,1.5,'O131642',3),(10783,'of the stack','of the stack',0,1,1.4,'O13232',3),(10784,'of this','of this',0,1,1.2333,'O132',4),(10785,'of this engine','of this engine',0,1,1.4667,'O132525',3),(10786,'one animated','one animated',0,1,1.4,'O530',3),(10787,'one animated element','one animated element',0,1,1.6667,'O53453',3),(10788,'or gkp-square','or gkp-square',0,1,1.4333,'O62126',3),(10789,'or gkp-square every','or gkp-square every',0,1,1.6333,'O6212616',3),(10790,'order of','order of',0,1,1.2667,'O6361',3),(10791,'order of the','order of the',0,1,1.4,'O63613',3),(10792,'other','other',0,0,0.3333,'O360',6),(10793,'other wrappers','other wrappers',0,1,1.4667,'O36162',3),(10794,'other wrappers gk-parallax-wrap','other wrappers gk-parallax-wrap',0,1,2,'O36162164261',3),(10795,'our brand','our brand',0,1,1.3,'O61653',3),(10796,'our brand new','our brand new',0,1,1.4333,'O616535',3),(10797,'own class','own class',0,1,1.3,'O5242',3),(10798,'own class for','own class for',0,1,1.4333,'O524216',3),(10799,'own class like','own class like',0,1,1.4667,'O524242',3),(10800,'own parallax','own parallax',0,1,1.4,'O51642',3),(10801,'own parallax effect','own parallax effect',0,1,1.6333,'O51642123',3),(10802,'page loading','page loading',0,1,1.4,'P24352',3),(10803,'page loading completes','page loading completes',0,1,1.7333,'P2435251432',3),(10804,'parallax','parallax',0,0,0.5333,'P642',3),(10805,'parallax area','parallax area',0,1,1.4333,'P6426',3),(10806,'parallax area and','parallax area and',0,1,1.5667,'P642653',3),(10807,'parallax effect','parallax effect',0,1,1.5,'P642123',3),(10808,'parallax effect elements','parallax effect elements',0,1,1.8,'P6421234532',3),(10809,'parallax effect you','parallax effect you',0,1,1.6333,'P642123',3),(10810,'parallax effects','parallax effects',0,1,1.5333,'P6421232',3),(10811,'parallax effects in','parallax effects in',0,1,1.6333,'P64212325',3),(10812,'parallax engine','parallax engine',0,1,1.5,'P642525',3),(10813,'parallax engine which','parallax engine which',0,1,1.7,'P6425252',3),(10814,'part animated','part animated',0,1,1.4333,'P6353',3),(10815,'part animated elements','part animated elements',0,1,1.7333,'P63534532',3),(10816,'percent','percent',0,0,0.4667,'P6253',7),(10817,'percent values','percent values',0,1,1.4667,'P6253142',3),(10818,'percent values data-end','percent values data-end',0,1,1.7667,'P6253142353',3),(10819,'percent values please','percent values please',0,1,1.7,'P6253142142',3),(10820,'pixels','pixels',0,0,0.4,'P242',5),(10821,'pixels from','pixels from',0,1,1.3667,'P242165',3),(10822,'pixels from the','pixels from the',0,1,1.5,'P2421653',3),(10823,'pixels the','pixels the',0,1,1.3333,'P2423',3),(10824,'pixels the main','pixels the main',0,1,1.5,'P24235',3),(10825,'pixels which','pixels which',0,1,1.4,'P242',3),(10826,'pixels which specifies','pixels which specifies',0,1,1.7333,'P2421212',3),(10827,'please remember to','please remember to',0,1,1.6,'P4265163',3),(10828,'position coordinates','position coordinates',0,1,1.6667,'P235263532',3),(10829,'position coordinates as','position coordinates as',0,1,1.7667,'P235263532',3),(10830,'probably','probably',0,0,0.5333,'P614',3),(10831,'probably need','probably need',0,1,1.4333,'P61453',3),(10832,'probably need to','probably need to',0,1,1.5333,'P61453',3),(10833,'proper','proper',0,0,0.4,'P616',10),(10834,'proper css','proper css',0,1,1.3333,'P6162',3),(10835,'proper css code','proper css code',0,1,1.5,'P61623',3),(10836,'proper html5','proper html5',0,1,1.4,'P616354',3),(10837,'proper html5 code','proper html5 code',0,1,1.5667,'P61635423',3),(10838,'recommend to add','recommend to add',0,1,1.5333,'R253',10),(10839,'relatively','relatively',0,0,0.6667,'R4314',3),(10840,'relatively to','relatively to',0,1,1.4333,'R43143',3),(10841,'relatively to the','relatively to the',0,1,1.5667,'R43143',3),(10842,'remember about images','remember about images',0,1,1.7,'R5161352',3),(10843,'remember that the','remember that the',0,1,1.5667,'R5163',3),(10844,'remember to','remember to',0,1,1.3667,'R5163',4),(10845,'remember to set','remember to set',0,1,1.5,'R516323',3),(10846,'right side','right side',0,1,1.3333,'R2323',4),(10847,'right side circle','right side circle',0,1,1.5667,'R23232624',3),(10848,'see the main','see the main',0,1,1.4,'S350',3),(10849,'seems','seems',0,0,0.3333,'S520',3),(10850,'seems as','seems as',0,1,1.2667,'S520',3),(10851,'seems as listed','seems as listed',0,1,1.5,'S52423',3),(10852,'set the','set the',0,1,1.2333,'S300',3),(10853,'set the height','set the height',0,1,1.4667,'S323',3),(10854,'should be styled','should be styled',0,1,1.5333,'S4312343',3),(10855,'side','side',0,0,0.2667,'S300',10),(10856,'side circle','side circle',0,1,1.3667,'S32624',3),(10857,'side circle square','side circle square',0,1,1.6,'S3262426',3),(10858,'so in','so in',0,1,1.1667,'S500',3),(10859,'so in the','so in the',0,1,1.3,'S530',3),(10860,'specifies','specifies',0,0,0.6,'S1212',4),(10861,'specifies when','specifies when',0,1,1.4667,'S12125',3),(10862,'specifies when the','specifies when the',0,1,1.6,'S121253',3),(10863,'square','square',0,0,0.4,'S600',3),(10864,'square div','square div',0,1,1.3333,'S631',3),(10865,'square div div','square div div',0,1,1.4667,'S63131',3),(10866,'square tablet','square tablet',0,1,1.4333,'S63143',3),(10867,'square tablet view','square tablet view',0,1,1.6,'S631431',3),(10868,'square will','square will',0,1,1.3667,'S640',3),(10869,'square will go','square will go',0,1,1.4667,'S642',3),(10870,'stack','stack',0,0,0.3333,'S320',3),(10871,'stack of','stack of',0,1,1.2667,'S321',3),(10872,'stack of layers','stack of layers',0,1,1.5,'S321462',3),(10873,'start position coordinates','start position coordinates',0,1,1.8667,'S3631235263532',3),(10874,'start when','start when',0,1,1.3333,'S3635',3),(10875,'start when the','start when the',0,1,1.4667,'S36353',3),(10876,'start with','start with',0,1,1.3333,'S363',3),(10877,'start with the','start with the',0,1,1.4667,'S363',3),(10878,'starts','starts',0,0,0.4,'S3632',7),(10879,'starts 0','starts 0',0,1,1.2667,'S3632',3),(10880,'starts 0 means','starts 0 means',0,1,1.4667,'S363252',3),(10881,'structure with','structure with',0,1,1.4667,'S362363',3),(10882,'structure with one','structure with one',0,1,1.6,'S3623635',3),(10883,'styled','styled',0,0,0.4,'S343',8),(10884,'styled to','styled to',0,1,1.3,'S343',3),(10885,'styled to contain','styled to contain',0,1,1.5667,'S3432535',3),(10886,'supports our','supports our',0,1,1.4,'S16326',3),(10887,'supports our brand','supports our brand',0,1,1.6,'S163261653',3),(10888,'tablet and','tablet and',0,1,1.3333,'T14353',3),(10889,'tablet and mobile','tablet and mobile',0,1,1.5667,'T14353514',3),(10890,'tablet devices','tablet devices',0,1,1.4667,'T14312',3),(10891,'tablet devices please','tablet devices please',0,1,1.7,'T14312142',3),(10892,'tablet view','tablet view',0,1,1.3667,'T1431',3),(10893,'tablet view div','tablet view div',0,1,1.5,'T143131',3),(10894,'tablet view mobile','tablet view mobile',0,1,1.6,'T1431514',3),(10895,'template headers','template headers',0,1,1.5333,'T514362',3),(10896,'template headers the','template headers the',0,1,1.6667,'T5143623',3),(10897,'template supports our','template supports our',0,1,1.7,'T5143216326',3),(10898,'that the animation','that the animation',0,1,1.6,'T535',3),(10899,'that the coordinates','that the coordinates',0,1,1.6667,'T263532',3),(10900,'the animation starts','the animation starts',0,1,1.6667,'T53523632',3),(10901,'the animation the','the animation the',0,1,1.5667,'T5353',3),(10902,'the animation will','the animation will',0,1,1.6,'T5354',3),(10903,'the area','the area',0,1,1.2667,'T600',3),(10904,'the area which','the area which',0,1,1.4667,'T620',3),(10905,'the background','the background',0,1,1.4667,'T12653',3),(10906,'the background image','the background image',0,1,1.6667,'T1265352',3),(10907,'the basic','the basic',0,1,1.3,'T120',3),(10908,'the basic structure','the basic structure',0,1,1.6333,'T1236236',3),(10909,'the beginning','the beginning',0,1,1.4333,'T1252',3),(10910,'the beginning of','the beginning of',0,1,1.5333,'T12521',3),(10911,'the browser','the browser',0,1,1.3667,'T1626',3),(10912,'the browser window','the browser window',0,1,1.6,'T162653',3),(10913,'the center','the center',0,1,1.3333,'T2536',3),(10914,'the center of','the center of',0,1,1.4333,'T25361',3),(10915,'the circle','the circle',0,1,1.3333,'T2624',3),(10916,'the circle will','the circle will',0,1,1.5,'T2624',3),(10917,'the coordinates','the coordinates',0,1,1.5,'T263532',3),(10918,'the coordinates are','the coordinates are',0,1,1.6333,'T2635326',3),(10919,'the creative','the creative',0,1,1.4,'T2631',14),(10920,'the creative template','the creative template',0,1,1.7,'T263135143',3),(10921,'the element at','the element at',0,1,1.4667,'T453',3),(10922,'the elements','the elements',0,1,1.4,'T4532',3),(10923,'the elements in','the elements in',0,1,1.5,'T45325',3),(10924,'the end','the end',0,1,1.2333,'T530',3),(10925,'the end position','the end position',0,1,1.5333,'T531235',3),(10926,'the gk-parallax','the gk-parallax',0,1,1.5,'T21642',3),(10927,'the gk-parallax container','the gk-parallax container',0,1,1.8333,'T216425356',3),(10928,'the gk-parallax-wrap','the gk-parallax-wrap',0,1,1.6667,'T2164261',3),(10929,'the gk-parallax-wrap container','the gk-parallax-wrap container',0,1,2,'T216426125356',3),(10930,'the header','the header',0,1,1.3333,'T600',3),(10931,'the header is','the header is',0,1,1.4333,'T620',3),(10932,'the height','the height',0,1,1.3333,'T230',3),(10933,'the height value','the height value',0,1,1.5333,'T2314',3),(10934,'the html5','the html5',0,1,1.3,'T540',3),(10935,'the html5 code','the html5 code',0,1,1.4667,'T5423',3),(10936,'the image for','the image for',0,1,1.4333,'T5216',3),(10937,'the last','the last',0,1,1.2667,'T423',13),(10938,'the last element','the last element',0,1,1.5333,'T423453',3),(10939,'the loaded','the loaded',0,1,1.3333,'T430',4),(10940,'the loaded class','the loaded class',0,1,1.5333,'T43242',3),(10941,'the main','the main',0,1,1.2667,'T500',4),(10942,'the main container','the main container',0,1,1.6,'T525356',3),(10943,'the main wrapper','the main wrapper',0,1,1.5333,'T5616',4),(10944,'the mentioned','the mentioned',0,1,1.4333,'T5353',3),(10945,'the mentioned code','the mentioned code',0,1,1.6,'T535323',3),(10946,'the mobile','the mobile',0,1,1.3333,'T514',10),(10947,'the mobile devices','the mobile devices',0,1,1.6,'T514312',10),(10948,'the most','the most',0,1,1.2667,'T523',222),(10949,'the most interesting','the most interesting',0,1,1.6667,'T5235362352',16),(10950,'the necessary','the necessary',0,1,1.4333,'T526',3),(10951,'the necessary images','the necessary images',0,1,1.6667,'T52652',3),(10952,'the object','the object',0,1,1.3333,'T123',3),(10953,'the object so','the object so',0,1,1.4333,'T1232',3),(10954,'the order','the order',0,1,1.3,'T636',3),(10955,'the order of','the order of',0,1,1.4,'T6361',3),(10956,'the own','the own',0,1,1.2333,'T500',3),(10957,'the own class','the own class',0,1,1.4333,'T5242',3),(10958,'the parallax','the parallax',0,1,1.4,'T1642',3),(10959,'the parallax area','the parallax area',0,1,1.5667,'T16426',3),(10960,'the parallax effect','the parallax effect',0,1,1.6333,'T1642123',3),(10961,'the proper','the proper',0,1,1.3333,'T1616',4),(10962,'the proper css','the proper css',0,1,1.4667,'T16162',3),(10963,'the proper html5','the proper html5',0,1,1.5333,'T1616354',3),(10964,'the right side','the right side',0,1,1.4667,'T62323',4),(10965,'the square','the square',0,1,1.3333,'T260',3),(10966,'the square will','the square will',0,1,1.5,'T264',3),(10967,'the stack','the stack',0,1,1.3,'T232',3),(10968,'the stack of','the stack of',0,1,1.4,'T2321',3),(10969,'the tablet','the tablet',0,1,1.3333,'T143',3),(10970,'the tablet devices','the tablet devices',0,1,1.6,'T14312',3),(10971,'the template headers','the template headers',0,1,1.6667,'T514362',3),(10972,'the top','the top',0,1,1.2333,'T100',24),(10973,'the top edge','the top edge',0,1,1.4,'T132',4),(10974,'the top of','the top of',0,1,1.3333,'T100',3),(10975,'the usage','the usage',0,1,1.3,'T200',3),(10976,'the usage of','the usage of',0,1,1.4,'T210',3),(10977,'the wrapper','the wrapper',0,1,1.3667,'T616',3),(10978,'the wrapper is','the wrapper is',0,1,1.4667,'T6162',3),(10979,'then','then',0,0,0.2667,'T500',12),(10980,'then the','then the',0,1,1.2667,'T530',12),(10981,'then the background','then the background',0,1,1.6333,'T5312653',3),(10982,'things create','things create',0,1,1.4333,'T5263',3),(10983,'things create the','things create the',0,1,1.5667,'T5263',3),(10984,'this class','this class',0,1,1.3333,'T242',3),(10985,'this class with','this class with',0,1,1.5,'T2423',3),(10986,'this engine','this engine',0,1,1.3667,'T2525',3),(10987,'this engine needs','this engine needs',0,1,1.5667,'T252532',3),(10988,'this wrapper','this wrapper',0,1,1.4,'T2616',3),(10989,'this wrapper and','this wrapper and',0,1,1.5333,'T261653',3),(10990,'this wrapper gkp-mobile','this wrapper gkp-mobile',0,1,1.7667,'T261621514',3),(10991,'three other','three other',0,1,1.3667,'T636',3),(10992,'three other wrappers','three other wrappers',0,1,1.6667,'T636162',3),(10993,'three things','three things',0,1,1.4,'T6352',3),(10994,'three things create','three things create',0,1,1.6333,'T635263',3),(10995,'to add','to add',0,1,1.2,'T000',11),(10996,'to add also','to add also',0,1,1.3667,'T420',3),(10997,'to add the','to add the',0,1,1.3333,'T000',11),(10998,'to contain','to contain',0,1,1.3333,'T2535',3),(10999,'to contain the','to contain the',0,1,1.4667,'T25353',3),(11000,'to create awesome','to create awesome',0,1,1.5667,'T26325',3),(11001,'to create your','to create your',0,1,1.4667,'T2636',3),(11002,'to do','to do',0,1,1.1667,'T000',3),(11003,'to do three','to do three',0,1,1.3667,'T600',3),(11004,'to down','to down',0,1,1.2333,'T500',3),(11005,'to down of','to down of',0,1,1.3333,'T510',3),(11006,'to hide','to hide',0,1,1.2333,'T000',3),(11007,'to hide the','to hide the',0,1,1.3667,'T000',3),(11008,'to set','to set',0,1,1.2,'T230',3),(11009,'to set the','to set the',0,1,1.3333,'T230',3),(11010,'to the','to the',0,1,1.2,'T000',29),(11011,'to the center','to the center',0,1,1.4333,'T2536',3),(11012,'to the right','to the right',0,1,1.4,'T623',3),(11013,'top edge','top edge',0,1,1.2667,'T132',4),(11014,'top edge of','top edge of',0,1,1.3667,'T1321',4),(11015,'top of','top of',0,1,1.2,'T100',3),(11016,'top of the','top of the',0,1,1.3333,'T130',3),(11017,'two data','two data',0,1,1.2667,'T000',4),(11018,'two data attributes','two data attributes',0,1,1.6333,'T6132',4),(11019,'us','us',0,0,0.1333,'U200',32),(11020,'us in','us in',0,1,1.1667,'U250',3),(11021,'us in pixels','us in pixels',0,1,1.4,'U251242',3),(11022,'usage','usage',0,0,0.3333,'U200',9),(11023,'usage of','usage of',0,1,1.2667,'U210',8),(11024,'usage of this','usage of this',0,1,1.4333,'U2132',3),(11025,'use negative','use negative',0,1,1.4,'U25231',3),(11026,'use negative values','use negative values',0,1,1.6333,'U2523142',3),(11027,'use this','use this',0,1,1.2667,'U232',3),(11028,'use this class','use this class',0,1,1.4667,'U23242',3),(11029,'useful information','useful information',0,1,1.6,'U214516535',3),(11030,'useful information you','useful information you',0,1,1.7333,'U214516535',3),(11031,'value for','value for',0,1,1.3,'V416',3),(11032,'value for this','value for this',0,1,1.4667,'V41632',3),(11033,'value in','value in',0,1,1.2667,'V450',3),(11034,'value in pixels','value in pixels',0,1,1.5,'V451242',3),(11035,'values','values',0,0,0.4,'V420',3),(11036,'values data-end','values data-end',0,1,1.5,'V42353',3),(11037,'values data-end the','values data-end the',0,1,1.6333,'V42353',3),(11038,'values please','values please',0,1,1.4333,'V42142',3),(11039,'values please remember','values please remember',0,1,1.7333,'V421426516',3),(11040,'values to','values to',0,1,1.3,'V423',3),(11041,'values to hide','values to hide',0,1,1.4667,'V423',3),(11042,'very important the','very important the',0,1,1.6,'V6516353',3),(11043,'view','view',0,0,0.2667,'V000',4),(11044,'view a','view a',0,1,1.2,'V000',3),(11045,'view a few','view a few',0,1,1.3333,'V000',3),(11046,'view div','view div',0,1,1.2667,'V310',3),(11047,'view div div','view div div',0,1,1.4,'V3131',3),(11048,'view mobile','view mobile',0,1,1.3667,'V514',3),(11049,'view mobile view','view mobile view',0,1,1.5333,'V5141',3),(11050,'we can','we can',0,1,1.2,'W250',3),(11051,'we can see','we can see',0,1,1.3333,'W252',3),(11052,'when the','when the',0,1,1.2667,'W530',4),(11053,'when the animation','when the animation',0,1,1.6,'W53535',3),(11054,'when the top','when the top',0,1,1.4,'W531',3),(11055,'which allows','which allows',0,1,1.4,'W242',3),(11056,'which allows you','which allows you',0,1,1.5333,'W242',3),(11057,'which is necessary','which is necessary',0,1,1.6,'W2526',3),(11058,'which specifies','which specifies',0,1,1.5,'W21212',4),(11059,'which specifies when','which specifies when',0,1,1.6667,'W212125',3),(11060,'will appear','will appear',0,1,1.3667,'W416',3),(11061,'will appear after','will appear after',0,1,1.5667,'W416136',3),(11062,'will be at','will be at',0,1,1.3333,'W413',3),(11063,'will go','will go',0,1,1.2333,'W420',3),(11064,'will go to','will go to',0,1,1.3333,'W423',3),(11065,'will probably','will probably',0,1,1.4333,'W41614',3),(11066,'will probably need','will probably need',0,1,1.6,'W4161453',3),(11067,'will start when','will start when',0,1,1.5,'W423635',3),(11068,'window','window',0,0,0.4,'W530',3),(11069,'window data-height','window data-height',0,1,1.6,'W5323',3),(11070,'window data-height it','window data-height it',0,1,1.7,'W5323',3),(11071,'window e','window e',0,1,1.2667,'W530',3),(11072,'window e g','window e g',0,1,1.3333,'W532',3),(11073,'with one animated','with one animated',0,1,1.5667,'W353',3),(11074,'with the html5','with the html5',0,1,1.4667,'W354',3),(11075,'with the loaded','with the loaded',0,1,1.5,'W343',3),(11076,'wrapper and','wrapper and',0,1,1.3667,'W61653',3),(11077,'wrapper and now','wrapper and now',0,1,1.5,'W616535',3),(11078,'wrapper contains','wrapper contains',0,1,1.5333,'W61625352',4),(11079,'wrapper contains two','wrapper contains two',0,1,1.6667,'W616253523',3),(11080,'wrapper gkp-mobile','wrapper gkp-mobile',0,1,1.6,'W61621514',3),(11081,'wrapper gkp-mobile it','wrapper gkp-mobile it',0,1,1.7,'W616215143',3),(11082,'wrapper is','wrapper is',0,1,1.3333,'W6162',3),(11083,'wrapper is very','wrapper is very',0,1,1.5,'W616216',3),(11084,'wrappers','wrappers',0,0,0.5333,'W6162',3),(11085,'wrappers gk-parallax-wrap','wrappers gk-parallax-wrap',0,1,1.8333,'W6162164261',3),(11086,'wrappers gk-parallax-wrap it','wrappers gk-parallax-wrap it',0,1,1.9333,'W61621642613',3),(11087,'you to','you to',0,1,1.2,'Y300',3),(11088,'you to create','you to create',0,1,1.4333,'Y3263',3),(11089,'you will','you will',0,1,1.2667,'Y400',11),(11090,'you will probably','you will probably',0,1,1.5667,'Y41614',3),(11091,'your own parallax','your own parallax',0,1,1.5667,'Y651642',3),(11092,'200','200',0,0,0.3,'',15),(11093,'200 data-height','200 data-height',0,1,1.5,'D230',2),(11094,'200 data-height 400','200 data-height 400',0,1,1.6333,'D230',2),(11095,'data-area 200','data-area 200',0,1,1.4333,'D600',2),(11096,'data-area 200 data-height','data-area 200 data-height',0,1,1.8333,'D6323',2),(11097,'gk-parallax data-area 200','gk-parallax data-area 200',0,1,1.8333,'G164236',2),(11098,'0 alt','0 alt',0,1,1.1667,'A430',6),(11099,'0 alt demo','0 alt demo',0,1,1.3333,'A435',6),(11100,'1 a','1 a',0,1,1.1,'A000',6),(11101,'1 a a','1 a a',0,1,1.1667,'A000',6),(11102,'1 a div','1 a div',0,1,1.2333,'A310',6),(11103,'1.png','1.png',0,0,0.3333,'P520',6),(11104,'1.png border','1.png border',0,1,1.4,'P521636',6),(11105,'1.png border 0','1.png border 0',0,1,1.4667,'P521636',6),(11106,'2 45','2 45',0,1,1.1333,'',6),(11107,'2 45 a','2 45 a',0,1,1.2,'A000',6),(11108,'2.png','2.png',0,0,0.3333,'P520',6),(11109,'2.png border','2.png border',0,1,1.4,'P521636',6),(11110,'2.png border 0','2.png border 0',0,1,1.4667,'P521636',6),(11111,'3.png','3.png',0,0,0.3333,'P520',6),(11112,'3.png border','3.png border',0,1,1.4,'P521636',6),(11113,'3.png border 0','3.png border 0',0,1,1.4667,'P521636',6),(11114,'4.png','4.png',0,0,0.3333,'P520',6),(11115,'4.png border','4.png border',0,1,1.4,'P521636',6),(11116,'4.png border 0','4.png border 0',0,1,1.4667,'P521636',6),(11117,'45 a','45 a',0,1,1.1333,'A000',6),(11118,'45 a m','45 a m',0,1,1.2,'A500',6),(11119,'5.png','5.png',0,0,0.3333,'P520',6),(11120,'5.png border','5.png border',0,1,1.4,'P521636',6),(11121,'5.png border 0','5.png border 0',0,1,1.4667,'P521636',6),(11122,'6 social','6 social',0,1,1.2667,'S400',7),(11123,'6 social icons','6 social icons',0,1,1.4667,'S4252',7),(11124,'a a class','a a class',0,1,1.3,'A242',21),(11125,'a class gkicondribbble','a class gkicondribbble',0,1,1.7333,'A24253614',7),(11126,'a class gkiconfacebook','a class gkiconfacebook',0,1,1.7333,'A24251212',6),(11127,'a class gkicongplus','a class gkicongplus',0,1,1.6333,'A24252142',7),(11128,'a class gkiconrss','a class gkiconrss',0,1,1.5667,'A242562',7),(11129,'a class gkicontwitter','a class gkicontwitter',0,1,1.7,'A242536',7),(11130,'a class gkiconvimeo','a class gkiconvimeo',0,1,1.6333,'A242515',7),(11131,'a div learn','a div learn',0,1,1.3667,'A31465',6),(11132,'a facebook','a facebook',0,1,1.3333,'A1212',7),(11133,'a facebook twitter','a facebook twitter',0,1,1.6,'A121236',7),(11134,'a href img','a href img',0,1,1.3333,'A6152',8),(11135,'a href take','a href take',0,1,1.3667,'A6132',6),(11136,'a m','a m',0,1,1.1,'A500',6),(11137,'a m where','a m where',0,1,1.3,'A560',6),(11138,'a set','a set',0,1,1.1667,'A230',18),(11139,'a set of','a set of',0,1,1.2667,'A231',18),(11140,'a simple','a simple',0,1,1.2667,'A2514',7),(11141,'a simple container','a simple container',0,1,1.6,'A251425356',6),(11142,'a tour','a tour',0,1,1.2,'A360',6),(11143,'a tour a','a tour a',0,1,1.2667,'A360',6),(11144,'a tour and','a tour and',0,1,1.3333,'A3653',6),(11145,'a tour testimonial','a tour testimonial',0,1,1.6,'A3632354',6),(11146,'additional styling','additional styling',0,1,1.6,'A35423452',6),(11147,'additional styling for','additional styling for',0,1,1.7333,'A3542345216',6),(11148,'alt','alt',0,0,0.2,'A430',10),(11149,'alt demo','alt demo',0,1,1.2667,'A435',6),(11150,'alt demo logo','alt demo logo',0,1,1.4333,'A43542',6),(11151,'am','am',0,0,0.1333,'A500',9),(11152,'am p','am p',0,1,1.1333,'A510',6),(11153,'am p cite','am p cite',0,1,1.3,'A5123',6),(11154,'am robert','am robert',0,1,1.3,'A56163',6),(11155,'am robert gavick','am robert gavick',0,1,1.5333,'A56163212',6),(11156,'and you\'ll','and you',0,1,1.3333,'A534',6),(11157,'and you\'ll love','and you love',0,1,1.5,'A5341',6),(11158,'appreciated','appreciated',0,0,0.7333,'A1623',6),(11159,'appreciated that','appreciated that',0,1,1.5333,'A1623',6),(11160,'appreciated that you','appreciated that you',0,1,1.6667,'A1623',6),(11161,'banner it','banner it',0,1,1.3,'B563',6),(11162,'banner it is','banner it is',0,1,1.4,'B5632',6),(11163,'banner with','banner with',0,1,1.3667,'B563',6),(11164,'banner with button','banner with button',0,1,1.6,'B563135',6),(11165,'before','before',0,0,0.4,'B600',25),(11166,'before you','before you',0,1,1.3333,'B600',6),(11167,'before you use','before you use',0,1,1.4667,'B620',6),(11168,'blockquote class','blockquote class',0,1,1.5333,'B423242',6),(11169,'blockquote class gktestimonial','blockquote class gktestimonial',0,1,2,'B42324232354',6),(11170,'blockquote element','blockquote element',0,1,1.6,'B423453',7),(11171,'blockquote element with','blockquote element with',0,1,1.7667,'B423453',6),(11172,'blockquote thank','blockquote thank',0,1,1.5333,'B42352',6),(11173,'blockquote thank you','blockquote thank you',0,1,1.6667,'B42352',6),(11174,'border 0','border 0',0,1,1.2667,'B636',6),(11175,'border 0 alt','border 0 alt',0,1,1.4,'B63643',6),(11176,'business portfolio','business portfolio',0,1,1.6,'B25216314',6),(11177,'business portfolio website','business portfolio website',0,1,1.8667,'B25216314123',6),(11178,'button div','button div',0,1,1.3333,'B3531',6),(11179,'button div class','button div class',0,1,1.5333,'B3531242',6),(11180,'button it','button it',0,1,1.3,'B353',6),(11181,'button it is','button it is',0,1,1.4,'B3532',6),(11182,'cite blockquote','cite blockquote',0,1,1.5,'C31423',6),(11183,'cite blockquote thank','cite blockquote thank',0,1,1.7,'C3142352',6),(11184,'cite element','cite element',0,1,1.4,'C3453',6),(11185,'cite element blockquote','cite element blockquote',0,1,1.7667,'C34531423',6),(11186,'cite robert','cite robert',0,1,1.3667,'C36163',6),(11187,'class gkbannerheader','class gkbannerheader',0,1,1.6667,'C4215636',6),(11188,'class gkbannerheader welcome','class gkbannerheader welcome',0,1,1.9333,'C4215636425',6),(11189,'class gkbannerwithbutton','class gkbannerwithbutton',0,1,1.8,'C421563135',6),(11190,'class gkbannerwithbutton learn','class gkbannerwithbutton learn',0,1,2,'C421563135465',6),(11191,'class gkclients','class gkclients',0,1,1.5,'C424532',6),(11192,'class gkclients a','class gkclients a',0,1,1.5667,'C424532',6),(11193,'class gkicondribbble','class gkicondribbble',0,1,1.6667,'C4253614',7),(11194,'class gkicondribbble href','class gkicondribbble href',0,1,1.8333,'C425361461',7),(11195,'class gkiconfacebook','class gkiconfacebook',0,1,1.6667,'C4251212',7),(11196,'class gkiconfacebook href','class gkiconfacebook href',0,1,1.8333,'C425121261',7),(11197,'class gkicongplus','class gkicongplus',0,1,1.5667,'C4252142',7),(11198,'class gkicongplus href','class gkicongplus href',0,1,1.7333,'C425214261',4),(11199,'class gkiconrss','class gkiconrss',0,1,1.5,'C42562',7),(11200,'class gkiconrss href','class gkiconrss href',0,1,1.6667,'C4256261',7),(11201,'class gkicontwitter','class gkicontwitter',0,1,1.6333,'C42536',7),(11202,'class gkicontwitter href','class gkicontwitter href',0,1,1.8,'C425361',7),(11203,'class gkiconvimeo','class gkiconvimeo',0,1,1.5667,'C42515',7),(11204,'class gkiconvimeo href','class gkiconvimeo href',0,1,1.7333,'C4251561',7),(11205,'class gktestimonial','class gktestimonial',0,1,1.6333,'C4232354',6),(11206,'class gktestimonial p','class gktestimonial p',0,1,1.7,'C42323541',6),(11207,'clients','clients',0,0,0.4667,'C4532',8),(11208,'clients container','clients container',0,1,1.5667,'C45325356',6),(11209,'clients container container','clients container container',0,1,1.9,'C4532535625356',6),(11210,'container container','container container',0,1,1.6333,'C535625356',6),(11211,'container container with','container container with',0,1,1.8,'C5356253563',6),(11212,'container with logotypes','container with logotypes',0,1,1.8,'C5356342312',6),(11213,'container with the','container with the',0,1,1.6,'C53563',6),(11214,'created','created',0,0,0.4667,'C630',16),(11215,'created with','created with',0,1,1.4,'C630',6),(11216,'created with using','created with using',0,1,1.6,'C63252',6),(11217,'customer','customer',0,0,0.5333,'C356',6),(11218,'customer service','customer service',0,1,1.5333,'C3562612',6),(11219,'customer service i','customer service i',0,1,1.6,'C3562612',6),(11220,'demo demo','demo demo',0,1,1.3,'D535',7),(11221,'demo demo logo','demo demo logo',0,1,1.4667,'D53542',6),(11222,'demo logo 1','demo logo 1',0,1,1.3667,'D542',6),(11223,'demo logo 1.png','demo logo 1.png',0,1,1.5,'D542152',6),(11224,'demo logo 2.png','demo logo 2.png',0,1,1.5,'D542152',6),(11225,'demo logo 3.png','demo logo 3.png',0,1,1.5,'D542152',6),(11226,'demo logo 4.png','demo logo 4.png',0,1,1.5,'D542152',6),(11227,'demo logo 5.png','demo logo 5.png',0,1,1.5,'D542152',6),(11228,'div class gkbannerwithbutton','div class gkbannerwithbutton',0,1,1.9333,'D12421563135',6),(11229,'div class gkclients','div class gkclients',0,1,1.6333,'D12424532',6),(11230,'div learn','div learn',0,1,1.3,'D1465',6),(11231,'div learn more','div learn more',0,1,1.4667,'D14656',6),(11232,'dribbble a a','dribbble a a',0,1,1.4,'D614',7),(11233,'dribbble vimeo','dribbble vimeo',0,1,1.4667,'D61415',7),(11234,'dribbble vimeo clients','dribbble vimeo clients',0,1,1.7333,'D6141524532',6),(11235,'element blockquote','element blockquote',0,1,1.6,'E4531423',6),(11236,'element blockquote class','element blockquote class',0,1,1.8,'E4531423242',6),(11237,'element h2','element h2',0,1,1.3333,'E453',6),(11238,'element h2 class','element h2 class',0,1,1.5333,'E453242',6),(11239,'element with','element with',0,1,1.4,'E453',14),(11240,'element with additional','element with additional',0,1,1.7667,'E45354',6),(11241,'elements header','elements header',0,1,1.5,'E453236',6),(11242,'elements header banner','elements header banner',0,1,1.7333,'E453236156',6),(11243,'even','even',0,0,0.2667,'E150',6),(11244,'even though','even though',0,1,1.3667,'E1532',6),(11245,'even though it','even though it',0,1,1.4667,'E15323',6),(11246,'for the cite','for the cite',0,1,1.4,'F6323',6),(11247,'for the great','for the great',0,1,1.4333,'F63263',6),(11248,'gavick cite','gavick cite',0,1,1.3667,'G123',6),(11249,'gavick cite blockquote','gavick cite blockquote',0,1,1.7333,'G1231423',6),(11250,'gavick social','gavick social',0,1,1.4333,'G124',6),(11251,'gavick social icons','gavick social icons',0,1,1.6333,'G124252',6),(11252,'gkbannerheader','gkbannerheader',0,0,0.9333,'G15636',6),(11253,'gkbannerheader welcome','gkbannerheader welcome',0,1,1.7333,'G15636425',6),(11254,'gkbannerheader welcome to','gkbannerheader welcome to',0,1,1.8333,'G156364253',6),(11255,'gkbannerwithbutton','gkbannerwithbutton',0,0,1,'G1563135',6),(11256,'gkbannerwithbutton learn','gkbannerwithbutton learn',0,1,1.8,'G1563135465',6),(11257,'gkbannerwithbutton learn more','gkbannerwithbutton learn more',0,1,1.9667,'G15631354656',6),(11258,'gkclients','gkclients',0,0,0.6,'G4532',6),(11259,'gkclients a','gkclients a',0,1,1.3667,'G4532',6),(11260,'gkclients a href','gkclients a href',0,1,1.5333,'G453261',6),(11261,'gkicondribbble','gkicondribbble',0,0,0.9333,'G53614',7),(11262,'gkicondribbble href','gkicondribbble href',0,1,1.6333,'G5361461',7),(11263,'gkicondribbble href dribbble','gkicondribbble href dribbble',0,1,1.9333,'G53614613614',7),(11264,'gkiconfacebook','gkiconfacebook',0,0,0.9333,'G51212',7),(11265,'gkiconfacebook href','gkiconfacebook href',0,1,1.6333,'G5121261',7),(11266,'gkiconfacebook href facebook','gkiconfacebook href facebook',0,1,1.9333,'G5121261212',7),(11267,'gkicongplus','gkicongplus',0,0,0.7333,'G52142',7),(11268,'gkicongplus href','gkicongplus href',0,1,1.5333,'G5214261',4),(11269,'gkicongplus href google','gkicongplus href google',0,1,1.7667,'G521426124',4),(11270,'gkiconrss','gkiconrss',0,0,0.6,'G562',7),(11271,'gkiconrss href','gkiconrss href',0,1,1.4667,'G56261',7),(11272,'gkiconrss href rss','gkiconrss href rss',0,1,1.6,'G5626162',7),(11273,'gkicontwitter','gkicontwitter',0,0,0.8667,'G536',7),(11274,'gkicontwitter href','gkicontwitter href',0,1,1.6,'G5361',7),(11275,'gkicontwitter href twitter','gkicontwitter href twitter',0,1,1.8667,'G536136',7),(11276,'gkiconvimeo','gkiconvimeo',0,0,0.7333,'G515',7),(11277,'gkiconvimeo href','gkiconvimeo href',0,1,1.5333,'G51561',7),(11278,'gkiconvimeo href vimeo','gkiconvimeo href vimeo',0,1,1.7333,'G515615',7),(11279,'gktestimonial','gktestimonial',0,0,0.8667,'G32354',6),(11280,'gktestimonial p','gktestimonial p',0,1,1.5,'G323541',6),(11281,'gktestimonial p thank','gktestimonial p thank',0,1,1.7,'G323541352',6),(11282,'google a a','google a a',0,1,1.3333,'G400',21),(11283,'google rss dribbble','google rss dribbble',0,1,1.6333,'G4623614',7),(11284,'great','great',0,0,0.3333,'G630',12),(11285,'great customer','great customer',0,1,1.4667,'G632356',6),(11286,'great customer service','great customer service',0,1,1.7333,'G6323562612',6),(11287,'h2 class gkbannerheader','h2 class gkbannerheader',0,1,1.7667,'H24215636',6),(11288,'h2 element','h2 element',0,1,1.3333,'H453',7),(11289,'h2 element h2','h2 element h2',0,1,1.4333,'H453',6),(11290,'h2 welcome','h2 welcome',0,1,1.3333,'H425',6),(11291,'h2 welcome to','h2 welcome to',0,1,1.4333,'H4253',6),(11292,'had','had',0,0,0.2,'H300',6),(11293,'had someone','had someone',0,1,1.3667,'H325',6),(11294,'had someone to','had someone to',0,1,1.4667,'H3253',6),(11295,'header banner','header banner',0,1,1.4333,'H36156',6),(11296,'header banner it','header banner it',0,1,1.5333,'H361563',6),(11297,'help me','help me',0,1,1.2333,'H415',6),(11298,'help me even','help me even',0,1,1.4,'H41515',6),(11299,'href dribbble','href dribbble',0,1,1.4333,'H613614',7),(11300,'href dribbble a','href dribbble a',0,1,1.5,'H613614',7),(11301,'href facebook','href facebook',0,1,1.4333,'H61212',21),(11302,'href facebook a','href facebook a',0,1,1.5,'H61212',21),(11303,'href google','href google',0,1,1.3667,'H6124',21),(11304,'href google a','href google a',0,1,1.4333,'H6124',21),(11305,'href img','href img',0,1,1.2667,'H6152',8),(11306,'href img src','href img src',0,1,1.4,'H615262',8),(11307,'href rss','href rss',0,1,1.2667,'H6162',8),(11308,'href rss a','href rss a',0,1,1.3333,'H6162',8),(11309,'href take','href take',0,1,1.3,'H6132',6),(11310,'href take a','href take a',0,1,1.3667,'H6132',6),(11311,'href twitter','href twitter',0,1,1.4,'H6136',21),(11312,'href twitter a','href twitter a',0,1,1.4667,'H6136',21),(11313,'href vimeo','href vimeo',0,1,1.3333,'H615',7),(11314,'href vimeo a','href vimeo a',0,1,1.4,'H615',7),(11315,'i am','i am',0,1,1.1333,'I500',9),(11316,'i am p','i am p',0,1,1.2,'I510',6),(11317,'i am robert','i am robert',0,1,1.3667,'I56163',6),(11318,'i appreciated','i appreciated',0,1,1.4333,'I1623',6),(11319,'i appreciated that','i appreciated that',0,1,1.6,'I1623',6),(11320,'icons a','icons a',0,1,1.2333,'I252',21),(11321,'icons a class','icons a class',0,1,1.4333,'I25242',20),(11322,'icons a set','icons a set',0,1,1.3667,'I2523',7),(11323,'images demo','images demo',0,1,1.3667,'I5235',9),(11324,'images demo demo','images demo demo',0,1,1.5333,'I523535',7),(11325,'img','img',0,0,0.2,'I520',9),(11326,'img src','img src',0,1,1.2333,'I5262',9),(11327,'img src images','img src images',0,1,1.4667,'I526252',6),(11328,'is a simple','is a simple',0,1,1.3667,'I2514',6),(11329,'is created','is created',0,1,1.3333,'I263',7),(11330,'is created with','is created with',0,1,1.5,'I263',6),(11331,'it is created','it is created',0,1,1.4333,'I3263',6),(11332,'it was','it was',0,1,1.2,'I320',187),(11333,'it was 2','it was 2',0,1,1.2667,'I320',6),(11334,'learn','learn',0,0,0.3333,'L650',6),(11335,'learn more','learn more',0,1,1.3333,'L656',6),(11336,'learn more before','learn more before',0,1,1.5667,'L65616',6),(11337,'let\'s take','let take',0,1,1.3333,'L3232',6),(11338,'let\'s take a','let take a',0,1,1.4,'L3232',6),(11339,'link button','link button',0,1,1.3667,'L52135',6),(11340,'link button div','link button div',0,1,1.5,'L5213531',6),(11341,'logo 1','logo 1',0,1,1.2,'L200',6),(11342,'logo 1 a','logo 1 a',0,1,1.2667,'L200',6),(11343,'logo 1.png','logo 1.png',0,1,1.3333,'L2152',6),(11344,'logo 1.png border','logo 1.png border',0,1,1.5667,'L21521636',6),(11345,'logo 2.png','logo 2.png',0,1,1.3333,'L2152',6),(11346,'logo 2.png border','logo 2.png border',0,1,1.5667,'L21521636',6),(11347,'logo 3.png','logo 3.png',0,1,1.3333,'L2152',6),(11348,'logo 3.png border','logo 3.png border',0,1,1.5667,'L21521636',6),(11349,'logo 4.png','logo 4.png',0,1,1.3333,'L2152',6),(11350,'logo 4.png border','logo 4.png border',0,1,1.5667,'L21521636',6),(11351,'logo 5.png','logo 5.png',0,1,1.3333,'L2152',6),(11352,'logo 5.png border','logo 5.png border',0,1,1.5667,'L21521636',6),(11353,'logotypes','logotypes',0,0,0.6,'L2312',6),(11354,'logotypes div','logotypes div',0,1,1.4333,'L231231',6),(11355,'logotypes div class','logotypes div class',0,1,1.6333,'L231231242',6),(11356,'love','love',0,0,0.2667,'L100',8),(11357,'love this','love this',0,1,1.3,'L132',6),(11358,'love this theme','love this theme',0,1,1.5,'L13235',6),(11359,'m','m',0,0,0.0667,'M000',7),(11360,'m where','m where',0,1,1.2333,'M600',6),(11361,'m where i','m where i',0,1,1.3,'M600',6),(11362,'me','me',0,0,0.1333,'M000',184),(11363,'me even','me even',0,1,1.2333,'M150',6),(11364,'me even though','me even though',0,1,1.4667,'M1532',6),(11365,'more','more',0,0,0.2667,'M600',29),(11366,'more before','more before',0,1,1.3667,'M616',6),(11367,'more before you','more before you',0,1,1.5,'M616',6),(11368,'of 6','of 6',0,1,1.1333,'O100',7),(11369,'of 6 social','of 6 social',0,1,1.3667,'O124',7),(11370,'our products','our products',0,1,1.4,'O6163232',6),(11371,'our products a','our products a',0,1,1.4667,'O6163232',6),(11372,'our products take','our products take',0,1,1.5667,'O616323232',6),(11373,'p cite','p cite',0,1,1.2,'P230',6),(11374,'p cite robert','p cite robert',0,1,1.4333,'P236163',6),(11375,'p thank','p thank',0,1,1.2333,'P352',6),(11376,'p thank you','p thank you',0,1,1.3667,'P352',6),(11377,'portfolio','portfolio',0,0,0.6,'P6314',6),(11378,'portfolio website','portfolio website',0,1,1.5667,'P6314123',6),(11379,'portfolio website let\'s','portfolio website let',0,1,1.7667,'P6314123432',6),(11380,'portfolio website small','portfolio website small',0,1,1.7667,'P6314123254',6),(11381,'products','products',0,0,0.5333,'P63232',6),(11382,'products a','products a',0,1,1.3333,'P63232',6),(11383,'products a href','products a href',0,1,1.5,'P6323261',6),(11384,'products take','products take',0,1,1.4333,'P6323232',6),(11385,'products take a','products take a',0,1,1.5,'P6323232',6),(11386,'proper h2','proper h2',0,1,1.3,'P616',6),(11387,'proper h2 element','proper h2 element',0,1,1.5667,'P616453',6),(11388,'robert gavick social','robert gavick social',0,1,1.6667,'R1632124',6),(11389,'rss dribbble','rss dribbble',0,1,1.4,'R23614',7),(11390,'rss dribbble vimeo','rss dribbble vimeo',0,1,1.6,'R2361415',7),(11391,'service','service',0,0,0.4667,'S612',7),(11392,'service i','service i',0,1,1.3,'S612',6),(11393,'service i appreciated','service i appreciated',0,1,1.7,'S6121623',6),(11394,'set of','set of',0,1,1.2,'S310',18),(11395,'set of 6','set of 6',0,1,1.2667,'S310',7),(11396,'simple container','simple container',0,1,1.5333,'S51425356',6),(11397,'simple container with','simple container with',0,1,1.7,'S514253563',6),(11398,'small h2','small h2',0,1,1.2667,'S540',6),(11399,'small h2 welcome','small h2 welcome',0,1,1.5333,'S5425',6),(11400,'small let\'s','small let',0,1,1.3667,'S5432',6),(11401,'small let\'s take','small let take',0,1,1.5333,'S543232',6),(11402,'social icons a','social icons a',0,1,1.4667,'S4252',21),(11403,'someone','someone',0,0,0.4667,'S500',6),(11404,'someone to','someone to',0,1,1.3333,'S530',6),(11405,'someone to help','someone to help',0,1,1.5,'S5341',6),(11406,'src','src',0,0,0.2,'S620',9),(11407,'src images','src images',0,1,1.3333,'S6252',6),(11408,'src images demo','src images demo',0,1,1.5,'S625235',6),(11409,'styling for','styling for',0,1,1.3667,'S345216',6),(11410,'styling for the','styling for the',0,1,1.5,'S3452163',6),(11411,'take','take',0,0,0.2667,'T200',11),(11412,'take a','take a',0,1,1.2,'T200',6),(11413,'take a tour','take a tour',0,1,1.3667,'T236',6),(11414,'testimonial','testimonial',0,0,0.7333,'T2354',7),(11415,'testimonial blockquote','testimonial blockquote',0,1,1.7333,'T23541423',6),(11416,'testimonial blockquote element','testimonial blockquote element',0,1,2,'T23541423453',6),(11417,'thank','thank',0,0,0.3333,'T520',6),(11418,'thank you','thank you',0,1,1.3,'T520',6),(11419,'thank you for','thank you for',0,1,1.4333,'T5216',6),(11420,'that you','that you',0,1,1.2667,'T000',10),(11421,'that you had','that you had',0,1,1.4,'T000',6),(11422,'the cite','the cite',0,1,1.2667,'T230',6),(11423,'the cite element','the cite element',0,1,1.5333,'T23453',6),(11424,'the great','the great',0,1,1.3,'T263',6),(11425,'the great customer','the great customer',0,1,1.6,'T2632356',6),(11426,'the link','the link',0,1,1.2667,'T452',17),(11427,'the link button','the link button',0,1,1.5,'T452135',6),(11428,'theme banner','theme banner',0,1,1.4,'T5156',6),(11429,'theme banner with','theme banner with',0,1,1.5667,'T51563',6),(11430,'theme small','theme small',0,1,1.3667,'T5254',6),(11431,'theme small h2','theme small h2',0,1,1.4667,'T5254',6),(11432,'this theme','this theme',0,1,1.3333,'T235',6),(11433,'this theme banner','this theme banner',0,1,1.5667,'T235156',6),(11434,'this theme small','this theme small',0,1,1.5333,'T235254',6),(11435,'though','though',0,0,0.4,'T200',6),(11436,'though it','though it',0,1,1.3,'T230',6),(11437,'though it was','though it was',0,1,1.4333,'T232',6),(11438,'to business','to business',0,1,1.3667,'T1252',6),(11439,'to business portfolio','to business portfolio',0,1,1.7,'T125216314',6),(11440,'to help','to help',0,1,1.2333,'T410',6),(11441,'to help me','to help me',0,1,1.3333,'T415',6),(11442,'tour','tour',0,0,0.2667,'T600',13),(11443,'tour a','tour a',0,1,1.2,'T600',6),(11444,'tour a div','tour a div',0,1,1.3333,'T631',6),(11445,'tour and','tour and',0,1,1.2667,'T653',6),(11446,'tour and you\'ll','tour and you',0,1,1.5,'T6534',6),(11447,'tour testimonial','tour testimonial',0,1,1.5333,'T632354',6),(11448,'tour testimonial blockquote','tour testimonial blockquote',0,1,1.9,'T6323541423',6),(11449,'typography elements header','typography elements header',0,1,1.8667,'T1261453236',6),(11450,'use our products','use our products',0,1,1.5333,'U26163232',6),(11451,'using proper','using proper',0,1,1.4,'U2521616',6),(11452,'using proper h2','using proper h2',0,1,1.5,'U2521616',6),(11453,'vimeo a facebook','vimeo a facebook',0,1,1.5333,'V51212',7),(11454,'vimeo clients','vimeo clients',0,1,1.4333,'V524532',6),(11455,'vimeo clients container','vimeo clients container',0,1,1.7667,'V5245325356',6),(11456,'was 2','was 2',0,1,1.1667,'W200',6),(11457,'was 2 45','was 2 45',0,1,1.2667,'W200',6),(11458,'website','website',0,0,0.4667,'W123',28),(11459,'website let\'s','website let',0,1,1.4333,'W123432',6),(11460,'website let\'s take','website let take',0,1,1.6,'W12343232',6),(11461,'website small','website small',0,1,1.4333,'W123254',6),(11462,'website small let\'s','website small let',0,1,1.6333,'W12325432',6),(11463,'welcome to','welcome to',0,1,1.3333,'W4253',29),(11464,'welcome to business','welcome to business',0,1,1.6333,'W42531252',6),(11465,'where','where',0,0,0.3333,'W600',188),(11466,'where i','where i',0,1,1.2333,'W600',185),(11467,'where i am','where i am',0,1,1.3333,'W650',6),(11468,'with additional','with additional',0,1,1.5,'W354',6),(11469,'with additional styling','with additional styling',0,1,1.7667,'W35423452',6),(11470,'with button','with button',0,1,1.3667,'W3135',6),(11471,'with button it','with button it',0,1,1.4667,'W31353',6),(11472,'with logotypes','with logotypes',0,1,1.4667,'W342312',6),(11473,'with logotypes div','with logotypes div',0,1,1.6,'W34231231',6),(11474,'with the link','with the link',0,1,1.4333,'W3452',6),(11475,'with using proper','with using proper',0,1,1.5667,'W32521616',6),(11476,'you for','you for',0,1,1.2333,'Y160',6),(11477,'you for the','you for the',0,1,1.3667,'Y163',6),(11478,'you had','you had',0,1,1.2333,'Y300',6),(11479,'you had someone','you had someone',0,1,1.5,'Y325',6),(11480,'you use','you use',0,1,1.2333,'Y200',6),(11481,'you use our','you use our',0,1,1.3667,'Y260',6),(11482,'you\'ll','you',0,0,0.4,'Y400',6),(11483,'you\'ll love','you love',0,1,1.3667,'Y410',6),(11484,'you\'ll love this','you love this',0,1,1.5333,'Y4132',6),(11485,'2001','2001',0,0,0.4,'',2),(11486,'2001 with','2001 with',0,1,1.3,'W300',2),(11487,'2001 with a','2001 with a',0,1,1.3667,'W300',2),(11488,'a professional','a professional',0,1,1.4667,'A161254',2),(11489,'a professional web','a professional web',0,1,1.6,'A1612541',2),(11490,'a very','a very',0,1,1.2,'A160',2),(11491,'a very innovative','a very innovative',0,1,1.5667,'A165131',2),(11492,'admiration','admiration',0,0,0.6667,'A35635',2),(11493,'admiration of','admiration of',0,1,1.4333,'A356351',2),(11494,'admiration of their','admiration of their',0,1,1.6333,'A35635136',2),(11495,'bringing','bringing',0,0,0.5333,'B65252',9),(11496,'bringing their','bringing their',0,1,1.4667,'B6525236',2),(11497,'bringing their projects','bringing their projects',0,1,1.7667,'B652523616232',2),(11498,'clients bringing','clients bringing',0,1,1.5333,'C4532165252',2),(11499,'clients bringing their','clients bringing their',0,1,1.7333,'C453216525236',2),(11500,'designer','designer',0,0,0.5333,'D256',2),(11501,'designer since','designer since',0,1,1.4667,'D256252',2),(11502,'designer since 2001','designer since 2001',0,1,1.6333,'D256252',2),(11503,'dukan','dukan',0,0,0.3333,'D250',2),(11504,'dukan is','dukan is',0,1,1.2667,'D252',2),(11505,'dukan is a','dukan is a',0,1,1.3333,'D252',2),(11506,'highest','highest',0,0,0.4667,'H230',5),(11507,'highest level','highest level',0,1,1.4333,'H23414',2),(11508,'highest level of','highest level of',0,1,1.5333,'H234141',2),(11509,'innovative','innovative',0,0,0.6667,'I5131',3),(11510,'innovative style','innovative style',0,1,1.5333,'I5131234',2),(11511,'innovative style soon','innovative style soon',0,1,1.7,'I513123425',2),(11512,'is a professional','is a professional',0,1,1.5667,'I2161254',2),(11513,'level','level',0,0,0.3333,'L140',2),(11514,'level of','level of',0,1,1.2667,'L141',2),(11515,'level of the','level of the',0,1,1.4,'L1413',2),(11516,'of the market','of the market',0,1,1.4333,'O135623',2),(11517,'of their','of their',0,1,1.2667,'O136',2),(11518,'of their clients','of their clients',0,1,1.5333,'O13624532',2),(11519,'professional','professional',0,0,0.8,'P61254',11),(11520,'professional web','professional web',0,1,1.5333,'P612541',2),(11521,'professional web designer','professional web designer',0,1,1.8333,'P6125413256',2),(11522,'projects','projects',0,0,0.5333,'P6232',2),(11523,'projects to','projects to',0,1,1.3667,'P62323',2),(11524,'projects to the','projects to the',0,1,1.5,'P62323',2),(11525,'robert dukan','robert dukan',0,1,1.4,'R16325',2),(11526,'robert dukan is','robert dukan is',0,1,1.5,'R163252',2),(11527,'since','since',0,0,0.3333,'S520',22),(11528,'since 2001','since 2001',0,1,1.3333,'S520',2),(11529,'since 2001 with','since 2001 with',0,1,1.5,'S523',2),(11530,'soon','soon',0,0,0.2667,'S500',5),(11531,'soon won','soon won',0,1,1.2667,'S500',2),(11532,'soon won the','soon won the',0,1,1.4,'S530',2),(11533,'style soon','style soon',0,1,1.3333,'S3425',2),(11534,'style soon won','style soon won',0,1,1.4667,'S3425',2),(11535,'the admiration','the admiration',0,1,1.4667,'T5635',2),(11536,'the admiration of','the admiration of',0,1,1.5667,'T56351',2),(11537,'the highest','the highest',0,1,1.3667,'T230',2),(11538,'the highest level','the highest level',0,1,1.5667,'T23414',2),(11539,'their clients','their clients',0,1,1.4333,'T624532',2),(11540,'their clients bringing','their clients bringing',0,1,1.7333,'T624532165252',2),(11541,'their projects','their projects',0,1,1.4667,'T616232',2),(11542,'their projects to','their projects to',0,1,1.5667,'T6162323',2),(11543,'to the highest','to the highest',0,1,1.4667,'T230',2),(11544,'very innovative','very innovative',0,1,1.5,'V65131',2),(11545,'very innovative style','very innovative style',0,1,1.7,'V65131234',2),(11546,'web designer','web designer',0,1,1.4,'W13256',2),(11547,'web designer since','web designer since',0,1,1.6,'W13256252',2),(11548,'with a very','with a very',0,1,1.3667,'W316',2),(11549,'won','won',0,0,0.2,'W500',2),(11550,'won the','won the',0,1,1.2333,'W530',2),(11551,'won the admiration','won the admiration',0,1,1.6,'W535635',2),(11552,'durand','durand',0,0,0.4,'D653',2),(11553,'robert durand','robert durand',0,1,1.4333,'R163653',2),(11554,'joomla template 2','joomla template 2',0,1,1.5667,'J5435143',2),(11555,'template 2','template 2',0,1,1.3333,'T5143',2),(11556,'creative webdesign','creative webdesign',0,1,1.6,'C631325',2),(11557,'creative webdesign joomla','creative webdesign joomla',0,1,1.8333,'C631325254',2),(11558,'webdesign','webdesign',0,0,0.6,'W1325',2),(11559,'webdesign joomla','webdesign joomla',0,1,1.5333,'W1325254',2),(11560,'webdesign joomla template','webdesign joomla template',0,1,1.8333,'W132525435143',2),(11561,'restaurant shop','restaurant shop',0,1,1.5,'R2365321',1),(11562,'restaurant shop joomla','restaurant shop joomla',0,1,1.7333,'R2365321254',1),(11563,'shop','shop',0,0,0.2667,'S100',1),(11564,'shop joomla','shop joomla',0,1,1.3667,'S1254',1),(11565,'shop joomla template','shop joomla template',0,1,1.6667,'S125435143',1),(11566,'restaurant joomla','restaurant joomla',0,1,1.5667,'R23653254',1),(11567,'restaurant joomla template','restaurant joomla template',0,1,1.8667,'R2365325435143',1),(11568,'penquinmail','penquinmail',0,0,0.7333,'P5254',3),(11569,'penquinmail joomla','penquinmail joomla',0,1,1.6,'P5254254',3),(11570,'penquinmail joomla template','penquinmail joomla template',0,1,1.9,'P525425435143',3),(11571,'a sample gkalarm','a sample gkalarm',0,1,1.5333,'A25142465',1),(11572,'a sample gkcomment','a sample gkcomment',0,1,1.6,'A2514253',1),(11573,'a sample gkinfo','a sample gkinfo',0,1,1.5,'A2514251',1),(11574,'a sample gklink','a sample gklink',0,1,1.5,'A25142452',1),(11575,'a sample gklocked','a sample gklocked',0,1,1.5667,'A25142423',1),(11576,'a sample gkmic','a sample gkmic',0,1,1.4667,'A2514252',1),(11577,'a sample gkpin','a sample gkpin',0,1,1.4667,'A2514215',1),(11578,'a sample gksettings','a sample gksettings',0,1,1.6333,'A25142352',1),(11579,'a sample gkunlocked','a sample gkunlocked',0,1,1.6333,'A251425423',1),(11580,'a sample gkvideo','a sample gkvideo',0,1,1.5333,'A2514213',1),(11581,'a sample gkvoice','a sample gkvoice',0,1,1.5333,'A2514212',1),(11582,'cite robert gavick','cite robert gavick',0,1,1.6,'C36163212',4),(11583,'class classictooltip','class classictooltip',0,1,1.6667,'C42423431',1),(11584,'class classictooltip this','class classictooltip this',0,1,1.8333,'C4242343132',1),(11585,'class demo-typo abbrs','class demo-typo abbrs',0,1,1.7,'C42353162',1),(11586,'class gkalarm','class gkalarm',0,1,1.4333,'C42465',24),(11587,'class gkalarm your','class gkalarm your',0,1,1.6,'C424656',1),(11588,'class gkblock-1 lorem','class gkblock-1 lorem',0,1,1.7,'C42142465',1),(11589,'class gkblocktextleft lorem','class gkblocktextleft lorem',0,1,1.9,'C42142323413465',1),(11590,'class gkcomment','class gkcomment',0,1,1.5,'C4253',24),(11591,'class gkcomment your','class gkcomment your',0,1,1.6667,'C42536',1),(11592,'class gkinfo','class gkinfo',0,1,1.4,'C4251',24),(11593,'class gkinfo your','class gkinfo your',0,1,1.5667,'C42516',1),(11594,'class gklink','class gklink',0,1,1.4,'C42452',24),(11595,'class gklink your','class gklink your',0,1,1.5667,'C424526',1),(11596,'class gklocked','class gklocked',0,1,1.4667,'C42423',24),(11597,'class gklocked your','class gklocked your',0,1,1.6333,'C424236',1),(11598,'class gkmic','class gkmic',0,1,1.3667,'C4252',24),(11599,'class gkmic your','class gkmic your',0,1,1.5333,'C42526',1),(11600,'class gkpin','class gkpin',0,1,1.3667,'C4215',24),(11601,'class gkpin your','class gkpin your',0,1,1.5333,'C42156',1),(11602,'class gksettings','class gksettings',0,1,1.5333,'C42352',24),(11603,'class gksettings your','class gksettings your',0,1,1.7,'C423526',1),(11604,'class gkunlocked','class gkunlocked',0,1,1.5333,'C425423',24),(11605,'class gkunlocked your','class gkunlocked your',0,1,1.7,'C4254236',1),(11606,'class gkvideo','class gkvideo',0,1,1.4333,'C4213',24),(11607,'class gkvideo your','class gkvideo your',0,1,1.6,'C42136',1),(11608,'class gkvoice','class gkvoice',0,1,1.4333,'C4212',24),(11609,'class gkvoice your','class gkvoice your',0,1,1.6,'C42126',1),(11610,'classictooltip','classictooltip',0,0,0.9333,'C423431',1),(11611,'classictooltip this','classictooltip this',0,1,1.6333,'C42343132',1),(11612,'classictooltip this is','classictooltip this is',0,1,1.7333,'C42343132',1),(11613,'demo-typo abbrs','demo-typo abbrs',0,1,1.5,'D53162',1),(11614,'demo-typo abbrs and','demo-typo abbrs and',0,1,1.6333,'D5316253',1),(11615,'gkalarm','gkalarm',0,0,0.4667,'G465',24),(11616,'gkalarm message','gkalarm message',0,1,1.5,'G4652',24),(11617,'gkalarm message use','gkalarm message use',0,1,1.6333,'G4652',24),(11618,'gkalarm your','gkalarm your',0,1,1.4,'G4656',1),(11619,'gkalarm your goes','gkalarm your goes',0,1,1.5667,'G46562',1),(11620,'gkblock-1 lorem','gkblock-1 lorem',0,1,1.5,'G142465',1),(11621,'gkblock-1 lorem ipsum','gkblock-1 lorem ipsum',0,1,1.7,'G142465125',1),(11622,'gkblocktextleft lorem','gkblocktextleft lorem',0,1,1.7,'G142323413465',1),(11623,'gkblocktextleft lorem ipsum','gkblocktextleft lorem ipsum',0,1,1.9,'G142323413465125',1),(11624,'gkcomment','gkcomment',0,0,0.6,'G530',24),(11625,'gkcomment message','gkcomment message',0,1,1.5667,'G5352',24),(11626,'gkcomment message use','gkcomment message use',0,1,1.7,'G5352',24),(11627,'gkcomment your','gkcomment your',0,1,1.4667,'G536',1),(11628,'gkcomment your goes','gkcomment your goes',0,1,1.6333,'G5362',1),(11629,'gkinfo','gkinfo',0,0,0.4,'G510',24),(11630,'gkinfo message','gkinfo message',0,1,1.4667,'G5152',24),(11631,'gkinfo message use','gkinfo message use',0,1,1.6,'G5152',24),(11632,'gkinfo your','gkinfo your',0,1,1.3667,'G516',1),(11633,'gkinfo your goes','gkinfo your goes',0,1,1.5333,'G5162',1),(11634,'gklink','gklink',0,0,0.4,'G452',24),(11635,'gklink message','gklink message',0,1,1.4667,'G45252',24),(11636,'gklink message use','gklink message use',0,1,1.6,'G45252',24),(11637,'gklink your','gklink your',0,1,1.3667,'G4526',1),(11638,'gklink your goes','gklink your goes',0,1,1.5333,'G45262',1),(11639,'gklocked','gklocked',0,0,0.5333,'G423',24),(11640,'gklocked message','gklocked message',0,1,1.5333,'G42352',24),(11641,'gklocked message use','gklocked message use',0,1,1.6667,'G42352',22),(11642,'gklocked your','gklocked your',0,1,1.4333,'G4236',1),(11643,'gklocked your goes','gklocked your goes',0,1,1.6,'G42362',1),(11644,'gkmic','gkmic',0,0,0.3333,'G520',24),(11645,'gkmic message','gkmic message',0,1,1.4333,'G5252',24),(11646,'gkmic message use','gkmic message use',0,1,1.5667,'G5252',24),(11647,'gkmic your','gkmic your',0,1,1.3333,'G526',1),(11648,'gkmic your goes','gkmic your goes',0,1,1.5,'G5262',1),(11649,'gkpin','gkpin',0,0,0.3333,'G150',24),(11650,'gkpin message','gkpin message',0,1,1.4333,'G152',24),(11651,'gkpin message use','gkpin message use',0,1,1.5667,'G152',24),(11652,'gkpin your','gkpin your',0,1,1.3333,'G156',1),(11653,'gkpin your goes','gkpin your goes',0,1,1.5,'G1562',1),(11654,'gksettings','gksettings',0,0,0.6667,'G352',24),(11655,'gksettings message','gksettings message',0,1,1.6,'G35252',24),(11656,'gksettings your','gksettings your',0,1,1.5,'G3526',1),(11657,'gksettings your goes','gksettings your goes',0,1,1.6667,'G35262',1),(11658,'gkunlocked','gkunlocked',0,0,0.6667,'G5423',24),(11659,'gkunlocked message','gkunlocked message',0,1,1.6,'G542352',24),(11660,'gkunlocked message use','gkunlocked message use',0,1,1.7333,'G542352',24),(11661,'gkunlocked your','gkunlocked your',0,1,1.5,'G54236',1),(11662,'gkunlocked your goes','gkunlocked your goes',0,1,1.6667,'G542362',1),(11663,'gkvideo','gkvideo',0,0,0.4667,'G130',24),(11664,'gkvideo message','gkvideo message',0,1,1.5,'G1352',24),(11665,'gkvideo message use','gkvideo message use',0,1,1.6333,'G1352',24),(11666,'gkvideo your','gkvideo your',0,1,1.4,'G136',1),(11667,'gkvideo your goes','gkvideo your goes',0,1,1.5667,'G1362',1),(11668,'gkvoice','gkvoice',0,0,0.4667,'G120',24),(11669,'gkvoice message','gkvoice message',0,1,1.5,'G1252',24),(11670,'gkvoice message use','gkvoice message use',0,1,1.6333,'G1252',24),(11671,'gkvoice your','gkvoice your',0,1,1.4,'G126',1),(11672,'gkvoice your goes','gkvoice your goes',0,1,1.5667,'G1262',1),(11673,'p class gkalarm','p class gkalarm',0,1,1.5,'P242465',24),(11674,'p class gkcomment','p class gkcomment',0,1,1.5667,'P24253',24),(11675,'p class gkinfo','p class gkinfo',0,1,1.4667,'P24251',24),(11676,'p class gklink','p class gklink',0,1,1.4667,'P242452',24),(11677,'p class gklocked','p class gklocked',0,1,1.5333,'P242423',24),(11678,'p class gkmic','p class gkmic',0,1,1.4333,'P24252',24),(11679,'p class gkpin','p class gkpin',0,1,1.4333,'P24215',24),(11680,'p class gksettings','p class gksettings',0,1,1.6,'P242352',6),(11681,'p class gkunlocked','p class gkunlocked',0,1,1.6,'P2425423',24),(11682,'p class gkvideo','p class gkvideo',0,1,1.5,'P24213',24),(11683,'p class gkvoice','p class gkvoice',0,1,1.5,'P24212',24),(11684,'robert gavick cite','robert gavick cite',0,1,1.6,'R1632123',4),(11685,'sample gkalarm','sample gkalarm',0,1,1.4667,'S5142465',1),(11686,'sample gkalarm message','sample gkalarm message',0,1,1.7333,'S51424652',1),(11687,'sample gkcomment','sample gkcomment',0,1,1.5333,'S514253',1),(11688,'sample gkcomment message','sample gkcomment message',0,1,1.8,'S51425352',1),(11689,'sample gkinfo','sample gkinfo',0,1,1.4333,'S514251',1),(11690,'sample gkinfo message','sample gkinfo message',0,1,1.7,'S51425152',1),(11691,'sample gklink','sample gklink',0,1,1.4333,'S5142452',1),(11692,'sample gklink message','sample gklink message',0,1,1.7,'S514245252',1),(11693,'sample gklocked','sample gklocked',0,1,1.5,'S5142423',1),(11694,'sample gklocked message','sample gklocked message',0,1,1.7667,'S514242352',1),(11695,'sample gkmic','sample gkmic',0,1,1.4,'S514252',1),(11696,'sample gkmic message','sample gkmic message',0,1,1.6667,'S51425252',1),(11697,'sample gkpin','sample gkpin',0,1,1.4,'S514215',1),(11698,'sample gkpin message','sample gkpin message',0,1,1.6667,'S5142152',1),(11699,'sample gksettings','sample gksettings',0,1,1.5667,'S5142352',1),(11700,'sample gksettings message','sample gksettings message',0,1,1.8333,'S514235252',1),(11701,'sample gkunlocked','sample gkunlocked',0,1,1.5667,'S51425423',1),(11702,'sample gkunlocked message','sample gkunlocked message',0,1,1.8333,'S5142542352',1),(11703,'sample gkvideo','sample gkvideo',0,1,1.4667,'S514213',1),(11704,'sample gkvideo message','sample gkvideo message',0,1,1.7333,'S51421352',1),(11705,'sample gkvoice','sample gkvoice',0,1,1.4667,'S514212',1),(11706,'sample gkvoice message','sample gkvoice message',0,1,1.7333,'S51421252',1),(11707,'class demo-typo code','class demo-typo code',0,1,1.6667,'C42353123',1),(11708,'class gkalarm txt','class gkalarm txt',0,1,1.5667,'C42465323',23),(11709,'class gkbook txt','class gkbook txt',0,1,1.5333,'C4212323',23),(11710,'class gkcomment txt','class gkcomment txt',0,1,1.6333,'C425323',23),(11711,'class gkfile1 txt','class gkfile1 txt',0,1,1.5667,'C4214323',23),(11712,'class gkfile2 txt','class gkfile2 txt',0,1,1.5667,'C4214323',23),(11713,'class gkinfo txt','class gkinfo txt',0,1,1.5333,'C4251323',23),(11714,'class gklink txt','class gklink txt',0,1,1.5333,'C42452323',23),(11715,'class gklocation txt','class gklocation txt',0,1,1.6667,'C424235323',23),(11716,'class gklocked txt','class gklocked txt',0,1,1.6,'C4242323',23),(11717,'class gkmic txt','class gkmic txt',0,1,1.5,'C4252323',23),(11718,'class gkpin txt','class gkpin txt',0,1,1.5,'C4215323',23),(11719,'class gksettings txt','class gksettings txt',0,1,1.6667,'C42352323',23),(11720,'class gkstats txt','class gkstats txt',0,1,1.5667,'C4232323',23),(11721,'class gkunlocked txt','class gkunlocked txt',0,1,1.6667,'C42542323',23),(11722,'class gkvideo txt','class gkvideo txt',0,1,1.5667,'C421323',23),(11723,'class gkvoice txt','class gkvoice txt',0,1,1.5667,'C4212323',23),(11724,'demo-typo code','demo-typo code',0,1,1.4667,'D53123',1),(11725,'demo-typo code wrapper','demo-typo code wrapper',0,1,1.7333,'D53123616',1),(11726,'gkalarm txt','gkalarm txt',0,1,1.3667,'G465323',23),(11727,'gkalarm txt p','gkalarm txt p',0,1,1.4333,'G4653231',23),(11728,'gkbook txt','gkbook txt',0,1,1.3333,'G12323',23),(11729,'gkbook txt p','gkbook txt p',0,1,1.4,'G123231',23),(11730,'gkcomment txt','gkcomment txt',0,1,1.4333,'G5323',23),(11731,'gkcomment txt p','gkcomment txt p',0,1,1.5,'G53231',23),(11732,'gkfile1 txt','gkfile1 txt',0,1,1.3667,'G14323',23),(11733,'gkfile1 txt p','gkfile1 txt p',0,1,1.4333,'G143231',23),(11734,'gkfile2 txt','gkfile2 txt',0,1,1.3667,'G14323',23),(11735,'gkfile2 txt p','gkfile2 txt p',0,1,1.4333,'G143231',23),(11736,'gkinfo txt','gkinfo txt',0,1,1.3333,'G51323',23),(11737,'gkinfo txt p','gkinfo txt p',0,1,1.4,'G513231',23),(11738,'gklink txt','gklink txt',0,1,1.3333,'G452323',23),(11739,'gklink txt p','gklink txt p',0,1,1.4,'G4523231',23),(11740,'gklocation txt','gklocation txt',0,1,1.4667,'G4235323',23),(11741,'gklocation txt p','gklocation txt p',0,1,1.5333,'G42353231',23),(11742,'gklocked message gkvoice','gklocked message gkvoice',0,1,1.8,'G4235212',2),(11743,'gklocked txt','gklocked txt',0,1,1.4,'G42323',23),(11744,'gklocked txt p','gklocked txt p',0,1,1.4667,'G423231',23),(11745,'gkmic txt','gkmic txt',0,1,1.3,'G52323',23),(11746,'gkmic txt p','gkmic txt p',0,1,1.3667,'G523231',23),(11747,'gkpin txt','gkpin txt',0,1,1.3,'G15323',23),(11748,'gkpin txt p','gkpin txt p',0,1,1.3667,'G153231',23),(11749,'gksettings message use','gksettings message use',0,1,1.7333,'G35252',23),(11750,'gksettings txt','gksettings txt',0,1,1.4667,'G352323',23),(11751,'gksettings txt p','gksettings txt p',0,1,1.5333,'G3523231',23),(11752,'gkstats txt','gkstats txt',0,1,1.3667,'G32323',23),(11753,'gkstats txt p','gkstats txt p',0,1,1.4333,'G323231',23),(11754,'gkunlocked txt','gkunlocked txt',0,1,1.4667,'G542323',23),(11755,'gkunlocked txt p','gkunlocked txt p',0,1,1.5333,'G5423231',23),(11756,'gkvideo txt','gkvideo txt',0,1,1.3667,'G1323',23),(11757,'gkvideo txt p','gkvideo txt p',0,1,1.4333,'G13231',23),(11758,'gkvoice txt','gkvoice txt',0,1,1.3667,'G12323',23),(11759,'gkvoice txt p','gkvoice txt p',0,1,1.4333,'G123231',23),(11760,'here p gkcomment','here p gkcomment',0,1,1.5333,'H61253',1),(11761,'here p tag','here p tag',0,1,1.3333,'H6132',1),(11762,'icon set gklink','icon set gklink',0,1,1.5,'I25232452',23),(11763,'message gkvoice','message gkvoice',0,1,1.5,'M212',2),(11764,'message gkvoice message','message gkvoice message',0,1,1.7667,'M21252',2),(11765,'p book','p book',0,1,1.2,'P200',23),(11766,'p book message','p book message',0,1,1.4667,'P252',23),(11767,'p file1','p file1',0,1,1.2333,'P400',23),(11768,'p file1 message','p file1 message',0,1,1.5,'P452',23),(11769,'p gkalarm','p gkalarm',0,1,1.3,'P2465',23),(11770,'p gkalarm message','p gkalarm message',0,1,1.5667,'P24652',23),(11771,'p gkcomment','p gkcomment',0,1,1.3667,'P253',23),(11772,'p gkcomment message','p gkcomment message',0,1,1.6333,'P25352',23),(11773,'p gkinfo','p gkinfo',0,1,1.2667,'P251',23),(11774,'p gkinfo message','p gkinfo message',0,1,1.5333,'P25152',23),(11775,'p gklocked','p gklocked',0,1,1.3333,'P2423',23),(11776,'p gklocked message','p gklocked message',0,1,1.6,'P242352',23),(11777,'p gkmic','p gkmic',0,1,1.2333,'P252',19),(11778,'p gkmic message','p gkmic message',0,1,1.5,'P25252',19),(11779,'p gkpin','p gkpin',0,1,1.2333,'P215',23),(11780,'p gkpin message','p gkpin message',0,1,1.5,'P2152',23),(11781,'p gksettings','p gksettings',0,1,1.4,'P2352',23),(11782,'p gksettings message','p gksettings message',0,1,1.6667,'P235252',23),(11783,'p gkunlocked','p gkunlocked',0,1,1.4,'P25423',23),(11784,'p gkunlocked message','p gkunlocked message',0,1,1.6667,'P2542352',23),(11785,'p gkvideo','p gkvideo',0,1,1.3,'P213',23),(11786,'p gkvideo message','p gkvideo message',0,1,1.5667,'P21352',23),(11787,'p kfile2','p kfile2',0,1,1.2667,'P214',23),(11788,'p kfile2 message','p kfile2 message',0,1,1.5333,'P21452',23),(11789,'p location','p location',0,1,1.3333,'P4235',23),(11790,'p location message','p location message',0,1,1.6,'P42352',23),(11791,'p map','p map',0,1,1.1667,'P510',23),(11792,'p map message','p map message',0,1,1.4333,'P5152',23),(11793,'p stats','p stats',0,1,1.2333,'P232',23),(11794,'p stats message','p stats message',0,1,1.5,'P23252',23),(11795,'p tag','p tag',0,1,1.1667,'P320',23),(11796,'p tag message','p tag message',0,1,1.4333,'P3252',23),(11797,'p use','p use',0,1,1.1667,'P200',2),(11798,'p use p','p use p',0,1,1.2333,'P210',2),(11799,'set gklink','set gklink',0,1,1.3333,'S32452',23),(11800,'set gklink message','set gklink message',0,1,1.6,'S3245252',23),(11801,'txt','txt',0,0,0.2,'T230',23),(11802,'txt p','txt p',0,1,1.1667,'T231',23),(11803,'txt p book','txt p book',0,1,1.3333,'T2312',23),(11804,'txt p file1','txt p file1',0,1,1.3667,'T2314',23),(11805,'txt p gkalarm','txt p gkalarm',0,1,1.4333,'T2312465',23),(11806,'txt p gkinfo','txt p gkinfo',0,1,1.4,'T231251',23),(11807,'txt p gklocked','txt p gklocked',0,1,1.4667,'T2312423',23),(11808,'txt p gkmic','txt p gkmic',0,1,1.3667,'T231252',19),(11809,'txt p gkpin','txt p gkpin',0,1,1.3667,'T231215',23),(11810,'txt p gksettings','txt p gksettings',0,1,1.5333,'T2312352',23),(11811,'txt p gkunlocked','txt p gkunlocked',0,1,1.5333,'T23125423',23),(11812,'txt p gkvideo','txt p gkvideo',0,1,1.4333,'T231213',23),(11813,'txt p kfile2','txt p kfile2',0,1,1.4,'T231214',23),(11814,'txt p location','txt p location',0,1,1.4667,'T2314235',23),(11815,'txt p map','txt p map',0,1,1.3,'T23151',23),(11816,'txt p stats','txt p stats',0,1,1.3667,'T231232',23),(11817,'txt p tooltips','txt p tooltips',0,1,1.4667,'T23134312',14),(11818,'txt p use','txt p use',0,1,1.3,'T2312',2),(11819,'class gkmap txt','class gkmap txt',0,1,1.5,'C4251323',22),(11820,'class gktag txt','class gktag txt',0,1,1.5,'C4232323',22),(11821,'class gktooltip','class gktooltip',0,1,1.5,'C423431',1),(11822,'class gktooltip href','class gktooltip href',0,1,1.6667,'C42343161',1),(11823,'gkmap txt','gkmap txt',0,1,1.3,'G51323',22),(11824,'gkmap txt p','gkmap txt p',0,1,1.3667,'G513231',22),(11825,'gktag txt','gktag txt',0,1,1.3,'G32323',22),(11826,'gktag txt p','gktag txt p',0,1,1.3667,'G323231',22),(11827,'gktooltip','gktooltip',0,0,0.6,'G3431',1),(11828,'gktooltip href','gktooltip href',0,1,1.4667,'G343161',1),(11829,'gktooltip href critical','gktooltip href critical',0,1,1.7667,'G34316126324',1),(11830,'href critical','href critical',0,1,1.4333,'H6126324',13),(11831,'href critical critical','href critical critical',0,1,1.7333,'H612632426324',13),(11832,'txt p gkcomment','txt p gkcomment',0,1,1.5,'T231253',22),(11833,'txt p tag','txt p tag',0,1,1.3,'T23132',22),(11834,'p gkvoice','p gkvoice',0,1,1.3,'P212',20),(11835,'p gkvoice message','p gkvoice message',0,1,1.5667,'P21252',20),(11836,'txt p gkvoice','txt p gkvoice',0,1,1.4333,'T231212',20),(11837,'call','call',0,0,0.2667,'C400',32),(11838,'call of','call of',0,1,1.2333,'C410',17),(11839,'call of duty','call of duty',0,1,1.4,'C413',17),(11840,'call off','call off',0,1,1.2667,'C410',10),(11841,'call off duty','call off duty',0,1,1.4333,'C413',10),(11842,'duty','duty',0,0,0.2667,'D000',17),(11843,'duty 3','duty 3',0,1,1.2,'D000',10),(11844,'of duty','of duty',0,1,1.2333,'O130',17),(11845,'of duty 3','of duty 3',0,1,1.3,'O130',10),(11846,'off','off',0,0,0.2,'O100',197),(11847,'off duty','off duty',0,1,1.2667,'O130',10),(11848,'off duty 3','off duty 3',0,1,1.3333,'O130',10),(11849,'blacklist','blacklist',0,0,0.6,'B42423',9),(11850,'cell','cell',0,0,0.2667,'C400',9),(11851,'cell blacklist','cell blacklist',0,1,1.4667,'C4142423',9),(11852,'splinter','splinter',0,0,0.5333,'S14536',9),(11853,'splinter cell','splinter cell',0,1,1.4333,'S1453624',9),(11854,'splinter cell blacklist','splinter cell blacklist',0,1,1.7667,'S1453624142423',9),(11855,'a close-up','a close-up',0,1,1.3333,'A2421',5),(11856,'a close-up of','a close-up of',0,1,1.4333,'A2421',5),(11857,'a new screenshot','a new screenshot',0,1,1.5333,'A526523',5),(11858,'about to','about to',0,1,1.2667,'A130',5),(11859,'about to infiltrate','about to infiltrate',0,1,1.6333,'A13514363',5),(11860,'and showcases','and showcases',0,1,1.4333,'A532',5),(11861,'and showcases the','and showcases the',0,1,1.5667,'A5323',5),(11862,'as he\'s','as he',0,1,1.2333,'A200',5),(11863,'as he\'s about','as he about',0,1,1.4333,'A213',5),(11864,'back which','back which',0,1,1.3333,'B200',5),(11865,'back which indicates','back which indicates',0,1,1.6667,'B253232',5),(11866,'blacklist this','blacklist this',0,1,1.4667,'B424232',5),(11867,'blacklist this shot','blacklist this shot',0,1,1.6333,'B4242323',5),(11868,'cell blacklist this','cell blacklist this',0,1,1.6333,'C41424232',5),(11869,'close-up','close-up',0,0,0.5333,'C421',5),(11870,'close-up of','close-up of',0,1,1.3667,'C421',5),(11871,'close-up of sam','close-up of sam',0,1,1.5,'C42125',5),(11872,'details','details',0,0,0.4667,'D420',17),(11873,'details on','details on',0,1,1.3333,'D425',5),(11874,'details on his','details on his',0,1,1.4667,'D4252',5),(11875,'fisher','fisher',0,0,0.4,'F260',5),(11876,'fisher as','fisher as',0,1,1.3,'F262',5),(11877,'fisher as he\'s','fisher as he',0,1,1.4667,'F262',5),(11878,'for splinter','for splinter',0,1,1.4,'F6214536',5),(11879,'for splinter cell','for splinter cell',0,1,1.5667,'F621453624',5),(11880,'green','green',0,0,0.3333,'G650',12),(11881,'green light','green light',0,1,1.3667,'G65423',5),(11882,'green light on','green light on',0,1,1.4667,'G654235',5),(11883,'has released','has released',0,1,1.4,'H26423',7),(11884,'has released a','has released a',0,1,1.4667,'H26423',5),(11885,'he\'s','he',0,0,0.2667,'H200',27),(11886,'he\'s about','he about',0,1,1.3333,'H213',5),(11887,'he\'s about to','he about to',0,1,1.4333,'H213',5),(11888,'hide-out','hide-out',0,0,0.5333,'H300',5),(11889,'hide-out and','hide-out and',0,1,1.4,'H353',5),(11890,'hide-out and showcases','hide-out and showcases',0,1,1.7333,'H3532',5),(11891,'his back','his back',0,1,1.2667,'H212',5),(11892,'his back which','his back which',0,1,1.4667,'H212',5),(11893,'his op','his op',0,1,1.2,'H210',5),(11894,'his op suit','his op suit',0,1,1.3667,'H2123',5),(11895,'including','including',0,0,0.6,'I524352',5),(11896,'including the','including the',0,1,1.4333,'I5243523',5),(11897,'including the green','including the green',0,1,1.6333,'I5243523265',5),(11898,'indicates','indicates',0,0,0.6,'I53232',5),(11899,'infiltrate','infiltrate',0,0,0.6667,'I514363',5),(11900,'infiltrate jadid\'s','infiltrate jadid',0,1,1.6,'I514363232',5),(11901,'infiltrate jadid\'s hide-out','infiltrate jadid hide-out',0,1,1.9,'I5143632323',5),(11902,'intricate','intricate',0,0,0.6,'I53623',5),(11903,'intricate details','intricate details',0,1,1.5667,'I5362342',5),(11904,'intricate details on','intricate details on',0,1,1.6667,'I53623425',5),(11905,'is a close-up','is a close-up',0,1,1.4333,'I2421',5),(11906,'jadid\'s','jadid',0,0,0.4667,'J320',5),(11907,'jadid\'s hide-out','jadid hide-out',0,1,1.5333,'J323',5),(11908,'jadid\'s hide-out and','jadid hide-out and',0,1,1.6667,'J32353',5),(11909,'light on','light on',0,1,1.2667,'L235',7),(11910,'light on his','light on his',0,1,1.4,'L2352',5),(11911,'new screenshot','new screenshot',0,1,1.4667,'N26523',5),(11912,'new screenshot for','new screenshot for',0,1,1.6,'N2652316',5),(11913,'of sam','of sam',0,1,1.2,'O125',5),(11914,'of sam fisher','of sam fisher',0,1,1.4333,'O125126',5),(11915,'on his','on his',0,1,1.2,'O520',5),(11916,'on his back','on his back',0,1,1.3667,'O5212',5),(11917,'on his op','on his op',0,1,1.3,'O521',5),(11918,'op','op',0,0,0.1333,'O100',5),(11919,'op suit','op suit',0,1,1.2333,'O123',5),(11920,'op suit including','op suit including',0,1,1.5667,'O123524352',5),(11921,'released','released',0,0,0.5333,'R423',192),(11922,'released a','released a',0,1,1.3333,'R423',9),(11923,'released a new','released a new',0,1,1.4667,'R4235',9),(11924,'sam','sam',0,0,0.2,'S500',5),(11925,'sam fisher','sam fisher',0,1,1.3333,'S5126',5),(11926,'sam fisher as','sam fisher as',0,1,1.4333,'S51262',5),(11927,'screenshot','screenshot',0,0,0.6667,'S6523',5),(11928,'screenshot for','screenshot for',0,1,1.4667,'S652316',5),(11929,'screenshot for splinter','screenshot for splinter',0,1,1.7667,'S652316214536',5),(11930,'shot','shot',0,0,0.2667,'S300',12),(11931,'shot is','shot is',0,1,1.2333,'S320',5),(11932,'shot is a','shot is a',0,1,1.3,'S320',5),(11933,'showcases','showcases',0,0,0.6,'S000',5),(11934,'showcases the','showcases the',0,1,1.4333,'S300',5),(11935,'showcases the intricate','showcases the intricate',0,1,1.7667,'S353623',5),(11936,'suit including','suit including',0,1,1.4667,'S3524352',5),(11937,'suit including the','suit including the',0,1,1.6,'S35243523',5),(11938,'the green','the green',0,1,1.3,'T265',5),(11939,'the green light','the green light',0,1,1.5,'T265423',5),(11940,'the intricate','the intricate',0,1,1.4333,'T53623',5),(11941,'the intricate details','the intricate details',0,1,1.7,'T5362342',5),(11942,'this shot','this shot',0,1,1.3,'T230',5),(11943,'this shot is','this shot is',0,1,1.4,'T232',5),(11944,'to infiltrate','to infiltrate',0,1,1.4333,'T514363',5),(11945,'to infiltrate jadid\'s','to infiltrate jadid',0,1,1.7,'T514363232',5),(11946,'ubisoft','ubisoft',0,0,0.4667,'U1213',12),(11947,'ubisoft has','ubisoft has',0,1,1.3667,'U12132',7),(11948,'ubisoft has released','ubisoft has released',0,1,1.6667,'U121326423',7),(11949,'which indicates','which indicates',0,1,1.5,'W253232',5),(11950,'3 liberation','3 liberation',0,1,1.4,'L1635',3),(11951,'assassin\'s','assassin',0,0,0.6667,'A252',3),(11952,'assassin\'s creed','assassin creed',0,1,1.5333,'A25263',3),(11953,'assassin\'s creed 3','assassin creed 3',0,1,1.6,'A25263',3),(11954,'assassins','assassins',0,0,0.6,'A252',3),(11955,'assassins creed','assassins creed',0,1,1.5,'A25263',3),(11956,'assassins creed 3','assassins creed 3',0,1,1.5667,'A25263',3),(11957,'creed','creed',0,0,0.3333,'C630',3),(11958,'creed 3','creed 3',0,1,1.2333,'C630',3),(11959,'creed 3 liberation','creed 3 liberation',0,1,1.6,'C6341635',3),(11960,'liberation','liberation',0,0,0.6667,'L1635',3),(11961,'3 in','3 in',0,1,1.1333,'I500',2),(11962,'3 in which','3 in which',0,1,1.3333,'I520',2),(11963,'behind','behind',0,0,0.4,'B530',7),(11964,'behind the','behind the',0,1,1.3333,'B530',2),(11965,'behind the scenes','behind the scenes',0,1,1.5667,'B53252',2),(11966,'creed 3 in','creed 3 in',0,1,1.3333,'C635',2),(11967,'development team','development team',0,1,1.5333,'D141535',6),(11968,'development team sheds','development team sheds',0,1,1.7333,'D141535232',2),(11969,'first behind','first behind',0,1,1.4,'F623153',2),(11970,'first behind the','first behind the',0,1,1.5333,'F623153',2),(11971,'for assassin\'s','for assassin',0,1,1.4667,'F6252',2),(11972,'for assassin\'s creed','for assassin creed',0,1,1.6667,'F625263',2),(11973,'franchise vestibulum','franchise vestibulum',0,1,1.6667,'F652123145',2),(11974,'franchise vestibulum at','franchise vestibulum at',0,1,1.7667,'F6521231453',2),(11975,'has released the','has released the',0,1,1.5333,'H26423',2),(11976,'in which the','in which the',0,1,1.4,'I523',2),(11977,'it takes','it takes',0,1,1.2667,'I320',2),(11978,'it takes to','it takes to',0,1,1.3667,'I323',2),(11979,'known','known',0,0,0.3333,'K500',4),(11980,'known franchise','known franchise',0,1,1.5,'K51652',2),(11981,'known franchise vestibulum','known franchise vestibulum',0,1,1.8667,'K51652123145',2),(11982,'light on what','light on what',0,1,1.4333,'L2353',2),(11983,'on what','on what',0,1,1.2333,'O530',3),(11984,'on what it','on what it',0,1,1.3333,'O530',2),(11985,'redesign','redesign',0,0,0.5333,'R325',2),(11986,'redesign this','redesign this',0,1,1.4333,'R32532',2),(11987,'redesign this well','redesign this well',0,1,1.6,'R325324',2),(11988,'released the','released the',0,1,1.4,'R423',2),(11989,'released the first','released the first',0,1,1.6,'R4231623',2),(11990,'scenes','scenes',0,0,0.4,'S520',2),(11991,'scenes video','scenes video',0,1,1.4,'S5213',2),(11992,'scenes video for','scenes video for',0,1,1.5333,'S521316',2),(11993,'sheds','sheds',0,0,0.3333,'S320',2),(11994,'sheds some','sheds some',0,1,1.3333,'S325',2),(11995,'sheds some light','sheds some light',0,1,1.5333,'S325423',2),(11996,'some light','some light',0,1,1.3333,'S5423',2),(11997,'some light on','some light on',0,1,1.4333,'S54235',2),(11998,'takes','takes',0,0,0.3333,'T200',9),(11999,'takes to','takes to',0,1,1.2667,'T230',2),(12000,'takes to redesign','takes to redesign',0,1,1.5667,'T236325',2),(12001,'team','team',0,0,0.2667,'T500',11),(12002,'team sheds','team sheds',0,1,1.3333,'T5232',2),(12003,'team sheds some','team sheds some',0,1,1.5,'T52325',2),(12004,'the development','the development',0,1,1.5,'T14153',2),(12005,'the development team','the development team',0,1,1.6667,'T141535',2),(12006,'the first behind','the first behind',0,1,1.5333,'T1623153',2),(12007,'the scenes','the scenes',0,1,1.3333,'T252',2),(12008,'the scenes video','the scenes video',0,1,1.5333,'T25213',2),(12009,'this well','this well',0,1,1.3,'T240',2),(12010,'this well known','this well known',0,1,1.5,'T2425',2),(12011,'to redesign','to redesign',0,1,1.3667,'T6325',2),(12012,'to redesign this','to redesign this',0,1,1.5333,'T632532',2),(12013,'video','video',0,0,0.3333,'V300',216),(12014,'video for','video for',0,1,1.3,'V316',185),(12015,'video for assassin\'s','video for assassin',0,1,1.6667,'V316252',2),(12016,'well','well',0,0,0.2667,'W400',11),(12017,'well known','well known',0,1,1.3333,'W425',2),(12018,'well known franchise','well known franchise',0,1,1.6667,'W4251652',2),(12019,'what it','what it',0,1,1.2333,'W300',2),(12020,'what it takes','what it takes',0,1,1.4333,'W320',2),(12021,'which the','which the',0,1,1.3,'W230',2),(12022,'which the development','which the development',0,1,1.7,'W2314153',2),(12023,'honour','honour',0,0,0.4,'H560',3),(12024,'honour warfighter','honour warfighter',0,1,1.5667,'H561236',3),(12025,'medal','medal',0,0,0.3333,'M340',3),(12026,'medal of','medal of',0,1,1.2667,'M341',3),(12027,'medal of honour','medal of honour',0,1,1.5,'M34156',3),(12028,'of honour','of honour',0,1,1.3,'O156',3),(12029,'of honour warfighter','of honour warfighter',0,1,1.6667,'O1561236',3),(12030,'warfighter','warfighter',0,0,0.6667,'W61236',3),(12031,'3-exclusive','3-exclusive',0,0,0.7333,'E2421',8),(12032,'3-exclusive title','3-exclusive title',0,1,1.5667,'E242134',8),(12033,'3-exclusive title by','3-exclusive title by',0,1,1.6667,'E2421341',8),(12034,'a playstation','a playstation',0,1,1.4333,'A14235',8),(12035,'a playstation 3-exclusive','a playstation 3-exclusive',0,1,1.8333,'A142352421',8),(12036,'abandoned','abandoned',0,0,0.6,'A15353',8),(12037,'abandoned cities','abandoned cities',0,1,1.5333,'A15353232',8),(12038,'abandoned cities reclaimed','abandoned cities reclaimed',0,1,1.8667,'A1535323262453',8),(12039,'an apocalypse','an apocalypse',0,1,1.4333,'A512412',8),(12040,'an apocalypse on','an apocalypse on',0,1,1.5333,'A5124125',8),(12041,'apocalypse','apocalypse',0,0,0.6667,'A12412',8),(12042,'apocalypse on','apocalypse on',0,1,1.4333,'A124125',8),(12043,'apocalypse on earth','apocalypse on earth',0,1,1.6333,'A12412563',8),(12044,'by nature','by nature',0,1,1.3,'B536',19),(12045,'by nature morbi','by nature morbi',0,1,1.5,'B536561',8),(12046,'by naughty','by naughty',0,1,1.3333,'B523',8),(12047,'by naughty dog','by naughty dog',0,1,1.4667,'B5232',8),(12048,'cities','cities',0,0,0.4,'C320',8),(12049,'cities reclaimed','cities reclaimed',0,1,1.5333,'C3262453',8),(12050,'cities reclaimed by','cities reclaimed by',0,1,1.6333,'C32624531',8),(12051,'dog','dog',0,0,0.2,'D200',8),(12052,'dog here','dog here',0,1,1.2667,'D260',8),(12053,'dog here you','dog here you',0,1,1.4,'D260',8),(12054,'earth','earth',0,0,0.3333,'E630',8),(12055,'earth in','earth in',0,1,1.2667,'E635',8),(12056,'earth in the','earth in the',0,1,1.4,'E6353',8),(12057,'find','find',0,0,0.2667,'F530',26),(12058,'find abandoned','find abandoned',0,1,1.4667,'F5315353',8),(12059,'find abandoned cities','find abandoned cities',0,1,1.7,'F5315353232',8),(12060,'here you','here you',0,1,1.2667,'H600',8),(12061,'here you will','here you will',0,1,1.4333,'H640',8),(12062,'in the last','in the last',0,1,1.3667,'I53423',8),(12063,'last of','last of',0,1,1.2333,'L231',8),(12064,'last of us','last of us',0,1,1.3333,'L2312',8),(12065,'nature morbi','nature morbi',0,1,1.4,'N36561',8),(12066,'nature morbi leo','nature morbi leo',0,1,1.5333,'N365614',8),(12067,'naughty','naughty',0,0,0.4667,'N230',8),(12068,'naughty dog','naughty dog',0,1,1.3667,'N232',8),(12069,'naughty dog here','naughty dog here',0,1,1.5333,'N2326',8),(12070,'of us','of us',0,1,1.1667,'O120',8),(12071,'of us a','of us a',0,1,1.2333,'O120',8),(12072,'on earth','on earth',0,1,1.2667,'O563',8),(12073,'on earth in','on earth in',0,1,1.3667,'O5635',8),(12074,'playstation','playstation',0,0,0.7333,'P4235',8),(12075,'playstation 3-exclusive','playstation 3-exclusive',0,1,1.7667,'P42352421',8),(12076,'playstation 3-exclusive title','playstation 3-exclusive title',0,1,1.9667,'P4235242134',8),(12077,'reclaimed','reclaimed',0,0,0.6,'R2453',8),(12078,'reclaimed by','reclaimed by',0,1,1.4,'R24531',8),(12079,'reclaimed by nature','reclaimed by nature',0,1,1.6333,'R24531536',8),(12080,'survive','survive',0,0,0.4667,'S610',8),(12081,'survive an','survive an',0,1,1.3333,'S615',8),(12082,'survive an apocalypse','survive an apocalypse',0,1,1.7,'S61512412',8),(12083,'the last of','the last of',0,1,1.3667,'T4231',8),(12084,'title by','title by',0,1,1.2667,'T410',8),(12085,'title by naughty','title by naughty',0,1,1.5333,'T41523',8),(12086,'us a','us a',0,1,1.1333,'U200',10),(12087,'us a playstation','us a playstation',0,1,1.5333,'U214235',8),(12088,'will find','will find',0,1,1.3,'W4153',8),(12089,'will find abandoned','will find abandoned',0,1,1.6333,'W415315353',8),(12090,'you will find','you will find',0,1,1.4333,'Y4153',8),(12091,'a zombie','a zombie',0,1,1.2667,'A251',13),(12092,'a zombie survival','a zombie survival',0,1,1.5667,'A2512614',13),(12093,'been','been',0,0,0.2667,'B500',209),(12094,'been dayz','been dayz',0,1,1.3,'B532',13),(12095,'been dayz a','been dayz a',0,1,1.3667,'B532',13),(12096,'can keep','can keep',0,1,1.2667,'C521',13),(12097,'can keep your','can keep your',0,1,1.4333,'C5216',13),(12098,'dayz','dayz',0,0,0.2667,'D200',13),(12099,'dayz a','dayz a',0,1,1.2,'D200',13),(12100,'dayz a zombie','dayz a zombie',0,1,1.4333,'D251',13),(12101,'diablos','diablos',0,0,0.4667,'D142',13),(12102,'diablos the','diablos the',0,1,1.3667,'D1423',13),(12103,'diablos the most','diablos the most',0,1,1.5333,'D1423523',13),(12104,'easily','easily',0,0,0.4,'E240',16),(12105,'easily been','easily been',0,1,1.3667,'E2415',13),(12106,'easily been dayz','easily been dayz',0,1,1.5333,'E241532',13),(12107,'gaming this','gaming this',0,1,1.3667,'G5232',13),(12108,'gaming this year','gaming this year',0,1,1.5333,'G52326',13),(12109,'happen to','happen to',0,1,1.3,'H153',13),(12110,'happen to pc','happen to pc',0,1,1.4,'H15312',13),(12111,'has easily','has easily',0,1,1.3333,'H240',13),(12112,'has easily been','has easily been',0,1,1.5,'H2415',13),(12113,'interesting thing','interesting thing',0,1,1.5667,'I5362352352',13),(12114,'interesting thing to','interesting thing to',0,1,1.6667,'I53623523523',13),(12115,'keep','keep',0,0,0.2667,'K100',13),(12116,'keep your','keep your',0,1,1.3,'K160',13),(12117,'keep your diablos','keep your diablos',0,1,1.5667,'K163142',13),(12118,'mod','mod',0,0,0.2,'M300',13),(12119,'mod morbi','mod morbi',0,1,1.3,'M3561',13),(12120,'mod morbi leo','mod morbi leo',0,1,1.4333,'M35614',13),(12121,'most interesting thing','most interesting thing',0,1,1.7333,'M235362352352',13),(12122,'pc','pc',0,0,0.1333,'P200',21),(12123,'pc gaming','pc gaming',0,1,1.3,'P252',13),(12124,'pc gaming this','pc gaming this',0,1,1.4667,'P25232',13),(12125,'survival','survival',0,0,0.5333,'S614',13),(12126,'survival mod','survival mod',0,1,1.4,'S61453',13),(12127,'survival mod morbi','survival mod morbi',0,1,1.6,'S61453561',13),(12128,'thing','thing',0,0,0.3333,'T520',17),(12129,'thing to','thing to',0,1,1.2667,'T523',13),(12130,'thing to happen','thing to happen',0,1,1.5,'T52315',13),(12131,'this year','this year',0,1,1.3,'T260',13),(12132,'this year has','this year has',0,1,1.4333,'T262',13),(12133,'to happen','to happen',0,1,1.3,'T150',13),(12134,'to happen to','to happen to',0,1,1.4,'T153',13),(12135,'to pc','to pc',0,1,1.1667,'T120',13),(12136,'to pc gaming','to pc gaming',0,1,1.4,'T1252',13),(12137,'year','year',0,0,0.2667,'Y600',17),(12138,'year has','year has',0,1,1.2667,'Y620',13),(12139,'year has easily','year has easily',0,1,1.5,'Y624',13),(12140,'you can keep','you can keep',0,1,1.4,'Y2521',13),(12141,'your diablos','your diablos',0,1,1.4,'Y63142',13),(12142,'your diablos the','your diablos the',0,1,1.5333,'Y631423',13),(12143,'zombie','zombie',0,0,0.4,'Z510',13),(12144,'zombie survival','zombie survival',0,1,1.5,'Z512614',13),(12145,'zombie survival mod','zombie survival mod',0,1,1.6333,'Z51261453',13),(12146,'dayz standalone','dayz standalone',0,1,1.5,'D235345',3),(12147,'dayz standalone version','dayz standalone version',0,1,1.7667,'D2353451625',3),(12148,'expect','expect',0,0,0.4,'E2123',6),(12149,'standalone','standalone',0,0,0.6667,'S35345',3),(12150,'standalone version','standalone version',0,1,1.6,'S353451625',3),(12151,'standalone version what','standalone version what',0,1,1.7667,'S3534516253',3),(12152,'to expect','to expect',0,1,1.3,'T2123',3),(12153,'version','version',0,0,0.4667,'V625',3),(12154,'version what','version what',0,1,1.4,'V6253',3),(12155,'version what to','version what to',0,1,1.5,'V6253',3),(12156,'what to','what to',0,1,1.2333,'W300',3),(12157,'what to expect','what to expect',0,1,1.4667,'W32123',3),(12158,'of us survivors','of us survivors',0,1,1.5,'O126162',4),(12159,'survivors','survivors',0,0,0.6,'S6162',4),(12160,'us survivors','us survivors',0,1,1.4,'U26162',4),(12161,'2 revealed','2 revealed',0,1,1.3333,'R143',4),(12162,'black ops','black ops',0,1,1.3,'B4212',7),(12163,'black ops 2','black ops 2',0,1,1.3667,'B4212',7),(12164,'duty black','duty black',0,1,1.3333,'D142',7),(12165,'duty black ops','duty black ops',0,1,1.4667,'D14212',7),(12166,'of duty black','of duty black',0,1,1.4333,'O13142',7),(12167,'ops','ops',0,0,0.2,'O120',15),(12168,'ops 2','ops 2',0,1,1.1667,'O120',7),(12169,'ops 2 revealed','ops 2 revealed',0,1,1.4667,'O126143',4),(12170,'revealed','revealed',0,0,0.5333,'R143',4),(12171,'2 appeared','2 appeared',0,1,1.3333,'A163',6),(12172,'2 appeared amazon','2 appeared amazon',0,1,1.5667,'A163525',6),(12173,'2 surfaced','2 surfaced',0,1,1.3333,'S6123',6),(12174,'2 surfaced following','2 surfaced following',0,1,1.6667,'S61231452',6),(12175,'a product','a product',0,1,1.3,'A16323',6),(12176,'a product page','a product page',0,1,1.4667,'A1632312',6),(12177,'amazon','amazon',0,0,0.4,'A525',6),(12178,'amazon france','amazon france',0,1,1.4333,'A5251652',6),(12179,'amazon france before','amazon france before',0,1,1.6667,'A525165216',6),(12180,'appeared','appeared',0,0,0.5333,'A163',6),(12181,'appeared amazon','appeared amazon',0,1,1.5,'A163525',6),(12182,'appeared amazon france','appeared amazon france',0,1,1.7333,'A1635251652',6),(12183,'before quickly','before quickly',0,1,1.4667,'B624',17),(12184,'before quickly being','before quickly being',0,1,1.6667,'B624152',17),(12185,'being','being',0,0,0.3333,'B520',21),(12186,'being taken','being taken',0,1,1.3667,'B52325',17),(12187,'being taken down','being taken down',0,1,1.5333,'B5232535',17),(12188,'down in','down in',0,1,1.2333,'D500',17),(12189,'down in february','down in february',0,1,1.5333,'D516',17),(12190,'february','february',0,0,0.5333,'F600',17),(12191,'february maecenas','february maecenas',0,1,1.5667,'F65252',17),(12192,'february maecenas faucibus','february maecenas faucibus',0,1,1.8667,'F652521212',17),(12193,'following a','following a',0,1,1.3667,'F452',6),(12194,'following a product','following a product',0,1,1.6333,'F45216323',6),(12195,'for call','for call',0,1,1.2667,'F624',6),(12196,'for call of','for call of',0,1,1.3667,'F6241',6),(12197,'france','france',0,0,0.4,'F652',6),(12198,'france before','france before',0,1,1.4333,'F65216',6),(12199,'france before quickly','france before quickly',0,1,1.7,'F6521624',6),(12200,'in february','in february',0,1,1.3667,'I516',17),(12201,'in february maecenas','in february maecenas',0,1,1.6667,'I5165252',17),(12202,'of black','of black',0,1,1.2667,'O142',11),(12203,'of black ops','of black ops',0,1,1.4,'O14212',6),(12204,'ops 2 appeared','ops 2 appeared',0,1,1.4667,'O12163',6),(12205,'ops 2 surfaced','ops 2 surfaced',0,1,1.4667,'O126123',6),(12206,'page for','page for',0,1,1.2667,'P216',6),(12207,'page for call','page for call',0,1,1.4333,'P21624',6),(12208,'product','product',0,0,0.4667,'P6323',63),(12209,'product page','product page',0,1,1.4,'P632312',6),(12210,'product page for','product page for',0,1,1.5333,'P63231216',6),(12211,'quickly','quickly',0,0,0.4667,'Q400',20),(12212,'quickly being','quickly being',0,1,1.4333,'Q4152',17),(12213,'quickly being taken','quickly being taken',0,1,1.6333,'Q4152325',17),(12214,'reports','reports',0,0,0.4667,'R1632',6),(12215,'reports of','reports of',0,1,1.3333,'R16321',6),(12216,'reports of black','reports of black',0,1,1.5333,'R1632142',6),(12217,'surfaced','surfaced',0,0,0.5333,'S6123',6),(12218,'surfaced following','surfaced following',0,1,1.6,'S61231452',6),(12219,'surfaced following a','surfaced following a',0,1,1.6667,'S61231452',6),(12220,'taken','taken',0,0,0.3333,'T250',202),(12221,'taken down','taken down',0,1,1.3333,'T2535',17),(12222,'taken down in','taken down in',0,1,1.4333,'T2535',17),(12223,'2 and','2 and',0,1,1.1667,'A530',4),(12224,'2 and we\'ve','2 and we',0,1,1.3667,'A531',4),(12225,'2 “come','2 “come',0,1,1.2333,'“250',4),(12226,'2 “come and','2 “come and',0,1,1.3667,'“253',1),(12227,'2k','2k',0,0,0.1333,'K000',4),(12228,'2k games','2k games',0,1,1.2667,'K520',4),(12229,'2k games and','2k games and',0,1,1.4,'K5253',4),(12230,'a new trailer','a new trailer',0,1,1.4333,'A53646',4),(12231,'admit','admit',0,0,0.3333,'A353',4),(12232,'admit that','admit that',0,1,1.3333,'A353',4),(12233,'admit that gearbox','admit that gearbox',0,1,1.6,'A3532612',4),(12234,'and gearbox','and gearbox',0,1,1.3667,'A532612',4),(12235,'and gearbox have','and gearbox have',0,1,1.5333,'A5326121',4),(12236,'and get','and get',0,1,1.2333,'A5323',1),(12237,'and get me”','and get me”',0,1,1.3667,'A53235',1),(12238,'and we\'ve','and we',0,1,1.3,'A531',4),(12239,'and we\'ve got','and we got',0,1,1.4333,'A53123',4),(12240,'borderlands','borderlands',0,0,0.7333,'B6364532',4),(12241,'borderlands 2','borderlands 2',0,1,1.4333,'B6364532',4),(12242,'borderlands 2 and','borderlands 2 and',0,1,1.5667,'B636453253',4),(12243,'borderlands 2 “come','borderlands 2 “come',0,1,1.6333,'B63645325',4),(12244,'create hilarious','create hilarious',0,1,1.5333,'C63462',4),(12245,'create hilarious trailers','create hilarious trailers',0,1,1.8333,'C6346236462',4),(12246,'for borderlands','for borderlands',0,1,1.5,'F616364532',4),(12247,'for borderlands 2','for borderlands 2',0,1,1.5667,'F616364532',4),(12248,'games and','games and',0,1,1.3,'G5253',4),(12249,'games and gearbox','games and gearbox',0,1,1.5667,'G52532612',4),(12250,'gearbox','gearbox',0,0,0.4667,'G612',4),(12251,'gearbox have','gearbox have',0,1,1.4,'G6121',4),(12252,'gearbox have released','gearbox have released',0,1,1.7,'G61216423',4),(12253,'gearbox knows','gearbox knows',0,1,1.4333,'G61252',4),(12254,'gearbox knows how','gearbox knows how',0,1,1.5667,'G61252',4),(12255,'get me”','get me”',0,1,1.2333,'G350',4),(12256,'got','got',0,0,0.2,'G300',4),(12257,'got to','got to',0,1,1.2,'G300',4),(12258,'got to admit','got to admit',0,1,1.4,'G353',4),(12259,'have released','have released',0,1,1.4333,'H16423',4),(12260,'have released a','have released a',0,1,1.5,'H16423',4),(12261,'hilarious','hilarious',0,0,0.6,'H462',4),(12262,'hilarious trailers','hilarious trailers',0,1,1.6,'H46236462',4),(12263,'hilarious trailers etiam','hilarious trailers etiam',0,1,1.8,'H4623646235',4),(12264,'how to','how to',0,1,1.2,'H300',33),(12265,'how to create','how to create',0,1,1.4333,'H3263',4),(12266,'knows','knows',0,0,0.3333,'K520',4),(12267,'knows how','knows how',0,1,1.3,'K520',4),(12268,'knows how to','knows how to',0,1,1.4,'K523',4),(12269,'me”','me”',0,0,0.2,'M000',4),(12270,'new trailer','new trailer',0,1,1.3667,'N3646',4),(12271,'new trailer for','new trailer for',0,1,1.5,'N364616',4),(12272,'that gearbox','that gearbox',0,1,1.4,'T2612',4),(12273,'that gearbox knows','that gearbox knows',0,1,1.6,'T261252',4),(12274,'to admit','to admit',0,1,1.2667,'T530',4),(12275,'to admit that','to admit that',0,1,1.4333,'T530',4),(12276,'to create hilarious','to create hilarious',0,1,1.6333,'T263462',4),(12277,'trailer','trailer',0,0,0.4667,'T646',12),(12278,'trailer for','trailer for',0,1,1.3667,'T64616',4),(12279,'trailer for borderlands','trailer for borderlands',0,1,1.7667,'T6461616364532',4),(12280,'trailers','trailers',0,0,0.5333,'T6462',4),(12281,'trailers etiam','trailers etiam',0,1,1.4667,'T646235',4),(12282,'trailers etiam porta','trailers etiam porta',0,1,1.6667,'T646235163',4),(12283,'we\'ve','we',0,0,0.3333,'W100',4),(12284,'we\'ve got','we got',0,1,1.3,'W123',4),(12285,'we\'ve got to','we got to',0,1,1.4,'W123',4),(12286,'“come','“come',0,0,0.3333,'“250',4),(12287,'“come and','“come and',0,1,1.3,'“253',1),(12288,'“come and get','“come and get',0,1,1.4333,'“25323',1),(12289,'3 the','3 the',0,1,1.1667,'T000',2),(12290,'3 the master','3 the master',0,1,1.4,'T5236',2),(12291,'4 forward','4 forward',0,1,1.3,'F630',2),(12292,'4 forward unto','4 forward unto',0,1,1.4667,'F6353',2),(12293,'4 takes','4 takes',0,1,1.2333,'T200',2),(12294,'4 takes place','4 takes place',0,1,1.4333,'T2142',2),(12295,'after the','after the',0,1,1.3,'A1363',7),(12296,'after the events','after the events',0,1,1.5333,'A13631532',7),(12297,'ancient','ancient',0,0,0.4667,'A5253',2),(12298,'ancient evil','ancient evil',0,1,1.4,'A525314',2),(12299,'ancient evil that','ancient evil that',0,1,1.5667,'A5253143',2),(12300,'chief','chief',0,0,0.3333,'C100',2),(12301,'chief returns','chief returns',0,1,1.4333,'C163652',2),(12302,'chief returns to','chief returns to',0,1,1.5333,'C1636523',2),(12303,'dawn','dawn',0,0,0.2667,'D500',2),(12304,'defeat','defeat',0,0,0.4,'D130',2),(12305,'defeat the','defeat the',0,1,1.3333,'D130',2),(12306,'defeat the ancient','defeat the ancient',0,1,1.6,'D135253',2),(12307,'destiny','destiny',0,0,0.4667,'D235',2),(12308,'destiny he','destiny he',0,1,1.3333,'D235',2),(12309,'destiny he must','destiny he must',0,1,1.5,'D23523',2),(12310,'events','events',0,0,0.4,'E1532',52),(12311,'events of','events of',0,1,1.3,'E15321',2),(12312,'events of halo','events of halo',0,1,1.4667,'E153214',2),(12313,'evil','evil',0,0,0.2667,'E140',10),(12314,'evil that','evil that',0,1,1.3,'E143',2),(12315,'evil that maecenas','evil that maecenas',0,1,1.6,'E1435252',2),(12316,'five years','five years',0,1,1.3333,'F620',2),(12317,'five years after','five years after',0,1,1.5333,'F62136',2),(12318,'forward','forward',0,0,0.4667,'F630',2),(12319,'forward unto','forward unto',0,1,1.4,'F6353',2),(12320,'forward unto dawn','forward unto dawn',0,1,1.5667,'F63535',2),(12321,'fulfill','fulfill',0,0,0.4667,'F414',2),(12322,'fulfill his','fulfill his',0,1,1.3667,'F4142',2),(12323,'fulfill his destiny','fulfill his destiny',0,1,1.6333,'F41423235',2),(12324,'halo','halo',0,0,0.2667,'H400',2),(12325,'halo 3','halo 3',0,1,1.2,'H400',2),(12326,'halo 3 the','halo 3 the',0,1,1.3333,'H430',2),(12327,'halo 4','halo 4',0,1,1.2,'H400',2),(12328,'halo 4 forward','halo 4 forward',0,1,1.4667,'H4163',2),(12329,'halo 4 takes','halo 4 takes',0,1,1.4,'H432',2),(12330,'he','he',0,0,0.1333,'H000',12),(12331,'he must','he must',0,1,1.2333,'H523',2),(12332,'he must defeat','he must defeat',0,1,1.4667,'H52313',2),(12333,'his destiny','his destiny',0,1,1.3667,'H23235',2),(12334,'his destiny he','his destiny he',0,1,1.4667,'H23235',2),(12335,'master','master',0,0,0.4,'M236',2),(12336,'master chief','master chief',0,1,1.4,'M23621',2),(12337,'master chief returns','master chief returns',0,1,1.6667,'M2362163652',2),(12338,'must','must',0,0,0.2667,'M230',3),(12339,'must defeat','must defeat',0,1,1.3667,'M2313',2),(12340,'must defeat the','must defeat the',0,1,1.5,'M2313',2),(12341,'of halo','of halo',0,1,1.2333,'O140',2),(12342,'of halo 3','of halo 3',0,1,1.3,'O140',2),(12343,'of halo 4','of halo 4',0,1,1.3,'O140',2),(12344,'place','place',0,0,0.3333,'P420',6),(12345,'place roughly','place roughly',0,1,1.4333,'P42624',2),(12346,'place roughly five','place roughly five',0,1,1.6,'P426241',2),(12347,'returns','returns',0,0,0.4667,'R3652',11),(12348,'returns to','returns to',0,1,1.3333,'R36523',6),(12349,'returns to fulfill','returns to fulfill',0,1,1.6,'R365231414',2),(12350,'roughly','roughly',0,0,0.4667,'R240',2),(12351,'roughly five','roughly five',0,1,1.4,'R241',2),(12352,'roughly five years','roughly five years',0,1,1.6,'R24162',2),(12353,'story','story',0,0,0.3333,'S360',6),(12354,'story of','story of',0,1,1.2667,'S361',2),(12355,'story of halo','story of halo',0,1,1.4333,'S3614',2),(12356,'takes place','takes place',0,1,1.3667,'T2142',2),(12357,'takes place roughly','takes place roughly',0,1,1.6333,'T2142624',2),(12358,'that maecenas','that maecenas',0,1,1.4333,'T5252',2),(12359,'that maecenas faucibus','that maecenas faucibus',0,1,1.7333,'T52521212',2),(12360,'the ancient','the ancient',0,1,1.3667,'T5253',2),(12361,'the ancient evil','the ancient evil',0,1,1.5333,'T525314',2),(12362,'the events','the events',0,1,1.3333,'T1532',7),(12363,'the events of','the events of',0,1,1.4333,'T15321',2),(12364,'the master','the master',0,1,1.3333,'T5236',2),(12365,'the master chief','the master chief',0,1,1.5333,'T523621',2),(12366,'the story','the story',0,1,1.3,'T236',6),(12367,'the story of','the story of',0,1,1.4,'T2361',2),(12368,'to fulfill','to fulfill',0,1,1.3333,'T1414',2),(12369,'to fulfill his','to fulfill his',0,1,1.4667,'T14142',2),(12370,'unto','unto',0,0,0.2667,'U530',2),(12371,'unto dawn','unto dawn',0,1,1.3,'U535',2),(12372,'years after','years after',0,1,1.3667,'Y62136',7),(12373,'years after the','years after the',0,1,1.5,'Y621363',7),(12374,'148','148',0,0,0.3,'',15),(12375,'comics','comics',0,0,0.4,'C520',14),(12376,'copy of game','copy of game',0,1,1.4,'C125',10),(12377,'of game','of game',0,1,1.2333,'O125',10),(12378,'of game magazine','of game magazine',0,1,1.5333,'O12525',10),(12396,'clank trilogy review','clank trilogy review',0,1,1.6667,'C452364261',2),(12397,'development team at','development team at',0,1,1.6333,'D1415353',4),(12398,'fans','fans',0,0,0.2667,'F520',185),(12399,'fans with','fans with',0,1,1.3,'F523',4),(12400,'fans with the','fans with the',0,1,1.4333,'F523',4),(12401,'games reunites','games reunites',0,1,1.4667,'G526532',4),(12402,'games reunites fans','games reunites fans',0,1,1.6333,'G526532152',4),(12403,'insomniac','insomniac',0,0,0.6,'I5252',4),(12404,'insomniac games','insomniac games',0,1,1.5,'I525252',4),(12405,'insomniac games reunites','insomniac games reunites',0,1,1.8,'I5252526532',4),(12406,'multimillion','multimillion',0,0,0.8,'M43545',4),(12407,'multimillion unit','multimillion unit',0,1,1.5667,'M435453',4),(12408,'multimillion unit selling','multimillion unit selling',0,1,1.8333,'M4354532452',4),(12409,'of the multimillion','of the multimillion',0,1,1.6333,'O13543545',4),(12410,'ratchet','ratchet',0,0,0.4667,'R323',12),(12411,'ratchet clank','ratchet clank',0,1,1.4333,'R3232452',12),(12412,'ratchet clank trilogy','ratchet clank trilogy',0,1,1.7,'R32324523642',2),(12413,'ratchet morbi','ratchet morbi',0,1,1.4333,'R323561',4),(12414,'ratchet morbi leo','ratchet morbi leo',0,1,1.5667,'R3235614',4),(12415,'reunites','reunites',0,0,0.5333,'R532',4),(12416,'reunites fans','reunites fans',0,1,1.4333,'R532152',4),(12417,'reunites fans with','reunites fans with',0,1,1.6,'R5321523',4),(12418,'review','review',0,0,0.4,'R100',3),(12419,'selling','selling',0,0,0.4667,'S452',4),(12420,'selling ratchet','selling ratchet',0,1,1.5,'S4526323',4),(12421,'selling ratchet morbi','selling ratchet morbi',0,1,1.7,'S4526323561',4),(12422,'team at','team at',0,1,1.2333,'T530',4),(12423,'team at insomniac','team at insomniac',0,1,1.5667,'T535252',4),(12424,'the award-winning','the award-winning',0,1,1.5667,'T6352',4),(12425,'the award-winning development','the award-winning development',0,1,1.9667,'T6352314153',4),(12426,'the multimillion','the multimillion',0,1,1.5333,'T543545',4),(12427,'the multimillion unit','the multimillion unit',0,1,1.7,'T5435453',4),(12428,'the ratchet','the ratchet',0,1,1.3667,'T6323',2),(12429,'the ratchet clank','the ratchet clank',0,1,1.5667,'T63232452',2),(12430,'the wonder','the wonder',0,1,1.3333,'T536',4),(12431,'the wonder and','the wonder and',0,1,1.4667,'T53653',4),(12432,'trilogy','trilogy',0,0,0.4667,'T642',2),(12433,'trilogy review','trilogy review',0,1,1.4667,'T64261',2),(12434,'unit','unit',0,0,0.2667,'U530',4),(12435,'unit selling','unit selling',0,1,1.4,'U532452',4),(12436,'unit selling ratchet','unit selling ratchet',0,1,1.6667,'U5324526323',4),(12437,'with the wonder','with the wonder',0,1,1.5,'W3536',4),(12438,'wonder','wonder',0,0,0.4,'W536',4),(12439,'wonder and','wonder and',0,1,1.3333,'W53653',4),(12440,'wonder and adventure','wonder and adventure',0,1,1.6667,'W536531536',4),(12441,'a crack','a crack',0,1,1.2333,'A262',10),(12442,'a crack in','a crack in',0,1,1.3333,'A2625',10),(12443,'clank a','clank a',0,1,1.2333,'C452',10),(12444,'clank a crack','clank a crack',0,1,1.4333,'C45262',10),(12445,'crack','crack',0,0,0.3333,'C620',10),(12446,'crack in','crack in',0,1,1.2667,'C625',10),(12447,'crack in time','crack in time',0,1,1.4333,'C62535',10),(12448,'in time','in time',0,1,1.2333,'I535',10),(12449,'ratchet clank a','ratchet clank a',0,1,1.5,'R3232452',10),(12450,'142','142',0,0,0.3,'',18),(12451,'copy of black','copy of black',0,1,1.4333,'C142',5),(12452,'of black white','of black white',0,1,1.4667,'O1423',5),(12453,'role-play','role-play',0,0,0.6,'R414',19),(12454,'141','141',0,0,0.3,'',18),(12455,'140','140',0,0,0.3,'',19),(12456,'139','139',0,0,0.3,'',2),(12457,'138','138',0,0,0.3,'',2),(12458,'a weapon','a weapon',0,1,1.2667,'A150',5),(12459,'a weapon in','a weapon in',0,1,1.3667,'A150',5),(12460,'as a weapon','as a weapon',0,1,1.3667,'A215',5),(12461,'connection','connection',0,0,0.6667,'C5235',9),(12462,'connection is','connection is',0,1,1.4333,'C52352',9),(12463,'connection is power','connection is power',0,1,1.6333,'C5235216',9),(12464,'data gets','data gets',0,1,1.3,'D232',5),(12465,'data gets used','data gets used',0,1,1.4667,'D2323',5),(12466,'dogs','dogs',0,0,0.2667,'D200',9),(12467,'dogs every','dogs every',0,1,1.3333,'D216',9),(12468,'dogs every connection','dogs every connection',0,1,1.7,'D21625235',9),(12469,'epic','epic',0,0,0.2667,'E120',10),(12470,'epic maecenas','epic maecenas',0,1,1.4333,'E125252',5),(12471,'epic maecenas sed','epic maecenas sed',0,1,1.5667,'E1252523',5),(12472,'every connection','every connection',0,1,1.5333,'E1625235',9),(12473,'every connection is','every connection is',0,1,1.6333,'E16252352',9),(12474,'gets','gets',0,0,0.2667,'G320',5),(12475,'gets used','gets used',0,1,1.3,'G323',5),(12476,'gets used as','gets used as',0,1,1.4,'G3232',5),(12477,'hacker','hacker',0,0,0.4,'H260',5),(12478,'hacker epic','hacker epic',0,1,1.3667,'H2612',5),(12479,'hacker epic maecenas','hacker epic maecenas',0,1,1.6667,'H26125252',5),(12480,'how our','how our',0,1,1.2333,'H600',5),(12481,'how our data','how our data',0,1,1.4,'H630',5),(12482,'in ubisoft\'s','in ubisoft',0,1,1.4,'I512132',5),(12483,'in ubisoft\'s new','in ubisoft new',0,1,1.5333,'I5121325',5),(12484,'is power','is power',0,1,1.2667,'I216',9),(12485,'new hacker','new hacker',0,1,1.3333,'N260',5),(12486,'new hacker epic','new hacker epic',0,1,1.5,'N2612',5),(12487,'our data','our data',0,1,1.2667,'O630',5),(12488,'our data gets','our data gets',0,1,1.4333,'O63232',5),(12489,'power','power',0,0,0.3333,'P600',20),(12490,'ubisoft\'s','ubisoft',0,0,0.6,'U12132',10),(12491,'ubisoft\'s new','ubisoft new',0,1,1.4333,'U121325',5),(12492,'ubisoft\'s new hacker','ubisoft new hacker',0,1,1.6667,'U12132526',5),(12493,'used as a','used as a',0,1,1.3,'U232',5),(12494,'watch','watch',0,0,0.3333,'W320',16),(12495,'watch dogs','watch dogs',0,1,1.3333,'W3232',9),(12496,'watch dogs every','watch dogs every',0,1,1.5333,'W323216',9),(12497,'watch how','watch how',0,1,1.3,'W320',5),(12498,'watch how our','watch how our',0,1,1.4333,'W326',5),(12499,'weapon','weapon',0,0,0.4,'W150',5),(12500,'weapon in','weapon in',0,1,1.3,'W150',5),(12501,'weapon in ubisoft\'s','weapon in ubisoft',0,1,1.6333,'W1512132',5),(12502,'6 all','6 all',0,1,1.1667,'A400',4),(12503,'6 all that','6 all that',0,1,1.3333,'A430',4),(12504,'all that','all that',0,1,1.2667,'A430',4),(12505,'all that you','all that you',0,1,1.4,'A430',4),(12506,'evil 6','evil 6',0,1,1.2,'E140',4),(12507,'evil 6 all','evil 6 all',0,1,1.3333,'E140',4),(12508,'resident','resident',0,0,0.5333,'R2353',4),(12509,'resident evil','resident evil',0,1,1.4333,'R235314',4),(12510,'resident evil 6','resident evil 6',0,1,1.5,'R235314',4),(12511,'should know','should know',0,1,1.3667,'S4325',4),(12512,'that you should','that you should',0,1,1.5,'T243',4),(12513,'you should know','you should know',0,1,1.5,'Y24325',4),(12514,'1 million','1 million',0,1,1.3,'M450',1),(12515,'1 million before','1 million before',0,1,1.5333,'M4516',1),(12516,'1 million gamers','1 million gamers',0,1,1.5333,'M452562',1),(12517,'2 launched','2 launched',0,1,1.3333,'L523',1),(12518,'2 launched today','2 launched today',0,1,1.5333,'L523',1),(12519,'2 sells','2 sells',0,1,1.2333,'S420',1),(12520,'2 sells 1','2 sells 1',0,1,1.3,'S420',1),(12521,'already','already',0,0,0.4667,'A463',8),(12522,'already racked','already racked',0,1,1.4667,'A463623',1),(12523,'already racked up','already racked up',0,1,1.5667,'A4636231',1),(12524,'and it','and it',0,1,1.2,'A530',2),(12525,'and it has','and it has',0,1,1.3333,'A532',1),(12526,'announced','announced',0,0,0.6,'A523',4),(12527,'announced that','announced that',0,1,1.4667,'A523',4),(12528,'announced that more','announced that more',0,1,1.6333,'A52356',1),(12529,'arenanet\'s','arenanet',0,0,0.6667,'A6532',1),(12530,'arenanet\'s guild','arenanet guild',0,1,1.5333,'A653243',1),(12531,'arenanet\'s guild wars','arenanet guild wars',0,1,1.7,'A65324362',1),(12532,'before launch','before launch',0,1,1.4333,'B6452',1),(12533,'for the massively','for the massively',0,1,1.5667,'F635214',1),(12534,'full prior','full prior',0,1,1.3333,'F416',1),(12535,'full prior to','full prior to',0,1,1.4333,'F4163',1),(12536,'game in','game in',0,1,1.2333,'G500',1),(12537,'game in full','game in full',0,1,1.4,'G514',1),(12538,'gamers','gamers',0,0,0.4,'G562',1),(12539,'gamers paid','gamers paid',0,1,1.3667,'G56213',1),(12540,'gamers paid for','gamers paid for',0,1,1.5,'G5621316',1),(12541,'guild','guild',0,0,0.3333,'G430',1),(12542,'guild wars','guild wars',0,1,1.3333,'G4362',1),(12543,'guild wars 2','guild wars 2',0,1,1.4,'G4362',1),(12544,'has already','has already',0,1,1.3667,'H2463',1),(12545,'has already racked','has already racked',0,1,1.6,'H2463623',1),(12546,'impressive','impressive',0,0,0.6667,'I51621',1),(12547,'impressive sales','impressive sales',0,1,1.5333,'I51621242',1),(12548,'impressive sales publisher','impressive sales publisher',0,1,1.8667,'I516212421426',1),(12549,'in full','in full',0,1,1.2333,'I514',1),(12550,'in full prior','in full prior',0,1,1.4333,'I51416',1),(12551,'it has','it has',0,1,1.2,'I320',1),(12552,'it has already','it has already',0,1,1.4667,'I32463',1),(12553,'its','its',0,0,0.2,'I320',28),(12554,'its release','its release',0,1,1.3667,'I32642',1),(12555,'launch','launch',0,0,0.4,'L520',6),(12556,'launched','launched',0,0,0.5333,'L523',1),(12557,'launched today','launched today',0,1,1.4667,'L523',1),(12558,'launched today and','launched today and',0,1,1.6,'L52353',1),(12559,'massively','massively',0,0,0.6,'M214',1),(12560,'massively multiplayer','massively multiplayer',0,1,1.7,'M214543146',1),(12561,'massively multiplayer online','massively multiplayer online',0,1,1.9333,'M214543146545',1),(12562,'million','million',0,0,0.4667,'M450',4),(12563,'million before','million before',0,1,1.4667,'M4516',1),(12564,'million before launch','million before launch',0,1,1.7,'M4516452',1),(12565,'million gamers','million gamers',0,1,1.4667,'M452562',1),(12566,'million gamers paid','million gamers paid',0,1,1.6333,'M45256213',1),(12567,'more than','more than',0,1,1.3,'M635',4),(12568,'more than 1','more than 1',0,1,1.3667,'M635',1),(12569,'multiplayer','multiplayer',0,0,0.7333,'M43146',2),(12570,'multiplayer online','multiplayer online',0,1,1.6,'M43146545',1),(12571,'multiplayer online role-playing','multiplayer online role-playing',0,1,2,'M43146545641452',1),(12572,'ncsoft','ncsoft',0,0,0.4,'N213',1),(12573,'ncsoft today','ncsoft today',0,1,1.4,'N213',1),(12574,'ncsoft today announced','ncsoft today announced',0,1,1.7333,'N213523',1),(12575,'online role-playing','online role-playing',0,1,1.6333,'O545641452',1),(12576,'online role-playing game','online role-playing game',0,1,1.8,'O5456414525',1),(12577,'paid','paid',0,0,0.2667,'P300',1),(12578,'paid for','paid for',0,1,1.2667,'P316',1),(12579,'paid for the','paid for the',0,1,1.4,'P3163',1),(12580,'prior','prior',0,0,0.3333,'P600',1),(12581,'prior to','prior to',0,1,1.2667,'P630',1),(12582,'prior to its','prior to its',0,1,1.4,'P632',1),(12583,'publisher','publisher',0,0,0.6,'P426',1),(12584,'publisher ncsoft','publisher ncsoft',0,1,1.5333,'P4265213',1),(12585,'publisher ncsoft today','publisher ncsoft today',0,1,1.7333,'P4265213',1),(12586,'racked','racked',0,0,0.4,'R230',1),(12587,'racked up','racked up',0,1,1.3,'R231',1),(12588,'racked up some','racked up some',0,1,1.4667,'R23125',1),(12589,'release','release',0,0,0.4667,'R420',5),(12590,'role-playing','role-playing',0,0,0.8,'R41452',1),(12591,'role-playing game','role-playing game',0,1,1.5667,'R414525',1),(12592,'role-playing game in','role-playing game in',0,1,1.6667,'R414525',1),(12593,'sales','sales',0,0,0.3333,'S420',1),(12594,'sales publisher','sales publisher',0,1,1.5,'S421426',1),(12595,'sales publisher ncsoft','sales publisher ncsoft',0,1,1.7333,'S4214265213',1),(12596,'sells','sells',0,0,0.3333,'S420',1),(12597,'sells 1','sells 1',0,1,1.2333,'S420',1),(12598,'sells 1 million','sells 1 million',0,1,1.5,'S42545',1),(12599,'some impressive','some impressive',0,1,1.5,'S51621',1),(12600,'some impressive sales','some impressive sales',0,1,1.7,'S51621242',1),(12601,'than','than',0,0,0.2667,'T500',24),(12602,'than 1','than 1',0,1,1.2,'T500',1),(12603,'than 1 million','than 1 million',0,1,1.4667,'T545',1),(12604,'that more','that more',0,1,1.3,'T560',1),(12605,'that more than','that more than',0,1,1.4667,'T5635',1),(12606,'the massively','the massively',0,1,1.4333,'T5214',1),(12607,'the massively multiplayer','the massively multiplayer',0,1,1.8333,'T5214543146',1),(12608,'to its','to its',0,1,1.2,'T200',1),(12609,'to its release','to its release',0,1,1.4667,'T2642',1),(12610,'today and','today and',0,1,1.3,'T530',1),(12611,'today and it','today and it',0,1,1.4,'T530',1),(12612,'today announced','today announced',0,1,1.5,'T523',1),(12613,'today announced that','today announced that',0,1,1.6667,'T523',1),(12614,'up some','up some',0,1,1.2333,'U125',1),(12615,'up some impressive','up some impressive',0,1,1.6,'U1251621',1),(12616,'wars','wars',0,0,0.2667,'W620',1),(12617,'wars 2','wars 2',0,1,1.2,'W620',1),(12618,'wars 2 launched','wars 2 launched',0,1,1.5,'W624523',1),(12619,'wars 2 sells','wars 2 sells',0,1,1.4,'W6242',1),(12620,'137','137',0,0,0.3,'',23),(12621,'aventure','aventure',0,0,0.5333,'A1536',13),(12622,'copy of league','copy of league',0,1,1.4667,'C142',4),(12623,'of league','of league',0,1,1.3,'O142',4),(12624,'of league news','of league news',0,1,1.4667,'O14252',4),(12625,'136','136',0,0,0.3,'',18),(12626,'135','135',0,0,0.3,'',15),(12627,'134','134',0,0,0.3,'',14),(13991,'categorie','categorie',0,0,0.6,'C326',156),(12629,'chainsaw','chainsaw',0,0,0.5333,'C520',5),(12630,'chainsaw katana','chainsaw katana',0,1,1.5,'C5235',5),(12631,'chainsaw katana wielding','chainsaw katana wielding',0,1,1.8,'C52354352',5),(12632,'chainsaw katana-wielding','chainsaw katana-wielding',0,1,1.8,'C52354352',5),(12633,'chainsaw katana-wielding cyborg','chainsaw katana-wielding cyborg',0,1,2,'C52354352162',5),(12634,'cyborg','cyborg',0,0,0.4,'C162',5),(12635,'katana','katana',0,0,0.4,'K350',5),(12636,'katana wielding','katana wielding',0,1,1.5,'K354352',5),(12637,'katana wielding cyborg','katana wielding cyborg',0,1,1.7333,'K354352162',5),(12638,'katana-wielding','katana-wielding',0,0,1,'K354352',5),(12639,'katana-wielding cyborg','katana-wielding cyborg',0,1,1.7333,'K354352162',5),(12640,'lollipop','lollipop',0,0,0.5333,'L100',5),(12641,'lollipop chainsaw','lollipop chainsaw',0,1,1.5667,'L1252',5),(12642,'lollipop chainsaw katana','lollipop chainsaw katana',0,1,1.8,'L125235',5),(12643,'lollipop chainsaw katana-wielding','lollipop chainsaw katana-wielding',0,1,2,'L1252354352',5),(12644,'wielding','wielding',0,0,0.5333,'W4352',5),(12645,'wielding cyborg','wielding cyborg',0,1,1.5,'W4352162',5),(12646,'action game','action game',0,1,1.3667,'A23525',3),(12647,'action game records','action game records',0,1,1.6333,'A2352562632',3),(12648,'company','company',0,0,0.4667,'C515',12),(12649,'company killer','company killer',0,1,1.4667,'C515246',3),(12650,'company killer is','company killer is',0,1,1.5667,'C5152462',3),(12651,'cyborg maecenas','cyborg maecenas',0,1,1.5,'C1625252',3),(12652,'cyborg maecenas sed','cyborg maecenas sed',0,1,1.6333,'C16252523',3),(12653,'dead','dead',0,0,0.2667,'D000',21),(12654,'dead trailer','dead trailer',0,1,1.4,'D646',3),(12655,'dead trailer shows','dead trailer shows',0,1,1.6,'D6462',3),(12656,'ever','ever',0,0,0.2667,'E160',205),(12657,'ever for','ever for',0,1,1.2667,'E1616',3),(12658,'ever for company','ever for company',0,1,1.5333,'E16162515',3),(12659,'for company','for company',0,1,1.3667,'F62515',3),(12660,'for company killer','for company killer',0,1,1.6,'F62515246',3),(12661,'game records','game records',0,1,1.4,'G562632',3),(12662,'game records highest','game records highest',0,1,1.6667,'G5626323',3),(12663,'grasshopper','grasshopper',0,0,0.7333,'G6216',3),(12664,'grasshopper manufacture\'s','grasshopper manufacture',0,1,1.8333,'G6216512362',3),(12665,'grasshopper manufacture\'s action','grasshopper manufacture action',0,1,2,'G621651236235',3),(12666,'highest shipment','highest shipment',0,1,1.5333,'H232153',3),(12667,'highest shipment tally','highest shipment tally',0,1,1.7333,'H2321534',3),(12668,'is dead','is dead',0,1,1.2333,'I230',3),(12669,'is dead trailer','is dead trailer',0,1,1.5,'I23646',3),(12670,'katana-wielding cyborg maecenas','katana-wielding cyborg maecenas',0,1,2,'K3543521625252',3),(12671,'killer','killer',0,0,0.4,'K460',3),(12672,'killer is','killer is',0,1,1.3,'K462',3),(12673,'killer is dead','killer is dead',0,1,1.4667,'K4623',3),(12674,'manufacture\'s','manufacture',0,0,0.8667,'M12362',3),(12675,'manufacture\'s action','manufacture action',0,1,1.6667,'M1236235',3),(12676,'manufacture\'s action game','manufacture action game',0,1,1.8333,'M123623525',3),(12677,'records','records',0,0,0.4667,'R2632',16),(12678,'records highest','records highest',0,1,1.5,'R26323',3),(12679,'records highest shipment','records highest shipment',0,1,1.8,'R263232153',3),(12680,'shipment','shipment',0,0,0.5333,'S153',3),(12681,'shipment tally','shipment tally',0,1,1.4667,'S1534',3),(12682,'shipment tally ever','shipment tally ever',0,1,1.6333,'S153416',3),(12683,'shows','shows',0,0,0.3333,'S000',3),(12684,'shows katana-wielding','shows katana-wielding',0,1,1.7,'S354352',3),(12685,'shows katana-wielding cyborg','shows katana-wielding cyborg',0,1,1.9333,'S354352162',3),(12686,'tally','tally',0,0,0.3333,'T400',3),(12687,'tally ever','tally ever',0,1,1.3333,'T416',3),(12688,'tally ever for','tally ever for',0,1,1.4667,'T41616',3),(12689,'trailer shows','trailer shows',0,1,1.4333,'T6462',3),(12690,'trailer shows katana-wielding','trailer shows katana-wielding',0,1,1.9667,'T6462354352',3),(12691,'dragon','dragon',0,0,0.4,'D625',4),(12692,'dragon in','dragon in',0,1,1.3,'D625',4),(12693,'dragon in game','dragon in game',0,1,1.4667,'D62525',4),(12694,'how to train','how to train',0,1,1.4,'H365',4),(12695,'in game','in game',0,1,1.2333,'I525',4),(12696,'to train','to train',0,1,1.2667,'T650',4),(12697,'to train your','to train your',0,1,1.4333,'T656',4),(12698,'train','train',0,0,0.3333,'T650',4),(12699,'train your','train your',0,1,1.3333,'T656',4),(12700,'train your dragon','train your dragon',0,1,1.5667,'T6563625',4),(12701,'your dragon','your dragon',0,1,1.3667,'Y63625',4),(12702,'your dragon in','your dragon in',0,1,1.4667,'Y63625',4),(12703,'154','154',0,0,0.3,'',25),(12704,'4 announcement','4 announcement',0,1,1.4667,'A5253',6),(12705,'4 announcement timing','4 announcement timing',0,1,1.7,'A525352',3),(12706,'announcement','announcement',0,0,0.8,'A5253',6),(12707,'announcement timing','announcement timing',0,1,1.6333,'A525352',3),(12708,'battlefield','battlefield',0,0,0.7333,'B34143',6),(12709,'battlefield 4','battlefield 4',0,1,1.4333,'B34143',6),(12710,'battlefield 4 announcement','battlefield 4 announcement',0,1,1.8667,'B341435253',6),(12711,'defends','defends',0,0,0.4667,'D1532',6),(12712,'defends battlefield','defends battlefield',0,1,1.6333,'D1532134143',6),(12713,'defends battlefield 4','defends battlefield 4',0,1,1.7,'D1532134143',6),(12714,'dice','dice',0,0,0.2667,'D200',6),(12715,'dice defends','dice defends',0,1,1.4,'D231532',6),(12716,'dice defends battlefield','dice defends battlefield',0,1,1.8,'D231532134143',6),(12717,'shooter','shooter',0,0,0.4667,'S360',21),(12718,'timing','timing',0,0,0.4,'T520',3),(12719,'147','147',0,0,0.3,'',6),(12720,'sports','sports',0,0,0.4,'S1632',65),(12721,'146','146',0,0,0.3,'',3),(12722,'144','144',0,0,0.3,'',2),(12723,'143','143',0,0,0.3,'',2),(12724,'155','155',0,0,0.3,'',28),(12725,'2010','2010',0,0,0.4,'',11),(12726,'2010 the','2010 the',0,1,1.2667,'T000',11),(12727,'2010 the reaction','2010 the reaction',0,1,1.5667,'T6235',11),(12728,'ago','ago',0,0,0.2,'A200',15),(12729,'ago when','ago when',0,1,1.2667,'A250',11),(12730,'ago when ghost','ago when ghost',0,1,1.4667,'A2523',11),(12731,'at e3','at e3',0,1,1.1667,'A300',11),(12732,'at e3 in','at e3 in',0,1,1.2667,'A350',11),(12733,'been so','been so',0,1,1.2333,'B520',11),(12734,'been so different','been so different',0,1,1.5667,'B5231653',11),(12735,'clancy\'s','clancy',0,0,0.5333,'C452',11),(12736,'clancy\'s ghost','clancy ghost',0,1,1.4667,'C4523',11),(12737,'clancy\'s ghost recon','clancy ghost recon',0,1,1.6667,'C4523625',11),(12738,'clancys','clancys',0,0,0.4667,'C452',11),(12739,'clancys ghost','clancys ghost',0,1,1.4333,'C4523',11),(12740,'clancys ghost recon','clancys ghost recon',0,1,1.6333,'C4523625',11),(12741,'could\'ve','could',0,0,0.5333,'C431',11),(12742,'could\'ve been','could been',0,1,1.4333,'C4315',11),(12743,'could\'ve been so','could been so',0,1,1.5333,'C43152',11),(12744,'different two','different two',0,1,1.4333,'D1653',11),(12745,'different two years','different two years',0,1,1.6333,'D165362',11),(12746,'e3','e3',0,0,0.1333,'E000',11),(12747,'e3 in','e3 in',0,1,1.1667,'E500',11),(12748,'e3 in 2010','e3 in 2010',0,1,1.3333,'E500',11),(12749,'future','future',0,0,0.4,'F360',12),(12750,'future soldier','future soldier',0,1,1.4667,'F362436',11),(12751,'future soldier was','future soldier was',0,1,1.6,'F3624362',11),(12752,'ghost','ghost',0,0,0.3333,'G300',11),(12753,'ghost recon','ghost recon',0,1,1.3667,'G3625',11),(12754,'ghost recon future','ghost recon future',0,1,1.6,'G3625136',11),(12755,'in 2010','in 2010',0,1,1.2333,'I500',11),(12756,'in 2010 the','in 2010 the',0,1,1.3667,'I530',11),(12757,'it could\'ve','it could',0,1,1.3667,'I32431',11),(12758,'it could\'ve been','it could been',0,1,1.5333,'I324315',11),(12759,'muted','muted',0,0,0.3333,'M300',11),(12760,'muted unlike','muted unlike',0,1,1.4,'M3542',11),(12761,'muted unlike the','muted unlike the',0,1,1.5333,'M35423',11),(12762,'reaction','reaction',0,0,0.5333,'R235',11),(12763,'reaction was','reaction was',0,1,1.4,'R2352',11),(12764,'reaction was muted','reaction was muted',0,1,1.6,'R235253',11),(12765,'recon','recon',0,0,0.3333,'R250',11),(12766,'recon future','recon future',0,1,1.4,'R25136',11),(12767,'recon future soldier','recon future soldier',0,1,1.6667,'R251362436',11),(12768,'shown','shown',0,0,0.3333,'S500',21),(12769,'shown at','shown at',0,1,1.2667,'S530',11),(12770,'shown at e3','shown at e3',0,1,1.3667,'S530',11),(12771,'so different','so different',0,1,1.4,'S31653',11),(12772,'so different two','so different two',0,1,1.5333,'S31653',11),(12773,'soldier','soldier',0,0,0.4667,'S436',16),(12774,'soldier was','soldier was',0,1,1.3667,'S4362',11),(12775,'soldier was shown','soldier was shown',0,1,1.5667,'S43625',11),(12776,'the before','the before',0,1,1.3333,'T160',11),(12777,'the before quickly','the before quickly',0,1,1.6,'T1624',11),(12778,'the reaction','the reaction',0,1,1.4,'T6235',11),(12779,'the reaction was','the reaction was',0,1,1.5333,'T62352',11),(12780,'tom clancy\'s','tom clancy',0,1,1.4,'T52452',11),(12781,'tom clancy\'s ghost','tom clancy ghost',0,1,1.6,'T524523',11),(12782,'tom clancys','tom clancys',0,1,1.3667,'T52452',11),(12783,'tom clancys ghost','tom clancys ghost',0,1,1.5667,'T524523',11),(12784,'two years','two years',0,1,1.3,'T620',11),(12785,'two years ago','two years ago',0,1,1.4333,'T620',11),(12786,'unlike','unlike',0,0,0.4,'U542',11),(12787,'unlike the','unlike the',0,1,1.3333,'U5423',11),(12788,'unlike the before','unlike the before',0,1,1.5667,'U542316',11),(12789,'was muted','was muted',0,1,1.3,'W253',11),(12790,'was muted unlike','was muted unlike',0,1,1.5333,'W253542',11),(12791,'was shown','was shown',0,1,1.3,'W250',11),(12792,'was shown at','was shown at',0,1,1.4,'W253',11),(12793,'when ghost','when ghost',0,1,1.3333,'W523',11),(12794,'when ghost recon','when ghost recon',0,1,1.5333,'W523625',11),(12795,'years ago','years ago',0,1,1.3,'Y620',11),(12796,'years ago when','years ago when',0,1,1.4667,'Y625',11),(12797,'156','156',0,0,0.3,'',22),(12798,'line','line',0,0,0.2667,'L500',16),(12799,'line on','line on',0,1,1.2333,'L500',8),(12800,'line on steam','line on steam',0,1,1.4333,'L5235',8),(12801,'on steam','on steam',0,1,1.2667,'O5235',8),(12802,'ops the','ops the',0,1,1.2333,'O123',8),(12803,'ops the line','ops the line',0,1,1.4,'O12345',8),(12804,'spec','spec',0,0,0.2667,'S120',8),(12805,'spec ops','spec ops',0,1,1.2667,'S1212',8),(12806,'spec ops the','spec ops the',0,1,1.4,'S12123',8),(12807,'steam','steam',0,0,0.3333,'S350',8),(12808,'the line','the line',0,1,1.2667,'T450',8),(12809,'the line on','the line on',0,1,1.3667,'T450',8),(12810,'a single','a single',0,1,1.2667,'A2524',1),(12811,'a single life','a single life',0,1,1.4333,'A25241',1),(12812,'an assassin','an assassin',0,1,1.3667,'A525',1),(12813,'an assassin but','an assassin but',0,1,1.5,'A52513',1),(12814,'anyone','anyone',0,0,0.4,'A500',1),(12815,'anyone you','anyone you',0,1,1.3333,'A500',1),(12816,'anyone you can','anyone you can',0,1,1.4667,'A525',1),(12817,'as an','as an',0,1,1.1667,'A250',1),(12818,'as an assassin','as an assassin',0,1,1.4667,'A2525',1),(12819,'assassin','assassin',0,0,0.5333,'A250',1),(12820,'assassin but','assassin but',0,1,1.4,'A2513',1),(12821,'assassin but you','assassin but you',0,1,1.5333,'A2513',1),(12822,'but','but',0,0,0.2,'B300',3),(12823,'but you','but you',0,1,1.2333,'B300',1),(12824,'but you dont','but you dont',0,1,1.4,'B353',1),(12825,'can finish','can finish',0,1,1.3333,'C5152',1),(12826,'can finish the','can finish the',0,1,1.4667,'C51523',1),(12827,'dishonored','dishonored',0,0,0.6667,'D2563',1),(12828,'dishonored in','dishonored in',0,1,1.4333,'D25635',1),(12829,'dishonored in dishonored','dishonored in dishonored',0,1,1.8,'D2563532563',1),(12830,'dishonored preview','dishonored preview',0,1,1.6,'D2563161',1),(12831,'dishonored preview honor','dishonored preview honor',0,1,1.8,'D256316156',1),(12832,'dishonored you','dishonored you',0,1,1.4667,'D2563',1),(12833,'dishonored you play','dishonored you play',0,1,1.6333,'D256314',1),(12834,'dont have','dont have',0,1,1.3,'D531',1),(12835,'dont have to','dont have to',0,1,1.4,'D5313',1),(12836,'finish','finish',0,0,0.4,'F520',1),(12837,'finish the','finish the',0,1,1.3333,'F523',1),(12838,'finish the game','finish the game',0,1,1.5,'F52325',1),(12839,'game without','game without',0,1,1.4,'G530',1),(12840,'game without taking','game without taking',0,1,1.6333,'G53252',1),(12841,'have to kill','have to kill',0,1,1.4,'H1324',1),(12842,'honor','honor',0,0,0.3333,'H560',1),(12843,'honor thy','honor thy',0,1,1.3,'H563',1),(12844,'honor thy player','honor thy player',0,1,1.5333,'H563146',1),(12845,'in dishonored','in dishonored',0,1,1.4333,'I532563',1),(12846,'in dishonored you','in dishonored you',0,1,1.5667,'I532563',1),(12847,'kill','kill',0,0,0.2667,'K400',1),(12848,'kill anyone','kill anyone',0,1,1.3667,'K450',1),(12849,'kill anyone you','kill anyone you',0,1,1.5,'K450',1),(12850,'life','life',0,0,0.2667,'L100',31),(12851,'life maecenas','life maecenas',0,1,1.4333,'L15252',1),(12852,'life maecenas faucibus','life maecenas faucibus',0,1,1.7333,'L152521212',1),(12853,'play','play',0,0,0.2667,'P400',182),(12854,'play as','play as',0,1,1.2333,'P420',1),(12855,'play as an','play as an',0,1,1.3333,'P425',1),(12856,'player','player',0,0,0.4,'P460',17),(12857,'preview','preview',0,0,0.4667,'P610',1),(12858,'preview honor','preview honor',0,1,1.4333,'P6156',1),(12859,'preview honor thy','preview honor thy',0,1,1.5667,'P61563',1),(12860,'single','single',0,0,0.4,'S524',192),(12861,'single life','single life',0,1,1.3667,'S5241',1),(12862,'single life maecenas','single life maecenas',0,1,1.6667,'S52415252',1),(12863,'taking','taking',0,0,0.4,'T252',182),(12864,'taking a','taking a',0,1,1.2667,'T252',1),(12865,'taking a single','taking a single',0,1,1.5,'T252524',1),(12866,'the game without','the game without',0,1,1.5333,'T253',1),(12867,'thy','thy',0,0,0.2,'T000',1),(12868,'thy player','thy player',0,1,1.3333,'T146',1),(12869,'to kill','to kill',0,1,1.2333,'T240',1),(12870,'to kill anyone','to kill anyone',0,1,1.4667,'T245',1),(12871,'without taking','without taking',0,1,1.4667,'W3252',1),(12872,'without taking a','without taking a',0,1,1.5333,'W3252',1),(12873,'you can finish','you can finish',0,1,1.4667,'Y25152',1),(12874,'you dont','you dont',0,1,1.2667,'Y353',1),(12875,'you dont have','you dont have',0,1,1.4333,'Y3531',1),(12876,'you play','you play',0,1,1.2667,'Y140',1),(12877,'you play as','you play as',0,1,1.3667,'Y142',1),(12878,'bullet','bullet',0,0,0.4,'B430',5),(12879,'bullet time','bullet time',0,1,1.3667,'B435',2),(12880,'bullet time with','bullet time with',0,1,1.5333,'B4353',2),(12881,'friends','friends',0,0,0.4667,'F6532',5),(12882,'friends max','friends max',0,1,1.3667,'F653252',5),(12883,'friends max payne','friends max payne',0,1,1.5667,'F65325215',5),(12884,'max','max',0,0,0.2,'M200',186),(12885,'max payne','max payne',0,1,1.3,'M215',5),(12886,'max payne 3','max payne 3',0,1,1.3667,'M215',5),(12887,'payne','payne',0,0,0.3333,'P500',5),(12888,'payne 3','payne 3',0,1,1.2333,'P500',5),(12889,'spending','spending',0,0,0.5333,'S15352',5),(12890,'spending bullet','spending bullet',0,1,1.5,'S15352143',5),(12891,'spending bullet time','spending bullet time',0,1,1.6667,'S153521435',2),(12892,'time with','time with',0,1,1.3,'T530',2),(12893,'time with friends','time with friends',0,1,1.5667,'T5316532',2),(12894,'with friends','with friends',0,1,1.4,'W316532',5),(12895,'with friends max','with friends max',0,1,1.5333,'W31653252',5),(12896,'bullet with','bullet with',0,1,1.3667,'B430',3),(12897,'bullet with friends','bullet with friends',0,1,1.6333,'B4316532',3),(12898,'spending bullet with','spending bullet with',0,1,1.6667,'S15352143',3),(12899,'3 brings','3 brings',0,1,1.2667,'B652',5),(12900,'3 brings a','3 brings a',0,1,1.3333,'B652',5),(12901,'a merciless','a merciless',0,1,1.3667,'A56242',5),(12902,'a merciless soldier','a merciless soldier',0,1,1.6333,'A56242436',5),(12903,'brings','brings',0,0,0.4,'B652',16),(12904,'brings a','brings a',0,1,1.2667,'B652',5),(12905,'brings a merciless','brings a merciless',0,1,1.6,'B65256242',5),(12906,'dead space','dead space',0,1,1.3333,'D212',5),(12907,'dead space 3','dead space 3',0,1,1.4,'D212',5),(12908,'merciless','merciless',0,0,0.6,'M6242',5),(12909,'merciless soldier','merciless soldier',0,1,1.5667,'M6242436',5),(12910,'space 3','space 3',0,1,1.2333,'S120',5),(12911,'space 3 brings','space 3 brings',0,1,1.4667,'S121652',5),(12912,'sodales social','sodales social',0,1,1.4667,'S3424',1),(12913,'sodales social icons','sodales social icons',0,1,1.6667,'S3424252',1),(12914,'urna sodales social','urna sodales social',0,1,1.6333,'U6523424',1),(12915,'demo-typodiv typodesc dropcaps','demo-typodiv typodesc dropcaps',0,1,2,'D531313132361212',1),(12916,'typodesc dropcaps','typodesc dropcaps',0,1,1.5667,'T132361212',1),(12917,'typodesc dropcaps t','typodesc dropcaps t',0,1,1.6333,'T1323612123',1),(12918,'div legends','div legends',0,1,1.3667,'D142532',31),(12919,'div legends legend','div legends legend',0,1,1.6,'D1425324253',31),(12920,'gavick abbrs','gavick abbrs',0,1,1.4,'G12162',7),(12921,'gavick abbrs and','gavick abbrs and',0,1,1.5333,'G1216253',7),(12922,'here div legends','here div legends',0,1,1.5333,'H63142532',31),(12923,'p div bubbles','p div bubbles',0,1,1.4333,'P3142',31),(12924,'robert gavick abbrs','robert gavick abbrs',0,1,1.6333,'R163212162',7),(12925,'13 peyton','13 peyton',0,1,1.3,'P350',1),(12926,'13 peyton manning','13 peyton manning',0,1,1.5667,'P352',1),(12927,'madden','madden',0,0,0.4,'M350',1),(12928,'manning','manning',0,0,0.4667,'M200',1),(12929,'manning madden','manning madden',0,1,1.4667,'M2535',1),(12930,'nfl 13','nfl 13',0,1,1.2,'N140',1),(12931,'nfl 13 peyton','nfl 13 peyton',0,1,1.4333,'N14135',1),(12932,'peyton','peyton',0,0,0.4,'P350',1),(12933,'peyton manning','peyton manning',0,1,1.4667,'P352',1),(12934,'peyton manning madden','peyton manning madden',0,1,1.7,'P352535',1),(14026,'nec erat','nec erat',0,1,1.2667,'N263',829),(14025,'luctus vitae volutpat','luctus vitae volutpat',0,1,1.7,'L2321314313',829),(14024,'luctus vitae','luctus vitae',0,1,1.4,'L23213',829),(14023,'laoreet dui duis','laoreet dui duis',0,1,1.5333,'L632',829),(14022,'iaculis aliquam tempus','iaculis aliquam tempus',0,1,1.7333,'I2424253512',893),(14021,'iaculis aliquam','iaculis aliquam',0,1,1.5,'I242425',893),(14020,'feugiat cras dui','feugiat cras dui',0,1,1.5333,'F232623',829),(14019,'feugiat cras','feugiat cras',0,1,1.4,'F23262',829),(14018,'facilisi duis sed','facilisi duis sed',0,1,1.5667,'F242323',829),(14017,'facilisi duis','facilisi duis',0,1,1.4333,'F24232',829),(14016,'erat tincidunt feugiat','erat tincidunt feugiat',0,1,1.7333,'E6352353123',829),(14015,'erat tincidunt','erat tincidunt',0,1,1.4667,'E6352353',829),(14014,'duis sed laoreet','duis sed laoreet',0,1,1.5333,'D23463',829),(14013,'duis sed','duis sed',0,1,1.2667,'D230',829),(14012,'duis a risus','duis a risus',0,1,1.4,'D262',829),(14011,'dui velit luctus','dui velit luctus',0,1,1.5333,'D1434232',829),(14009,'dui duis a','dui duis a',0,1,1.3333,'D200',829),(14010,'dui velit','dui velit',0,1,1.3,'D143',829),(14008,'dui duis','dui duis',0,1,1.2667,'D200',829),(14007,'diam non tincidunt','diam non tincidunt',0,1,1.6,'D5352353',893),(14006,'cras dui velit','cras dui velit',0,1,1.4667,'C623143',829),(14005,'cras dui','cras dui',0,1,1.2667,'C623',829),(14004,'combines design','combines design',0,1,1.5,'C5152325',10),(14003,'combines','combines',0,0,0.5333,'C5152',10),(14002,'artistic rendering combines','artistic rendering combines',0,1,1.9,'A632326536525152',10),(14001,'artistic rendering','artistic rendering',0,1,1.6,'A63232653652',10),(14000,'artistic','artistic',0,0,0.5333,'A63232',10),(13999,'aliquam tempus rutrum','aliquam tempus rutrum',0,1,1.7,'A42535126365',893),(13998,'a velit vitae','a velit vitae',0,1,1.4333,'A14313',893),(13997,'a velit','a velit',0,1,1.2333,'A143',1056),(13996,'a risus nec','a risus nec',0,1,1.3667,'A6252',829),(13995,'a risus','a risus',0,1,1.2333,'A620',829),(13994,'categorie iv','categorie iv',0,1,1.4,'C3261',25),(13993,'categorie iii','categorie iii',0,1,1.4333,'C326',52),(13992,'categorie i','categorie i',0,1,1.3667,'C326',28),(12980,'2013 it\'s','2013 it',0,1,1.3,'I320',5),(12981,'2013 it\'s coming','2013 it coming',0,1,1.5333,'I3252',5),(12982,'2013 its','2013 its',0,1,1.2667,'I320',5),(12983,'2013 its coming','2013 its coming',0,1,1.5,'I3252',5),(12984,'2013 that','2013 that',0,1,1.3,'T000',5),(12985,'2013 that will','2013 that will',0,1,1.4667,'T400',5),(12986,'and largest','and largest',0,1,1.3667,'A534623',5),(12987,'and largest feature','and largest feature',0,1,1.6333,'A534623136',5),(12988,'changes','changes',0,0,0.4667,'C520',5),(12989,'changes coming','changes coming',0,1,1.4667,'C5252',5),(12990,'changes coming to','changes coming to',0,1,1.5667,'C52523',5),(12991,'coming','coming',0,0,0.4,'C520',5),(12992,'coming to','coming to',0,1,1.3,'C523',5),(12993,'coming to fifa','coming to fifa',0,1,1.4667,'C5231',5),(12994,'deepest','deepest',0,0,0.4667,'D123',5),(12995,'deepest and','deepest and',0,1,1.3667,'D12353',5),(12996,'deepest and largest','deepest and largest',0,1,1.6333,'D123534623',5),(12997,'ever maecenas','ever maecenas',0,1,1.4333,'E165252',5),(12998,'ever maecenas faucibus','ever maecenas faucibus',0,1,1.7333,'E1652521212',5),(12999,'feature','feature',0,0,0.4667,'F360',6),(13000,'feature set','feature set',0,1,1.3667,'F3623',5),(13001,'feature set ever','feature set ever',0,1,1.5333,'F362316',5),(13002,'fifa','fifa',0,0,0.2667,'F000',5),(13003,'fifa 2013','fifa 2013',0,1,1.3,'F000',5),(13004,'fifa 2013 it\'s','fifa 2013 it',0,1,1.4667,'F320',5),(13005,'fifa 2013 its','fifa 2013 its',0,1,1.4333,'F320',5),(13006,'fifa 2013 that','fifa 2013 that',0,1,1.4667,'F300',5),(13007,'game its','game its',0,1,1.2667,'G532',5),(13008,'game its deepest','game its deepest',0,1,1.5333,'G5323123',5),(13009,'give the','give the',0,1,1.2667,'G130',5),(13010,'give the game','give the game',0,1,1.4333,'G1325',5),(13011,'it\'s','it',0,0,0.2667,'I320',34),(13012,'it\'s coming','it coming',0,1,1.3667,'I3252',5),(13013,'its coming','its coming',0,1,1.3333,'I3252',5),(13014,'its deepest','its deepest',0,1,1.3667,'I323123',5),(13015,'its deepest and','its deepest and',0,1,1.5,'I32312353',5),(13016,'largest','largest',0,0,0.4667,'L623',5),(13017,'largest feature','largest feature',0,1,1.5,'L623136',5),(13018,'largest feature set','largest feature set',0,1,1.6333,'L62313623',5),(13019,'revolutionary','revolutionary',0,0,0.8667,'R14356',5),(13020,'revolutionary changes','revolutionary changes',0,1,1.7,'R14356252',5),(13021,'revolutionary changes coming','revolutionary changes coming',0,1,1.9333,'R1435625252',5),(13022,'set ever','set ever',0,1,1.2667,'S316',5),(13023,'set ever maecenas','set ever maecenas',0,1,1.5667,'S3165252',5),(13024,'that will','that will',0,1,1.3,'T400',5),(13025,'that will give','that will give',0,1,1.4667,'T421',5),(13026,'the game its','the game its',0,1,1.4,'T2532',5),(13027,'to fifa','to fifa',0,1,1.2333,'T100',5),(13028,'to fifa 2013','to fifa 2013',0,1,1.4,'T100',5),(13029,'will give','will give',0,1,1.3,'W421',5),(13030,'will give the','will give the',0,1,1.4333,'W4213',5),(13031,'check','check',0,0,0.3333,'C000',2),(13032,'check out','check out',0,1,1.3,'C300',2),(13033,'check out footage','check out footage',0,1,1.5667,'C3132',2),(13034,'evolution','evolution',0,0,0.6,'E1435',2),(13035,'evolution soccer','evolution soccer',0,1,1.5333,'E143526',2),(13036,'evolution soccer 2013','evolution soccer 2013',0,1,1.7,'E143526',2),(13037,'footage','footage',0,0,0.4667,'F320',2),(13038,'footage for','footage for',0,1,1.3667,'F3216',2),(13039,'footage for pro','footage for pro',0,1,1.5,'F321616',2),(13040,'for pro','for pro',0,1,1.2333,'F616',2),(13041,'for pro evolution','for pro evolution',0,1,1.5667,'F6161435',2),(13042,'out footage','out footage',0,1,1.3667,'O3132',2),(13043,'out footage for','out footage for',0,1,1.5,'O313216',2),(13044,'pro evolution','pro evolution',0,1,1.4333,'P61435',2),(13045,'pro evolution soccer','pro evolution soccer',0,1,1.6667,'P6143526',2),(13046,'soccer','soccer',0,0,0.4,'S600',2),(13047,'soccer 2013','soccer 2013',0,1,1.3667,'S600',2),(13048,'2013 with','2013 with',0,1,1.3,'W300',1),(13049,'2013 with this','2013 with this',0,1,1.4667,'W320',1),(13050,'ahead','ahead',0,0,0.3333,'A300',1),(13051,'ahead to','ahead to',0,1,1.2667,'A300',1),(13052,'ahead to pes','ahead to pes',0,1,1.4,'A312',1),(13053,'and looks','and looks',0,1,1.3,'A5342',1),(13054,'and looks ahead','and looks ahead',0,1,1.5,'A53423',1),(13055,'continues','continues',0,0,0.6,'C5352',1),(13056,'continues to','continues to',0,1,1.4,'C53523',1),(13057,'continues to upgrade','continues to upgrade',0,1,1.6667,'C535231263',1),(13058,'evolution soccer series','evolution soccer series',0,1,1.7667,'E143526262',1),(13059,'first look','first look',0,1,1.3333,'F62342',1),(13060,'first look trailer','first look trailer',0,1,1.6,'F623423646',1),(13061,'konami','konami',0,0,0.4,'K500',1),(13062,'konami continues','konami continues',0,1,1.5333,'K525352',1),(13063,'konami continues to','konami continues to',0,1,1.6333,'K5253523',1),(13064,'look trailer','look trailer',0,1,1.4,'L23646',1),(13065,'look trailer maecenas','look trailer maecenas',0,1,1.7,'L236465252',1),(13066,'looks','looks',0,0,0.3333,'L200',2),(13067,'looks ahead','looks ahead',0,1,1.3667,'L230',1),(13068,'looks ahead to','looks ahead to',0,1,1.4667,'L230',1),(13069,'pes','pes',0,0,0.2,'P200',1),(13070,'pes 2013','pes 2013',0,1,1.2667,'P200',1),(13071,'pes 2013 with','pes 2013 with',0,1,1.4333,'P230',1),(13072,'series and','series and',0,1,1.3333,'S6253',1),(13073,'series and looks','series and looks',0,1,1.5333,'S625342',1),(13074,'soccer series','soccer series',0,1,1.4333,'S6262',1),(13075,'soccer series and','soccer series and',0,1,1.5667,'S626253',1),(13076,'the pro','the pro',0,1,1.2333,'T160',1),(13077,'the pro evolution','the pro evolution',0,1,1.5667,'T161435',1),(13078,'this first','this first',0,1,1.3333,'T21623',1),(13079,'this first look','this first look',0,1,1.5,'T2162342',1),(13080,'to pes','to pes',0,1,1.2,'T120',1),(13081,'to pes 2013','to pes 2013',0,1,1.3667,'T120',1),(13082,'to upgrade','to upgrade',0,1,1.3333,'T1263',1),(13083,'to upgrade the','to upgrade the',0,1,1.4667,'T1263',1),(13084,'trailer maecenas','trailer maecenas',0,1,1.5333,'T6465252',1),(13085,'trailer maecenas faucibus','trailer maecenas faucibus',0,1,1.8333,'T64652521212',1),(13086,'upgrade','upgrade',0,0,0.4667,'U1263',1),(13087,'upgrade the','upgrade the',0,1,1.3667,'U1263',1),(13088,'upgrade the pro','upgrade the pro',0,1,1.5,'U126316',1),(13089,'with this','with this',0,1,1.3,'W320',1),(13090,'with this first','with this first',0,1,1.5,'W321623',1),(14241,'advertising marketing','advertising marketing',0,1,1.7,'A3163252562352',7),(14240,'advertising','advertising',0,0,0.7333,'A3163252',7),(13094,'codemasters','codemasters',0,0,0.7333,'C352362',1),(13095,'codemasters officially','codemasters officially',0,1,1.7333,'C352362124',1),(13096,'codemasters officially unveils','codemasters officially unveils',0,1,2,'C3523621245142',1),(13097,'grid','grid',0,0,0.2667,'G630',1),(13098,'grid 2','grid 2',0,1,1.2,'G630',1),(13099,'officially','officially',0,0,0.6667,'O124',1),(13100,'officially unveils','officially unveils',0,1,1.6,'O1245142',1),(13101,'officially unveils grid','officially unveils grid',0,1,1.7667,'O124514263',1),(13102,'unveils','unveils',0,0,0.4667,'U5142',1),(13103,'unveils grid','unveils grid',0,1,1.4,'U514263',1),(13104,'unveils grid 2','unveils grid 2',0,1,1.4667,'U514263',1),(14239,'is an idea','is an idea',0,1,1.3333,'I253',9),(14238,'is an','is an',0,1,1.1667,'I250',9),(14237,'idea for a','idea for a',0,1,1.3333,'I316',9),(14236,'idea for','idea for',0,1,1.2667,'I316',9),(14235,'idea','idea',0,0,0.2667,'I300',9),(14234,'for a design','for a design',0,1,1.4,'F6325',9),(14233,'for a','for a',0,1,1.1667,'F600',22),(14232,'design concept is','design concept is',0,1,1.5667,'D25252132',9),(14231,'design concept','design concept',0,1,1.4667,'D2525213',9),(14230,'concept is an','concept is an',0,1,1.4333,'C521325',9),(14229,'concept is','concept is',0,1,1.3333,'C52132',9),(14228,'an idea for','an idea for',0,1,1.3667,'A5316',9),(14227,'an idea','an idea',0,1,1.2333,'A530',9),(14226,'world ends inspiration','world ends inspiration',0,1,1.7333,'W643532521635',7),(14225,'world ends','world ends',0,1,1.3333,'W643532',7),(14224,'until the world','until the world',0,1,1.5,'U5343643',7),(14223,'until the','until the',0,1,1.3,'U5343',7),(14222,'until','until',0,0,0.3333,'U534',7),(14221,'the world ends','the world ends',0,1,1.4667,'T643532',7),(14220,'inspiration','inspiration',0,0,0.7333,'I521635',7),(13135,'players','players',0,0,0.4667,'P462',5),(13136,'players to','players to',0,1,1.3333,'P4623',5),(14219,'ends inspiration','ends inspiration',0,1,1.5333,'E532521635',7),(13138,'to be','to be',0,1,1.1667,'T100',196),(14218,'ends','ends',0,0,0.2667,'E532',9),(14217,'create until the','create until the',0,1,1.5333,'C635343',7),(14216,'create until','create until',0,1,1.4,'C63534',7),(13142,'4 on','4 on',0,1,1.1333,'O500',3),(13143,'4 on ds','4 on ds',0,1,1.2333,'O532',3),(13144,'age','age',0,0,0.2,'A200',3),(13145,'age 4','age 4',0,1,1.1667,'A200',3),(13146,'age 4 on','age 4 on',0,1,1.2667,'A250',3),(13147,'ds','ds',0,0,0.1333,'D200',3),(13148,'grab','grab',0,0,0.2667,'G610',3),(13149,'grab it\'s','grab it',0,1,1.3,'G6132',3),(13150,'grab it\'s ice','grab it ice',0,1,1.4333,'G6132',3),(13151,'holy','holy',0,0,0.2667,'H400',3),(13152,'holy grab','holy grab',0,1,1.3,'H4261',3),(13153,'holy grab it\'s','holy grab it',0,1,1.4667,'H426132',3),(13154,'ice age','ice age',0,1,1.2333,'I200',3),(13155,'ice age 4','ice age 4',0,1,1.3,'I200',3),(13156,'it\'s ice','it ice',0,1,1.2667,'I320',3),(13157,'it\'s ice age','it ice age',0,1,1.4,'I320',3),(13158,'on ds','on ds',0,1,1.1667,'O532',3),(13159,'2 from','2 from',0,1,1.2,'F650',1),(13160,'2 from electronic','2 from electronic',0,1,1.5667,'F65423652',1),(13161,'arts','arts',0,0,0.2667,'A632',1),(13162,'electronic','electronic',0,0,0.6667,'E423652',1),(13163,'electronic arts','electronic arts',0,1,1.5,'E423652632',1),(13164,'from electronic','from electronic',0,1,1.5,'F65423652',1),(13165,'from electronic arts','from electronic arts',0,1,1.6667,'F65423652632',1),(13166,'grand','grand',0,0,0.3333,'G653',1),(13167,'grand slam','grand slam',0,1,1.3333,'G653245',1),(13168,'grand slam tennis','grand slam tennis',0,1,1.5667,'G653245352',1),(13169,'slam','slam',0,0,0.2667,'S450',1),(13170,'slam tennis','slam tennis',0,1,1.3667,'S45352',1),(13171,'slam tennis 2','slam tennis 2',0,1,1.4333,'S45352',1),(13172,'tennis','tennis',0,0,0.4,'T520',1),(13173,'tennis 2','tennis 2',0,1,1.2667,'T520',1),(13174,'tennis 2 from','tennis 2 from',0,1,1.4333,'T52165',1),(13175,'burnout','burnout',0,0,0.4667,'B653',1),(13176,'burnout paradise','burnout paradise',0,1,1.5333,'B6531632',1),(13177,'burnout paradise the','burnout paradise the',0,1,1.6667,'B65316323',1),(13178,'driving','driving',0,0,0.4667,'D6152',1),(13179,'driving playground','driving playground',0,1,1.6,'D6152142653',1),(13180,'paradise','paradise',0,0,0.5333,'P632',1),(13181,'paradise the','paradise the',0,1,1.4,'P6323',1),(13182,'paradise the ultimate','paradise the ultimate',0,1,1.7,'P63234353',1),(13183,'playground','playground',0,0,0.6667,'P42653',1),(13184,'the ultimate','the ultimate',0,1,1.4,'T4353',1),(13185,'the ultimate driving','the ultimate driving',0,1,1.6667,'T43536152',1),(13186,'ultimate','ultimate',0,0,0.5333,'U4353',1),(13187,'ultimate driving','ultimate driving',0,1,1.5333,'U43536152',1),(13188,'ultimate driving playground','ultimate driving playground',0,1,1.9,'U43536152142653',1),(13189,'8th','8th',0,0,0.2,'T000',5),(13190,'8th the','8th the',0,1,1.2333,'T000',5),(13191,'8th the best-selling','8th the best-selling',0,1,1.6667,'T1232452',5),(13192,'action series','action series',0,1,1.4333,'A235262',5),(13193,'action series of','action series of',0,1,1.5333,'A2352621',5),(13194,'all-time','all-time',0,0,0.5333,'A435',5),(13195,'all-time returns','all-time returns',0,1,1.5333,'A43563652',5),(13196,'all-time returns with','all-time returns with',0,1,1.7,'A435636523',5),(13197,'back on','back on',0,1,1.2333,'B250',5),(13198,'back on november','back on november',0,1,1.5333,'B251516',5),(13199,'best-selling','best-selling',0,0,0.8,'B232452',5),(13200,'best-selling first','best-selling first',0,1,1.6,'B2324521623',5),(13201,'best-selling first person','best-selling first person',0,1,1.8333,'B23245216231625',5),(13202,'epic sequel','epic sequel',0,1,1.3667,'E124',5),(13203,'epic sequel to','epic sequel to',0,1,1.4667,'E1243',5),(13204,'first person','first person',0,1,1.4,'F6231625',5),(13205,'first person action','first person action',0,1,1.6333,'F6231625235',5),(13206,'game of','game of',0,1,1.2333,'G510',5),(13207,'game of the','game of the',0,1,1.3667,'G513',5),(13208,'is back','is back',0,1,1.2333,'I212',5),(13209,'is back on','is back on',0,1,1.3333,'I2125',5),(13210,'modern','modern',0,0,0.4,'M365',5),(13211,'modern warfare','modern warfare',0,1,1.4667,'M365616',5),(13212,'modern warfare is','modern warfare is',0,1,1.5667,'M3656162',5),(13213,'multiple','multiple',0,0,0.5333,'M4314',5),(13214,'multiple game','multiple game',0,1,1.4333,'M431425',5),(13215,'multiple game of','multiple game of',0,1,1.5333,'M4314251',5),(13216,'november','november',0,0,0.5333,'N1516',18),(13217,'november 8th','november 8th',0,1,1.4,'N15163',5),(13218,'november 8th the','november 8th the',0,1,1.5333,'N15163',5),(13219,'of all-time','of all-time',0,1,1.3667,'O1435',5),(13220,'of all-time returns','of all-time returns',0,1,1.6333,'O143563652',5),(13221,'of the yea','of the yea',0,1,1.3333,'O130',5),(13222,'on november','on november',0,1,1.3667,'O51516',5),(13223,'on november 8th','on november 8th',0,1,1.5,'O515163',5),(13224,'person','person',0,0,0.4,'P625',5),(13225,'person action','person action',0,1,1.4333,'P625235',5),(13226,'person action series','person action series',0,1,1.6667,'P625235262',5),(13227,'returns with','returns with',0,1,1.4,'R36523',5),(13228,'returns with the','returns with the',0,1,1.5333,'R36523',5),(13229,'sequel','sequel',0,0,0.4,'S400',5),(13230,'sequel to','sequel to',0,1,1.3,'S430',5),(13231,'sequel to the','sequel to the',0,1,1.4333,'S430',5),(13232,'series of','series of',0,1,1.3,'S621',7),(13233,'series of all-time','series of all-time',0,1,1.6,'S621435',5),(13234,'the best-selling','the best-selling',0,1,1.5333,'T1232452',5),(13235,'the best-selling first','the best-selling first',0,1,1.7333,'T12324521623',5),(13236,'the epic','the epic',0,1,1.2667,'T120',5),(13237,'the epic sequel','the epic sequel',0,1,1.5,'T124',5),(13238,'the multiple','the multiple',0,1,1.4,'T54314',5),(13239,'the multiple game','the multiple game',0,1,1.5667,'T5431425',5),(13240,'the yea','the yea',0,1,1.2333,'T000',5),(13241,'the yea morbi','the yea morbi',0,1,1.4333,'T561',5),(13242,'to the multiple','to the multiple',0,1,1.5,'T54314',5),(13243,'warfare','warfare',0,0,0.4667,'W616',5),(13244,'warfare is','warfare is',0,1,1.3333,'W6162',5),(13245,'warfare is back','warfare is back',0,1,1.5,'W616212',5),(13246,'with the epic','with the epic',0,1,1.4333,'W312',5),(13247,'yea','yea',0,0,0.2,'Y000',5),(13248,'yea morbi','yea morbi',0,1,1.3,'Y561',5),(13249,'yea morbi leo','yea morbi leo',0,1,1.4333,'Y5614',5),(13250,'and daxter','and daxter',0,1,1.3333,'A53236',4),(13251,'and daxter funny','and daxter funny',0,1,1.5333,'A5323615',4),(13252,'daxter','daxter',0,0,0.4,'D236',4),(13253,'daxter death','daxter death',0,1,1.4,'D2363',4),(13254,'daxter funny','daxter funny',0,1,1.4,'D23615',4),(13255,'daxter funny daxter','daxter funny daxter',0,1,1.6333,'D236153236',4),(13256,'death','death',0,0,0.3333,'D000',4),(13257,'funny','funny',0,0,0.3333,'F500',4),(13258,'funny daxter','funny daxter',0,1,1.4,'F53236',4),(13259,'funny daxter death','funny daxter death',0,1,1.6,'F532363',4),(13260,'jak','jak',0,0,0.2,'J000',4),(13261,'jak and','jak and',0,1,1.2333,'J530',4),(13262,'jak and daxter','jak and daxter',0,1,1.4667,'J53236',4),(13263,'bite','bite',0,0,0.2667,'B300',1),(13264,'mr','mr',0,0,0.1333,'M600',1),(13265,'mr snake','mr snake',0,1,1.2667,'M6252',1),(13266,'mr snake bite','mr snake bite',0,1,1.4333,'M625213',1),(13267,'snake','snake',0,0,0.3333,'S520',1),(13268,'snake bite','snake bite',0,1,1.3333,'S5213',1),(13269,'2 guide','2 guide',0,1,1.2333,'G300',4),(13270,'2 guide includes','2 guide includes',0,1,1.5333,'G352432',4),(13271,'2 sackboy','2 sackboy',0,1,1.3,'S100',4),(13272,'2 sackboy returns','2 sackboy returns',0,1,1.5667,'S163652',4),(13273,'a walk','a walk',0,1,1.2,'A420',4),(13274,'a walk through','a walk through',0,1,1.4667,'A42362',4),(13275,'and curabitur','and curabitur',0,1,1.4333,'A5326136',4),(13276,'and curabitur blandit','and curabitur blandit',0,1,1.7,'A53261361453',4),(13277,'big planet','big planet',0,1,1.3333,'B21453',4),(13278,'big planet 2','big planet 2',0,1,1.4,'B21453',4),(13279,'co-op','co-op',0,0,0.3333,'C100',4),(13280,'co-op and','co-op and',0,1,1.3,'C153',4),(13281,'co-op and curabitur','co-op and curabitur',0,1,1.6333,'C15326136',4),(13282,'craftworld','craftworld',0,0,0.6667,'C613643',4),(13283,'craftworld from','craftworld from',0,1,1.5,'C613643165',4),(13284,'craftworld from the','craftworld from the',0,1,1.6333,'C6136431653',4),(13285,'evil the','evil the',0,1,1.2667,'E143',4),(13286,'evil the negativitron','evil the negativitron',0,1,1.7,'E1435231365',4),(13287,'from the evil','from the evil',0,1,1.4333,'F65314',4),(13288,'guide','guide',0,0,0.3333,'G300',4),(13289,'guide includes','guide includes',0,1,1.4667,'G352432',4),(13290,'guide includes a','guide includes a',0,1,1.5333,'G352432',4),(13291,'hidden co-op','hidden co-op',0,1,1.4,'H3521',4),(13292,'hidden co-op and','hidden co-op and',0,1,1.5333,'H352153',4),(13293,'includes','includes',0,0,0.5333,'I52432',5),(13294,'includes a','includes a',0,1,1.3333,'I52432',4),(13295,'includes a walk','includes a walk',0,1,1.5,'I5243242',4),(13296,'levels','levels',0,0,0.4,'L142',4),(13297,'levels hidden','levels hidden',0,1,1.4333,'L14235',4),(13298,'levels hidden co-op','levels hidden co-op',0,1,1.6333,'L1423521',4),(13299,'little','little',0,0,0.4,'L340',4),(13300,'little big','little big',0,1,1.3333,'L3412',4),(13301,'little big planet','little big planet',0,1,1.5667,'L34121453',4),(13302,'negativitron','negativitron',0,0,0.8,'N231365',4),(13303,'negativitron our','negativitron our',0,1,1.5333,'N2313656',4),(13304,'negativitron our little','negativitron our little',0,1,1.7667,'N2313656434',4),(13305,'of the story','of the story',0,1,1.4,'O13236',4),(13306,'our little','our little',0,1,1.3333,'O6434',4),(13307,'our little big','our little big',0,1,1.4667,'O643412',4),(13308,'planet','planet',0,0,0.4,'P453',4),(13309,'planet 2','planet 2',0,1,1.2667,'P453',4),(13310,'planet 2 guide','planet 2 guide',0,1,1.4667,'P45323',4),(13311,'planet 2 sackboy','planet 2 sackboy',0,1,1.5333,'P45321',4),(13312,'returns to save','returns to save',0,1,1.5,'R3652321',4),(13313,'sackboy','sackboy',0,0,0.4667,'S100',4),(13314,'sackboy returns','sackboy returns',0,1,1.5,'S163652',4),(13315,'sackboy returns to','sackboy returns to',0,1,1.6,'S1636523',4),(13316,'save','save',0,0,0.2667,'S100',8),(13317,'save craftworld','save craftworld',0,1,1.5,'S12613643',4),(13318,'save craftworld from','save craftworld from',0,1,1.6667,'S12613643165',4),(13319,'story levels','story levels',0,1,1.4,'S364142',4),(13320,'story levels hidden','story levels hidden',0,1,1.6333,'S36414235',4),(13321,'the evil','the evil',0,1,1.2667,'T140',4),(13322,'the evil the','the evil the',0,1,1.4,'T143',4),(13323,'the negativitron','the negativitron',0,1,1.5333,'T5231365',4),(13324,'the negativitron our','the negativitron our',0,1,1.6667,'T52313656',4),(13325,'the story levels','the story levels',0,1,1.5333,'T2364142',4),(13326,'through','through',0,0,0.4667,'T620',17),(13327,'through of','through of',0,1,1.3333,'T621',4),(13328,'through of the','through of the',0,1,1.4667,'T6213',4),(13329,'to save','to save',0,1,1.2333,'T210',7),(13330,'to save craftworld','to save craftworld',0,1,1.6,'T212613643',4),(13331,'walk','walk',0,0,0.2667,'W420',4),(13332,'walk through','walk through',0,1,1.4,'W42362',4),(13333,'walk through of','walk through of',0,1,1.5,'W423621',4),(13334,'a rebuilding','a rebuilding',0,1,1.4,'A614352',3),(13335,'a rebuilding world','a rebuilding world',0,1,1.6,'A614352643',3),(13336,'and snow','and snow',0,1,1.2667,'A5325',5),(13337,'and snow is','and snow is',0,1,1.3667,'A53252',5),(13338,'c urabitur','c urabitur',0,1,1.3333,'C6136',3),(13339,'c urabitur blandit','c urabitur blandit',0,1,1.6,'C61361453',3),(13340,'events in','events in',0,1,1.3,'E15325',5),(13341,'events in final','events in final',0,1,1.5,'E15325154',5),(13342,'fantasy','fantasy',0,0,0.4667,'F532',5),(13343,'fantasy xiii','fantasy xiii',0,1,1.4,'F532',5),(13344,'fantasy xiii 2','fantasy xiii 2',0,1,1.4667,'F532',5),(13345,'fantasy xiii lightning','fantasy xiii lightning',0,1,1.7333,'F53242352',5),(13346,'fantasy xiii-2','fantasy xiii-2',0,1,1.4667,'F532',5),(13347,'final fantasy','final fantasy',0,1,1.4333,'F541532',5),(13348,'final fantasy xiii','final fantasy xiii',0,1,1.6,'F541532',5),(13349,'final fantasy xiii-2','final fantasy xiii-2',0,1,1.6667,'F541532',5),(13350,'found in a','found in a',0,1,1.3333,'F535',3),(13351,'gone','gone',0,0,0.2667,'G500',5),(13352,'gone missing','gone missing',0,1,1.4,'G5252',5),(13353,'gone missing and','gone missing and',0,1,1.5333,'G525253',5),(13354,'has gone','has gone',0,1,1.2667,'H250',5),(13355,'has gone missing','has gone missing',0,1,1.5333,'H25252',5),(13356,'in a rebuilding','in a rebuilding',0,1,1.5,'I5614352',3),(13357,'in final','in final',0,1,1.2667,'I5154',5),(13358,'in final fantasy','in final fantasy',0,1,1.5333,'I51541532',5),(13359,'is nowhere','is nowhere',0,1,1.3333,'I256',5),(13360,'is nowhere to','is nowhere to',0,1,1.4333,'I2563',5),(13361,'lightning','lightning',0,0,0.6,'L2352',182),(13362,'lightning has','lightning has',0,1,1.4333,'L2352',5),(13363,'lightning has gone','lightning has gone',0,1,1.6,'L23525',5),(13364,'missing','missing',0,0,0.4667,'M252',5),(13365,'missing and','missing and',0,1,1.3667,'M25253',5),(13366,'missing and snow','missing and snow',0,1,1.5333,'M2525325',5),(13367,'notices','notices',0,0,0.4667,'N320',3),(13368,'notices that','notices that',0,1,1.4,'N323',3),(13369,'notices that c','notices that c',0,1,1.4667,'N3232',3),(13370,'nowhere','nowhere',0,0,0.4667,'N600',5),(13371,'nowhere to','nowhere to',0,1,1.3333,'N630',5),(13372,'nowhere to be','nowhere to be',0,1,1.4333,'N631',5),(13373,'rebuilding','rebuilding',0,0,0.6667,'R14352',3),(13374,'rebuilding world','rebuilding world',0,1,1.5333,'R14352643',3),(13375,'rebuilding world serah','rebuilding world serah',0,1,1.7333,'R1435264326',3),(13376,'serah','serah',0,0,0.3333,'S600',3),(13377,'serah notices','serah notices',0,1,1.4333,'S6532',3),(13378,'serah notices that','serah notices that',0,1,1.6,'S65323',3),(13379,'snow','snow',0,0,0.2667,'S500',5),(13380,'snow is','snow is',0,1,1.2333,'S520',5),(13381,'snow is nowhere','snow is nowhere',0,1,1.5,'S5256',5),(13382,'that c','that c',0,1,1.2,'T200',3),(13383,'that c urabitur','that c urabitur',0,1,1.5,'T26136',3),(13384,'the events in','the events in',0,1,1.4333,'T15325',5),(13385,'three years','three years',0,1,1.3667,'T620',5),(13386,'three years after','three years after',0,1,1.5667,'T62136',5),(13387,'to be found','to be found',0,1,1.3667,'T153',5),(13388,'urabitur','urabitur',0,0,0.5333,'U6136',3),(13389,'urabitur blandit','urabitur blandit',0,1,1.5333,'U61361453',3),(13390,'urabitur blandit tempus','urabitur blandit tempus',0,1,1.7667,'U61361453512',3),(13391,'world serah','world serah',0,1,1.3667,'W64326',3),(13392,'world serah notices','world serah notices',0,1,1.6333,'W64326532',3),(13393,'xiii','xiii',0,0,0.2667,'X000',5),(13394,'xiii 2','xiii 2',0,1,1.2,'X000',5),(13395,'xiii lightning','xiii lightning',0,1,1.4667,'X42352',5),(13396,'xiii lightning has','xiii lightning has',0,1,1.6,'X42352',5),(13397,'xiii-2','xiii-2',0,0,0.4,'X000',5),(13398,'blacklist search','blacklist search',0,1,1.5333,'B42423262',2),(13399,'blacklist search top','blacklist search top',0,1,1.6667,'B4242326231',2),(13400,'cell blacklist search','cell blacklist search',0,1,1.7,'C4142423262',2),(13401,'search top','search top',0,1,1.3333,'S6231',2),(13402,'search top place','search top place',0,1,1.5333,'S623142',2),(13403,'top place','top place',0,1,1.3,'T142',2),(13404,'3 s','3 s',0,1,1.1,'S000',1),(13405,'3 s multiplayer','3 s multiplayer',0,1,1.5,'S543146',1),(13406,'3\'s','3',0,0,0.2,'S000',1),(13407,'3\'s multiplayer','3 multiplayer',0,1,1.5,'S543146',1),(13408,'3\'s multiplayer hunters','3 multiplayer hunters',0,1,1.7667,'S5431465362',1),(13409,'crysis','crysis',0,0,0.4,'C620',1),(13410,'crysis 3','crysis 3',0,1,1.2667,'C620',1),(13411,'crysis 3 s','crysis 3 s',0,1,1.3333,'C620',1),(13412,'crysis 3\'s','crysis 3',0,1,1.3333,'C620',1),(13413,'crysis 3\'s multiplayer','crysis 3 multiplayer',0,1,1.7333,'C62543146',1),(13414,'hunters','hunters',0,0,0.4667,'H5362',1),(13415,'hunters mode','hunters mode',0,1,1.4,'H536253',1),(13416,'mode','mode',0,0,0.2667,'M300',1),(13417,'multiplayer hunters','multiplayer hunters',0,1,1.6333,'M431465362',1),(13418,'multiplayer hunters mode','multiplayer hunters mode',0,1,1.8,'M43146536253',1),(13419,'s multiplayer','s multiplayer',0,1,1.4333,'S543146',1),(13420,'s multiplayer hunters','s multiplayer hunters',0,1,1.7,'S5431465362',1),(13421,'amazing','amazing',0,0,0.4667,'A5252',187),(13422,'amazing spider','amazing spider',0,1,1.4667,'A5252136',2),(13423,'amazing spider man','amazing spider man',0,1,1.6,'A52521365',2),(13424,'amazing spider-man','amazing spider-man',0,1,1.6,'A52521365',2),(13425,'man','man',0,0,0.2,'M000',8),(13426,'spider','spider',0,0,0.4,'S136',2),(13427,'spider man','spider man',0,1,1.3333,'S1365',2),(13428,'spider-man','spider-man',0,0,0.6667,'S1365',2),(13429,'the amazing','the amazing',0,1,1.3667,'T5252',2),(13430,'the amazing spider','the amazing spider',0,1,1.6,'T5252136',2),(13431,'the amazing spider-man','the amazing spider-man',0,1,1.7333,'T52521365',2),(13432,'2 air','2 air',0,1,1.1667,'A600',5),(13433,'2 air combat','2 air combat',0,1,1.4,'A62513',5),(13434,'2 is','2 is',0,1,1.1333,'I200',5),(13435,'2 is the','2 is the',0,1,1.2667,'I230',5),(13436,'20-mission','20-mission',0,0,0.6667,'M250',5),(13437,'20-mission morbi','20-mission morbi',0,1,1.5333,'M2561',5),(13438,'20-mission morbi leo','20-mission morbi leo',0,1,1.6667,'M25614',5),(13439,'28','28',0,0,0.2,'',5),(13440,'28 real-life','28 real-life',0,1,1.4,'R410',5),(13441,'28 real-life planes','28 real-life planes',0,1,1.6333,'R41452',5),(13442,'a 20-mission','a 20-mission',0,1,1.4,'A525',5),(13443,'a 20-mission morbi','a 20-mission morbi',0,1,1.6,'A52561',5),(13444,'air combat','air combat',0,1,1.3333,'A62513',5),(13445,'air combat simulation','air combat simulation',0,1,1.7,'A6251325435',5),(13446,'and takes','and takes',0,1,1.3,'A532',5),(13447,'and takes players','and takes players',0,1,1.5667,'A5321462',5),(13448,'clancy','clancy',0,0,0.4,'C452',5),(13449,'clancy hawx','clancy hawx',0,1,1.3667,'C452',5),(13450,'clancy hawx 2','clancy hawx 2',0,1,1.4333,'C452',5),(13451,'clancy ubisoft\'s','clancy ubisoft',0,1,1.5333,'C45212132',5),(13452,'clancy ubisoft\'s air','clancy ubisoft air',0,1,1.6667,'C452121326',5),(13453,'combat','combat',0,0,0.4,'C513',9),(13454,'combat simulation','combat simulation',0,1,1.5667,'C51325435',5),(13455,'combat simulation the','combat simulation the',0,1,1.7,'C513254353',5),(13456,'features','features',0,0,0.5333,'F362',15),(13457,'features 28','features 28',0,1,1.3667,'F362',5),(13458,'features 28 real-life','features 28 real-life',0,1,1.7,'F362641',5),(13459,'game features','game features',0,1,1.4333,'G51362',5),(13460,'game features 28','game features 28',0,1,1.5333,'G51362',5),(13461,'hawx','hawx',0,0,0.2667,'H200',5),(13462,'hawx 2','hawx 2',0,1,1.2,'H200',5),(13463,'hawx 2 air','hawx 2 air',0,1,1.3333,'H260',5),(13464,'hawx 2 is','hawx 2 is',0,1,1.3,'H200',5),(13465,'installment','installment',0,0,0.7333,'I523453',5),(13466,'installment of','installment of',0,1,1.4667,'I5234531',5),(13467,'installment of tom','installment of tom',0,1,1.6,'I523453135',5),(13468,'is the second','is the second',0,1,1.4333,'I23253',18),(13469,'of tom','of tom',0,1,1.2,'O135',5),(13470,'of tom clancy','of tom clancy',0,1,1.4333,'O1352452',5),(13471,'planes','planes',0,0,0.4,'P452',5),(13472,'planes and','planes and',0,1,1.3333,'P45253',5),(13473,'planes and takes','planes and takes',0,1,1.5333,'P452532',5),(13474,'players to a','players to a',0,1,1.4,'P4623',5),(13475,'real-life','real-life',0,0,0.6,'R410',5),(13476,'real-life planes','real-life planes',0,1,1.5333,'R41452',5),(13477,'real-life planes and','real-life planes and',0,1,1.6667,'R4145253',5),(13478,'second installment','second installment',0,1,1.6,'S53523453',5),(13479,'second installment of','second installment of',0,1,1.7,'S535234531',5),(13480,'simulation','simulation',0,0,0.6667,'S5435',5),(13481,'simulation the','simulation the',0,1,1.4667,'S54353',5),(13482,'simulation the game','simulation the game',0,1,1.6333,'S5435325',5),(13483,'takes players','takes players',0,1,1.4333,'T21462',5),(13484,'takes players to','takes players to',0,1,1.5333,'T214623',5),(13485,'the game features','the game features',0,1,1.5667,'T251362',5),(13486,'the second installment','the second installment',0,1,1.7333,'T253523453',5),(13487,'to a','to a',0,1,1.1333,'T000',9),(13488,'to a 20-mission','to a 20-mission',0,1,1.5,'T525',5),(13489,'tom clancy','tom clancy',0,1,1.3333,'T52452',5),(13490,'tom clancy hawx','tom clancy hawx',0,1,1.5,'T52452',5),(13491,'tom clancy ubisoft\'s','tom clancy ubisoft',0,1,1.6667,'T5245212132',5),(13492,'ubisoft\'s air','ubisoft air',0,1,1.4333,'U121326',5),(13493,'ubisoft\'s air combat','ubisoft air combat',0,1,1.6667,'U1213262513',5),(13494,'anticipated','anticipated',0,0,0.7333,'A53213',184),(13495,'anticipated iconic','anticipated iconic',0,1,1.6,'A53213252',3),(13496,'anticipated iconic tomb','anticipated iconic tomb',0,1,1.7667,'A53213252351',3),(13497,'games tomb','games tomb',0,1,1.3333,'G52351',15),(13498,'games tomb raider','games tomb raider',0,1,1.5667,'G52351636',15),(13499,'history','history',0,0,0.4667,'H236',22),(13500,'history of','history of',0,1,1.3333,'H2361',17),(13501,'history of games','history of games',0,1,1.5333,'H2361252',15),(13502,'iconic','iconic',0,0,0.4,'I252',15),(13503,'iconic series','iconic series',0,1,1.4333,'I25262',15),(13504,'iconic series in','iconic series in',0,1,1.5333,'I252625',15),(13505,'iconic tomb','iconic tomb',0,1,1.3667,'I252351',3),(13506,'iconic tomb raider','iconic tomb raider',0,1,1.6,'I252351636',3),(13507,'in the history','in the history',0,1,1.4667,'I53236',15),(13508,'is risus','is risus',0,1,1.2667,'I262',15),(13509,'is risus varius','is risus varius',0,1,1.5,'I262162',15),(13510,'most anticipated','most anticipated',0,1,1.5333,'M2353213',3),(13511,'most anticipated iconic','most anticipated iconic',0,1,1.7667,'M2353213252',3),(13512,'most iconic','most iconic',0,1,1.3667,'M23252',15),(13513,'most iconic series','most iconic series',0,1,1.6,'M2325262',15),(13514,'of games','of games',0,1,1.2667,'O1252',15),(13515,'of games tomb','of games tomb',0,1,1.4333,'O1252351',15),(13516,'of the most','of the most',0,1,1.3667,'O13523',20),(13517,'one of the','one of the',0,1,1.3333,'O513',24),(13518,'raider','raider',0,0,0.4,'R360',15),(13519,'raider is','raider is',0,1,1.3,'R362',15),(13520,'raider is risus','raider is risus',0,1,1.5,'R36262',15),(13521,'series in','series in',0,1,1.3,'S625',15),(13522,'series in the','series in the',0,1,1.4333,'S6253',15),(13523,'the history','the history',0,1,1.3667,'T236',15),(13524,'the history of','the history of',0,1,1.4667,'T2361',15),(13525,'the most iconic','the most iconic',0,1,1.5,'T523252',15),(13526,'tomb','tomb',0,0,0.2667,'T510',15),(13527,'tomb raider','tomb raider',0,1,1.3667,'T51636',15),(13528,'tomb raider is','tomb raider is',0,1,1.4667,'T516362',15),(13529,'by ubisoft','by ubisoft',0,1,1.3333,'B213',5),(13530,'confirmed','confirmed',0,0,0.6,'C51653',5),(13531,'confirmed by','confirmed by',0,1,1.4,'C516531',5),(13532,'confirmed by ubisoft','confirmed by ubisoft',0,1,1.6667,'C516531213',5),(13533,'its official','its official',0,1,1.4,'I32124',5),(13534,'its official rainbow','its official rainbow',0,1,1.6667,'I32124651',5),(13535,'official','official',0,0,0.5333,'O124',5),(13536,'official rainbow','official rainbow',0,1,1.5333,'O124651',5),(13537,'official rainbow six','official rainbow six',0,1,1.6667,'O1246512',5),(13538,'patriots confirmed','patriots confirmed',0,1,1.6,'P363251653',5),(13539,'patriots confirmed by','patriots confirmed by',0,1,1.7,'P3632516531',5),(13540,'rainbow','rainbow',0,0,0.4667,'R510',5),(13541,'rainbow six','rainbow six',0,1,1.3667,'R512',5),(13542,'rainbow six patriots','rainbow six patriots',0,1,1.6667,'R51213632',5),(13543,'six','six',0,0,0.2,'S000',5),(13544,'six patriots','six patriots',0,1,1.4,'S13632',5),(13545,'six patriots confirmed','six patriots confirmed',0,1,1.7333,'S1363251653',5),(13546,'2 “come get','2 “come get',0,1,1.3667,'“2523',3),(13547,'“come get','“come get',0,1,1.3,'“2523',3),(13548,'“come get me”','“come get me”',0,1,1.4333,'“25235',3),(13549,'a layout','a layout',0,1,1.2667,'A430',2),(13550,'a layout where','a layout where',0,1,1.4667,'A436',2),(13551,'a nsp','a nsp',0,1,1.1667,'A521',13),(13552,'a nsp module','a nsp module',0,1,1.4,'A521534',13),(13553,'additional suffixes big','additional suffixes big',0,1,1.7667,'A35421212',2),(13554,'and bottom2','and bottom2',0,1,1.3667,'A53135',2),(13555,'and bottom2 please','and bottom2 please',0,1,1.6,'A53135142',2),(13556,'are on','are on',0,1,1.2,'A650',2),(13557,'are on the','are on the',0,1,1.3333,'A653',2),(13558,'articles are','articles are',0,1,1.4,'A632426',2),(13559,'articles are on','articles are on',0,1,1.5,'A6324265',2),(13560,'big this','big this',0,1,1.2667,'B232',2),(13561,'big this suffix','big this suffix',0,1,1.5,'B23212',2),(13562,'bigger fonts','bigger fonts',0,1,1.4,'B261532',2),(13563,'bigger fonts horizontal','bigger fonts horizontal',0,1,1.7667,'B26153262534',2),(13564,'bottom1 and','bottom1 and',0,1,1.3667,'B353',2),(13565,'bottom1 and bottom2','bottom1 and bottom2',0,1,1.6333,'B353135',2),(13566,'bottom2 please','bottom2 please',0,1,1.4667,'B35142',2),(13567,'bottom2 please use','bottom2 please use',0,1,1.6,'B35142',2),(13568,'color1 color2','color1 color2',0,1,1.4333,'C46246',2),(13569,'color1 color2 color3','color1 color2 color3',0,1,1.6667,'C46246246',2),(13570,'color2 color3','color2 color3',0,1,1.4333,'C46246',2),(13571,'color2 color3 the','color2 color3 the',0,1,1.5667,'C462463',2),(13572,'color3','color3',0,0,0.4,'C460',2),(13573,'color3 the','color3 the',0,1,1.3333,'C463',2),(13574,'color3 the clear','color3 the clear',0,1,1.5333,'C463246',2),(13575,'creates a layout','creates a layout',0,1,1.5333,'C63243',2),(13576,'creates a nsp','creates a nsp',0,1,1.4333,'C632521',13),(13577,'edge margins','edge margins',0,1,1.4,'E3256252',2),(13578,'edge margins vertical','edge margins vertical',0,1,1.7,'E325625216324',2),(13579,'fonts','fonts',0,0,0.3333,'F532',2),(13580,'fonts horizontal','fonts horizontal',0,1,1.5333,'F53262534',2),(13581,'fonts horizontal which','fonts horizontal which',0,1,1.7333,'F532625342',2),(13582,'horizontal layout','horizontal layout',0,1,1.5667,'H625343',2),(13583,'horizontal layout it','horizontal layout it',0,1,1.6667,'H625343',2),(13584,'horizontal which','horizontal which',0,1,1.5333,'H625342',2),(13585,'horizontal which creates','horizontal which creates',0,1,1.8,'H625342632',2),(13586,'it reduces','it reduces',0,1,1.3333,'I3632',2),(13587,'it reduces edge','it reduces edge',0,1,1.5,'I363232',2),(13588,'it reduces unnecessary','it reduces unnecessary',0,1,1.7333,'I3632526',2),(13589,'layout','layout',0,0,0.4,'L300',26),(13590,'layout it','layout it',0,1,1.3,'L300',2),(13591,'layout it reduces','layout it reduces',0,1,1.5667,'L3632',2),(13592,'layout where','layout where',0,1,1.4,'L360',2),(13593,'layout where articles','layout where articles',0,1,1.7,'L363242',2),(13594,'margins in','margins in',0,1,1.3333,'M62525',2),(13595,'margins in the','margins in the',0,1,1.4667,'M625253',2),(13596,'margins vertical','margins vertical',0,1,1.5333,'M625216324',2),(13597,'margins vertical it','margins vertical it',0,1,1.6333,'M6252163243',2),(13598,'module options on','module options on',0,1,1.5667,'M3413525',2),(13599,'module positions bottom1','module positions bottom1',0,1,1.8,'M3412352135',2),(13600,'module with bigger','module with bigger',0,1,1.6,'M343126',2),(13601,'nsp module with','nsp module with',0,1,1.5,'N215343',13),(13602,'nsp vertical','nsp vertical',0,1,1.4,'N216324',2),(13603,'nsp vertical layout','nsp vertical layout',0,1,1.6333,'N2163243',2),(13604,'on the horizontal','on the horizontal',0,1,1.5667,'O5362534',2),(13605,'on the module','on the module',0,1,1.4333,'O53534',2),(13606,'only color1','only color1',0,1,1.3667,'O54246',2),(13607,'only color1 color2','only color1 color2',0,1,1.6,'O54246246',2),(13608,'options on','options on',0,1,1.3333,'O13525',2),(13609,'options on the','options on the',0,1,1.4667,'O135253',2),(13610,'please use only','please use only',0,1,1.5,'P4254',2),(13611,'positions bottom1','positions bottom1',0,1,1.5667,'P2352135',2),(13612,'positions bottom1 and','positions bottom1 and',0,1,1.7,'P23521353',2),(13613,'positions the news','positions the news',0,1,1.6,'P2352352',6),(13614,'reduces','reduces',0,0,0.4667,'R320',2),(13615,'reduces edge','reduces edge',0,1,1.4,'R3232',2),(13616,'reduces edge margins','reduces edge margins',0,1,1.6667,'R323256252',2),(13617,'reduces unnecessary','reduces unnecessary',0,1,1.6333,'R32526',2),(13618,'reduces unnecessary margins','reduces unnecessary margins',0,1,1.9,'R3252656252',2),(13619,'suffix creates','suffix creates',0,1,1.4667,'S12632',13),(13620,'suffix creates a','suffix creates a',0,1,1.5333,'S12632',13),(13621,'suffixes big','suffixes big',0,1,1.4,'S1212',2),(13622,'suffixes big this','suffixes big this',0,1,1.5667,'S121232',2),(13623,'the horizontal layout','the horizontal layout',0,1,1.7,'T625343',2),(13624,'the module positions','the module positions',0,1,1.6667,'T53412352',2),(13625,'the nsp vertical','the nsp vertical',0,1,1.5333,'T5216324',2),(13626,'this suffix creates','this suffix creates',0,1,1.6333,'T212632',13),(13627,'unnecessary','unnecessary',0,0,0.7333,'U526',6),(13628,'unnecessary margins','unnecessary margins',0,1,1.6333,'U52656252',2),(13629,'unnecessary margins in','unnecessary margins in',0,1,1.7333,'U526562525',2),(13630,'use only','use only',0,1,1.2667,'U254',16),(13631,'use only color1','use only color1',0,1,1.5,'U254246',2),(13632,'vertical it','vertical it',0,1,1.3667,'V63243',2),(13633,'vertical it reduces','vertical it reduces',0,1,1.6333,'V63243632',2),(13634,'vertical layout','vertical layout',0,1,1.5,'V63243',2),(13635,'where articles','where articles',0,1,1.4667,'W63242',2),(13636,'where articles are','where articles are',0,1,1.6,'W632426',2),(13637,'with bigger','with bigger',0,1,1.3667,'W3126',2),(13638,'with bigger fonts','with bigger fonts',0,1,1.5667,'W31261532',2),(13639,'additional suffixes which','additional suffixes which',0,1,1.8333,'A354212',3),(13640,'and nooverflow','and nooverflow',0,1,1.4667,'A5351614',3),(13641,'and nooverflow it','and nooverflow it',0,1,1.5667,'A53516143',3),(13642,'are used','are used',0,1,1.2667,'A623',3),(13643,'are used automatically','are used automatically',0,1,1.7333,'A6235324',3),(13644,'automatically','automatically',0,0,0.8667,'A35324',8),(13645,'automatically by','automatically by',0,1,1.5333,'A353241',3),(13646,'automatically by the','automatically by the',0,1,1.6667,'A3532413',3),(13647,'box','box',0,0,0.2,'B200',3),(13648,'box and','box and',0,1,1.2333,'B253',3),(13649,'box and nooverflow','box and nooverflow',0,1,1.6,'B25351614',3),(13650,'box elements','box elements',0,1,1.4,'B24532',3),(13651,'by the template','by the template',0,1,1.5,'B35143',3),(13652,'from the module','from the module',0,1,1.5,'F653534',3),(13653,'hidden from','hidden from',0,1,1.3667,'H35165',3),(13654,'hidden from the','hidden from the',0,1,1.5,'H351653',3),(13655,'it removes','it removes',0,1,1.3333,'I36512',3),(13656,'it removes the','it removes the',0,1,1.4667,'I365123',3),(13657,'layout there','layout there',0,1,1.4,'L360',1),(13658,'layout there are','layout there are',0,1,1.5333,'L360',1),(13659,'margin','margin',0,0,0.4,'M625',3),(13660,'margin from','margin from',0,1,1.3667,'M625165',3),(13661,'margin from the','margin from the',0,1,1.5,'M6251653',3),(13662,'module box','module box',0,1,1.3333,'M3412',3),(13663,'module box and','module box and',0,1,1.4667,'M341253',3),(13664,'module box elements','module box elements',0,1,1.6333,'M34124532',3),(13665,'nomargin removes','nomargin removes',0,1,1.5333,'N6256512',3),(13666,'nomargin removes the','nomargin removes the',0,1,1.6667,'N62565123',3),(13667,'nooverflow','nooverflow',0,0,0.6667,'N1614',3),(13668,'nooverflow it','nooverflow it',0,1,1.4333,'N16143',3),(13669,'nooverflow it removes','nooverflow it removes',0,1,1.7,'N161436512',3),(13670,'overflow','overflow',0,0,0.5333,'O1614',3),(13671,'overflow hidden','overflow hidden',0,1,1.5,'O161435',3),(13672,'overflow hidden from','overflow hidden from',0,1,1.6667,'O161435165',3),(13673,'removes','removes',0,0,0.4667,'R512',3),(13674,'removes the','removes the',0,1,1.3667,'R5123',3),(13675,'removes the overflow','removes the overflow',0,1,1.6667,'R51231614',3),(13676,'removes the top','removes the top',0,1,1.5,'R51231',3),(13677,'suffixes which','suffixes which',0,1,1.4667,'S120',3),(13678,'suffixes which are','suffixes which are',0,1,1.6,'S126',3),(13679,'template nomargin','template nomargin',0,1,1.5667,'T51435625',3),(13680,'template nomargin removes','template nomargin removes',0,1,1.8333,'T514356256512',3),(13681,'the module box','the module box',0,1,1.4667,'T53412',3),(13682,'the overflow','the overflow',0,1,1.4,'T1614',3),(13683,'the overflow hidden','the overflow hidden',0,1,1.6333,'T161435',3),(13684,'the template nomargin','the template nomargin',0,1,1.7,'T51435625',3),(13685,'the top margin','the top margin',0,1,1.4667,'T15625',3),(13686,'top margin','top margin',0,1,1.3333,'T15625',3),(13687,'top margin from','top margin from',0,1,1.5,'T15625165',3),(13688,'two additional suffixes','two additional suffixes',0,1,1.7667,'T54212',3),(13689,'used automatically','used automatically',0,1,1.6,'U235324',3),(13690,'used automatically by','used automatically by',0,1,1.7,'U2353241',3),(13691,'vertical layout there','vertical layout there',0,1,1.7,'V632436',1),(13692,'which are','which are',0,1,1.3,'W260',7),(13693,'which are used','which are used',0,1,1.4667,'W2623',3),(13694,'2 li','2 li',0,1,1.1333,'L000',1),(13695,'2 li li','2 li li',0,1,1.2333,'L000',1),(13696,'2012 li','2012 li',0,1,1.2333,'L000',1),(13697,'2012 li ol','2012 li ol',0,1,1.3333,'L000',1),(13698,'a class gkfb','a class gkfb',0,1,1.4,'A2421',14),(13699,'a class gkgplus','a class gkgplus',0,1,1.5,'A242142',14),(13700,'a class gkrss','a class gkrss',0,1,1.4333,'A24262',1),(13701,'a class gktwitter','a class gktwitter',0,1,1.5667,'A24236',14),(13702,'a top','a top',0,1,1.1667,'A310',1),(13703,'a top list','a top list',0,1,1.3333,'A31423',1),(13704,'a virus','a virus',0,1,1.2333,'A162',1),(13705,'a virus named','a virus named',0,1,1.4333,'A16253',1),(13706,'academy','academy',0,0,0.4667,'A235',1),(13707,'academy li','academy li',0,1,1.3333,'A2354',1),(13708,'academy li li','academy li li',0,1,1.4333,'A2354',1),(13709,'brigade','brigade',0,0,0.4667,'B623',1),(13710,'brigade li','brigade li',0,1,1.3333,'B6234',1),(13711,'brigade li li','brigade li li',0,1,1.4333,'B6234',1),(13712,'class gkfb','class gkfb',0,1,1.3333,'C421',14),(13713,'class gkfb href','class gkfb href',0,1,1.5,'C42161',14),(13714,'class gkgplus','class gkgplus',0,1,1.4333,'C42142',14),(13715,'class gkgplus href','class gkgplus href',0,1,1.6,'C4214261',14),(13716,'class gkrss href','class gkrss href',0,1,1.5333,'C426261',1),(13717,'class gktoplist','class gktoplist',0,1,1.5,'C4231423',1),(13718,'class gktoplist li','class gktoplist li',0,1,1.6,'C42314234',1),(13719,'class gktwitter href','class gktwitter href',0,1,1.6667,'C42361',14),(13720,'create a top','create a top',0,1,1.4,'C631',1),(13721,'die','die',0,0,0.2,'D000',1),(13722,'die 2','die 2',0,1,1.1667,'D000',1),(13723,'die 2 li','die 2 li',0,1,1.2667,'D400',1),(13724,'elements social','elements social',0,1,1.5,'E45324',14),(13725,'elements social icons','elements social icons',0,1,1.7,'E45324252',14),(13726,'gkfb','gkfb',0,0,0.2667,'G100',14),(13727,'gkfb href','gkfb href',0,1,1.3,'G161',14),(13728,'gkfb href facebook','gkfb href facebook',0,1,1.6,'G161212',14),(13729,'gkgplus','gkgplus',0,0,0.4667,'G142',14),(13730,'gkgplus href','gkgplus href',0,1,1.4,'G14261',14),(13731,'gkgplus href google','gkgplus href google',0,1,1.6333,'G1426124',14),(13732,'gkrss href','gkrss href',0,1,1.3333,'G6261',1),(13733,'gkrss href rss','gkrss href rss',0,1,1.4667,'G626162',1),(13734,'gktoplist','gktoplist',0,0,0.6,'G31423',1),(13735,'gktoplist li','gktoplist li',0,1,1.4,'G314234',1),(13736,'gktoplist li iron','gktoplist li iron',0,1,1.5667,'G31423465',1),(13737,'gktwitter href','gktwitter href',0,1,1.4667,'G361',14),(13738,'gktwitter href twitter','gktwitter href twitter',0,1,1.7333,'G36136',14),(13739,'hero','hero',0,0,0.2667,'H600',1),(13740,'hero academy','hero academy',0,1,1.4,'H6235',1),(13741,'hero academy li','hero academy li',0,1,1.5,'H62354',1),(13742,'iron','iron',0,0,0.2667,'I650',5),(13743,'iron brigade','iron brigade',0,1,1.4,'I651623',1),(13744,'iron brigade li','iron brigade li',0,1,1.5,'I6516234',1),(13745,'li','li',0,0,0.1333,'L000',1),(13746,'li a','li a',0,1,1.1333,'L000',1),(13747,'li a virus','li a virus',0,1,1.3333,'L162',1),(13748,'li hero','li hero',0,1,1.2333,'L600',1),(13749,'li hero academy','li hero academy',0,1,1.5,'L6235',1),(13750,'li iron','li iron',0,1,1.2333,'L650',1),(13751,'li iron brigade','li iron brigade',0,1,1.5,'L651623',1),(13752,'li li','li li',0,1,1.1667,'L000',1),(13753,'li li a','li li a',0,1,1.2333,'L000',1),(13754,'li li hero','li li hero',0,1,1.3333,'L600',1),(13755,'li li orcs','li li orcs',0,1,1.3333,'L620',1),(13756,'li li the','li li the',0,1,1.3,'L300',1),(13757,'li ol','li ol',0,1,1.1667,'L000',1),(13758,'li orcs','li orcs',0,1,1.2333,'L620',1),(13759,'li orcs must','li orcs must',0,1,1.4,'L62523',1),(13760,'li the','li the',0,1,1.2,'L300',1),(13761,'li the political','li the political',0,1,1.5333,'L314324',1),(13762,'list','list',0,0,0.2667,'L230',6),(13763,'list using','list using',0,1,1.3333,'L23252',1),(13764,'list using this','list using this',0,1,1.5,'L2325232',1),(13765,'list you','list you',0,1,1.2667,'L230',1),(13766,'list you can','list you can',0,1,1.4,'L2325',1),(13767,'machine','machine',0,0,0.4667,'M250',1),(13768,'machine 2012','machine 2012',0,1,1.4,'M250',1),(13769,'machine 2012 li','machine 2012 li',0,1,1.5,'M254',1),(13770,'must die','must die',0,1,1.2667,'M230',1),(13771,'must die 2','must die 2',0,1,1.3333,'M230',1),(13772,'named','named',0,0,0.3333,'N300',7),(13773,'named tom','named tom',0,1,1.3,'N350',1),(13774,'named tom li','named tom li',0,1,1.4,'N354',1),(13775,'ol class gktoplist','ol class gktoplist',0,1,1.6,'O424231423',1),(13776,'orcs','orcs',0,0,0.2667,'O620',1),(13777,'orcs must','orcs must',0,1,1.3,'O62523',1),(13778,'orcs must die','orcs must die',0,1,1.4333,'O62523',1),(13779,'political','political',0,0,0.6,'P4324',1),(13780,'political machine','political machine',0,1,1.5667,'P4324525',1),(13781,'political machine 2012','political machine 2012',0,1,1.7333,'P4324525',1),(13782,'rss a top','rss a top',0,1,1.3,'R231',1),(13783,'simple structure','simple structure',0,1,1.5333,'S514236236',1),(13784,'simple structure ol','simple structure ol',0,1,1.6333,'S5142362364',1),(13785,'sodales special','sodales special',0,1,1.5,'S342124',14),(13786,'sodales special template','sodales special template',0,1,1.8,'S34212435143',14),(13787,'special template','special template',0,1,1.5333,'S12435143',14),(13788,'special template typography','special template typography',0,1,1.9,'S124351431261',14),(13789,'structure ol','structure ol',0,1,1.4,'S362364',1),(13790,'structure ol class','structure ol class',0,1,1.6,'S362364242',1),(13791,'template typography elements','template typography elements',0,1,1.9333,'T514312614532',14),(13792,'the political','the political',0,1,1.4333,'T14324',1),(13793,'the political machine','the political machine',0,1,1.7,'T14324525',1),(13794,'this simple','this simple',0,1,1.3667,'T2514',1),(13795,'this simple structure','this simple structure',0,1,1.7,'T2514236236',1),(13796,'tom li','tom li',0,1,1.2,'T540',1),(13797,'tom li li','tom li li',0,1,1.3,'T540',1),(13798,'top list','top list',0,1,1.2667,'T1423',4),(13799,'top list using','top list using',0,1,1.4667,'T1423252',1),(13800,'top list you','top list you',0,1,1.4,'T1423',1),(13801,'typography elements social','typography elements social',0,1,1.8667,'T126145324',14),(13802,'urna sodales special','urna sodales special',0,1,1.6667,'U652342124',14),(13803,'using this','using this',0,1,1.3333,'U25232',1),(13804,'using this simple','using this simple',0,1,1.5667,'U25232514',1),(13805,'virus','virus',0,0,0.3333,'V620',1),(13806,'virus named','virus named',0,1,1.3667,'V6253',1),(13807,'virus named tom','virus named tom',0,1,1.5,'V62535',1),(13808,'ac augue','ac augue',0,1,1.2667,'A200',1),(13809,'ac augue ac','ac augue ac',0,1,1.3667,'A200',1),(13810,'ac enim','ac enim',0,1,1.2333,'A250',1),(13811,'ac enim interdum','ac enim interdum',0,1,1.5333,'A253635',1),(13812,'adipiscing elit ut','adipiscing elit ut',0,1,1.6,'A3125243',1),(13813,'augue ac','augue ac',0,1,1.2667,'A200',1),(13814,'augue ac enim','augue ac enim',0,1,1.4333,'A250',1),(13815,'elit ut','elit ut',0,1,1.2333,'E430',1),(13816,'elit ut ac','elit ut ac',0,1,1.3333,'E432',1),(13817,'enim interdum','enim interdum',0,1,1.4333,'E53635',1),(13818,'enim interdum interdum','enim interdum interdum',0,1,1.7333,'E536353635',1),(13819,'interdum interdum','interdum interdum',0,1,1.5667,'I536353635',1),(13820,'interdum interdum ut','interdum interdum ut',0,1,1.6667,'I5363536353',1),(13821,'interdum ut','interdum ut',0,1,1.3667,'I536353',1),(13822,'interdum ut vitae','interdum ut vitae',0,1,1.5667,'I53635313',1),(13823,'ut ac','ut ac',0,1,1.1667,'U320',1),(13824,'ut ac augue','ut ac augue',0,1,1.3667,'U320',1),(13825,'ut vitae','ut vitae',0,1,1.2667,'U313',1),(13826,'ut vitae tellus','ut vitae tellus',0,1,1.5,'U31342',1),(13827,'additional spaces','additional spaces',0,1,1.5667,'A354212',2),(13828,'additional spaces in','additional spaces in',0,1,1.6667,'A3542125',2),(13829,'additional suffix','additional suffix',0,1,1.5667,'A354212',2),(13830,'additional suffix nspanimated','additional suffix nspanimated',0,1,1.9667,'A35421252153',2),(13831,'an additional spaces','an additional spaces',0,1,1.6667,'A5354212',2),(13832,'and smallspaces','and smallspaces',0,1,1.5,'A53254212',2),(13833,'and smallspaces which','and smallspaces which',0,1,1.7,'A53254212',2),(13834,'animation there','animation there',0,1,1.5,'A53536',2),(13835,'animation there are','animation there are',0,1,1.6333,'A53536',2),(13836,'bigspaces','bigspaces',0,0,0.6,'B212',2),(13837,'bigspaces mediumspaces','bigspaces mediumspaces',0,1,1.7333,'B212535212',2),(13838,'bigspaces mediumspaces and','bigspaces mediumspaces and',0,1,1.8667,'B21253521253',2),(13839,'bottom1-4','bottom1-4',0,0,0.6,'B350',6),(13840,'bottom1-4 module','bottom1-4 module',0,1,1.5333,'B3534',6),(13841,'bottom1-4 module positions','bottom1-4 module positions',0,1,1.8667,'B353412352',6),(13842,'create an','create an',0,1,1.3,'C635',4),(13843,'create an additional','create an additional',0,1,1.6667,'C635354',2),(13844,'for the modules','for the modules',0,1,1.5,'F635342',16),(13845,'has additional suffix','has additional suffix',0,1,1.7,'H2354212',2),(13846,'initial','initial',0,0,0.4667,'I534',2),(13847,'initial animation','initial animation',0,1,1.5667,'I534535',2),(13848,'initial animation there','initial animation there',0,1,1.7667,'I53453536',2),(13849,'mediumspaces','mediumspaces',0,0,0.8,'M35212',2),(13850,'mediumspaces and','mediumspaces and',0,1,1.5333,'M3521253',2),(13851,'mediumspaces and smallspaces','mediumspaces and smallspaces',0,1,1.9333,'M3521253254212',2),(13852,'module with initial','module with initial',0,1,1.6333,'M343534',2),(13853,'modules the','modules the',0,1,1.3667,'M3423',2),(13854,'modules the clear','modules the clear',0,1,1.5667,'M3423246',2),(13855,'modules used','modules used',0,1,1.4,'M3423',16),(13856,'modules used on','modules used on',0,1,1.5,'M34235',16),(13857,'nspanimated','nspanimated',0,0,0.7333,'N2153',2),(13858,'nspanimated this','nspanimated this',0,1,1.5333,'N21532',2),(13859,'nspanimated this suffix','nspanimated this suffix',0,1,1.7667,'N2153212',2),(13860,'on the bottom1-4','on the bottom1-4',0,1,1.5333,'O53135',6),(13861,'positions we recommened','positions we recommened',0,1,1.7667,'P23526253',16),(13862,'recommened','recommened',0,0,0.6667,'R253',16),(13863,'recommened too','recommened too',0,1,1.4667,'R253',2),(13864,'recommened too suffixes','recommened too suffixes',0,1,1.7667,'R253212',2),(13865,'smallspaces','smallspaces',0,0,0.7333,'S54212',2),(13866,'smallspaces which','smallspaces which',0,1,1.5667,'S54212',2),(13867,'smallspaces which will','smallspaces which will',0,1,1.7333,'S542124',2),(13868,'spaces','spaces',0,0,0.4,'S120',10),(13869,'spaces in','spaces in',0,1,1.3,'S125',2),(13870,'spaces in the','spaces in the',0,1,1.4333,'S1253',2),(13871,'suffix nspanimated','suffix nspanimated',0,1,1.6,'S1252153',2),(13872,'suffix nspanimated this','suffix nspanimated this',0,1,1.7667,'S12521532',2),(13873,'suffixes bigspaces','suffixes bigspaces',0,1,1.6,'S121212',2),(13874,'suffixes bigspaces mediumspaces','suffixes bigspaces mediumspaces',0,1,2,'S121212535212',2),(13875,'template for','template for',0,1,1.4,'T514316',4),(13876,'template for the','template for the',0,1,1.5333,'T5143163',4),(13877,'the bottom1-4','the bottom1-4',0,1,1.4333,'T135',6),(13878,'the bottom1-4 module','the bottom1-4 module',0,1,1.6667,'T13534',6),(13879,'the modules the','the modules the',0,1,1.5,'T53423',2),(13880,'the modules used','the modules used',0,1,1.5333,'T53423',16),(13881,'this template for','this template for',0,1,1.5667,'T23514316',4),(13882,'too suffixes','too suffixes',0,1,1.4,'T212',2),(13883,'too suffixes bigspaces','too suffixes bigspaces',0,1,1.7333,'T2121212',2),(13884,'used on','used on',0,1,1.2333,'U235',19),(13885,'used on the','used on the',0,1,1.3667,'U2353',19),(13886,'we recommened','we recommened',0,1,1.4333,'W6253',16),(13887,'we recommened too','we recommened too',0,1,1.5667,'W6253',2),(13888,'which will','which will',0,1,1.3333,'W240',3),(13889,'which will create','which will create',0,1,1.5667,'W24263',2),(13890,'will create','will create',0,1,1.3667,'W4263',2),(13891,'will create an','will create an',0,1,1.4667,'W42635',2),(13892,'with initial','with initial',0,1,1.4,'W3534',2),(13893,'with initial animation','with initial animation',0,1,1.7333,'W3534535',2),(13894,'a first','a first',0,1,1.2333,'A1623',1),(13895,'a first line','a first line',0,1,1.4,'A162345',1),(13896,'a second','a second',0,1,1.2667,'A253',1),(13897,'a second line','a second line',0,1,1.4333,'A25345',1),(13898,'a second smaller','a second smaller',0,1,1.5333,'A2532546',1),(13899,'a strong','a strong',0,1,1.2667,'A23652',1),(13900,'a strong example','a strong example',0,1,1.5333,'A23652514',1),(13901,'additionally if','additionally if',0,1,1.5,'A3541',1),(13902,'additionally if you','additionally if you',0,1,1.6333,'A3541',1),(13903,'and it is','and it is',0,1,1.3,'A532',1),(13904,'bolded','bolded',0,0,0.4,'B430',1),(13905,'bolded text','bolded text',0,1,1.3667,'B4323',1),(13906,'bolded text in','bolded text in',0,1,1.4667,'B43235',1),(13907,'built-in','built-in',0,0,0.5333,'B435',6),(13908,'built-in in','built-in in',0,1,1.3667,'B435',1),(13909,'built-in in the','built-in in the',0,1,1.5,'B4353',1),(13910,'chars','chars',0,0,0.3333,'C620',1),(13911,'chars i','chars i',0,1,1.2333,'C620',1),(13912,'chars i e','chars i e',0,1,1.3,'C620',1),(13913,'create a second','create a second',0,1,1.5,'C63253',1),(13914,'create bolded','create bolded',0,1,1.4333,'C63143',1),(13915,'create bolded text','create bolded text',0,1,1.6,'C6314323',1),(13916,'e this','e this',0,1,1.2,'E320',1),(13917,'e this is','e this is',0,1,1.3,'E320',1),(13918,'example additionally','example additionally',0,1,1.6667,'E2514354',1),(13919,'example additionally if','example additionally if',0,1,1.7667,'E25143541',1),(13920,'feature is','feature is',0,1,1.3333,'F362',1),(13921,'feature is built-in','feature is built-in',0,1,1.6333,'F3621435',1),(13922,'first line','first line',0,1,1.3333,'F62345',1),(13923,'first line and','first line and',0,1,1.4667,'F623453',1),(13924,'i e this','i e this',0,1,1.2667,'I320',1),(13925,'in the module','in the module',0,1,1.4333,'I53534',6),(13926,'in the title','in the title',0,1,1.4,'I534',1),(13927,'is a first','is a first',0,1,1.3333,'I21623',1),(13928,'is a second','is a second',0,1,1.3667,'I253',1),(13929,'is a strong','is a strong',0,1,1.3667,'I23652',1),(13930,'is built-in','is built-in',0,1,1.3667,'I21435',1),(13931,'is built-in in','is built-in in',0,1,1.4667,'I21435',1),(13932,'line and','line and',0,1,1.2667,'L530',1),(13933,'line and it','line and it',0,1,1.3667,'L530',1),(13934,'line for','line for',0,1,1.2667,'L516',1),(13935,'line for the','line for the',0,1,1.4,'L5163',1),(13936,'line in','line in',0,1,1.2333,'L500',1),(13937,'line in the','line in the',0,1,1.3667,'L530',1),(13938,'module title','module title',0,1,1.4,'M3434',1),(13939,'module title please','module title please',0,1,1.6333,'M3434142',1),(13940,'module titles','module titles',0,1,1.4333,'M34342',1),(13941,'module titles if','module titles if',0,1,1.5333,'M343421',1),(13942,'please wrap','please wrap',0,1,1.3667,'P4261',1),(13943,'please wrap the','please wrap the',0,1,1.5,'P42613',1),(13944,'second line','second line',0,1,1.3667,'S5345',1),(13945,'second line for','second line for',0,1,1.5,'S534516',1),(13946,'second smaller','second smaller',0,1,1.4667,'S532546',1),(13947,'second smaller line','second smaller line',0,1,1.6333,'S53254645',1),(13948,'smaller','smaller',0,0,0.4667,'S546',3),(13949,'smaller line','smaller line',0,1,1.4,'S54645',1),(13950,'smaller line in','smaller line in',0,1,1.5,'S54645',1),(13951,'strong example additionally','strong example additionally',0,1,1.9,'S3652514354',1),(13952,'template the','template the',0,1,1.4,'T5143',1),(13953,'template the useful','template the useful',0,1,1.6333,'T5143214',1),(13954,'text in','text in',0,1,1.2333,'T235',1),(13955,'text in the','text in the',0,1,1.3667,'T2353',1),(13956,'text with i','text with i',0,1,1.3667,'T230',1),(13957,'the chars','the chars',0,1,1.3,'T262',1),(13958,'the chars i','the chars i',0,1,1.3667,'T262',1),(13959,'the module title','the module title',0,1,1.5333,'T53434',1),(13960,'the module titles','the module titles',0,1,1.5667,'T534342',1),(13961,'the text with','the text with',0,1,1.4333,'T230',1),(13962,'the title','the title',0,1,1.3,'T400',13),(13963,'the title please','the title please',0,1,1.5333,'T4142',1),(13964,'the useful','the useful',0,1,1.3333,'T214',1),(13965,'the useful feature','the useful feature',0,1,1.6,'T214136',1),(13966,'this template the','this template the',0,1,1.5667,'T235143',1),(13967,'title please','title please',0,1,1.4,'T4142',2),(13968,'title please use','title please use',0,1,1.5333,'T4142',2),(13969,'title please wrap','title please wrap',0,1,1.5667,'T414261',1),(13970,'titles if','titles if',0,1,1.3,'T421',1),(13971,'titles if you','titles if you',0,1,1.4333,'T421',1),(13972,'to create bolded','to create bolded',0,1,1.5333,'T263143',1),(13973,'use the chars','use the chars',0,1,1.4333,'U23262',1),(13974,'useful feature','useful feature',0,1,1.4667,'U214136',1),(13975,'useful feature is','useful feature is',0,1,1.5667,'U2141362',1),(13976,'want to create','want to create',0,1,1.4667,'W53263',3),(13977,'with i','with i',0,1,1.2,'W300',1),(13978,'with i e','with i e',0,1,1.2667,'W300',1),(13979,'wrap the','wrap the',0,1,1.2667,'W613',1),(13980,'wrap the text','wrap the text',0,1,1.4333,'W61323',1),(13981,'a class gkpinterest','a class gkpinterest',0,1,1.6333,'A242153623',13),(13982,'class gkpinterest','class gkpinterest',0,1,1.5667,'C42153623',13),(13983,'class gkpinterest href','class gkpinterest href',0,1,1.7333,'C4215362361',13),(13984,'gkpinterest','gkpinterest',0,0,0.7333,'G153623',13),(13985,'gkpinterest href','gkpinterest href',0,1,1.5333,'G15362361',13),(13986,'gkpinterest href pinterest','gkpinterest href pinterest',0,1,1.8667,'G1536236153623',13),(13987,'href pinterest','href pinterest',0,1,1.4667,'H6153623',13),(13988,'href pinterest a','href pinterest a',0,1,1.5333,'H6153623',13),(13989,'pinterest','pinterest',0,0,0.6,'P53623',13),(13990,'pinterest a','pinterest a',0,1,1.3667,'P53623',13),(14028,'non tincidunt','non tincidunt',0,1,1.4333,'N352353',893),(14029,'non tincidunt odio','non tincidunt odio',0,1,1.6,'N352353',893),(14030,'nulla facilisi duis','nulla facilisi duis',0,1,1.6333,'N4124232',829),(14031,'nunc porta','nunc porta',0,1,1.3333,'N2163',893),(14032,'nunc porta iaculis','nunc porta iaculis',0,1,1.6,'N2163242',893),(14033,'odio pharetra','odio pharetra',0,1,1.4333,'O31636',893),(14034,'odio pharetra vitae','odio pharetra vitae',0,1,1.6333,'O3163613',893),(14035,'pharetra vitae','pharetra vitae',0,1,1.4667,'P63613',893),(14036,'pharetra vitae nulla','pharetra vitae nulla',0,1,1.6667,'P6361354',893),(14037,'porta iaculis','porta iaculis',0,1,1.4333,'P63242',893),(14038,'porta iaculis aliquam','porta iaculis aliquam',0,1,1.7,'P63242425',893),(14039,'rendering','rendering',0,0,0.6,'R53652',10),(14040,'rendering combines','rendering combines',0,1,1.6,'R536525152',10),(14041,'rendering combines design','rendering combines design',0,1,1.8333,'R536525152325',10),(14042,'risus nec','risus nec',0,1,1.3,'R252',829),(14043,'risus nec erat','risus nec erat',0,1,1.4667,'R25263',829),(14044,'rutrum diam','rutrum diam',0,1,1.3667,'R36535',893),(14045,'rutrum diam non','rutrum diam non',0,1,1.5,'R36535',893),(14046,'sed a velit','sed a velit',0,1,1.3667,'S3143',893),(14047,'sed laoreet','sed laoreet',0,1,1.3667,'S3463',829),(14048,'sed laoreet dui','sed laoreet dui',0,1,1.5,'S3463',829),(14049,'tempus rutrum','tempus rutrum',0,1,1.4333,'T5126365',893),(14050,'tempus rutrum diam','tempus rutrum diam',0,1,1.6,'T512636535',893),(14051,'the artistic','the artistic',0,1,1.4,'T63232',10),(14052,'the artistic rendering','the artistic rendering',0,1,1.7333,'T63232653652',10),(14053,'tincidunt feugiat','tincidunt feugiat',0,1,1.5667,'T52353123',829),(14054,'tincidunt feugiat cras','tincidunt feugiat cras',0,1,1.7333,'T52353123262',829),(14055,'tincidunt odio','tincidunt odio',0,1,1.4667,'T52353',893),(14056,'tincidunt odio pharetra','tincidunt odio pharetra',0,1,1.7667,'T523531636',893),(14057,'velit luctus','velit luctus',0,1,1.4,'V434232',829),(14058,'velit luctus vitae','velit luctus vitae',0,1,1.6,'V43423213',829),(14059,'velit vitae','velit vitae',0,1,1.3667,'V4313',893),(14060,'velit vitae nunc','velit vitae nunc',0,1,1.5333,'V431352',893),(14061,'vestibulum vitae','vestibulum vitae',0,1,1.5333,'V2314513',829),(14062,'vestibulum vitae orci','vestibulum vitae orci',0,1,1.7,'V231451362',829),(14063,'vitae nulla','vitae nulla',0,1,1.3667,'V354',893),(14064,'vitae nulla facilisi','vitae nulla facilisi',0,1,1.6667,'V3541242',893),(14065,'vitae nunc','vitae nunc',0,1,1.3333,'V352',893),(14066,'vitae nunc porta','vitae nunc porta',0,1,1.5333,'V352163',893),(14067,'vitae orci','vitae orci',0,1,1.3333,'V362',829),(14068,'vitae vestibulum','vitae vestibulum',0,1,1.5333,'V3123145',829),(14069,'vitae vestibulum vitae','vitae vestibulum vitae',0,1,1.7333,'V312314513',829),(14070,'vitae volutpat','vitae volutpat',0,1,1.4667,'V314313',829),(14071,'vitae volutpat vitae','vitae volutpat vitae',0,1,1.6667,'V31431313',829),(14072,'volutpat vitae','volutpat vitae',0,1,1.4667,'V431313',829),(14073,'volutpat vitae vestibulum','volutpat vitae vestibulum',0,1,1.8333,'V431313123145',829),(14074,'agency','agency',0,0,0.4,'A252',18),(14075,'and website','and website',0,1,1.3667,'A53123',10),(14076,'and website design','and website design',0,1,1.6,'A5312325',10),(14077,'design agency','design agency',0,1,1.4333,'D25252',17),(14078,'design and','design and',0,1,1.3333,'D253',13),(14079,'design and website','design and website',0,1,1.6,'D253123',10),(14080,'graphic','graphic',0,0,0.4667,'G612',10),(14081,'graphic design','graphic design',0,1,1.4667,'G612325',10),(14082,'graphic design and','graphic design and',0,1,1.6,'G6123253',10),(14083,'website design','website design',0,1,1.4667,'W12325',10),(14084,'website design agency','website design agency',0,1,1.7,'W12325252',10),(14085,'and power','and power',0,1,1.3,'A5316',9),(14086,'and power of','and power of',0,1,1.4,'A53161',9),(14087,'art','art',0,0,0.2,'A630',9),(14088,'art direction','art direction',0,1,1.4333,'A636235',9),(14089,'art direction and','art direction and',0,1,1.5667,'A6362353',9),(14090,'craft','craft',0,0,0.3333,'C613',9),(14091,'craft of','craft of',0,1,1.2667,'C6131',9),(14092,'craft of art','craft of art',0,1,1.4,'C613163',9),(14093,'direction','direction',0,0,0.6,'D6235',9),(14094,'direction and','direction and',0,1,1.4333,'D62353',9),(14095,'direction and power','direction and power',0,1,1.6333,'D6235316',9),(14096,'ideas','ideas',0,0,0.3333,'I320',26),(14097,'of art','of art',0,1,1.2,'O163',9),(14098,'of art direction','of art direction',0,1,1.5333,'O1636235',9),(14099,'of ideas','of ideas',0,1,1.2667,'O132',9),(14100,'power of','power of',0,1,1.2667,'P610',9),(14101,'power of ideas','power of ideas',0,1,1.4667,'P6132',9),(14102,'the craft','the craft',0,1,1.3,'T2613',9),(14103,'the craft of','the craft of',0,1,1.4,'T26131',9),(14104,'and human','and human',0,1,1.3,'A535',4),(14105,'and human design','and human design',0,1,1.5333,'A535325',4),(14106,'garden','garden',0,0,0.4,'G635',4),(14107,'garden urban','garden urban',0,1,1.4,'G635615',4),(14108,'garden urban nature','garden urban nature',0,1,1.6333,'G63561536',4),(14109,'granite','granite',0,0,0.4667,'G653',4),(14110,'granite garden','granite garden',0,1,1.4667,'G6532635',4),(14111,'granite garden urban','granite garden urban',0,1,1.6667,'G6532635615',4),(14112,'human','human',0,0,0.3333,'H500',4),(14113,'human design','human design',0,1,1.4,'H5325',4),(14114,'nature and','nature and',0,1,1.3333,'N3653',4),(14115,'nature and human','nature and human',0,1,1.5333,'N36535',4),(14116,'the granite','the granite',0,1,1.3667,'T2653',4),(14117,'the granite garden','the granite garden',0,1,1.6,'T26532635',4),(14118,'urban','urban',0,0,0.3333,'U615',4),(14119,'urban nature','urban nature',0,1,1.4,'U61536',4),(14120,'urban nature and','urban nature and',0,1,1.5333,'U6153653',4),(14121,'and design','and design',0,1,1.3333,'A5325',32),(14122,'illusion','illusion',0,0,0.5333,'I425',19),(14123,'illusion of','illusion of',0,1,1.3667,'I4251',19),(14124,'illusion of purpose','illusion of purpose',0,1,1.6333,'I4251612',19),(14125,'of purpose','of purpose',0,1,1.3333,'O1612',19),(14126,'of purpose and','of purpose and',0,1,1.4667,'O161253',19),(14127,'purpose','purpose',0,0,0.4667,'P612',19),(14128,'purpose and','purpose and',0,1,1.3667,'P61253',19),(14129,'purpose and design','purpose and design',0,1,1.6,'P6125325',19),(14130,'the illusion','the illusion',0,1,1.4,'T425',19),(14131,'the illusion of','the illusion of',0,1,1.5,'T4251',19),(14132,'categorie ii','categorie ii',0,1,1.4,'C326',26),(14133,'concept','concept',0,0,0.4667,'C5213',22),(14134,'concept of','concept of',0,1,1.3333,'C52131',7),(14135,'concept of pictures','concept of pictures',0,1,1.6333,'C521312362',7),(14136,'figures','figures',0,0,0.4667,'F262',7),(14137,'in terms','in terms',0,1,1.2667,'I53652',7),(14138,'in terms of','in terms of',0,1,1.3667,'I536521',7),(14139,'of figures','of figures',0,1,1.3333,'O1262',7),(14140,'of pictures','of pictures',0,1,1.3667,'O12362',7),(14141,'of pictures in','of pictures in',0,1,1.4667,'O123625',7),(14142,'pictures','pictures',0,0,0.5333,'P2362',7),(14143,'pictures in','pictures in',0,1,1.3667,'P23625',7),(14144,'pictures in terms','pictures in terms',0,1,1.5667,'P236253652',7),(14145,'terms','terms',0,0,0.3333,'T652',7),(14146,'terms of','terms of',0,1,1.2667,'T6521',7),(14147,'terms of figures','terms of figures',0,1,1.5333,'T6521262',7),(14148,'deep my','deep my',0,1,1.2333,'D150',6),(14149,'deep my pleasure','deep my pleasure',0,1,1.5333,'D151426',6),(14150,'how deep','how deep',0,1,1.2667,'H310',6),(14151,'how deep my','how deep my',0,1,1.3667,'H315',6),(14152,'my','my',0,0,0.1333,'M000',13),(14153,'my pleasure','my pleasure',0,1,1.3667,'M1426',6),(14154,'pleasure','pleasure',0,0,0.5333,'P426',6),(14155,'design tips','design tips',0,1,1.3667,'D25312',4),(14156,'design tips for','design tips for',0,1,1.5,'D2531216',4),(14157,'for web','for web',0,1,1.2333,'F610',4),(14158,'for web site','for web site',0,1,1.4,'F6123',4),(14159,'site','site',0,0,0.2667,'S300',27),(14160,'site development','site development',0,1,1.5333,'S314153',4),(14161,'tips','tips',0,0,0.2667,'T120',4),(14162,'tips for','tips for',0,1,1.2667,'T1216',4),(14163,'tips for web','tips for web',0,1,1.4,'T12161',4),(14164,'web site','web site',0,1,1.2667,'W123',27),(14165,'web site development','web site development',0,1,1.6667,'W12314153',4),(14166,'and the cat','and the cat',0,1,1.3667,'A5323',4),(14167,'beauty','beauty',0,0,0.4,'B300',4),(14168,'beauty and','beauty and',0,1,1.3333,'B353',4),(14169,'beauty and the','beauty and the',0,1,1.4667,'B353',4),(14170,'cat','cat',0,0,0.2,'C300',43),(14171,'cat bound','cat bound',0,1,1.3,'C3153',4),(14172,'the beauty','the beauty',0,1,1.3333,'T130',4),(14173,'the beauty and','the beauty and',0,1,1.4667,'T1353',4),(14174,'the cat','the cat',0,1,1.2333,'T230',4),(14175,'the cat bound','the cat bound',0,1,1.4333,'T23153',4),(14176,'professional design','professional design',0,1,1.6333,'P61254325',9),(14177,'top professional','top professional',0,1,1.5333,'T161254',9),(14178,'top professional design','top professional design',0,1,1.7667,'T161254325',9),(14179,'wordpress','wordpress',0,0,0.6,'W63162',10),(14180,'wordpress top','wordpress top',0,1,1.4333,'W6316231',9),(14181,'wordpress top professional','wordpress top professional',0,1,1.8667,'W631623161254',9),(14182,'casual','casual',0,0,0.4,'C400',7),(14183,'casual mind','casual mind',0,1,1.3667,'C453',7),(14184,'casual mind shot','casual mind shot',0,1,1.5333,'C45323',7),(14185,'dream','dream',0,0,0.3333,'D650',7),(14186,'from my','from my',0,1,1.2333,'F650',7),(14187,'from my dream','from my dream',0,1,1.4333,'F65365',7),(14188,'mind','mind',0,0,0.2667,'M300',14),(14189,'mind shot','mind shot',0,1,1.3,'M323',7),(14190,'mind shot from','mind shot from',0,1,1.4667,'M323165',7),(14191,'my dream','my dream',0,1,1.2667,'M365',7),(14192,'shot from','shot from',0,1,1.3,'S3165',7),(14193,'shot from my','shot from my',0,1,1.4,'S3165',7),(14194,'by nature design','by nature design',0,1,1.5333,'B536325',6),(14195,'inspired','inspired',0,0,0.5333,'I52163',12),(14196,'inspired by','inspired by',0,1,1.3667,'I521631',12),(14197,'inspired by nature','inspired by nature',0,1,1.6,'I521631536',11),(14198,'nature design','nature design',0,1,1.4333,'N36325',6),(14199,'stretch','stretch',0,0,0.4667,'S3632',6),(14200,'stretch inspired','stretch inspired',0,1,1.5333,'S363252163',6),(14201,'stretch inspired by','stretch inspired by',0,1,1.6333,'S3632521631',6),(14202,'concept ontwikkeling','concept ontwikkeling',0,1,1.6667,'C5213532452',5),(14203,'creatief','creatief',0,0,0.5333,'C631',5),(14204,'creatief design','creatief design',0,1,1.5,'C631325',5),(14205,'creatief design en','creatief design en',0,1,1.6,'C631325',5),(14206,'design en','design en',0,1,1.3,'D250',5),(14207,'design en interactief','design en interactief',0,1,1.7,'D2536231',5),(14208,'en','en',0,0,0.1333,'E500',5),(14209,'en interactief','en interactief',0,1,1.4667,'E536231',5),(14210,'en interactief concept','en interactief concept',0,1,1.7333,'E53623125213',5),(14211,'interactief','interactief',0,0,0.7333,'I536231',5),(14212,'interactief concept','interactief concept',0,1,1.6333,'I53623125213',5),(14213,'interactief concept ontwikkeling','interactief concept ontwikkeling',0,1,2,'I53623125213532452',5),(14214,'ontwikkeling','ontwikkeling',0,0,0.8,'O532452',5),(14215,'categorie v','categorie v',0,1,1.3667,'C3261',25),(14242,'advertising marketing and','advertising marketing and',0,1,1.8333,'A316325256235253',7),(14243,'and design agency','and design agency',0,1,1.5667,'A5325252',7),(14244,'marketing and','marketing and',0,1,1.4333,'M6235253',7),(14245,'marketing and design','marketing and design',0,1,1.6667,'M623525325',7),(14246,'and sketch','and sketch',0,1,1.3333,'A53232',7),(14247,'and sketch compelling','and sketch compelling',0,1,1.7,'A5323251452',7),(14248,'compelling','compelling',0,0,0.6667,'C51452',7),(14249,'design ideas','design ideas',0,1,1.4,'D2532',7),(14250,'design ideas and','design ideas and',0,1,1.5333,'D253253',7),(14251,'explore','explore',0,0,0.4667,'E2146',7),(14252,'explore design','explore design',0,1,1.4667,'E2146325',7),(14253,'explore design ideas','explore design ideas',0,1,1.6667,'E214632532',7),(14254,'ideas and','ideas and',0,1,1.3,'I3253',7),(14255,'ideas and sketch','ideas and sketch',0,1,1.5333,'I3253232',7),(14256,'sketch','sketch',0,0,0.4,'S320',7),(14257,'sketch compelling','sketch compelling',0,1,1.5667,'S3251452',7),(14258,'everything','everything',0,0,0.6667,'E16352',7),(14259,'everything is','everything is',0,1,1.4333,'E16352',4),(14260,'everything is possible','everything is possible',0,1,1.7333,'E163521214',4),(14261,'in smart','in smart',0,1,1.2667,'I52563',4),(14262,'in smart design','in smart design',0,1,1.5,'I5256325',4),(14263,'is possible in','is possible in',0,1,1.4667,'I212145',4),(14264,'possible in','possible in',0,1,1.3667,'P2145',4),(14265,'possible in smart','possible in smart',0,1,1.5667,'P21452563',4),(14266,'smart','smart',0,0,0.3333,'S563',7),(14267,'smart design','smart design',0,1,1.4,'S56325',4),(14268,'artist','artist',0,0,0.4,'A6323',5),(14269,'ideas sparkle','ideas sparkle',0,1,1.4333,'I321624',5),(14270,'ideas sparkle on','ideas sparkle on',0,1,1.5333,'I3216245',5),(14271,'on paper','on paper',0,1,1.2667,'O516',5),(14272,'on paper artist','on paper artist',0,1,1.5,'O516323',5),(14273,'paper','paper',0,0,0.3333,'P600',5),(14274,'paper artist','paper artist',0,1,1.4,'P6323',5),(14275,'sparkle','sparkle',0,0,0.4667,'S1624',5),(14276,'sparkle on','sparkle on',0,1,1.3333,'S16245',5),(14277,'sparkle on paper','sparkle on paper',0,1,1.5333,'S1624516',5),(14278,'when ideas','when ideas',0,1,1.3333,'W532',5),(14279,'when ideas sparkle','when ideas sparkle',0,1,1.6,'W5321624',5),(14280,'design our','design our',0,1,1.3333,'D256',4),(14281,'design our ideas','design our ideas',0,1,1.5333,'D25632',4),(14282,'dreams','dreams',0,0,0.4,'D652',4),(14283,'ideas your','ideas your',0,1,1.3333,'I326',4),(14284,'ideas your dreams','ideas your dreams',0,1,1.5667,'I3263652',4),(14285,'our ideas','our ideas',0,1,1.3,'O632',4),(14286,'our ideas your','our ideas your',0,1,1.4667,'O6326',4),(14287,'we design','we design',0,1,1.3,'W325',4),(14288,'we design our','we design our',0,1,1.4333,'W3256',4),(14289,'your dreams','your dreams',0,1,1.3667,'Y63652',4),(14290,'imagine','imagine',0,0,0.4667,'I525',6),(14291,'imagine and','imagine and',0,1,1.3667,'I5253',6),(14292,'imagine and design','imagine and design',0,1,1.6,'I525325',6),(14293,'listen','listen',0,0,0.4,'L235',6),(14294,'listen imagine','listen imagine',0,1,1.4667,'L23525',6),(14295,'listen imagine and','listen imagine and',0,1,1.6,'L235253',6),(14296,'orci nullam','orci nullam',0,1,1.3667,'O62545',13),(14297,'orci nullam quis','orci nullam quis',0,1,1.5333,'O625452',13),(14298,'vitae orci nullam','vitae orci nullam',0,1,1.5667,'V362545',13),(14299,'we listen','we listen',0,1,1.3,'W4235',6),(14300,'we listen imagine','we listen imagine',0,1,1.5667,'W423525',6),(14301,'design course','design course',0,1,1.4333,'D25262',1),(14302,'design line','design line',0,1,1.3667,'D2545',7),(14303,'young team','young team',0,1,1.3333,'Y5235',3),(14304,'fresh concept','fresh concept',0,1,1.4333,'F625213',1),(14305,'fresh unique','fresh unique',0,1,1.4,'F6252',1),(14306,'unique','unique',0,0,0.4,'U520',4),(14307,'unique style','unique style',0,1,1.4,'U5234',3),(14308,'keys','keys',0,0,0.2667,'K000',4),(14309,'premium keys','premium keys',0,1,1.4,'P652',4),(14310,'illusion of design','illusion of design',0,1,1.6,'I4251325',13),(14311,'of design','of design',0,1,1.3,'O1325',13),(14312,'robert mass','robert mass',0,1,1.3667,'R16352',4),(14313,'a big','a big',0,1,1.1667,'A120',8),(14314,'a big header','a big header',0,1,1.4,'A1236',3),(14315,'a headers','a headers',0,1,1.3,'A362',3),(14316,'a headers the','a headers the',0,1,1.4333,'A3623',3),(14317,'a website','a website',0,1,1.3,'A123',3),(14318,'a website h2','a website h2',0,1,1.4,'A123',3),(14319,'a website quickly','a website quickly',0,1,1.5667,'A12324',3),(14320,'additional header','additional header',0,1,1.5667,'A35436',3),(14321,'additional header elements','additional header elements',0,1,1.8667,'A354364532',3),(14322,'auctor h3','auctor h3',0,1,1.3,'A236',3),(14323,'auctor h3 class','auctor h3 class',0,1,1.5,'A236242',3),(14324,'auctor p','auctor p',0,1,1.2667,'A2361',3),(14325,'auctor p animated','auctor p animated',0,1,1.5667,'A236153',1),(14326,'big header','big header',0,1,1.3333,'B236',8),(14327,'big header used','big header used',0,1,1.5,'B23623',3),(14328,'class gkbigheader','class gkbigheader',0,1,1.5667,'C421236',3),(14329,'class gkbigheader everything','class gkbigheader everything',0,1,1.9333,'C42123616352',3),(14330,'class gksmallheader','class gksmallheader',0,1,1.6333,'C425436',3),(14331,'class gksmallheader create','class gksmallheader create',0,1,1.8667,'C425436263',3),(14332,'class gktimeicon','class gktimeicon',0,1,1.5333,'C423525',3),(14333,'class gktimeicon quisque','class gktimeicon quisque',0,1,1.8,'C4235252',3),(14334,'combined','combined',0,0,0.5333,'C5153',3),(14335,'combined with','combined with',0,1,1.4333,'C5153',3),(14336,'combined with the','combined with the',0,1,1.5667,'C5153',3),(14337,'condimentum condimentum','condimentum condimentum',0,1,1.7667,'C53535253535',3),(14338,'condimentum condimentum ornare','condimentum condimentum ornare',0,1,2,'C53535253535656',3),(14339,'condimentum ornare','condimentum ornare',0,1,1.6,'C53535656',3),(14340,'condimentum ornare vel','condimentum ornare vel',0,1,1.7333,'C5353565614',3),(14341,'consectetur id','consectetur id',0,1,1.4667,'C52363',3),(14342,'consectetur id justo','consectetur id justo',0,1,1.6667,'C5236323',3),(14343,'contains few','contains few',0,1,1.4,'C53521',3),(14344,'contains few additional','contains few additional',0,1,1.7667,'C53521354',3),(14345,'create a website','create a website',0,1,1.5333,'C63123',3),(14346,'creates a big','creates a big',0,1,1.4333,'C63212',4),(14347,'demo frontpage','demo frontpage',0,1,1.4667,'D5165312',3),(14348,'demo frontpage create','demo frontpage create',0,1,1.7,'D516531263',3),(14349,'demo frontpage everything','demo frontpage everything',0,1,1.8333,'D516531216352',3),(14350,'dictum auctor','dictum auctor',0,1,1.4333,'D235236',3),(14351,'dictum auctor h3','dictum auctor h3',0,1,1.5333,'D235236',3),(14352,'dictum auctor p','dictum auctor p',0,1,1.5,'D2352361',3),(14353,'easily h3','easily h3',0,1,1.3,'E240',3),(14354,'easily h3 p','easily h3 p',0,1,1.3667,'E241',3),(14355,'easily quisque','easily quisque',0,1,1.4667,'E242',3),(14356,'easily quisque justo','easily quisque justo',0,1,1.6667,'E2423',3),(14357,'element on','element on',0,1,1.3333,'E4535',3),(14358,'element on the','element on the',0,1,1.4667,'E45353',3),(14359,'elements it','elements it',0,1,1.3667,'E45323',3),(14360,'elements it creates','elements it creates',0,1,1.6333,'E453232632',3),(14361,'everything you','everything you',0,1,1.4667,'E16352',3),(14362,'everything you need','everything you need',0,1,1.6333,'E1635253',3),(14363,'few additional header','few additional header',0,1,1.7,'F35436',3),(14364,'frontpage','frontpage',0,0,0.6,'F65312',10),(14365,'frontpage create','frontpage create',0,1,1.5333,'F6531263',3),(14366,'frontpage create a','frontpage create a',0,1,1.6,'F6531263',3),(14367,'frontpage everything','frontpage everything',0,1,1.6667,'F6531216352',3),(14368,'frontpage everything you','frontpage everything you',0,1,1.8,'F6531216352',3),(14369,'gkbigheader','gkbigheader',0,0,0.7333,'G1236',3),(14370,'gkbigheader everything','gkbigheader everything',0,1,1.7333,'G123616352',3),(14371,'gkbigheader everything you','gkbigheader everything you',0,1,1.8667,'G123616352',3),(14372,'gksmallheader','gksmallheader',0,0,0.8667,'G5436',3),(14373,'gksmallheader create','gksmallheader create',0,1,1.6667,'G5436263',3),(14374,'gksmallheader create a','gksmallheader create a',0,1,1.7333,'G5436263',3),(14375,'gktimeicon','gktimeicon',0,0,0.6667,'G3525',3),(14376,'gktimeicon quisque','gktimeicon quisque',0,1,1.6,'G35252',3),(14377,'gktimeicon quisque justo','gktimeicon quisque justo',0,1,1.8,'G352523',3),(14378,'h2 class gkbigheader','h2 class gkbigheader',0,1,1.6667,'H2421236',3),(14379,'h2 it','h2 it',0,1,1.1667,'H300',3),(14380,'h2 it is','h2 it is',0,1,1.2667,'H320',3),(14381,'h3','h3',0,0,0.1333,'H000',4),(14382,'h3 class','h3 class',0,1,1.2667,'H242',3),(14383,'h3 class gksmallheader','h3 class gksmallheader',0,1,1.7333,'H2425436',3),(14384,'h3 p','h3 p',0,1,1.1333,'H100',3),(14385,'h3 p class','h3 p class',0,1,1.3333,'H1242',3),(14386,'header elements','header elements',0,1,1.5,'H364532',3),(14387,'header elements it','header elements it',0,1,1.6,'H3645323',3),(14388,'header used','header used',0,1,1.3667,'H3623',3),(14389,'header used on','header used on',0,1,1.4667,'H36235',3),(14390,'headers the template','headers the template',0,1,1.6667,'H36235143',3),(14391,'id justo','id justo',0,1,1.2667,'I323',3),(14392,'id justo phasellus','id justo phasellus',0,1,1.6,'I3231242',3),(14393,'is combined','is combined',0,1,1.3667,'I25153',3),(14394,'is combined with','is combined with',0,1,1.5333,'I25153',3),(14395,'it creates','it creates',0,1,1.3333,'I32632',3),(14396,'it creates a','it creates a',0,1,1.4,'I32632',3),(14397,'it is combined','it is combined',0,1,1.4667,'I325153',3),(14398,'justo lorem','justo lorem',0,1,1.3667,'J3465',3),(14399,'justo lorem condimentum','justo lorem condimentum',0,1,1.7667,'J3465253535',3),(14400,'justo phasellus','justo phasellus',0,1,1.5,'J31242',3),(14401,'justo phasellus leo','justo phasellus leo',0,1,1.6333,'J312424',3),(14402,'lacus rhoncus','lacus rhoncus',0,1,1.4333,'L2652',3),(14403,'lacus rhoncus dictum','lacus rhoncus dictum',0,1,1.6667,'L26523235',3),(14404,'leo lacus','leo lacus',0,1,1.3,'L200',3),(14405,'leo lacus rhoncus','leo lacus rhoncus',0,1,1.5667,'L2652',3),(14406,'lorem condimentum','lorem condimentum',0,1,1.5667,'L65253535',3),(14407,'lorem condimentum condimentum','lorem condimentum condimentum',0,1,1.9667,'L65253535253535',3),(14408,'need to create','need to create',0,1,1.4667,'N3263',3),(14409,'on the demo','on the demo',0,1,1.3667,'O535',3),(14410,'ornare vel consectetur','ornare vel consectetur',0,1,1.7333,'O6561425236',3),(14411,'p animated','p animated',0,1,1.3333,'P530',1),(14412,'p animated elements','p animated elements',0,1,1.6333,'P534532',1),(14413,'p class gktimeicon','p class gktimeicon',0,1,1.6,'P2423525',3),(14414,'phasellus leo','phasellus leo',0,1,1.4333,'P2424',3),(14415,'phasellus leo lacus','phasellus leo lacus',0,1,1.6333,'P24242',3),(14416,'pinterest a headers','pinterest a headers',0,1,1.6333,'P5362362',3),(14417,'quickly easily','quickly easily',0,1,1.4667,'Q424',3),(14418,'quickly easily h3','quickly easily h3',0,1,1.5667,'Q424',3),(14419,'quickly easily quisque','quickly easily quisque',0,1,1.7333,'Q4242',3),(14420,'quisque justo','quisque justo',0,1,1.4333,'Q300',3),(14421,'quisque justo lorem','quisque justo lorem',0,1,1.6333,'Q3465',3),(14422,'rhoncus dictum','rhoncus dictum',0,1,1.4667,'R523235',3),(14423,'rhoncus dictum auctor','rhoncus dictum auctor',0,1,1.7,'R523235236',3),(14424,'template contains','template contains',0,1,1.5667,'T514325352',3),(14425,'template contains few','template contains few',0,1,1.7,'T5143253521',3),(14426,'the demo frontpage','the demo frontpage',0,1,1.6,'T5165312',3),(14427,'the element on','the element on',0,1,1.4667,'T4535',3),(14428,'the template contains','the template contains',0,1,1.7,'T514325352',3),(14429,'vel consectetur id','vel consectetur id',0,1,1.6,'V4252363',3),(14430,'website h2','website h2',0,1,1.3333,'W123',4),(14431,'website h2 class','website h2 class',0,1,1.5333,'W123242',3),(14432,'website h2 it','website h2 it',0,1,1.4333,'W123',3),(14433,'website quickly','website quickly',0,1,1.5,'W12324',3),(14434,'website quickly easily','website quickly easily',0,1,1.7333,'W1232424',3),(14435,'with the element','with the element',0,1,1.5333,'W3453',3),(14436,'10 images','10 images',0,1,1.3,'I520',2),(14437,'10 images demo','10 images demo',0,1,1.4667,'I5235',2),(14438,'2012 10','2012 10',0,1,1.2333,'',2),(14439,'2012 10 images','2012 10 images',0,1,1.4667,'I520',2),(14440,'7 figure','7 figure',0,1,1.2667,'F260',2),(14441,'7 figure a','7 figure a',0,1,1.3333,'F260',2),(14442,'a div animations','a div animations',0,1,1.5333,'A315352',1),(14443,'a figcaption','a figcaption',0,1,1.4,'A12135',2),(14444,'a figcaption a','a figcaption a',0,1,1.4667,'A12135',2),(14445,'a figcaption figure','a figcaption figure',0,1,1.6333,'A12135126',2),(14446,'a href mark','a href mark',0,1,1.3667,'A61562',2),(14447,'a href more','a href more',0,1,1.3667,'A6156',2),(14448,'a href remzi','a href remzi',0,1,1.4,'A61652',2),(14449,'a section','a section',0,1,1.3,'A235',2),(14450,'a section with','a section with',0,1,1.4667,'A2353',2),(14451,'about us','about us',0,1,1.2667,'A132',2),(14452,'about us a','about us a',0,1,1.3333,'A132',2),(14453,'alt a','alt a',0,1,1.1667,'A430',2),(14454,'alt a figcaption','alt a figcaption',0,1,1.5333,'A4312135',2),(14455,'auctor p features','auctor p features',0,1,1.5667,'A2361362',1),(14456,'class gkteam','class gkteam',0,1,1.4,'C4235',2),(14457,'class gkteam data-count','class gkteam data-count',0,1,1.7667,'C42353253',2),(14458,'create a section','create a section',0,1,1.5333,'C63235',2),(14459,'data-count','data-count',0,0,0.6667,'D253',2),(14460,'data-count 7','data-count 7',0,1,1.4,'D253',2),(14461,'data-count 7 figure','data-count 7 figure',0,1,1.6333,'D253126',2),(14462,'demo team1.png','demo team1.png',0,1,1.4667,'D535152',2),(14463,'demo team1.png alt','demo team1.png alt',0,1,1.6,'D53515243',2),(14464,'demo team7.png','demo team7.png',0,1,1.4667,'D535152',2),(14465,'demo team7.png alt','demo team7.png alt',0,1,1.6,'D53515243',2),(14466,'div animations','div animations',0,1,1.4667,'D15352',1),(14467,'div class gkteam','div class gkteam',0,1,1.5333,'D124235',2),(14468,'features section','features section',0,1,1.5333,'F36235',2),(14469,'features section team','features section team',0,1,1.7,'F3623535',1),(14470,'figcaption','figcaption',0,0,0.6667,'F2135',3),(14471,'figcaption a','figcaption a',0,1,1.4,'F2135',2),(14472,'figcaption a href','figcaption a href',0,1,1.5667,'F213561',2),(14473,'figcaption figure','figcaption figure',0,1,1.5667,'F2135126',3),(14474,'figcaption figure a','figcaption figure a',0,1,1.6333,'F2135126',2),(14475,'figcaption figure figure','figcaption figure figure',0,1,1.8,'F2135126126',2),(14476,'figure','figure',0,0,0.4,'F260',3),(14477,'figure a','figure a',0,1,1.2667,'F260',2),(14478,'figure a href','figure a href',0,1,1.4333,'F261',2),(14479,'figure figure','figure figure',0,1,1.4333,'F26126',2),(14480,'figure figure a','figure figure a',0,1,1.5,'F26126',2),(14481,'following structure div','following structure div',0,1,1.7667,'F4523623631',4),(14482,'gkteam','gkteam',0,0,0.4,'G350',2),(14483,'gkteam data-count','gkteam data-count',0,1,1.5667,'G353253',2),(14484,'gkteam data-count 7','gkteam data-count 7',0,1,1.6333,'G353253',2),(14485,'href mark','href mark',0,1,1.3,'H61562',2),(14486,'href mark a','href mark a',0,1,1.3667,'H61562',2),(14487,'href more','href more',0,1,1.3,'H6156',2),(14488,'href more about','href more about',0,1,1.5,'H615613',2),(14489,'href remzi','href remzi',0,1,1.3333,'H61652',2),(14490,'href remzi a','href remzi a',0,1,1.4,'H61652',2),(14491,'images demo team1.png','images demo team1.png',0,1,1.7,'I523535152',2),(14492,'images demo team7.png','images demo team7.png',0,1,1.7,'I523535152',2),(14493,'img src templates','img src templates',0,1,1.5667,'I5262351432',3),(14494,'list of','list of',0,1,1.2333,'L231',2),(14495,'list of your','list of your',0,1,1.4,'L2316',2),(14496,'mark','mark',0,0,0.2667,'M620',2),(14497,'mark a','mark a',0,1,1.2,'M620',2),(14498,'mark a figcaption','mark a figcaption',0,1,1.5667,'M6212135',2),(14499,'members','members',0,0,0.4667,'M162',2),(14500,'members using','members using',0,1,1.4333,'M16252',2),(14501,'members using the','members using the',0,1,1.5667,'M162523',2),(14502,'more about','more about',0,1,1.3333,'M613',2),(14503,'more about us','more about us',0,1,1.4333,'M6132',2),(14504,'of your team','of your team',0,1,1.4,'O1635',2),(14505,'p features','p features',0,1,1.3333,'P362',1),(14506,'p features section','p features section',0,1,1.6,'P36235',1),(14507,'remzi','remzi',0,0,0.3333,'R520',2),(14508,'remzi a','remzi a',0,1,1.2333,'R520',2),(14509,'remzi a figcaption','remzi a figcaption',0,1,1.6,'R5212135',2),(14510,'section','section',0,0,0.4667,'S350',2),(14511,'section team','section team',0,1,1.4,'S3535',1),(14512,'section team section','section team section',0,1,1.6667,'S3535235',1),(14513,'section with','section with',0,1,1.4,'S353',2),(14514,'section with the','section with the',0,1,1.5333,'S353',2),(14515,'section you','section you',0,1,1.3667,'S350',2),(14516,'section you can','section you can',0,1,1.5,'S3525',2),(14517,'src templates','src templates',0,1,1.4333,'S62351432',3),(14518,'src templates 2012','src templates 2012',0,1,1.6,'S62351432',2),(14519,'structure div','structure div',0,1,1.4333,'S3623631',4),(14520,'structure div class','structure div class',0,1,1.6333,'S3623631242',4),(14521,'team members','team members',0,1,1.4,'T5162',2),(14522,'team members using','team members using',0,1,1.6,'T516252',2),(14523,'team section','team section',0,1,1.4,'T5235',2),(14524,'team section you','team section you',0,1,1.5333,'T5235',2),(14525,'team1.png','team1.png',0,0,0.6,'T5152',2),(14526,'team1.png alt','team1.png alt',0,1,1.4333,'T515243',2),(14527,'team1.png alt a','team1.png alt a',0,1,1.5,'T515243',2),(14528,'team7.png','team7.png',0,0,0.6,'T5152',2),(14529,'team7.png alt','team7.png alt',0,1,1.4333,'T515243',2),(14530,'team7.png alt a','team7.png alt a',0,1,1.5,'T515243',2),(14531,'templates 2012','templates 2012',0,1,1.4667,'T51432',2),(14532,'templates 2012 10','templates 2012 10',0,1,1.5667,'T51432',2),(14533,'the list','the list',0,1,1.2667,'T423',2),(14534,'the list of','the list of',0,1,1.3667,'T4231',2),(14535,'us a div','us a div',0,1,1.2667,'U231',2),(14536,'using the following','using the following',0,1,1.6333,'U25231452',3),(14537,'with the list','with the list',0,1,1.4333,'W3423',2),(14538,'your team','your team',0,1,1.3,'Y635',2),(14539,'your team members','your team members',0,1,1.5667,'Y635162',2),(14540,'0 content','0 content',0,1,1.3,'C5353',1),(14541,'0 content div','0 content div',0,1,1.4333,'C53531',1),(14542,'1-10','1-10',0,0,0.4,'',1),(14543,'1-10 animations','1-10 animations',0,1,1.5,'A5352',1),(14544,'1-10 animations the','1-10 animations the',0,1,1.6333,'A53523',1),(14545,'10 20','10 20',0,1,1.1667,'',1),(14546,'10 20 30','10 20 30',0,1,1.2667,'',1),(14547,'20 30','20 30',0,1,1.1667,'',1),(14548,'20 30 40','20 30 40',0,1,1.2667,'',1),(14549,'20 30 etc','20 30 etc',0,1,1.3,'E320',1),(14550,'30 40','30 40',0,1,1.1667,'',1),(14551,'30 40 50','30 40 50',0,1,1.2667,'',1),(14552,'30 etc','30 etc',0,1,1.2,'E320',1),(14553,'30 etc width','30 etc width',0,1,1.4,'E323',1),(14554,'3d','3d',0,0,0.1333,'D000',4),(14555,'3d rotation','3d rotation',0,1,1.3667,'D635',1),(14556,'3d rotation with','3d rotation with',0,1,1.5333,'D6353',1),(14557,'3d transformation','3d transformation',0,1,1.5667,'D65216535',1),(14558,'3d transformation effect','3d transformation effect',0,1,1.8,'D65216535123',1),(14559,'40 50','40 50',0,1,1.1667,'',1),(14560,'40 50 or','40 50 or',0,1,1.2667,'O600',1),(14561,'50 or','50 or',0,1,1.1667,'O600',1),(14562,'50 or 60','50 or 60',0,1,1.2667,'O600',1),(14563,'500 content','500 content',0,1,1.3667,'C5353',1),(14564,'500 content div','500 content div',0,1,1.5,'C53531',1),(14565,'500ms you','500ms you',0,1,1.3,'M200',1),(14566,'500ms you should','500ms you should',0,1,1.5333,'M243',1),(14567,'60 and','60 and',0,1,1.2,'A530',1),(14568,'60 and means','60 and means',0,1,1.4,'A5352',1),(14569,'a 3d','a 3d',0,1,1.1333,'A300',1),(14570,'a 3d rotation','a 3d rotation',0,1,1.4333,'A3635',1),(14571,'a 3d transformation','a 3d transformation',0,1,1.6333,'A365216535',1),(14572,'a column','a column',0,1,1.2667,'A245',1),(14573,'a column of','a column of',0,1,1.3667,'A2451',1),(14574,'a css transform','a css transform',0,1,1.5,'A23652165',1),(14575,'a div the','a div the',0,1,1.3,'A313',1),(14576,'a few columns','a few columns',0,1,1.4333,'A12452',1),(14577,'a number in','a number in',0,1,1.3667,'A5165',1),(14578,'a simple animation','a simple animation',0,1,1.6,'A2514535',1),(14579,'a value 10','a value 10',0,1,1.3333,'A140',1),(14580,'above','above',0,0,0.3333,'A100',1),(14581,'above code','above code',0,1,1.3333,'A123',1),(14582,'above code is','above code is',0,1,1.4333,'A1232',1),(14583,'activated','activated',0,0,0.6,'A2313',1),(14584,'activated on','activated on',0,1,1.4,'A23135',1),(14585,'activated on scrolling','activated on scrolling',0,1,1.7333,'A2313526452',1),(14586,'activated the','activated the',0,1,1.4333,'A2313',1),(14587,'activated the animation','activated the animation',0,1,1.7667,'A2313535',1),(14588,'added','added',0,0,0.3333,'A300',4),(14589,'added for','added for',0,1,1.3,'A316',1),(14590,'added for the','added for the',0,1,1.4333,'A3163',1),(14591,'added to','added to',0,1,1.2667,'A300',1),(14592,'added to the','added to the',0,1,1.4,'A300',1),(14593,'agency a','agency a',0,1,1.2667,'A252',1),(14594,'agency a a','agency a a',0,1,1.3333,'A252',1),(14595,'amount','amount',0,0,0.4,'A530',2),(14596,'amount of','amount of',0,1,1.3,'A531',2),(14597,'amount of columns','amount of columns',0,1,1.5667,'A5312452',2),(14598,'and animation','and animation',0,1,1.4333,'A53535',1),(14599,'and animation is','and animation is',0,1,1.5333,'A535352',1),(14600,'and means','and means',0,1,1.3,'A5352',1),(14601,'and means a','and means a',0,1,1.3667,'A5352',1),(14602,'and the horizontal','and the horizontal',0,1,1.6,'A5362534',1),(14603,'and the second','and the second',0,1,1.4667,'A53253',1),(14604,'animate two','animate two',0,1,1.3667,'A530',1),(14605,'animate two containers','animate two containers',0,1,1.7333,'A53253562',1),(14606,'animation effect','animation effect',0,1,1.5333,'A535123',1),(14607,'animation effect div','animation effect div',0,1,1.6667,'A5351231',1),(14608,'animation engine activated','animation engine activated',0,1,1.8667,'A535252313',1),(14609,'animation for','animation for',0,1,1.4333,'A53516',1),(14610,'animation for the','animation for the',0,1,1.5667,'A535163',1),(14611,'animation is','animation is',0,1,1.4,'A5352',1),(14612,'animation is activated','animation is activated',0,1,1.7333,'A5352313',1),(14613,'animation scale','animation scale',0,1,1.5,'A53524',1),(14614,'animation scale it','animation scale it',0,1,1.6,'A535243',1),(14615,'animation should','animation should',0,1,1.5333,'A535243',1),(14616,'animation should be','animation should be',0,1,1.6333,'A5352431',1),(14617,'animation start','animation start',0,1,1.5,'A5352363',1),(14618,'animation start delay','animation start delay',0,1,1.7,'A53523634',1),(14619,'animation type','animation type',0,1,1.4667,'A53531',1),(14620,'animation type and','animation type and',0,1,1.6,'A5353153',1),(14621,'animation type one','animation type one',0,1,1.6,'A535315',1),(14622,'animation types','animation types',0,1,1.5,'A535312',1),(14623,'animation types flip','animation types flip',0,1,1.6667,'A535312141',1),(14624,'animation vertical','animation vertical',0,1,1.6,'A53516324',1),(14625,'animation vertical simple','animation vertical simple',0,1,1.8333,'A535163242514',1),(14626,'animation when','animation when',0,1,1.4667,'A535',1),(14627,'animation when the','animation when the',0,1,1.6,'A5353',1),(14628,'animations the','animations the',0,1,1.4667,'A53523',1),(14629,'animations the startup','animations the startup',0,1,1.7333,'A5352323631',1),(14630,'are defined','are defined',0,1,1.3667,'A63153',1),(14631,'are defined in','are defined in',0,1,1.4667,'A631535',1),(14632,'as in','as in',0,1,1.1667,'A250',1),(14633,'as in the','as in the',0,1,1.3,'A253',1),(14634,'at frontpage','at frontpage',0,1,1.4,'A3165312',1),(14635,'at frontpage please','at frontpage please',0,1,1.6333,'A3165312142',1),(14636,'attribute which','attribute which',0,1,1.5,'A36132',1),(14637,'attribute which specifies','attribute which specifies',0,1,1.8333,'A361321212',1),(14638,'attributes data-animation','attributes data-animation',0,1,1.8333,'A361323535',1),(14639,'attributes data-animation specifies','attributes data-animation specifies',0,1,2,'A36132353521212',1),(14640,'auctor p columns','auctor p columns',0,1,1.5333,'A23612452',1),(14641,'award-winning agency','award-winning agency',0,1,1.6667,'A635252',1),(14642,'award-winning agency a','award-winning agency a',0,1,1.7333,'A635252',1),(14643,'badge','badge',0,0,0.3333,'B320',1),(14644,'badge span','badge span',0,1,1.3333,'B3215',1),(14645,'badge span award-winning','badge span award-winning',0,1,1.8,'B32156352',1),(14646,'be a','be a',0,1,1.1333,'B000',4),(14647,'be a number','be a number',0,1,1.3667,'B516',1),(14648,'be delayed','be delayed',0,1,1.3333,'B343',1),(14649,'be delayed by','be delayed by',0,1,1.4333,'B3431',1),(14650,'below elements','below elements',0,1,1.4667,'B4532',1),(14651,'below elements are','below elements are',0,1,1.6,'B45326',1),(14652,'better flip','better flip',0,1,1.3667,'B36141',1),(14653,'better flip animation','better flip animation',0,1,1.7,'B36141535',1),(14654,'by 500ms','by 500ms',0,1,1.2667,'B520',1),(14655,'by 500ms you','by 500ms you',0,1,1.4,'B520',1),(14656,'by the two','by the two',0,1,1.3333,'B300',1),(14657,'can be a','can be a',0,1,1.2667,'C510',1),(14658,'can specify','can specify',0,1,1.3667,'C52121',5),(14659,'can specify one','can specify one',0,1,1.5,'C521215',1),(14660,'class added','class added',0,1,1.3667,'C423',1),(14661,'class added for','class added for',0,1,1.5,'C42316',1),(14662,'class gkbadge','class gkbadge',0,1,1.4333,'C42132',1),(14663,'class gkbadge span','class gkbadge span',0,1,1.6,'C4213215',1),(14664,'class gkfeatures','class gkfeatures',0,1,1.5333,'C421362',1),(14665,'class gkfeatures gkperspective','class gkfeatures gkperspective',0,1,2,'C4213621621231',1),(14666,'class gkmouse','class gkmouse',0,1,1.4333,'C4252',1),(14667,'class gkmouse span','class gkmouse span',0,1,1.6,'C425215',1),(14668,'class gkperspective','class gkperspective',0,1,1.6333,'C421621231',1),(14669,'class gkperspective gkperspective','class gkperspective gkperspective',0,1,2,'C42162123121621231',1),(14670,'class gkpiggy','class gkpiggy',0,1,1.4333,'C4212',1),(14671,'class gkpiggy span','class gkpiggy span',0,1,1.6,'C421215',1),(14672,'class gkrocket','class gkrocket',0,1,1.4667,'C42623',2),(14673,'class gkrocket span','class gkrocket span',0,1,1.6333,'C42623215',1),(14674,'class is','class is',0,1,1.2667,'C420',7),(14675,'class is added','class is added',0,1,1.4667,'C423',1),(14676,'class is useful','class is useful',0,1,1.5,'C4214',1),(14677,'class vertical-column-width','class vertical-column-width',0,1,1.9,'C42163242453',1),(14678,'class vertical-column-width h3','class vertical-column-width h3',0,1,2,'C42163242453',1),(14679,'code data-delay','code data-delay',0,1,1.5,'C340',1),(14680,'code data-delay specifies','code data-delay specifies',0,1,1.8333,'C3421212',1),(14681,'code div class','code div class',0,1,1.4667,'C31242',1),(14682,'code is','code is',0,1,1.2333,'C320',1),(14683,'code is the','code is the',0,1,1.3667,'C323',1),(14684,'column of 10','column of 10',0,1,1.4,'C451',1),(14685,'columns layout','columns layout',0,1,1.4667,'C45243',1),(14686,'columns layout if','columns layout if',0,1,1.5667,'C452431',1),(14687,'columns of','columns of',0,1,1.3333,'C4521',1),(14688,'columns of text','columns of text',0,1,1.5,'C4521323',1),(14689,'columns with','columns with',0,1,1.4,'C4523',1),(14690,'columns with the','columns with the',0,1,1.5333,'C4523',1),(14691,'contact section','contact section',0,1,1.5,'C5323235',1),(14692,'contact section of','contact section of',0,1,1.6,'C53232351',1),(14693,'container animation','container animation',0,1,1.6333,'C5356535',1),(14694,'container animation should','container animation should',0,1,1.8667,'C5356535243',1),(14695,'containers','containers',0,0,0.6667,'C53562',2),(14696,'containers with','containers with',0,1,1.5,'C535623',2),(14697,'containers with the','containers with the',0,1,1.6333,'C535623',1),(14698,'content div div','content div div',0,1,1.5,'C5353131',1),(14699,'content p','content p',0,1,1.3,'C53531',1),(14700,'content p div','content p div',0,1,1.4333,'C5353131',1),(14701,'create a 3d','create a 3d',0,1,1.3667,'C630',1),(14702,'create a few','create a few',0,1,1.4,'C631',1),(14703,'create the features','create the features',0,1,1.6333,'C631362',1),(14704,'create the following','create the following',0,1,1.6667,'C631452',1),(14705,'css class','css class',0,1,1.3,'C420',1),(14706,'css class is','css class is',0,1,1.4,'C420',1),(14707,'css code data-delay','css code data-delay',0,1,1.6333,'C340',1),(14708,'css gk','css gk',0,1,1.2,'C000',1),(14709,'css gk stuff','css gk stuff',0,1,1.4,'C310',1),(14710,'css transform','css transform',0,1,1.4333,'C3652165',1),(14711,'css transform scaling','css transform scaling',0,1,1.7,'C36521652452',1),(14712,'data attributes data-animation','data attributes data-animation',0,1,2,'D61323535',1),(14713,'data-animation','data-animation',0,0,0.9333,'D535',1),(14714,'data-animation flip','data-animation flip',0,1,1.6333,'D535141',1),(14715,'data-animation flip data-delay','data-animation flip data-delay',0,1,2,'D53514134',1),(14716,'data-animation horizontal','data-animation horizontal',0,1,1.8333,'D53562534',1),(14717,'data-animation horizontal data-delay','data-animation horizontal data-delay',0,1,2,'D5356253434',1),(14718,'data-animation specifies','data-animation specifies',0,1,1.8,'D53521212',1),(14719,'data-animation specifies the','data-animation specifies the',0,1,1.9333,'D535212123',1),(14720,'data-count attribute','data-count attribute',0,1,1.6667,'D253613',1),(14721,'data-count attribute which','data-count attribute which',0,1,1.8667,'D2536132',1),(14722,'data-delay 0 content','data-delay 0 content',0,1,1.6667,'D425353',1),(14723,'data-delay 500','data-delay 500',0,1,1.4667,'D400',1),(14724,'data-delay 500 content','data-delay 500 content',0,1,1.7333,'D425353',1),(14725,'data-delay specifies','data-delay specifies',0,1,1.6667,'D421212',1),(14726,'data-delay specifies the','data-delay specifies the',0,1,1.8,'D4212123',1),(14727,'define it','define it',0,1,1.3,'D153',1),(14728,'define it in','define it in',0,1,1.4,'D1535',1),(14729,'defined','defined',0,0,0.4667,'D153',1),(14730,'defined by','defined by',0,1,1.3333,'D1531',1),(14731,'defined by the','defined by the',0,1,1.4667,'D15313',1),(14732,'defined in','defined in',0,1,1.3333,'D1535',1),(14733,'defined in the','defined in the',0,1,1.4667,'D15353',1),(14734,'delay in','delay in',0,1,1.2667,'D450',1),(14735,'delay in miliseconds','delay in miliseconds',0,1,1.6667,'D4542532',1),(14736,'delayed','delayed',0,0,0.4667,'D430',1),(14737,'delayed by','delayed by',0,1,1.3333,'D431',1),(14738,'delayed by 500ms','delayed by 500ms',0,1,1.5333,'D43152',1),(14739,'demo at','demo at',0,1,1.2333,'D530',1),(14740,'demo at frontpage','demo at frontpage',0,1,1.5667,'D53165312',1),(14741,'design a','design a',0,1,1.2667,'D250',1),(14742,'design a a','design a a',0,1,1.3333,'D250',1),(14743,'div class gkfeatures','div class gkfeatures',0,1,1.6667,'D12421362',1),(14744,'div class gkperspective','div class gkperspective',0,1,1.7667,'D12421621231',1),(14745,'div class vertical-column-width','div class vertical-column-width',0,1,2,'D1242163242453',1),(14746,'div data-animation','div data-animation',0,1,1.6,'D13535',1),(14747,'div data-animation flip','div data-animation flip',0,1,1.7667,'D13535141',1),(14748,'div data-animation horizontal','div data-animation horizontal',0,1,1.9667,'D1353562534',1),(14749,'div div data-animation','div div data-animation',0,1,1.7333,'D1313535',1),(14750,'div the','div the',0,1,1.2333,'D130',3),(14751,'div the gkperspective','div the gkperspective',0,1,1.7,'D1321621231',1),(14752,'div the most','div the most',0,1,1.4,'D13523',2),(14753,'div where','div where',0,1,1.3,'D160',1),(14754,'div where width','div where width',0,1,1.5,'D163',1),(14755,'effect div','effect div',0,1,1.3333,'E1231',1),(14756,'effect div data-animation','effect div data-animation',0,1,1.8333,'E12313535',1),(14757,'effect team','effect team',0,1,1.3667,'E1235',1),(14758,'effect team section','effect team section',0,1,1.6333,'E1235235',1),(14759,'element and animation','element and animation',0,1,1.7,'E45353535',1),(14760,'element horizontal','element horizontal',0,1,1.6,'E45362534',1),(14761,'element horizontal simple','element horizontal simple',0,1,1.8333,'E453625342514',1),(14762,'element is','element is',0,1,1.3333,'E4532',2),(14763,'element is defined','element is defined',0,1,1.6,'E45323153',1),(14764,'elements are defined','elements are defined',0,1,1.6667,'E453263153',1),(14765,'elements the','elements the',0,1,1.4,'E45323',1),(14766,'elements the below','elements the below',0,1,1.6,'E4532314',1),(14767,'engine activated','engine activated',0,1,1.5333,'E5252313',1),(14768,'engine activated on','engine activated on',0,1,1.6333,'E52523135',1),(14769,'etc width','etc width',0,1,1.3,'E323',1),(14770,'etc width other','etc width other',0,1,1.5,'E3236',1),(14771,'features section please','features section please',0,1,1.7667,'F36235142',1),(14772,'features section to','features section to',0,1,1.6333,'F362353',1),(14773,'few columns','few columns',0,1,1.3667,'F2452',1),(14774,'few columns of','few columns of',0,1,1.4667,'F24521',1),(14775,'file features','file features',0,1,1.4333,'F41362',1),(14776,'file features section','file features section',0,1,1.7,'F4136235',1),(14777,'flip','flip',0,0,0.2667,'F410',5),(14778,'flip and','flip and',0,1,1.2667,'F4153',1),(14779,'flip and the','flip and the',0,1,1.4,'F4153',1),(14780,'flip animation','flip animation',0,1,1.4667,'F41535',1),(14781,'flip animation effect','flip animation effect',0,1,1.7,'F41535123',1),(14782,'flip data-delay','flip data-delay',0,1,1.5,'F4134',1),(14783,'flip data-delay 0','flip data-delay 0',0,1,1.5667,'F4134',1),(14784,'flip it','flip it',0,1,1.2333,'F413',1),(14785,'flip it is','flip it is',0,1,1.3333,'F4132',1),(14786,'following code','following code',0,1,1.4667,'F4523',6),(14787,'following code div','following code div',0,1,1.6,'F45231',1),(14788,'for the better','for the better',0,1,1.4667,'F63136',1),(14789,'for the specific','for the specific',0,1,1.5333,'F6321212',1),(14790,'four','four',0,0,0.2667,'F600',10),(14791,'four animation','four animation',0,1,1.4667,'F6535',1),(14792,'four animation types','four animation types',0,1,1.6667,'F6535312',1),(14793,'four mentioned','four mentioned',0,1,1.4667,'F65353',1),(14794,'four mentioned types','four mentioned types',0,1,1.6667,'F6535312',1),(14795,'frontpage please','frontpage please',0,1,1.5333,'F65312142',1),(14796,'frontpage please use','frontpage please use',0,1,1.6667,'F65312142',1),(14797,'gk stuff','gk stuff',0,1,1.2667,'G310',1),(14798,'gk stuff css','gk stuff css',0,1,1.4,'G312',1),(14799,'gkbadge','gkbadge',0,0,0.4667,'G132',1),(14800,'gkbadge span','gkbadge span',0,1,1.4,'G13215',1),(14801,'gkbadge span badge','gkbadge span badge',0,1,1.6,'G13215132',1),(14802,'gkfeatures','gkfeatures',0,0,0.6667,'G1362',1),(14803,'gkfeatures gkperspective','gkfeatures gkperspective',0,1,1.8,'G13621621231',1),(14804,'gkfeatures gkperspective a','gkfeatures gkperspective a',0,1,1.8667,'G13621621231',1),(14805,'gkmouse','gkmouse',0,0,0.4667,'G520',1),(14806,'gkmouse span','gkmouse span',0,1,1.4,'G5215',1),(14807,'gkmouse span mouse','gkmouse span mouse',0,1,1.6,'G52152',1),(14808,'gkperspective','gkperspective',0,0,0.8667,'G1621231',1),(14809,'gkperspective a','gkperspective a',0,1,1.5,'G1621231',1),(14810,'gkperspective a href','gkperspective a href',0,1,1.6667,'G162123161',1),(14811,'gkperspective class','gkperspective class',0,1,1.6333,'G1621231242',1),(14812,'gkperspective class added','gkperspective class added',0,1,1.8333,'G16212312423',1),(14813,'gkperspective css','gkperspective css',0,1,1.5667,'G16212312',1),(14814,'gkperspective css class','gkperspective css class',0,1,1.7667,'G1621231242',1),(14815,'gkperspective gkperspective','gkperspective gkperspective',0,1,1.9,'G162123121621231',1),(14816,'gkperspective gkperspective class','gkperspective gkperspective class',0,1,2,'G162123121621231242',1),(14817,'gkpiggy','gkpiggy',0,0,0.4667,'G120',1),(14818,'gkpiggy span','gkpiggy span',0,1,1.4,'G1215',1),(14819,'gkpiggy span piggy','gkpiggy span piggy',0,1,1.6,'G121512',1),(14820,'gkrocket','gkrocket',0,0,0.5333,'G623',2),(14821,'gkrocket span','gkrocket span',0,1,1.4333,'G623215',1),(14822,'gkrocket span rocket','gkrocket span rocket',0,1,1.6667,'G623215623',1),(14823,'h3 header','h3 header',0,1,1.3,'H360',1),(14824,'h3 header h3','h3 header h3',0,1,1.4,'H360',1),(14825,'h3 p content','h3 p content',0,1,1.4,'H125353',1),(14826,'header h3','header h3',0,1,1.3,'H360',1),(14827,'header h3 p','header h3 p',0,1,1.3667,'H361',1),(14828,'horizontal animation','horizontal animation',0,1,1.6667,'H62534535',1),(14829,'horizontal animation scale','horizontal animation scale',0,1,1.8667,'H6253453524',1),(14830,'horizontal animation type','horizontal animation type',0,1,1.8333,'H6253453531',1),(14831,'horizontal data-delay','horizontal data-delay',0,1,1.7,'H6253434',1),(14832,'horizontal data-delay 500','horizontal data-delay 500',0,1,1.8333,'H6253434',1),(14833,'horizontal simple','horizontal simple',0,1,1.5667,'H625342514',1),(14834,'horizontal simple horizontal','horizontal simple horizontal',0,1,1.9333,'H62534251462534',1),(14835,'href class gkbadge','href class gkbadge',0,1,1.6,'H61242132',1),(14836,'href class gkmouse','href class gkmouse',0,1,1.6,'H6124252',1),(14837,'href class gkpiggy','href class gkpiggy',0,1,1.6,'H6124212',1),(14838,'href class gkrocket','href class gkrocket',0,1,1.6333,'H61242623',2),(14839,'ideas imagination','ideas imagination',0,1,1.5667,'I3252535',1),(14840,'ideas imagination a','ideas imagination a',0,1,1.6333,'I3252535',1),(14841,'if you define','if you define',0,1,1.4333,'I1315',1),(14842,'if you need','if you need',0,1,1.3667,'I153',3),(14843,'imagination','imagination',0,0,0.7333,'I52535',1),(14844,'imagination a','imagination a',0,1,1.4333,'I52535',1),(14845,'imagination a a','imagination a a',0,1,1.5,'I52535',1),(14846,'important elements','important elements',0,1,1.6,'I5163534532',1),(14847,'important elements the','important elements the',0,1,1.7333,'I51635345323',1),(14848,'important parameter','important parameter',0,1,1.6333,'I51635316536',1),(14849,'important parameter in','important parameter in',0,1,1.7333,'I516353165365',1),(14850,'in miliseconds so','in miliseconds so',0,1,1.5667,'I542532',1),(14851,'in range','in range',0,1,1.2667,'I5652',1),(14852,'in range 1-10','in range 1-10',0,1,1.4333,'I5652',1),(14853,'in the above','in the above',0,1,1.4,'I531',1),(14854,'in the contact','in the contact',0,1,1.4667,'I5325323',1),(14855,'in the css','in the css',0,1,1.3333,'I532',1),(14856,'in the top','in the top',0,1,1.3333,'I531',1),(14857,'innovative design','innovative design',0,1,1.5667,'I5131325',1),(14858,'innovative design a','innovative design a',0,1,1.6333,'I5131325',1),(14859,'is a 3d','is a 3d',0,1,1.2333,'I230',1),(14860,'is a css','is a css',0,1,1.2667,'I200',1),(14861,'is activated','is activated',0,1,1.4,'I2313',1),(14862,'is activated the','is activated the',0,1,1.5333,'I2313',1),(14863,'is added','is added',0,1,1.2667,'I230',1),(14864,'is added to','is added to',0,1,1.3667,'I230',1),(14865,'is defined','is defined',0,1,1.3333,'I23153',1),(14866,'is defined by','is defined by',0,1,1.4333,'I231531',1),(14867,'is the data-count','is the data-count',0,1,1.5667,'I23253',1),(14868,'is useful if','is useful if',0,1,1.4,'I2141',1),(14869,'it can','it can',0,1,1.2,'I325',1),(14870,'it can be','it can be',0,1,1.3,'I3251',1),(14871,'it in','it in',0,1,1.1667,'I350',1),(14872,'it in the','it in the',0,1,1.3,'I353',1),(14873,'layout if','layout if',0,1,1.3,'L310',1),(14874,'layout if you','layout if you',0,1,1.4333,'L310',1),(14875,'loaded css','loaded css',0,1,1.3333,'L320',1),(14876,'loaded css class','loaded css class',0,1,1.5333,'L3242',1),(14877,'means a','means a',0,1,1.2333,'M200',1),(14878,'means a column','means a column',0,1,1.4667,'M245',1),(14879,'members it','members it',0,1,1.3333,'M1623',1),(14880,'members it can','members it can',0,1,1.4667,'M162325',1),(14881,'mentioned types','mentioned types',0,1,1.5,'M35312',1),(14882,'mentioned types or','mentioned types or',0,1,1.6,'M353126',1),(14883,'miliseconds so','miliseconds so',0,1,1.4667,'M42532',1),(14884,'miliseconds so if','miliseconds so if',0,1,1.5667,'M425321',1),(14885,'money','money',0,0,0.3333,'M000',2),(14886,'money a','money a',0,1,1.2333,'M000',1),(14887,'money a div','money a div',0,1,1.3667,'M310',1),(14888,'most important','most important',0,1,1.4667,'M23516353',2),(14889,'most important parameter','most important parameter',0,1,1.8,'M2351635316536',1),(14890,'mouse','mouse',0,0,0.3333,'M200',1),(14891,'mouse span','mouse span',0,1,1.3333,'M215',1),(14892,'mouse span your','mouse span your',0,1,1.5,'M2156',1),(14893,'number in','number in',0,1,1.3,'N165',1),(14894,'number in range','number in range',0,1,1.5,'N165652',1),(14895,'of 10','of 10',0,1,1.1667,'O100',1),(14896,'of 10 20','of 10 20',0,1,1.2667,'O100',1),(14897,'of columns with','of columns with',0,1,1.5,'O124523',1),(14898,'of text as','of text as',0,1,1.3333,'O13232',1),(14899,'of the element','of the element',0,1,1.4667,'O13453',1),(14900,'of the four','of the four',0,1,1.3667,'O1316',1),(14901,'of the website','of the website',0,1,1.4667,'O13123',1),(14902,'of this demo','of this demo',0,1,1.4,'O13235',1),(14903,'on scrolling','on scrolling',0,1,1.4,'O526452',2),(14904,'on scrolling you','on scrolling you',0,1,1.5333,'O526452',1),(14905,'ones','ones',0,0,0.2667,'O520',1),(14906,'ones if','ones if',0,1,1.2333,'O521',1),(14907,'ones if you','ones if you',0,1,1.3667,'O521',1),(14908,'or 60','or 60',0,1,1.1667,'O600',1),(14909,'or 60 and','or 60 and',0,1,1.3,'O653',1),(14910,'or your','or your',0,1,1.2333,'O600',1),(14911,'or your own','or your own',0,1,1.3667,'O650',1),(14912,'origin','origin',0,0,0.4,'O625',1),(14913,'origin in','origin in',0,1,1.3,'O625',1),(14914,'origin in the','origin in the',0,1,1.4333,'O6253',1),(14915,'other important','other important',0,1,1.5,'O36516353',1),(14916,'other important elements','other important elements',0,1,1.8,'O365163534532',1),(14917,'own ones','own ones',0,1,1.2667,'O520',1),(14918,'own ones if','own ones if',0,1,1.3667,'O521',1),(14919,'p columns','p columns',0,1,1.3,'P2452',1),(14920,'p columns layout','p columns layout',0,1,1.5333,'P245243',1),(14921,'p content','p content',0,1,1.3,'P25353',1),(14922,'p content p','p content p',0,1,1.3667,'P253531',1),(14923,'p div where','p div where',0,1,1.3667,'P316',1),(14924,'page to the','page to the',0,1,1.3667,'P230',1),(14925,'parameter','parameter',0,0,0.6,'P6536',1),(14926,'parameter in','parameter in',0,1,1.4,'P65365',1),(14927,'parameter in the','parameter in the',0,1,1.5333,'P653653',1),(14928,'piggy','piggy',0,0,0.3333,'P200',1),(14929,'piggy span','piggy span',0,1,1.3333,'P215',1),(14930,'piggy span save','piggy span save',0,1,1.5,'P21521',1),(14931,'place of','place of',0,1,1.2667,'P421',1),(14932,'place of the','place of the',0,1,1.4,'P4213',1),(14933,'proper place','proper place',0,1,1.4,'P616142',1),(14934,'proper place of','proper place of',0,1,1.5,'P6161421',1),(14935,'range','range',0,0,0.3333,'R520',1),(14936,'range 1-10','range 1-10',0,1,1.3333,'R520',1),(14937,'range 1-10 animations','range 1-10 animations',0,1,1.7,'R525352',1),(14938,'rocket','rocket',0,0,0.4,'R230',179),(14939,'rocket span','rocket span',0,1,1.3667,'R23215',1),(14940,'rocket span innovative','rocket span innovative',0,1,1.7333,'R23215131',1),(14941,'rotation','rotation',0,0,0.5333,'R350',1),(14942,'rotation with','rotation with',0,1,1.4333,'R353',1),(14943,'rotation with origin','rotation with origin',0,1,1.6667,'R353625',1),(14944,'save your','save your',0,1,1.3,'S160',1),(14945,'save your time','save your time',0,1,1.4667,'S1635',1),(14946,'scale','scale',0,0,0.3333,'S400',1),(14947,'scale it','scale it',0,1,1.2667,'S430',1),(14948,'scale it is','scale it is',0,1,1.3667,'S432',1),(14949,'scaling','scaling',0,0,0.4667,'S452',1),(14950,'scrolling','scrolling',0,0,0.6,'S6452',2),(14951,'scrolling you','scrolling you',0,1,1.4333,'S6452',1),(14952,'scrolling you can','scrolling you can',0,1,1.5667,'S64525',1),(14953,'scrolls','scrolls',0,0,0.4667,'S642',1),(14954,'scrolls page','scrolls page',0,1,1.4,'S64212',1),(14955,'scrolls page to','scrolls page to',0,1,1.5,'S642123',1),(14956,'second container','second container',0,1,1.5333,'S5325356',2),(14957,'second container animation','second container animation',0,1,1.8667,'S5325356535',1),(14958,'section of','section of',0,1,1.3333,'S351',1),(14959,'section of this','section of this',0,1,1.5,'S35132',1),(14960,'section please','section please',0,1,1.4667,'S35142',1),(14961,'section please use','section please use',0,1,1.6,'S35142',1),(14962,'section to','section to',0,1,1.3333,'S353',1),(14963,'section to create','section to create',0,1,1.5667,'S353263',1),(14964,'should be delayed','should be delayed',0,1,1.5667,'S431343',1),(14965,'should create','should create',0,1,1.4333,'S43263',1),(14966,'should create the','should create the',0,1,1.5667,'S43263',1),(14967,'simple horizontal','simple horizontal',0,1,1.5667,'S51462534',1),(14968,'simple horizontal animation','simple horizontal animation',0,1,1.9,'S51462534535',1),(14969,'simple vertical','simple vertical',0,1,1.5,'S51416324',1),(14970,'simple vertical animation','simple vertical animation',0,1,1.8333,'S51416324535',1),(14971,'so if','so if',0,1,1.1667,'S100',1),(14972,'so if you','so if you',0,1,1.3,'S100',1),(14973,'span award-winning','span award-winning',0,1,1.6,'S156352',1),(14974,'span award-winning agency','span award-winning agency',0,1,1.8333,'S15635252',1),(14975,'span badge','span badge',0,1,1.3333,'S15132',1),(14976,'span badge span','span badge span',0,1,1.5,'S1513215',1),(14977,'span innovative','span innovative',0,1,1.5,'S15131',1),(14978,'span innovative design','span innovative design',0,1,1.7333,'S15131325',1),(14979,'span mouse','span mouse',0,1,1.3333,'S152',1),(14980,'span mouse span','span mouse span',0,1,1.5,'S15215',1),(14981,'span piggy','span piggy',0,1,1.3333,'S1512',1),(14982,'span piggy span','span piggy span',0,1,1.5,'S151215',1),(14983,'span rocket','span rocket',0,1,1.3667,'S15623',1),(14984,'span rocket span','span rocket span',0,1,1.5333,'S15623215',1),(14985,'span save','span save',0,1,1.3,'S1521',1),(14986,'span save your','span save your',0,1,1.4667,'S15216',1),(14987,'span your','span your',0,1,1.3,'S156',1),(14988,'span your ideas','span your ideas',0,1,1.5,'S15632',1),(14989,'specific element is','specific element is',0,1,1.6333,'S12124532',1),(14990,'specifies the','specifies the',0,1,1.4333,'S12123',1),(14991,'specifies the amount','specifies the amount',0,1,1.6667,'S1212353',1),(14992,'specifies the animation','specifies the animation',0,1,1.7667,'S12123535',1),(14993,'specify one','specify one',0,1,1.3667,'S1215',1),(14994,'specify one of','specify one of',0,1,1.4667,'S12151',1),(14995,'start delay','start delay',0,1,1.3667,'S3634',1),(14996,'start delay in','start delay in',0,1,1.4667,'S36345',1),(14997,'startup','startup',0,0,0.4667,'S3631',1),(14998,'startup template','startup template',0,1,1.5333,'S363135143',1),(14999,'startup template supports','startup template supports',0,1,1.8333,'S36313514321632',1),(15000,'stuff','stuff',0,0,0.3333,'S310',1),(15001,'stuff css','stuff css',0,1,1.3,'S312',1),(15002,'supports a','supports a',0,1,1.3333,'S1632',1),(15003,'supports a simple','supports a simple',0,1,1.5667,'S1632514',1),(15004,'team members it','team members it',0,1,1.5,'T51623',1),(15005,'template supports a','template supports a',0,1,1.6333,'T514321632',1),(15006,'text as','text as',0,1,1.2333,'T232',1),(15007,'text as in','text as in',0,1,1.3333,'T2325',1),(15008,'the above','the above',0,1,1.3,'T100',1),(15009,'the above code','the above code',0,1,1.4667,'T123',1),(15010,'the amount','the amount',0,1,1.3333,'T530',2),(15011,'the amount of','the amount of',0,1,1.4333,'T531',2),(15012,'the animation for','the animation for',0,1,1.5667,'T53516',1),(15013,'the animation start','the animation start',0,1,1.6333,'T5352363',1),(15014,'the animation type','the animation type',0,1,1.6,'T53531',1),(15015,'the below','the below',0,1,1.3,'T140',1),(15016,'the below elements','the below elements',0,1,1.6,'T14532',1),(15017,'the better','the better',0,1,1.3333,'T136',1),(15018,'the better flip','the better flip',0,1,1.5,'T136141',1),(15019,'the contact','the contact',0,1,1.3667,'T25323',1),(15020,'the contact section','the contact section',0,1,1.6333,'T25323235',1),(15021,'the css','the css',0,1,1.2333,'T200',1),(15022,'the css code','the css code',0,1,1.4,'T230',1),(15023,'the css gk','the css gk',0,1,1.3333,'T200',1),(15024,'the data-count','the data-count',0,1,1.4667,'T253',1),(15025,'the data-count attribute','the data-count attribute',0,1,1.8,'T253613',1),(15026,'the element horizontal','the element horizontal',0,1,1.7333,'T45362534',1),(15027,'the features','the features',0,1,1.4,'T1362',6),(15028,'the features section','the features section',0,1,1.6667,'T136235',1),(15029,'the flip','the flip',0,1,1.2667,'T141',1),(15030,'the flip and','the flip and',0,1,1.4,'T14153',1),(15031,'the following code','the following code',0,1,1.6,'T14523',6),(15032,'the four','the four',0,1,1.2667,'T160',1),(15033,'the four animation','the four animation',0,1,1.6,'T16535',1),(15034,'the four mentioned','the four mentioned',0,1,1.6,'T165353',1),(15035,'the gkperspective','the gkperspective',0,1,1.5667,'T21621231',1),(15036,'the gkperspective css','the gkperspective css',0,1,1.7,'T216212312',1),(15037,'the horizontal animation','the horizontal animation',0,1,1.8,'T62534535',1),(15038,'the loaded css','the loaded css',0,1,1.4667,'T432',1),(15039,'the most important','the most important',0,1,1.6,'T523516353',2),(15040,'the proper place','the proper place',0,1,1.5333,'T1616142',1),(15041,'the second container','the second container',0,1,1.6667,'T25325356',2),(15042,'the startup','the startup',0,1,1.3667,'T23631',1),(15043,'the startup template','the startup template',0,1,1.6667,'T2363135143',1),(15044,'the team','the team',0,1,1.2667,'T500',1),(15045,'the team members','the team members',0,1,1.5333,'T5162',1),(15046,'the two','the two',0,1,1.2333,'T000',11),(15047,'the two data','the two data',0,1,1.4,'T000',1),(15048,'the user','the user',0,1,1.2667,'T260',1),(15049,'the user scrolls','the user scrolls',0,1,1.5333,'T262642',1),(15050,'the website','the website',0,1,1.3667,'T123',1),(15051,'the website then','the website then',0,1,1.5333,'T1235',1),(15052,'then the loaded','then the loaded',0,1,1.5,'T5343',1),(15053,'this demo','this demo',0,1,1.3,'T235',1),(15054,'this demo at','this demo at',0,1,1.4,'T2353',1),(15055,'time money','time money',0,1,1.3333,'T500',1),(15056,'time money a','time money a',0,1,1.4,'T500',1),(15057,'to animate','to animate',0,1,1.3333,'T530',1),(15058,'to animate two','to animate two',0,1,1.4667,'T530',1),(15059,'to create the','to create the',0,1,1.4333,'T263',2),(15060,'to the element','to the element',0,1,1.4667,'T453',1),(15061,'to the proper','to the proper',0,1,1.4333,'T1616',1),(15062,'transform','transform',0,0,0.6,'T652165',1),(15063,'transform scaling','transform scaling',0,1,1.5667,'T6521652452',1),(15064,'transformation','transformation',0,0,0.9333,'T65216535',1),(15065,'transformation effect','transformation effect',0,1,1.7,'T65216535123',1),(15066,'transformation effect team','transformation effect team',0,1,1.8667,'T652165351235',1),(15067,'two containers','two containers',0,1,1.4667,'T253562',1),(15068,'two containers with','two containers with',0,1,1.6333,'T2535623',1),(15069,'type and','type and',0,1,1.2667,'T153',1),(15070,'type and the','type and the',0,1,1.4,'T153',1),(15071,'type one','type one',0,1,1.2667,'T150',1),(15072,'type one of','type one of',0,1,1.3667,'T151',1),(15073,'types flip','types flip',0,1,1.3333,'T12141',1),(15074,'types flip it','types flip it',0,1,1.4333,'T121413',1),(15075,'types or','types or',0,1,1.2667,'T126',1),(15076,'types or your','types or your',0,1,1.4333,'T126',1),(15077,'use the following','use the following',0,1,1.5667,'U231452',2),(15078,'useful if','useful if',0,1,1.3,'U2141',1),(15079,'useful if you','useful if you',0,1,1.4333,'U2141',1),(15080,'user scrolls','user scrolls',0,1,1.4,'U262642',1),(15081,'user scrolls page','user scrolls page',0,1,1.5667,'U26264212',1),(15082,'value 10','value 10',0,1,1.2667,'V400',1),(15083,'value 10 20','value 10 20',0,1,1.3667,'V400',1),(15084,'vertical animation','vertical animation',0,1,1.6,'V6324535',1),(15085,'vertical animation when','vertical animation when',0,1,1.7667,'V6324535',1),(15086,'vertical simple','vertical simple',0,1,1.5,'V63242514',1),(15087,'vertical simple vertical','vertical simple vertical',0,1,1.8,'V6324251416324',1),(15088,'vertical-column-width','vertical-column-width',0,0,1,'V63242453',1),(15089,'vertical-column-width h3','vertical-column-width h3',0,1,1.8,'V63242453',1),(15090,'vertical-column-width h3 header','vertical-column-width h3 header',0,1,2,'V632424536',1),(15091,'want to animate','want to animate',0,1,1.5,'W5353',1),(15092,'website then','website then',0,1,1.4,'W1235',1),(15093,'website then the','website then the',0,1,1.5333,'W12353',1),(15094,'when the user','when the user',0,1,1.4333,'W5326',1),(15095,'where width','where width',0,1,1.3667,'W630',1),(15096,'where width is','where width is',0,1,1.4667,'W632',1),(15097,'which specifies the','which specifies the',0,1,1.6333,'W212123',1),(15098,'width','width',0,0,0.3333,'W300',5),(15099,'width is','width is',0,1,1.2667,'W320',1),(15100,'width is a','width is a',0,1,1.3333,'W320',1),(15101,'width other','width other',0,1,1.3667,'W360',1),(15102,'width other important','width other important',0,1,1.7,'W36516353',1),(15103,'with origin','with origin',0,1,1.3667,'W3625',1),(15104,'with origin in','with origin in',0,1,1.4667,'W3625',1),(15105,'with the flip','with the flip',0,1,1.4333,'W3141',1),(15106,'with the team','with the team',0,1,1.4333,'W350',1),(15107,'you can specify','you can specify',0,1,1.5,'Y252121',5),(15108,'you define','you define',0,1,1.3333,'Y315',1),(15109,'you define it','you define it',0,1,1.4333,'Y3153',1),(15110,'you should create','you should create',0,1,1.5667,'Y243263',1),(15111,'your ideas','your ideas',0,1,1.3333,'Y632',1),(15112,'your ideas imagination','your ideas imagination',0,1,1.7333,'Y63252535',1),(15113,'your own ones','your own ones',0,1,1.4333,'Y652',1),(15114,'your time','your time',0,1,1.3,'Y635',1),(15115,'your time money','your time money',0,1,1.5,'Y635',1),(15116,'has taken','has taken',0,1,1.3,'H2325',1),(15117,'has taken its','has taken its',0,1,1.4333,'H232532',1),(15118,'iraqi','iraqi',0,0,0.3333,'I620',1),(15119,'iraqi women','iraqi women',0,1,1.3667,'I625',1),(15120,'its toll','its toll',0,1,1.2667,'I3234',1),(15121,'its toll on','its toll on',0,1,1.3667,'I32345',1),(15122,'on iraqi','on iraqi',0,1,1.2667,'O562',1),(15123,'on iraqi women','on iraqi women',0,1,1.4667,'O5625',1),(15124,'taken its','taken its',0,1,1.3,'T2532',1),(15125,'taken its toll','taken its toll',0,1,1.4667,'T253234',1),(15126,'the war','the war',0,1,1.2333,'T600',1),(15127,'the war has','the war has',0,1,1.3667,'T620',1),(15128,'toll','toll',0,0,0.2667,'T400',1),(15129,'toll on','toll on',0,1,1.2333,'T450',1),(15130,'toll on iraqi','toll on iraqi',0,1,1.4333,'T4562',1),(15131,'war','war',0,0,0.2,'W600',5),(15132,'war has','war has',0,1,1.2333,'W620',1),(15133,'war has taken','war has taken',0,1,1.4333,'W62325',1),(15134,'why the','why the',0,1,1.2333,'W300',1),(15135,'why the war','why the war',0,1,1.3667,'W360',1),(15136,'women','women',0,0,0.3333,'W500',13),(15137,'and role','and role',0,1,1.2667,'A5364',8),(15138,'and role of','and role of',0,1,1.3667,'A53641',8),(15139,'in iraq','in iraq',0,1,1.2333,'I562',12),(15140,'iraq','iraq',0,0,0.2667,'I620',12),(15141,'of women','of women',0,1,1.2667,'O150',12),(15142,'of women in','of women in',0,1,1.3667,'O150',12),(15143,'role','role',0,0,0.2667,'R400',12),(15144,'role of','role of',0,1,1.2333,'R410',12),(15145,'role of women','role of women',0,1,1.4333,'R415',12),(15146,'status','status',0,0,0.4,'S320',12),(15147,'status and','status and',0,1,1.3333,'S3253',8),(15148,'status and role','status and role',0,1,1.5,'S325364',8),(15149,'the status','the status',0,1,1.3333,'T232',12),(15150,'the status and','the status and',0,1,1.4667,'T23253',8),(15151,'women in','women in',0,1,1.2667,'W500',12),(15152,'women in iraq','women in iraq',0,1,1.4333,'W562',12),(15153,'status of','status of',0,1,1.3,'S321',1),(15154,'status of women','status of women',0,1,1.5,'S3215',1),(15155,'the status of','the status of',0,1,1.4333,'T2321',1),(15156,'status role','status role',0,1,1.3667,'S3264',10),(15157,'status role of','status role of',0,1,1.4667,'S32641',10),(15158,'the status role','the status role',0,1,1.5,'T23264',10),(15159,'157','157',0,0,0.3,'',5),(15160,'health','health',0,0,0.4,'H430',40),(15161,'158','158',0,0,0.3,'',5),(15162,'159','159',0,0,0.3,'',7),(15163,'160','160',0,0,0.3,'',7),(15164,'161','161',0,0,0.3,'',7),(15165,'162','162',0,0,0.3,'',6),(15166,'163','163',0,0,0.3,'',2),(15167,'tv','tv',0,0,0.1333,'T100',236),(15168,'tv video','tv video',0,1,1.2667,'T130',9),(15169,'164','164',0,0,0.3,'',5),(15170,'165','165',0,0,0.3,'',6),(15171,'166','166',0,0,0.3,'',7),(15172,'167','167',0,0,0.3,'',6),(15173,'168','168',0,0,0.3,'',7),(15174,'169','169',0,0,0.3,'',12),(15175,'170','170',0,0,0.3,'',14),(15176,'171','171',0,0,0.3,'',12),(15177,'172','172',0,0,0.3,'',13),(15178,'173','173',0,0,0.3,'',8),(15179,'174','174',0,0,0.3,'',12),(15180,'175','175',0,0,0.3,'',18),(15181,'entertainment','entertainment',0,0,0.8667,'E536353',58),(15182,'176','176',0,0,0.3,'',15),(15183,'177','177',0,0,0.3,'',17),(15184,'178','178',0,0,0.3,'',17),(15185,'179','179',0,0,0.3,'',18),(15186,'180','180',0,0,0.3,'',21),(15187,'181','181',0,0,0.3,'',15),(15188,'182','182',0,0,0.3,'',17),(15189,'183','183',0,0,0.3,'',6),(15190,'justice','justice',0,0,0.4667,'J320',7),(15191,'184','184',0,0,0.3,'',5),(15192,'185','185',0,0,0.3,'',14),(15193,'politics','politics',0,0,0.5333,'P432',39),(15194,'186','186',0,0,0.3,'',10),(15195,'188','188',0,0,0.3,'',6),(15196,'u','u',0,0,0.0667,'U000',52),(15197,'u s','u s',0,1,1.1,'U200',52),(15198,'187','187',0,0,0.3,'',8),(15199,'189','189',0,0,0.3,'',8),(15200,'190','190',0,0,0.3,'',12),(15201,'government','government',0,0,0.6667,'G1653',4),(15202,'government upsets','government upsets',0,1,1.5667,'G16531232',4),(15203,'government upsets traditional','government upsets traditional',0,1,1.9667,'G1653123236354',4),(15204,'mario','mario',0,0,0.3333,'M600',4),(15205,'mario monti\'s','mario monti',0,1,1.4333,'M6532',4),(15206,'mario monti\'s government','mario monti government',0,1,1.8,'M65321653',4),(15207,'mario montis','mario montis',0,1,1.4,'M6532',4),(15208,'mario montis government','mario montis government',0,1,1.7667,'M65321653',4),(15209,'monti\'s','monti',0,0,0.4667,'M320',4),(15210,'monti\'s government','monti government',0,1,1.6,'M321653',4),(15211,'monti\'s government upsets','monti government upsets',0,1,1.8333,'M3216531232',4),(15212,'montis','montis',0,0,0.4,'M320',4),(15213,'montis government','montis government',0,1,1.5667,'M321653',4),(15214,'montis government upsets','montis government upsets',0,1,1.8,'M3216531232',4),(15215,'parties','parties',0,0,0.4667,'P632',4),(15216,'traditional','traditional',0,0,0.7333,'T6354',4),(15217,'traditional parties','traditional parties',0,1,1.6333,'T63541632',4),(15218,'upsets','upsets',0,0,0.4,'U1232',4),(15219,'upsets traditional','upsets traditional',0,1,1.6,'U123236354',4),(15220,'upsets traditional parties','upsets traditional parties',0,1,1.8667,'U1232363541632',4),(15221,'and portugal','and portugal',0,1,1.4,'A5316324',4),(15222,'clashed','clashed',0,0,0.4667,'C423',4),(15223,'clashed with','clashed with',0,1,1.4,'C423',4),(15224,'clashed with protesters','clashed with protesters',0,1,1.7667,'C4231632362',4),(15225,'have clashed','have clashed',0,1,1.4,'H12423',4),(15226,'have clashed with','have clashed with',0,1,1.5667,'H12423',4),(15227,'in spain','in spain',0,1,1.2667,'I5215',4),(15228,'in spain italy','in spain italy',0,1,1.4667,'I521534',4),(15229,'italy','italy',0,0,0.3333,'I340',4),(15230,'italy and','italy and',0,1,1.3,'I3453',4),(15231,'italy and portugal','italy and portugal',0,1,1.6,'I345316324',4),(15232,'police','police',0,0,0.4,'P420',4),(15233,'police have','police have',0,1,1.3667,'P421',4),(15234,'police have clashed','police have clashed',0,1,1.6333,'P4212423',4),(15235,'portugal','portugal',0,0,0.5333,'P6324',4),(15236,'protesters','protesters',0,0,0.6667,'P632362',4),(15237,'protesters in','protesters in',0,1,1.4333,'P6323625',4),(15238,'protesters in spain','protesters in spain',0,1,1.6333,'P6323625215',4),(15239,'riot','riot',0,0,0.2667,'R300',4),(15240,'riot police','riot police',0,1,1.3667,'R3142',4),(15241,'riot police have','riot police have',0,1,1.5333,'R31421',4),(15242,'spain','spain',0,0,0.3333,'S150',4),(15243,'spain italy','spain italy',0,1,1.3667,'S1534',4),(15244,'spain italy and','spain italy and',0,1,1.5,'S153453',4),(15245,'with protesters','with protesters',0,1,1.5,'W31632362',4),(15246,'with protesters in','with protesters in',0,1,1.6,'W316323625',4),(15247,'a flagpole','a flagpole',0,1,1.3333,'A14214',2),(15248,'corps','corps',0,0,0.3333,'C612',2),(15249,'corps flag','corps flag',0,1,1.3333,'C612142',2),(15250,'corps flag was','corps flag was',0,1,1.4667,'C612142',2),(15251,'flag','flag',0,0,0.2667,'F420',2),(15252,'flag was','flag was',0,1,1.2667,'F420',2),(15253,'flag was raised','flag was raised',0,1,1.5,'F42623',2),(15254,'flagpole','flagpole',0,0,0.5333,'F4214',2),(15255,'marine','marine',0,0,0.4,'M650',2),(15256,'marine corps','marine corps',0,1,1.4,'M652612',2),(15257,'marine corps flag','marine corps flag',0,1,1.5667,'M652612142',2),(15258,'memorial','memorial',0,0,0.5333,'M640',2),(15259,'memorial wall','memorial wall',0,1,1.4333,'M640',2),(15260,'memorial wall on','memorial wall on',0,1,1.5333,'M645',2),(15261,'on a flagpole','on a flagpole',0,1,1.4333,'O514214',2),(15262,'over the','over the',0,1,1.2667,'O163',11),(15263,'over the memorial','over the memorial',0,1,1.5667,'O163564',2),(15264,'raised over','raised over',0,1,1.3667,'R2316',2),(15265,'raised over the','raised over the',0,1,1.5,'R23163',2),(15266,'the memorial','the memorial',0,1,1.4,'T564',2),(15267,'the memorial wall','the memorial wall',0,1,1.5667,'T564',2),(15268,'wall','wall',0,0,0.2667,'W400',2),(15269,'wall on','wall on',0,1,1.2333,'W450',2),(15270,'wall on a','wall on a',0,1,1.3,'W450',2),(15271,'was raised','was raised',0,1,1.3333,'W2623',2),(15272,'was raised over','was raised over',0,1,1.5,'W262316',2),(15273,'addressed','addressed',0,0,0.6,'A3623',5),(15274,'addressed the','addressed the',0,1,1.4333,'A3623',5),(15275,'addressed the nation','addressed the nation',0,1,1.6667,'A3623535',5),(15276,'barack','barack',0,0,0.4,'B620',8),(15277,'barack obama','barack obama',0,1,1.4,'B6215',5),(15278,'barack obama emotionally','barack obama emotionally',0,1,1.8,'B6215354',5),(15279,'emotionally','emotionally',0,0,0.7333,'E5354',5),(15280,'emotionally addressed','emotionally addressed',0,1,1.7,'E53543623',5),(15281,'emotionally addressed the','emotionally addressed the',0,1,1.8333,'E53543623',5),(15282,'nation','nation',0,0,0.4,'N350',5),(15283,'obama','obama',0,0,0.3333,'O150',17),(15284,'obama emotionally','obama emotionally',0,1,1.5667,'O15354',5),(15285,'obama emotionally addressed','obama emotionally addressed',0,1,1.9,'O153543623',5),(15286,'president','president',0,0,0.6,'P62353',12),(15287,'president barack','president barack',0,1,1.5333,'P62353162',8),(15288,'president barack obama','president barack obama',0,1,1.7333,'P6235316215',5),(15289,'the nation','the nation',0,1,1.3333,'T535',5),(15290,'about global','about global',0,1,1.4,'A132414',4),(15291,'about global warming','about global warming',0,1,1.6667,'A132414652',4),(15292,'do about','do about',0,1,1.2667,'D130',4),(15293,'do about global','do about global',0,1,1.5,'D132414',4),(15294,'global warming','global warming',0,1,1.4667,'G414652',4),(15295,'next','next',0,0,0.2667,'N230',9),(15296,'next president','next president',0,1,1.4667,'N23162353',4),(15297,'next president do','next president do',0,1,1.5667,'N23162353',4),(15298,'president do','president do',0,1,1.4,'P62353',4),(15299,'president do about','president do about',0,1,1.6,'P6235313',4),(15300,'should the','should the',0,1,1.3333,'S430',4),(15301,'should the next','should the next',0,1,1.5,'S43523',4),(15302,'the next','the next',0,1,1.2667,'T523',4),(15303,'the next president','the next president',0,1,1.6,'T523162353',4),(15304,'warming','warming',0,0,0.4667,'W652',4),(15305,'what should','what should',0,1,1.3667,'W3243',9),(15306,'what should the','what should the',0,1,1.5,'W3243',4),(15307,'control','control',0,0,0.4667,'C5364',4),(15308,'discussion','discussion',0,0,0.6667,'D250',10),(15309,'discussion on','discussion on',0,1,1.4333,'D250',7),(15310,'discussion on us','discussion on us',0,1,1.5333,'D252',3),(15311,'gun','gun',0,0,0.2,'G500',13),(15312,'gun control','gun control',0,1,1.3667,'G525364',3),(15313,'media','media',0,0,0.3333,'M300',3),(15314,'media discussion','media discussion',0,1,1.5333,'M325',3),(15315,'media discussion on','media discussion on',0,1,1.6333,'M325',3),(15316,'of media','of media',0,1,1.2667,'O153',3),(15317,'of media discussion','of media discussion',0,1,1.6333,'O15325',3),(15318,'on us','on us',0,1,1.1667,'O520',3),(15319,'on us gun','on us gun',0,1,1.3,'O525',3),(15320,'unprecedented','unprecedented',0,0,0.8667,'U5162353',3),(15321,'unprecedented wave','unprecedented wave',0,1,1.6,'U51623531',3),(15322,'unprecedented wave of','unprecedented wave of',0,1,1.7,'U51623531',3),(15323,'us gun','us gun',0,1,1.2,'U250',3),(15324,'us gun control','us gun control',0,1,1.4667,'U2525364',3),(15325,'wave','wave',0,0,0.2667,'W100',9),(15326,'wave of','wave of',0,1,1.2333,'W100',3),(15327,'wave of media','wave of media',0,1,1.4333,'W153',3),(15328,'against president','against president',0,1,1.5667,'A2523162353',3),(15329,'against president barack','against president barack',0,1,1.8,'A2523162353162',3),(15330,'barack obamas','barack obamas',0,1,1.4333,'B62152',3),(15331,'barack obamas health','barack obamas health',0,1,1.6667,'B6215243',3),(15332,'care','care',0,0,0.2667,'C600',16),(15333,'care legislation','care legislation',0,1,1.5333,'C642435',3),(15334,'health care','health care',0,1,1.3667,'H4326',3),(15335,'health care legislation','health care legislation',0,1,1.7667,'H432642435',3),(15336,'hold','hold',0,0,0.2667,'H430',2),(15337,'hold signs','hold signs',0,1,1.3333,'H43252',2),(15338,'hold signs against','hold signs against',0,1,1.6,'H43252523',2),(15339,'legislation','legislation',0,0,0.7333,'L2435',3),(15340,'obamas','obamas',0,0,0.4,'O152',3),(15341,'obamas health','obamas health',0,1,1.4333,'O15243',3),(15342,'obamas health care','obamas health care',0,1,1.6,'O1524326',3),(15343,'president barack obamas','president barack obamas',0,1,1.7667,'P62353162152',3),(15344,'protestors','protestors',0,0,0.6667,'P632362',3),(15345,'protestors hold','protestors hold',0,1,1.5,'P63236243',2),(15346,'protestors hold signs','protestors hold signs',0,1,1.7,'P63236243252',2),(15347,'signs','signs',0,0,0.3333,'S520',2),(15348,'signs against','signs against',0,1,1.4333,'S52523',2),(15349,'signs against president','signs against president',0,1,1.7667,'S52523162353',2),(15350,'protestors against','protestors against',0,1,1.6,'P632362523',1),(15351,'protestors against president','protestors against president',0,1,1.9333,'P632362523162353',1),(15352,'armed','armed',0,0,0.3333,'A653',5),(15353,'armed insurgents','armed insurgents',0,1,1.5333,'A6535262532',5),(15354,'armed insurgents attacked','armed insurgents attacked',0,1,1.8333,'A6535262532323',5),(15355,'attacked','attacked',0,0,0.5333,'A323',5),(15356,'attacked u','attacked u',0,1,1.3333,'A323',5),(15357,'attacked u s','attacked u s',0,1,1.4,'A3232',5),(15358,'attacked us','attacked us',0,1,1.3667,'A3232',5),(15359,'attacked us marines','attacked us marines',0,1,1.6333,'A32325652',5),(15360,'heavily','heavily',0,0,0.4667,'H140',5),(15361,'heavily armed','heavily armed',0,1,1.4333,'H14653',5),(15362,'heavily armed insurgents','heavily armed insurgents',0,1,1.8,'H146535262532',5),(15363,'insurgents','insurgents',0,0,0.6667,'I5262532',5),(15364,'insurgents attacked','insurgents attacked',0,1,1.6333,'I5262532323',5),(15365,'insurgents attacked u','insurgents attacked u',0,1,1.7,'I5262532323',5),(15366,'insurgents attacked us','insurgents attacked us',0,1,1.7333,'I52625323232',5),(15367,'marines','marines',0,0,0.4667,'M652',5),(15368,'s marines','s marines',0,1,1.3,'S5652',5),(15369,'u s marines','u s marines',0,1,1.3667,'U25652',5),(15370,'us marines','us marines',0,1,1.3333,'U25652',5),(15371,'after school','after school',0,1,1.4,'A13624',4),(15372,'after school shooting','after school shooting',0,1,1.7,'A136242352',4),(15373,'community','community',0,0,0.6,'C530',4),(15374,'community in','community in',0,1,1.4,'C535',4),(15375,'community in shock','community in shock',0,1,1.6,'C5352',4),(15376,'in shock','in shock',0,1,1.2667,'I520',4),(15377,'in shock after','in shock after',0,1,1.4667,'I52136',4),(15378,'newtown','newtown',0,0,0.4667,'N350',7),(15379,'newtown community','newtown community',0,1,1.5667,'N35253',4),(15380,'newtown community in','newtown community in',0,1,1.6667,'N352535',4),(15381,'school','school',0,0,0.4,'S400',4),(15382,'school shooting','school shooting',0,1,1.5,'S42352',4),(15383,'shock','shock',0,0,0.3333,'S000',4),(15384,'shock after','shock after',0,1,1.3667,'S136',4),(15385,'shock after school','shock after school',0,1,1.6,'S13624',4),(15386,'shooting','shooting',0,0,0.5333,'S352',10),(15387,'a big step','a big step',0,1,1.3333,'A1231',4),(15388,'arnold','arnold',0,0,0.4,'A6543',4),(15389,'arnold schwarzenegger','arnold schwarzenegger',0,1,1.7,'A6543262526',4),(15390,'arnold schwarzenegger took','arnold schwarzenegger took',0,1,1.8667,'A654326252632',4),(15391,'big step','big step',0,1,1.2667,'B231',4),(15392,'big step back','big step back',0,1,1.4333,'B2312',4),(15393,'california','california',0,0,0.6667,'C4165',5),(15394,'california governor','california governor',0,1,1.6333,'C416521656',4),(15395,'california governor arnold','california governor arnold',0,1,1.8667,'C416521656543',4),(15396,'former california','former california',0,1,1.5667,'F65624165',4),(15397,'former california governor','former california governor',0,1,1.8667,'F6562416521656',4),(15398,'governor','governor',0,0,0.5333,'G1656',4),(15399,'governor arnold','governor arnold',0,1,1.5,'G1656543',4),(15400,'governor arnold schwarzenegger','governor arnold schwarzenegger',0,1,2,'G1656543262526',4),(15401,'schwarzenegger','schwarzenegger',0,0,0.9333,'S62526',4),(15402,'schwarzenegger took','schwarzenegger took',0,1,1.6333,'S6252632',4),(15403,'schwarzenegger took a','schwarzenegger took a',0,1,1.7,'S6252632',4),(15404,'step','step',0,0,0.2667,'S310',5),(15405,'step back','step back',0,1,1.3,'S312',4),(15406,'took','took',0,0,0.2667,'T200',10),(15407,'took a','took a',0,1,1.2,'T200',4),(15408,'took a big','took a big',0,1,1.3333,'T212',4),(15409,'and iran','and iran',0,1,1.2667,'A5365',3),(15410,'and iran to','and iran to',0,1,1.3667,'A53653',3),(15411,'bring','bring',0,0,0.3333,'B652',3),(15412,'bring russia','bring russia',0,1,1.4,'B65262',3),(15413,'bring russia and','bring russia and',0,1,1.5333,'B6526253',3),(15414,'international','international',0,0,0.8667,'I5365354',3),(15415,'international discussion','international discussion',0,1,1.8,'I5365354325',3),(15416,'iran','iran',0,0,0.2667,'I650',3),(15417,'iran to','iran to',0,1,1.2333,'I653',3),(15418,'iran to the','iran to the',0,1,1.3667,'I653',3),(15419,'russia','russia',0,0,0.4,'R200',3),(15420,'russia and','russia and',0,1,1.3333,'R253',3),(15421,'russia and iran','russia and iran',0,1,1.5,'R25365',3),(15422,'save syria','save syria',0,1,1.3333,'S126',3),(15423,'save syria bring','save syria bring',0,1,1.5333,'S1261652',3),(15424,'syria','syria',0,0,0.3333,'S600',3),(15425,'syria bring','syria bring',0,1,1.3667,'S61652',3),(15426,'syria bring russia','syria bring russia',0,1,1.6,'S6165262',3),(15427,'the international','the international',0,1,1.5667,'T5365354',3),(15428,'the international discussion','the international discussion',0,1,1.9333,'T5365354325',3),(15429,'to save syria','to save syria',0,1,1.4333,'T2126',3),(15430,'to the international','to the international',0,1,1.6667,'T5365354',3),(15431,'a million','a million',0,1,1.3,'A545',3),(15432,'a million more','a million more',0,1,1.4667,'A5456',3),(15433,'assange','assange',0,0,0.4667,'A252',3),(15434,'assange expect','assange expect',0,1,1.4667,'A252123',3),(15435,'assange expect a','assange expect a',0,1,1.5333,'A252123',3),(15436,'docs','docs',0,0,0.2667,'D200',3),(15437,'docs in','docs in',0,1,1.2333,'D250',3),(15438,'docs in 2013','docs in 2013',0,1,1.4,'D250',3),(15439,'expect a','expect a',0,1,1.2667,'E2123',3),(15440,'expect a million','expect a million',0,1,1.5333,'E2123545',3),(15441,'in 2013','in 2013',0,1,1.2333,'I500',189),(15442,'julian','julian',0,0,0.4,'J450',3),(15443,'julian assange','julian assange',0,1,1.4667,'J45252',3),(15444,'julian assange expect','julian assange expect',0,1,1.7,'J45252123',3),(15445,'million more','million more',0,1,1.4,'M456',3),(15446,'million more wikileaks','million more wikileaks',0,1,1.7333,'M456242',3),(15447,'more wikileaks','more wikileaks',0,1,1.4667,'M6242',3),(15448,'more wikileaks docs','more wikileaks docs',0,1,1.6333,'M624232',3),(15449,'wikileaks','wikileaks',0,0,0.6,'W242',3),(15450,'wikileaks docs','wikileaks docs',0,1,1.4667,'W24232',3),(15451,'wikileaks docs in','wikileaks docs in',0,1,1.5667,'W242325',3),(15452,'angela','angela',0,0,0.4,'A524',5),(15453,'angela merkel\'s','angela merkel',0,1,1.5,'A52456242',4),(15454,'angela merkel\'s cautious','angela merkel cautious',0,1,1.8,'A5245624232',4),(15455,'angela merkels','angela merkels',0,1,1.4667,'A52456242',4),(15456,'angela merkels cautious','angela merkels cautious',0,1,1.7667,'A5245624232',4),(15457,'cautious','cautious',0,0,0.5333,'C320',4),(15458,'cautious response','cautious response',0,1,1.5667,'C3262152',4),(15459,'cautious response to','cautious response to',0,1,1.6667,'C32621523',4),(15460,'crisis','crisis',0,0,0.4,'C620',8),(15461,'economic','economic',0,0,0.5333,'E252',32),(15462,'euro','euro',0,0,0.2667,'E600',4),(15463,'euro crisis','euro crisis',0,1,1.3667,'E6262',4),(15464,'germany\'s','germany',0,0,0.6,'G652',4),(15465,'germany\'s iron','germany iron',0,1,1.4667,'G65265',4),(15466,'germany\'s iron lady','germany iron lady',0,1,1.6333,'G6526543',4),(15467,'germanys','germanys',0,0,0.5333,'G652',4),(15468,'germanys iron','germanys iron',0,1,1.4333,'G65265',4),(15469,'germanys iron lady','germanys iron lady',0,1,1.6,'G6526543',4),(15470,'iron lady','iron lady',0,1,1.3,'I6543',4),(15471,'iron lady angela','iron lady angela',0,1,1.5333,'I6543524',4),(15472,'lady','lady',0,0,0.2667,'L300',4),(15473,'lady angela','lady angela',0,1,1.3667,'L3524',4),(15474,'lady angela merkel\'s','lady angela merkel',0,1,1.6667,'L352456242',4),(15475,'lady angela merkels','lady angela merkels',0,1,1.6333,'L352456242',4),(15476,'merkel\'s','merkel',0,0,0.5333,'M6242',4),(15477,'merkel\'s cautious','merkel cautious',0,1,1.5667,'M624232',4),(15478,'merkel\'s cautious response','merkel cautious response',0,1,1.8667,'M62423262152',4),(15479,'merkels','merkels',0,0,0.4667,'M6242',4),(15480,'merkels cautious','merkels cautious',0,1,1.5333,'M624232',4),(15481,'merkels cautious response','merkels cautious response',0,1,1.8333,'M62423262152',4),(15482,'response','response',0,0,0.5333,'R2152',4),(15483,'response to','response to',0,1,1.3667,'R21523',4),(15484,'response to the','response to the',0,1,1.5,'R21523',4),(15485,'the euro','the euro',0,1,1.2667,'T600',4),(15486,'the euro crisis','the euro crisis',0,1,1.5,'T6262',4),(15487,'to the euro','to the euro',0,1,1.3667,'T600',4),(15488,'and palestinians','and palestinians',0,1,1.5333,'A53142352',9),(15489,'and palestinians is','and palestinians is',0,1,1.6333,'A53142352',2),(15490,'at the centre','at the centre',0,1,1.4333,'A32536',9),(15491,'between israelis','between israelis',0,1,1.5333,'B352642',9),(15492,'between israelis and','between israelis and',0,1,1.6667,'B35264253',9),(15493,'centre','centre',0,0,0.4,'C536',9),(15494,'conflict','conflict',0,0,0.5333,'C51423',9),(15495,'conflict between','conflict between',0,1,1.5333,'C51423135',9),(15496,'conflict between israelis','conflict between israelis',0,1,1.8333,'C514231352642',9),(15497,'israelis','israelis',0,0,0.5333,'I2642',9),(15498,'israelis and','israelis and',0,1,1.4,'I264253',9),(15499,'israelis and palestinians','israelis and palestinians',0,1,1.8333,'I264253142352',9),(15500,'palestinians','palestinians',0,0,0.8,'P42352',9),(15501,'palestinians is','palestinians is',0,1,1.5,'P42352',2),(15502,'palestinians is at','palestinians is at',0,1,1.6,'P423523',2),(15503,'the centre','the centre',0,1,1.3333,'T2536',9),(15504,'the unresolved','the unresolved',0,1,1.4667,'T562413',2),(15505,'the unresolved conflict','the unresolved conflict',0,1,1.7667,'T562413251423',2),(15506,'unresolved','unresolved',0,0,0.6667,'U562413',9),(15507,'unresolved conflict','unresolved conflict',0,1,1.6333,'U562413251423',9),(15508,'unresolved conflict between','unresolved conflict between',0,1,1.9,'U562413251423135',9),(15509,'and palestinians at','and palestinians at',0,1,1.6333,'A531423523',7),(15510,'palestinians at','palestinians at',0,1,1.5,'P423523',7),(15511,'palestinians at the','palestinians at the',0,1,1.6333,'P423523',7),(15512,'a nearly','a nearly',0,1,1.2667,'A564',3),(15513,'a nearly three','a nearly three',0,1,1.4667,'A56436',3),(15514,'a nearly three-point','a nearly three-point',0,1,1.6667,'A56436153',3),(15515,'aia','aia',0,0,0.2,'A000',3),(15516,'aia announced','aia announced',0,1,1.4333,'A523',3),(15517,'aia announced that','aia announced that',0,1,1.6,'A523',3),(15518,'announced that on','announced that on',0,1,1.5667,'A5235',3),(15519,'heels','heels',0,0,0.3333,'H420',3),(15520,'heels of','heels of',0,1,1.2667,'H421',3),(15521,'heels of a','heels of a',0,1,1.3333,'H421',3),(15522,'increased','increased',0,0,0.6,'I52623',3),(15523,'nearly','nearly',0,0,0.4,'N640',9),(15524,'nearly three','nearly three',0,1,1.4,'N6436',9),(15525,'nearly three point','nearly three point',0,1,1.6,'N6436153',3),(15526,'nearly three-point','nearly three-point',0,1,1.6,'N6436153',3),(15527,'nearly three-point increased','nearly three-point increased',0,1,1.9333,'N643615352623',3),(15528,'of a nearly','of a nearly',0,1,1.3667,'O1564',3),(15529,'on the heels','on the heels',0,1,1.4,'O5342',3),(15530,'point','point',0,0,0.3333,'P530',4),(15531,'point increased','point increased',0,1,1.5,'P5352623',3),(15532,'that on','that on',0,1,1.2333,'T500',3),(15533,'that on the','that on the',0,1,1.3667,'T530',3),(15534,'the heels','the heels',0,1,1.3,'T420',3),(15535,'the heels of','the heels of',0,1,1.4,'T421',3),(15536,'three point','three point',0,1,1.3667,'T6153',3),(15537,'three point increased','three point increased',0,1,1.7,'T615352623',3),(15538,'three-point','three-point',0,0,0.7333,'T6153',3),(15539,'three-point increased','three-point increased',0,1,1.7,'T615352623',3),(15540,'13.7','13.7',0,0,0.4,'',4),(15541,'13.7 percent','13.7 percent',0,1,1.4,'P6253',4),(15542,'13.7 percent in','13.7 percent in',0,1,1.5,'P62535',4),(15543,'137 percent','137 percent',0,1,1.3667,'P6253',4),(15544,'137 percent in','137 percent in',0,1,1.4667,'P62535',4),(15545,'a year','a year',0,1,1.2,'A600',4),(15546,'a year ago','a year ago',0,1,1.3333,'A620',4),(15547,'august','august',0,0,0.4,'A230',4),(15548,'august from','august from',0,1,1.3667,'A23165',4),(15549,'august from a','august from a',0,1,1.4333,'A23165',4),(15550,'by 13.7','by 13.7',0,1,1.2333,'B000',4),(15551,'by 13.7 percent','by 13.7 percent',0,1,1.5,'B6253',4),(15552,'by 137','by 137',0,1,1.2,'B000',4),(15553,'by 137 percent','by 137 percent',0,1,1.4667,'B6253',4),(15554,'exports','exports',0,0,0.4667,'E21632',4),(15555,'exports rose','exports rose',0,1,1.4,'E2163262',4),(15556,'exports rose by','exports rose by',0,1,1.5,'E21632621',4),(15557,'from a','from a',0,1,1.2,'F650',4),(15558,'from a year','from a year',0,1,1.3667,'F656',4),(15559,'in august','in august',0,1,1.3,'I523',4),(15560,'in august from','in august from',0,1,1.4667,'I523165',4),(15561,'percent in','percent in',0,1,1.3333,'P62535',4),(15562,'percent in august','percent in august',0,1,1.5667,'P6253523',4),(15563,'portuguese','portuguese',0,0,0.6667,'P632',4),(15564,'portuguese exports','portuguese exports',0,1,1.6,'P6321632',4),(15565,'portuguese exports rose','portuguese exports rose',0,1,1.7667,'P632163262',4),(15566,'rose by','rose by',0,1,1.2333,'R210',4),(15567,'rose by 13.7','rose by 13.7',0,1,1.4,'R210',4),(15568,'rose by 137','rose by 137',0,1,1.3667,'R210',4),(15569,'year ago','year ago',0,1,1.2667,'Y620',4),(15570,'after newtown','after newtown',0,1,1.4333,'A136535',3),(15571,'after newtown shooting','after newtown shooting',0,1,1.7333,'A1365352352',3),(15572,'cashed','cashed',0,0,0.4,'C300',3),(15573,'cashed in','cashed in',0,1,1.3,'C350',3),(15574,'cashed in three','cashed in three',0,1,1.5,'C3536',3),(15575,'days','days',0,0,0.2667,'D200',13),(15576,'days after','days after',0,1,1.3333,'D2136',3),(15577,'days after newtown','days after newtown',0,1,1.6,'D2136535',3),(15578,'in three','in three',0,1,1.2667,'I536',3),(15579,'in three days','in three days',0,1,1.4333,'I53632',3),(15580,'newtown shooting','newtown shooting',0,1,1.5333,'N352352',3),(15581,'nra','nra',0,0,0.2,'N600',3),(15582,'nra cashed','nra cashed',0,1,1.3333,'N623',3),(15583,'nra cashed in','nra cashed in',0,1,1.4333,'N6235',3),(15584,'the nra','the nra',0,1,1.2333,'T560',3),(15585,'the nra cashed','the nra cashed',0,1,1.4667,'T5623',3),(15586,'three days','three days',0,1,1.3333,'T632',3),(15587,'three days after','three days after',0,1,1.5333,'T632136',3),(15588,'economy','economy',0,0,0.4667,'E250',3),(15589,'economy grew','economy grew',0,1,1.4,'E2526',3),(15590,'economy grew faster','economy grew faster',0,1,1.6333,'E25261236',3),(15591,'faster','faster',0,0,0.4,'F236',3),(15592,'faster in','faster in',0,1,1.3,'F2365',3),(15593,'faster in third','faster in third',0,1,1.5,'F2365363',3),(15594,'grew','grew',0,0,0.2667,'G600',3),(15595,'grew faster','grew faster',0,1,1.3667,'G61236',3),(15596,'grew faster in','grew faster in',0,1,1.4667,'G612365',3),(15597,'in third','in third',0,1,1.2667,'I5363',3),(15598,'in third quarter','in third quarter',0,1,1.5333,'I53632636',3),(15599,'of 2012','of 2012',0,1,1.2333,'O100',3),(15600,'quarter','quarter',0,0,0.4667,'Q636',3),(15601,'quarter of','quarter of',0,1,1.3333,'Q6361',3),(15602,'quarter of 2012','quarter of 2012',0,1,1.5,'Q6361',3),(15603,'s economy','s economy',0,1,1.3,'S500',3),(15604,'s economy grew','s economy grew',0,1,1.4667,'S526',3),(15605,'third','third',0,0,0.3333,'T630',56),(15606,'third quarter','third quarter',0,1,1.4333,'T632636',3),(15607,'third quarter of','third quarter of',0,1,1.5333,'T6326361',3),(15608,'u s economy','u s economy',0,1,1.3667,'U250',3),(15609,'us economy','us economy',0,1,1.3333,'U250',3),(15610,'us economy grew','us economy grew',0,1,1.5,'U2526',3),(15611,'assemble','assemble',0,0,0.5333,'A2514',1),(15612,'assemble european','assemble european',0,1,1.5667,'A2514615',1),(15613,'assemble european premiere','assemble european premiere',0,1,1.8667,'A25146151656',1),(15614,'attends','attends',0,0,0.4667,'A3532',1),(15615,'attends marvel','attends marvel',0,1,1.4667,'A35325614',1),(15616,'attends marvel avengers','attends marvel avengers',0,1,1.7667,'A3532561415262',1),(15617,'avengers','avengers',0,0,0.5333,'A15262',1),(15618,'avengers assemble','avengers assemble',0,1,1.5667,'A15262514',1),(15619,'avengers assemble european','avengers assemble european',0,1,1.8667,'A15262514615',1),(15620,'european','european',0,0,0.5333,'E615',1),(15621,'european premiere','european premiere',0,1,1.5667,'E6151656',1),(15622,'jeremy','jeremy',0,0,0.4,'J650',2),(15623,'jeremy renner','jeremy renner',0,1,1.4333,'J65656',2),(15624,'jeremy renner attends','jeremy renner attends',0,1,1.7,'J656563532',1),(15625,'marvel','marvel',0,0,0.4,'M614',1),(15626,'marvel avengers','marvel avengers',0,1,1.5,'M61415262',1),(15627,'marvel avengers assemble','marvel avengers assemble',0,1,1.8,'M61415262514',1),(15628,'premiere','premiere',0,0,0.5333,'P656',6),(15629,'renner','renner',0,0,0.4,'R560',2),(15630,'renner attends','renner attends',0,1,1.4667,'R563532',1),(15631,'renner attends marvel','renner attends marvel',0,1,1.7,'R5635325614',1),(15632,'better with','better with',0,1,1.3667,'B363',1),(15633,'better with jeremy','better with jeremy',0,1,1.6,'B363265',1),(15634,'bourne','bourne',0,0,0.4,'B650',2),(15635,'bourne legacy','bourne legacy',0,1,1.4333,'B6542',1),(15636,'bourne legacy better','bourne legacy better',0,1,1.6667,'B6542136',1),(15637,'legacy','legacy',0,0,0.4,'L200',1),(15638,'legacy better','legacy better',0,1,1.4333,'L2136',1),(15639,'legacy better with','legacy better with',0,1,1.6,'L21363',1),(15640,'the bourne','the bourne',0,1,1.3333,'T165',1),(15641,'the bourne legacy','the bourne legacy',0,1,1.5667,'T16542',1),(15642,'with jeremy','with jeremy',0,1,1.3667,'W3265',1),(15643,'with jeremy renner','with jeremy renner',0,1,1.6,'W3265656',1),(15644,'erdogan','erdogan',0,0,0.4667,'E6325',5),(15645,'erdogan said','erdogan said',0,1,1.4,'E632523',5),(15646,'erdogan said intercepted','erdogan said intercepted',0,1,1.8,'E632523536213',5),(15647,'intercepted','intercepted',0,0,0.7333,'I536213',5),(15648,'intercepted plane','intercepted plane',0,1,1.5667,'I536213145',5),(15649,'minister','minister',0,0,0.5333,'M236',5),(15650,'minister recep','minister recep',0,1,1.4667,'M23621',5),(15651,'minister recep tayyip','minister recep tayyip',0,1,1.7,'M2362131',5),(15652,'plane','plane',0,0,0.3333,'P450',5),(15653,'prime','prime',0,0,0.3333,'P650',5),(15654,'prime minister','prime minister',0,1,1.4667,'P65236',5),(15655,'prime minister recep','prime minister recep',0,1,1.6667,'P6523621',5),(15656,'recep','recep',0,0,0.3333,'R210',5),(15657,'recep tayyip','recep tayyip',0,1,1.4,'R2131',5),(15658,'recep tayyip erdogan','recep tayyip erdogan',0,1,1.6667,'R21316325',5),(15659,'said intercepted','said intercepted',0,1,1.5333,'S3536213',5),(15660,'said intercepted plane','said intercepted plane',0,1,1.7333,'S3536213145',5),(15661,'tayyip','tayyip',0,0,0.4,'T100',5),(15662,'tayyip erdogan','tayyip erdogan',0,1,1.4667,'T16325',5),(15663,'tayyip erdogan said','tayyip erdogan said',0,1,1.6333,'T1632523',5),(15664,'turkish','turkish',0,0,0.4667,'T620',5),(15665,'turkish prime','turkish prime',0,1,1.4333,'T62165',5),(15666,'turkish prime minister','turkish prime minister',0,1,1.7333,'T62165236',5),(15667,'angela merkel','angela merkel',0,1,1.4333,'A5245624',1),(15668,'angela merkel politicians','angela merkel politicians',0,1,1.8333,'A5245624143252',1),(15669,'be committed','be committed',0,1,1.4,'B253',6),(15670,'be committed to','be committed to',0,1,1.5,'B253',6),(15671,'committed','committed',0,0,0.6,'C530',6),(15672,'committed to','committed to',0,1,1.4,'C530',6),(15673,'committed to people','committed to people',0,1,1.6333,'C5314',6),(15674,'equal','equal',0,0,0.3333,'E240',6),(15675,'equal measures','equal measures',0,1,1.4667,'E245262',6),(15676,'have to be','have to be',0,1,1.3333,'H131',6),(15677,'in equal','in equal',0,1,1.2667,'I524',6),(15678,'in equal measures','in equal measures',0,1,1.5667,'I5245262',6),(15679,'measures','measures',0,0,0.5333,'M262',6),(15680,'merkel','merkel',0,0,0.4,'M624',2),(15681,'merkel politicians','merkel politicians',0,1,1.6,'M624143252',2),(15682,'merkel politicians have','merkel politicians have',0,1,1.7667,'M6241432521',2),(15683,'people in','people in',0,1,1.3,'P450',6),(15684,'people in equal','people in equal',0,1,1.5,'P4524',6),(15685,'politicians','politicians',0,0,0.7333,'P43252',6),(15686,'politicians have','politicians have',0,1,1.5333,'P432521',6),(15687,'politicians have to','politicians have to',0,1,1.6333,'P4325213',6),(15688,'to be committed','to be committed',0,1,1.5,'T1253',6),(15689,'to people','to people',0,1,1.3,'T140',6),(15690,'to people in','to people in',0,1,1.4,'T145',6),(15691,'after losing','after losing',0,1,1.4,'A1364252',5),(15692,'after losing to','after losing to',0,1,1.5,'A13642523',5),(15693,'do next','do next',0,1,1.2333,'D523',5),(15694,'losing','losing',0,0,0.4,'L252',5),(15695,'losing to','losing to',0,1,1.3,'L2523',5),(15696,'losing to obama','losing to obama',0,1,1.5,'L252315',5),(15697,'mitt','mitt',0,0,0.2667,'M300',5),(15698,'mitt romney','mitt romney',0,1,1.3667,'M365',5),(15699,'mitt romney do','mitt romney do',0,1,1.4667,'M3653',5),(15700,'obama what','obama what',0,1,1.3333,'O153',5),(15701,'obama what should','obama what should',0,1,1.5667,'O153243',5),(15702,'romney','romney',0,0,0.4,'R500',5),(15703,'romney do','romney do',0,1,1.3,'R530',5),(15704,'romney do next','romney do next',0,1,1.4667,'R53523',5),(15705,'should mitt','should mitt',0,1,1.3667,'S4353',5),(15706,'should mitt romney','should mitt romney',0,1,1.6,'S435365',5),(15707,'to obama','to obama',0,1,1.2667,'T150',5),(15708,'to obama what','to obama what',0,1,1.4333,'T153',5),(15709,'what should mitt','what should mitt',0,1,1.5333,'W324353',5),(15710,'discussion on ukraine','discussion on ukraine',0,1,1.7,'D25265',4),(15711,'discussion on ukraine-eu','discussion on ukraine-eu',0,1,1.8,'D25265',4),(15712,'eu parliament','eu parliament',0,1,1.4333,'E16453',4),(15713,'eu parliament to','eu parliament to',0,1,1.5333,'E16453',4),(15714,'eu relations','eu relations',0,1,1.4,'E64352',4),(15715,'eu relations on','eu relations on',0,1,1.5,'E643525',4),(15716,'host','host',0,0,0.2667,'H230',17),(15717,'host discussion','host discussion',0,1,1.5,'H2325',4),(15718,'host discussion on','host discussion on',0,1,1.6,'H2325',4),(15719,'on tuesday','on tuesday',0,1,1.3333,'O5323',4),(15720,'on ukraine','on ukraine',0,1,1.3333,'O5265',4),(15721,'on ukraine eu','on ukraine eu',0,1,1.4333,'O5265',4),(15722,'on ukraine-eu','on ukraine-eu',0,1,1.4333,'O5265',4),(15723,'on ukraine-eu relations','on ukraine-eu relations',0,1,1.7667,'O526564352',4),(15724,'parliament','parliament',0,0,0.6667,'P6453',4),(15725,'parliament to','parliament to',0,1,1.4333,'P6453',4),(15726,'parliament to host','parliament to host',0,1,1.6,'P645323',4),(15727,'relations','relations',0,0,0.6,'R4352',4),(15728,'relations on','relations on',0,1,1.4,'R43525',4),(15729,'relations on tuesday','relations on tuesday',0,1,1.6667,'R43525323',4),(15730,'to host','to host',0,1,1.2333,'T230',17),(15731,'to host discussion','to host discussion',0,1,1.6,'T2325',4),(15732,'tuesday','tuesday',0,0,0.4667,'T230',4),(15733,'ukraine','ukraine',0,0,0.4667,'U265',4),(15734,'ukraine eu','ukraine eu',0,1,1.3333,'U265',4),(15735,'ukraine eu relations','ukraine eu relations',0,1,1.6667,'U26564352',4),(15736,'ukraine-eu','ukraine-eu',0,0,0.6667,'U265',4),(15737,'ukraine-eu relations','ukraine-eu relations',0,1,1.6667,'U26564352',4),(15738,'ukraine-eu relations on','ukraine-eu relations on',0,1,1.7667,'U265643525',4),(15739,'and public','and public',0,1,1.3333,'A53142',5),(15740,'and public debt','and public debt',0,1,1.5,'A53142313',5),(15741,'banking','banking',0,0,0.4667,'B5252',5),(15742,'banking union','banking union',0,1,1.4333,'B52525',5),(15743,'banking union will','banking union will',0,1,1.6,'B525254',5),(15744,'banks','banks',0,0,0.3333,'B520',5),(15745,'banks and','banks and',0,1,1.3,'B5253',5),(15746,'banks and public','banks and public',0,1,1.5333,'B5253142',5),(15747,'between banks','between banks',0,1,1.4333,'B35152',5),(15748,'between banks and','between banks and',0,1,1.5667,'B3515253',5),(15749,'break the','break the',0,1,1.3,'B623',5),(15750,'break the link','break the link',0,1,1.4667,'B623452',5),(15751,'debt','debt',0,0,0.2667,'D130',5),(15752,'eu\'s','eu',0,0,0.2667,'E200',5),(15753,'eu\'s new','eu new',0,1,1.2667,'E250',5),(15754,'eu\'s new banking','eu new banking',0,1,1.5333,'E2515252',5),(15755,'eus','eus',0,0,0.2,'E200',5),(15756,'eus new','eus new',0,1,1.2333,'E250',5),(15757,'eus new banking','eus new banking',0,1,1.5,'E2515252',5),(15758,'link between','link between',0,1,1.4,'L52135',5),(15759,'link between banks','link between banks',0,1,1.6,'L52135152',5),(15760,'new banking','new banking',0,1,1.3667,'N15252',5),(15761,'new banking union','new banking union',0,1,1.5667,'N152525',5),(15762,'public','public',0,0,0.4,'P420',5),(15763,'public debt','public debt',0,1,1.3667,'P42313',5),(15764,'the link between','the link between',0,1,1.5333,'T452135',5),(15765,'union','union',0,0,0.3333,'U500',5),(15766,'union will','union will',0,1,1.3333,'U540',5),(15767,'union will break','union will break',0,1,1.5333,'U54162',5),(15768,'will break','will break',0,1,1.3333,'W4162',5),(15769,'will break the','will break the',0,1,1.4667,'W41623',5),(15770,'cameron','cameron',0,0,0.4667,'C565',5),(15771,'david cameron','david cameron',0,1,1.4333,'D132565',5),(15772,'cameron\'s','cameron',0,0,0.6,'C5652',4),(15773,'cameron\'s personal','cameron personal',0,1,1.6,'C565216254',4),(15774,'cameron\'s personal popularity','cameron personal popularity',0,1,1.9667,'C5652162541463',4),(15775,'david cameron\'s','david cameron',0,1,1.5,'D1325652',4),(15776,'david cameron\'s personal','david cameron personal',0,1,1.8,'D132565216254',4),(15777,'dropped','dropped',0,0,0.4667,'D613',4),(15778,'dropped to','dropped to',0,1,1.3333,'D613',4),(15779,'dropped to lowest','dropped to lowest',0,1,1.5667,'D613423',4),(15780,'has dropped','has dropped',0,1,1.3667,'H23613',4),(15781,'has dropped to','has dropped to',0,1,1.4667,'H23613',4),(15782,'lowest','lowest',0,0,0.4,'L230',4),(15783,'lowest rate','lowest rate',0,1,1.3667,'L2363',4),(15784,'personal','personal',0,0,0.5333,'P6254',4),(15785,'personal popularity','personal popularity',0,1,1.6333,'P62541463',4),(15786,'personal popularity has','personal popularity has',0,1,1.7667,'P625414632',4),(15787,'popularity','popularity',0,0,0.6667,'P463',4),(15788,'popularity has','popularity has',0,1,1.4667,'P4632',4),(15789,'popularity has dropped','popularity has dropped',0,1,1.7333,'P46323613',4),(15790,'rate','rate',0,0,0.2667,'R300',4),(15791,'to lowest','to lowest',0,1,1.3,'T423',4),(15792,'to lowest rate','to lowest rate',0,1,1.4667,'T42363',4),(15793,'a national','a national',0,1,1.3333,'A5354',4),(15794,'a national crisis','a national crisis',0,1,1.5667,'A5354262',4),(15795,'become','become',0,0,0.4,'B250',4),(15796,'become a','become a',0,1,1.2667,'B250',4),(15797,'become a national','become a national',0,1,1.5667,'B25354',4),(15798,'has become','has become',0,1,1.3333,'H2125',4),(15799,'has become a','has become a',0,1,1.4,'H2125',4),(15800,'in iraq has','in iraq has',0,1,1.3667,'I562',4),(15801,'iraq has','iraq has',0,1,1.2667,'I620',4),(15802,'iraq has become','iraq has become',0,1,1.5,'I62125',4),(15803,'national','national',0,0,0.5333,'N354',4),(15804,'national crisis','national crisis',0,1,1.5,'N354262',4),(15805,'benfica','benfica',0,0,0.4667,'B512',7),(15806,'benfica striker','benfica striker',0,1,1.5,'B5123626',7),(15807,'benfica striker ola','benfica striker ola',0,1,1.6333,'B51236264',7),(15808,'catalans','catalans',0,0,0.5333,'C3452',7),(15809,'clash','clash',0,0,0.3333,'C420',7),(15810,'clash with','clash with',0,1,1.3333,'C423',7),(15811,'clash with the','clash with the',0,1,1.4667,'C423',7),(15812,'has his','has his',0,1,1.2333,'H200',7),(15813,'has his mind','has his mind',0,1,1.4,'H253',7),(15814,'his mind','his mind',0,1,1.2667,'H253',7),(15815,'his mind on','his mind on',0,1,1.3667,'H2535',7),(15816,'john','john',0,0,0.2667,'J500',7),(15817,'john has','john has',0,1,1.2667,'J520',7),(15818,'john has his','john has his',0,1,1.4,'J520',7),(15819,'mind on','mind on',0,1,1.2333,'M350',7),(15820,'mind on the','mind on the',0,1,1.3667,'M353',7),(15821,'ola','ola',0,0,0.2,'O400',7),(15822,'ola john','ola john',0,1,1.2667,'O425',7),(15823,'ola john has','ola john has',0,1,1.4,'O4252',7),(15824,'on the clash','on the clash',0,1,1.4,'O53242',7),(15825,'striker','striker',0,0,0.4667,'S3626',7),(15826,'striker ola','striker ola',0,1,1.3667,'S36264',7),(15827,'striker ola john','striker ola john',0,1,1.5333,'S3626425',7),(15828,'the catalans','the catalans',0,1,1.4,'T23452',7),(15829,'the clash','the clash',0,1,1.3,'T242',7),(15830,'the clash with','the clash with',0,1,1.4667,'T2423',7),(15831,'with the catalans','with the catalans',0,1,1.5667,'W323452',7),(15832,'and created','and created',0,1,1.3667,'A53263',9),(15833,'and created four','and created four',0,1,1.5333,'A5326316',9),(15834,'conferences','conferences',0,0,0.7333,'C51652',9),(15835,'created four','created four',0,1,1.4,'C6316',9),(15836,'created four divisions','created four divisions',0,1,1.7333,'C631631252',9),(15837,'divisions','divisions',0,0,0.6,'D1252',9),(15838,'divisions under','divisions under',0,1,1.5,'D1252536',9),(15839,'divisions under the','divisions under the',0,1,1.6333,'D12525363',9),(15840,'expanded','expanded',0,0,0.5333,'E2153',9),(15841,'expanded and','expanded and',0,1,1.4,'E215353',9),(15842,'expanded and created','expanded and created',0,1,1.6667,'E215353263',9),(15843,'four divisions','four divisions',0,1,1.4667,'F631252',9),(15844,'four divisions under','four divisions under',0,1,1.6667,'F631252536',9),(15845,'nfl expanded','nfl expanded',0,1,1.4,'N142153',9),(15846,'nfl expanded and','nfl expanded and',0,1,1.5333,'N14215353',9),(15847,'the two conferences','the two conferences',0,1,1.6333,'T251652',9),(15848,'two conferences','two conferences',0,1,1.5,'T251652',9),(15849,'under','under',0,0,0.3333,'U536',26),(15850,'under the','under the',0,1,1.3,'U5363',25),(15851,'under the two','under the two',0,1,1.4333,'U5363',9),(15852,'air force','air force',0,1,1.3,'A6162',3),(15853,'air force base','air force base',0,1,1.4667,'A616212',3),(15854,'airmen','airmen',0,0,0.4,'A650',3),(15855,'airmen supporting','airmen supporting',0,1,1.5667,'A65216352',3),(15856,'airmen supporting the','airmen supporting the',0,1,1.7,'A652163523',3),(15857,'alert','alert',0,0,0.3333,'A463',3),(15858,'alert mission','alert mission',0,1,1.4333,'A463525',3),(15859,'base','base',0,0,0.2667,'B200',14),(15860,'base airmen','base airmen',0,1,1.3667,'B265',3),(15861,'base airmen supporting','base airmen supporting',0,1,1.7333,'B265216352',3),(15862,'eagle','eagle',0,0,0.3333,'E240',3),(15863,'eagle alert','eagle alert',0,1,1.3667,'E2463',3),(15864,'eagle alert mission','eagle alert mission',0,1,1.6333,'E2463525',3),(15865,'force','force',0,0,0.3333,'F620',3),(15866,'force base','force base',0,1,1.3333,'F6212',3),(15867,'force base airmen','force base airmen',0,1,1.5667,'F621265',3),(15868,'mission','mission',0,0,0.4667,'M250',3),(15869,'noble','noble',0,0,0.3333,'N140',3),(15870,'noble eagle','noble eagle',0,1,1.3667,'N1424',3),(15871,'noble eagle alert','noble eagle alert',0,1,1.5667,'N142463',3),(15872,'operation','operation',0,0,0.6,'O1635',3),(15873,'operation noble','operation noble',0,1,1.5,'O163514',3),(15874,'operation noble eagle','operation noble eagle',0,1,1.7,'O16351424',3),(15875,'supporting','supporting',0,0,0.6667,'S16352',3),(15876,'supporting the','supporting the',0,1,1.4667,'S163523',3),(15877,'supporting the operation','supporting the operation',0,1,1.8,'S1635231635',3),(15878,'the operation','the operation',0,1,1.4333,'T1635',3),(15879,'the operation noble','the operation noble',0,1,1.6333,'T163514',3),(15880,'1 season','1 season',0,1,1.2667,'S500',5),(15881,'1 season was','1 season was',0,1,1.4,'S520',5),(15882,'2012 formula','2012 formula',0,1,1.4,'F654',5),(15883,'2012 formula 1','2012 formula 1',0,1,1.4667,'F654',5),(15884,'and eventful','and eventful',0,1,1.4,'A5315314',5),(15885,'and eventful in','and eventful in',0,1,1.5,'A53153145',5),(15886,'eventful','eventful',0,0,0.5333,'E15314',5),(15887,'eventful in','eventful in',0,1,1.3667,'E153145',5),(15888,'eventful in history','eventful in history',0,1,1.6333,'E153145236',5),(15889,'exciting','exciting',0,0,0.5333,'E2352',5),(15890,'exciting and','exciting and',0,1,1.4,'E235253',5),(15891,'exciting and eventful','exciting and eventful',0,1,1.7,'E23525315314',5),(15892,'formula','formula',0,0,0.4667,'F654',5),(15893,'formula 1','formula 1',0,1,1.3,'F654',5),(15894,'formula 1 season','formula 1 season',0,1,1.5333,'F65425',5),(15895,'in history','in history',0,1,1.3333,'I5236',5),(15896,'most exciting','most exciting',0,1,1.4333,'M232352',5),(15897,'most exciting and','most exciting and',0,1,1.5667,'M23235253',5),(15898,'season was','season was',0,1,1.3333,'S520',5),(15899,'season was one','season was one',0,1,1.4667,'S525',5),(15900,'the most exciting','the most exciting',0,1,1.5667,'T5232352',5),(15901,'was one','was one',0,1,1.2333,'W250',5),(15902,'was one of','was one of',0,1,1.3333,'W251',5),(15903,'along','along',0,0,0.3333,'A452',10),(15904,'along at','along at',0,1,1.2667,'A4523',10),(15905,'along at the','along at the',0,1,1.4,'A4523',10),(15906,'ba','ba',0,0,0.1333,'B000',2),(15907,'ba power','ba power',0,1,1.2667,'B600',2),(15908,'ba power rankings','ba power rankings',0,1,1.5667,'B65252',2),(15909,'city','city',0,0,0.2667,'C300',10),(15910,'city thunder','city thunder',0,1,1.4,'C3536',10),(15911,'city thunder ing','city thunder ing',0,1,1.5333,'C353652',10),(15912,'city thunder-ing','city thunder-ing',0,1,1.5333,'C353652',10),(15913,'city thunder-ing along','city thunder-ing along',0,1,1.7333,'C353652452',10),(15914,'durant','durant',0,0,0.4,'D653',10),(15915,'durant has','durant has',0,1,1.3333,'D6532',10),(15916,'durant has oklahoma','durant has oklahoma',0,1,1.6333,'D653245',10),(15917,'has oklahoma','has oklahoma',0,1,1.4,'H245',10),(15918,'has oklahoma city','has oklahoma city',0,1,1.5667,'H24523',10),(15919,'ing','ing',0,0,0.2,'I520',10),(15920,'ing along','ing along',0,1,1.3,'I52452',10),(15921,'ing along at','ing along at',0,1,1.4,'I524523',10),(15922,'kevin','kevin',0,0,0.3333,'K150',10),(15923,'kevin durant','kevin durant',0,1,1.4,'K153653',10),(15924,'kevin durant has','kevin durant has',0,1,1.5333,'K1536532',10),(15925,'oklahoma','oklahoma',0,0,0.5333,'O245',10),(15926,'oklahoma city','oklahoma city',0,1,1.4333,'O24523',10),(15927,'oklahoma city thunder','oklahoma city thunder',0,1,1.7,'O24523536',10),(15928,'oklahoma city thunder-ing','oklahoma city thunder-ing',0,1,1.8333,'O2452353652',10),(15929,'power rankings','power rankings',0,1,1.4667,'P65252',2),(15930,'power rankings kevin','power rankings kevin',0,1,1.6667,'P6525215',2),(15931,'rankings','rankings',0,0,0.5333,'R5252',2),(15932,'rankings kevin','rankings kevin',0,1,1.4667,'R525215',2),(15933,'rankings kevin durant','rankings kevin durant',0,1,1.7,'R5252153653',2),(15934,'thunder','thunder',0,0,0.4667,'T536',10),(15935,'thunder ing','thunder ing',0,1,1.3667,'T53652',10),(15936,'thunder ing along','thunder ing along',0,1,1.5667,'T53652452',10),(15937,'thunder-ing','thunder-ing',0,0,0.7333,'T53652',10),(15938,'thunder-ing along','thunder-ing along',0,1,1.5667,'T53652452',10),(15939,'thunder-ing along at','thunder-ing along at',0,1,1.6667,'T536524523',10),(15940,'a challenge','a challenge',0,1,1.3667,'A2452',1),(15941,'at a','at a',0,1,1.1333,'A300',9),(15942,'at a challenge','at a challenge',0,1,1.4667,'A32452',1),(15943,'baulked','baulked',0,0,0.4667,'B423',9),(15944,'baulked at','baulked at',0,1,1.3333,'B423',9),(15945,'baulked at a','baulked at a',0,1,1.4,'B423',9),(15946,'challenge','challenge',0,0,0.6,'C452',9),(15947,'has never','has never',0,1,1.3,'H2516',9),(15948,'has never baulked','has never baulked',0,1,1.5667,'H25161423',9),(15949,'never baulked','never baulked',0,1,1.4333,'N161423',9),(15950,'never baulked at','never baulked at',0,1,1.5333,'N161423',9),(15951,'oscar','oscar',0,0,0.3333,'O260',17),(15952,'oscar pistorius','oscar pistorius',0,1,1.5,'O2612362',9),(15953,'oscar pistorius has','oscar pistorius has',0,1,1.6333,'O2612362',9),(15954,'pistorius','pistorius',0,0,0.6,'P2362',9),(15955,'pistorius has','pistorius has',0,1,1.4333,'P2362',9),(15956,'pistorius has never','pistorius has never',0,1,1.6333,'P2362516',9),(15957,'a hard','a hard',0,1,1.2,'A630',8),(15958,'a hard challenge','a hard challenge',0,1,1.5333,'A632452',8),(15959,'at a hard','at a hard',0,1,1.3,'A363',8),(15960,'hard','hard',0,0,0.2667,'H630',11),(15961,'hard challenge','hard challenge',0,1,1.4667,'H632452',8),(15962,'breakthroughs','breakthroughs',0,0,0.8667,'B62362',3),(15963,'breakthroughs in','breakthroughs in',0,1,1.5333,'B623625',3),(15964,'breakthroughs in mobile','breakthroughs in mobile',0,1,1.7667,'B62362514',3),(15965,'breakthroughs in mobile-health','breakthroughs in mobile-health',0,1,2,'B623625143',3),(15966,'health technology','health technology',0,1,1.5667,'H432542',3),(15967,'health technology helps','health technology helps',0,1,1.7667,'H432542412',3),(15968,'helps','helps',0,0,0.3333,'H412',3),(15969,'helps medical','helps medical',0,1,1.4333,'H4125324',3),(15970,'helps medical staff','helps medical staff',0,1,1.6333,'H4125324231',3),(15971,'in mobile','in mobile',0,1,1.3,'I514',3),(15972,'in mobile health','in mobile health',0,1,1.5333,'I5143',3),(15973,'in mobile-health','in mobile-health',0,1,1.5333,'I5143',3),(15974,'in mobile-health technology','in mobile-health technology',0,1,1.9,'I51432542',3),(15975,'medical','medical',0,0,0.4667,'M324',19),(15976,'medical staff','medical staff',0,1,1.4333,'M324231',3),(15977,'mobile health','mobile health',0,1,1.4333,'M143',3),(15978,'mobile health technology','mobile health technology',0,1,1.8,'M1432542',3),(15979,'mobile-health','mobile-health',0,0,0.8667,'M143',3),(15980,'mobile-health technology','mobile-health technology',0,1,1.8,'M1432542',3),(15981,'mobile-health technology helps','mobile-health technology helps',0,1,2,'M1432542412',3),(15982,'staff','staff',0,0,0.3333,'S310',20),(15983,'technology','technology',0,0,0.6667,'T2542',6),(15984,'technology helps','technology helps',0,1,1.5333,'T2542412',3),(15985,'technology helps medical','technology helps medical',0,1,1.8,'T25424125324',3),(15986,'and vacancy','and vacancy',0,1,1.3667,'A531252',6),(15987,'and vacancy on','and vacancy on',0,1,1.4667,'A5312525',6),(15988,'assistant','assistant',0,0,0.6,'A2353',6),(15989,'assistant job','assistant job',0,1,1.4333,'A235321',6),(15990,'assistant job and','assistant job and',0,1,1.5667,'A23532153',6),(15991,'every senior','every senior',0,1,1.4,'E16256',6),(15992,'every senior healthcare','every senior healthcare',0,1,1.7667,'E162564326',6),(15993,'find every','find every',0,1,1.3333,'F5316',6),(15994,'find every senior','find every senior',0,1,1.5667,'F5316256',6),(15995,'healthcare','healthcare',0,0,0.6667,'H4326',6),(15996,'healthcare assistant','healthcare assistant',0,1,1.6667,'H43262353',6),(15997,'healthcare assistant job','healthcare assistant job',0,1,1.8,'H4326235321',6),(15998,'job','job',0,0,0.2,'J100',6),(15999,'job and','job and',0,1,1.2333,'J153',6),(16000,'job and vacancy','job and vacancy',0,1,1.5,'J1531252',6),(16001,'on the web','on the web',0,1,1.3333,'O531',6),(16002,'senior','senior',0,0,0.4,'S560',6),(16003,'senior healthcare','senior healthcare',0,1,1.5667,'S564326',6),(16004,'senior healthcare assistant','senior healthcare assistant',0,1,1.9,'S5643262353',6),(16005,'the web','the web',0,1,1.2333,'T100',6),(16006,'vacancy','vacancy',0,0,0.4667,'V252',6),(16007,'vacancy on','vacancy on',0,1,1.3333,'V2525',6),(16008,'vacancy on the','vacancy on the',0,1,1.4667,'V25253',6),(16009,'are what','are what',0,1,1.2667,'A630',2),(16010,'are what we','are what we',0,1,1.3667,'A630',2),(16011,'cooks','cooks',0,0,0.3333,'C000',2),(16012,'dozens','dozens',0,0,0.4,'D252',2),(16013,'dozens of','dozens of',0,1,1.3,'D2521',2),(16014,'dozens of enterprising','dozens of enterprising',0,1,1.7333,'D252153616252',2),(16015,'eat','eat',0,0,0.2,'E300',6),(16016,'eat follows','eat follows',0,1,1.3667,'E3142',2),(16017,'eat follows the','eat follows the',0,1,1.5,'E31423',2),(16018,'enterprising','enterprising',0,0,0.8,'E53616252',2),(16019,'enterprising cooks','enterprising cooks',0,1,1.6,'E53616252',2),(16020,'follows the','follows the',0,1,1.3667,'F423',2),(16021,'follows the fortunes','follows the fortunes',0,1,1.6667,'F42316352',2),(16022,'fortunes','fortunes',0,0,0.5333,'F6352',2),(16023,'fortunes of','fortunes of',0,1,1.3667,'F63521',2),(16024,'fortunes of dozens','fortunes of dozens',0,1,1.6,'F635213252',2),(16025,'of dozens','of dozens',0,1,1.3,'O13252',2),(16026,'of dozens of','of dozens of',0,1,1.4,'O132521',2),(16027,'of enterprising','of enterprising',0,1,1.5,'O153616252',2),(16028,'of enterprising cooks','of enterprising cooks',0,1,1.7,'O153616252',2),(16029,'the fortunes','the fortunes',0,1,1.4,'T16352',2),(16030,'the fortunes of','the fortunes of',0,1,1.5,'T163521',2),(16031,'we are','we are',0,1,1.2,'W600',2),(16032,'we are what','we are what',0,1,1.3667,'W630',2),(16033,'we eat','we eat',0,1,1.2,'W300',6),(16034,'we eat follows','we eat follows',0,1,1.4667,'W3142',2),(16035,'what we','what we',0,1,1.2333,'W300',2),(16036,'what we eat','what we eat',0,1,1.3667,'W300',2),(16037,'a consequence','a consequence',0,1,1.4333,'A25252',4),(16038,'a consequence a','a consequence a',0,1,1.5,'A25252',1),(16039,'a consequence to','a consequence to',0,1,1.5333,'A252523',4),(16040,'consequence','consequence',0,0,0.7333,'C5252',4),(16041,'consequence a','consequence a',0,1,1.4333,'C5252',1),(16042,'consequence a consequence','consequence a consequence',0,1,1.8333,'C52525252',1),(16043,'consequence to','consequence to',0,1,1.4667,'C52523',4),(16044,'consequence to our','consequence to our',0,1,1.6,'C525236',4),(16045,'eat has','eat has',0,1,1.2333,'E320',4),(16046,'eat has a','eat has a',0,1,1.3,'E320',4),(16047,'every thing','every thing',0,1,1.3667,'E16352',4),(16048,'every thing we','every thing we',0,1,1.4667,'E16352',4),(16049,'has a consequence','has a consequence',0,1,1.5667,'H25252',4),(16050,'our physical','our physical',0,1,1.4,'O6124',4),(16051,'our physical being','our physical being',0,1,1.6,'O6124152',4),(16052,'physical','physical',0,0,0.5333,'P240',7),(16053,'physical being','physical being',0,1,1.4667,'P24152',4),(16054,'thing we','thing we',0,1,1.2667,'T520',4),(16055,'thing we eat','thing we eat',0,1,1.4,'T523',4),(16056,'to our','to our',0,1,1.2,'T600',27),(16057,'to our physical','to our physical',0,1,1.5,'T6124',4),(16058,'we eat has','we eat has',0,1,1.3333,'W320',4),(16059,'activity','activity',0,0,0.5333,'A2313',3),(16060,'activity are','activity are',0,1,1.4,'A23136',3),(16061,'activity are hard','activity are hard',0,1,1.5667,'A231363',3),(16062,'and physical','and physical',0,1,1.4,'A53124',3),(16063,'and physical activity','and physical activity',0,1,1.7,'A531242313',3),(16064,'are hard','are hard',0,1,1.2667,'A630',3),(16065,'are hard to','are hard to',0,1,1.3667,'A630',3),(16066,'benefits','benefits',0,0,0.5333,'B5132',3),(16067,'benefits of','benefits of',0,1,1.3667,'B51321',3),(16068,'benefits of regular','benefits of regular',0,1,1.6333,'B513216246',3),(16069,'exercise','exercise',0,0,0.5333,'E262',3),(16070,'exercise and','exercise and',0,1,1.4,'E26253',3),(16071,'exercise and physical','exercise and physical',0,1,1.7,'E26253124',3),(16072,'hard to','hard to',0,1,1.2333,'H630',3),(16073,'hard to ignore','hard to ignore',0,1,1.4667,'H63256',3),(16074,'health benefits','health benefits',0,1,1.5,'H4315132',3),(16075,'health benefits of','health benefits of',0,1,1.6,'H43151321',3),(16076,'ignore','ignore',0,0,0.4,'I256',3),(16077,'of regular','of regular',0,1,1.3333,'O16246',3),(16078,'of regular exercise','of regular exercise',0,1,1.6333,'O16246262',3),(16079,'physical activity','physical activity',0,1,1.5667,'P242313',3),(16080,'physical activity are','physical activity are',0,1,1.7,'P2423136',3),(16081,'regular','regular',0,0,0.4667,'R246',3),(16082,'regular exercise','regular exercise',0,1,1.5333,'R246262',3),(16083,'regular exercise and','regular exercise and',0,1,1.6667,'R24626253',3),(16084,'to ignore','to ignore',0,1,1.3,'T256',3),(16085,'a typical','a typical',0,1,1.3,'A3124',4),(16086,'a typical doctor','a typical doctor',0,1,1.5333,'A31243236',4),(16087,'cost','cost',0,0,0.2667,'C300',4),(16088,'cost for','cost for',0,1,1.2667,'C316',4),(16089,'cost for uninsured','cost for uninsured',0,1,1.6,'C3165263',4),(16090,'doctor','doctor',0,0,0.4,'D236',4),(16091,'doctor visit','doctor visit',0,1,1.4,'D236123',4),(16092,'doctor visit cost','doctor visit cost',0,1,1.5667,'D23612323',4),(16093,'does','does',0,0,0.2667,'D200',19),(16094,'does a','does a',0,1,1.2,'D200',4),(16095,'does a typical','does a typical',0,1,1.4667,'D23124',4),(16096,'for uninsured','for uninsured',0,1,1.4333,'F65263',4),(16097,'for uninsured patients','for uninsured patients',0,1,1.7333,'F6526313532',4),(16098,'how much','how much',0,1,1.2667,'H520',4),(16099,'how much does','how much does',0,1,1.4333,'H5232',4),(16100,'much','much',0,0,0.2667,'M200',4),(16101,'much does','much does',0,1,1.3,'M232',4),(16102,'much does a','much does a',0,1,1.3667,'M232',4),(16103,'patients','patients',0,0,0.5333,'P3532',4),(16104,'typical','typical',0,0,0.4667,'T124',4),(16105,'typical doctor','typical doctor',0,1,1.4667,'T1243236',4),(16106,'typical doctor visit','typical doctor visit',0,1,1.6667,'T1243236123',4),(16107,'uninsured','uninsured',0,0,0.6,'U5263',4),(16108,'uninsured patients','uninsured patients',0,1,1.6,'U526313532',4),(16109,'visit','visit',0,0,0.3333,'V230',4),(16110,'visit cost','visit cost',0,1,1.3333,'V2323',4),(16111,'visit cost for','visit cost for',0,1,1.4667,'V232316',4),(16112,'be light','be light',0,1,1.2667,'B423',4),(16113,'be light invertertube','be light invertertube',0,1,1.7,'B4235163631',4),(16114,'binocular','binocular',0,0,0.6,'B5246',4),(16115,'binocular tube','binocular tube',0,1,1.4667,'B524631',4),(16116,'binocular tube from','binocular tube from',0,1,1.6333,'B52463165',4),(16117,'carl','carl',0,0,0.2667,'C640',4),(16118,'carl zeiss','carl zeiss',0,1,1.3333,'C642',4),(16119,'carl zeiss meditec','carl zeiss meditec',0,1,1.6,'C642532',4),(16120,'from carl','from carl',0,1,1.3,'F65264',4),(16121,'from carl zeiss','from carl zeiss',0,1,1.5,'F652642',4),(16122,'invertertube','invertertube',0,0,0.8,'I5163631',4),(16123,'invertertube binocular','invertertube binocular',0,1,1.7333,'I51636315246',4),(16124,'invertertube binocular tube','invertertube binocular tube',0,1,1.9,'I5163631524631',4),(16125,'let','let',0,0,0.2,'L300',4),(16126,'let there','let there',0,1,1.3,'L360',4),(16127,'let there be','let there be',0,1,1.4,'L361',4),(16128,'light invertertube','light invertertube',0,1,1.6,'L235163631',4),(16129,'light invertertube binocular','light invertertube binocular',0,1,1.9333,'L2351636315246',4),(16130,'meditec','meditec',0,0,0.4667,'M320',4),(16131,'there be','there be',0,1,1.2667,'T610',4),(16132,'there be light','there be light',0,1,1.4667,'T61423',4),(16133,'tube','tube',0,0,0.2667,'T100',4),(16134,'tube from','tube from',0,1,1.3,'T165',4),(16135,'tube from carl','tube from carl',0,1,1.4667,'T165264',4),(16136,'zeiss','zeiss',0,0,0.3333,'Z000',4),(16137,'zeiss meditec','zeiss meditec',0,1,1.4333,'Z532',4),(16138,'and input','and input',0,1,1.3,'A53513',3),(16139,'and input of','and input of',0,1,1.4,'A535131',3),(16140,'and the expertise','and the expertise',0,1,1.5667,'A5321632',3),(16141,'center germany','center germany',0,1,1.4667,'C536265',3),(16142,'design and the','design and the',0,1,1.4667,'D253',3),(16143,'expertise','expertise',0,0,0.6,'E21632',3),(16144,'expertise and','expertise and',0,1,1.4333,'E2163253',3),(16145,'expertise and input','expertise and input',0,1,1.6333,'E2163253513',3),(16146,'germany','germany',0,0,0.4667,'G650',3),(16147,'input','input',0,0,0.3333,'I513',8),(16148,'input of','input of',0,1,1.2667,'I5131',3),(16149,'input of match','input of match',0,1,1.4667,'I5131532',3),(16150,'match','match',0,0,0.3333,'M320',3),(16151,'match center','match center',0,1,1.4,'M32536',3),(16152,'match center germany','match center germany',0,1,1.6667,'M32536265',3),(16153,'of match','of match',0,1,1.2667,'O1532',3),(16154,'of match center','of match center',0,1,1.5,'O1532536',3),(16155,'the expertise','the expertise',0,1,1.4333,'T21632',3),(16156,'the expertise and','the expertise and',0,1,1.5667,'T2163253',3),(16157,'yacht','yacht',0,0,0.3333,'Y230',3),(16158,'yacht design','yacht design',0,1,1.4,'Y2325',3),(16159,'yacht design and','yacht design and',0,1,1.5333,'Y23253',3),(16160,'2.1','2.1',0,0,0.3,'',5),(16161,'2.1 billion','2.1 billion',0,1,1.3667,'B450',5),(16162,'2.1 billion loss','2.1 billion loss',0,1,1.5333,'B4542',5),(16163,'21 billion','21 billion',0,1,1.3333,'B450',5),(16164,'21 billion loss','21 billion loss',0,1,1.5,'B4542',5),(16165,'billion','billion',0,0,0.4667,'B450',11),(16166,'billion loss','billion loss',0,1,1.4,'B4542',5),(16167,'business showed','business showed',0,1,1.5,'B2523',5),(16168,'business showed 2.1','business showed 2.1',0,1,1.6333,'B2523',5),(16169,'business showed 21','business showed 21',0,1,1.6,'B2523',5),(16170,'corp','corp',0,0,0.2667,'C610',5),(16171,'corp says','corp says',0,1,1.3,'C612',5),(16172,'corp says publishing','corp says publishing',0,1,1.6667,'C61214252',5),(16173,'filing','filing',0,0,0.4,'F452',5),(16174,'filing news','filing news',0,1,1.3667,'F45252',5),(16175,'filing news corp','filing news corp',0,1,1.5333,'F4525261',5),(16176,'in filing','in filing',0,1,1.3,'I51452',5),(16177,'in filing news','in filing news',0,1,1.4667,'I5145252',5),(16178,'loss','loss',0,0,0.2667,'L200',5),(16179,'news corp','news corp',0,1,1.3,'N261',5),(16180,'news corp says','news corp says',0,1,1.4667,'N2612',5),(16181,'publishing','publishing',0,0,0.6667,'P4252',5),(16182,'publishing business','publishing business',0,1,1.6333,'P42521252',5),(16183,'publishing business showed','publishing business showed',0,1,1.8667,'P425212523',5),(16184,'says','says',0,0,0.2667,'S000',5),(16185,'says publishing','says publishing',0,1,1.5,'S14252',5),(16186,'says publishing business','says publishing business',0,1,1.8,'S142521252',5),(16187,'showed','showed',0,0,0.4,'S300',5),(16188,'showed 2.1','showed 2.1',0,1,1.3333,'S300',5),(16189,'showed 2.1 billion','showed 2.1 billion',0,1,1.6,'S3145',5),(16190,'showed 21','showed 21',0,1,1.3,'S300',5),(16191,'showed 21 billion','showed 21 billion',0,1,1.5667,'S3145',5),(16192,'2012 mashup','2012 mashup',0,1,1.3667,'M210',2),(16193,'dj','dj',0,0,0.1333,'D200',2),(16194,'dj earworm\'s','dj earworm',0,1,1.4,'D2652',2),(16195,'dj earworm\'s 2012','dj earworm 2012',0,1,1.5667,'D2652',2),(16196,'earworm\'s','earworm',0,0,0.6,'E652',2),(16197,'earworm\'s 2012','earworm 2012',0,1,1.4667,'E652',2),(16198,'earworm\'s 2012 mashup','earworm 2012 mashup',0,1,1.7,'E652521',2),(16199,'hear','hear',0,0,0.2667,'H600',4),(16200,'hear dj','hear dj',0,1,1.2333,'H632',2),(16201,'hear dj earworm\'s','hear dj earworm',0,1,1.5667,'H632652',2),(16202,'mashup','mashup',0,0,0.4,'M210',2),(16203,'billion hits','billion hits',0,1,1.4,'B4532',6),(16204,'first youtube','first youtube',0,1,1.4333,'F6231',6),(16205,'first youtube video','first youtube video',0,1,1.6333,'F62313',6),(16206,'gangnam','gangnam',0,0,0.4667,'G525',6),(16207,'gangnam style','gangnam style',0,1,1.4333,'G525234',6),(16208,'gangnam style first','gangnam style first',0,1,1.6333,'G5252341623',6),(16209,'hits','hits',0,0,0.2667,'H320',15),(16210,'style first','style first',0,1,1.3667,'S341623',6),(16211,'style first youtube','style first youtube',0,1,1.6333,'S3416231',6),(16212,'video with','video with',0,1,1.3333,'V300',6),(16213,'video with billion','video with billion',0,1,1.6,'V3145',6),(16214,'with billion','with billion',0,1,1.4,'W3145',6),(16215,'with billion hits','with billion hits',0,1,1.5667,'W314532',6),(16216,'youtube video','youtube video',0,1,1.4333,'Y313',6),(16217,'youtube video with','youtube video with',0,1,1.6,'Y313',6),(16218,'a bloody','a bloody',0,1,1.2667,'A143',6),(16219,'a bloody history','a bloody history',0,1,1.5333,'A143236',2),(16220,'an end','an end',0,1,1.2,'A530',10),(16221,'an end to','an end to',0,1,1.3,'A530',10),(16222,'bloody','bloody',0,0,0.4,'B430',6),(16223,'bloody history','bloody history',0,1,1.4667,'B43236',2),(16224,'bloody history of','bloody history of',0,1,1.5667,'B432361',2),(16225,'call for','call for',0,1,1.2667,'C416',10),(16226,'call for an','call for an',0,1,1.3667,'C4165',10),(16227,'celebrities','celebrities',0,0,0.7333,'C41632',10),(16228,'celebrities call','celebrities call',0,1,1.5333,'C416324',10),(16229,'celebrities call for','celebrities call for',0,1,1.6667,'C41632416',10),(16230,'end to','end to',0,1,1.2,'E530',10),(16231,'end to gun','end to gun',0,1,1.3333,'E5325',10),(16232,'for an','for an',0,1,1.2,'F650',10),(16233,'for an end','for an end',0,1,1.3333,'F653',10),(16234,'gun violence','gun violence',0,1,1.4,'G51452',10),(16235,'gun violence recalling','gun violence recalling',0,1,1.7333,'G5145262452',2),(16236,'history of shootings','history of shootings',0,1,1.6667,'H23612352',2),(16237,'of shootings','of shootings',0,1,1.4,'O12352',2),(16238,'recalling','recalling',0,0,0.6,'R2452',2),(16239,'recalling a','recalling a',0,1,1.3667,'R2452',2),(16240,'recalling a bloody','recalling a bloody',0,1,1.6,'R2452143',2),(16241,'shootings','shootings',0,0,0.6,'S352',2),(16242,'to gun','to gun',0,1,1.2,'T250',10),(16243,'to gun violence','to gun violence',0,1,1.5,'T251452',10),(16244,'violence','violence',0,0,0.5333,'V452',10),(16245,'violence recalling','violence recalling',0,1,1.6,'V45262452',2),(16246,'violence recalling a','violence recalling a',0,1,1.6667,'V45262452',2),(16247,'gun violence in','gun violence in',0,1,1.5,'G514525',8),(16248,'in u','in u',0,1,1.1333,'I500',8),(16249,'in u s','in u s',0,1,1.2,'I520',8),(16250,'in us','in us',0,1,1.1667,'I520',8),(16251,'top celebrities','top celebrities',0,1,1.5,'T1241632',8),(16252,'top celebrities call','top celebrities call',0,1,1.6667,'T12416324',8),(16253,'violence in','violence in',0,1,1.3667,'V4525',8),(16254,'violence in u','violence in u',0,1,1.4333,'V4525',8),(16255,'violence in us','violence in us',0,1,1.4667,'V45252',8),(16256,'bourne legacy”','bourne legacy”',0,1,1.4667,'B6542',1),(16257,'hallberg','hallberg',0,0,0.5333,'H4162',8),(16258,'hallberg reprises','hallberg reprises',0,1,1.5667,'H41626162',8),(16259,'hallberg reprises oscar','hallberg reprises oscar',0,1,1.7667,'H416261626',8),(16260,'hallberg reprises oscar-winning','hallberg reprises oscar-winning',0,1,2,'H41626162652',8),(16261,'legacy”','legacy”',0,0,0.4667,'L200',1),(16262,'oscar winning','oscar winning',0,1,1.4333,'O2652',8),(16263,'oscar winning performance','oscar winning performance',0,1,1.8333,'O2652161652',8),(16264,'oscar-winning','oscar-winning',0,0,0.8667,'O2652',8),(16265,'oscar-winning performance','oscar-winning performance',0,1,1.8333,'O2652161652',8),(16266,'oscar-winning performance with','oscar-winning performance with',0,1,2,'O26521616523',1),(16267,'per hallberg','per hallberg',0,1,1.4,'P64162',8),(16268,'per hallberg reprises','per hallberg reprises',0,1,1.7,'P641626162',8),(16269,'performance','performance',0,0,0.7333,'P61652',8),(16270,'performance with','performance with',0,1,1.5333,'P616523',1),(16271,'performance with “the','performance with “the',0,1,1.7,'P616523',1),(16272,'reprises','reprises',0,0,0.5333,'R162',8),(16273,'reprises oscar','reprises oscar',0,1,1.4667,'R1626',8),(16274,'reprises oscar winning','reprises oscar winning',0,1,1.7333,'R162652',8),(16275,'reprises oscar-winning','reprises oscar-winning',0,1,1.7333,'R162652',8),(16276,'reprises oscar-winning performance','reprises oscar-winning performance',0,1,2,'R162652161652',8),(16277,'soundelux\'s','soundelux',0,0,0.7333,'S5342',8),(16278,'soundelux\'s per','soundelux per',0,1,1.5,'S534216',8),(16279,'soundelux\'s per hallberg','soundelux per hallberg',0,1,1.8,'S5342164162',8),(16280,'winning','winning',0,0,0.4667,'W520',8),(16281,'winning performance','winning performance',0,1,1.6333,'W52161652',8),(16282,'winning performance with','winning performance with',0,1,1.8,'W521616523',1),(16283,'with “the','with “the',0,1,1.3,'W300',1),(16284,'with “the bourne','with “the bourne',0,1,1.5333,'W3165',1),(16285,'“the','“the',0,0,0.2667,'“300',1),(16286,'“the bourne','“the bourne',0,1,1.3667,'“3165',1),(16287,'“the bourne legacy”','“the bourne legacy”',0,1,1.6333,'“316542',1),(16288,'2012 nope','2012 nope',0,1,1.3,'N100',9),(16289,'2012 nope he\'s','2012 nope he',0,1,1.4667,'N120',9),(16290,'2012 nope hes','2012 nope hes',0,1,1.4333,'N120',9),(16291,'alive','alive',0,0,0.3333,'A410',9),(16292,'alive and','alive and',0,1,1.3,'A4153',9),(16293,'alive and very','alive and very',0,1,1.4667,'A415316',9),(16294,'and very','and very',0,1,1.2667,'A5316',9),(16295,'and very well','and very well',0,1,1.4333,'A53164',9),(16296,'dead in','dead in',0,1,1.2333,'D500',9),(16297,'dead in 2012','dead in 2012',0,1,1.4,'D500',9),(16298,'freeman','freeman',0,0,0.4667,'F650',9),(16299,'freeman dead','freeman dead',0,1,1.4,'F653',9),(16300,'freeman dead in','freeman dead in',0,1,1.5,'F6535',9),(16301,'he\'s alive','he alive',0,1,1.3333,'H241',9),(16302,'he\'s alive and','he alive and',0,1,1.4667,'H24153',9),(16303,'hes','hes',0,0,0.2,'H200',17),(16304,'hes alive','hes alive',0,1,1.3,'H241',9),(16305,'hes alive and','hes alive and',0,1,1.4333,'H24153',9),(16306,'in 2012','in 2012',0,1,1.2333,'I500',9),(16307,'in 2012 nope','in 2012 nope',0,1,1.4,'I510',9),(16308,'legendary','legendary',0,0,0.6,'L2536',9),(16309,'legendary morgan','legendary morgan',0,1,1.5333,'L25365625',9),(16310,'legendary morgan freeman','legendary morgan freeman',0,1,1.8,'L25365625165',9),(16311,'morgan','morgan',0,0,0.4,'M625',9),(16312,'morgan freeman','morgan freeman',0,1,1.4667,'M625165',9),(16313,'morgan freeman dead','morgan freeman dead',0,1,1.6333,'M6251653',9),(16314,'nope','nope',0,0,0.2667,'N100',9),(16315,'nope he\'s','nope he',0,1,1.3,'N120',9),(16316,'nope he\'s alive','nope he alive',0,1,1.5,'N1241',9),(16317,'nope hes','nope hes',0,1,1.2667,'N120',9),(16318,'nope hes alive','nope hes alive',0,1,1.4667,'N1241',9),(16319,'the legendary','the legendary',0,1,1.4333,'T42536',9),(16320,'the legendary morgan','the legendary morgan',0,1,1.6667,'T425365625',9),(16321,'very well','very well',0,1,1.3,'V640',9),(16322,'a successful','a successful',0,1,1.4,'A214',10),(16323,'a successful life','a successful life',0,1,1.5667,'A2141',10),(16324,'daniel','daniel',0,0,0.4,'D540',10),(16325,'daniel lautner','daniel lautner',0,1,1.4667,'D54356',10),(16326,'daniel lautner has','daniel lautner has',0,1,1.6,'D543562',10),(16327,'destined','destined',0,0,0.5333,'D2353',10),(16328,'destined for','destined for',0,1,1.4,'D235316',10),(16329,'destined for a','destined for a',0,1,1.4667,'D235316',10),(16330,'for a successful','for a successful',0,1,1.5333,'F6214',10),(16331,'has shown','has shown',0,1,1.3,'H250',10),(16332,'has shown he','has shown he',0,1,1.4,'H250',10),(16333,'he was','he was',0,1,1.2,'H200',10),(16334,'he was destined','he was destined',0,1,1.5,'H232353',10),(16335,'lautner','lautner',0,0,0.4667,'L356',10),(16336,'lautner has','lautner has',0,1,1.3667,'L3562',10),(16337,'lautner has shown','lautner has shown',0,1,1.5667,'L35625',10),(16338,'shown he','shown he',0,1,1.2667,'S500',10),(16339,'shown he was','shown he was',0,1,1.4,'S520',10),(16340,'successful','successful',0,0,0.6667,'S140',10),(16341,'successful life','successful life',0,1,1.5,'S141',10),(16342,'taylor','taylor',0,0,0.4,'T460',10),(16343,'taylor daniel','taylor daniel',0,1,1.4333,'T46354',10),(16344,'taylor daniel lautner','taylor daniel lautner',0,1,1.7,'T46354356',10),(16345,'was destined','was destined',0,1,1.4,'W232353',10),(16346,'was destined for','was destined for',0,1,1.5333,'W23235316',10),(16347,'a new standup','a new standup',0,1,1.4333,'A523531',6),(16348,'broadcast','broadcast',0,0,0.6,'B6323',6),(16349,'broadcast a','broadcast a',0,1,1.3667,'B6323',6),(16350,'broadcast a new','broadcast a new',0,1,1.5,'B63235',6),(16351,'by louis','by louis',0,1,1.2667,'B420',6),(16352,'by louis c','by louis c',0,1,1.3333,'B420',6),(16353,'c k','c k',0,1,1.1,'C000',6),(16354,'hbo','hbo',0,0,0.2,'H100',6),(16355,'hbo will','hbo will',0,1,1.2667,'H140',6),(16356,'hbo will broadcast','hbo will broadcast',0,1,1.6,'H1416323',6),(16357,'k','k',0,0,0.0667,'K000',6),(16358,'louis c','louis c',0,1,1.2333,'L200',6),(16359,'louis c k','louis c k',0,1,1.3,'L200',6),(16360,'new standup','new standup',0,1,1.3667,'N23531',6),(16361,'new standup special','new standup special',0,1,1.6333,'N235312124',6),(16362,'special by','special by',0,1,1.3333,'S1241',6),(16363,'special by louis','special by louis',0,1,1.5333,'S124142',6),(16364,'standup','standup',0,0,0.4667,'S3531',6),(16365,'standup special','standup special',0,1,1.5,'S35312124',6),(16366,'standup special by','standup special by',0,1,1.6,'S353121241',6),(16367,'will broadcast','will broadcast',0,1,1.4667,'W416323',6),(16368,'will broadcast a','will broadcast a',0,1,1.5333,'W416323',6),(16369,'asked','asked',0,0,0.3333,'A230',13),(16370,'asked back','asked back',0,1,1.3333,'A2312',13),(16371,'asked back to','asked back to',0,1,1.4333,'A23123',13),(16372,'awards','awards',0,0,0.4,'A632',13),(16373,'back to','back to',0,1,1.2333,'B230',13),(16374,'back to host','back to host',0,1,1.4,'B2323',13),(16375,'care if','care if',0,1,1.2333,'C610',13),(16376,'care if he\'s','care if he',0,1,1.4,'C612',13),(16377,'doesn\'t','doesn',0,0,0.4667,'D253',13),(16378,'doesn\'t care','doesn care',0,1,1.4,'D25326',13),(16379,'doesn\'t care if','doesn care if',0,1,1.5,'D253261',13),(16380,'ever asked','ever asked',0,1,1.3333,'E1623',13),(16381,'ever asked back','ever asked back',0,1,1.5,'E162312',13),(16382,'gervais','gervais',0,0,0.4667,'G612',13),(16383,'gervais doesn\'t','gervais doesn',0,1,1.5,'G6123253',13),(16384,'gervais doesn\'t care','gervais doesn care',0,1,1.6667,'G612325326',13),(16385,'golden','golden',0,0,0.4,'G435',13),(16386,'golden awards','golden awards',0,1,1.4333,'G435632',13),(16387,'he\'s ever','he ever',0,1,1.3,'H216',13),(16388,'he\'s ever asked','he ever asked',0,1,1.5,'H21623',13),(16389,'host the','host the',0,1,1.2667,'H230',13),(16390,'host the golden','host the golden',0,1,1.5,'H232435',13),(16391,'if he\'s','if he',0,1,1.2333,'I120',13),(16392,'if he\'s ever','if he ever',0,1,1.4,'I1216',13),(16393,'ricky','ricky',0,0,0.3333,'R200',13),(16394,'ricky gervais','ricky gervais',0,1,1.4333,'R2612',13),(16395,'ricky gervais doesn\'t','ricky gervais doesn',0,1,1.7,'R26123253',13),(16396,'the golden','the golden',0,1,1.3333,'T2435',13),(16397,'the golden awards','the golden awards',0,1,1.5667,'T2435632',13),(16398,'to host the','to host the',0,1,1.3667,'T230',13),(16399,'\'x','x',0,0,0.1333,'X000',6),(16400,'\'x phone\'','x phone',0,1,1.3,'X150',6),(16401,'\'x phone\' beat','x phone beat',0,1,1.4667,'X1513',6),(16402,'and apple','and apple',0,1,1.3,'A5314',6),(16403,'and apple iphone','and apple iphone',0,1,1.5333,'A531415',6),(16404,'apple','apple',0,0,0.3333,'A140',32),(16405,'apple iphone','apple iphone',0,1,1.4,'A1415',6),(16406,'apple iphone 5','apple iphone 5',0,1,1.4667,'A1415',6),(16407,'beat','beat',0,0,0.2667,'B300',6),(16408,'beat samsung','beat samsung',0,1,1.4,'B325252',6),(16409,'beat samsung galaxy','beat samsung galaxy',0,1,1.6333,'B32525242',6),(16410,'galaxy','galaxy',0,0,0.4,'G420',27),(16411,'galaxy s4','galaxy s4',0,1,1.3,'G420',6),(16412,'galaxy s4 and','galaxy s4 and',0,1,1.4333,'G4253',6),(16413,'google \'x','google x',0,1,1.3,'G420',6),(16414,'google \'x phone\'','google x phone',0,1,1.5333,'G4215',6),(16415,'google x','google x',0,1,1.2667,'G420',6),(16416,'google x phone','google x phone',0,1,1.4667,'G4215',6),(16417,'iphone','iphone',0,0,0.4,'I150',9),(16418,'iphone 5','iphone 5',0,1,1.2667,'I150',9),(16419,'phone','phone',0,0,0.3333,'P500',11),(16420,'phone beat','phone beat',0,1,1.3333,'P513',6),(16421,'phone beat samsung','phone beat samsung',0,1,1.6,'P51325252',6),(16422,'phone\'','phone',0,0,0.4,'P500',6),(16423,'phone\' beat','phone beat',0,1,1.3667,'P513',6),(16424,'phone\' beat samsung','phone beat samsung',0,1,1.6333,'P51325252',6),(16425,'s4','s4',0,0,0.1333,'S000',6),(16426,'s4 and','s4 and',0,1,1.2,'S530',6),(16427,'s4 and apple','s4 and apple',0,1,1.4,'S5314',6),(16428,'samsung','samsung',0,0,0.4667,'S5252',33),(16429,'samsung galaxy','samsung galaxy',0,1,1.4667,'S525242',21),(16430,'samsung galaxy s4','samsung galaxy s4',0,1,1.5667,'S525242',6),(16431,'will google','will google',0,1,1.3667,'W424',6),(16432,'will google \'x','will google x',0,1,1.4667,'W4242',6),(16433,'will google x','will google x',0,1,1.4333,'W4242',6),(16434,'x','x',0,0,0.0667,'X000',12),(16435,'x phone','x phone',0,1,1.2333,'X150',6),(16436,'x phone beat','x phone beat',0,1,1.4,'X1513',6),(16437,'affect','affect',0,0,0.4,'A123',4),(16438,'affect business','affect business',0,1,1.5,'A1231252',4),(16439,'augmented','augmented',0,0,0.6,'A253',9),(16440,'augmented reality','augmented reality',0,1,1.5667,'A253643',4),(16441,'augmented reality will','augmented reality will',0,1,1.7333,'A2536434',4),(16442,'how augmented','how augmented',0,1,1.4333,'H253',4),(16443,'how augmented reality','how augmented reality',0,1,1.7,'H253643',4),(16444,'on how','on how',0,1,1.2,'O500',4),(16445,'on how augmented','on how augmented',0,1,1.5333,'O5253',4),(16446,'reality','reality',0,0,0.4667,'R430',185),(16447,'reality will','reality will',0,1,1.4,'R434',4),(16448,'reality will affect','reality will affect',0,1,1.6333,'R434123',4),(16449,'take on','take on',0,1,1.2333,'T250',5),(16450,'take on how','take on how',0,1,1.3667,'T250',4),(16451,'what\'s','what',0,0,0.4,'W320',4),(16452,'what\'s your','what your',0,1,1.3667,'W326',4),(16453,'what\'s your take','what your take',0,1,1.5333,'W32632',4),(16454,'whats','whats',0,0,0.3333,'W320',4),(16455,'whats your','whats your',0,1,1.3333,'W326',4),(16456,'whats your take','whats your take',0,1,1.5,'W32632',4),(16457,'will affect','will affect',0,1,1.3667,'W4123',4),(16458,'will affect business','will affect business',0,1,1.6667,'W41231252',4),(16459,'your take','your take',0,1,1.3,'Y632',4),(16460,'your take on','your take on',0,1,1.4,'Y6325',4),(16461,'a crazy','a crazy',0,1,1.2333,'A262',8),(16462,'a crazy new','a crazy new',0,1,1.3667,'A2625',8),(16463,'by italian','by italian',0,1,1.3333,'B345',8),(16464,'by italian company','by italian company',0,1,1.6,'B3452515',8),(16465,'company hi-fun','company hi-fun',0,1,1.4667,'C51515',8),(16466,'crazy','crazy',0,0,0.3333,'C620',8),(16467,'crazy new','crazy new',0,1,1.3,'C625',8),(16468,'crazy new gadget','crazy new gadget',0,1,1.5333,'C6252323',8),(16469,'gadget','gadget',0,0,0.4,'G323',8),(16470,'gadget by','gadget by',0,1,1.3,'G3231',8),(16471,'gadget by italian','gadget by italian',0,1,1.5667,'G3231345',8),(16472,'gloves','gloves',0,0,0.4,'G412',8),(16473,'gloves handset','gloves handset',0,1,1.4667,'G4125323',8),(16474,'gloves handset is','gloves handset is',0,1,1.5667,'G41253232',8),(16475,'handset','handset',0,0,0.4667,'H5323',8),(16476,'handset is','handset is',0,1,1.3333,'H53232',8),(16477,'handset is a','handset is a',0,1,1.4,'H53232',8),(16478,'hi-call','hi-call',0,0,0.4667,'H240',8),(16479,'hi-call gloves','hi-call gloves',0,1,1.4667,'H242412',8),(16480,'hi-call gloves handset','hi-call gloves handset',0,1,1.7333,'H2424125323',8),(16481,'hi-fun','hi-fun',0,0,0.4,'H150',8),(16482,'is a crazy','is a crazy',0,1,1.3333,'I262',8),(16483,'italian company','italian company',0,1,1.5,'I3452515',8),(16484,'italian company hi-fun','italian company hi-fun',0,1,1.7333,'I345251515',8),(16485,'new gadget','new gadget',0,1,1.3333,'N2323',8),(16486,'new gadget by','new gadget by',0,1,1.4333,'N23231',8),(16487,'5 on','5 on',0,1,1.1333,'O500',7),(16488,'5 on march','5 on march',0,1,1.3333,'O562',7),(16489,'already the','already the',0,1,1.3667,'A463',7),(16490,'already the ipad','already the ipad',0,1,1.5333,'A46313',7),(16491,'apple will','apple will',0,1,1.3333,'A140',7),(16492,'apple will introduce','apple will introduce',0,1,1.6667,'A1453632',7),(16493,'introduce','introduce',0,0,0.6,'I53632',7),(16494,'introduce already','introduce already',0,1,1.5667,'I53632463',7),(16495,'introduce already the','introduce already the',0,1,1.7,'I53632463',7),(16496,'ipad','ipad',0,0,0.2667,'I130',22),(16497,'ipad 5','ipad 5',0,1,1.2,'I130',7),(16498,'ipad 5 on','ipad 5 on',0,1,1.3,'I135',7),(16499,'march','march',0,0,0.3333,'M620',7),(16500,'march 2013','march 2013',0,1,1.3333,'M620',7),(16501,'on march','on march',0,1,1.2667,'O562',7),(16502,'on march 2013','on march 2013',0,1,1.4333,'O562',7),(16503,'rumor','rumor',0,0,0.3333,'R560',7),(16504,'rumor apple','rumor apple',0,1,1.3667,'R5614',7),(16505,'rumor apple will','rumor apple will',0,1,1.5333,'R5614',7),(16506,'the ipad','the ipad',0,1,1.2667,'T130',7),(16507,'the ipad 5','the ipad 5',0,1,1.3333,'T130',7),(16508,'will introduce','will introduce',0,1,1.4667,'W453632',7),(16509,'will introduce already','will introduce already',0,1,1.7333,'W453632463',7),(16510,'2013 google','2013 google',0,1,1.3667,'G400',8),(16511,'2013 google tv','2013 google tv',0,1,1.4667,'G431',8),(16512,'at ces','at ces',0,1,1.2,'A320',8),(16513,'brings sharper','brings sharper',0,1,1.4667,'B652616',8),(16514,'brings sharper picture','brings sharper picture',0,1,1.7333,'B6526161236',8),(16515,'ces','ces',0,0,0.2,'C000',8),(16516,'google tv','google tv',0,1,1.3,'G431',8),(16517,'google tv lineup','google tv lineup',0,1,1.5333,'G431451',8),(16518,'its 2013','its 2013',0,1,1.2667,'I320',8),(16519,'its 2013 google','its 2013 google',0,1,1.5,'I324',8),(16520,'launching','launching',0,0,0.6,'L5252',8),(16521,'launching at','launching at',0,1,1.4,'L52523',8),(16522,'launching at ces','launching at ces',0,1,1.5333,'L525232',8),(16523,'lg','lg',0,0,0.1333,'L200',9),(16524,'lg brings','lg brings',0,1,1.3,'L21652',8),(16525,'lg brings sharper','lg brings sharper',0,1,1.5667,'L21652616',8),(16526,'lineup','lineup',0,0,0.4,'L510',8),(16527,'lineup launching','lineup launching',0,1,1.5333,'L5145252',8),(16528,'lineup launching at','lineup launching at',0,1,1.6333,'L51452523',8),(16529,'of its','of its',0,1,1.2,'O132',9),(16530,'of its 2013','of its 2013',0,1,1.3667,'O132',8),(16531,'picture of','picture of',0,1,1.3333,'P2361',8),(16532,'picture of its','picture of its',0,1,1.4667,'P236132',8),(16533,'sharper','sharper',0,0,0.4667,'S616',8),(16534,'sharper picture','sharper picture',0,1,1.5,'S6161236',8),(16535,'sharper picture of','sharper picture of',0,1,1.6,'S61612361',8),(16536,'tv lineup','tv lineup',0,1,1.3,'T1451',8),(16537,'tv lineup launching','tv lineup launching',0,1,1.6333,'T145145252',8),(16538,'augmented selves','augmented selves',0,1,1.5333,'A2532412',5),(16539,'augmented selves the','augmented selves the',0,1,1.6667,'A25324123',5),(16540,'of wearable','of wearable',0,1,1.3667,'O1614',5),(16541,'of wearable computing','of wearable computing',0,1,1.7,'O1614251352',5),(16542,'our augmented','our augmented',0,1,1.4333,'O6253',5),(16543,'our augmented selves','our augmented selves',0,1,1.6667,'O62532412',5),(16544,'promise','promise',0,0,0.4667,'P652',5),(16545,'promise of','promise of',0,1,1.3333,'P6521',5),(16546,'promise of wearable','promise of wearable',0,1,1.6333,'P6521614',5),(16547,'selves','selves',0,0,0.4,'S412',5),(16548,'selves the','selves the',0,1,1.3333,'S4123',5),(16549,'selves the promise','selves the promise',0,1,1.6,'S41231652',5),(16550,'the promise','the promise',0,1,1.3667,'T1652',5),(16551,'the promise of','the promise of',0,1,1.4667,'T16521',5),(16552,'wearable','wearable',0,0,0.5333,'W614',5),(16553,'wearable computing','wearable computing',0,1,1.6,'W614251352',5),(16554,'cbs','cbs',0,0,0.2,'C120',4),(16555,'cbs news','cbs news',0,1,1.2667,'C1252',4),(16556,'dead premiere','dead premiere',0,1,1.4333,'D1656',4),(16557,'dead premiere sets','dead premiere sets',0,1,1.6,'D1656232',4),(16558,'movies','movies',0,0,0.4,'M120',24),(16559,'premiere sets','premiere sets',0,1,1.4333,'P656232',4),(16560,'premiere sets ratings','premiere sets ratings',0,1,1.7,'P6562326352',4),(16561,'ratings','ratings',0,0,0.4667,'R352',4),(16562,'ratings record','ratings record',0,1,1.4667,'R3526263',4),(16563,'ratings record cbs','ratings record cbs',0,1,1.6,'R3526263212',4),(16564,'record','record',0,0,0.4,'R263',4),(16565,'record cbs','record cbs',0,1,1.3333,'R263212',4),(16566,'record cbs news','record cbs news',0,1,1.5,'R26321252',4),(16567,'sets ratings','sets ratings',0,1,1.4,'S326352',4),(16568,'sets ratings record','sets ratings record',0,1,1.6333,'S3263526263',4),(16569,'the walking','the walking',0,1,1.3667,'T4252',4),(16570,'the walking dead','the walking dead',0,1,1.5333,'T42523',4),(16571,'tv movies','tv movies',0,1,1.3,'T1512',24),(16572,'walking','walking',0,0,0.4667,'W4252',4),(16573,'walking dead','walking dead',0,1,1.4,'W42523',4),(16574,'walking dead premiere','walking dead premiere',0,1,1.7,'W425231656',4),(16575,'jack','jack',0,0,0.2667,'J000',5),(16576,'jack reacher','jack reacher',0,1,1.4,'J626',5),(16577,'reacher','reacher',0,0,0.4667,'R260',5),(16578,'a bloody finisher','a bloody finisher',0,1,1.5667,'A1431526',4),(16579,'bloody finisher','bloody finisher',0,1,1.5,'B431526',4),(16580,'damned','damned',0,0,0.4,'D530',4),(16581,'damned trailer','damned trailer',0,1,1.4667,'D53646',4),(16582,'damned trailer is','damned trailer is',0,1,1.5667,'D536462',4),(16583,'finisher','finisher',0,0,0.5333,'F526',4),(16584,'is a bloody','is a bloody',0,1,1.3667,'I2143',4),(16585,'of the damned','of the damned',0,1,1.4333,'O1353',4),(16586,'spartacus','spartacus',0,0,0.6,'S1632',4),(16587,'spartacus war','spartacus war',0,1,1.4333,'S16326',4),(16588,'spartacus war of','spartacus war of',0,1,1.5333,'S163261',4),(16589,'the damned','the damned',0,1,1.3333,'T530',4),(16590,'the damned trailer','the damned trailer',0,1,1.6,'T53646',4),(16591,'trailer is','trailer is',0,1,1.3333,'T6462',4),(16592,'trailer is a','trailer is a',0,1,1.4,'T6462',4),(16593,'war of','war of',0,1,1.2,'W610',4),(16594,'war of the','war of the',0,1,1.3333,'W613',4),(16595,'\'man','man',0,0,0.2667,'M000',4),(16596,'\'man of','man of',0,1,1.2333,'M100',4),(16597,'\'man of steel\'','man of steel',0,1,1.4667,'M1234',4),(16598,'and lights','and lights',0,1,1.3333,'A534232',4),(16599,'and lights up','and lights up',0,1,1.4333,'A5342321',4),(16600,'cavill','cavill',0,0,0.4,'C140',4),(16601,'cavill goes','cavill goes',0,1,1.3667,'C142',4),(16602,'cavill goes shirtless','cavill goes shirtless',0,1,1.7,'C1426342',4),(16603,'flames','flames',0,0,0.4,'F452',4),(16604,'flames in','flames in',0,1,1.3,'F4525',4),(16605,'flames in the','flames in the',0,1,1.4333,'F45253',4),(16606,'goes shirtless','goes shirtless',0,1,1.4667,'G6342',4),(16607,'goes shirtless and','goes shirtless and',0,1,1.6,'G634253',4),(16608,'henry','henry',0,0,0.3333,'H560',4),(16609,'henry cavill','henry cavill',0,1,1.4,'H56214',4),(16610,'henry cavill goes','henry cavill goes',0,1,1.5667,'H562142',4),(16611,'in flames','in flames',0,1,1.3,'I51452',4),(16612,'in flames in','in flames in',0,1,1.4,'I514525',4),(16613,'in the \'man','in the man',0,1,1.3667,'I535',4),(16614,'in the man','in the man',0,1,1.3333,'I535',4),(16615,'lights','lights',0,0,0.4,'L232',4),(16616,'lights up','lights up',0,1,1.3,'L2321',4),(16617,'lights up in','lights up in',0,1,1.4,'L23215',4),(16618,'man of','man of',0,1,1.2,'M100',4),(16619,'man of steel','man of steel',0,1,1.4,'M1234',4),(16620,'of steel','of steel',0,1,1.2667,'O1234',4),(16621,'of steel\'','of steel',0,1,1.3,'O1234',4),(16622,'shirtless','shirtless',0,0,0.6,'S6342',4),(16623,'shirtless and','shirtless and',0,1,1.4333,'S634253',4),(16624,'shirtless and lights','shirtless and lights',0,1,1.6667,'S6342534232',4),(16625,'steel','steel',0,0,0.3333,'S340',4),(16626,'steel\'','steel',0,0,0.4,'S340',4),(16627,'the \'man','the man',0,1,1.2667,'T500',4),(16628,'the \'man of','the man of',0,1,1.3667,'T510',4),(16629,'the man','the man',0,1,1.2333,'T500',4),(16630,'the man of','the man of',0,1,1.3333,'T510',4),(16631,'up in','up in',0,1,1.1667,'U150',16),(16632,'up in flames','up in flames',0,1,1.4,'U151452',4),(16633,'\'cliff\'','cliff',0,0,0.4667,'C410',7),(16634,'\'cliff\' talks','cliff talks',0,1,1.4333,'C41342',7),(16635,'191','191',0,0,0.3,'',7),(16636,'bringing lawmakers','bringing lawmakers',0,1,1.6,'B6525245262',7),(16637,'bringing lawmakers to','bringing lawmakers to',0,1,1.7,'B65252452623',7),(16638,'cliff','cliff',0,0,0.3333,'C410',7),(16639,'cliff talks','cliff talks',0,1,1.3667,'C41342',7),(16640,'for last','for last',0,1,1.2667,'F6423',3),(16641,'for last minute','for last minute',0,1,1.5,'F642353',3),(16642,'for last-minute','for last-minute',0,1,1.5,'F642353',3),(16643,'for last-minute \'cliff\'','for last-minute cliff',0,1,1.7667,'F642353241',3),(16644,'last minute','last minute',0,1,1.3667,'L2353',7),(16645,'last minute cliff','last minute cliff',0,1,1.5667,'L2353241',7),(16646,'last-minute','last-minute',0,0,0.7333,'L2353',7),(16647,'last-minute \'cliff\'','last-minute cliff',0,1,1.6333,'L2353241',7),(16648,'last-minute \'cliff\' talks','last-minute cliff talks',0,1,1.8333,'L2353241342',7),(16649,'lawmakers','lawmakers',0,0,0.6,'L5262',7),(16650,'lawmakers to','lawmakers to',0,1,1.4,'L52623',7),(16651,'lawmakers to oval','lawmakers to oval',0,1,1.5667,'L5262314',7),(16652,'minute','minute',0,0,0.4,'M300',7),(16653,'minute cliff','minute cliff',0,1,1.4,'M3241',7),(16654,'minute cliff talks','minute cliff talks',0,1,1.6,'M3241342',7),(16655,'obama bringing','obama bringing',0,1,1.4667,'O15165252',7),(16656,'obama bringing lawmakers','obama bringing lawmakers',0,1,1.8,'O1516525245262',7),(16657,'office','office',0,0,0.4,'O120',7),(16658,'office for','office for',0,1,1.3333,'O1216',3),(16659,'office for last','office for last',0,1,1.5,'O1216423',3),(16660,'office for last-minute','office for last-minute',0,1,1.7333,'O121642353',3),(16661,'oval','oval',0,0,0.2667,'O140',7),(16662,'oval office','oval office',0,1,1.3667,'O1412',7),(16663,'oval office for','oval office for',0,1,1.5,'O141216',3),(16664,'talks','talks',0,0,0.3333,'T420',7),(16665,'to oval','to oval',0,1,1.2333,'T140',7),(16666,'to oval office','to oval office',0,1,1.4667,'T1412',7),(16667,'office last','office last',0,1,1.3667,'O12423',4),(16668,'office last minute','office last minute',0,1,1.6,'O1242353',4),(16669,'office last-minute','office last-minute',0,1,1.6,'O1242353',4),(16670,'office last-minute \'cliff\'','office last-minute cliff',0,1,1.8667,'O1242353241',4),(16671,'oval office last','oval office last',0,1,1.5333,'O1412423',4),(16672,'oval office last-minute','oval office last-minute',0,1,1.7667,'O141242353',4),(16673,'care if hes','care if hes',0,1,1.3667,'C612',8),(16674,'doesnt','doesnt',0,0,0.4,'D253',8),(16675,'doesnt care','doesnt care',0,1,1.3667,'D25326',8),(16676,'doesnt care if','doesnt care if',0,1,1.4667,'D253261',8),(16677,'gervais doesnt','gervais doesnt',0,1,1.4667,'G6123253',8),(16678,'gervais doesnt care','gervais doesnt care',0,1,1.6333,'G612325326',8),(16679,'hes ever','hes ever',0,1,1.2667,'H216',8),(16680,'hes ever asked','hes ever asked',0,1,1.4667,'H21623',8),(16681,'if hes','if hes',0,1,1.2,'I120',8),(16682,'if hes ever','if hes ever',0,1,1.3667,'I1216',8),(16683,'ricky gervais doesnt','ricky gervais doesnt',0,1,1.6667,'R26123253',8),(16684,'call gloves','call gloves',0,1,1.3667,'C42412',5),(16685,'call gloves handset','call gloves handset',0,1,1.6333,'C424125323',5),(16686,'company hi','company hi',0,1,1.3333,'C515',5),(16687,'company hi fun','company hi fun',0,1,1.4667,'C51515',5),(16688,'fun','fun',0,0,0.2,'F500',5),(16689,'hi','hi',0,0,0.1333,'H000',5),(16690,'hi call','hi call',0,1,1.2333,'H240',5),(16691,'hi call gloves','hi call gloves',0,1,1.4667,'H242412',5),(16692,'hi fun','hi fun',0,1,1.2,'H150',5),(16693,'italian company hi','italian company hi',0,1,1.6,'I3452515',5),(16694,'active','active',0,0,0.4,'A231',2),(16695,'active volcano','active volcano',0,1,1.4667,'A231425',2),(16696,'an active','an active',0,1,1.3,'A5231',2),(16697,'an active volcano','an active volcano',0,1,1.5667,'A5231425',2),(16698,'cruise','cruise',0,0,0.4,'C620',2),(16699,'cruise strides','cruise strides',0,1,1.4667,'C623632',2),(16700,'cruise strides into','cruise strides into',0,1,1.6333,'C62363253',2),(16701,'into','into',0,0,0.2667,'I530',6),(16702,'into jack','into jack',0,1,1.3,'I532',2),(16703,'into jack reacher','into jack reacher',0,1,1.5667,'I532626',2),(16704,'jack reacher smouldering','jack reacher smouldering',0,1,1.8,'J6262543652',2),(16705,'like an','like an',0,1,1.2333,'L250',2),(16706,'like an active','like an active',0,1,1.4667,'L25231',2),(16707,'reacher smouldering','reacher smouldering',0,1,1.6333,'R262543652',2),(16708,'reacher smouldering like','reacher smouldering like',0,1,1.8,'R26254365242',2),(16709,'smouldering','smouldering',0,0,0.7333,'S543652',2),(16710,'smouldering like','smouldering like',0,1,1.5333,'S54365242',2),(16711,'smouldering like an','smouldering like an',0,1,1.6333,'S543652425',2),(16712,'strides','strides',0,0,0.4667,'S3632',2),(16713,'strides into','strides into',0,1,1.4,'S363253',2),(16714,'strides into jack','strides into jack',0,1,1.5667,'S3632532',2),(16715,'tom cruise','tom cruise',0,1,1.3333,'T5262',2),(16716,'tom cruise strides','tom cruise strides',0,1,1.6,'T52623632',2),(16717,'volcano','volcano',0,0,0.4667,'V425',2),(16718,'again','again',0,0,0.3333,'A250',2),(16719,'and back','and back',0,1,1.2667,'A5312',2),(16720,'and back again','and back again',0,1,1.4667,'A53125',2),(16721,'back again','back again',0,1,1.3333,'B250',2),(16722,'gandalf','gandalf',0,0,0.4667,'G5341',2),(16723,'gandalf in','gandalf in',0,1,1.3333,'G53415',2),(16724,'gandalf in the','gandalf in the',0,1,1.4667,'G534153',2),(16725,'hobbit','hobbit',0,0,0.4,'H130',2),(16726,'hobbit or','hobbit or',0,1,1.3,'H136',2),(16727,'hobbit or there','hobbit or there',0,1,1.5,'H13636',2),(16728,'in the hobbit','in the hobbit',0,1,1.4333,'I5313',2),(16729,'or there','or there',0,1,1.2667,'O636',2),(16730,'or there and','or there and',0,1,1.4,'O63653',2),(16731,'the hobbit','the hobbit',0,1,1.3333,'T130',2),(16732,'the hobbit or','the hobbit or',0,1,1.4333,'T136',2),(16733,'there and','there and',0,1,1.3,'T653',2),(16734,'there and back','there and back',0,1,1.4667,'T65312',2),(16735,'been conducting','been conducting',0,1,1.5,'B52532352',4),(16736,'been conducting security','been conducting security',0,1,1.8,'B5253235263',4),(16737,'conducting','conducting',0,0,0.6667,'C532352',4);
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`) VALUES (16738,'conducting security','conducting security',0,1,1.6333,'C53235263',4),(16739,'conducting security operations','conducting security operations',0,1,2,'C5323526316352',4),(16740,'has been','has been',0,1,1.2667,'H215',8),(16741,'has been conducting','has been conducting',0,1,1.6333,'H2152532352',4),(16742,'isaf','isaf',0,0,0.2667,'I210',4),(16743,'isaf has','isaf has',0,1,1.2667,'I212',4),(16744,'isaf has been','isaf has been',0,1,1.4333,'I21215',4),(16745,'operations','operations',0,0,0.6667,'O16352',4),(16746,'security operations','security operations',0,1,1.6333,'S6316352',4),(16747,'combat formation','combat formation',0,1,1.5333,'C51316535',4),(16748,'formation','formation',0,0,0.6,'F6535',4),(16749,'shooting target','shooting target',0,1,1.5,'S3523623',3),(16750,'target','target',0,0,0.4,'T623',3),(16751,'civilian','civilian',0,0,0.5333,'C145',7),(16752,'civilian cooperation','civilian cooperation',0,1,1.6667,'C14521635',7),(16753,'cooperation','cooperation',0,0,0.7333,'C1635',7),(16754,'engineering','engineering',0,0,0.7333,'E525652',3),(16755,'forming','forming',0,0,0.4667,'F652',3),(16756,'forming engineering','forming engineering',0,1,1.6333,'F652525652',3),(16757,'a nice arrow','a nice arrow',0,1,1.4,'A526',9),(16758,'additional suffixes nsphover','additional suffixes nsphover',0,1,1.9333,'A3542125216',9),(16759,'and bottom1-2','and bottom1-2',0,1,1.4333,'A53135',9),(16760,'and bottom1-2 module','and bottom1-2 module',0,1,1.6667,'A5313534',9),(16761,'and links','and links',0,1,1.3,'A53452',1),(16762,'and links on','and links on',0,1,1.4,'A534525',1),(16763,'animation header','animation header',0,1,1.5333,'A53536',1),(16764,'animation header this','animation header this',0,1,1.7,'A5353632',1),(16765,'arrow','arrow',0,0,0.3333,'A600',9),(16766,'arrow from','arrow from',0,1,1.3333,'A6165',1),(16767,'arrow from the','arrow from the',0,1,1.4667,'A61653',1),(16768,'big image','big image',0,1,1.3,'B252',1),(16769,'big image on','big image on',0,1,1.4,'B2525',1),(16770,'bottom1-2','bottom1-2',0,0,0.6,'B350',9),(16771,'bottom1-2 module','bottom1-2 module',0,1,1.5333,'B3534',9),(16772,'bottom1-2 module positions','bottom1-2 module positions',0,1,1.8667,'B353412352',9),(16773,'default','default',0,0,0.4667,'D143',14),(16774,'default module','default module',0,1,1.4667,'D143534',14),(16775,'default module styles','default module styles',0,1,1.7,'D1435342342',14),(16776,'from the title','from the title',0,1,1.4667,'F6534',1),(16777,'header this','header this',0,1,1.3667,'H3632',2),(16778,'header this suffix','header this suffix',0,1,1.6,'H363212',1),(16779,'headlines','headlines',0,0,0.6,'H3452',9),(16780,'headlines this','headlines this',0,1,1.4667,'H345232',9),(16781,'headlines this suffix','headlines this suffix',0,1,1.7,'H34523212',9),(16782,'hover animation','hover animation',0,1,1.5,'H16535',9),(16783,'hover animation header','hover animation header',0,1,1.7333,'H1653536',1),(16784,'image on','image on',0,1,1.2667,'I525',1),(16785,'image on the','image on the',0,1,1.4,'I5253',1),(16786,'is very usefull','is very usefull',0,1,1.5,'I216214',9),(16787,'left and','left and',0,1,1.2667,'L1353',1),(16788,'left and links','left and links',0,1,1.4667,'L1353452',1),(16789,'links on','links on',0,1,1.2667,'L525',1),(16790,'links on the','links on the',0,1,1.4,'L5253',1),(16791,'module styles','module styles',0,1,1.4333,'M342342',14),(16792,'module styles the','module styles the',0,1,1.5667,'M3423423',3),(16793,'module with nice','module with nice',0,1,1.5333,'M34352',9),(16794,'nice arrow','nice arrow',0,1,1.3333,'N260',9),(16795,'nice arrow from','nice arrow from',0,1,1.5,'N26165',1),(16796,'nice hover','nice hover',0,1,1.3333,'N216',9),(16797,'nice hover animation','nice hover animation',0,1,1.6667,'N216535',9),(16798,'nsphover','nsphover',0,0,0.5333,'N216',9),(16799,'nsphover this','nsphover this',0,1,1.4333,'N21632',9),(16800,'nsphover this suffix','nsphover this suffix',0,1,1.6667,'N2163212',9),(16801,'on the left','on the left',0,1,1.3667,'O53413',1),(16802,'on the top1-2','on the top1-2',0,1,1.4333,'O531',14),(16803,'only default','only default',0,1,1.4,'O543143',14),(16804,'only default module','only default module',0,1,1.6333,'O543143534',14),(16805,'recommened to','recommened to',0,1,1.4333,'R253',14),(16806,'recommened to use','recommened to use',0,1,1.5667,'R2532',14),(16807,'right side headlines','right side headlines',0,1,1.6667,'R2323452',1),(16808,'side headlines','side headlines',0,1,1.4667,'S3452',1),(16809,'side headlines this','side headlines this',0,1,1.6333,'S345232',1),(16810,'styles','styles',0,0,0.4,'S342',14),(16811,'styles the','styles the',0,1,1.3333,'S3423',3),(16812,'styles the clear','styles the clear',0,1,1.5333,'S3423246',3),(16813,'suffixes nsphover','suffixes nsphover',0,1,1.5667,'S125216',9),(16814,'suffixes nsphover this','suffixes nsphover this',0,1,1.7333,'S12521632',9),(16815,'the big image','the big image',0,1,1.4333,'T1252',1),(16816,'the left','the left',0,1,1.2667,'T413',1),(16817,'the left and','the left and',0,1,1.4,'T41353',1),(16818,'the top1-2','the top1-2',0,1,1.3333,'T100',14),(16819,'the top1-2 and','the top1-2 and',0,1,1.4667,'T153',13),(16820,'this suffix is','this suffix is',0,1,1.4667,'T212',9),(16821,'to use only','to use only',0,1,1.3667,'T254',14),(16822,'top1-2','top1-2',0,0,0.4,'T100',14),(16823,'top1-2 and','top1-2 and',0,1,1.3333,'T153',13),(16824,'top1-2 and bottom1-2','top1-2 and bottom1-2',0,1,1.6667,'T153135',9),(16825,'use only default','use only default',0,1,1.5333,'U2543143',14),(16826,'usefull','usefull',0,0,0.4667,'U214',9),(16827,'usefull to','usefull to',0,1,1.3333,'U2143',9),(16828,'usefull to create','usefull to create',0,1,1.5667,'U2143263',9),(16829,'very usefull','very usefull',0,1,1.4,'V6214',9),(16830,'very usefull to','very usefull to',0,1,1.5,'V62143',9),(16831,'we recommened to','we recommened to',0,1,1.5333,'W6253',14),(16832,'with nice','with nice',0,1,1.3,'W352',9),(16833,'with nice hover','with nice hover',0,1,1.5,'W35216',9),(16834,'acer','acer',0,0,0.2667,'A260',12),(16835,'acer does','acer does',0,1,1.3,'A2632',12),(16836,'acer does not','acer does not',0,1,1.4333,'A263253',12),(16837,'all time','all time',0,1,1.2667,'A435',12),(16838,'as the best','as the best',0,1,1.3667,'A23123',12),(16839,'best pcs','best pcs',0,1,1.2667,'B2312',12),(16840,'best pcs of','best pcs of',0,1,1.3667,'B23121',12),(16841,'defining','defining',0,0,0.5333,'D152',2),(16842,'defining models','defining models',0,1,1.5,'D1525342',1),(16843,'defining models of','defining models of',0,1,1.6,'D15253421',1),(16844,'do it','do it',0,1,1.1667,'D000',12),(16845,'do it for','do it for',0,1,1.3,'D160',12),(16846,'does not','does not',0,1,1.2667,'D253',12),(16847,'does not do','does not do',0,1,1.3667,'D253',12),(16848,'for less','for less',0,1,1.2667,'F642',12),(16849,'for less defining','for less defining',0,1,1.5667,'F6423152',2),(16850,'it for','it for',0,1,1.2,'I316',13),(16851,'it for less','it for less',0,1,1.3667,'I31642',12),(16852,'its new','its new',0,1,1.2333,'I325',1),(16853,'its new series','its new series',0,1,1.4667,'I325262',1),(16854,'less','less',0,0,0.2667,'L200',13),(16855,'less defining','less defining',0,1,1.4333,'L23152',2),(16856,'less defining models','less defining models',0,1,1.6667,'L231525342',1),(16857,'models','models',0,0,0.4,'M342',11),(16858,'models of','models of',0,1,1.3,'M3421',1),(16859,'models of its','models of its',0,1,1.4333,'M342132',1),(16860,'new series','new series',0,1,1.3333,'N262',2),(16861,'new series of','new series of',0,1,1.4333,'N2621',2),(16862,'not','not',0,0,0.2,'N300',13),(16863,'not do','not do',0,1,1.2,'N300',12),(16864,'not do it','not do it',0,1,1.3,'N300',12),(16865,'of all','of all',0,1,1.2,'O140',12),(16866,'of all time','of all time',0,1,1.3667,'O1435',12),(16867,'of its new','of its new',0,1,1.3333,'O1325',1),(16868,'of s7','of s7',0,1,1.1667,'O120',2),(16869,'of s7 ultranotebooks','of s7 ultranotebooks',0,1,1.6667,'O124365312',2),(16870,'pcs','pcs',0,0,0.2,'P200',12),(16871,'pcs of','pcs of',0,1,1.2,'P210',12),(16872,'pcs of all','pcs of all',0,1,1.3333,'P214',12),(16873,'s7','s7',0,0,0.1333,'S000',12),(16874,'s7 ultranotebooks','s7 ultranotebooks',0,1,1.5667,'S4365312',12),(16875,'s7 ultranotebooks as','s7 ultranotebooks as',0,1,1.6667,'S4365312',12),(16876,'series of s7','series of s7',0,1,1.4,'S6212',2),(16877,'the best','the best',0,1,1.2667,'T123',12),(16878,'the best pcs','the best pcs',0,1,1.4,'T12312',12),(16879,'ultranotebooks','ultranotebooks',0,0,0.9333,'U4365312',12),(16880,'ultranotebooks as','ultranotebooks as',0,1,1.5667,'U4365312',12),(16881,'ultranotebooks as the','ultranotebooks as the',0,1,1.7,'U43653123',12),(16882,'defining new','defining new',0,1,1.4,'D1525',1),(16883,'defining new series','defining new series',0,1,1.6333,'D1525262',1),(16884,'less defining new','less defining new',0,1,1.5667,'L231525',1),(16885,'for less new','for less new',0,1,1.4,'F6425',10),(16886,'less new','less new',0,1,1.2667,'L250',10),(16887,'less new s7','less new s7',0,1,1.3667,'L252',10),(16888,'new s7','new s7',0,1,1.2,'N200',10),(16889,'new s7 ultranotebooks','new s7 ultranotebooks',0,1,1.7,'N24365312',10),(16890,'5 proin','5 proin',0,1,1.2333,'P650',1),(16891,'5 proin urna','5 proin urna',0,1,1.4,'P6565',1),(16892,'6 proin','6 proin',0,1,1.2333,'P650',1),(16893,'6 proin urna','6 proin urna',0,1,1.4,'P6565',1),(16894,'amet numblocks','amet numblocks',0,1,1.4667,'A535142',25),(16895,'amet numblocks p','amet numblocks p',0,1,1.5333,'A5351421',25),(16896,'class gkvoice gkvoice','class gkvoice gkvoice',0,1,1.7,'C421212',1),(16897,'gavick blockquotes','gavick blockquotes',0,1,1.6,'G1214232',23),(16898,'gavick blockquotes lorem','gavick blockquotes lorem',0,1,1.8,'G1214232465',23),(16899,'gkvoice gkvoice','gkvoice gkvoice',0,1,1.5,'G1212',1),(16900,'gkvoice gkvoice message','gkvoice gkvoice message',0,1,1.7667,'G121252',1),(16901,'heading 5','heading 5',0,1,1.3,'H352',25),(16902,'heading 5 proin','heading 5 proin',0,1,1.5,'H352165',1),(16903,'heading 6','heading 6',0,1,1.3,'H352',25),(16904,'heading 6 proin','heading 6 proin',0,1,1.5,'H352165',1),(16905,'hendrerit massa icon','hendrerit massa icon',0,1,1.6667,'H5363525',1),(16906,'is heading 5','is heading 5',0,1,1.4,'I2352',25),(16907,'is heading 6','is heading 6',0,1,1.4,'I2352',25),(16908,'massa icon','massa icon',0,1,1.3333,'M250',1),(16909,'massa icon set','massa icon set',0,1,1.4667,'M2523',1),(16910,'p highlights','p highlights',0,1,1.4,'P24232',9),(16911,'p highlights this','p highlights this',0,1,1.5667,'P2423232',9),(16912,'robert gavick blockquotes','robert gavick blockquotes',0,1,1.8333,'R16321214232',23),(16913,'sit amet numblocks','sit amet numblocks',0,1,1.6,'S3535142',25),(16914,'txt p highlights','txt p highlights',0,1,1.5333,'T23124232',9),(16915,'a nec eros','a nec eros',0,1,1.3333,'A5262',128),(16916,'a varius','a varius',0,1,1.2667,'A162',150),(16917,'a varius eros','a varius eros',0,1,1.4333,'A16262',150),(16918,'ac felis','ac felis',0,1,1.2667,'A2142',130),(16919,'ac felis ut','ac felis ut',0,1,1.3667,'A21423',128),(16920,'ac semper','ac semper',0,1,1.3,'A2516',128),(16921,'ac semper risus','ac semper risus',0,1,1.5,'A25162',128),(16922,'ac suscipit','ac suscipit',0,1,1.3667,'A213',128),(16923,'ac suscipit id','ac suscipit id',0,1,1.4667,'A213',128),(16924,'adipiscing eleifend','adipiscing eleifend',0,1,1.6333,'A312524153',128),(16925,'adipiscing eleifend sed','adipiscing eleifend sed',0,1,1.7667,'A31252415323',128),(16926,'adipiscing rhoncus','adipiscing rhoncus',0,1,1.6,'A31252652',128),(16927,'adipiscing rhoncus aliquam','adipiscing rhoncus aliquam',0,1,1.8667,'A31252652425',128),(16928,'aenean commodo','aenean commodo',0,1,1.4667,'A5253',128),(16929,'aenean commodo nibh','aenean commodo nibh',0,1,1.6333,'A525351',128),(16930,'aliquam non','aliquam non',0,1,1.3667,'A425',128),(16931,'aliquam non sem','aliquam non sem',0,1,1.5,'A42525',128),(16932,'aliquam sit','aliquam sit',0,1,1.3667,'A42523',128),(16933,'aliquam sit amet','aliquam sit amet',0,1,1.5333,'A4252353',128),(16934,'aliquam ullamcorper posuere','aliquam ullamcorper posuere',0,1,1.9,'A425452616126',128),(16935,'amet rutrum','amet rutrum',0,1,1.3667,'A536365',128),(16936,'amet rutrum vitae','amet rutrum vitae',0,1,1.5667,'A53636513',128),(16937,'ante pellentesque','ante pellentesque',0,1,1.5667,'A5314532',151),(16938,'ante pellentesque at','ante pellentesque at',0,1,1.6667,'A53145323',150),(16939,'at aliquam','at aliquam',0,1,1.3333,'A3425',128),(16940,'at aliquam sit','at aliquam sit',0,1,1.4667,'A342523',128),(16941,'at augue','at augue',0,1,1.2667,'A320',150),(16942,'at augue lorem','at augue lorem',0,1,1.4667,'A32465',150),(16943,'auctor at','auctor at',0,1,1.3,'A2363',128),(16944,'auctor at aliquam','auctor at aliquam',0,1,1.5667,'A2363425',128),(16945,'auctor fringilla phasellus','auctor fringilla phasellus',0,1,1.8667,'A236165241242',150),(16946,'augue lorem sed','augue lorem sed',0,1,1.5,'A246523',149),(16947,'bibendum ante','bibendum ante',0,1,1.4333,'B5353',150),(16948,'bibendum ante pellentesque','bibendum ante pellentesque',0,1,1.8667,'B535314532',150),(16949,'bibendum non','bibendum non',0,1,1.4,'B535',128),(16950,'bibendum non eros','bibendum non eros',0,1,1.5667,'B53562',128),(16951,'commodo magna','commodo magna',0,1,1.4333,'C53525',128),(16952,'commodo magna ac','commodo magna ac',0,1,1.5333,'C535252',128),(16953,'commodo nibh','commodo nibh',0,1,1.4,'C5351',128),(16954,'commodo nibh non','commodo nibh non',0,1,1.5333,'C53515',128),(16955,'condimentum bibendum','condimentum bibendum',0,1,1.6667,'C535351535',128),(16956,'condimentum bibendum non','condimentum bibendum non',0,1,1.8,'C535351535',128),(16957,'curabitur ultrices','curabitur ultrices',0,1,1.6,'C61364362',128),(16958,'curabitur ultrices commodo','curabitur ultrices commodo',0,1,1.8667,'C6136436253',128),(16959,'curabitur vitae','curabitur vitae',0,1,1.5,'C613613',149),(16960,'curabitur vitae ultricies','curabitur vitae ultricies',0,1,1.8333,'C6136134362',149),(16961,'cursus curabitur','cursus curabitur',0,1,1.5333,'C626136',128),(16962,'cursus curabitur ultrices','cursus curabitur ultrices',0,1,1.8333,'C6261364362',128),(16963,'cursus cursus','cursus cursus',0,1,1.4333,'C6262',149),(16964,'cursus cursus curabitur','cursus cursus curabitur',0,1,1.7667,'C62626136',128),(16965,'cursus vitae orci','cursus vitae orci',0,1,1.5667,'C621362',149),(16966,'diam duis','diam duis',0,1,1.3,'D532',128),(16967,'diam duis cursus','diam duis cursus',0,1,1.5333,'D53262',128),(16968,'diam maecenas','diam maecenas',0,1,1.4333,'D5252',128),(16969,'diam maecenas elementum','diam maecenas elementum',0,1,1.7667,'D52524535',128),(16970,'dictum placerat','dictum placerat',0,1,1.5,'D23514263',150),(16971,'dictum placerat pellentesque','dictum placerat pellentesque',0,1,1.9333,'D2351426314532',150),(16972,'dolor vel','dolor vel',0,1,1.3,'D4614',128),(16973,'dolor vel felis','dolor vel felis',0,1,1.5,'D4614142',128),(16974,'dolor vivamus','dolor vivamus',0,1,1.4333,'D46152',149),(16975,'dolor vivamus ultricies','dolor vivamus ultricies',0,1,1.7667,'D461524362',149),(16976,'donec fermentum','donec fermentum',0,1,1.5,'D5216535',128),(16977,'donec fermentum magna','donec fermentum magna',0,1,1.7,'D521653525',128),(16978,'donec metus','donec metus',0,1,1.3667,'D52532',150),(16979,'donec metus dui','donec metus dui',0,1,1.5,'D525323',150),(16980,'dui adipiscing rhoncus','dui adipiscing rhoncus',0,1,1.7333,'D1252652',128),(16981,'dui hendrerit','dui hendrerit',0,1,1.4333,'D5363',128),(16982,'dui hendrerit molestie','dui hendrerit molestie',0,1,1.7333,'D53635423',128),(16983,'dui ultricies','dui ultricies',0,1,1.4333,'D4362',150),(16984,'dui ultricies non','dui ultricies non',0,1,1.5667,'D43625',150),(16985,'duis cursus','duis cursus',0,1,1.3667,'D262',128),(16986,'duis sed bibendum','duis sed bibendum',0,1,1.5667,'D231535',150),(16987,'duis vehicula','duis vehicula',0,1,1.4333,'D2124',150),(16988,'duis vehicula tellus','duis vehicula tellus',0,1,1.6667,'D2124342',150),(16989,'duis velit','duis velit',0,1,1.3333,'D2143',128),(16990,'duis velit neque','duis velit neque',0,1,1.5333,'D214352',128),(16991,'eget dui','eget dui',0,1,1.2667,'E230',128),(16992,'eget dui hendrerit','eget dui hendrerit',0,1,1.6,'E235363',128),(16993,'eget enim duis','eget enim duis',0,1,1.4667,'E23532',150),(16994,'eget nisi adipiscing','eget nisi adipiscing',0,1,1.6667,'E235231252',128),(16995,'eget quam eget','eget quam eget',0,1,1.4667,'E232523',128),(16996,'eget venenatis','eget venenatis',0,1,1.4667,'E231532',149),(16997,'eget venenatis quis','eget venenatis quis',0,1,1.6333,'E231532',149),(16998,'eleifend sed','eleifend sed',0,1,1.4,'E415323',128),(16999,'eleifend sed non','eleifend sed non',0,1,1.5333,'E4153235',128),(17000,'elementum lacus','elementum lacus',0,1,1.5,'E453542',128),(17001,'elementum lacus tincidunt','elementum lacus tincidunt',0,1,1.8333,'E453542352353',128),(17002,'enim duis','enim duis',0,1,1.3,'E532',150),(17003,'enim duis sed','enim duis sed',0,1,1.4333,'E5323',150),(17004,'eros donec fermentum','eros donec fermentum',0,1,1.6667,'E6235216535',128),(17005,'eros lacinia','eros lacinia',0,1,1.4,'E62425',128),(17006,'eros lacinia mollis','eros lacinia mollis',0,1,1.6333,'E6242542',128),(17007,'eros posuere','eros posuere',0,1,1.4,'E62126',150),(17008,'eros posuere donec','eros posuere donec',0,1,1.6,'E62126352',150),(17009,'eros vivamus','eros vivamus',0,1,1.4,'E62152',128),(17010,'eros vivamus eu','eros vivamus eu',0,1,1.5,'E62152',128),(17011,'et dolor','et dolor',0,1,1.2667,'E346',128),(17012,'et dolor vel','et dolor vel',0,1,1.4,'E34614',128),(17013,'eu laoreet','eu laoreet',0,1,1.3333,'E463',128),(17014,'eu laoreet diam','eu laoreet diam',0,1,1.5,'E4635',128),(17015,'eu nisi sagittis','eu nisi sagittis',0,1,1.5333,'E5232',150),(17016,'felis hendrerit','felis hendrerit',0,1,1.5,'F425363',128),(17017,'felis hendrerit laoreet','felis hendrerit laoreet',0,1,1.7667,'F425363463',128),(17018,'felis ut','felis ut',0,1,1.2667,'F423',128),(17019,'felis ut odio','felis ut odio',0,1,1.4333,'F423',128),(17020,'fermentum magna','fermentum magna',0,1,1.5,'F653525',128),(17021,'fermentum magna non','fermentum magna non',0,1,1.6333,'F653525',128),(17022,'feugiat risus posuere','feugiat risus posuere',0,1,1.7,'F2362126',128),(17023,'fringilla phasellus','fringilla phasellus',0,1,1.6333,'F65241242',150),(17024,'fringilla phasellus dictum','fringilla phasellus dictum',0,1,1.8667,'F652412423235',150),(17025,'hendrerit laoreet','hendrerit laoreet',0,1,1.5667,'H5363463',128),(17026,'hendrerit laoreet duis','hendrerit laoreet duis',0,1,1.7333,'H53634632',128),(17027,'hendrerit molestie','hendrerit molestie',0,1,1.6,'H53635423',128),(17028,'hendrerit molestie ut','hendrerit molestie ut',0,1,1.7,'H53635423',128),(17029,'id vehicula','id vehicula',0,1,1.3667,'I3124',128),(17030,'id vehicula vel','id vehicula vel',0,1,1.5,'I312414',128),(17031,'in feugiat','in feugiat',0,1,1.3333,'I5123',128),(17032,'in feugiat risus','in feugiat risus',0,1,1.5333,'I512362',128),(17033,'in lectus','in lectus',0,1,1.3,'I54232',149),(17034,'in lectus cursus','in lectus cursus',0,1,1.5333,'I5423262',149),(17035,'integer ac','integer ac',0,1,1.3333,'I53262',128),(17036,'integer ac felis','integer ac felis',0,1,1.5333,'I53262142',128),(17037,'integer orci','integer orci',0,1,1.4,'I53262',149),(17038,'integer orci libero','integer orci libero',0,1,1.6333,'I53262416',149),(17039,'lacinia mollis','lacinia mollis',0,1,1.4667,'L2542',128),(17040,'lacinia mollis maecenas','lacinia mollis maecenas',0,1,1.7667,'L25425252',128),(17041,'lacus tincidunt','lacus tincidunt',0,1,1.5,'L2352353',128),(17042,'lacus tincidunt neque','lacus tincidunt neque',0,1,1.7,'L235235352',128),(17043,'laoreet diam','laoreet diam',0,1,1.4,'L635',128),(17044,'laoreet diam duis','laoreet diam duis',0,1,1.5667,'L63532',128),(17045,'laoreet duis','laoreet duis',0,1,1.4,'L632',128),(17046,'laoreet duis velit','laoreet duis velit',0,1,1.6,'L632143',128),(17047,'lectus cursus','lectus cursus',0,1,1.4333,'L23262',149),(17048,'lectus cursus cursus','lectus cursus cursus',0,1,1.6667,'L2326262',149),(17049,'libero integer','libero integer',0,1,1.4667,'L165326',128),(17050,'libero integer ac','libero integer ac',0,1,1.5667,'L1653262',128),(17051,'libero varius','libero varius',0,1,1.4333,'L16162',149),(17052,'libero varius eget','libero varius eget',0,1,1.6,'L161623',149),(17053,'lorem sed','lorem sed',0,1,1.3,'L6523',149),(17054,'lorem sed ut','lorem sed ut',0,1,1.4,'L6523',149),(17055,'luctus rhoncus','luctus rhoncus',0,1,1.4667,'L232652',128),(17056,'luctus rhoncus a','luctus rhoncus a',0,1,1.5333,'L232652',128),(17057,'maecenas elementum','maecenas elementum',0,1,1.6,'M2524535',128),(17058,'maecenas elementum lacus','maecenas elementum lacus',0,1,1.8,'M252453542',128),(17059,'maecenas et dolor','maecenas et dolor',0,1,1.5667,'M252346',128),(17060,'magna ac','magna ac',0,1,1.2667,'M252',128),(17061,'magna ac semper','magna ac semper',0,1,1.5,'M252516',128),(17062,'magna non','magna non',0,1,1.3,'M250',128),(17063,'magna non eros','magna non eros',0,1,1.4667,'M2562',128),(17064,'metus dui','metus dui',0,1,1.3,'M323',150),(17065,'metus dui ultricies','metus dui ultricies',0,1,1.6333,'M3234362',150),(17066,'molestie ut','molestie ut',0,1,1.3667,'M423',128),(17067,'molestie ut quis','molestie ut quis',0,1,1.5333,'M4232',128),(17068,'molestie vestibulum','molestie vestibulum',0,1,1.6333,'M423123145',128),(17069,'molestie vestibulum aenean','molestie vestibulum aenean',0,1,1.8667,'M423123145',128),(17070,'mollis maecenas','mollis maecenas',0,1,1.5,'M425252',128),(17071,'mollis maecenas et','mollis maecenas et',0,1,1.6,'M4252523',128),(17072,'nec eros','nec eros',0,1,1.2667,'N262',128),(17073,'nec eros donec','nec eros donec',0,1,1.4667,'N262352',128),(17074,'neque luctus','neque luctus',0,1,1.4,'N24232',128),(17075,'neque luctus rhoncus','neque luctus rhoncus',0,1,1.6667,'N24232652',128),(17076,'neque rutrum','neque rutrum',0,1,1.4,'N26365',128),(17077,'neque rutrum ac','neque rutrum ac',0,1,1.5,'N263652',128),(17078,'nibh non','nibh non',0,1,1.2667,'N150',128),(17079,'nibh non dui','nibh non dui',0,1,1.4,'N153',128),(17080,'nibh nulla','nibh nulla',0,1,1.3333,'N154',128),(17081,'nibh nulla eget','nibh nulla eget',0,1,1.5,'N15423',128),(17082,'nisi adipiscing','nisi adipiscing',0,1,1.5,'N231252',128),(17083,'nisi adipiscing eleifend','nisi adipiscing eleifend',0,1,1.8,'N2312524153',128),(17084,'nisi sagittis','nisi sagittis',0,1,1.4333,'N232',150),(17085,'nisi sagittis a','nisi sagittis a',0,1,1.5,'N232',150),(17086,'non dui','non dui',0,1,1.2333,'N300',128),(17087,'non dui adipiscing','non dui adipiscing',0,1,1.6,'N31252',128),(17088,'non eros','non eros',0,1,1.2667,'N620',128),(17089,'non eros lacinia','non eros lacinia',0,1,1.5333,'N62425',128),(17090,'non eros vivamus','non eros vivamus',0,1,1.5333,'N62152',128),(17091,'non libero','non libero',0,1,1.3333,'N416',128),(17092,'non libero integer','non libero integer',0,1,1.6,'N4165326',128),(17093,'non porttitor','non porttitor',0,1,1.4333,'N1636',150),(17094,'non porttitor sed','non porttitor sed',0,1,1.5667,'N163623',150),(17095,'non sem eget','non sem eget',0,1,1.4,'N2523',128),(17096,'nulla eget','nulla eget',0,1,1.3333,'N423',128),(17097,'nulla eget quam','nulla eget quam',0,1,1.5,'N42325',128),(17098,'nunc in lectus','nunc in lectus',0,1,1.4667,'N254232',149),(17099,'odio venenatis','odio venenatis',0,1,1.4667,'O31532',128),(17100,'odio venenatis condimentum','odio venenatis condimentum',0,1,1.8667,'O3153253535',128),(17101,'orci curabitur','orci curabitur',0,1,1.4667,'O626136',149),(17102,'orci curabitur vitae','orci curabitur vitae',0,1,1.6667,'O62613613',149),(17103,'orci libero','orci libero',0,1,1.3667,'O62416',149),(17104,'orci libero varius','orci libero varius',0,1,1.6,'O62416162',149),(17105,'pellentesque at','pellentesque at',0,1,1.5,'P45323',150),(17106,'pellentesque at augue','pellentesque at augue',0,1,1.7,'P453232',150),(17107,'pellentesque duis','pellentesque duis',0,1,1.5667,'P453232',150),(17108,'pellentesque duis vehicula','pellentesque duis vehicula',0,1,1.8667,'P453232124',150),(17109,'phasellus dictum','phasellus dictum',0,1,1.5333,'P2423235',150),(17110,'phasellus dictum placerat','phasellus dictum placerat',0,1,1.8333,'P242323514263',150),(17111,'placerat pellentesque','placerat pellentesque',0,1,1.7,'P426314532',150),(17112,'placerat pellentesque duis','placerat pellentesque duis',0,1,1.8667,'P42631453232',150),(17113,'porta sapien','porta sapien',0,1,1.4,'P63215',149),(17114,'porta sapien integer','porta sapien integer',0,1,1.6667,'P63215326',149),(17115,'porttitor sed semper','porttitor sed semper',0,1,1.6667,'P636232516',150),(17116,'posuere donec','posuere donec',0,1,1.4333,'P26352',150),(17117,'posuere donec metus','posuere donec metus',0,1,1.6333,'P26352532',150),(17118,'posuere turpis','posuere turpis',0,1,1.4667,'P263612',128),(17119,'posuere turpis in','posuere turpis in',0,1,1.5667,'P2636125',128),(17120,'posuere vel','posuere vel',0,1,1.3667,'P2614',128),(17121,'posuere vel ut','posuere vel ut',0,1,1.4667,'P26143',128),(17122,'quam eget','quam eget',0,1,1.3,'Q523',128),(17123,'quam eget dui','quam eget dui',0,1,1.4333,'Q523',128),(17124,'quis cursus','quis cursus',0,1,1.3667,'Q620',312),(17125,'quis cursus vitae','quis cursus vitae',0,1,1.5667,'Q6213',149),(17126,'quis turpis aliquam','quis turpis aliquam',0,1,1.6333,'Q3612425',128),(17127,'rhoncus a','rhoncus a',0,1,1.3,'R520',128),(17128,'rhoncus a nec','rhoncus a nec',0,1,1.4333,'R5252',128),(17129,'rhoncus aliquam','rhoncus aliquam',0,1,1.5,'R52425',128),(17130,'rhoncus aliquam ullamcorper','rhoncus aliquam ullamcorper',0,1,1.9,'R52425452616',128),(17131,'risus molestie','risus molestie',0,1,1.4667,'R25423',128),(17132,'risus molestie vestibulum','risus molestie vestibulum',0,1,1.8333,'R25423123145',128),(17133,'risus posuere','risus posuere',0,1,1.4333,'R2126',128),(17134,'risus posuere vel','risus posuere vel',0,1,1.5667,'R212614',128),(17135,'rutrum ac','rutrum ac',0,1,1.3,'R3652',128),(17136,'rutrum ac suscipit','rutrum ac suscipit',0,1,1.6,'R365213',128),(17137,'rutrum vitae','rutrum vitae',0,1,1.4,'R36513',128),(17138,'rutrum vitae diam','rutrum vitae diam',0,1,1.5667,'R365135',128),(17139,'sagittis a','sagittis a',0,1,1.3333,'S320',150),(17140,'sagittis a varius','sagittis a varius',0,1,1.5667,'S32162',150),(17141,'sapien integer','sapien integer',0,1,1.4667,'S15326',149),(17142,'sapien integer orci','sapien integer orci',0,1,1.6333,'S153262',149),(17143,'sed bibendum','sed bibendum',0,1,1.4,'S31535',150),(17144,'sed bibendum ante','sed bibendum ante',0,1,1.5667,'S315353',150),(17145,'sed non','sed non',0,1,1.2333,'S350',128),(17146,'sed non libero','sed non libero',0,1,1.4667,'S35416',128),(17147,'sed semper eget','sed semper eget',0,1,1.5,'S3251623',150),(17148,'sed ut porta','sed ut porta',0,1,1.4,'S3163',149),(17149,'sem eget','sem eget',0,1,1.2667,'S523',128),(17150,'sem eget nisi','sem eget nisi',0,1,1.4333,'S52352',128),(17151,'semper eget','semper eget',0,1,1.3667,'S51623',150),(17152,'semper eget enim','semper eget enim',0,1,1.5333,'S516235',150),(17153,'semper risus','semper risus',0,1,1.4,'S5162',128),(17154,'semper risus molestie','semper risus molestie',0,1,1.7,'S51625423',128),(17155,'sit amet rutrum','sit amet rutrum',0,1,1.5,'S3536365',128),(17156,'suscipit id','suscipit id',0,1,1.3667,'S130',128),(17157,'suscipit id vehicula','suscipit id vehicula',0,1,1.6667,'S13124',128),(17158,'tellus eu nisi','tellus eu nisi',0,1,1.4667,'T4252',150),(17159,'tincidunt neque','tincidunt neque',0,1,1.5,'T5235352',128),(17160,'tincidunt neque luctus','tincidunt neque luctus',0,1,1.7333,'T52353524232',128),(17161,'turpis aliquam','turpis aliquam',0,1,1.4667,'T612425',128),(17162,'turpis aliquam non','turpis aliquam non',0,1,1.6,'T612425',128),(17163,'turpis in feugiat','turpis in feugiat',0,1,1.5667,'T6125123',128),(17164,'ullamcorper posuere','ullamcorper posuere',0,1,1.6333,'U452616126',128),(17165,'ullamcorper posuere turpis','ullamcorper posuere turpis',0,1,1.8667,'U4526161263612',128),(17166,'ultrices commodo','ultrices commodo',0,1,1.5333,'U436253',128),(17167,'ultrices commodo magna','ultrices commodo magna',0,1,1.7333,'U436253525',128),(17168,'ultricies dolor','ultricies dolor',0,1,1.5,'U4362346',149),(17169,'ultricies dolor vivamus','ultricies dolor vivamus',0,1,1.7667,'U4362346152',149),(17170,'ultricies non','ultricies non',0,1,1.4333,'U43625',150),(17171,'ultricies non porttitor','ultricies non porttitor',0,1,1.7667,'U436251636',150),(17172,'ultricies nunc','ultricies nunc',0,1,1.4667,'U436252',149),(17173,'ultricies nunc in','ultricies nunc in',0,1,1.5667,'U4362525',149),(17174,'urna auctor','urna auctor',0,1,1.3667,'U65236',128),(17175,'urna auctor at','urna auctor at',0,1,1.4667,'U652363',128),(17176,'ut odio venenatis','ut odio venenatis',0,1,1.5667,'U31532',128),(17177,'ut porta','ut porta',0,1,1.2667,'U3163',149),(17178,'ut porta sapien','ut porta sapien',0,1,1.5,'U3163215',149),(17179,'ut quis','ut quis',0,1,1.2333,'U320',128),(17180,'ut quis turpis','ut quis turpis',0,1,1.4667,'U323612',128),(17181,'ut velit','ut velit',0,1,1.2667,'U3143',128),(17182,'ut velit urna','ut velit urna',0,1,1.4333,'U314365',128),(17183,'varius eget','varius eget',0,1,1.3667,'V623',149),(17184,'varius eget venenatis','varius eget venenatis',0,1,1.7,'V6231532',149),(17185,'varius eros posuere','varius eros posuere',0,1,1.6333,'V6262126',150),(17186,'vehicula tellus','vehicula tellus',0,1,1.5,'V24342',150),(17187,'vehicula tellus eu','vehicula tellus eu',0,1,1.6,'V24342',150),(17188,'vehicula vel','vehicula vel',0,1,1.4,'V2414',128),(17189,'vehicula vel nibh','vehicula vel nibh',0,1,1.5667,'V241451',128),(17190,'vel felis','vel felis',0,1,1.3,'V4142',128),(17191,'vel felis hendrerit','vel felis hendrerit',0,1,1.6333,'V41425363',128),(17192,'vel nibh','vel nibh',0,1,1.2667,'V451',128),(17193,'vel nibh nulla','vel nibh nulla',0,1,1.4667,'V45154',128),(17194,'vel ut','vel ut',0,1,1.2,'V430',128),(17195,'vel ut velit','vel ut velit',0,1,1.4,'V43143',128),(17196,'velit neque','velit neque',0,1,1.3667,'V4352',128),(17197,'velit neque rutrum','velit neque rutrum',0,1,1.6,'V43526365',128),(17198,'velit urna','velit urna',0,1,1.3333,'V4365',128),(17199,'velit urna auctor','velit urna auctor',0,1,1.5667,'V4365236',128),(17200,'venenatis condimentum','venenatis condimentum',0,1,1.7,'V53253535',128),(17201,'venenatis condimentum bibendum','venenatis condimentum bibendum',0,1,2,'V532535351535',128),(17202,'venenatis quis cursus','venenatis quis cursus',0,1,1.7,'V53262',149),(17203,'vestibulum aenean','vestibulum aenean',0,1,1.5667,'V23145',128),(17204,'vestibulum aenean commodo','vestibulum aenean commodo',0,1,1.8333,'V23145253',128),(17205,'vitae diam','vitae diam',0,1,1.3333,'V350',128),(17206,'vitae diam maecenas','vitae diam maecenas',0,1,1.6333,'V35252',128),(17207,'vitae orci curabitur','vitae orci curabitur',0,1,1.6667,'V3626136',149),(17208,'vitae ultricies','vitae ultricies',0,1,1.5,'V34362',149),(17209,'vitae ultricies dolor','vitae ultricies dolor',0,1,1.7,'V34362346',149),(17210,'vivamus eu','vivamus eu',0,1,1.3333,'V520',128),(17211,'vivamus eu laoreet','vivamus eu laoreet',0,1,1.6,'V52463',128),(17212,'vivamus ultricies','vivamus ultricies',0,1,1.5667,'V524362',149),(17213,'vivamus ultricies nunc','vivamus ultricies nunc',0,1,1.7333,'V52436252',149),(17214,'128gb','128gb',0,0,0.3333,'G100',6),(17215,'128gb ipad','128gb ipad',0,1,1.3333,'G130',6),(17216,'128gb ipad 4','128gb ipad 4',0,1,1.4,'G130',6),(17217,'4 with','4 with',0,1,1.2,'W300',6),(17218,'4 with retina','4 with retina',0,1,1.4333,'W3635',6),(17219,'announces','announces',0,0,0.6,'A520',8),(17220,'announces 128gb','announces 128gb',0,1,1.5,'A521',6),(17221,'announces 128gb ipad','announces 128gb ipad',0,1,1.6667,'A5213',6),(17222,'apple announces','apple announces',0,1,1.5,'A1452',6),(17223,'apple announces 128gb','apple announces 128gb',0,1,1.7,'A14521',6),(17224,'ipad 4','ipad 4',0,1,1.2,'I130',9),(17225,'ipad 4 with','ipad 4 with',0,1,1.3667,'I130',6),(17226,'retina','retina',0,0,0.4,'R350',6),(17227,'retina display','retina display',0,1,1.4667,'R353214',6),(17228,'with retina','with retina',0,1,1.3667,'W3635',6),(17229,'with retina display','with retina display',0,1,1.6333,'W36353214',6),(17230,'best pc','best pc',0,1,1.2333,'B2312',8),(17231,'the best pc','the best pc',0,1,1.3667,'T12312',8),(17232,'2 this','2 this',0,1,1.2,'T200',24),(17233,'2 this is','2 this is',0,1,1.3,'T200',24),(17234,'3 this','3 this',0,1,1.2,'T200',24),(17235,'3 this is','3 this is',0,1,1.3,'T200',24),(17236,'4 this','4 this',0,1,1.2,'T200',24),(17237,'4 this is','4 this is',0,1,1.3,'T200',24),(17238,'5 this','5 this',0,1,1.2,'T200',24),(17239,'5 this is','5 this is',0,1,1.3,'T200',24),(17240,'6 icon','6 icon',0,1,1.2,'I250',8),(17241,'6 icon set','6 icon set',0,1,1.3333,'I2523',8),(17242,'class demo-typo blockquotes','class demo-typo blockquotes',0,1,1.9,'C4235314232',1),(17243,'demo-typo blockquotes','demo-typo blockquotes',0,1,1.7,'D5314232',1),(17244,'demo-typo blockquotes lorem','demo-typo blockquotes lorem',0,1,1.9,'D5314232465',1),(17245,'demo-typo padd ul','demo-typo padd ul',0,1,1.5667,'D53134',4),(17246,'heading 1 this','heading 1 this',0,1,1.4667,'H35232',24),(17247,'heading 2 this','heading 2 this',0,1,1.4667,'H35232',24),(17248,'heading 3 this','heading 3 this',0,1,1.4667,'H35232',24),(17249,'heading 4 this','heading 4 this',0,1,1.4667,'H35232',24),(17250,'heading 5 this','heading 5 this',0,1,1.4667,'H35232',24),(17251,'heading 6 icon','heading 6 icon',0,1,1.4667,'H3525',8),(17252,'padd ul','padd ul',0,1,1.2333,'P340',4),(17253,'padd ul class','padd ul class',0,1,1.4333,'P34242',4),(17254,'div blockquotes','div blockquotes',0,1,1.5,'D14232',1),(17255,'div blockquotes lorem','div blockquotes lorem',0,1,1.7,'D14232465',1),(17256,'p div blockquotes','p div blockquotes',0,1,1.5667,'P314232',1),(17257,'accumsan headings','accumsan headings',0,1,1.5667,'A2525352',20),(17258,'accumsan headings this','accumsan headings this',0,1,1.7333,'A252535232',20),(17259,'accumsan lorem','accumsan lorem',0,1,1.4667,'A2525465',20),(17260,'accumsan lorem ipsum','accumsan lorem ipsum',0,1,1.6667,'A2525465125',20),(17261,'class demo-typo-col2 lorem','class demo-typo-col2 lorem',0,1,1.8667,'C4235312465',1),(17262,'class demo-typo-col3 gkmic','class demo-typo-col3 gkmic',0,1,1.8667,'C42353124252',4),(17263,'demo-typo-col2 lorem','demo-typo-col2 lorem',0,1,1.6667,'D5312465',1),(17264,'demo-typo-col2 lorem ipsum','demo-typo-col2 lorem ipsum',0,1,1.8667,'D5312465125',1),(17265,'demo-typo-col3 gkmic','demo-typo-col3 gkmic',0,1,1.6667,'D53124252',4),(17266,'demo-typo-col3 gkmic message','demo-typo-col3 gkmic message',0,1,1.9333,'D5312425252',4),(17267,'tortor accumsan headings','tortor accumsan headings',0,1,1.8,'T6362525352',20),(17268,'tortor accumsan lorem','tortor accumsan lorem',0,1,1.7,'T6362525465',20),(17269,'tvs','tvs',0,0,0.2,'T120',42),(17270,'animation headlines','animation headlines',0,1,1.6333,'A5353452',8),(17271,'animation headlines this','animation headlines this',0,1,1.8,'A535345232',8),(17272,'arrow over','arrow over',0,1,1.3333,'A616',8),(17273,'arrow over the','arrow over the',0,1,1.4667,'A6163',8),(17274,'hover animation headlines','hover animation headlines',0,1,1.8333,'H165353452',8),(17275,'nice arrow over','nice arrow over',0,1,1.5,'N2616',8),(17276,'on hover','on hover',0,1,1.2667,'O516',8),(17277,'on hover effect','on hover effect',0,1,1.5,'O516123',8),(17278,'over the title','over the title',0,1,1.4667,'O1634',8),(17279,'the title on','the title on',0,1,1.4,'T450',8),(17280,'title on','title on',0,1,1.2667,'T450',8),(17281,'title on hover','title on hover',0,1,1.4667,'T4516',8),(17282,'tablet\'s','tablet',0,0,0.5333,'T1432',48),(17283,'smartphone\'s','smartphone',0,0,0.8,'S563152',45),(17284,'2 days','2 days',0,1,1.2,'D200',10),(17285,'200 off','200 off',0,1,1.2333,'O100',10),(17286,'200 off at','200 off at',0,1,1.3333,'O130',10),(17287,'air models','air models',0,1,1.3333,'A65342',10),(17288,'air models 200','air models 200',0,1,1.4667,'A65342',10),(17289,'at best','at best',0,1,1.2333,'A3123',10),(17290,'at best buy','at best buy',0,1,1.3667,'A31231',10),(17291,'best buy','best buy',0,1,1.2667,'B231',10),(17292,'best buy for','best buy for',0,1,1.4,'B2316',10),(17293,'buy','buy',0,0,0.2,'B000',10),(17294,'buy for','buy for',0,1,1.2333,'B600',10),(17295,'buy for 2','buy for 2',0,1,1.3,'B600',10),(17296,'for 2','for 2',0,1,1.1667,'F600',10),(17297,'for 2 days','for 2 days',0,1,1.3333,'F632',10),(17298,'macbook','macbook',0,0,0.4667,'M212',14),(17299,'macbook air','macbook air',0,1,1.3667,'M2126',14),(17300,'macbook air models','macbook air models',0,1,1.6,'M21265342',10),(17301,'models 200','models 200',0,1,1.3333,'M342',10),(17302,'models 200 off','models 200 off',0,1,1.4667,'M3421',10),(17303,'off at','off at',0,1,1.2,'O130',10),(17304,'off at best','off at best',0,1,1.3667,'O13123',10),(17305,'75 inch','75 inch',0,1,1.2333,'I520',5),(17306,'75 inch lcd','75 inch lcd',0,1,1.3667,'I52423',5),(17307,'75-inch','75-inch',0,0,0.4667,'I520',5),(17308,'75-inch lcd','75-inch lcd',0,1,1.3667,'I52423',5),(17309,'75-inch lcd tv','75-inch lcd tv',0,1,1.4667,'I524231',5),(17310,'a 75','a 75',0,1,1.1333,'A000',5),(17311,'a 75 inch','a 75 inch',0,1,1.3,'A520',5),(17312,'a 75-inch','a 75-inch',0,1,1.3,'A520',5),(17313,'a 75-inch lcd','a 75-inch lcd',0,1,1.4333,'A52423',5),(17314,'for sale','for sale',0,1,1.2667,'F624',5),(17315,'for sale in','for sale in',0,1,1.3667,'F6245',5),(17316,'has put','has put',0,1,1.2333,'H213',5),(17317,'has put a','has put a',0,1,1.3,'H213',5),(17318,'in south','in south',0,1,1.2667,'I523',5),(17319,'in south korea','in south korea',0,1,1.4667,'I52326',5),(17320,'inch','inch',0,0,0.2667,'I520',5),(17321,'inch lcd','inch lcd',0,1,1.2667,'I52423',5),(17322,'inch lcd tv','inch lcd tv',0,1,1.3667,'I524231',5),(17323,'korea','korea',0,0,0.3333,'K600',5),(17324,'lcd','lcd',0,0,0.2,'L230',5),(17325,'lcd tv','lcd tv',0,1,1.2,'L231',5),(17326,'lcd tv up','lcd tv up',0,1,1.3,'L231',5),(17327,'put a','put a',0,1,1.1667,'P300',5),(17328,'put a 75','put a 75',0,1,1.2667,'P300',5),(17329,'put a 75-inch','put a 75-inch',0,1,1.4333,'P352',5),(17330,'sale','sale',0,0,0.2667,'S400',5),(17331,'sale in','sale in',0,1,1.2333,'S450',5),(17332,'sale in south','sale in south',0,1,1.4333,'S4523',5),(17333,'samsung has','samsung has',0,1,1.3667,'S5252',8),(17334,'samsung has put','samsung has put',0,1,1.5,'S525213',5),(17335,'south','south',0,0,0.3333,'S300',5),(17336,'south korea','south korea',0,1,1.3667,'S326',5),(17337,'tv up','tv up',0,1,1.1667,'T100',5),(17338,'tv up for','tv up for',0,1,1.3,'T160',5),(17339,'up for','up for',0,1,1.2,'U160',5),(17340,'up for sale','up for sale',0,1,1.3667,'U1624',5),(17341,'s per','s per',0,1,1.1667,'S160',2),(17342,'s per hallberg','s per hallberg',0,1,1.4667,'S164162',2),(17343,'soundelux','soundelux',0,0,0.6,'S5342',2),(17344,'soundelux s','soundelux s',0,1,1.3667,'S5342',2),(17345,'soundelux s per','soundelux s per',0,1,1.5,'S534216',2),(17346,'a clumsy','a clumsy',0,1,1.2667,'A2452',1),(17347,'a clumsy step','a clumsy step',0,1,1.4333,'A245231',1),(17348,'and shoot','and shoot',0,1,1.3,'A5323',1),(17349,'and shoot class','and shoot class',0,1,1.5,'A5323242',1),(17350,'camera','camera',0,0,0.4,'C560',10),(17351,'camera feels','camera feels',0,1,1.4,'C56142',1),(17352,'camera feels like','camera feels like',0,1,1.5667,'C5614242',1),(17353,'clumsy','clumsy',0,0,0.4,'C452',1),(17354,'clumsy step','clumsy step',0,1,1.3667,'C45231',1),(17355,'clumsy step toward','clumsy step toward',0,1,1.6,'C45231363',1),(17356,'feels','feels',0,0,0.3333,'F420',1),(17357,'feels like','feels like',0,1,1.3333,'F4242',1),(17358,'feels like a','feels like a',0,1,1.4,'F4242',1),(17359,'future of','future of',0,1,1.3,'F361',1),(17360,'future of the','future of the',0,1,1.4333,'F3613',1),(17361,'galaxy camera','galaxy camera',0,1,1.4333,'G4256',10),(17362,'galaxy camera feels','galaxy camera feels',0,1,1.6333,'G4256142',1),(17363,'like a','like a',0,1,1.2,'L200',1),(17364,'like a clumsy','like a clumsy',0,1,1.4333,'L2452',1),(17365,'of the point','of the point',0,1,1.4,'O13153',1),(17366,'of the point-and-shoot','of the point-and-shoot',0,1,1.7333,'O131535323',1),(17367,'point and','point and',0,1,1.3,'P5353',1),(17368,'point and shoot','point and shoot',0,1,1.5,'P535323',1),(17369,'point-and-shoot','point-and-shoot',0,0,1,'P535323',1),(17370,'point-and-shoot class','point-and-shoot class',0,1,1.7,'P535323242',1),(17371,'s galaxy','s galaxy',0,1,1.2667,'S420',1),(17372,'s galaxy camera','s galaxy camera',0,1,1.5,'S4256',1),(17373,'samsung s','samsung s',0,1,1.3,'S5252',1),(17374,'samsung s galaxy','samsung s galaxy',0,1,1.5333,'S525242',1),(17375,'samsung\'s','samsung',0,0,0.6,'S5252',1),(17376,'samsung\'s galaxy','samsung galaxy',0,1,1.5333,'S525242',1),(17377,'samsung\'s galaxy camera','samsung galaxy camera',0,1,1.7667,'S52524256',1),(17378,'shoot','shoot',0,0,0.3333,'S300',1),(17379,'shoot class','shoot class',0,1,1.3667,'S3242',1),(17380,'step toward','step toward',0,1,1.3667,'S31363',1),(17381,'step toward the','step toward the',0,1,1.5,'S31363',1),(17382,'the future','the future',0,1,1.3333,'T136',1),(17383,'the future of','the future of',0,1,1.4333,'T1361',1),(17384,'the point','the point',0,1,1.3,'T153',1),(17385,'the point and','the point and',0,1,1.4333,'T15353',1),(17386,'the point-and-shoot','the point-and-shoot',0,1,1.6333,'T1535323',1),(17387,'the point-and-shoot class','the point-and-shoot class',0,1,1.8333,'T1535323242',1),(17388,'toward','toward',0,0,0.4,'T630',1),(17389,'toward the','toward the',0,1,1.3333,'T630',1),(17390,'toward the future','toward the future',0,1,1.5667,'T63136',1),(17391,'android smartphone','android smartphone',0,1,1.6,'A5363256315',3),(17392,'camera gc100','camera gc100',0,1,1.4,'C562',9),(17393,'camera gc100 android','camera gc100 android',0,1,1.6667,'C5625363',9),(17394,'galaxy camera gc100','galaxy camera gc100',0,1,1.6333,'G42562',9),(17395,'gc100','gc100',0,0,0.3333,'G000',9),(17396,'gc100 android','gc100 android',0,1,1.4333,'G5363',9),(17397,'gc100 android smartphone','gc100 android smartphone',0,1,1.8,'G5363256315',3),(17398,'samsung galaxy camera','samsung galaxy camera',0,1,1.7,'S52524256',9),(17399,'smartphone','smartphone',0,0,0.6667,'S56315',8),(17400,'combination','combination',0,0,0.7333,'C51535',7),(17401,'combination of','combination of',0,1,1.4667,'C515351',7),(17402,'combination of samsung','combination of samsung',0,1,1.7333,'C51535125252',7),(17403,'interesting combination','interesting combination',0,1,1.7667,'I536235251535',7),(17404,'interesting combination of','interesting combination of',0,1,1.8667,'I5362352515351',7),(17405,'of samsung','of samsung',0,1,1.3333,'O125252',7),(17406,'of samsung galaxy','of samsung galaxy',0,1,1.5667,'O12525242',7),(17407,'8 laptop','8 laptop',0,1,1.2667,'L131',6),(17408,'8 laptop with','8 laptop with',0,1,1.4333,'L1313',6),(17409,'a great','a great',0,1,1.2333,'A263',6),(17410,'a great windows','a great windows',0,1,1.5,'A263532',6),(17411,'a side','a side',0,1,1.2,'A230',6),(17412,'a side of','a side of',0,1,1.3,'A231',6),(17413,'great windows','great windows',0,1,1.4333,'G63532',6),(17414,'great windows 8','great windows 8',0,1,1.5,'G63532',6),(17415,'ideapad','ideapad',0,0,0.4667,'I313',6),(17416,'ideapad a','ideapad a',0,1,1.3,'I313',6),(17417,'ideapad a great','ideapad a great',0,1,1.5,'I313263',6),(17418,'laptop','laptop',0,0,0.4,'L131',6),(17419,'laptop with','laptop with',0,1,1.3667,'L1313',6),(17420,'laptop with a','laptop with a',0,1,1.4333,'L1313',6),(17421,'lenovo','lenovo',0,0,0.4,'L510',6),(17422,'lenovo ideapad','lenovo ideapad',0,1,1.4667,'L51313',6),(17423,'lenovo ideapad a','lenovo ideapad a',0,1,1.5333,'L51313',6),(17424,'of tablet','of tablet',0,1,1.3,'O13143',6),(17425,'side of','side of',0,1,1.2333,'S310',6),(17426,'side of tablet','side of tablet',0,1,1.4667,'S313143',6),(17427,'windows','windows',0,0,0.4667,'W532',14),(17428,'windows 8','windows 8',0,1,1.3,'W532',7),(17429,'windows 8 laptop','windows 8 laptop',0,1,1.5333,'W5324131',6),(17430,'with a side','with a side',0,1,1.3667,'W323',6),(17431,'ultrabooks','ultrabooks',0,0,0.6667,'U43612',72),(17432,'21 is','21 is',0,1,1.1667,'I200',4),(17433,'21 is innovation','21 is innovation',0,1,1.5333,'I25135',4),(17434,'asus','asus',0,0,0.2667,'A200',7),(17435,'asus taichi','asus taichi',0,1,1.3667,'A232',4),(17436,'asus taichi 21','asus taichi 21',0,1,1.4667,'A232',4),(17437,'at its','at its',0,1,1.2,'A320',4),(17438,'at its finest','at its finest',0,1,1.4333,'A321523',4),(17439,'finest','finest',0,0,0.4,'F523',4),(17440,'finest hour','finest hour',0,1,1.3667,'F5236',1),(17441,'hour','hour',0,0,0.2667,'H600',1),(17442,'innovation','innovation',0,0,0.6667,'I5135',4),(17443,'innovation at','innovation at',0,1,1.4333,'I51353',4),(17444,'innovation at its','innovation at its',0,1,1.5667,'I513532',4),(17445,'is innovation','is innovation',0,1,1.4333,'I25135',4),(17446,'is innovation at','is innovation at',0,1,1.5333,'I251353',4),(17447,'its finest','its finest',0,1,1.3333,'I321523',4),(17448,'its finest hour','its finest hour',0,1,1.5,'I3215236',1),(17449,'taichi','taichi',0,0,0.4,'T200',4),(17450,'taichi 21','taichi 21',0,1,1.3,'T200',4),(17451,'taichi 21 is','taichi 21 is',0,1,1.4,'T200',4),(17452,'the asus','the asus',0,1,1.2667,'T200',4),(17453,'the asus taichi','the asus taichi',0,1,1.5,'T232',4),(17454,'finest with','finest with',0,1,1.3667,'F523',3),(17455,'finest with surface','finest with surface',0,1,1.6333,'F5232612',3),(17456,'its finest with','its finest with',0,1,1.5,'I321523',3),(17457,'surface','surface',0,0,0.4667,'S612',3),(17458,'surface interface','surface interface',0,1,1.5667,'S61253612',3),(17459,'with surface','with surface',0,1,1.4,'W32612',3),(17460,'with surface interface','with surface interface',0,1,1.7333,'W3261253612',3),(17461,'12 can','12 can',0,1,1.2,'C500',1),(17462,'12 can convert','12 can convert',0,1,1.4667,'C525163',1),(17463,'a flip','a flip',0,1,1.2,'A141',4),(17464,'a flip of','a flip of',0,1,1.3,'A141',4),(17465,'a tablet','a tablet',0,1,1.2667,'A3143',4),(17466,'a tablet with','a tablet with',0,1,1.4333,'A3143',4),(17467,'an ultrabook','an ultrabook',0,1,1.4,'A543612',4),(17468,'an ultrabook to','an ultrabook to',0,1,1.5,'A5436123',4),(17469,'can convert','can convert',0,1,1.3667,'C525163',1),(17470,'can convert from','can convert from',0,1,1.5333,'C525163165',1),(17471,'convert','convert',0,0,0.4667,'C5163',1),(17472,'convert from','convert from',0,1,1.4,'C5163165',1),(17473,'convert from an','convert from an',0,1,1.5,'C5163165',1),(17474,'dell','dell',0,0,0.2667,'D400',4),(17475,'dell s','dell s',0,1,1.2,'D420',4),(17476,'dell s xps','dell s xps',0,1,1.3333,'D4212',4),(17477,'dell\'s','dell',0,0,0.4,'D420',4),(17478,'dell\'s xps','dell xps',0,1,1.3333,'D4212',4),(17479,'dell\'s xps 12','dell xps 12',0,1,1.4333,'D4212',4),(17480,'flip of','flip of',0,1,1.2333,'F410',4),(17481,'flip of the','flip of the',0,1,1.3667,'F413',4),(17482,'from an','from an',0,1,1.2333,'F650',4),(17483,'from an ultrabook','from an ultrabook',0,1,1.5667,'F6543612',4),(17484,'of the display','of the display',0,1,1.4667,'O13214',4),(17485,'s xps','s xps',0,1,1.1667,'S120',4),(17486,'s xps 12','s xps 12',0,1,1.2667,'S120',4),(17487,'tablet with','tablet with',0,1,1.3667,'T143',4),(17488,'tablet with a','tablet with a',0,1,1.4333,'T143',4),(17489,'the display','the display',0,1,1.3667,'T214',4),(17490,'to a tablet','to a tablet',0,1,1.3667,'T143',4),(17491,'ultrabook','ultrabook',0,0,0.6,'U43612',4),(17492,'ultrabook to','ultrabook to',0,1,1.4,'U436123',4),(17493,'ultrabook to a','ultrabook to a',0,1,1.4667,'U436123',4),(17494,'with a flip','with a flip',0,1,1.3667,'W3141',4),(17495,'xps','xps',0,0,0.2,'X120',4),(17496,'xps 12','xps 12',0,1,1.2,'X120',4),(17497,'xps 12 can','xps 12 can',0,1,1.3333,'X125',1),(17498,'12 from','12 from',0,1,1.2333,'F650',3),(17499,'12 from an','12 from an',0,1,1.3333,'F650',3),(17500,'xps 12 from','xps 12 from',0,1,1.3667,'X12165',3),(17501,'air in','air in',0,1,1.2,'A650',4),(17502,'air in june','air in june',0,1,1.3667,'A6525',4),(17503,'and macbook','and macbook',0,1,1.3667,'A535212',4),(17504,'and macbook air','and macbook air',0,1,1.5,'A5352126',4),(17505,'apple to','apple to',0,1,1.2667,'A143',4),(17506,'apple to update','apple to update',0,1,1.5,'A14313',4),(17507,'in june','in june',0,1,1.2333,'I525',185),(17508,'in june 2013','in june 2013',0,1,1.4,'I525',4),(17509,'june','june',0,0,0.2667,'J500',185),(17510,'june 2013','june 2013',0,1,1.3,'J500',4),(17511,'macbook air in','macbook air in',0,1,1.4667,'M21265',4),(17512,'macbook pro','macbook pro',0,1,1.3667,'M21216',4),(17513,'macbook pro and','macbook pro and',0,1,1.5,'M2121653',4),(17514,'pro and','pro and',0,1,1.2333,'P653',4),(17515,'pro and macbook','pro and macbook',0,1,1.5,'P6535212',4),(17516,'to update','to update',0,1,1.3,'T130',4),(17517,'to update macbook','to update macbook',0,1,1.5667,'T135212',4),(17518,'update','update',0,0,0.4,'U130',4),(17519,'update macbook','update macbook',0,1,1.4667,'U135212',4),(17520,'update macbook pro','update macbook pro',0,1,1.6,'U13521216',4),(17521,'1ghz','1ghz',0,0,0.2667,'G000',3),(17522,'1ghz dual','1ghz dual',0,1,1.3,'G340',3),(17523,'1ghz dual core','1ghz dual core',0,1,1.4667,'G3426',3),(17524,'1ghz dual-core','1ghz dual-core',0,1,1.4667,'G3426',3),(17525,'1ghz dual-core chipset','1ghz dual-core chipset',0,1,1.7333,'G34262123',3),(17526,'brings new','brings new',0,1,1.3333,'B6525',3),(17527,'brings new 1ghz','brings new 1ghz',0,1,1.5,'B65252',3),(17528,'chipset','chipset',0,0,0.4667,'C123',3),(17529,'core','core',0,0,0.2667,'C600',3),(17530,'core chipset','core chipset',0,1,1.4,'C62123',3),(17531,'dual','dual',0,0,0.2667,'D400',3),(17532,'dual core','dual core',0,1,1.3,'D426',3),(17533,'dual core chipset','dual core chipset',0,1,1.5667,'D4262123',3),(17534,'dual-core','dual-core',0,0,0.6,'D426',3),(17535,'dual-core chipset','dual-core chipset',0,1,1.5667,'D4262123',3),(17536,'new 1ghz','new 1ghz',0,1,1.2667,'N200',3),(17537,'new 1ghz dual','new 1ghz dual',0,1,1.4333,'N234',3),(17538,'new 1ghz dual-core','new 1ghz dual-core',0,1,1.6,'N23426',3),(17539,'oled','oled',0,0,0.2667,'O430',3),(17540,'oled tv','oled tv',0,1,1.2333,'O431',3),(17541,'oled tv brings','oled tv brings',0,1,1.4667,'O431652',3),(17542,'samsung oled','samsung oled',0,1,1.4,'S525243',3),(17543,'samsung oled tv','samsung oled tv',0,1,1.5,'S5252431',3),(17544,'tv brings','tv brings',0,1,1.3,'T1652',3),(17545,'tv brings new','tv brings new',0,1,1.4333,'T16525',3),(17546,'10 3','10 3',0,1,1.1333,'',3),(17547,'10 3 vs','10 3 vs',0,1,1.2333,'V200',3),(17548,'10.3','10.3',0,0,0.4,'',3),(17549,'10.3 vs','10.3 vs',0,1,1.2333,'V200',3),(17550,'10.3 vs apple','10.3 vs apple',0,1,1.4333,'V214',3),(17551,'3 vs','3 vs',0,1,1.1333,'V200',3),(17552,'3 vs apple','3 vs apple',0,1,1.3333,'V214',3),(17553,'apple ipad','apple ipad',0,1,1.3333,'A1413',9),(17554,'apple ipad 4','apple ipad 4',0,1,1.4,'A1413',3),(17555,'galaxy note','galaxy note',0,1,1.3667,'G4253',3),(17556,'galaxy note 10','galaxy note 10',0,1,1.4667,'G4253',3),(17557,'galaxy note 10.3','galaxy note 10.3',0,1,1.5333,'G4253',3),(17558,'head','head',0,0,0.2667,'H300',3),(17559,'head samsung','head samsung',0,1,1.4,'H325252',3),(17560,'head samsung galaxy','head samsung galaxy',0,1,1.6333,'H32525242',3),(17561,'head to','head to',0,1,1.2333,'H300',3),(17562,'head to head','head to head',0,1,1.4,'H300',3),(17563,'head-to-head','head-to-head',0,0,0.8,'H300',3),(17564,'head-to-head samsung','head-to-head samsung',0,1,1.6667,'H325252',3),(17565,'head-to-head samsung galaxy','head-to-head samsung galaxy',0,1,1.9,'H32525242',3),(17566,'note','note',0,0,0.2667,'N300',3),(17567,'note 10','note 10',0,1,1.2333,'N300',3),(17568,'note 10 3','note 10 3',0,1,1.3,'N300',3),(17569,'note 10.3','note 10.3',0,1,1.3,'N300',3),(17570,'note 10.3 vs','note 10.3 vs',0,1,1.4,'N312',3),(17571,'samsung galaxy note','samsung galaxy note',0,1,1.6333,'S52524253',3),(17572,'to head','to head',0,1,1.2333,'T000',3),(17573,'to head samsung','to head samsung',0,1,1.5,'T25252',3),(17574,'vs','vs',0,0,0.1333,'V200',3),(17575,'vs apple','vs apple',0,1,1.2667,'V214',3),(17576,'vs apple ipad','vs apple ipad',0,1,1.4333,'V21413',3),(17577,'7 offers','7 offers',0,1,1.2667,'O162',5),(17578,'7 offers a','7 offers a',0,1,1.3333,'O162',5),(17579,'a google','a google',0,1,1.2667,'A240',2),(17580,'a google nexus','a google nexus',0,1,1.4667,'A2452',2),(17581,'a pure','a pure',0,1,1.2,'A160',5),(17582,'a pure android','a pure android',0,1,1.4667,'A165363',5),(17583,'android experience','android experience',0,1,1.6,'A536321652',2),(17584,'as a google','as a google',0,1,1.3667,'A240',2),(17585,'device','device',0,0,0.4,'D120',2),(17586,'device the','device the',0,1,1.3333,'D123',2),(17587,'device the nexus','device the nexus',0,1,1.5333,'D12352',2),(17588,'experience','experience',0,0,0.6667,'E21652',5),(17589,'google nexus','google nexus',0,1,1.4,'G452',5),(17590,'google nexus device','google nexus device',0,1,1.6333,'G452312',2),(17591,'nexus','nexus',0,0,0.3333,'N200',5),(17592,'nexus 7','nexus 7',0,1,1.2333,'N200',5),(17593,'nexus 7 offers','nexus 7 offers',0,1,1.4667,'N2162',5),(17594,'nexus device','nexus device',0,1,1.4,'N2312',2),(17595,'nexus device the','nexus device the',0,1,1.5333,'N23123',2),(17596,'offers a','offers a',0,1,1.2667,'O162',5),(17597,'offers a pure','offers a pure',0,1,1.4333,'O16216',5),(17598,'pure','pure',0,0,0.2667,'P600',5),(17599,'pure android','pure android',0,1,1.4,'P65363',5),(17600,'pure android experience','pure android experience',0,1,1.7667,'P6536321652',2),(17601,'the nexus','the nexus',0,1,1.3,'T520',2),(17602,'the nexus 7','the nexus 7',0,1,1.3667,'T520',2),(17603,'android user','android user',0,1,1.4,'A536326',3),(17604,'android user experience','android user experience',0,1,1.7667,'A53632621652',3),(17605,'google nexus 7','google nexus 7',0,1,1.4667,'G452',3),(17606,'pure android user','pure android user',0,1,1.5667,'P6536326',3),(17607,'user experience','user experience',0,1,1.5,'U2621652',3),(17608,'facilisi curabitur','facilisi curabitur',0,1,1.6,'F2426136',11),(17609,'facilisi curabitur blandit','facilisi curabitur blandit',0,1,1.8667,'F24261361453',11),(17610,'nulla facilisi curabitur','nulla facilisi curabitur',0,1,1.8,'N412426136',11),(17611,'a touchscreen','a touchscreen',0,1,1.4333,'A3265',5),(17612,'a touchscreen android','a touchscreen android',0,1,1.7,'A3265363',5),(17613,'android tablet','android tablet',0,1,1.4667,'A5363143',5),(17614,'android tablet designed','android tablet designed',0,1,1.7667,'A5363143253',5),(17615,'by sony','by sony',0,1,1.2333,'B250',5),(17616,'designed','designed',0,0,0.5333,'D253',10),(17617,'designed by','designed by',0,1,1.3667,'D2531',5),(17618,'designed by sony','designed by sony',0,1,1.5333,'D253125',5),(17619,'is a touchscreen','is a touchscreen',0,1,1.5333,'I23265',5),(17620,'s is','s is',0,1,1.1333,'S000',5),(17621,'s is a','s is a',0,1,1.2,'S000',5),(17622,'sony','sony',0,0,0.2667,'S500',5),(17623,'tablet designed','tablet designed',0,1,1.5,'T143253',5),(17624,'tablet designed by','tablet designed by',0,1,1.6,'T1432531',5),(17625,'tablet s','tablet s',0,1,1.2667,'T1432',5),(17626,'tablet s is','tablet s is',0,1,1.3667,'T1432',5),(17627,'the xperia','the xperia',0,1,1.3333,'T216',5),(17628,'the xperia tablet','the xperia tablet',0,1,1.5667,'T2163143',5),(17629,'touchscreen','touchscreen',0,0,0.7333,'T265',5),(17630,'touchscreen android','touchscreen android',0,1,1.6333,'T265363',5),(17631,'touchscreen android tablet','touchscreen android tablet',0,1,1.8667,'T265363143',5),(17632,'xperia','xperia',0,0,0.4,'X160',5),(17633,'xperia tablet','xperia tablet',0,1,1.4333,'X163143',5),(17634,'xperia tablet s','xperia tablet s',0,1,1.5,'X1631432',5),(17635,'1 1','1 1',0,1,1.1,'',3),(17636,'1 1 tablet','1 1 tablet',0,1,1.3333,'T143',3),(17637,'1 tablet','1 tablet',0,1,1.2667,'T143',3),(17638,'1 tablet android','1 tablet android',0,1,1.5333,'T1435363',3),(17639,'10 1','10 1',0,1,1.1333,'',3),(17640,'10 1 1','10 1 1',0,1,1.2,'',3),(17641,'10.1','10.1',0,0,0.4,'',3),(17642,'10.1 1','10.1 1',0,1,1.2,'',3),(17643,'10.1 1 tablet','10.1 1 tablet',0,1,1.4333,'T143',3),(17644,'android com','android com',0,1,1.3667,'A536325',3),(17645,'android com display','android com display',0,1,1.6333,'A5363253214',3),(17646,'com display','com display',0,1,1.3667,'C53214',3),(17647,'com display wide','com display wide',0,1,1.5333,'C532143',3),(17648,'display wide','display wide',0,1,1.4,'D2143',3),(17649,'display wide 10','display wide 10',0,1,1.5,'D2143',3),(17650,'display wide 10.1','display wide 10.1',0,1,1.5667,'D2143',3),(17651,'galaxy tab','galaxy tab',0,1,1.3333,'G4231',3),(17652,'galaxy tab 10','galaxy tab 10',0,1,1.4333,'G4231',3),(17653,'galaxy tab 10.1','galaxy tab 10.1',0,1,1.5,'G4231',3),(17654,'samsung galaxy tab','samsung galaxy tab',0,1,1.6,'S52524231',3),(17655,'tab','tab',0,0,0.2,'T100',8),(17656,'tab 10','tab 10',0,1,1.2,'T100',3),(17657,'tab 10 1','tab 10 1',0,1,1.2667,'T100',3),(17658,'tab 10.1','tab 10.1',0,1,1.2667,'T100',3),(17659,'tab 10.1 1','tab 10.1 1',0,1,1.3333,'T100',3),(17660,'tablet android','tablet android',0,1,1.4667,'T1435363',3),(17661,'tablet android com','tablet android com',0,1,1.6,'T143536325',3),(17662,'wide','wide',0,0,0.2667,'W300',3),(17663,'wide 10','wide 10',0,1,1.2333,'W300',3),(17664,'wide 10 1','wide 10 1',0,1,1.3,'W300',3),(17665,'wide 10.1','wide 10.1',0,1,1.3,'W300',3),(17666,'5 features','5 features',0,1,1.3333,'F362',3),(17667,'5 features latest','5 features latest',0,1,1.5667,'F3624323',3),(17668,'and so','and so',0,1,1.2,'A532',3),(17669,'and so light','and so light',0,1,1.4,'A532423',3),(17670,'features latest','features latest',0,1,1.5,'F3624323',3),(17671,'features latest technology','features latest technology',0,1,1.8667,'F36243232542',3),(17672,'iphone 5 features','iphone 5 features',0,1,1.5667,'I151362',3),(17673,'it s','it s',0,1,1.1333,'I320',24),(17674,'it s so','it s so',0,1,1.2333,'I320',3),(17675,'it\'s so','it so',0,1,1.2333,'I320',3),(17676,'it\'s so thin','it so thin',0,1,1.4,'I3235',3),(17677,'latest technology','latest technology',0,1,1.5667,'L3232542',3),(17678,'light yet','light yet',0,1,1.3,'L230',3),(17679,'light yet iphone','light yet iphone',0,1,1.5333,'L2315',3),(17680,'s so','s so',0,1,1.1333,'S000',3),(17681,'s so thin','s so thin',0,1,1.3,'S350',3),(17682,'so light','so light',0,1,1.2667,'S423',3),(17683,'so light yet','so light yet',0,1,1.4,'S423',3),(17684,'so thin','so thin',0,1,1.2333,'S350',3),(17685,'so thin and','so thin and',0,1,1.3667,'S353',3),(17686,'thin','thin',0,0,0.2667,'T500',6),(17687,'thin and','thin and',0,1,1.2667,'T530',3),(17688,'thin and so','thin and so',0,1,1.3667,'T532',3),(17689,'yet','yet',0,0,0.2,'Y300',187),(17690,'yet iphone','yet iphone',0,1,1.3333,'Y315',3),(17691,'yet iphone 5','yet iphone 5',0,1,1.4,'Y315',3),(17692,'designed for','designed for',0,1,1.4,'D25316',5),(17693,'designed for humans','designed for humans',0,1,1.6333,'D2531652',5),(17694,'for humans','for humans',0,1,1.3333,'F652',5),(17695,'for humans inspired','for humans inspired',0,1,1.6333,'F65252163',5),(17696,'galaxy s','galaxy s',0,1,1.2667,'G420',5),(17697,'galaxy s iii','galaxy s iii',0,1,1.4,'G420',5),(17698,'humans','humans',0,0,0.4,'H520',5),(17699,'humans inspired','humans inspired',0,1,1.5,'H5252163',5),(17700,'humans inspired by','humans inspired by',0,1,1.6,'H52521631',5),(17701,'iii designed','iii designed',0,1,1.4,'I3253',5),(17702,'iii designed for','iii designed for',0,1,1.5333,'I325316',5),(17703,'s iii','s iii',0,1,1.1667,'S000',5),(17704,'s iii designed','s iii designed',0,1,1.4667,'S3253',5),(17705,'a new blackberry','a new blackberry',0,1,1.5333,'A514216',3),(17706,'blackberry','blackberry',0,0,0.6667,'B4216',3),(17707,'blackberry z10','blackberry z10',0,1,1.4667,'B42162',3),(17708,'blackberry z10 is','blackberry z10 is',0,1,1.5667,'B42162',3),(17709,'is more','is more',0,1,1.2333,'I256',3),(17710,'is more than','is more than',0,1,1.4,'I25635',3),(17711,'just a','just a',0,1,1.2,'J300',3),(17712,'just a new','just a new',0,1,1.3333,'J350',3),(17713,'more than just','more than just',0,1,1.4667,'M63523',3),(17714,'new blackberry','new blackberry',0,1,1.4667,'N14216',3),(17715,'than just','than just',0,1,1.3,'T523',3),(17716,'than just a','than just a',0,1,1.3667,'T523',3),(17717,'the blackberry','the blackberry',0,1,1.4667,'T14216',3),(17718,'the blackberry z10','the blackberry z10',0,1,1.6,'T142162',3),(17719,'z10','z10',0,0,0.2,'Z000',3),(17720,'z10 is','z10 is',0,1,1.2,'Z000',3),(17721,'z10 is more','z10 is more',0,1,1.3667,'Z560',3),(17722,'from asus','from asus',0,1,1.3,'F652',3),(17723,'new ultra','new ultra',0,1,1.3,'N436',3),(17724,'new ultra thin','new ultra thin',0,1,1.4667,'N43635',3),(17725,'new ultra-thin','new ultra-thin',0,1,1.4667,'N43635',3),(17726,'new ultra-thin ux','new ultra-thin ux',0,1,1.5667,'N436352',3),(17727,'portable','portable',0,0,0.5333,'P6314',3),(17728,'portable from','portable from',0,1,1.4333,'P6314165',3),(17729,'portable from asus','portable from asus',0,1,1.6,'P63141652',3),(17730,'series ultra','series ultra',0,1,1.4,'S62436',3),(17731,'series ultra portable','series ultra portable',0,1,1.7,'S6243616314',3),(17732,'series ultra-portable','series ultra-portable',0,1,1.7,'S6243616314',3),(17733,'series ultra-portable from','series ultra-portable from',0,1,1.8667,'S6243616314165',3),(17734,'the new ultra','the new ultra',0,1,1.4333,'T5436',3),(17735,'the new ultra-thin','the new ultra-thin',0,1,1.6,'T543635',3),(17736,'thin ux','thin ux',0,1,1.2333,'T520',3),(17737,'thin ux series','thin ux series',0,1,1.4667,'T5262',3),(17738,'ultra','ultra',0,0,0.3333,'U436',3),(17739,'ultra portable','ultra portable',0,1,1.4667,'U43616314',3),(17740,'ultra portable from','ultra portable from',0,1,1.6333,'U43616314165',3),(17741,'ultra thin','ultra thin',0,1,1.3333,'U43635',3),(17742,'ultra thin ux','ultra thin ux',0,1,1.4333,'U436352',3),(17743,'ultra-portable','ultra-portable',0,0,0.9333,'U43616314',3),(17744,'ultra-portable from','ultra-portable from',0,1,1.6333,'U43616314165',3),(17745,'ultra-portable from asus','ultra-portable from asus',0,1,1.8,'U436163141652',3),(17746,'ultra-thin','ultra-thin',0,0,0.6667,'U43635',3),(17747,'ultra-thin ux','ultra-thin ux',0,1,1.4333,'U436352',3),(17748,'ultra-thin ux series','ultra-thin ux series',0,1,1.6667,'U43635262',3),(17749,'ux','ux',0,0,0.1333,'U200',3),(17750,'ux series','ux series',0,1,1.3,'U262',3),(17751,'ux series ultra','ux series ultra',0,1,1.5,'U262436',3),(17752,'ux series ultra-portable','ux series ultra-portable',0,1,1.8,'U26243616314',3),(17753,'3d ready','3d ready',0,1,1.2667,'D630',3),(17754,'3d ready television','3d ready television',0,1,1.6333,'D634125',3),(17755,'3d ready tv','3d ready tv',0,1,1.3667,'D631',3),(17756,'does 3d','does 3d',0,1,1.2333,'D230',3),(17757,'does 3d ready','does 3d ready',0,1,1.4333,'D2363',3),(17758,'explained','explained',0,0,0.6,'E21453',3),(17759,'mean','mean',0,0,0.2667,'M000',3),(17760,'mean 3d','mean 3d',0,1,1.2333,'M300',3),(17761,'mean 3d ready','mean 3d ready',0,1,1.4333,'M363',3),(17762,'ready television','ready television',0,1,1.5333,'R34125',3),(17763,'ready television explained','ready television explained',0,1,1.8667,'R3412521453',3),(17764,'ready tv','ready tv',0,1,1.2667,'R310',3),(17765,'ready tv mean','ready tv mean',0,1,1.4333,'R315',3),(17766,'television','television',0,0,0.6667,'T4125',3),(17767,'television explained','television explained',0,1,1.6667,'T412521453',3),(17768,'tv mean','tv mean',0,1,1.2333,'T150',3),(17769,'tv mean 3d','tv mean 3d',0,1,1.3333,'T153',3),(17770,'what does','what does',0,1,1.3,'W320',3),(17771,'what does 3d','what does 3d',0,1,1.4,'W323',3),(17772,'add the mobilelayout','add the mobilelayout',0,1,1.6667,'A35143',7),(17773,'better use','better use',0,1,1.3333,'B362',7),(17774,'better use blank','better use blank',0,1,1.5333,'B3621452',7),(17775,'blank','blank',0,0,0.3333,'B452',7),(17776,'blank spaces','blank spaces',0,1,1.4,'B45212',7),(17777,'blank spaces on','blank spaces on',0,1,1.5,'B452125',7),(17778,'border from','border from',0,1,1.3667,'B636165',7),(17779,'border from module','border from module',0,1,1.6,'B63616534',7),(17780,'devices the','devices the',0,1,1.3667,'D123',1),(17781,'devices the news','devices the news',0,1,1.5333,'D12352',1),(17782,'embed','embed',0,0,0.3333,'E513',12),(17783,'embed in','embed in',0,1,1.2667,'E5135',7),(17784,'embed in the','embed in the',0,1,1.4,'E51353',7),(17785,'for nsp','for nsp',0,1,1.2333,'F6521',8),(17786,'for nsp modules','for nsp modules',0,1,1.5,'F65215342',8),(17787,'from module','from module',0,1,1.3667,'F6534',7),(17788,'from module in','from module in',0,1,1.4667,'F65345',7),(17789,'gk5','gk5',0,0,0.2,'G000',11),(17790,'gk5 module','gk5 module',0,1,1.3333,'G534',10),(17791,'gk5 module we','gk5 module we',0,1,1.4333,'G534',7),(17792,'help to','help to',0,1,1.2333,'H413',7),(17793,'help to better','help to better',0,1,1.4667,'H413136',7),(17794,'in the inset','in the inset',0,1,1.4,'I53523',7),(17795,'in the tabs','in the tabs',0,1,1.3667,'I5312',7),(17796,'inset or','inset or',0,1,1.2667,'I5236',7),(17797,'inset or sidebar','inset or sidebar',0,1,1.5333,'I52362316',7),(17798,'it will help','it will help',0,1,1.4,'I341',7),(17799,'mobile devices the','mobile devices the',0,1,1.6,'M143123',1),(17800,'mobilelayout','mobilelayout',0,0,0.8,'M143',7),(17801,'mobilelayout suffix','mobilelayout suffix',0,1,1.6333,'M143212',7),(17802,'mobilelayout suffix it','mobilelayout suffix it',0,1,1.7333,'M1432123',7),(17803,'module in','module in',0,1,1.3,'M345',7),(17804,'module in the','module in the',0,1,1.4333,'M3453',7),(17805,'module position please','module position please',0,1,1.7333,'M341235142',7),(17806,'module positions if','module positions if',0,1,1.6333,'M34123521',1),(17807,'module we','module we',0,1,1.3,'M340',7),(17808,'module we recommend','module we recommend',0,1,1.6333,'M346253',7),(17809,'modules embed','modules embed',0,1,1.4333,'M342513',7),(17810,'modules embed in','modules embed in',0,1,1.5333,'M3425135',7),(17811,'noborder','noborder',0,0,0.5333,'N1636',7),(17812,'noborder suffix','noborder suffix',0,1,1.5,'N1636212',7),(17813,'noborder suffix for','noborder suffix for',0,1,1.6333,'N163621216',1),(17814,'nsp modules','nsp modules',0,1,1.3667,'N215342',8),(17815,'nsp modules embed','nsp modules embed',0,1,1.5667,'N215342513',7),(17816,'on the mobile','on the mobile',0,1,1.4333,'O53514',7),(17817,'position please use','position please use',0,1,1.6333,'P235142',7),(17818,'positions if','positions if',0,1,1.4,'P23521',1),(17819,'positions if you','positions if you',0,1,1.5333,'P23521',1),(17820,'remove the','remove the',0,1,1.3333,'R513',7),(17821,'remove the top','remove the top',0,1,1.4667,'R5131',7),(17822,'sidebar module position','sidebar module position',0,1,1.7667,'S3165341235',7),(17823,'spaces on','spaces on',0,1,1.3,'S125',7),(17824,'spaces on the','spaces on the',0,1,1.4333,'S1253',7),(17825,'suffix for nsp','suffix for nsp',0,1,1.4667,'S1216521',1),(17826,'tabs gk5','tabs gk5',0,1,1.2667,'T120',11),(17827,'tabs gk5 module','tabs gk5 module',0,1,1.5,'T12534',7),(17828,'the inset','the inset',0,1,1.3,'T523',7),(17829,'the inset or','the inset or',0,1,1.4,'T5236',7),(17830,'the mobilelayout','the mobilelayout',0,1,1.5333,'T5143',7),(17831,'the mobilelayout suffix','the mobilelayout suffix',0,1,1.7667,'T5143212',7),(17832,'the noborder','the noborder',0,1,1.4,'T51636',7),(17833,'the noborder suffix','the noborder suffix',0,1,1.6333,'T51636212',7),(17834,'the tabs gk5','the tabs gk5',0,1,1.4,'T120',7),(17835,'the top border','the top border',0,1,1.4667,'T1636',7),(17836,'to better','to better',0,1,1.3,'T136',7),(17837,'to better use','to better use',0,1,1.4333,'T1362',7),(17838,'to remove the','to remove the',0,1,1.4333,'T6513',7),(17839,'top border','top border',0,1,1.3333,'T1636',7),(17840,'top border from','top border from',0,1,1.5,'T1636165',7),(17841,'use blank','use blank',0,1,1.3,'U21452',7),(17842,'use blank spaces','use blank spaces',0,1,1.5333,'U2145212',7),(17843,'use the noborder','use the noborder',0,1,1.5333,'U2351636',7),(17844,'want to remove','want to remove',0,1,1.4667,'W53651',7),(17845,'will help','will help',0,1,1.3,'W410',7),(17846,'will help to','will help to',0,1,1.4,'W413',7),(17847,'has redesigned','has redesigned',0,1,1.4667,'H263253',3),(17848,'has redesigned its','has redesigned its',0,1,1.6,'H2632532',3),(17849,'hub','hub',0,0,0.2,'H100',3),(17850,'hub tv','hub tv',0,1,1.2,'H131',3),(17851,'hub tv system','hub tv system',0,1,1.4333,'H131235',3),(17852,'its smart','its smart',0,1,1.3,'I32563',3),(17853,'its smart hub','its smart hub',0,1,1.4333,'I325631',3),(17854,'redesigned','redesigned',0,0,0.6667,'R3253',3),(17855,'redesigned its','redesigned its',0,1,1.4667,'R32532',3),(17856,'redesigned its smart','redesigned its smart',0,1,1.6667,'R32532563',3),(17857,'samsung has redesigned','samsung has redesigned',0,1,1.7333,'S525263253',3),(17858,'smart hub','smart hub',0,1,1.3,'S5631',3),(17859,'smart hub tv','smart hub tv',0,1,1.4,'S563131',3),(17860,'tv system','tv system',0,1,1.3,'T1235',3),(17861,'01 for','01 for',0,1,1.2,'F600',11),(17862,'01 for the','01 for the',0,1,1.3333,'F630',11),(17863,'02 the','02 the',0,1,1.2,'T000',11),(17864,'02 the clear','02 the clear',0,1,1.4,'T246',11),(17865,'03 if','03 if',0,1,1.1667,'I100',7),(17866,'03 if you','03 if you',0,1,1.3,'I100',7),(17867,'04','04',0,0,0.2,'',10),(17868,'04 for','04 for',0,1,1.2,'F600',10),(17869,'04 for nsp','04 for nsp',0,1,1.3333,'F6521',7),(17870,'05','05',0,0,0.2,'',8),(17871,'05 the','05 the',0,1,1.2,'T000',6),(17872,'05 the news','05 the news',0,1,1.3667,'T520',6),(17873,'devices 05','devices 05',0,1,1.3333,'D120',6),(17874,'devices 05 the','devices 05 the',0,1,1.4667,'D123',6),(17875,'mobile devices 05','mobile devices 05',0,1,1.5667,'M14312',6),(17876,'module positions 03','module positions 03',0,1,1.6333,'M3412352',11),(17877,'module styles 02','module styles 02',0,1,1.5333,'M342342',7),(17878,'noborder suffix 04','noborder suffix 04',0,1,1.6,'N1636212',6),(17879,'positions 03','positions 03',0,1,1.4,'P2352',11),(17880,'positions 03 if','positions 03 if',0,1,1.5,'P23521',7),(17881,'styles 02','styles 02',0,1,1.3,'S342',7),(17882,'styles 02 the','styles 02 the',0,1,1.4333,'S3423',7),(17883,'suffix 04','suffix 04',0,1,1.3,'S120',7),(17884,'suffix 04 for','suffix 04 for',0,1,1.4333,'S1216',7),(17885,'template 01','template 01',0,1,1.3667,'T5143',11),(17886,'template 01 for','template 01 for',0,1,1.5,'T514316',11),(17887,'this template 01','this template 01',0,1,1.5333,'T235143',11),(17888,'adipiscing use','adipiscing use',0,1,1.4667,'A31252',19),(17889,'adipiscing use div','adipiscing use div',0,1,1.6,'A3125231',19),(17890,'consectetuer adipiscing use','consectetuer adipiscing use',0,1,1.9,'C523631252',19),(17891,'8 in','8 in',0,1,1.1333,'I500',5),(17892,'8 in 2013','8 in 2013',0,1,1.3,'I500',5),(17893,'launch smartphone','launch smartphone',0,1,1.5667,'L5256315',1),(17894,'launch smartphone with','launch smartphone with',0,1,1.7333,'L52563153',1),(17895,'lg to','lg to',0,1,1.1667,'L230',1),(17896,'lg to launch','lg to launch',0,1,1.4,'L23452',1),(17897,'phone 8','phone 8',0,1,1.2333,'P500',5),(17898,'phone 8 in','phone 8 in',0,1,1.3333,'P500',5),(17899,'rumour','rumour',0,0,0.4,'R560',2),(17900,'rumour lg','rumour lg',0,1,1.3,'R5642',1),(17901,'rumour lg to','rumour lg to',0,1,1.4,'R56423',1),(17902,'smartphone with','smartphone with',0,1,1.5,'S563153',5),(17903,'smartphone with windows','smartphone with windows',0,1,1.7667,'S563153532',5),(17904,'to launch','to launch',0,1,1.3,'T452',5),(17905,'to launch smartphone','to launch smartphone',0,1,1.6667,'T45256315',1),(17906,'windows phone','windows phone',0,1,1.4333,'W53215',5),(17907,'windows phone 8','windows phone 8',0,1,1.5,'W53215',5),(17908,'with windows','with windows',0,1,1.4,'W3532',5),(17909,'with windows phone','with windows phone',0,1,1.6,'W353215',5),(17910,'launch new','launch new',0,1,1.3333,'L525',4),(17911,'launch new smartphone','launch new smartphone',0,1,1.7,'L525256315',4),(17912,'new smartphone','new smartphone',0,1,1.4667,'N256315',4),(17913,'new smartphone with','new smartphone with',0,1,1.6333,'N2563153',4),(17914,'nokia','nokia',0,0,0.3333,'N200',4),(17915,'nokia to','nokia to',0,1,1.2667,'N230',4),(17916,'nokia to launch','nokia to launch',0,1,1.5,'N23452',4),(17917,'rumour nokia','rumour nokia',0,1,1.4,'R5652',1),(17918,'rumour nokia to','rumour nokia to',0,1,1.5,'R56523',1),(17919,'to launch new','to launch new',0,1,1.4333,'T4525',4),(17920,'apps for children','apps for children',0,1,1.5667,'A121624365',5),(17921,'children','children',0,0,0.5333,'C4365',5),(17922,'choice','choice',0,0,0.4,'C000',5),(17923,'choice to','choice to',0,1,1.3,'C300',5),(17924,'choice to evaluate','choice to evaluate',0,1,1.6,'C3143',5),(17925,'evaluate','evaluate',0,0,0.5333,'E143',5),(17926,'evaluate mobile','evaluate mobile',0,1,1.5,'E143514',5),(17927,'evaluate mobile apps','evaluate mobile apps',0,1,1.6667,'E14351412',5),(17928,'for children','for children',0,1,1.4,'F624365',5),(17929,'mobile apps','mobile apps',0,1,1.3667,'M1412',5),(17930,'mobile apps for','mobile apps for',0,1,1.5,'M141216',5),(17931,'parents','parents',0,0,0.4667,'P6532',5),(17932,'parents choice','parents choice',0,1,1.4667,'P6532',5),(17933,'parents choice to','parents choice to',0,1,1.5667,'P65323',5),(17934,'parents\'','parents',0,0,0.5333,'P6532',5),(17935,'parents\' choice','parents choice',0,1,1.5,'P6532',5),(17936,'parents\' choice to','parents choice to',0,1,1.6,'P65323',5),(17937,'to evaluate','to evaluate',0,1,1.3667,'T143',5),(17938,'to evaluate mobile','to evaluate mobile',0,1,1.6,'T143514',5),(17939,'are parents','are parents',0,1,1.3667,'A616532',4),(17940,'are parents choice','are parents choice',0,1,1.6,'A616532',4),(17941,'are parents\'','are parents',0,1,1.4,'A616532',4),(17942,'are parents\' choice','are parents choice',0,1,1.6333,'A616532',4),(17943,'which are parents','which are parents',0,1,1.5667,'W2616532',4),(17944,'which are parents\'','which are parents',0,1,1.6,'W2616532',4),(17945,'for you','for you',0,1,1.2333,'F600',12),(17946,'is right','is right',0,1,1.2667,'I2623',2),(17947,'is right for','is right for',0,1,1.4,'I262316',2),(17948,'right for','right for',0,1,1.3,'R2316',2),(17949,'right for you','right for you',0,1,1.4333,'R2316',2),(17950,'which windows','which windows',0,1,1.4333,'W2532',2),(17951,'which windows is','which windows is',0,1,1.5333,'W2532',2),(17952,'windows is','windows is',0,1,1.3333,'W532',2),(17953,'windows is right','windows is right',0,1,1.5333,'W532623',2),(17954,'air or','air or',0,1,1.2,'A600',6),(17955,'air or pro','air or pro',0,1,1.3333,'A616',6),(17956,'macnotebook','macnotebook',0,0,0.7333,'M25312',6),(17957,'macnotebook air','macnotebook air',0,1,1.5,'M253126',6),(17958,'macnotebook air or','macnotebook air or',0,1,1.6,'M253126',6),(17959,'or pro','or pro',0,1,1.2,'O616',6),(17960,'one macnotebook','one macnotebook',0,1,1.5,'O525312',2),(17961,'one macnotebook air','one macnotebook air',0,1,1.6333,'O5253126',2),(17962,'which one','which one',0,1,1.3,'W250',2),(17963,'which one macnotebook','which one macnotebook',0,1,1.7,'W2525312',2),(17964,'on top','on top',0,1,1.2,'O531',3),(17965,'on top list','on top list',0,1,1.3667,'O531423',3),(17966,'or pro on','or pro on',0,1,1.3,'O6165',3),(17967,'pro on','pro on',0,1,1.2,'P650',3),(17968,'pro on top','pro on top',0,1,1.3333,'P6531',3),(17969,'4th','4th',0,0,0.2,'T000',6),(17970,'4th generation','4th generation',0,1,1.4667,'T25635',6),(17971,'4th generation ipad','4th generation ipad',0,1,1.6333,'T2563513',6),(17972,'4th-generation','4th-generation',0,0,0.9333,'T25635',6),(17973,'4th-generation ipad','4th-generation ipad',0,1,1.6333,'T2563513',6),(17974,'4th-generation ipad reach','4th-generation ipad reach',0,1,1.8333,'T256351362',6),(17975,'apple ipad mini','apple ipad mini',0,1,1.5,'A14135',6),(17976,'fcc','fcc',0,0,0.2,'F200',6),(17977,'generation','generation',0,0,0.6667,'G5635',6),(17978,'generation ipad','generation ipad',0,1,1.5,'G563513',6),(17979,'generation ipad reach','generation ipad reach',0,1,1.7,'G56351362',6),(17980,'ipad mini','ipad mini',0,1,1.3,'I135',6),(17981,'ipad mini 4th','ipad mini 4th',0,1,1.4333,'I1353',6),(17982,'ipad mini 4th-generation','ipad mini 4th-generation',0,1,1.8,'I135325635',6),(17983,'ipad reach','ipad reach',0,1,1.3333,'I1362',6),(17984,'ipad reach the','ipad reach the',0,1,1.4667,'I13623',6),(17985,'mini','mini',0,0,0.2667,'M000',6),(17986,'mini 4th','mini 4th',0,1,1.2667,'M300',6),(17987,'mini 4th generation','mini 4th generation',0,1,1.6333,'M325635',6),(17988,'mini 4th-generation','mini 4th-generation',0,1,1.6333,'M325635',6),(17989,'mini 4th-generation ipad','mini 4th-generation ipad',0,1,1.8,'M32563513',6),(17990,'new apple','new apple',0,1,1.3,'N140',6),(17991,'new apple ipad','new apple ipad',0,1,1.4667,'N1413',6),(17992,'reach','reach',0,0,0.3333,'R200',6),(17993,'reach the','reach the',0,1,1.3,'R230',6),(17994,'reach the fcc','reach the fcc',0,1,1.4333,'R2312',6),(17995,'the fcc','the fcc',0,1,1.2333,'T120',6),(17996,'the new apple','the new apple',0,1,1.4333,'T514',4),(17997,'fcc servers','fcc servers',0,1,1.3667,'F26162',3),(17998,'servers','servers',0,0,0.4667,'S6162',3),(17999,'the fcc servers','the fcc servers',0,1,1.5,'T126162',3),(18000,'erik','erik',0,0,0.2667,'E620',49),(18001,'erik curd','erik curd',0,1,1.3,'E6263',49),(18002,'3635','3635',0,0,0.4,'',7),(18003,'3635 willie','3635 willie',0,1,1.3667,'W400',7),(18004,'3635 willie green','3635 willie green',0,1,1.5667,'W4265',7),(18005,'40741-9233','40741-9233',0,0,1,'',7),(18006,'40741-9233 606','40741-9233 606',0,1,1.4667,'',7),(18007,'40741-9233 606 877-1749','40741-9233 606 877-1749',0,1,1.7667,'',7),(18008,'606','606',0,0,0.3,'',7),(18009,'606 877-1749','606 877-1749',0,1,1.4,'',7),(18010,'877-1749','877-1749',0,0,0.8,'',7),(18011,'green rd','green rd',0,1,1.2667,'G6563',7),(18012,'green rd london','green rd london',0,1,1.5,'G65634535',7),(18013,'kentucky','kentucky',0,0,0.5333,'K532',7),(18014,'kentucky 40741-9233','kentucky 40741-9233',0,1,1.6333,'K532',7),(18015,'kentucky 40741-9233 606','kentucky 40741-9233 606',0,1,1.7667,'K532',7),(18016,'ky','ky',0,0,0.1333,'K000',7),(18017,'ky kentucky','ky kentucky',0,1,1.3667,'K532',7),(18018,'ky kentucky 40741-9233','ky kentucky 40741-9233',0,1,1.7333,'K532',7),(18019,'london ky','london ky',0,1,1.3,'L5352',7),(18020,'london ky kentucky','london ky kentucky',0,1,1.6,'L5352532',7),(18021,'rd','rd',0,0,0.1333,'R300',7),(18022,'rd london','rd london',0,1,1.3,'R34535',7),(18023,'rd london ky','rd london ky',0,1,1.4,'R345352',7),(18024,'uk','uk',0,0,0.1333,'U200',7),(18025,'willie green','willie green',0,1,1.4,'W4265',7),(18026,'willie green rd','willie green rd',0,1,1.5,'W426563',7),(18027,'cursus cursus lorem','cursus cursus lorem',0,1,1.6333,'C6262465',14),(18028,'cursus lorem','cursus lorem',0,1,1.4,'C62465',14),(18029,'cursus lorem ipsum','cursus lorem ipsum',0,1,1.6,'C62465125',14),(18030,'new simplicity','new simplicity',0,1,1.4667,'N251423',8),(18031,'new simplicity website','new simplicity website',0,1,1.7333,'N251423123',8),(18032,'simplicity','simplicity',0,0,0.6667,'S51423',9),(18033,'simplicity website','simplicity website',0,1,1.6,'S51423123',8),(18034,'the new simplicity','the new simplicity',0,1,1.6,'T5251423',8),(18035,'first social','first social',0,1,1.4,'F62324',60),(18036,'first social hotspot','first social hotspot',0,1,1.6667,'F623243213',60),(18037,'hotspot','hotspot',0,0,0.4667,'H3213',193),(18038,'karma','karma',0,0,0.3333,'K650',193),(18039,'karma the','karma the',0,1,1.3,'K653',60),(18040,'karma the first','karma the first',0,1,1.5,'K6531623',60),(18041,'social hotspot','social hotspot',0,1,1.4667,'S43213',60),(18042,'the first social','the first social',0,1,1.5333,'T162324',60),(18043,'introducing','introducing',0,0,0.7333,'I5363252',53),(18044,'introducing karma','introducing karma',0,1,1.5667,'I536325265',53),(18045,'introducing karma the','introducing karma the',0,1,1.7,'I5363252653',53),(18046,'auctor fringilla gallery','auctor fringilla gallery',0,1,1.8,'A23616524246',1),(18047,'fringilla gallery','fringilla gallery',0,1,1.5667,'F6524246',1),(18048,'fringilla gallery gallery','fringilla gallery gallery',0,1,1.8333,'F6524246246',1),(18049,'gallery','gallery',0,0,0.4667,'G460',1),(18050,'gallery gallery','gallery gallery',0,1,1.5,'G46246',1),(18051,'gallery gallery karma','gallery gallery karma',0,1,1.7,'G46246265',1),(18052,'gallery karma','gallery karma',0,1,1.4333,'G46265',1),(18053,'gallery karma gallery','gallery karma gallery',0,1,1.7,'G46265246',1),(18054,'karma gallery','karma gallery',0,1,1.4333,'K65246',1),(18055,'160px','160px',0,0,0.3333,'P200',1),(18056,'160px background-image','160px background-image',0,1,1.7333,'P21265352',1),(18057,'160px background-image url','160px background-image url',0,1,1.8667,'P2126535264',1),(18058,'2 administrator','2 administrator',0,1,1.5,'A3523636',1),(18059,'2 administrator cache','2 administrator cache',0,1,1.7,'A35236362',1),(18060,'200px','200px',0,0,0.3333,'P200',1),(18061,'200px height','200px height',0,1,1.4,'P230',1),(18062,'200px height 160px','200px height 160px',0,1,1.6,'P2312',1),(18063,'2013 2','2013 2',0,1,1.2,'',1),(18064,'2013 2 administrator','2013 2 administrator',0,1,1.6667,'A3523636',1),(18065,'56a77393cf','56a77393cf',0,0,0.6667,'A210',1),(18066,'56a77393cf picture2.jpg','56a77393cf picture2.jpg',0,1,1.7667,'A21236212',1),(18067,'56a77393cf picture2.jpg click','56a77393cf picture2.jpg click',0,1,1.9667,'A2123621242',1),(18068,'administrator','administrator',0,0,0.8667,'A3523636',1),(18069,'administrator cache','administrator cache',0,1,1.6333,'A35236362',1),(18070,'administrator cache jw','administrator cache jw',0,1,1.7333,'A35236362',1),(18071,'alt click','alt click',0,1,1.3,'A43242',1),(18072,'alt click to','alt click to',0,1,1.4,'A432423',1),(18073,'auctor fringilla click','auctor fringilla click',0,1,1.7333,'A23616524242',1),(18074,'background-image','background-image',0,0,1,'B265352',1),(18075,'background-image url','background-image url',0,1,1.6667,'B26535264',1),(18076,'background-image url templates','background-image url templates',0,1,2,'B26535264351432',1),(18077,'cache','cache',0,0,0.3333,'C000',1),(18078,'cache 56a77393cf','cache 56a77393cf',0,1,1.5333,'C100',1),(18079,'cache 56a77393cf picture2.jpg','cache 56a77393cf picture2.jpg',0,1,1.9667,'C1236212',1),(18080,'cache jw','cache jw',0,1,1.2667,'C000',1),(18081,'cache jw simpleimagegallery','cache jw simpleimagegallery',0,1,1.9,'C5145246',1),(18082,'click to','click to',0,1,1.2667,'C423',1),(18083,'click to enlarge','click to enlarge',0,1,1.5333,'C4235462',1),(18084,'enlarge','enlarge',0,0,0.4667,'E5462',1),(18085,'enlarge click','enlarge click',0,1,1.4333,'E546242',1),(18086,'enlarge click to','enlarge click to',0,1,1.5333,'E5462423',1),(18087,'enlarge picture2.jpeg','enlarge picture2.jpeg',0,1,1.7,'E54621236212',1),(18088,'enlarge picture2.jpeg style','enlarge picture2.jpeg style',0,1,1.9,'E5462123621234',1),(18089,'enlarge picture2.jpeg title','enlarge picture2.jpeg title',0,1,1.9,'E5462123621234',1),(18090,'fringilla click','fringilla click',0,1,1.5,'F6524242',1),(18091,'fringilla click to','fringilla click to',0,1,1.6,'F65242423',1),(18092,'height 160px','height 160px',0,1,1.4,'H2312',1),(18093,'height 160px background-image','height 160px background-image',0,1,1.9667,'H23121265352',1),(18094,'jw','jw',0,0,0.1333,'J000',1),(18095,'jw simpleimagegallery','jw simpleimagegallery',0,1,1.7,'J5145246',1),(18096,'jw simpleimagegallery jwsig','jw simpleimagegallery jwsig',0,1,1.9,'J51452462',1),(18097,'jwsig','jwsig',0,0,0.3333,'J000',1),(18098,'jwsig cache','jwsig cache',0,1,1.3667,'J000',1),(18099,'jwsig cache 56a77393cf','jwsig cache 56a77393cf',0,1,1.7333,'J100',1),(18100,'picture2.jpeg','picture2.jpeg',0,0,0.8667,'P236212',1),(18101,'picture2.jpeg style','picture2.jpeg style',0,1,1.6333,'P23621234',1),(18102,'picture2.jpeg style width','picture2.jpeg style width',0,1,1.8333,'P236212343',1),(18103,'picture2.jpeg title','picture2.jpeg title',0,1,1.6333,'P23621234',1),(18104,'picture2.jpeg title click','picture2.jpeg title click',0,1,1.8333,'P23621234242',1),(18105,'picture2.jpg','picture2.jpg',0,0,0.8,'P236212',1),(18106,'picture2.jpg click','picture2.jpg click',0,1,1.6,'P23621242',1),(18107,'picture2.jpg click to','picture2.jpg click to',0,1,1.7,'P236212423',1),(18108,'simpleimagegallery','simpleimagegallery',0,0,1,'S5145246',1),(18109,'simpleimagegallery jwsig','simpleimagegallery jwsig',0,1,1.8,'S51452462',1),(18110,'simpleimagegallery jwsig cache','simpleimagegallery jwsig cache',0,1,2,'S51452462',1),(18111,'style width','style width',0,1,1.3667,'S343',1),(18112,'style width 200px','style width 200px',0,1,1.5667,'S34312',1),(18113,'templates 2013','templates 2013',0,1,1.4667,'T51432',1),(18114,'templates 2013 2','templates 2013 2',0,1,1.5333,'T51432',1),(18115,'title click','title click',0,1,1.3667,'T4242',1),(18116,'title click to','title click to',0,1,1.4667,'T42423',1),(18117,'to enlarge','to enlarge',0,1,1.3333,'T5462',1),(18118,'to enlarge click','to enlarge click',0,1,1.5333,'T546242',1),(18119,'to enlarge picture2.jpeg','to enlarge picture2.jpeg',0,1,1.8,'T54621236212',1),(18120,'url','url',0,0,0.2,'U640',1),(18121,'url templates','url templates',0,1,1.4333,'U64351432',1),(18122,'url templates 2013','url templates 2013',0,1,1.6,'U64351432',1),(18123,'width 200px','width 200px',0,1,1.3667,'W312',1),(18124,'width 200px height','width 200px height',0,1,1.6,'W3123',1),(18125,'a company','a company',0,1,1.3,'A2515',1),(18126,'a company offering','a company offering',0,1,1.6,'A25151652',1),(18127,'a mobile','a mobile',0,1,1.2667,'A514',1),(18128,'a mobile hotspot','a mobile hotspot',0,1,1.5333,'A5143213',1),(18129,'a novel','a novel',0,1,1.2333,'A514',1),(18130,'a novel take','a novel take',0,1,1.4,'A51432',1),(18131,'auctor fringilla karma','auctor fringilla karma',0,1,1.7333,'A23616524265',181),(18132,'be cras','be cras',0,1,1.2333,'B262',1),(18133,'be cras mattis','be cras mattis',0,1,1.4667,'B262532',1),(18134,'company offering','company offering',0,1,1.5333,'C5151652',1),(18135,'company offering a','company offering a',0,1,1.6,'C5151652',1),(18136,'fringilla karma','fringilla karma',0,1,1.5,'F6524265',181),(18137,'fringilla karma is','fringilla karma is',0,1,1.6,'F65242652',1),(18138,'hotspot should','hotspot should',0,1,1.4667,'H3213243',1),(18139,'hotspot should be','hotspot should be',0,1,1.5667,'H32132431',1),(18140,'is a company','is a company',0,1,1.4,'I2515',1),(18141,'karma is','karma is',0,1,1.2667,'K652',1),(18142,'karma is a','karma is a',0,1,1.3333,'K652',1),(18143,'mobile hotspot','mobile hotspot',0,1,1.4667,'M143213',181),(18144,'mobile hotspot should','mobile hotspot should',0,1,1.7,'M143213243',1),(18145,'novel','novel',0,0,0.3333,'N140',1),(18146,'novel take','novel take',0,1,1.3333,'N1432',1),(18147,'novel take on','novel take on',0,1,1.4333,'N14325',1),(18148,'offering','offering',0,0,0.5333,'O1652',1),(18149,'offering a','offering a',0,1,1.3333,'O1652',1),(18150,'offering a novel','offering a novel',0,1,1.5333,'O1652514',1),(18151,'on what a','on what a',0,1,1.3,'O530',1),(18152,'should be cras','should be cras',0,1,1.4667,'S431262',1),(18153,'take on what','take on what',0,1,1.4,'T253',1),(18154,'what a','what a',0,1,1.2,'W300',1),(18155,'what a mobile','what a mobile',0,1,1.4333,'W3514',1),(18156,'100mb','100mb',0,0,0.3333,'M100',180),(18157,'100mb of','100mb of',0,1,1.2667,'M100',180),(18158,'100mb of free','100mb of free',0,1,1.4333,'M160',180),(18159,'4g','4g',0,0,0.1333,'G000',180),(18160,'4g mobile','4g mobile',0,1,1.3,'G514',180),(18161,'4g mobile hotspot','4g mobile hotspot',0,1,1.5667,'G5143213',180),(18162,'access and','access and',0,1,1.3333,'A253',180),(18163,'access and 100mb','access and 100mb',0,1,1.5333,'A25351',180),(18164,'and 100mb','and 100mb',0,1,1.3,'A5351',180),(18165,'and 100mb of','and 100mb of',0,1,1.4,'A5351',180),(18166,'data to','data to',0,1,1.2333,'D000',180),(18167,'data to new','data to new',0,1,1.3667,'D500',180),(18168,'free data','free data',0,1,1.3,'F630',180),(18169,'free data to','free data to',0,1,1.4,'F630',180),(18170,'fringilla karma offers','fringilla karma offers',0,1,1.7333,'F6524265162',2),(18171,'hotspot access','hotspot access',0,1,1.4667,'H32132',180),(18172,'hotspot access and','hotspot access and',0,1,1.6,'H3213253',180),(18173,'inexpensive','inexpensive',0,0,0.7333,'I521521',180),(18174,'inexpensive 4g','inexpensive 4g',0,1,1.4667,'I5215212',180),(18175,'inexpensive 4g mobile','inexpensive 4g mobile',0,1,1.7,'I5215212514',180),(18176,'karma offers','karma offers',0,1,1.4,'K65162',2),(18177,'karma offers inexpensive','karma offers inexpensive',0,1,1.8,'K65162521521',2),(18178,'mobile hotspot access','mobile hotspot access',0,1,1.7,'M1432132',180),(18179,'new users','new users',0,1,1.3,'N262',180),(18180,'new users cras','new users cras',0,1,1.4667,'N26262',180),(18181,'of free','of free',0,1,1.2333,'O160',180),(18182,'of free data','of free data',0,1,1.4,'O163',180),(18183,'offers inexpensive','offers inexpensive',0,1,1.6,'O162521521',180),(18184,'offers inexpensive 4g','offers inexpensive 4g',0,1,1.7,'O1625215212',180),(18185,'to new','to new',0,1,1.2,'T500',180),(18186,'to new users','to new users',0,1,1.4,'T5262',180),(18187,'users cras','users cras',0,1,1.3333,'U26262',180),(18188,'users cras mattis','users cras mattis',0,1,1.5667,'U26262532',180),(18189,'4g wimax','4g wimax',0,1,1.2667,'G520',178),(18190,'4g wimax network','4g wimax network',0,1,1.5333,'G525362',178),(18191,'and offers','and offers',0,1,1.3333,'A53162',178),(18192,'and offers inexpensive','and offers inexpensive',0,1,1.7333,'A53162521521',178),(18193,'clearwire\'s','clearwire',0,0,0.7333,'C462',178),(18194,'clearwire\'s 4g','clearwire 4g',0,1,1.4667,'C462',178),(18195,'clearwire\'s 4g wimax','clearwire 4g wimax',0,1,1.6667,'C46252',178),(18196,'fringilla karma clearwire\'s','fringilla karma clearwire',0,1,1.9,'F65242652462',1),(18197,'karma clearwire\'s','karma clearwire',0,1,1.5667,'K652462',1),(18198,'karma clearwire\'s 4g','karma clearwire 4g',0,1,1.6667,'K652462',1),(18199,'network','network',0,0,0.4667,'N362',178),(18200,'network and','network and',0,1,1.3667,'N36253',178),(18201,'network and offers','network and offers',0,1,1.6,'N36253162',178),(18202,'wimax','wimax',0,0,0.3333,'W520',178),(18203,'wimax network','wimax network',0,1,1.4333,'W525362',178),(18204,'wimax network and','wimax network and',0,1,1.5667,'W52536253',178),(18205,'fringilla karma uses','fringilla karma uses',0,1,1.6667,'F65242652',177),(18206,'karma uses','karma uses',0,1,1.3333,'K652',177),(18207,'karma uses clearwire\'s','karma uses clearwire',0,1,1.7333,'K652462',177),(18208,'uses','uses',0,0,0.2667,'U200',182),(18209,'uses clearwire\'s','uses clearwire',0,1,1.5333,'U2462',177),(18210,'uses clearwire\'s 4g','uses clearwire 4g',0,1,1.6333,'U2462',177),(18211,'192','192',0,0,0.3,'',8),(18212,'copy of introducing','copy of introducing',0,1,1.6333,'C15363252',14),(18213,'of introducing','of introducing',0,1,1.4667,'O15363252',14),(18214,'of introducing karma','of introducing karma',0,1,1.6667,'O1536325265',14),(18215,'193','193',0,0,0.3,'',6),(18216,'2 news','2 news',0,1,1.2,'N200',21),(18217,'cat 2','cat 2',0,1,1.1667,'C300',21),(18218,'cat 2 news','cat 2 news',0,1,1.3333,'C352',21),(18219,'196','196',0,0,0.3,'',5),(18220,'copy of cat','copy of cat',0,1,1.3667,'C123',26),(18221,'of cat','of cat',0,1,1.2,'O123',26),(18222,'of cat 2','of cat 2',0,1,1.2667,'O123',15),(18223,'195','195',0,0,0.3,'',7),(18224,'194','194',0,0,0.3,'',3),(18225,'197','197',0,0,0.3,'',7),(18226,'3 news','3 news',0,1,1.2,'N200',18),(18227,'cat 3','cat 3',0,1,1.1667,'C300',18),(18228,'cat 3 news','cat 3 news',0,1,1.3333,'C352',18),(18229,'home','home',0,0,0.2667,'H500',18),(18230,'home business','home business',0,1,1.4333,'H51252',18),(18231,'198','198',0,0,0.3,'',3),(18232,'of cat 3','of cat 3',0,1,1.2667,'O123',11),(18233,'199','199',0,0,0.3,'',5),(18234,'cat1','cat1',0,0,0.2667,'C300',16),(18235,'cat1 news','cat1 news',0,1,1.3,'C352',16),(18236,'203','203',0,0,0.3,'',1),(18237,'copy of cat1','copy of cat1',0,1,1.4,'C123',13),(18238,'of cat1','of cat1',0,1,1.2333,'O123',13),(18239,'of cat1 news','of cat1 news',0,1,1.4,'O12352',13),(18240,'201','201',0,0,0.3,'',7),(18241,'202','202',0,0,0.3,'',5),(18242,'business support','business support',0,1,1.5333,'B252163',2),(18243,'a modules','a modules',0,1,1.3,'A5342',1),(18244,'a modules with','a modules with',0,1,1.4667,'A53423',1),(18245,'always','always',0,0,0.4,'A420',5),(18246,'always disable','always disable',0,1,1.4667,'A423214',5),(18247,'always disable usage','always disable usage',0,1,1.6667,'A4232142',5),(18248,'and big','and big',0,1,1.2333,'A5312',1),(18249,'and big centered','and big centered',0,1,1.5333,'A53125363',1),(18250,'big centered','big centered',0,1,1.4,'B25363',1),(18251,'big centered title','big centered title',0,1,1.6,'B253634',1),(18252,'big spaces','big spaces',0,1,1.3333,'B212',1),(18253,'big spaces and','big spaces and',0,1,1.4667,'B21253',1),(18254,'centered suffix','centered suffix',0,1,1.5,'C5363212',2),(18255,'centered suffix 04','centered suffix 04',0,1,1.6,'C5363212',1),(18256,'centered title','centered title',0,1,1.4667,'C53634',1),(18257,'centered title please','centered title please',0,1,1.7,'C53634142',1),(18258,'create a modules','create a modules',0,1,1.5333,'C635342',1),(18259,'css styles','css styles',0,1,1.3333,'C342',5),(18260,'css styles in','css styles in',0,1,1.4333,'C3425',5),(18261,'default css','default css',0,1,1.3667,'D1432',5),(18262,'default css styles','default css styles',0,1,1.6,'D1432342',5),(18263,'disable','disable',0,0,0.4667,'D214',5),(18264,'disable usage','disable usage',0,1,1.4333,'D2142',5),(18265,'disable usage of','disable usage of',0,1,1.5333,'D21421',5),(18266,'module settings','module settings',0,1,1.5,'M342352',5),(18267,'modules please','modules please',0,1,1.4667,'M342142',5),(18268,'modules please always','modules please always',0,1,1.7,'M34214242',5),(18269,'modules with','modules with',0,1,1.4,'M3423',1),(18270,'modules with big','modules with big',0,1,1.5333,'M342312',1),(18271,'nsp modules please','nsp modules please',0,1,1.6,'N215342142',1),(18272,'of the default','of the default',0,1,1.4667,'O13143',5),(18273,'please always','please always',0,1,1.4333,'P4242',5),(18274,'please always disable','please always disable',0,1,1.7,'P42423214',5),(18275,'settings','settings',0,0,0.5333,'S352',10),(18276,'spaces and','spaces and',0,1,1.3333,'S1253',1),(18277,'spaces and big','spaces and big',0,1,1.4667,'S125312',1),(18278,'styles in','styles in',0,1,1.3,'S3425',5),(18279,'styles in the','styles in the',0,1,1.4333,'S34253',5),(18280,'the centered suffix','the centered suffix',0,1,1.6333,'T25363212',1),(18281,'the default','the default',0,1,1.3667,'T143',5),(18282,'the default css','the default css',0,1,1.5,'T1432',5),(18283,'the module settings','the module settings',0,1,1.6333,'T5342352',5),(18284,'the top1-2 module','the top1-2 module',0,1,1.5667,'T1534',1),(18285,'top1-2 module','top1-2 module',0,1,1.4333,'T1534',1),(18286,'top1-2 module positions','top1-2 module positions',0,1,1.7667,'T153412352',1),(18287,'usage of the','usage of the',0,1,1.4,'U213',5),(18288,'use the centered','use the centered',0,1,1.5333,'U2325363',1),(18289,'with big','with big',0,1,1.2667,'W312',1),(18290,'with big spaces','with big spaces',0,1,1.5,'W31212',1),(18291,'204','204',0,0,0.3,'',13),(18292,'205','205',0,0,0.3,'',5),(18293,'layout ui','layout ui',0,1,1.3,'L300',23),(18294,'layout ui design','layout ui design',0,1,1.5333,'L325',23),(18295,'mobile layout','mobile layout',0,1,1.4333,'M143',23),(18296,'mobile layout ui','mobile layout ui',0,1,1.5333,'M143',23),(18297,'ui','ui',0,0,0.1333,'U000',24),(18298,'ui design','ui design',0,1,1.3,'U325',23),(18299,'206','206',0,0,0.3,'',6),(18300,'new web','new web',0,1,1.2333,'N100',23),(18301,'new web site','new web site',0,1,1.4,'N123',23),(18302,'our new','our new',0,1,1.2333,'O650',23),(18303,'our new web','our new web',0,1,1.3667,'O651',23),(18304,'to our new','to our new',0,1,1.3333,'T650',23),(18305,'welcome to our','welcome to our',0,1,1.4667,'W42536',23),(18306,'an effective','an effective',0,1,1.4,'A51231',22),(18307,'an effective landing','an effective landing',0,1,1.6667,'A5123145352',22),(18308,'build','build',0,0,0.3333,'B430',23),(18309,'build an','build an',0,1,1.2667,'B435',22),(18310,'build an effective','build an effective',0,1,1.6,'B4351231',22),(18311,'effective','effective',0,0,0.6,'E1231',22),(18312,'effective landing','effective landing',0,1,1.5667,'E123145352',22),(18313,'effective landing page','effective landing page',0,1,1.7333,'E12314535212',22),(18314,'how to build','how to build',0,1,1.4,'H3143',22),(18315,'landing page','landing page',0,1,1.4,'L535212',27),(18316,'to build','to build',0,1,1.2667,'T143',22),(18317,'to build an','to build an',0,1,1.3667,'T1435',22),(18318,'207','207',0,0,0.3,'',4),(18319,'blogging','blogging',0,0,0.5333,'B4252',20),(18320,'208','208',0,0,0.3,'',5),(18321,'209','209',0,0,0.3,'',5),(18322,'210','210',0,0,0.3,'',6),(18323,'211','211',0,0,0.3,'',4),(18324,'product news','product news',0,1,1.4,'P632352',57),(18325,'212','212',0,0,0.3,'',4),(18326,'213','213',0,0,0.3,'',5),(18327,'214','214',0,0,0.3,'',4),(18328,'215','215',0,0,0.3,'',5),(18329,'216','216',0,0,0.3,'',5),(18330,'217','217',0,0,0.3,'',6),(18331,'218','218',0,0,0.3,'',43),(18332,'picks','picks',0,0,0.3333,'P200',17),(18333,'staff picks','staff picks',0,1,1.3667,'S312',17),(18334,'web design','web design',0,1,1.3333,'W1325',9),(18335,'\'iframe\',','iframe',0,0,0.6,'I165',5),(18336,'\'iframe\', size','iframe size',0,1,1.4667,'I1652',5),(18337,'\'iframe\', size x','iframe size x',0,1,1.5333,'I1652',5),(18338,'30-day','30-day',0,0,0.4,'D000',5),(18339,'30-day free','30-day free',0,1,1.3667,'D160',5),(18340,'30-day free trial','30-day free trial',0,1,1.5667,'D16364',5),(18341,'315','315',0,0,0.3,'',5),(18342,'315 watch','315 watch',0,1,1.3,'W320',5),(18343,'315 watch the','315 watch the',0,1,1.4333,'W323',5),(18344,'560','560',0,0,0.3,'',5),(18345,'560 y','560 y',0,1,1.1667,'Y000',5),(18346,'560 y 315','560 y 315',0,1,1.3,'Y000',5),(18347,'a class gk-video-link','a class gk-video-link',0,1,1.7,'A24213452',5),(18348,'a p','a p',0,1,1.1,'A100',5),(18349,'a p as','a p as',0,1,1.2,'A120',5),(18350,'add in','add in',0,1,1.2,'A350',5),(18351,'add in the','add in the',0,1,1.3333,'A353',5),(18352,'additionally under','additionally under',0,1,1.6,'A354536',5),(18353,'additionally under the','additionally under the',0,1,1.7333,'A3545363',5),(18354,'address input','address input',0,1,1.4333,'A362513',5),(18355,'address input type','address input type',0,1,1.6,'A3625131',5),(18356,'and h2','and h2',0,1,1.2,'A530',5),(18357,'and h2 elements','and h2 elements',0,1,1.5,'A534532',5),(18358,'and modal','and modal',0,1,1.3,'A53534',5),(18359,'and modal first','and modal first',0,1,1.5,'A535341623',5),(18360,'are automatically','are automatically',0,1,1.5667,'A635324',5),(18361,'are automatically styled','are automatically styled',0,1,1.8,'A6353242343',5),(18362,'automatically styled','automatically styled',0,1,1.6667,'A353242343',5),(18363,'automatically styled inside','automatically styled inside',0,1,1.9,'A353242343523',5),(18364,'big header image','big header image',0,1,1.5333,'B23652',5),(18365,'built-in popup','built-in popup',0,1,1.4667,'B4351',5),(18366,'built-in popup mechanism','built-in popup mechanism',0,1,1.8,'B435152525',5),(18367,'business h2','business h2',0,1,1.3667,'B252',5),(18368,'business h2 form','business h2 form',0,1,1.5333,'B252165',5),(18369,'button area','button area',0,1,1.3667,'B356',5),(18370,'can contain','can contain',0,1,1.3667,'C52535',5),(18371,'can contain big','can contain big',0,1,1.5,'C5253512',5),(18372,'can see it','can see it',0,1,1.3333,'C523',5),(18373,'class gk-form','class gk-form',0,1,1.4333,'C42165',5),(18374,'class gk-form div','class gk-form div',0,1,1.5667,'C4216531',5),(18375,'class gk-video-link','class gk-video-link',0,1,1.6333,'C4213452',5),(18376,'class gk-video-link modal','class gk-video-link modal',0,1,1.8333,'C4213452534',5),(18377,'class is responsible','class is responsible',0,1,1.6667,'C426215214',5),(18378,'class the','class the',0,1,1.3,'C423',6),(18379,'class the input','class the input',0,1,1.5,'C423513',5),(18380,'classes gk-video-link','classes gk-video-link',0,1,1.7,'C4213452',5),(18381,'classes gk-video-link and','classes gk-video-link and',0,1,1.8333,'C421345253',5),(18382,'code h1','code h1',0,1,1.2333,'C300',5),(18383,'code h1 start','code h1 start',0,1,1.4333,'C32363',5),(18384,'com embed','com embed',0,1,1.3,'C513',5),(18385,'com embed vb2eobvmvdi','com embed vb2eobvmvdi',0,1,1.7,'C5131513',5),(18386,'contain big','contain big',0,1,1.3667,'C53512',5),(18387,'contain big header','contain big header',0,1,1.6,'C5351236',5),(18388,'creating headers','creating headers',0,1,1.5333,'C6352362',5),(18389,'creating headers then','creating headers then',0,1,1.7,'C635236235',5),(18390,'div form','div form',0,1,1.2667,'D165',5),(18391,'div form p','div form p',0,1,1.3333,'D1651',5),(18392,'div input','div input',0,1,1.3,'D1513',5),(18393,'div input type','div input type',0,1,1.4667,'D15131',5),(18394,'element with gk-form','element with gk-form',0,1,1.6667,'E4532165',5),(18395,'elements are automatically','elements are automatically',0,1,1.8667,'E4532635324',5),(18396,'elements for','elements for',0,1,1.4,'E453216',5),(18397,'elements for creating','elements for creating',0,1,1.7,'E45321626352',5),(18398,'email address','email address',0,1,1.4333,'E54362',5),(18399,'email address input','email address input',0,1,1.6333,'E54362513',5),(18400,'email placeholder','email placeholder',0,1,1.5667,'E54142436',5),(18401,'email placeholder email','email placeholder email',0,1,1.7667,'E5414243654',5),(18402,'embed vb2eobvmvdi','embed vb2eobvmvdi',0,1,1.5667,'E5131513',5),(18403,'embed vb2eobvmvdi rel','embed vb2eobvmvdi rel',0,1,1.7,'E513151364',5),(18404,'features tab','features tab',0,1,1.4,'F36231',5),(18405,'features tab the','features tab the',0,1,1.5333,'F362313',5),(18406,'first class','first class',0,1,1.3667,'F623242',5),(18407,'first class is','first class is',0,1,1.4667,'F623242',5),(18408,'following code h1','following code h1',0,1,1.5667,'F4523',5),(18409,'for creating headers','for creating headers',0,1,1.6667,'F626352362',5),(18410,'for running','for running',0,1,1.3667,'F652',5),(18411,'for running serious','for running serious',0,1,1.6333,'F65262',5),(18412,'for the popup','for the popup',0,1,1.4333,'F631',5),(18413,'for the styling','for the styling',0,1,1.5,'F6323452',5),(18414,'form','form',0,0,0.2667,'F650',5),(18415,'form additionally','form additionally',0,1,1.5667,'F65354',5),(18416,'form additionally under','form additionally under',0,1,1.7667,'F65354536',5),(18417,'form class','form class',0,1,1.3333,'F65242',5),(18418,'form class gk-form','form class gk-form',0,1,1.6,'F65242165',5),(18419,'form element','form element',0,1,1.4,'F65453',5),(18420,'form element with','form element with',0,1,1.5667,'F65453',5),(18421,'form header','form header',0,1,1.3667,'F6536',5),(18422,'form header form','form header form',0,1,1.5333,'F6536165',5),(18423,'form is','form is',0,1,1.2333,'F652',5),(18424,'form is based','form is based',0,1,1.4333,'F652123',5),(18425,'form is wrapped','form is wrapped',0,1,1.5,'F652613',5),(18426,'form p','form p',0,1,1.2,'F651',5),(18427,'form p a','form p a',0,1,1.2667,'F651',5),(18428,'form there','form there',0,1,1.3333,'F6536',5),(18429,'form there is','form there is',0,1,1.4333,'F65362',5),(18430,'free trial','free trial',0,1,1.3333,'F6364',5),(18431,'free trial today','free trial today',0,1,1.5333,'F63643',5),(18432,'frontpage can','frontpage can',0,1,1.4333,'F653125',5),(18433,'frontpage can contain','frontpage can contain',0,1,1.7,'F6531252535',5),(18434,'frontpage elements','frontpage elements',0,1,1.6,'F653124532',5),(18435,'get started','get started',0,1,1.3667,'G32363',5),(18436,'get started today','get started today',0,1,1.5667,'G32363',5),(18437,'gk-form','gk-form',0,0,0.4667,'G165',5),(18438,'gk-form class','gk-form class',0,1,1.4333,'G165242',5),(18439,'gk-form class the','gk-form class the',0,1,1.5667,'G1652423',5),(18440,'gk-form div','gk-form div',0,1,1.3667,'G16531',5),(18441,'gk-form div input','gk-form div input',0,1,1.5667,'G16531513',5),(18442,'gk-video-link','gk-video-link',0,0,0.8667,'G13452',5),(18443,'gk-video-link and','gk-video-link and',0,1,1.5667,'G1345253',5),(18444,'gk-video-link and modal','gk-video-link and modal',0,1,1.7667,'G1345253534',5),(18445,'gk-video-link modal','gk-video-link modal',0,1,1.6333,'G13452534',5),(18446,'gk-video-link modal href','gk-video-link modal href',0,1,1.8,'G1345253461',5),(18447,'h1 and','h1 and',0,1,1.2,'H530',5),(18448,'h1 and h2','h1 and h2',0,1,1.3,'H530',5),(18449,'h1 h2 powerful','h1 h2 powerful',0,1,1.4667,'H1614',5),(18450,'h1 start','h1 start',0,1,1.2667,'H2363',5),(18451,'h1 start 30-day','h1 start 30-day',0,1,1.5,'H2363',5),(18452,'h2 elements','h2 elements',0,1,1.3667,'H4532',5),(18453,'h2 elements for','h2 elements for',0,1,1.5,'H453216',5),(18454,'h2 form','h2 form',0,1,1.2333,'H165',5),(18455,'h2 form class','h2 form class',0,1,1.4333,'H165242',5),(18456,'h2 powerful','h2 powerful',0,1,1.3667,'H1614',5),(18457,'h2 powerful landing','h2 powerful landing',0,1,1.6333,'H16145352',5),(18458,'handler','handler',0,0,0.4667,'H5346',5),(18459,'handler \'iframe\',','handler iframe',0,1,1.5667,'H5346165',5),(18460,'handler \'iframe\', size','handler iframe size',0,1,1.7333,'H53461652',5),(18461,'header form','header form',0,1,1.3667,'H36165',5),(18462,'header form header','header form header',0,1,1.6,'H3616536',5),(18463,'header form is','header form is',0,1,1.4667,'H361652',5),(18464,'header image','header image',0,1,1.4,'H3652',5),(18465,'header image if','header image if',0,1,1.5,'H36521',5),(18466,'headers then','headers then',0,1,1.4,'H36235',5),(18467,'headers then the','headers then the',0,1,1.5333,'H362353',5),(18468,'href http','href http',0,1,1.3,'H6131',5),(18469,'href http www','href http www',0,1,1.4333,'H6131',5),(18470,'http www youtube','http www youtube',0,1,1.5333,'H3131',5),(18471,'icons sliding','icons sliding',0,1,1.4333,'I2524352',4),(18472,'icons sliding notebook','icons sliding notebook',0,1,1.7333,'I25243525312',4),(18473,'if you add','if you add',0,1,1.3333,'I130',5),(18474,'image if','image if',0,1,1.2667,'I521',5),(18475,'image if you','image if you',0,1,1.4,'I521',5),(18476,'imagebg','imagebg',0,0,0.4667,'I5212',5),(18477,'imagebg page','imagebg page',0,1,1.4,'I521212',5),(18478,'imagebg page suffix','imagebg page suffix',0,1,1.6333,'I52121212',5),(18479,'in instant','in instant',0,1,1.3333,'I52353',5),(18480,'in instant h1','in instant h1',0,1,1.4333,'I52353',5),(18481,'in the form','in the form',0,1,1.3667,'I53165',5),(18482,'input elements','input elements',0,1,1.4667,'I5134532',5),(18483,'input elements are','input elements are',0,1,1.6,'I51345326',5),(18484,'input type','input type',0,1,1.3333,'I5131',5),(18485,'input type email','input type email',0,1,1.5333,'I513154',5),(18486,'input type submit','input type submit',0,1,1.5667,'I51312153',5),(18487,'inside the form','inside the form',0,1,1.5,'I523165',5),(18488,'instant','instant',0,0,0.4667,'I52353',5),(18489,'instant h1','instant h1',0,1,1.3333,'I52353',5),(18490,'instant h1 h2','instant h1 h2',0,1,1.4333,'I52353',5),(18491,'introduction','introduction',0,0,0.8,'I5363235',5),(18492,'introduction a','introduction a',0,1,1.4667,'I5363235',5),(18493,'introduction a p','introduction a p',0,1,1.5333,'I53632351',5),(18494,'is based','is based',0,1,1.2667,'I2123',6),(18495,'is based on','is based on',0,1,1.3667,'I21235',6),(18496,'is responsible','is responsible',0,1,1.4667,'I26215214',5),(18497,'is responsible for','is responsible for',0,1,1.6,'I2621521416',5),(18498,'is the link','is the link',0,1,1.3667,'I23452',5),(18499,'is wrapped','is wrapped',0,1,1.3333,'I2613',5),(18500,'is wrapped in','is wrapped in',0,1,1.4333,'I26135',5),(18501,'it uses','it uses',0,1,1.2333,'I320',5),(18502,'it uses h1','it uses h1',0,1,1.3333,'I320',5),(18503,'it uses the','it uses the',0,1,1.3667,'I323',5),(18504,'joomla built-in','joomla built-in',0,1,1.5,'J541435',5),(18505,'joomla built-in popup','joomla built-in popup',0,1,1.7,'J5414351',5),(18506,'landing page theme','landing page theme',0,1,1.6,'L53521235',5),(18507,'link with','link with',0,1,1.3,'L523',5),(18508,'link with classes','link with classes',0,1,1.5667,'L523242',5),(18509,'mechanism','mechanism',0,0,0.6,'M2525',5),(18510,'mechanism icons','mechanism icons',0,1,1.5,'M2525252',4),(18511,'mechanism icons sliding','mechanism icons sliding',0,1,1.7667,'M25252524352',4),(18512,'modal','modal',0,0,0.3333,'M340',5),(18513,'modal first','modal first',0,1,1.3667,'M341623',5),(18514,'modal first class','modal first class',0,1,1.5667,'M341623242',5),(18515,'modal href','modal href',0,1,1.3333,'M3461',5),(18516,'modal href http','modal href http',0,1,1.5,'M346131',5),(18517,'notebook','notebook',0,0,0.5333,'N312',5),(18518,'notebook sliding','notebook sliding',0,1,1.5333,'N3124352',4),(18519,'notebook sliding tablet','notebook sliding tablet',0,1,1.7667,'N31243523143',4),(18520,'on the features','on the features',0,1,1.5,'O531362',5),(18521,'on the following','on the following',0,1,1.5333,'O531452',6),(18522,'one is','one is',0,1,1.2,'O520',5),(18523,'one is responsible','one is responsible',0,1,1.6,'O526215214',5),(18524,'p a','p a',0,1,1.1,'P000',5),(18525,'p a class','p a class',0,1,1.3,'P242',5),(18526,'p as','p as',0,1,1.1333,'P200',5),(18527,'p as you','p as you',0,1,1.2667,'P200',5),(18528,'page suffix header','page suffix header',0,1,1.6,'P21236',5),(18529,'page theme','page theme',0,1,1.3333,'P235',5),(18530,'page theme for','page theme for',0,1,1.4667,'P23516',5),(18531,'placeholder','placeholder',0,0,0.7333,'P42436',5),(18532,'placeholder email','placeholder email',0,1,1.5667,'P4243654',5),(18533,'placeholder email address','placeholder email address',0,1,1.8333,'P4243654362',5),(18534,'popup it','popup it',0,1,1.2667,'P300',5),(18535,'popup it uses','popup it uses',0,1,1.4333,'P320',5),(18536,'popup mechanism','popup mechanism',0,1,1.5,'P52525',5),(18537,'popup mechanism icons','popup mechanism icons',0,1,1.7,'P52525252',4),(18538,'powerful','powerful',0,0,0.5333,'P614',5),(18539,'powerful landing','powerful landing',0,1,1.5333,'P6145352',5),(18540,'powerful landing page','powerful landing page',0,1,1.7,'P614535212',5),(18541,'rel','rel',0,0,0.2,'R400',5),(18542,'rel handler','rel handler',0,1,1.3667,'R45346',5),(18543,'rel handler \'iframe\',','rel handler iframe',0,1,1.7,'R45346165',5),(18544,'responsible','responsible',0,0,0.7333,'R215214',5),(18545,'responsible for','responsible for',0,1,1.5,'R21521416',5),(18546,'responsible for the','responsible for the',0,1,1.6333,'R215214163',5),(18547,'running serious','running serious',0,1,1.5,'R5262',5),(18548,'running serious business','running serious business',0,1,1.8,'R52621252',5),(18549,'second one','second one',0,1,1.3333,'S535',5),(18550,'second one is','second one is',0,1,1.4333,'S5352',5),(18551,'see it','see it',0,1,1.2,'S300',5),(18552,'see it uses','see it uses',0,1,1.3667,'S320',5),(18553,'serious','serious',0,0,0.4667,'S620',5),(18554,'serious business','serious business',0,1,1.5333,'S621252',5),(18555,'serious business h2','serious business h2',0,1,1.6333,'S621252',5),(18556,'set up','set up',0,1,1.2,'S310',5),(18557,'set up in','set up in',0,1,1.3,'S315',5),(18558,'settings on','settings on',0,1,1.3667,'S3525',5),(18559,'settings on the','settings on the',0,1,1.5,'S35253',5),(18560,'size x','size x',0,1,1.2,'S000',5),(18561,'size x 560','size x 560',0,1,1.3333,'S000',5),(18562,'sliding','sliding',0,0,0.4667,'S4352',5),(18563,'sliding notebook','sliding notebook',0,1,1.5333,'S43525312',5),(18564,'sliding notebook sliding','sliding notebook sliding',0,1,1.8,'S435253124352',4),(18565,'sliding tablet','sliding tablet',0,1,1.4667,'S43523143',5),(18566,'sliding tablet testimonials','sliding tablet testimonials',0,1,1.9,'S4352314323542',4),(18567,'start 30-day','start 30-day',0,1,1.4,'S363',5),(18568,'start 30-day free','start 30-day free',0,1,1.5667,'S36316',5),(18569,'started','started',0,0,0.4667,'S363',5),(18570,'started today','started today',0,1,1.4333,'S363',5),(18571,'started today div','started today div',0,1,1.5667,'S3631',5),(18572,'styled inside','styled inside',0,1,1.4333,'S343523',5),(18573,'styled inside the','styled inside the',0,1,1.5667,'S343523',5),(18574,'styling second','styling second',0,1,1.4667,'S345253',5),(18575,'styling second one','styling second one',0,1,1.6,'S3452535',5),(18576,'submit','submit',0,0,0.4,'S153',5),(18577,'submit value','submit value',0,1,1.4,'S15314',5),(18578,'submit value get','submit value get',0,1,1.5333,'S1531423',5),(18579,'suffix header','suffix header',0,1,1.4333,'S1236',5),(18580,'suffix header form','suffix header form',0,1,1.6,'S1236165',5),(18581,'tab the','tab the',0,1,1.2333,'T130',5),(18582,'tab the imagebg','tab the imagebg',0,1,1.5,'T135212',5),(18583,'tablet testimonials','tablet testimonials',0,1,1.6333,'T14323542',4),(18584,'tablet testimonials button','tablet testimonials button',0,1,1.8667,'T14323542135',4),(18585,'template settings','template settings',0,1,1.5667,'T51432352',5),(18586,'template settings on','template settings on',0,1,1.6667,'T514323525',5),(18587,'testimonials','testimonials',0,0,0.8,'T23542',5),(18588,'testimonials button','testimonials button',0,1,1.6333,'T23542135',4),(18589,'testimonials button area','testimonials button area',0,1,1.8,'T235421356',4),(18590,'the features tab','the features tab',0,1,1.5333,'T136231',5),(18591,'the form','the form',0,1,1.2667,'T165',5),(18592,'the form additionally','the form additionally',0,1,1.7,'T165354',5),(18593,'the form element','the form element',0,1,1.5333,'T165453',5),(18594,'the form is','the form is',0,1,1.3667,'T1652',5),(18595,'the form there','the form there',0,1,1.4667,'T16536',5),(18596,'the imagebg','the imagebg',0,1,1.3667,'T5212',5),(18597,'the imagebg page','the imagebg page',0,1,1.5333,'T521212',5),(18598,'the input','the input',0,1,1.3,'T513',5),(18599,'the input elements','the input elements',0,1,1.6,'T5134532',5),(18600,'the introduction','the introduction',0,1,1.5333,'T5363235',5),(18601,'the introduction a','the introduction a',0,1,1.6,'T5363235',5),(18602,'the joomla','the joomla',0,1,1.3333,'T254',5),(18603,'the joomla built-in','the joomla built-in',0,1,1.6333,'T2541435',5),(18604,'the link with','the link with',0,1,1.4333,'T4523',5),(18605,'the popup','the popup',0,1,1.3,'T100',5),(18606,'the popup it','the popup it',0,1,1.4,'T130',5),(18607,'the styling','the styling',0,1,1.3667,'T23452',5),(18608,'the styling second','the styling second',0,1,1.6,'T2345253',5),(18609,'the template settings','the template settings',0,1,1.7,'T51432352',5),(18610,'theme for','theme for',0,1,1.3,'T516',5),(18611,'theme for running','theme for running',0,1,1.5667,'T51652',5),(18612,'then the form','then the form',0,1,1.4333,'T53165',5),(18613,'there is','there is',0,1,1.2667,'T620',5),(18614,'there is the','there is the',0,1,1.4,'T623',5),(18615,'today div','today div',0,1,1.3,'T100',5),(18616,'today div form','today div form',0,1,1.4667,'T165',5),(18617,'today set','today set',0,1,1.3,'T230',5),(18618,'today set up','today set up',0,1,1.4,'T231',5),(18619,'trial','trial',0,0,0.3333,'T640',5),(18620,'trial today','trial today',0,1,1.3667,'T643',5),(18621,'trial today set','trial today set',0,1,1.5,'T64323',5),(18622,'type email','type email',0,1,1.3333,'T154',5),(18623,'type email placeholder','type email placeholder',0,1,1.7333,'T154142436',5),(18624,'type submit','type submit',0,1,1.3667,'T12153',5),(18625,'type submit value','type submit value',0,1,1.5667,'T1215314',5),(18626,'under the form','under the form',0,1,1.4667,'U5363165',5),(18627,'up in instant','up in instant',0,1,1.4333,'U152353',5),(18628,'uses h1','uses h1',0,1,1.2333,'U200',5),(18629,'uses h1 and','uses h1 and',0,1,1.3667,'U253',5),(18630,'uses the','uses the',0,1,1.2667,'U230',5),(18631,'uses the joomla','uses the joomla',0,1,1.5,'U23254',5),(18632,'value get','value get',0,1,1.3,'V423',5),(18633,'value get started','value get started',0,1,1.5667,'V4232363',5),(18634,'vb2eobvmvdi','vb2eobvmvdi',0,0,0.7333,'V513',5),(18635,'vb2eobvmvdi rel','vb2eobvmvdi rel',0,1,1.5,'V51364',5),(18636,'vb2eobvmvdi rel handler','vb2eobvmvdi rel handler',0,1,1.7667,'V513645346',5),(18637,'watch the','watch the',0,1,1.3,'W323',5),(18638,'watch the introduction','watch the introduction',0,1,1.7333,'W3235363235',5),(18639,'with classes','with classes',0,1,1.4,'W3242',5),(18640,'with classes gk-video-link','with classes gk-video-link',0,1,1.8667,'W324213452',5),(18641,'with gk-form','with gk-form',0,1,1.4,'W32165',5),(18642,'with gk-form class','with gk-form class',0,1,1.6,'W32165242',5),(18643,'wrapped','wrapped',0,0,0.4667,'W613',5),(18644,'wrapped in','wrapped in',0,1,1.3333,'W6135',5),(18645,'wrapped in the','wrapped in the',0,1,1.4667,'W61353',5),(18646,'www youtube','www youtube',0,1,1.3667,'W310',5),(18647,'www youtube com','www youtube com',0,1,1.5,'W3125',5),(18648,'x 560','x 560',0,1,1.1667,'X000',5),(18649,'x 560 y','x 560 y',0,1,1.2333,'X000',5),(18650,'y','y',0,0,0.0667,'Y000',5),(18651,'y 315','y 315',0,1,1.1667,'Y000',5),(18652,'y 315 watch','y 315 watch',0,1,1.3667,'Y320',5),(18653,'you add','you add',0,1,1.2333,'Y300',5),(18654,'you add in','you add in',0,1,1.3333,'Y350',5),(18655,'youtube com','youtube com',0,1,1.3667,'Y3125',5),(18656,'youtube com embed','youtube com embed',0,1,1.5667,'Y312513',5),(18657,'15 small','15 small',0,1,1.2667,'S540',1),(18658,'15 small month','15 small month',0,1,1.4667,'S5453',1),(18659,'29 small month','29 small month',0,1,1.4667,'S5453',1),(18660,'99 small','99 small',0,1,1.2667,'S540',1),(18661,'99 small month','99 small month',0,1,1.4667,'S5453',1),(18662,'a href choose','a href choose',0,1,1.4333,'A612',1),(18663,'a month','a month',0,1,1.2333,'A530',1),(18664,'a month dd','a month dd',0,1,1.3333,'A530',1),(18665,'add the link','add the link',0,1,1.4,'A3452',1),(18666,'adding of','adding of',0,1,1.3,'A3521',1),(18667,'adding of the','adding of the',0,1,1.4333,'A35213',1),(18668,'an animated','an animated',0,1,1.3667,'A530',1),(18669,'an animated price','an animated price',0,1,1.5667,'A53162',1),(18670,'and the last','and the last',0,1,1.4,'A53423',1),(18671,'animated price','animated price',0,1,1.4667,'A53162',1),(18672,'animated price table','animated price table',0,1,1.6667,'A53162314',1),(18673,'at the bottom','at the bottom',0,1,1.4333,'A3135',1),(18674,'be highlighted in','be highlighted in',0,1,1.5667,'B24235',1),(18675,'bottom is','bottom is',0,1,1.3,'B352',1),(18676,'bottom is very','bottom is very',0,1,1.4667,'B35216',1),(18677,'button at','button at',0,1,1.3,'B353',1),(18678,'button at the','button at the',0,1,1.4333,'B353',1),(18679,'by dl','by dl',0,1,1.1667,'B340',1),(18680,'by dl element','by dl element',0,1,1.4333,'B3453',1),(18681,'can specify te','can specify te',0,1,1.4667,'C521213',1),(18682,'can specify the','can specify the',0,1,1.5,'C521213',1),(18683,'can use classes','can use classes',0,1,1.5,'C5242',1),(18684,'choose','choose',0,0,0.4,'C000',1),(18685,'choose a','choose a',0,1,1.2667,'C000',1),(18686,'choose a dd','choose a dd',0,1,1.3667,'C300',1),(18687,'clases','clases',0,0,0.4,'C420',1),(18688,'clases the','clases the',0,1,1.3333,'C423',1),(18689,'clases the gkpricetable','clases the gkpricetable',0,1,1.7667,'C4232162314',1),(18690,'class gkpremium','class gkpremium',0,1,1.5,'C42165',1),(18691,'class gkpremium dt','class gkpremium dt',0,1,1.6,'C421653',1),(18692,'class gkprice','class gkprice',0,1,1.4333,'C42162',1),(18693,'class gkprice 15','class gkprice 15',0,1,1.5333,'C42162',1),(18694,'class gkprice 29','class gkprice 29',0,1,1.5333,'C42162',1),(18695,'class gkprice 99','class gkprice 99',0,1,1.5333,'C42162',1),(18696,'class gkpricetable gkpricetableanimated','class gkpricetable gkpricetableanimated',0,1,2,'C42162314216231453',1),(18697,'class is required','class is required',0,1,1.5667,'C426263',1),(18698,'class is used','class is used',0,1,1.4333,'C423',1),(18699,'class the column','class the column',0,1,1.5333,'C423245',1),(18700,'class you','class you',0,1,1.3,'C420',1),(18701,'class you can','class you can',0,1,1.4333,'C425',1),(18702,'col1 col5 every','col1 col5 every',0,1,1.5,'C42416',1),(18703,'col3 dl','col3 dl',0,1,1.2333,'C434',1),(18704,'col3 dl dt','col3 dl dt',0,1,1.3333,'C4343',1),(18705,'col5 every','col5 every',0,1,1.3333,'C416',1),(18706,'col5 every column','col5 every column',0,1,1.5667,'C416245',1),(18707,'column is','column is',0,1,1.3,'C452',2),(18708,'column is specified','column is specified',0,1,1.6333,'C4521213',1),(18709,'column title','column title',0,1,1.4,'C4534',1),(18710,'column title in','column title in',0,1,1.5,'C45345',1),(18711,'column will','column will',0,1,1.3667,'C454',1),(18712,'column will be','column will be',0,1,1.4667,'C4541',1),(18713,'columns you','columns you',0,1,1.3667,'C452',1),(18714,'columns you can','columns you can',0,1,1.5,'C4525',1),(18715,'contacts','contacts',0,0,0.5333,'C53232',1),(18716,'contacts dd','contacts dd',0,1,1.3667,'C532323',1),(18717,'contacts dd dd','contacts dd dd',0,1,1.4667,'C532323',1),(18718,'contains three clases','contains three clases',0,1,1.7,'C535236242',1),(18719,'create an animated','create an animated',0,1,1.6,'C6353',1),(18720,'custom','custom',0,0,0.4,'C350',2),(18721,'custom html','custom html',0,1,1.3667,'C35354',2),(18722,'custom html is','custom html is',0,1,1.4667,'C353542',1),(18723,'dd a href','dd a href',0,1,1.3,'D610',1),(18724,'dd class gkprice','dd class gkprice',0,1,1.5333,'D242162',1),(18725,'dd dd try','dd dd try',0,1,1.3,'D600',1),(18726,'dd dd unlimited','dd dd unlimited',0,1,1.5,'D5453',1),(18727,'dd dl div','dd dl div',0,1,1.3,'D431',1),(18728,'dd dl dl','dd dl dl',0,1,1.2667,'D434',1),(18729,'dd element','dd element',0,1,1.3333,'D453',1),(18730,'dd element with','dd element with',0,1,1.5,'D453',1),(18731,'dd try','dd try',0,1,1.2,'D600',1),(18732,'dd try it','dd try it',0,1,1.3,'D630',1),(18733,'dd unlimited','dd unlimited',0,1,1.4,'D5453',1),(18734,'dd unlimited contacts','dd unlimited contacts',0,1,1.7,'D5453253232',1),(18735,'dd unlimited storage','dd unlimited storage',0,1,1.6667,'D54532362',1),(18736,'dd unlimited transactions','dd unlimited transactions',0,1,1.8333,'D5453652352',1),(18737,'dd unlimited users','dd unlimited users',0,1,1.6,'D5453262',1),(18738,'div the main','div the main',0,1,1.4,'D135',1),(18739,'dl class','dl class',0,1,1.2667,'D4242',1),(18740,'dl class gkpremium','dl class gkpremium',0,1,1.6,'D4242165',1),(18741,'dl div','dl div',0,1,1.2,'D431',1),(18742,'dl div the','dl div the',0,1,1.3333,'D4313',1),(18743,'dl dl','dl dl',0,1,1.1667,'D434',1),(18744,'dl dl class','dl dl class',0,1,1.3667,'D434242',1),(18745,'dl dl dt','dl dl dt',0,1,1.2667,'D4343',1),(18746,'dl dt plus','dl dt plus',0,1,1.3333,'D43142',1),(18747,'dl element','dl element',0,1,1.3333,'D453',1),(18748,'dl element with','dl element with',0,1,1.5,'D453',1),(18749,'dt element','dt element',0,1,1.3333,'D453',1),(18750,'dt element you','dt element you',0,1,1.4667,'D453',1),(18751,'dt plus','dt plus',0,1,1.2333,'D142',1),(18752,'dt plus dt','dt plus dt',0,1,1.3333,'D1423',1),(18753,'dt premium','dt premium',0,1,1.3333,'D165',1),(18754,'dt premium dt','dt premium dt',0,1,1.4333,'D1653',1),(18755,'element in','element in',0,1,1.3333,'E4535',1),(18756,'element in the','element in the',0,1,1.4667,'E45353',1),(18757,'element with gkpremium','element with gkpremium',0,1,1.7333,'E4532165',1),(18758,'element with gkprice','element with gkprice',0,1,1.6667,'E4532162',1),(18759,'element you','element you',0,1,1.3667,'E453',1),(18760,'element you can','element you can',0,1,1.5,'E45325',1),(18761,'every column','every column',0,1,1.4,'E16245',2),(18762,'every column is','every column is',0,1,1.5,'E162452',2),(18763,'for a month','for a month',0,1,1.3667,'F653',1),(18764,'gkpremium','gkpremium',0,0,0.6,'G165',1),(18765,'gkpremium class','gkpremium class',0,1,1.5,'G165242',1),(18766,'gkpremium class the','gkpremium class the',0,1,1.6333,'G1652423',1),(18767,'gkpremium dt','gkpremium dt',0,1,1.4,'G1653',1),(18768,'gkpremium dt premium','gkpremium dt premium',0,1,1.6667,'G1653165',1),(18769,'gkprice','gkprice',0,0,0.4667,'G162',1),(18770,'gkprice 15','gkprice 15',0,1,1.3333,'G162',1),(18771,'gkprice 15 small','gkprice 15 small',0,1,1.5333,'G16254',1),(18772,'gkprice 29','gkprice 29',0,1,1.3333,'G162',1),(18773,'gkprice 29 small','gkprice 29 small',0,1,1.5333,'G16254',1),(18774,'gkprice 99','gkprice 99',0,1,1.3333,'G162',1),(18775,'gkprice 99 small','gkprice 99 small',0,1,1.5333,'G16254',1),(18776,'gkprice class','gkprice class',0,1,1.4333,'G16242',1),(18777,'gkprice class you','gkprice class you',0,1,1.5667,'G16242',1),(18778,'gkpricetable class','gkpricetable class',0,1,1.6,'G162314242',1),(18779,'gkpricetable class is','gkpricetable class is',0,1,1.7,'G162314242',1),(18780,'gkpricetable gkpricetableanimated','gkpricetable gkpricetableanimated',0,1,2,'G162314216231453',1),(18781,'gkpricetable gkpricetableanimated col3','gkpricetable gkpricetableanimated col3',0,1,2,'G16231421623145324',1),(18782,'gkpricetableanimated','gkpricetableanimated',0,0,1,'G16231453',1),(18783,'gkpricetableanimated col3','gkpricetableanimated col3',0,1,1.8333,'G1623145324',1),(18784,'gkpricetableanimated col3 dl','gkpricetableanimated col3 dl',0,1,1.9333,'G162314532434',1),(18785,'gkpricetableanimated is','gkpricetableanimated is',0,1,1.7667,'G162314532',1),(18786,'gkpricetableanimated is required','gkpricetableanimated is required',0,1,2,'G1623145326263',1),(18787,'highlighted in','highlighted in',0,1,1.4667,'H24235',1),(18788,'highlighted in the','highlighted in the',0,1,1.6,'H242353',1),(18789,'href choose','href choose',0,1,1.3667,'H612',1),(18790,'href choose a','href choose a',0,1,1.4333,'H612',1),(18791,'html is','html is',0,1,1.2333,'H3542',1),(18792,'html is based','html is based',0,1,1.4333,'H3542123',1),(18793,'in the dd','in the dd',0,1,1.3,'I530',1),(18794,'in the dt','in the dt',0,1,1.3,'I530',1),(18795,'is required','is required',0,1,1.3667,'I26263',1),(18796,'is required if','is required if',0,1,1.4667,'I262631',1),(18797,'is required the','is required the',0,1,1.5,'I26263',1),(18798,'is specified','is specified',0,1,1.4,'I21213',1),(18799,'is specified by','is specified by',0,1,1.5,'I212131',1),(18800,'is very simple','is very simple',0,1,1.4667,'I2162514',1),(18801,'it for a','it for a',0,1,1.2667,'I316',1),(18802,'it needs','it needs',0,1,1.2667,'I3532',1),(18803,'it needs just','it needs just',0,1,1.4333,'I35323',1),(18804,'just to','just to',0,1,1.2333,'J300',1),(18805,'just to add','just to add',0,1,1.3667,'J300',1),(18806,'last class','last class',0,1,1.3333,'L23242',1),(18807,'last class is','last class is',0,1,1.4333,'L23242',1),(18808,'link element','link element',0,1,1.4,'L52453',1),(18809,'link element in','link element in',0,1,1.5,'L524535',1),(18810,'month','month',0,0,0.3333,'M300',1),(18811,'month dd','month dd',0,1,1.2667,'M300',1),(18812,'month dd dd','month dd dd',0,1,1.3667,'M300',1),(18813,'month small','month small',0,1,1.3667,'M3254',1),(18814,'month small dd','month small dd',0,1,1.4667,'M32543',1),(18815,'needs just','needs just',0,1,1.3333,'N323',1),(18816,'needs just to','needs just to',0,1,1.4333,'N323',1),(18817,'of columns you','of columns you',0,1,1.4667,'O12452',1),(18818,'of the button','of the button',0,1,1.4333,'O13135',1),(18819,'on scrolling and','on scrolling and',0,1,1.5333,'O52645253',1),(18820,'period','period',0,0,0.4,'P630',1),(18821,'period time','period time',0,1,1.3667,'P635',1),(18822,'period time adding','period time adding',0,1,1.6,'P635352',1),(18823,'plus','plus',0,0,0.2667,'P420',12),(18824,'plus dt','plus dt',0,1,1.2333,'P423',1),(18825,'plus dt dd','plus dt dd',0,1,1.3333,'P423',1),(18826,'premium dt','premium dt',0,1,1.3333,'P653',1),(18827,'premium dt dd','premium dt dd',0,1,1.4333,'P653',1),(18828,'price table custom','price table custom',0,1,1.6,'P62314235',1),(18829,'price table on','price table on',0,1,1.4667,'P623145',1),(18830,'price using','price using',0,1,1.3667,'P6252',1),(18831,'price using the','price using the',0,1,1.5,'P62523',1),(18832,'required','required',0,0,0.5333,'R263',1),(18833,'required if','required if',0,1,1.3667,'R2631',1),(18834,'required if you','required if you',0,1,1.5,'R2631',1),(18835,'required the','required the',0,1,1.4,'R263',1),(18836,'required the gkpricetableanimated','required the gkpricetableanimated',0,1,2,'R263216231453',1),(18837,'scrolling and','scrolling and',0,1,1.4333,'S645253',1),(18838,'scrolling and the','scrolling and the',0,1,1.5667,'S645253',1),(18839,'service period','service period',0,1,1.4667,'S612163',1),(18840,'service period time','service period time',0,1,1.6333,'S6121635',1),(18841,'simple it','simple it',0,1,1.3,'S5143',1),(18842,'simple it needs','simple it needs',0,1,1.5,'S5143532',1),(18843,'small element','small element',0,1,1.4333,'S5453',1),(18844,'small element you','small element you',0,1,1.5667,'S5453',1),(18845,'small month','small month',0,1,1.3667,'S5453',1),(18846,'small month small','small month small',0,1,1.5667,'S5453254',1),(18847,'specified','specified',0,0,0.6,'S1213',1),(18848,'specified by','specified by',0,1,1.4,'S12131',1),(18849,'specified by dl','specified by dl',0,1,1.5,'S1213134',1),(18850,'specify te','specify te',0,1,1.3333,'S1213',1),(18851,'specify te service','specify te service',0,1,1.6,'S12132612',1),(18852,'specify the amount','specify the amount',0,1,1.6,'S121353',1),(18853,'specify the price','specify the price',0,1,1.5667,'S1213162',1),(18854,'specify the table','specify the table',0,1,1.5667,'S121314',1),(18855,'storage','storage',0,0,0.4667,'S362',1),(18856,'storage dd','storage dd',0,1,1.3333,'S3623',1),(18857,'storage dd dd','storage dd dd',0,1,1.4333,'S3623',1),(18858,'table column','table column',0,1,1.4,'T14245',1),(18859,'table column title','table column title',0,1,1.6,'T1424534',1),(18860,'table custom','table custom',0,1,1.4,'T14235',1),(18861,'table custom html','table custom html',0,1,1.5667,'T14235354',1),(18862,'table on','table on',0,1,1.2667,'T145',1),(18863,'table on scrolling','table on scrolling',0,1,1.6,'T14526452',1),(18864,'te','te',0,0,0.1333,'T000',1),(18865,'te service','te service',0,1,1.3333,'T2612',1),(18866,'te service period','te service period',0,1,1.5667,'T2612163',1),(18867,'the bottom','the bottom',0,1,1.3333,'T135',1),(18868,'the bottom is','the bottom is',0,1,1.4333,'T1352',1),(18869,'the button','the button',0,1,1.3333,'T135',1),(18870,'the button at','the button at',0,1,1.4333,'T1353',1),(18871,'the column will','the column will',0,1,1.5,'T2454',1),(18872,'the dd','the dd',0,1,1.2,'T000',1),(18873,'the dd element','the dd element',0,1,1.4667,'T453',1),(18874,'the dt','the dt',0,1,1.2,'T000',1),(18875,'the dt element','the dt element',0,1,1.4667,'T453',1),(18876,'the gkpricetable','the gkpricetable',0,1,1.5333,'T2162314',1),(18877,'the gkpricetable class','the gkpricetable class',0,1,1.7333,'T2162314242',1),(18878,'the gkpricetableanimated','the gkpricetableanimated',0,1,1.8,'T216231453',1),(18879,'the gkpricetableanimated is','the gkpricetableanimated is',0,1,1.9,'T2162314532',1),(18880,'the last class','the last class',0,1,1.4667,'T423242',1),(18881,'the link element','the link element',0,1,1.5333,'T452453',1),(18882,'the price using','the price using',0,1,1.5,'T16252',1),(18883,'the small','the small',0,1,1.3,'T254',1),(18884,'the small element','the small element',0,1,1.5667,'T25453',1),(18885,'the table','the table',0,1,1.3,'T140',1),(18886,'the table column','the table column',0,1,1.5333,'T14245',1),(18887,'three clases','three clases',0,1,1.4,'T6242',1),(18888,'three clases the','three clases the',0,1,1.5333,'T62423',1),(18889,'time adding','time adding',0,1,1.3667,'T5352',1),(18890,'time adding of','time adding of',0,1,1.4667,'T53521',1),(18891,'title in','title in',0,1,1.2667,'T450',1),(18892,'title in the','title in the',0,1,1.4,'T453',1),(18893,'to create an','to create an',0,1,1.4,'T2635',2),(18894,'to specify the','to specify the',0,1,1.4667,'T21213',1),(18895,'transactions','transactions',0,0,0.8,'T652352',1),(18896,'transactions dd','transactions dd',0,1,1.5,'T6523523',1),(18897,'transactions dd dd','transactions dd dd',0,1,1.6,'T6523523',1),(18898,'try','try',0,0,0.2,'T600',1),(18899,'try it','try it',0,1,1.2,'T630',1),(18900,'try it for','try it for',0,1,1.3333,'T6316',1),(18901,'unlimited contacts','unlimited contacts',0,1,1.6,'U5453253232',1),(18902,'unlimited contacts dd','unlimited contacts dd',0,1,1.7,'U54532532323',1),(18903,'unlimited storage','unlimited storage',0,1,1.5667,'U54532362',1),(18904,'unlimited storage dd','unlimited storage dd',0,1,1.6667,'U545323623',1),(18905,'unlimited transactions','unlimited transactions',0,1,1.7333,'U5453652352',1),(18906,'unlimited transactions dd','unlimited transactions dd',0,1,1.8333,'U54536523523',1),(18907,'unlimited users','unlimited users',0,1,1.5,'U5453262',1),(18908,'unlimited users dd','unlimited users dd',0,1,1.6,'U54532623',1),(18909,'use classes','use classes',0,1,1.3667,'U242',1),(18910,'use classes col1','use classes col1',0,1,1.5333,'U2424',1),(18911,'used to specify','used to specify',0,1,1.5,'U232121',1),(18912,'users dd','users dd',0,1,1.2667,'U2623',1),(18913,'users dd dd','users dd dd',0,1,1.3667,'U2623',1),(18914,'using the small','using the small',0,1,1.5,'U2523254',1),(18915,'very simple','very simple',0,1,1.3667,'V62514',1),(18916,'very simple it','very simple it',0,1,1.4667,'V625143',1),(18917,'will be highlighted','will be highlighted',0,1,1.6333,'W412423',1),(18918,'with gkpremium','with gkpremium',0,1,1.4667,'W32165',1),(18919,'with gkpremium class','with gkpremium class',0,1,1.6667,'W32165242',1),(18920,'with gkprice','with gkprice',0,1,1.4,'W32162',1),(18921,'with gkprice class','with gkprice class',0,1,1.6,'W3216242',1),(18922,'wrapper contains three','wrapper contains three',0,1,1.7333,'W6162535236',1),(18923,'30 day','30 day',0,1,1.2,'D000',1),(18924,'30 day free','30 day free',0,1,1.3667,'D160',1),(18925,'30-day money','30-day money',0,1,1.4,'D500',1),(18926,'30-day money back','30-day money back',0,1,1.5667,'D512',1),(18927,'8 ui','8 ui',0,1,1.1333,'U000',1),(18928,'8 ui h2','8 ui h2',0,1,1.2333,'U000',1),(18929,'a augue','a augue',0,1,1.2333,'A200',1),(18930,'a augue ante','a augue ante',0,1,1.4,'A253',1),(18931,'a big button','a big button',0,1,1.4,'A12135',1),(18932,'a div every','a div every',0,1,1.3667,'A316',1),(18933,'a div h2','a div h2',0,1,1.2667,'A310',1),(18934,'a href get','a href get',0,1,1.3333,'A6123',1),(18935,'a leo','a leo',0,1,1.1667,'A400',1),(18936,'a leo libero','a leo libero',0,1,1.4,'A416',1),(18937,'a p div','a p div',0,1,1.2333,'A131',1),(18938,'a paragraph','a paragraph',0,1,1.3667,'A16261',1),(18939,'a paragraph with','a paragraph with',0,1,1.5333,'A162613',1),(18940,'adds necessary','adds necessary',0,1,1.4667,'A32526',1),(18941,'adds necessary top','adds necessary top',0,1,1.6,'A3252631',1),(18942,'after your','after your',0,1,1.3333,'A136',1),(18943,'after your 30-day','after your 30-day',0,1,1.5667,'A1363',1),(18944,'all features','all features',0,1,1.4,'A41362',1),(18945,'all features small','all features small',0,1,1.6,'A4136254',1),(18946,'alt image','alt image',0,1,1.3,'A4352',1),(18947,'alt image block','alt image block',0,1,1.5,'A4352142',1),(18948,'alt manufacturers','alt manufacturers',0,1,1.5667,'A43512362',1),(18949,'alt manufacturers img','alt manufacturers img',0,1,1.7,'A4351236252',1),(18950,'alt notebook','alt notebook',0,1,1.4,'A435312',1),(18951,'alt notebook div','alt notebook div',0,1,1.5333,'A43531231',1),(18952,'alt paulina','alt paulina',0,1,1.3667,'A43145',1),(18953,'alt paulina nowakowska','alt paulina nowakowska',0,1,1.7333,'A431452',1),(18954,'alt robert','alt robert',0,1,1.3333,'A436163',1),(18955,'alt robert gavick','alt robert gavick',0,1,1.5667,'A436163212',1),(18956,'alt tomasz','alt tomasz',0,1,1.3333,'A4352',1),(18957,'alt tomasz dziuda','alt tomasz dziuda',0,1,1.5667,'A4352323',1),(18958,'amet donec','amet donec',0,1,1.3333,'A5352',1),(18959,'amet donec viverra','amet donec viverra',0,1,1.6,'A535216',1),(18960,'amet p p','amet p p',0,1,1.2667,'A531',1),(18961,'an avatar','an avatar',0,1,1.3,'A5136',1),(18962,'an avatar and','an avatar and',0,1,1.4333,'A513653',1),(18963,'an image','an image',0,1,1.2667,'A520',1),(18964,'an image which','an image which',0,1,1.4667,'A520',1),(18965,'and gkhorizontalsliderightcolumn','and gkhorizontalsliderightcolumn',0,1,2,'A53262534243623245',1),(18966,'and gkhorizontalsliderightcolumn in','and gkhorizontalsliderightcolumn in',0,1,2,'A53262534243623245',1),(18967,'and paragraph','and paragraph',0,1,1.4333,'A5316261',1),(18968,'and paragraph with','and paragraph with',0,1,1.6,'A53162613',1),(18969,'and the figcaption','and the figcaption',0,1,1.6,'A5312135',1),(18970,'and wordpress','and wordpress',0,1,1.4333,'A5363162',1),(18971,'and wordpress blog','and wordpress blog',0,1,1.6,'A5363162142',1),(18972,'ante p','ante p',0,1,1.2,'A531',1),(18973,'ante p p','ante p p',0,1,1.2667,'A531',1),(18974,'ante pellentesque pretium','ante pellentesque pretium',0,1,1.8333,'A53145321635',1),(18975,'ante pellentesque q','ante pellentesque q',0,1,1.6333,'A5314532',1),(18976,'are created','are created',0,1,1.3667,'A6263',1),(18977,'are created using','are created using',0,1,1.5667,'A6263252',1),(18978,'are the','are the',0,1,1.2333,'A630',1),(18979,'are the containers','are the containers',0,1,1.6,'A63253562',1),(18980,'area the','area the',0,1,1.2667,'A630',1),(18981,'area the last','area the last',0,1,1.4333,'A63423',1),(18982,'area you','area you',0,1,1.2667,'A600',1),(18983,'area you can','area you can',0,1,1.4,'A625',1),(18984,'at tristique','at tristique',0,1,1.4,'A36232',1),(18985,'at tristique integer','at tristique integer',0,1,1.6667,'A362325326',1),(18986,'augue ante','augue ante',0,1,1.3333,'A253',1),(18987,'augue ante pellentesque','augue ante pellentesque',0,1,1.7667,'A25314532',1),(18988,'avatar','avatar',0,0,0.4,'A136',1),(18989,'avatar and','avatar and',0,1,1.3333,'A13653',1),(18990,'avatar and the','avatar and the',0,1,1.4667,'A13653',1),(18991,'avatar-1.png','avatar-1.png',0,0,0.8,'A136152',1),(18992,'avatar-1.png alt','avatar-1.png alt',0,1,1.5333,'A13615243',1),(18993,'avatar-1.png alt robert','avatar-1.png alt robert',0,1,1.7667,'A136152436163',1),(18994,'avatar-2.png','avatar-2.png',0,0,0.8,'A136152',1),(18995,'avatar-2.png alt','avatar-2.png alt',0,1,1.5333,'A13615243',1),(18996,'avatar-2.png alt paulina','avatar-2.png alt paulina',0,1,1.8,'A13615243145',1),(18997,'avatar-3.png','avatar-3.png',0,0,0.8,'A136152',1),(18998,'avatar-3.png alt','avatar-3.png alt',0,1,1.5333,'A13615243',1),(18999,'avatar-3.png alt tomasz','avatar-3.png alt tomasz',0,1,1.7667,'A1361524352',1),(19000,'back guarantee','back guarantee',0,1,1.4667,'B2653',1),(19001,'back guarantee starts','back guarantee starts',0,1,1.7,'B265323632',1),(19002,'be placed an','be placed an',0,1,1.4,'B4235',1),(19003,'bibendum metus','bibendum metus',0,1,1.4667,'B53532',1),(19004,'bibendum metus eu','bibendum metus eu',0,1,1.5667,'B53532',1),(19005,'bibendum tempor','bibendum tempor',0,1,1.5,'B5353516',1),(19006,'bibendum tempor massa','bibendum tempor massa',0,1,1.7,'B535351652',1),(19007,'big button','big button',0,1,1.3333,'B2135',1),(19008,'big button floated','big button floated',0,1,1.6,'B2135143',1),(19009,'block testimonials','block testimonials',0,1,1.6,'B42323542',1),(19010,'block testimonials the','block testimonials the',0,1,1.7333,'B423235423',1),(19011,'block the','block the',0,1,1.3,'B423',1),(19012,'block the sliding','block the sliding',0,1,1.5667,'B42324352',1),(19013,'block with','block with',0,1,1.3333,'B423',1),(19014,'block with the','block with the',0,1,1.4667,'B423',1),(19015,'blockquote element is','blockquote element is',0,1,1.7,'B4234532',1),(19016,'blog theme','blog theme',0,1,1.3333,'B4235',1),(19017,'blog theme inspired','blog theme inspired',0,1,1.6333,'B42352163',1),(19018,'br','br',0,0,0.1333,'B600',1),(19019,'br mobile-friendly','br mobile-friendly',0,1,1.6,'B651416534',1),(19020,'br mobile-friendly website','br mobile-friendly website',0,1,1.8667,'B651416534123',1),(19021,'build responsive','build responsive',0,1,1.5333,'B43621521',1),(19022,'build responsive br','build responsive br',0,1,1.6333,'B436215216',1),(19023,'button area the','button area the',0,1,1.5,'B3563',1),(19024,'button floated','button floated',0,1,1.4667,'B35143',1),(19025,'button floated to','button floated to',0,1,1.5667,'B35143',1),(19026,'button view','button view',0,1,1.3667,'B351',1),(19027,'button view details','button view details',0,1,1.6333,'B351342',1),(19028,'by metro','by metro',0,1,1.2667,'B536',1),(19029,'by metro windows','by metro windows',0,1,1.5333,'B536532',1),(19030,'can place','can place',0,1,1.3,'C5142',1),(19031,'can place a','can place a',0,1,1.3667,'C5142',1),(19032,'can place the','can place the',0,1,1.4333,'C51423',1),(19033,'centered suffix you','centered suffix you',0,1,1.6333,'C5363212',1),(19034,'class adds','class adds',0,1,1.3333,'C4232',1),(19035,'class adds necessary','class adds necessary',0,1,1.6667,'C4232526',1),(19036,'class button view','class button view',0,1,1.5667,'C421351',1),(19037,'class gkbuttonarea','class gkbuttonarea',0,1,1.6,'C421356',1),(19038,'class gkbuttonarea h3','class gkbuttonarea h3',0,1,1.7,'C421356',1),(19039,'class gkcrop','class gkcrop',0,1,1.4,'C4261',1),(19040,'class gkcrop creative','class gkcrop creative',0,1,1.7,'C42612631',1),(19041,'class gkhorizontalslide','class gkhorizontalslide',0,1,1.7667,'C4262534243',1),(19042,'class gkhorizontalslide div','class gkhorizontalslide div',0,1,1.9,'C42625342431',1),(19043,'class gkhorizontalslideleftcolumn','class gkhorizontalslideleftcolumn',0,1,2,'C4262534243413245',1),(19044,'class gkhorizontalslideleftcolumn h2','class gkhorizontalslideleftcolumn h2',0,1,2,'C4262534243413245',1),(19045,'class gkhorizontalsliderightcolumn','class gkhorizontalsliderightcolumn',0,1,2,'C4262534243623245',1),(19046,'class gkhorizontalsliderightcolumn img','class gkhorizontalsliderightcolumn img',0,1,2,'C42625342436232452',1),(19047,'class gkiconarea','class gkiconarea',0,1,1.5333,'C4256',1),(19048,'class gkiconarea a','class gkiconarea a',0,1,1.6,'C4256',1),(19049,'class gkiconarea with','class gkiconarea with',0,1,1.7,'C42563',1),(19050,'class gkicons','class gkicons',0,1,1.4333,'C4252',1),(19051,'class gkicons div','class gkicons div',0,1,1.5667,'C425231',1),(19052,'class gkimageblock','class gkimageblock',0,1,1.6,'C4252142',1),(19053,'class gkimageblock alt','class gkimageblock alt',0,1,1.7333,'C425214243',1),(19054,'class gkmobile','class gkmobile',0,1,1.4667,'C42514',1),(19055,'class gkmobile responsive','class gkmobile responsive',0,1,1.8333,'C42514621521',1),(19056,'class gkrocket rocket','class gkrocket rocket',0,1,1.7,'C42623623',1),(19057,'class gktestimonials','class gktestimonials',0,1,1.6667,'C42323542',1),(19058,'class gktestimonials div','class gktestimonials div',0,1,1.8,'C4232354231',1),(19059,'class gktextblock','class gktextblock',0,1,1.5667,'C42323142',1),(19060,'class gktextblock h2','class gktextblock h2',0,1,1.6667,'C42323142',1),(19061,'class icons','class icons',0,1,1.3667,'C4252',1),(19062,'class icons icons','class icons icons',0,1,1.5667,'C425252',1),(19063,'classes gkcrop','classes gkcrop',0,1,1.4667,'C4261',1),(19064,'classes gkcrop gkrocket','classes gkcrop gkrocket',0,1,1.7667,'C42612623',1),(19065,'classes gkhorizontalslideleftcolumn','classes gkhorizontalslideleftcolumn',0,1,2,'C4262534243413245',1),(19066,'classes gkhorizontalslideleftcolumn and','classes gkhorizontalslideleftcolumn and',0,1,2,'C42625342434132453',1),(19067,'column is placed','column is placed',0,1,1.5333,'C4521423',1),(19068,'columns block','columns block',0,1,1.4333,'C452142',1),(19069,'columns block with','columns block with',0,1,1.6,'C4521423',1),(19070,'container there','container there',0,1,1.5,'C535636',1),(19071,'container there should','container there should',0,1,1.7333,'C535636243',1),(19072,'container which','container which',0,1,1.5,'C53562',1),(19073,'container which contains','container which contains',0,1,1.8,'C535625352',1),(19074,'containers with classes','containers with classes',0,1,1.7667,'C535623242',1),(19075,'contains a','contains a',0,1,1.3333,'C5352',1),(19076,'contains a container','contains a container',0,1,1.6667,'C53525356',1),(19077,'content was','content was',0,1,1.3667,'C53532',1),(19078,'content was wrapped','content was wrapped',0,1,1.6333,'C53532613',1),(19079,'control h2','control h2',0,1,1.3333,'C5364',1),(19080,'control h2 p','control h2 p',0,1,1.4,'C53641',1),(19081,'create an avatar','create an avatar',0,1,1.5333,'C635136',1),(19082,'create the testimonial','create the testimonial',0,1,1.7333,'C632354',1),(19083,'create the two','create the two',0,1,1.4667,'C630',1),(19084,'created using','created using',0,1,1.4333,'C63252',1),(19085,'created using the','created using the',0,1,1.5667,'C632523',1),(19086,'creative a','creative a',0,1,1.3333,'C631',1),(19087,'creative a div','creative a div',0,1,1.4667,'C63131',1),(19088,'creative h2','creative h2',0,1,1.3667,'C631',1),(19089,'creative h2 p','creative h2 p',0,1,1.4333,'C631',1),(19090,'custom html element','custom html element',0,1,1.6333,'C3535453',1),(19091,'day free','day free',0,1,1.2667,'D160',1),(19092,'day free trial','day free trial',0,1,1.4667,'D16364',1),(19093,'demo avatar-1.png','demo avatar-1.png',0,1,1.5667,'D5136152',1),(19094,'demo avatar-1.png alt','demo avatar-1.png alt',0,1,1.7,'D513615243',1),(19095,'demo avatar-2.png','demo avatar-2.png',0,1,1.5667,'D5136152',1),(19096,'demo avatar-2.png alt','demo avatar-2.png alt',0,1,1.7,'D513615243',1),(19097,'demo avatar-3.png','demo avatar-3.png',0,1,1.5667,'D5136152',1),(19098,'demo avatar-3.png alt','demo avatar-3.png alt',0,1,1.7,'D513615243',1),(19099,'demo demo notebook','demo demo notebook',0,1,1.6,'D535312',1),(19100,'demo manufacturers','demo manufacturers',0,1,1.6,'D512362',1),(19101,'demo manufacturers png','demo manufacturers png',0,1,1.7333,'D512362152',1),(19102,'demo notebook','demo notebook',0,1,1.4333,'D5312',1),(19103,'demo notebook png','demo notebook png',0,1,1.5667,'D5312152',1),(19104,'demo tablet','demo tablet',0,1,1.3667,'D53143',1),(19105,'demo tablet image','demo tablet image',0,1,1.5667,'D5314352',1),(19106,'description sliding','description sliding',0,1,1.6333,'D2613524352',1),(19107,'description sliding notebook','description sliding notebook',0,1,1.9333,'D26135243525312',1),(19108,'design h2','design h2',0,1,1.3,'D250',1),(19109,'design h2 p','design h2 p',0,1,1.3667,'D251',1),(19110,'details a','details a',0,1,1.3,'D420',1),(19111,'details a p','details a p',0,1,1.3667,'D421',1),(19112,'dictum eleifend','dictum eleifend',0,1,1.5,'D2354153',1),(19113,'dictum eleifend amet','dictum eleifend amet',0,1,1.6667,'D235415353',1),(19114,'dictum eleifend lorem','dictum eleifend lorem',0,1,1.7,'D2354153465',1),(19115,'div class gkbuttonarea','div class gkbuttonarea',0,1,1.7333,'D12421356',1),(19116,'div class gkhorizontalslide','div class gkhorizontalslide',0,1,1.9,'D124262534243',1),(19117,'div class gkhorizontalslideleftcolumn','div class gkhorizontalslideleftcolumn',0,1,2,'D124262534243413245',1),(19118,'div class gkhorizontalsliderightcolumn','div class gkhorizontalsliderightcolumn',0,1,2,'D124262534243623245',1),(19119,'div class gkiconarea','div class gkiconarea',0,1,1.6667,'D124256',1),(19120,'div class gkicons','div class gkicons',0,1,1.5667,'D124252',1),(19121,'div class gktestimonials','div class gktestimonials',0,1,1.8,'D1242323542',1),(19122,'div container','div container',0,1,1.4333,'D125356',1),(19123,'div container which','div container which',0,1,1.6333,'D1253562',1),(19124,'div div every','div div every',0,1,1.4333,'D1316',1),(19125,'div div figure','div div figure',0,1,1.4667,'D13126',1),(19126,'div div the','div div the',0,1,1.3667,'D1313',1),(19127,'div every','div every',0,1,1.3,'D160',1),(19128,'div every column','div every column',0,1,1.5333,'D16245',1),(19129,'div every link','div every link',0,1,1.4667,'D16452',1),(19130,'div figure','div figure',0,1,1.3333,'D126',1),(19131,'div figure img','div figure img',0,1,1.4667,'D12652',1),(19132,'div h2 creative','div h2 creative',0,1,1.5,'D12631',1),(19133,'div h2 powerful','div h2 powerful',0,1,1.5,'D1614',1),(19134,'div h2 responsive','div h2 responsive',0,1,1.5667,'D1621521',1),(19135,'div img','div img',0,1,1.2333,'D152',1),(19136,'div img src','div img src',0,1,1.3667,'D15262',1),(19137,'div the testimonial','div the testimonial',0,1,1.6333,'D132354',1),(19138,'donec viverra','donec viverra',0,1,1.4333,'D5216',1),(19139,'donec viverra lobortis','donec viverra lobortis',0,1,1.7333,'D521641632',1),(19140,'duis bibendum','duis bibendum',0,1,1.4333,'D21535',1),(19141,'duis bibendum metus','duis bibendum metus',0,1,1.6333,'D2153532',1),(19142,'duis bibendum tempor','duis bibendum tempor',0,1,1.6667,'D215353516',1),(19143,'dziuda','dziuda',0,0,0.4,'D230',1),(19144,'dziuda figcaption','dziuda figcaption',0,1,1.5667,'D2312135',1),(19145,'dziuda figcaption q','dziuda figcaption q',0,1,1.6333,'D23121352',1),(19146,'effect is','effect is',0,1,1.3,'E1232',1),(19147,'effect is created','effect is created',0,1,1.5667,'E123263',1),(19148,'eget elit','eget elit',0,1,1.3,'E2343',1),(19149,'eget elit eu','eget elit eu',0,1,1.4,'E2343',1),(19150,'eleifend amet','eleifend amet',0,1,1.4333,'E415353',1),(19151,'eleifend amet p','eleifend amet p',0,1,1.5,'E4153531',1),(19152,'element creates','element creates',0,1,1.5,'E4532632',1),(19153,'element creates a','element creates a',0,1,1.5667,'E4532632',1),(19154,'element from','element from',0,1,1.4,'E453165',1),(19155,'element from the','element from the',0,1,1.5333,'E4531653',1),(19156,'element is used','element is used',0,1,1.5,'E45323',1),(19157,'element the','element the',0,1,1.3667,'E453',1),(19158,'element the image','element the image',0,1,1.5667,'E45352',1),(19159,'element with title','element with title',0,1,1.6,'E4534',1),(19160,'elit eu','elit eu',0,1,1.2333,'E430',1),(19161,'elit eu velit','elit eu velit',0,1,1.4333,'E43143',1),(19162,'elit nam scelerisque','elit nam scelerisque',0,1,1.6667,'E4352462',1),(19163,'elit vivamus eget','elit vivamus eget',0,1,1.5667,'E431523',1),(19164,'erat fusce','erat fusce',0,1,1.3333,'E6312',1),(19165,'erat fusce in','erat fusce in',0,1,1.4333,'E63125',1),(19166,'eu urna placerat','eu urna placerat',0,1,1.5333,'E6514263',1),(19167,'eu velit','eu velit',0,1,1.2667,'E143',1),(19168,'eu velit vehicula','eu velit vehicula',0,1,1.5667,'E143124',1),(19169,'every link','every link',0,1,1.3333,'E16452',1),(19170,'every link placed','every link placed',0,1,1.5667,'E164521423',1),(19171,'every module','every module',0,1,1.4,'E16534',1),(19172,'every module with','every module with',0,1,1.5667,'E165343',1),(19173,'faucibus risus','faucibus risus',0,1,1.4667,'F21262',1),(19174,'faucibus risus non','faucibus risus non',0,1,1.6,'F212625',1),(19175,'features small','features small',0,1,1.4667,'F36254',1),(19176,'features small your','features small your',0,1,1.6333,'F362546',1),(19177,'feugiat integer','feugiat integer',0,1,1.5,'F235326',1),(19178,'feugiat integer viverra','feugiat integer viverra',0,1,1.7667,'F23532616',1),(19179,'feugiat p','feugiat p',0,1,1.3,'F231',1),(19180,'feugiat p div','feugiat p div',0,1,1.4333,'F23131',1),(19181,'feugiat sed','feugiat sed',0,1,1.3667,'F2323',1),(19182,'feugiat sed id','feugiat sed id',0,1,1.4667,'F2323',1),(19183,'figcaption figure div','figcaption figure div',0,1,1.7,'F213512631',1),(19184,'figcaption q','figcaption q',0,1,1.4,'F21352',1),(19185,'figcaption q lorem','figcaption q lorem',0,1,1.6,'F21352465',1),(19186,'figure div','figure div',0,1,1.3333,'F2631',1),(19187,'figure div div','figure div div',0,1,1.4667,'F263131',1),(19188,'figure element','figure element',0,1,1.4667,'F26453',1),(19189,'figure element the','figure element the',0,1,1.6,'F26453',1),(19190,'figure img','figure img',0,1,1.3333,'F2652',1),(19191,'figure img src','figure img src',0,1,1.4667,'F265262',1),(19192,'floated to','floated to',0,1,1.3333,'F430',1),(19193,'floated to right','floated to right',0,1,1.5333,'F43623',1),(19194,'for the text','for the text',0,1,1.4,'F6323',1),(19195,'free trial includes','free trial includes',0,1,1.6333,'F636452432',1),(19196,'free trial small','free trial small',0,1,1.5333,'F6364254',1),(19197,'from the frontpage','from the frontpage',0,1,1.6,'F653165312',1),(19198,'frontpage uses','frontpage uses',0,1,1.4667,'F65312',1),(19199,'frontpage uses the','frontpage uses the',0,1,1.6,'F653123',1),(19200,'fusce a','fusce a',0,1,1.2333,'F200',1),(19201,'fusce a augue','fusce a augue',0,1,1.4333,'F200',1),(19202,'fusce in','fusce in',0,1,1.2667,'F250',1),(19203,'fusce in turpis','fusce in turpis',0,1,1.5,'F253612',1),(19204,'gavick figcaption','gavick figcaption',0,1,1.5667,'G1212135',1),(19205,'gavick figcaption q','gavick figcaption q',0,1,1.6333,'G12121352',1),(19206,'get started a','get started a',0,1,1.4333,'G32363',1),(19207,'gk simplicity','gk simplicity',0,1,1.4333,'G51423',1),(19208,'gk simplicity images','gk simplicity images',0,1,1.6667,'G5142352',1),(19209,'gkbuttonarea','gkbuttonarea',0,0,0.8,'G1356',1),(19210,'gkbuttonarea element','gkbuttonarea element',0,1,1.6667,'G1356453',1),(19211,'gkbuttonarea element creates','gkbuttonarea element creates',0,1,1.9333,'G13564532632',1),(19212,'gkbuttonarea h3','gkbuttonarea h3',0,1,1.5,'G1356',1),(19213,'gkbuttonarea h3 the','gkbuttonarea h3 the',0,1,1.6333,'G13563',1),(19214,'gkcentered','gkcentered',0,0,0.6667,'G5363',1),(19215,'gkcentered class','gkcentered class',0,1,1.5333,'G5363242',1),(19216,'gkcentered class icons','gkcentered class icons',0,1,1.7333,'G536324252',1),(19217,'gkcrop','gkcrop',0,0,0.4,'G610',1),(19218,'gkcrop creative','gkcrop creative',0,1,1.5,'G612631',1),(19219,'gkcrop creative a','gkcrop creative a',0,1,1.5667,'G612631',1),(19220,'gkcrop gkrocket','gkcrop gkrocket',0,1,1.5,'G612623',1),(19221,'gkcrop gkrocket or','gkcrop gkrocket or',0,1,1.6,'G6126236',1),(19222,'gkhorizontalslide','gkhorizontalslide',0,0,1,'G62534243',1),(19223,'gkhorizontalslide div','gkhorizontalslide div',0,1,1.7,'G625342431',1),(19224,'gkhorizontalslide div class','gkhorizontalslide div class',0,1,1.9,'G625342431242',1),(19225,'gkhorizontalslideleftcolumn','gkhorizontalslideleftcolumn',0,0,1,'G62534243413245',1),(19226,'gkhorizontalslideleftcolumn and','gkhorizontalslideleftcolumn and',0,1,2,'G625342434132453',1),(19227,'gkhorizontalslideleftcolumn and gkhorizontalsliderightcolumn','gkhorizontalslideleftcolumn and gkhorizontalsliderightcolumn',0,1,2,'G625342434132453262534243623245',1),(19228,'gkhorizontalslideleftcolumn h2','gkhorizontalslideleftcolumn h2',0,1,2,'G62534243413245',1),(19229,'gkhorizontalslideleftcolumn h2 joomla','gkhorizontalslideleftcolumn h2 joomla',0,1,2,'G62534243413245254',1),(19230,'gkhorizontalsliderightcolumn','gkhorizontalsliderightcolumn',0,0,1,'G62534243623245',1),(19231,'gkhorizontalsliderightcolumn img','gkhorizontalsliderightcolumn img',0,1,2,'G625342436232452',1),(19232,'gkhorizontalsliderightcolumn img src','gkhorizontalsliderightcolumn img src',0,1,2,'G62534243623245262',1),(19233,'gkhorizontalsliderightcolumn in','gkhorizontalsliderightcolumn in',0,1,2,'G62534243623245',1),(19234,'gkhorizontalsliderightcolumn in the','gkhorizontalsliderightcolumn in the',0,1,2,'G625342436232453',1),(19235,'gkiconarea','gkiconarea',0,0,0.6667,'G560',1),(19236,'gkiconarea a','gkiconarea a',0,1,1.4,'G560',1),(19237,'gkiconarea a href','gkiconarea a href',0,1,1.5667,'G561',1),(19238,'gkiconarea with','gkiconarea with',0,1,1.5,'G563',1),(19239,'gkiconarea with link','gkiconarea with link',0,1,1.6667,'G563452',1),(19240,'gkicons','gkicons',0,0,0.4667,'G520',1),(19241,'gkicons div','gkicons div',0,1,1.3667,'G5231',1),(19242,'gkicons div div','gkicons div div',0,1,1.5,'G523131',1),(19243,'gkimageblock','gkimageblock',0,0,0.8,'G52142',1),(19244,'gkimageblock alt','gkimageblock alt',0,1,1.5333,'G5214243',1),(19245,'gkimageblock alt image','gkimageblock alt image',0,1,1.7333,'G521424352',1),(19246,'gkimageblock wrapper','gkimageblock wrapper',0,1,1.6667,'G52142616',1),(19247,'gkimageblock wrapper the','gkimageblock wrapper the',0,1,1.8,'G521426163',1),(19248,'gkmobile','gkmobile',0,0,0.5333,'G514',1),(19249,'gkmobile responsive','gkmobile responsive',0,1,1.6333,'G514621521',1),(19250,'gkmobile responsive a','gkmobile responsive a',0,1,1.7,'G514621521',1),(19251,'gkmobile under','gkmobile under',0,1,1.4667,'G514536',1),(19252,'gkmobile under the','gkmobile under the',0,1,1.6,'G5145363',1),(19253,'gkrocket or','gkrocket or',0,1,1.3667,'G6236',1),(19254,'gkrocket or gkmobile','gkrocket or gkmobile',0,1,1.6667,'G62362514',1),(19255,'gkrocket rocket','gkrocket rocket',0,1,1.5,'G623623',1),(19256,'gkrocket rocket a','gkrocket rocket a',0,1,1.5667,'G623623',1),(19257,'gktestimonials','gktestimonials',0,0,0.9333,'G323542',1),(19258,'gktestimonials div','gktestimonials div',0,1,1.6,'G32354231',1),(19259,'gktestimonials div figure','gktestimonials div figure',0,1,1.8333,'G3235423126',1),(19260,'gktextblock','gktextblock',0,0,0.7333,'G323142',1),(19261,'gktextblock class','gktextblock class',0,1,1.5667,'G32314242',1),(19262,'gktextblock class adds','gktextblock class adds',0,1,1.7333,'G3231424232',1),(19263,'gktextblock h2','gktextblock h2',0,1,1.4667,'G323142',1),(19264,'gktextblock h2 we','gktextblock h2 we',0,1,1.5667,'G323142',1),(19265,'guarantee','guarantee',0,0,0.6,'G653',1),(19266,'guarantee starts','guarantee starts',0,1,1.5333,'G65323632',1),(19267,'guarantee starts after','guarantee starts after',0,1,1.7333,'G65323632136',1),(19268,'h2 creative','h2 creative',0,1,1.3667,'H2631',1),(19269,'h2 creative h2','h2 creative h2',0,1,1.4667,'H2631',1),(19270,'h2 element with','h2 element with',0,1,1.5,'H453',1),(19271,'h2 joomla','h2 joomla',0,1,1.3,'H254',1),(19272,'h2 joomla and','h2 joomla and',0,1,1.4333,'H25453',1),(19273,'h2 p lorem','h2 p lorem',0,1,1.3333,'H1465',1),(19274,'h2 powerful control','h2 powerful control',0,1,1.6333,'H161425364',1),(19275,'h2 responsive','h2 responsive',0,1,1.4333,'H621521',1),(19276,'h2 responsive design','h2 responsive design',0,1,1.6667,'H621521325',1),(19277,'h2 we','h2 we',0,1,1.1667,'H000',1),(19278,'h2 we build','h2 we build',0,1,1.3667,'H143',1),(19279,'h3 a','h3 a',0,1,1.1333,'H000',1),(19280,'h3 a href','h3 a href',0,1,1.3,'H610',1),(19281,'h3 the','h3 the',0,1,1.2,'H300',1),(19282,'h3 the 30','h3 the 30',0,1,1.3,'H300',1),(19283,'href class button','href class button',0,1,1.5667,'H61242135',1),(19284,'href class gkcrop','href class gkcrop',0,1,1.5667,'H6124261',1),(19285,'href class gkmobile','href class gkmobile',0,1,1.6333,'H61242514',1),(19286,'href get','href get',0,1,1.2667,'H6123',1),(19287,'href get started','href get started',0,1,1.5333,'H61232363',1),(19288,'html element','html element',0,1,1.4,'H35453',1),(19289,'html element from','html element from',0,1,1.5667,'H35453165',1),(19290,'iaculis fusce','iaculis fusce',0,1,1.4333,'I24212',1),(19291,'iaculis fusce a','iaculis fusce a',0,1,1.5,'I24212',1),(19292,'icon area','icon area',0,1,1.3,'I256',1),(19293,'icon area you','icon area you',0,1,1.4333,'I256',1),(19294,'icons icons','icons icons',0,1,1.3667,'I25252',1),(19295,'icons icons placed','icons icons placed',0,1,1.6,'I252521423',1),(19296,'icons placed','icons placed',0,1,1.4,'I2521423',1),(19297,'icons placed on','icons placed on',0,1,1.5,'I25214235',1),(19298,'id odio','id odio',0,1,1.2333,'I300',1),(19299,'id odio ante','id odio ante',0,1,1.4,'I353',1),(19300,'image block','image block',0,1,1.3667,'I52142',1),(19301,'image block the','image block the',0,1,1.5,'I521423',1),(19302,'image is','image is',0,1,1.2667,'I520',1),(19303,'image is placed','image is placed',0,1,1.5,'I521423',1),(19304,'image is used','image is used',0,1,1.4333,'I523',1),(19305,'image png','image png',0,1,1.3,'I52152',1),(19306,'image png class','image png class',0,1,1.5,'I5215242',1),(19307,'image which','image which',0,1,1.3667,'I520',1),(19308,'image which will','image which will',0,1,1.5333,'I524',1),(19309,'image you','image you',0,1,1.3,'I520',1),(19310,'image you should','image you should',0,1,1.5333,'I5243',1),(19311,'images demo avatar-1.png','images demo avatar-1.png',0,1,1.8,'I5235136152',1),(19312,'images demo avatar-2.png','images demo avatar-2.png',0,1,1.8,'I5235136152',1),(19313,'images demo avatar-3.png','images demo avatar-3.png',0,1,1.8,'I5235136152',1),(19314,'images demo manufacturers','images demo manufacturers',0,1,1.8333,'I523512362',1),(19315,'images demo tablet','images demo tablet',0,1,1.6,'I52353143',1),(19316,'important part','important part',0,1,1.4667,'I516353163',1),(19317,'important part are','important part are',0,1,1.6,'I5163531636',1),(19318,'in every','in every',0,1,1.2667,'I516',1),(19319,'in every module','in every module',0,1,1.5,'I516534',1),(19320,'in the div','in the div',0,1,1.3333,'I531',1),(19321,'in the gkbuttonarea','in the gkbuttonarea',0,1,1.6333,'I5321356',1),(19322,'in the gkimageblock','in the gkimageblock',0,1,1.6333,'I53252142',1),(19323,'in the second','in the second',0,1,1.4333,'I53253',1),(19324,'in turpis in','in turpis in',0,1,1.4,'I536125',1),(19325,'in velit','in velit',0,1,1.2667,'I5143',1),(19326,'in velit tempor','in velit tempor',0,1,1.5,'I5143516',1),(19327,'includes all','includes all',0,1,1.4,'I524324',1),(19328,'includes all features','includes all features',0,1,1.7,'I5243241362',1),(19329,'inspired by metro','inspired by metro',0,1,1.5667,'I521631536',1),(19330,'integer a leo','integer a leo',0,1,1.4333,'I53264',1),(19331,'integer viverr','integer viverr',0,1,1.4667,'I532616',1),(19332,'integer viverr metus','integer viverr metus',0,1,1.6667,'I532616532',1),(19333,'integer viverra','integer viverra',0,1,1.5,'I532616',1),(19334,'integer viverra metus','integer viverra metus',0,1,1.7,'I532616532',1),(19335,'into the','into the',0,1,1.2667,'I530',1),(19336,'into the figure','into the figure',0,1,1.5,'I53126',1),(19337,'is created using','is created using',0,1,1.5333,'I263252',1),(19338,'is placed','is placed',0,1,1.3,'I21423',1),(19339,'is placed in','is placed in',0,1,1.4,'I214235',1),(19340,'joomla and','joomla and',0,1,1.3333,'J5453',1),(19341,'joomla and wordpress','joomla and wordpress',0,1,1.6667,'J545363162',1),(19342,'last custom','last custom',0,1,1.3667,'L23235',1),(19343,'last custom html','last custom html',0,1,1.5333,'L23235354',1),(19344,'lectus dictum','lectus dictum',0,1,1.4333,'L2323235',1),(19345,'lectus dictum eleifend','lectus dictum eleifend',0,1,1.7333,'L23232354153',1),(19346,'leo libero','leo libero',0,1,1.3333,'L160',1),(19347,'leo libero p','leo libero p',0,1,1.4,'L161',1),(19348,'libero p','libero p',0,1,1.2667,'L161',1),(19349,'libero p div','libero p div',0,1,1.4,'L16131',1),(19350,'link placed','link placed',0,1,1.3667,'L521423',1),(19351,'link placed in','link placed in',0,1,1.4667,'L5214235',1),(19352,'link using','link using',0,1,1.3333,'L5252',1),(19353,'link using one','link using one',0,1,1.4667,'L52525',1),(19354,'lobortis feugiat','lobortis feugiat',0,1,1.5333,'L1632123',1),(19355,'lobortis feugiat sed','lobortis feugiat sed',0,1,1.6667,'L163212323',1),(19356,'manufacturers','manufacturers',0,0,0.8667,'M12362',1),(19357,'manufacturers img','manufacturers img',0,1,1.5667,'M1236252',1),(19358,'manufacturers img src','manufacturers img src',0,1,1.7,'M123625262',1),(19359,'manufacturers png','manufacturers png',0,1,1.5667,'M12362152',1),(19360,'manufacturers png alt','manufacturers png alt',0,1,1.7,'M1236215243',1),(19361,'massa at','massa at',0,1,1.2667,'M230',1),(19362,'massa at tristique','massa at tristique',0,1,1.6,'M236232',1),(19363,'mattis duis','mattis duis',0,1,1.3667,'M3232',1),(19364,'mattis duis bibendum','mattis duis bibendum',0,1,1.6667,'M32321535',1),(19365,'mechanism in','mechanism in',0,1,1.4,'M2525',1),(19366,'mechanism in every','mechanism in every',0,1,1.6,'M252516',1),(19367,'metro','metro',0,0,0.3333,'M360',1),(19368,'metro windows','metro windows',0,1,1.4333,'M36532',1),(19369,'metro windows 8','metro windows 8',0,1,1.5,'M36532',1),(19370,'metus eu','metus eu',0,1,1.2667,'M320',1),(19371,'metus eu urna','metus eu urna',0,1,1.4333,'M3265',1),(19372,'metus vitae','metus vitae',0,1,1.3667,'M3213',1),(19373,'metus vitae lectus','metus vitae lectus',0,1,1.6,'M32134232',1),(19374,'mobile-friendly','mobile-friendly',0,0,1,'M1416534',1),(19375,'mobile-friendly website','mobile-friendly website',0,1,1.7667,'M1416534123',1),(19376,'mobile-friendly website h2','mobile-friendly website h2',0,1,1.8667,'M1416534123',1),(19377,'module with centered','module with centered',0,1,1.6667,'M34325363',1),(19378,'money back','money back',0,1,1.3333,'M120',1),(19379,'money back guarantee','money back guarantee',0,1,1.6667,'M12653',1),(19380,'most important part','most important part',0,1,1.6333,'M23516353163',1),(19381,'nam scelerisque','nam scelerisque',0,1,1.5,'N2462',1),(19382,'nam scelerisque faucibus','nam scelerisque faucibus',0,1,1.8,'N24621212',1),(19383,'necessary top','necessary top',0,1,1.4333,'N2631',1),(19384,'necessary top spacing','necessary top spacing',0,1,1.7,'N263121252',1),(19385,'non iaculis','non iaculis',0,1,1.3667,'N242',1),(19386,'non iaculis fusce','non iaculis fusce',0,1,1.5667,'N24212',1),(19387,'notebook div','notebook div',0,1,1.4,'N31231',1),(19388,'notebook div div','notebook div div',0,1,1.5333,'N3123131',1),(19389,'notebook png','notebook png',0,1,1.4,'N312152',1),(19390,'notebook png alt','notebook png alt',0,1,1.5333,'N31215243',1),(19391,'notebook to','notebook to',0,1,1.3667,'N3123',1),(19392,'notebook to create','notebook to create',0,1,1.6,'N3123263',1),(19393,'nowakowska','nowakowska',0,0,0.6667,'N200',1),(19394,'nowakowska figcaption','nowakowska figcaption',0,1,1.7,'N212135',1),(19395,'nowakowska figcaption q','nowakowska figcaption q',0,1,1.7667,'N2121352',1),(19396,'odio ante','odio ante',0,1,1.3,'O353',1),(19397,'odio ante p','odio ante p',0,1,1.3667,'O3531',1),(19398,'of these classes','of these classes',0,1,1.5333,'O13242',1),(19399,'on scroll','on scroll',0,1,1.3,'O5264',1),(19400,'on scroll sliding','on scroll sliding',0,1,1.5667,'O526424352',1),(19401,'on the frontpage','on the frontpage',0,1,1.5333,'O53165312',3),(19402,'or gkmobile','or gkmobile',0,1,1.3667,'O62514',1),(19403,'or gkmobile under','or gkmobile under',0,1,1.5667,'O62514536',1),(19404,'p a href','p a href',0,1,1.2667,'P610',1),(19405,'p div div','p div div',0,1,1.3,'P3131',1),(19406,'p div img','p div img',0,1,1.3,'P3152',1),(19407,'p duis','p duis',0,1,1.2,'P320',1),(19408,'p duis bibendum','p duis bibendum',0,1,1.5,'P321535',1),(19409,'p p a','p p a',0,1,1.1667,'P000',1),(19410,'p p duis','p p duis',0,1,1.2667,'P320',1),(19411,'paragraph with','paragraph with',0,1,1.4667,'P62613',1),(19412,'paragraph with description','paragraph with description',0,1,1.8667,'P6261326135',1),(19413,'paragraph with gkcentered','paragraph with gkcentered',0,1,1.8333,'P6261325363',1),(19414,'part are','part are',0,1,1.2667,'P636',1),(19415,'part are the','part are the',0,1,1.4,'P6363',1),(19416,'paulina','paulina',0,0,0.4667,'P450',1),(19417,'paulina nowakowska','paulina nowakowska',0,1,1.6,'P452',1),(19418,'paulina nowakowska figcaption','paulina nowakowska figcaption',0,1,1.9667,'P45212135',1),(19419,'pellentesque pretium','pellentesque pretium',0,1,1.6667,'P45321635',1),(19420,'pellentesque pretium erat','pellentesque pretium erat',0,1,1.8333,'P4532163563',1),(19421,'pellentesque q','pellentesque q',0,1,1.4667,'P4532',1),(19422,'pellentesque q figcaption','pellentesque q figcaption',0,1,1.8333,'P453212135',1),(19423,'place a','place a',0,1,1.2333,'P420',1),(19424,'place a paragraph','place a paragraph',0,1,1.5667,'P4216261',1),(19425,'place the','place the',0,1,1.3,'P423',1),(19426,'place the h2','place the h2',0,1,1.4,'P423',1),(19427,'placed an','placed an',0,1,1.3,'P4235',1),(19428,'placed an image','placed an image',0,1,1.5,'P42352',1),(19429,'placed on','placed on',0,1,1.3,'P4235',1),(19430,'placed on the','placed on the',0,1,1.4333,'P42353',1),(19431,'placerat mattis','placerat mattis',0,1,1.5,'P4263532',1),(19432,'placerat mattis duis','placerat mattis duis',0,1,1.6667,'P426353232',1),(19433,'png','png',0,0,0.2,'P520',1),(19434,'png alt','png alt',0,1,1.2333,'P5243',1),(19435,'png alt manufacturers','png alt manufacturers',0,1,1.7,'P5243512362',1),(19436,'png alt notebook','png alt notebook',0,1,1.5333,'P52435312',1),(19437,'png class','png class',0,1,1.3,'P5242',1),(19438,'png class gkimageblock','png class gkimageblock',0,1,1.7333,'P524252142',1),(19439,'popup mechanism in','popup mechanism in',0,1,1.6,'P52525',1),(19440,'powerful control','powerful control',0,1,1.5333,'P61425364',1),(19441,'powerful control h2','powerful control h2',0,1,1.6333,'P61425364',1),(19442,'pretium erat','pretium erat',0,1,1.4,'P63563',1),(19443,'pretium erat fusce','pretium erat fusce',0,1,1.6,'P6356312',1),(19444,'pretium integer','pretium integer',0,1,1.5,'P635326',1),(19445,'pretium integer a','pretium integer a',0,1,1.5667,'P635326',1),(19446,'q','q',0,0,0.0667,'Q000',1),(19447,'q figcaption','q figcaption',0,1,1.4,'Q12135',1),(19448,'q figcaption figure','q figcaption figure',0,1,1.6333,'Q12135126',1),(19449,'q lorem','q lorem',0,1,1.2333,'Q465',1),(19450,'q lorem ipsum','q lorem ipsum',0,1,1.4333,'Q465125',1),(19451,'responsive a','responsive a',0,1,1.4,'R21521',1),(19452,'responsive a div','responsive a div',0,1,1.5333,'R2152131',1),(19453,'responsive br','responsive br',0,1,1.4333,'R215216',1),(19454,'responsive br mobile-friendly','responsive br mobile-friendly',0,1,1.9667,'R21521651416534',1),(19455,'responsive design','responsive design',0,1,1.5667,'R21521325',1),(19456,'responsive design h2','responsive design h2',0,1,1.6667,'R21521325',1),(19457,'risus non','risus non',0,1,1.3,'R250',1),(19458,'risus non iaculis','risus non iaculis',0,1,1.5667,'R25242',1),(19459,'robert gavick figcaption','robert gavick figcaption',0,1,1.8,'R16321212135',1),(19460,'rocket a','rocket a',0,1,1.2667,'R230',1),(19461,'rocket a div','rocket a div',0,1,1.4,'R231',1),(19462,'scelerisque faucibus','scelerisque faucibus',0,1,1.6667,'S4621212',1),(19463,'scelerisque faucibus risus','scelerisque faucibus risus',0,1,1.8667,'S462121262',1),(19464,'scroll','scroll',0,0,0.4,'S640',1),(19465,'scroll sliding','scroll sliding',0,1,1.4667,'S6424352',1),(19466,'scroll sliding tablet','scroll sliding tablet',0,1,1.7,'S64243523143',1),(19467,'second container there','second container there',0,1,1.7333,'S532535636',1),(19468,'sed id','sed id',0,1,1.2,'S300',1),(19469,'sed id odio','sed id odio',0,1,1.3667,'S300',1),(19470,'should use','should use',0,1,1.3333,'S432',1),(19471,'should use the','should use the',0,1,1.4667,'S4323',1),(19472,'simplicity images','simplicity images',0,1,1.5667,'S5142352',1),(19473,'simplicity images demo','simplicity images demo',0,1,1.7333,'S514235235',1),(19474,'sit amet donec','sit amet donec',0,1,1.4667,'S35352',1),(19475,'slide','slide',0,0,0.3333,'S430',1),(19476,'slide on','slide on',0,1,1.2667,'S435',1),(19477,'slide on scroll','slide on scroll',0,1,1.5,'S435264',1),(19478,'sliding image','sliding image',0,1,1.4333,'S435252',1),(19479,'sliding image is','sliding image is',0,1,1.5333,'S435252',1),(19480,'sliding image you','sliding image you',0,1,1.5667,'S435252',1),(19481,'sliding notebook to','sliding notebook to',0,1,1.6333,'S435253123',1),(19482,'sliding tablet effect','sliding tablet effect',0,1,1.7,'S43523143123',1),(19483,'sliding tablet the','sliding tablet the',0,1,1.6,'S43523143',1),(19484,'small h3','small h3',0,1,1.2667,'S540',1),(19485,'small h3 a','small h3 a',0,1,1.3333,'S540',1),(19486,'small your','small your',0,1,1.3333,'S546',1),(19487,'small your 30-day','small your 30-day',0,1,1.5667,'S5463',1),(19488,'spacing for','spacing for',0,1,1.3667,'S125216',1),(19489,'spacing for the','spacing for the',0,1,1.5,'S1252163',1),(19490,'src templates gk','src templates gk',0,1,1.5333,'S62351432',1),(19491,'started a','started a',0,1,1.3,'S363',1),(19492,'started a div','started a div',0,1,1.4333,'S3631',1),(19493,'starts after','starts after',0,1,1.4,'S3632136',1),(19494,'starts after your','starts after your',0,1,1.5667,'S3632136',1),(19495,'suffix you','suffix you',0,1,1.3333,'S120',1),(19496,'suffix you can','suffix you can',0,1,1.4667,'S125',1),(19497,'tablet effect','tablet effect',0,1,1.4333,'T143123',1),(19498,'tablet effect is','tablet effect is',0,1,1.5333,'T1431232',1),(19499,'tablet image','tablet image',0,1,1.4,'T14352',1),(19500,'tablet image png','tablet image png',0,1,1.5333,'T14352152',1),(19501,'tablet the','tablet the',0,1,1.3333,'T143',1),(19502,'tablet the sliding','tablet the sliding',0,1,1.6,'T14324352',1),(19503,'templates gk','templates gk',0,1,1.4,'T51432',1),(19504,'templates gk simplicity','templates gk simplicity',0,1,1.7667,'T5143251423',1),(19505,'tempor massa','tempor massa',0,1,1.4,'T51652',1),(19506,'tempor massa at','tempor massa at',0,1,1.5,'T516523',1),(19507,'tempor pretium','tempor pretium',0,1,1.4667,'T5161635',1),(19508,'tempor pretium integer','tempor pretium integer',0,1,1.7333,'T5161635326',1),(19509,'testimonial content','testimonial content',0,1,1.6333,'T235425353',1),(19510,'testimonial content was','testimonial content was',0,1,1.7667,'T2354253532',1),(19511,'testimonial text','testimonial text',0,1,1.5333,'T2354323',1),(19512,'testimonial text button','testimonial text button',0,1,1.7667,'T2354323135',1),(19513,'testimonials are','testimonials are',0,1,1.5333,'T235426',1),(19514,'testimonials are created','testimonials are created',0,1,1.8,'T235426263',1),(19515,'testimonials the','testimonials the',0,1,1.5333,'T235423',1),(19516,'testimonials the testimonials','testimonials the testimonials',0,1,1.9667,'T23542323542',1),(19517,'text block','text block',0,1,1.3333,'T23142',1),(19518,'text block testimonials','text block testimonials',0,1,1.7667,'T23142323542',1),(19519,'text button','text button',0,1,1.3667,'T23135',1),(19520,'text button area','text button area',0,1,1.5333,'T231356',1),(19521,'the 30','the 30',0,1,1.2,'T000',1),(19522,'the 30 day','the 30 day',0,1,1.3333,'T000',1),(19523,'the blockquote','the blockquote',0,1,1.4667,'T1423',1),(19524,'the blockquote element','the blockquote element',0,1,1.7333,'T1423453',1),(19525,'the containers','the containers',0,1,1.4667,'T253562',1),(19526,'the containers with','the containers with',0,1,1.6333,'T2535623',1),(19527,'the div','the div',0,1,1.2333,'T100',1),(19528,'the div container','the div container',0,1,1.5667,'T125356',1),(19529,'the figcaption','the figcaption',0,1,1.4667,'T12135',1),(19530,'the figure','the figure',0,1,1.3333,'T126',1),(19531,'the figure element','the figure element',0,1,1.6,'T126453',1),(19532,'the frontpage','the frontpage',0,1,1.4333,'T165312',3),(19533,'the frontpage uses','the frontpage uses',0,1,1.6,'T165312',1),(19534,'the gkbuttonarea','the gkbuttonarea',0,1,1.5333,'T21356',1),(19535,'the gkbuttonarea element','the gkbuttonarea element',0,1,1.8,'T21356453',1),(19536,'the gkimageblock','the gkimageblock',0,1,1.5333,'T252142',1),(19537,'the gkimageblock wrapper','the gkimageblock wrapper',0,1,1.8,'T252142616',1),(19538,'the gktextblock','the gktextblock',0,1,1.5,'T2323142',1),(19539,'the gktextblock class','the gktextblock class',0,1,1.7,'T232314242',1),(19540,'the h2','the h2',0,1,1.2,'T000',1),(19541,'the h2 element','the h2 element',0,1,1.4667,'T453',1),(19542,'the icon','the icon',0,1,1.2667,'T250',1),(19543,'the icon area','the icon area',0,1,1.4333,'T256',1),(19544,'the image is','the image is',0,1,1.4,'T520',1),(19545,'the last custom','the last custom',0,1,1.5,'T423235',1),(19546,'the sliding','the sliding',0,1,1.3667,'T24352',1),(19547,'the sliding image','the sliding image',0,1,1.5667,'T2435252',1),(19548,'the sliding tablet','the sliding tablet',0,1,1.6,'T243523143',1),(19549,'the testimonial','the testimonial',0,1,1.5,'T2354',1),(19550,'the testimonial content','the testimonial content',0,1,1.7667,'T235425353',1),(19551,'the testimonial text','the testimonial text',0,1,1.6667,'T2354323',1),(19552,'the testimonials','the testimonials',0,1,1.5333,'T23542',1),(19553,'the testimonials are','the testimonials are',0,1,1.6667,'T235426',1),(19554,'the text block','the text block',0,1,1.4667,'T23142',1),(19555,'the two columns','the two columns',0,1,1.5,'T2452',1),(19556,'theme inspired','theme inspired',0,1,1.4667,'T52163',1),(19557,'theme inspired by','theme inspired by',0,1,1.5667,'T521631',1),(19558,'there should','there should',0,1,1.4,'T6243',1),(19559,'there should be','there should be',0,1,1.5,'T62431',1),(19560,'these classes','these classes',0,1,1.4333,'T242',1),(19561,'these classes gkcrop','these classes gkcrop',0,1,1.6667,'T24261',1),(19562,'title and','title and',0,1,1.3,'T453',1),(19563,'title and paragraph','title and paragraph',0,1,1.6333,'T45316261',1),(19564,'to right','to right',0,1,1.2667,'T623',1),(19565,'tomasz','tomasz',0,0,0.4,'T520',1),(19566,'tomasz dziuda','tomasz dziuda',0,1,1.4333,'T52323',1),(19567,'tomasz dziuda figcaption','tomasz dziuda figcaption',0,1,1.8,'T5232312135',1),(19568,'top spacing','top spacing',0,1,1.3667,'T121252',1),(19569,'top spacing for','top spacing for',0,1,1.5,'T12125216',1),(19570,'trial includes','trial includes',0,1,1.4667,'T6452432',1),(19571,'trial includes all','trial includes all',0,1,1.6,'T64524324',1),(19572,'trial small','trial small',0,1,1.3667,'T64254',1),(19573,'trial small h3','trial small h3',0,1,1.4667,'T64254',1),(19574,'tristique integer','tristique integer',0,1,1.5667,'T62325326',1),(19575,'tristique integer viverr','tristique integer viverr',0,1,1.8,'T6232532616',1),(19576,'turpis in velit','turpis in velit',0,1,1.5,'T6125143',1),(19577,'two columns','two columns',0,1,1.3667,'T2452',1),(19578,'two columns block','two columns block',0,1,1.5667,'T2452142',1),(19579,'ui h2','ui h2',0,1,1.1667,'U000',1),(19580,'ui h2 p','ui h2 p',0,1,1.2333,'U100',1),(19581,'under the icon','under the icon',0,1,1.4667,'U536325',1),(19582,'up into','up into',0,1,1.2333,'U153',1),(19583,'up into the','up into the',0,1,1.3667,'U153',1),(19584,'urna placerat','urna placerat',0,1,1.4333,'U6514263',1),(19585,'urna placerat mattis','urna placerat mattis',0,1,1.6667,'U6514263532',1),(19586,'used to create','used to create',0,1,1.4667,'U23263',1),(19587,'uses the following','uses the following',0,1,1.6,'U231452',1),(19588,'using one','using one',0,1,1.3,'U2525',1),(19589,'using one of','using one of',0,1,1.4,'U25251',1),(19590,'vehicula feugiat','vehicula feugiat',0,1,1.5333,'V24123',1),(19591,'vehicula feugiat integer','vehicula feugiat integer',0,1,1.8,'V241235326',1),(19592,'vehicula feugiat p','vehicula feugiat p',0,1,1.6,'V241231',1),(19593,'velit tempor','velit tempor',0,1,1.4,'V43516',1),(19594,'velit tempor pretium','velit tempor pretium',0,1,1.6667,'V435161635',1),(19595,'velit vehicula','velit vehicula',0,1,1.4667,'V43124',1),(19596,'velit vehicula feugiat','velit vehicula feugiat',0,1,1.7333,'V43124123',1),(19597,'view details','view details',0,1,1.4,'V342',1),(19598,'view details a','view details a',0,1,1.4667,'V342',1),(19599,'vitae lectus','vitae lectus',0,1,1.4,'V34232',1),(19600,'vitae lectus dictum','vitae lectus dictum',0,1,1.6333,'V342323235',1),(19601,'vivamus eget elit','vivamus eget elit',0,1,1.5667,'V52343',1),(19602,'viverr','viverr',0,0,0.4,'V600',1),(19603,'viverr metus','viverr metus',0,1,1.4,'V6532',1),(19604,'viverr metus vitae','viverr metus vitae',0,1,1.6,'V653213',1),(19605,'viverra lobortis','viverra lobortis',0,1,1.5333,'V641632',1),(19606,'viverra lobortis feugiat','viverra lobortis feugiat',0,1,1.8,'V641632123',1),(19607,'viverra metus','viverra metus',0,1,1.4333,'V6532',1),(19608,'viverra metus vitae','viverra metus vitae',0,1,1.6333,'V653213',1),(19609,'was wrapped','was wrapped',0,1,1.3667,'W2613',1),(19610,'was wrapped up','was wrapped up',0,1,1.4667,'W26131',1),(19611,'we build','we build',0,1,1.2667,'W143',1),(19612,'we build responsive','we build responsive',0,1,1.6333,'W143621521',1),(19613,'website h2 p','website h2 p',0,1,1.4,'W1231',1),(19614,'which contains','which contains',0,1,1.4667,'W25352',1),(19615,'which contains a','which contains a',0,1,1.5333,'W25352',1),(19616,'which will slide','which will slide',0,1,1.5333,'W24243',1),(19617,'will slide','will slide',0,1,1.3333,'W4243',1),(19618,'will slide on','will slide on',0,1,1.4333,'W42435',1),(19619,'windows 8 ui','windows 8 ui',0,1,1.4,'W532',1),(19620,'with centered','with centered',0,1,1.4333,'W325363',1),(19621,'with centered suffix','with centered suffix',0,1,1.6667,'W325363212',1),(19622,'with class gkiconarea','with class gkiconarea',0,1,1.7,'W324256',1),(19623,'with classes gkhorizontalslideleftcolumn','with classes gkhorizontalslideleftcolumn',0,1,2,'W324262534243413245',1),(19624,'with description','with description',0,1,1.5333,'W326135',1),(19625,'with description sliding','with description sliding',0,1,1.8,'W32613524352',1),(19626,'with gkcentered','with gkcentered',0,1,1.5,'W325363',1),(19627,'with gkcentered class','with gkcentered class',0,1,1.7,'W325363242',1),(19628,'with link','with link',0,1,1.3,'W3452',1),(19629,'with link using','with link using',0,1,1.5,'W345252',1),(19630,'with the blockquote','with the blockquote',0,1,1.6333,'W31423',1),(19631,'with the sliding','with the sliding',0,1,1.5333,'W324352',1),(19632,'with title','with title',0,1,1.3333,'W340',2),(19633,'with title and','with title and',0,1,1.4667,'W3453',1),(19634,'wordpress blog','wordpress blog',0,1,1.4667,'W63162142',1),(19635,'wordpress blog theme','wordpress blog theme',0,1,1.6667,'W6316214235',1),(19636,'wrapped up','wrapped up',0,1,1.3333,'W6131',1),(19637,'wrapped up into','wrapped up into',0,1,1.5,'W613153',1),(19638,'wrapper the','wrapper the',0,1,1.3667,'W6163',1),(19639,'wrapper the gktextblock','wrapper the gktextblock',0,1,1.7667,'W61632323142',1),(19640,'you can place','you can place',0,1,1.4333,'Y25142',1),(19641,'you should use','you should use',0,1,1.4667,'Y2432',1),(19642,'your 30-day','your 30-day',0,1,1.3667,'Y630',1),(19643,'your 30-day free','your 30-day free',0,1,1.5333,'Y6316',1),(19644,'your 30-day money','your 30-day money',0,1,1.5667,'Y635',1),(19645,'03 for','03 for',0,1,1.2,'F600',4),(19646,'03 for the','03 for the',0,1,1.3333,'F630',4),(19647,'ale','ale',0,0,0.2,'A400',4),(19648,'ale the','ale the',0,1,1.2333,'A430',4),(19649,'ale the modules','ale the modules',0,1,1.5,'A435342',4),(19650,'and image','and image',0,1,1.3,'A5352',4),(19651,'and image show','and image show',0,1,1.4667,'A5352',4),(19652,'avoid','avoid',0,0,0.3333,'A130',4),(19653,'avoid loading','avoid loading',0,1,1.4333,'A134352',4),(19654,'avoid loading of','avoid loading of',0,1,1.5333,'A1343521',4),(19655,'css stylesheets','css stylesheets',0,1,1.5,'C34232',4),(19656,'for ale','for ale',0,1,1.2333,'F640',4),(19657,'for ale the','for ale the',0,1,1.3667,'F643',4),(19658,'for the news','for the news',0,1,1.4,'F6352',4),(19659,'gk4 modules please','gk4 modules please',0,1,1.6,'G5342142',4),(19660,'gk5 and','gk5 and',0,1,1.2333,'G530',4),(19661,'gk5 and image','gk5 and image',0,1,1.4333,'G5352',4),(19662,'gk5 tabs','gk5 tabs',0,1,1.2667,'G312',4),(19663,'gk5 tabs gk5','gk5 tabs gk5',0,1,1.4,'G312',4),(19664,'image show','image show',0,1,1.3333,'I520',4),(19665,'image show gk4','image show gk4',0,1,1.4667,'I520',4),(19666,'loading of','loading of',0,1,1.3333,'L3521',4),(19667,'loading of the','loading of the',0,1,1.4667,'L35213',4),(19668,'located','located',0,0,0.4667,'L230',4),(19669,'located on','located on',0,1,1.3333,'L235',4),(19670,'located on the','located on the',0,1,1.4667,'L2353',4),(19671,'module position 02','module position 02',0,1,1.6,'M341235',4),(19672,'module settings to','module settings to',0,1,1.6,'M3423523',4),(19673,'module styles or','module styles or',0,1,1.5333,'M3423426',4),(19674,'modules located','modules located',0,1,1.5,'M342423',4),(19675,'modules located on','modules located on',0,1,1.6,'M3424235',4),(19676,'of the unnecessary','of the unnecessary',0,1,1.6,'O13526',4),(19677,'or use the','or use the',0,1,1.3333,'O623',4),(19678,'position 02','position 02',0,1,1.3667,'P235',4),(19679,'position 02 the','position 02 the',0,1,1.5,'P2353',4),(19680,'positions 03 for','positions 03 for',0,1,1.5333,'P235216',4),(19681,'pro gk5','pro gk5',0,1,1.2333,'P620',4),(19682,'pro gk5 tabs','pro gk5 tabs',0,1,1.4,'P62312',4),(19683,'same','same',0,0,0.2667,'S500',4),(19684,'same style','same style',0,1,1.3333,'S5234',4),(19685,'same style for','same style for',0,1,1.4667,'S523416',4),(19686,'settings to','settings to',0,1,1.3667,'S3523',4),(19687,'settings to avoid','settings to avoid',0,1,1.5667,'S352313',4),(19688,'show gk4','show gk4',0,1,1.2667,'S000',4),(19689,'show gk4 modules','show gk4 modules',0,1,1.5333,'S5342',4),(19690,'show pro gk5','show pro gk5',0,1,1.4,'S162',4),(19691,'specific module','specific module',0,1,1.5,'S1212534',4),(19692,'specific module position','specific module position',0,1,1.8,'S12125341235',4),(19693,'style for','style for',0,1,1.3,'S3416',4),(19694,'style for ale','style for ale',0,1,1.4333,'S34164',4),(19695,'styles or','styles or',0,1,1.3,'S3426',4),(19696,'styles or use','styles or use',0,1,1.4333,'S34262',4),(19697,'stylesheets','stylesheets',0,0,0.7333,'S34232',4),(19698,'tabs gk5 and','tabs gk5 and',0,1,1.4,'T1253',4),(19699,'the modules located','the modules located',0,1,1.6333,'T5342423',4),(19700,'the same','the same',0,1,1.2667,'T250',4),(19701,'the same style','the same style',0,1,1.4667,'T25234',4),(19702,'the specific module','the specific module',0,1,1.6333,'T21212534',4),(19703,'the unnecessary','the unnecessary',0,1,1.5,'T526',4),(19704,'the unnecessary css','the unnecessary css',0,1,1.6333,'T5262',4),(19705,'to avoid','to avoid',0,1,1.2667,'T130',4),(19706,'to avoid loading','to avoid loading',0,1,1.5333,'T134352',4),(19707,'top1-2 and on','top1-2 and on',0,1,1.4333,'T1535',4),(19708,'unnecessary css','unnecessary css',0,1,1.5,'U5262',4),(19709,'unnecessary css stylesheets','unnecessary css stylesheets',0,1,1.9,'U526234232',4),(19710,'use the same','use the same',0,1,1.4,'U2325',4),(19711,'brown','brown',0,0,0.3333,'B650',15),(19712,'brown single','brown single',0,1,1.4,'B652524',15),(19713,'brown single premiereft','brown single premiereft',0,1,1.7667,'B652524165613',14),(19714,'elit integer posuere','elit integer posuere',0,1,1.6667,'E435326126',9),(19715,'feat','feat',0,0,0.2667,'F300',14),(19716,'feat pitbull','feat pitbull',0,1,1.4,'F31314',14),(19717,'feat pitbull havana','feat pitbull havana',0,1,1.6333,'F3131415',14),(19718,'havana','havana',0,0,0.4,'H150',15),(19719,'havana brown','havana brown',0,1,1.4,'H15165',15),(19720,'havana brown single','havana brown single',0,1,1.6333,'H151652524',15),(19721,'id elit integer','id elit integer',0,1,1.5,'I3435326',9),(19722,'lobortis donec id','lobortis donec id',0,1,1.5667,'L16323523',9),(19723,'magna duis','magna duis',0,1,1.3333,'M2532',9),(19724,'magna duis mollis','magna duis mollis',0,1,1.5667,'M2532542',9),(19725,'magna sed','magna sed',0,1,1.3,'M2523',9),(19726,'magna sed posuere','magna sed posuere',0,1,1.5667,'M2523126',9),(19727,'non magna duis','non magna duis',0,1,1.4667,'N2532',9),(19728,'non magna sed','non magna sed',0,1,1.4333,'N2523',9),(19729,'pitbull','pitbull',0,0,0.4667,'P314',14),(19730,'pitbull havana','pitbull havana',0,1,1.4667,'P31415',14),(19731,'pitbull havana brown','pitbull havana brown',0,1,1.6667,'P31415165',14),(19732,'premiereft','premiereft',0,0,0.6667,'P65613',14),(19733,'semper nullam id','semper nullam id',0,1,1.5333,'S5165453',9),(19734,'single premiereft','single premiereft',0,1,1.5667,'S524165613',14),(19735,'brown single premiere','brown single premiere',0,1,1.7,'B6525241656',1),(19736,'music stores','music stores',0,1,1.4,'M2362',1),(19737,'on the music','on the music',0,1,1.4,'O5352',1),(19738,'premiere on','premiere on',0,1,1.3667,'P6565',1),(19739,'premiere on the','premiere on the',0,1,1.5,'P65653',1),(19740,'single premiere','single premiere',0,1,1.5,'S5241656',1),(19741,'single premiere on','single premiere on',0,1,1.6,'S52416565',1),(19742,'stores','stores',0,0,0.4,'S362',1),(19743,'the music','the music',0,1,1.3,'T520',185),(19744,'the music stores','the music stores',0,1,1.5333,'T52362',1),(19745,'at lobortis nulla','at lobortis nulla',0,1,1.5667,'A34163254',5),(19746,'consectetur aenean','consectetur aenean',0,1,1.6,'C52365',3),(19747,'consectetur aenean eu','consectetur aenean eu',0,1,1.7,'C52365',3),(19748,'consectetur nulla','consectetur nulla',0,1,1.5667,'C523654',3),(19749,'consectetur nulla vitae','consectetur nulla vitae',0,1,1.7667,'C52365413',3),(19750,'et aenean eu','et aenean eu',0,1,1.4,'E350',3),(19751,'lobortis nulla','lobortis nulla',0,1,1.4667,'L163254',5),(19752,'lobortis nulla vitae','lobortis nulla vitae',0,1,1.6667,'L16325413',5),(19753,'sed consectetur aenean','sed consectetur aenean',0,1,1.7333,'S3252365',3),(19754,'sed consectetur nulla','sed consectetur nulla',0,1,1.7,'S32523654',3),(19755,'semper aenean lacinia','semper aenean lacinia',0,1,1.7,'S5165425',3),(19756,'venenatis vestibulum cras','venenatis vestibulum cras',0,1,1.8333,'V532123145262',3),(19757,'vestibulum cras','vestibulum cras',0,1,1.5,'V23145262',3),(19758,'vestibulum cras justo','vestibulum cras justo',0,1,1.7,'V231452623',3),(19759,'ac felis nulla','ac felis nulla',0,1,1.4667,'A214254',2),(19760,'amet tempus','amet tempus',0,1,1.3667,'A53512',2),(19761,'amet tempus non','amet tempus non',0,1,1.5,'A535125',2),(19762,'auctor luctus','auctor luctus',0,1,1.4333,'A2364232',2),(19763,'auctor luctus sed','auctor luctus sed',0,1,1.5667,'A23642323',2),(19764,'dolor velit','dolor velit',0,1,1.3667,'D46143',2),(19765,'dolor velit pharetra','dolor velit pharetra',0,1,1.6667,'D461431636',2),(19766,'elit auctor','elit auctor',0,1,1.3667,'E43236',2),(19767,'elit auctor luctus','elit auctor luctus',0,1,1.6,'E432364232',2),(19768,'felis nulla','felis nulla',0,1,1.3667,'F4254',2),(19769,'felis nulla interdum','felis nulla interdum',0,1,1.6667,'F425453635',2),(19770,'integer dolor','integer dolor',0,1,1.4333,'I5326346',2),(19771,'integer dolor velit','integer dolor velit',0,1,1.6333,'I5326346143',2),(19772,'interdum urna','interdum urna',0,1,1.4333,'I5363565',2),(19773,'interdum urna nec','interdum urna nec',0,1,1.5667,'I53635652',2),(19774,'luctus sed','luctus sed',0,1,1.3333,'L2323',2),(19775,'luctus sed posuere','luctus sed posuere',0,1,1.6,'L2323126',2),(19776,'nec elit auctor','nec elit auctor',0,1,1.5,'N243236',2),(19777,'non rhoncus ac','non rhoncus ac',0,1,1.4667,'N652',2),(19778,'nulla interdum','nulla interdum',0,1,1.4667,'N453635',2),(19779,'nulla interdum urna','nulla interdum urna',0,1,1.6333,'N45363565',2),(19780,'pharetra sit','pharetra sit',0,1,1.4,'P63623',2),(19781,'pharetra sit amet','pharetra sit amet',0,1,1.5667,'P6362353',2),(19782,'rhoncus ac','rhoncus ac',0,1,1.3333,'R520',2),(19783,'rhoncus ac felis','rhoncus ac felis',0,1,1.5333,'R52142',2),(19784,'sit amet tempus','sit amet tempus',0,1,1.5,'S353512',2),(19785,'tempus non','tempus non',0,1,1.3333,'T5125',2),(19786,'tempus non rhoncus','tempus non rhoncus',0,1,1.6,'T5125652',2),(19787,'urna nec','urna nec',0,1,1.2667,'U652',2),(19788,'urna nec elit','urna nec elit',0,1,1.4333,'U65243',2),(19789,'velit pharetra','velit pharetra',0,1,1.4667,'V431636',2),(19790,'velit pharetra sit','velit pharetra sit',0,1,1.6,'V43163623',2),(19791,'04 for the','04 for the',0,1,1.3333,'F630',3),(19792,'30 nsptitle30','30 nsptitle30',0,1,1.4333,'N2134',3),(19793,'30 nsptitle30 to','30 nsptitle30 to',0,1,1.5333,'N21343',3),(19794,'90 nsptitle90','90 nsptitle90',0,1,1.4333,'N2134',3),(19795,'can specify suffix','can specify suffix',0,1,1.6,'C52121212',3),(19796,'changed from 30','changed from 30',0,1,1.5,'C523165',3),(19797,'css stylesheets 04','css stylesheets 04',0,1,1.6,'C34232',3),(19798,'from 30','from 30',0,1,1.2333,'F650',3),(19799,'from 30 nsptitle30','from 30 nsptitle30',0,1,1.6,'F652134',3),(19800,'gk5 module you','gk5 module you',0,1,1.4667,'G534',3),(19801,'module you','module you',0,1,1.3333,'M340',3),(19802,'module you can','module you can',0,1,1.4667,'M3425',3),(19803,'nsptitle30','nsptitle30',0,0,0.6667,'N2134',3),(19804,'nsptitle30 nsptitle90','nsptitle30 nsptitle90',0,1,1.7,'N213452134',3),(19805,'nsptitle30 nsptitle90 then','nsptitle30 nsptitle90 then',0,1,1.8667,'N21345213435',3),(19806,'nsptitle30 to','nsptitle30 to',0,1,1.4333,'N21343',3),(19807,'nsptitle30 to 90','nsptitle30 to 90',0,1,1.5333,'N21343',3),(19808,'nsptitle90','nsptitle90',0,0,0.6667,'N2134',3),(19809,'nsptitle90 then','nsptitle90 then',0,1,1.5,'N213435',3),(19810,'nsptitle90 then the','nsptitle90 then the',0,1,1.6333,'N2134353',3),(19811,'pro gk5 module','pro gk5 module',0,1,1.4667,'P62534',3),(19812,'specify suffix','specify suffix',0,1,1.4667,'S121212',3),(19813,'specify suffix nsptitle30','specify suffix nsptitle30',0,1,1.8333,'S12121252134',3),(19814,'stylesheets 04','stylesheets 04',0,1,1.4667,'S34232',3),(19815,'stylesheets 04 for','stylesheets 04 for',0,1,1.6,'S3423216',3),(19816,'suffix nsptitle30','suffix nsptitle30',0,1,1.5667,'S1252134',3),(19817,'suffix nsptitle30 nsptitle90','suffix nsptitle30 nsptitle90',0,1,1.9333,'S125213452134',3),(19818,'the title width','the title width',0,1,1.5,'T430',3),(19819,'then the title','then the title',0,1,1.4667,'T534',3),(19820,'title width','title width',0,1,1.3667,'T430',3),(19821,'title width can','title width can',0,1,1.5,'T4325',3),(19822,'to 90','to 90',0,1,1.1667,'T000',3),(19823,'to 90 nsptitle90','to 90 nsptitle90',0,1,1.5333,'T52134',3),(19824,'width can','width can',0,1,1.3,'W325',3),(19825,'width can be','width can be',0,1,1.4,'W3251',3),(19826,'album','album',0,0,0.3333,'A415',190),(19827,'album blowout','album blowout',0,1,1.4333,'A415143',1),(19828,'at eros aenean','at eros aenean',0,1,1.4667,'A3625',2),(19829,'blowout','blowout',0,0,0.4667,'B430',1),(19830,'consectetur nullam','consectetur nullam',0,1,1.6,'C5236545',2),(19831,'consectetur nullam id','consectetur nullam id',0,1,1.7,'C52365453',2),(19832,'elit donec ullamcorper','elit donec ullamcorper',0,1,1.7333,'E4352452616',2),(19833,'eros aenean','eros aenean',0,1,1.3667,'E625',2),(19834,'eros aenean lacinia','eros aenean lacinia',0,1,1.6333,'E625425',2),(19835,'et maecenas faucibus','et maecenas faucibus',0,1,1.6667,'E352521212',4),(19836,'glos','glos',0,0,0.2667,'G420',1),(19837,'glos new','glos new',0,1,1.2667,'G425',1),(19838,'glos new album','glos new album',0,1,1.4667,'G425415',1),(19839,'glos\'','glos',0,0,0.3333,'G420',1),(19840,'glos\' new','glos new',0,1,1.3,'G425',1),(19841,'glos\' new album','glos new album',0,1,1.5,'G425415',1),(19842,'interdum nullam','interdum nullam',0,1,1.5,'I5363545',4),(19843,'interdum nullam id','interdum nullam id',0,1,1.6,'I53635453',4),(19844,'leo donec sed','leo donec sed',0,1,1.4333,'L3523',2),(19845,'magna nullam','magna nullam',0,1,1.4,'M2545',2),(19846,'magna nullam quis','magna nullam quis',0,1,1.5667,'M25452',2),(19847,'mollis interdum nullam','mollis interdum nullam',0,1,1.7333,'M425363545',4),(19848,'mus praesent','mus praesent',0,1,1.4,'M216253',2),(19849,'mus praesent commodo','mus praesent commodo',0,1,1.6667,'M216253253',2),(19850,'new album','new album',0,1,1.3,'N415',182),(19851,'new album blowout','new album blowout',0,1,1.5667,'N415143',1),(19852,'non magna nullam','non magna nullam',0,1,1.5333,'N2545',2),(19853,'ridiculus mus praesent','ridiculus mus praesent',0,1,1.7333,'R32425216253',2),(19854,'sed consectetur nullam','sed consectetur nullam',0,1,1.7333,'S325236545',2),(19855,'so glos','so glos',0,1,1.2333,'S420',1),(19856,'so glos new','so glos new',0,1,1.3667,'S425',1),(19857,'so glos\'','so glos',0,1,1.2667,'S420',1),(19858,'so glos\' new','so glos new',0,1,1.4,'S425',1),(19859,'so so','so so',0,1,1.1667,'S000',1),(19860,'so so glos','so so glos',0,1,1.3333,'S420',1),(19861,'so so glos\'','so so glos',0,1,1.3667,'S420',1),(19862,'stream','stream',0,0,0.4,'S365',1),(19863,'stream the','stream the',0,1,1.3333,'S3653',1),(19864,'stream the so','stream the so',0,1,1.4333,'S36532',1),(19865,'the so','the so',0,1,1.2,'T200',1),(19866,'the so so','the so so',0,1,1.3,'T200',1),(19867,'amet fermentum maecenas','amet fermentum maecenas',0,1,1.7667,'A5316535252',2),(19868,'auctor praesent','auctor praesent',0,1,1.5,'A23616253',2),(19869,'auctor praesent commodo','auctor praesent commodo',0,1,1.7667,'A23616253253',2),(19870,'dolor auctor praesent','dolor auctor praesent',0,1,1.7,'D4623616253',2),(19871,'fermentum maecenas','fermentum maecenas',0,1,1.6,'F6535252',2),(19872,'fermentum maecenas faucibus','fermentum maecenas faucibus',0,1,1.9,'F65352521212',2),(19873,'for where','for where',0,1,1.3,'F600',2),(19874,'for where i','for where i',0,1,1.3667,'F600',2),(19875,'i left','i left',0,1,1.2,'I413',2),(19876,'i left you','i left you',0,1,1.3333,'I413',2),(19877,'left you','left you',0,1,1.2667,'L130',2),(19878,'man overboard','man overboard',0,1,1.4333,'M16163',2),(19879,'man overboard s','man overboard s',0,1,1.5,'M161632',2),(19880,'man overboard\'s','man overboard',0,1,1.5,'M161632',2),(19881,'man overboard\'s new','man overboard new',0,1,1.6333,'M1616325',2),(19882,'metus cras mattis','metus cras mattis',0,1,1.5667,'M3262532',2),(19883,'mus donec','mus donec',0,1,1.3,'M2352',2),(19884,'mus donec sed','mus donec sed',0,1,1.4333,'M23523',2),(19885,'new video','new video',0,1,1.3,'N130',2),(19886,'new video for','new video for',0,1,1.4333,'N1316',2),(19887,'overboard','overboard',0,0,0.6,'O16163',2),(19888,'overboard s','overboard s',0,1,1.3667,'O161632',2),(19889,'overboard s new','overboard s new',0,1,1.5,'O1616325',2),(19890,'overboard\'s','overboard',0,0,0.7333,'O161632',2),(19891,'overboard\'s new','overboard new',0,1,1.5,'O1616325',2),(19892,'overboard\'s new video','overboard new video',0,1,1.7,'O161632513',2),(19893,'ridiculus mus donec','ridiculus mus donec',0,1,1.6333,'R324252352',2),(19894,'s new','s new',0,1,1.1667,'S500',2),(19895,'s new video','s new video',0,1,1.3667,'S513',2),(19896,'video for where','video for where',0,1,1.5,'V316',2),(19897,'watch man','watch man',0,1,1.3,'W325',2),(19898,'watch man overboard','watch man overboard',0,1,1.6333,'W32516163',2),(19899,'watch man overboard\'s','watch man overboard',0,1,1.7,'W325161632',2),(19900,'where i left','where i left',0,1,1.4,'W6413',2),(19901,'announces geoff','announces geoff',0,1,1.5,'A521',2),(19902,'announces geoff rickly','announces geoff rickly',0,1,1.7333,'A521624',2),(19903,'at lobortis vivamus','at lobortis vivamus',0,1,1.6333,'A341632152',2),(19904,'auctor fringilla cum','auctor fringilla cum',0,1,1.6667,'A2361652425',2),(19905,'auctor sed posuere','auctor sed posuere',0,1,1.6,'A23623126',2),(19906,'augue cras','augue cras',0,1,1.3333,'A262',2),(19907,'augue cras justo','augue cras justo',0,1,1.5333,'A2623',2),(19908,'caruana','caruana',0,0,0.4667,'C650',2),(19909,'caruana announces','caruana announces',0,1,1.5667,'C652',2),(19910,'caruana announces geoff','caruana announces geoff',0,1,1.7667,'C6521',2),(19911,'consectetur et integer','consectetur et integer',0,1,1.7333,'C523635326',2),(19912,'consectetur maecenas faucibus','consectetur maecenas faucibus',0,1,1.9667,'C523652521212',2),(19913,'dolor auctor sed','dolor auctor sed',0,1,1.5333,'D4623623',2),(19914,'eget metus donec','eget metus donec',0,1,1.5333,'E23532352',2),(19915,'et integer','et integer',0,1,1.3333,'E35326',2),(19916,'et integer posuere','et integer posuere',0,1,1.6,'E35326126',2),(19917,'fringilla cum','fringilla cum',0,1,1.4333,'F652425',2),(19918,'fringilla cum sociis','fringilla cum sociis',0,1,1.6667,'F6524252',2),(19919,'geoff','geoff',0,0,0.3333,'G100',2),(19920,'geoff rickly','geoff rickly',0,1,1.4,'G1624',2),(19921,'geoff rickly of','geoff rickly of',0,1,1.5,'G16241',2),(19922,'interdum praesent','interdum praesent',0,1,1.5667,'I5363516253',2),(19923,'interdum praesent commodo','interdum praesent commodo',0,1,1.8333,'I5363516253253',2),(19924,'lobortis vivamus','lobortis vivamus',0,1,1.5333,'L1632152',2),(19925,'lobortis vivamus sagittis','lobortis vivamus sagittis',0,1,1.8333,'L163215232',2),(19926,'metus donec','metus donec',0,1,1.3667,'M32352',2),(19927,'metus donec ullamcorper','metus donec ullamcorper',0,1,1.7667,'M32352452616',2),(19928,'mollis interdum praesent','mollis interdum praesent',0,1,1.8,'M425363516253',2),(19929,'mus aenean','mus aenean',0,1,1.3333,'M250',2),(19930,'mus aenean lacinia','mus aenean lacinia',0,1,1.6,'M25425',2),(19931,'of thursday','of thursday',0,1,1.3667,'O13623',2),(19932,'pharetra augue cras','pharetra augue cras',0,1,1.6333,'P636262',2),(19933,'rickly','rickly',0,0,0.4,'R240',2),(19934,'rickly of','rickly of',0,1,1.3,'R241',2),(19935,'rickly of thursday','rickly of thursday',0,1,1.6,'R2413623',2),(19936,'ridiculus mus aenean','ridiculus mus aenean',0,1,1.6667,'R3242525',2),(19937,'thursday','thursday',0,0,0.5333,'T623',2),(19938,'vinnie','vinnie',0,0,0.4,'V500',2),(19939,'vinnie caruana','vinnie caruana',0,1,1.4667,'V5265',2),(19940,'vinnie caruana announces','vinnie caruana announces',0,1,1.8,'V52652',2),(19941,'10 masterpiece','10 masterpiece',0,1,1.4667,'M23612',6),(19942,'auctor cras justo','auctor cras justo',0,1,1.5667,'A2362623',4),(19943,'auctor cum','auctor cum',0,1,1.3333,'A23625',4),(19944,'auctor cum sociis','auctor cum sociis',0,1,1.5667,'A236252',4),(19945,'auctor vivamus','auctor vivamus',0,1,1.4667,'A236152',4),(19946,'auctor vivamus sagittis','auctor vivamus sagittis',0,1,1.7667,'A23615232',4),(19947,'chesnutt','chesnutt',0,0,0.5333,'C530',6),(19948,'chesnutt explains','chesnutt explains',0,1,1.5667,'C5321452',6),(19949,'chesnutt explains why','chesnutt explains why',0,1,1.7,'C5321452',6),(19950,'cody','cody',0,0,0.2667,'C300',6),(19951,'cody chesnutt','cody chesnutt',0,1,1.4333,'C3253',6),(19952,'cody chesnutt explains','cody chesnutt explains',0,1,1.7333,'C325321452',6),(19953,'consectetur lorem','consectetur lorem',0,1,1.5667,'C5236465',4),(19954,'consectetur lorem ipsum','consectetur lorem ipsum',0,1,1.7667,'C5236465125',4),(19955,'dolor auctor cum','dolor auctor cum',0,1,1.5333,'D4623625',4),(19956,'dolor auctor vivamus','dolor auctor vivamus',0,1,1.6667,'D46236152',4),(19957,'dui vivamus','dui vivamus',0,1,1.3667,'D152',4),(19958,'dui vivamus sagittis','dui vivamus sagittis',0,1,1.6667,'D15232',4),(19959,'euismod donec sed','euismod donec sed',0,1,1.5667,'E253523',4),(19960,'explains','explains',0,0,0.5333,'E21452',6),(19961,'explains why','explains why',0,1,1.4,'E21452',6),(19962,'explains why it','explains why it',0,1,1.5,'E214523',6),(19963,'it took','it took',0,1,1.2333,'I320',6),(19964,'it took 10','it took 10',0,1,1.3333,'I320',6),(19965,'masterpiece','masterpiece',0,0,0.7333,'M23612',6),(19966,'mus cras justo','mus cras justo',0,1,1.4667,'M2623',4),(19967,'odio dui vivamus','odio dui vivamus',0,1,1.5333,'O3152',4),(19968,'sed consectetur lorem','sed consectetur lorem',0,1,1.7,'S325236465',4),(19969,'took 10','took 10',0,1,1.2333,'T200',6),(19970,'took 10 masterpiece','took 10 masterpiece',0,1,1.6333,'T2523612',6),(19971,'why it','why it',0,1,1.2,'W300',6),(19972,'why it took','why it took',0,1,1.3667,'W320',6),(21098,'05 if','05 if',0,1,1.1667,'I100',2),(19974,'6 highlights','6 highlights',0,1,1.4,'H24232',16),(19975,'6 highlights this','6 highlights this',0,1,1.5667,'H2423232',16),(19976,'application icons','application icons',0,1,1.5667,'A14235252',14),(19977,'application icons icon-adjust','application icons icon-adjust',0,1,1.9667,'A142352525323',13),(19978,'class demo-typo icon','class demo-typo icon',0,1,1.6667,'C42353125',1),(19979,'class demo-typo-col4 icon-magic','class demo-typo-col4 icon-magic',0,1,2,'C42353124252',1),(19980,'class gkblockquote3 lorem','class gkblockquote3 lorem',0,1,1.8333,'C421423465',3),(19981,'class the-icons','class the-icons',0,1,1.5,'C423252',3),(19982,'class the-icons icon-file','class the-icons icon-file',0,1,1.8333,'C423252514',2),(19983,'class the-icons icon-hand-down','class the-icons icon-hand-down',0,1,2,'C423252535',2),(19984,'class the-icons icon-stethoscope','class the-icons icon-stethoscope',0,1,2,'C42325252321',2),(19985,'demo-typo icon','demo-typo icon',0,1,1.4667,'D53125',1),(19986,'demo-typo icon set','demo-typo icon set',0,1,1.6,'D5312523',1),(19987,'demo-typo-col4 icon-magic','demo-typo-col4 icon-magic',0,1,1.8333,'D53124252',1),(19988,'demo-typo-col4 icon-magic icon-magnet','demo-typo-col4 icon-magic icon-magnet',0,1,2,'D531242525253',1),(19989,'directional','directional',0,0,0.7333,'D62354',16),(19990,'directional icons','directional icons',0,1,1.5667,'D62354252',16),(19991,'directional icons icon-angle-left','directional icons icon-angle-left',0,1,2,'D6235425252413',13),(19992,'editor','editor',0,0,0.4,'E360',16),(19993,'editor icons','editor icons',0,1,1.4,'E36252',15),(19994,'gkblockquote3 lorem','gkblockquote3 lorem',0,1,1.6333,'G1423465',3),(19995,'gkblockquote3 lorem ipsum','gkblockquote3 lorem ipsum',0,1,1.8333,'G1423465125',3),(19996,'heading 6 highlights','heading 6 highlights',0,1,1.6667,'H3524232',16),(19997,'icon set web','icon set web',0,1,1.4,'I25231',5),(19998,'icon-adjust','icon-adjust',0,0,0.7333,'I25323',16),(19999,'icon-adjust icon-asterisk','icon-adjust icon-asterisk',0,1,1.8333,'I25323252362',16),(20000,'icon-adjust icon-asterisk icon-ban-circle','icon-adjust icon-asterisk icon-ban-circle',0,1,2,'I253232523625152624',16),(20001,'icon-align-center','icon-align-center',0,0,1,'I254252536',16),(20002,'icon-align-center icon-align-right','icon-align-center icon-align-right',0,1,2,'I25425253625425623',16),(20003,'icon-align-center icon-align-right icon-align-justify','icon-align-center icon-align-right icon-align-justify',0,1,2,'I2542525362542562325425231',16),(20004,'icon-align-justify','icon-align-justify',0,0,1,'I25425231',16),(20005,'icon-align-justify icon-indent-left','icon-align-justify icon-indent-left',0,1,2,'I2542523125353413',16),(20006,'icon-align-justify icon-indent-left icon-indent-right','icon-align-justify icon-indent-left icon-indent-right',0,1,2,'I254252312535341325353623',16),(20007,'icon-align-left','icon-align-left',0,0,1,'I25425413',16),(20008,'icon-align-left icon-align-center','icon-align-left icon-align-center',0,1,2,'I25425413254252536',15),(20009,'icon-align-left icon-align-center icon-align-right','icon-align-left icon-align-center icon-align-right',0,1,2,'I2542541325425253625425623',15),(20010,'icon-align-right','icon-align-right',0,0,1,'I25425623',16),(20011,'icon-align-right icon-align-justify','icon-align-right icon-align-justify',0,1,2,'I2542562325425231',16),(20012,'icon-align-right icon-align-justify icon-indent-left','icon-align-right icon-align-justify icon-indent-left',0,1,2,'I254256232542523125353413',16),(20013,'icon-ambulance','icon-ambulance',0,0,0.9333,'I251452',16),(20014,'icon-ambulance icon-beaker','icon-ambulance icon-beaker',0,1,1.8667,'I2514525126',16),(20015,'icon-ambulance icon-beaker icon-h-sign','icon-ambulance icon-beaker icon-h-sign',0,1,2,'I25145251262525',16),(20016,'icon-angle-down','icon-angle-down',0,0,1,'I252435',16),(20017,'icon-angle-down icon-arrow-down','icon-angle-down icon-arrow-down',0,1,2,'I25243525635',15),(20018,'icon-angle-down icon-arrow-down icon-arrow-left','icon-angle-down icon-arrow-down icon-arrow-left',0,1,2,'I25243525635256413',15),(20019,'icon-angle-left','icon-angle-left',0,0,1,'I252413',16),(20020,'icon-angle-left icon-angle-right','icon-angle-left icon-angle-right',0,1,2,'I2524132524623',15),(20021,'icon-angle-left icon-angle-right icon-angle-up','icon-angle-left icon-angle-right icon-angle-up',0,1,2,'I252413252462325241',15),(20022,'icon-angle-right','icon-angle-right',0,0,1,'I2524623',16),(20023,'icon-angle-right icon-angle-up','icon-angle-right icon-angle-up',0,1,2,'I252462325241',16),(20024,'icon-angle-right icon-angle-up icon-angle-down','icon-angle-right icon-angle-up icon-angle-down',0,1,2,'I252462325241252435',16),(20025,'icon-angle-up','icon-angle-up',0,0,0.8667,'I25241',16),(20026,'icon-angle-up icon-angle-down','icon-angle-up icon-angle-down',0,1,1.9667,'I25241252435',16),(20027,'icon-angle-up icon-angle-down icon-arrow-down','icon-angle-up icon-angle-down icon-arrow-down',0,1,2,'I2524125243525635',15),(20028,'icon-arrow-down','icon-arrow-down',0,0,1,'I25635',16),(20029,'icon-arrow-down icon-arrow-left','icon-arrow-down icon-arrow-left',0,1,2,'I25635256413',16),(20030,'icon-arrow-down icon-arrow-left icon-arrow-right','icon-arrow-down icon-arrow-left icon-arrow-right',0,1,2,'I2563525641325623',16),(20031,'icon-arrow-left','icon-arrow-left',0,0,1,'I256413',16),(20032,'icon-arrow-left icon-arrow-right','icon-arrow-left icon-arrow-right',0,1,2,'I25641325623',16),(20033,'icon-arrow-left icon-arrow-right icon-arrow-up','icon-arrow-left icon-arrow-right icon-arrow-up',0,1,2,'I256413256232561',16),(20034,'icon-arrow-right','icon-arrow-right',0,0,1,'I25623',16),(20035,'icon-arrow-right icon-arrow-up','icon-arrow-right icon-arrow-up',0,1,2,'I256232561',16),(20036,'icon-arrow-right icon-arrow-up icon-caret-down','icon-arrow-right icon-arrow-up icon-caret-down',0,1,2,'I256232561252635',15),(20037,'icon-arrow-up','icon-arrow-up',0,0,0.8667,'I2561',16),(20038,'icon-arrow-up icon-caret-down','icon-arrow-up icon-caret-down',0,1,1.9667,'I2561252635',15),(20039,'icon-arrow-up icon-caret-down icon-caret-left','icon-arrow-up icon-caret-down icon-caret-left',0,1,2,'I256125263525263413',15),(20040,'icon-asterisk','icon-asterisk',0,0,0.8667,'I252362',16),(20041,'icon-asterisk icon-ban-circle','icon-asterisk icon-ban-circle',0,1,1.9667,'I2523625152624',16),(20042,'icon-asterisk icon-ban-circle icon-bar-chart','icon-asterisk icon-ban-circle icon-bar-chart',0,1,2,'I25236251526242516263',16),(20043,'icon-backward','icon-backward',0,0,0.8667,'I251263',16),(20044,'icon-backward icon-forward','icon-backward icon-forward',0,1,1.8667,'I25126325163',16),(20045,'icon-backward icon-forward icon-fast-forward','icon-backward icon-forward icon-fast-forward',0,1,2,'I2512632516325123163',16),(20046,'icon-ban-circle','icon-ban-circle',0,0,1,'I25152624',16),(20047,'icon-ban-circle icon-bar-chart','icon-ban-circle icon-bar-chart',0,1,2,'I251526242516263',16),(20048,'icon-ban-circle icon-bar-chart icon-barcode','icon-ban-circle icon-bar-chart icon-barcode',0,1,2,'I251526242516263251623',16),(20049,'icon-bar-chart','icon-bar-chart',0,0,0.9333,'I2516263',16),(20050,'icon-bar-chart icon-barcode','icon-bar-chart icon-barcode',0,1,1.9,'I2516263251623',16),(20051,'icon-bar-chart icon-barcode icon-beaker','icon-bar-chart icon-barcode icon-beaker',0,1,2,'I251626325162325126',16),(20052,'icon-barcode','icon-barcode',0,0,0.8,'I251623',16),(20053,'icon-barcode icon-beaker','icon-barcode icon-beaker',0,1,1.8,'I25162325126',16),(20054,'icon-barcode icon-beaker icon-beer','icon-barcode icon-beaker icon-beer',0,1,2,'I251623251262516',16),(20055,'icon-beaker','icon-beaker',0,0,0.7333,'I25126',16),(20056,'icon-beaker icon-beer','icon-beaker icon-beer',0,1,1.7,'I251262516',16),(20057,'icon-beaker icon-beer icon-bell','icon-beaker icon-beer icon-bell',0,1,2,'I2512625162514',16),(20058,'icon-beaker icon-h-sign','icon-beaker icon-h-sign',0,1,1.7667,'I251262525',16),(20059,'icon-beaker icon-h-sign icon-hospital','icon-beaker icon-h-sign icon-hospital',0,1,2,'I251262525252134',16),(20060,'icon-beer','icon-beer',0,0,0.6,'I2516',16),(20061,'icon-beer icon-bell','icon-beer icon-bell',0,1,1.6333,'I25162514',16),(20062,'icon-beer icon-bell icon-bell-alt','icon-beer icon-bell icon-bell-alt',0,1,2,'I2516251425143',16),(20063,'icon-bell','icon-bell',0,0,0.6,'I2514',16),(20064,'icon-bell icon-bell-alt','icon-bell icon-bell-alt',0,1,1.7667,'I251425143',16),(20065,'icon-bell icon-bell-alt icon-bolt','icon-bell icon-bell-alt icon-bolt',0,1,2,'I25142514325143',16),(20066,'icon-bell-alt','icon-bell-alt',0,0,0.8667,'I25143',16),(20067,'icon-bell-alt icon-bolt','icon-bell-alt icon-bolt',0,1,1.7667,'I2514325143',16),(20068,'icon-bell-alt icon-bolt icon-book','icon-bell-alt icon-bolt icon-book',0,1,2,'I25143251432512',16),(20069,'icon-bold','icon-bold',0,0,0.6,'I25143',16),(20070,'icon-bold icon-italic','icon-bold icon-italic',0,1,1.7,'I2514325342',16),(20071,'icon-bold icon-italic icon-strikethrough','icon-bold icon-italic icon-strikethrough',0,1,2,'I251432534252362362',16),(20072,'icon-bolt','icon-bolt',0,0,0.6,'I25143',16),(20073,'icon-bolt icon-book','icon-bolt icon-book',0,1,1.6333,'I251432512',16),(20074,'icon-bolt icon-book icon-bookmark','icon-bolt icon-book icon-bookmark',0,1,2,'I251432512512562',15),(20075,'icon-book','icon-book',0,0,0.6,'I2512',16),(20076,'icon-book icon-bookmark','icon-book icon-bookmark',0,1,1.7667,'I2512512562',15),(20077,'icon-book icon-bookmark icon-bookmark-empty','icon-book icon-bookmark icon-bookmark-empty',0,1,2,'I2512512562512562513',9),(20078,'icon-bookmark','icon-bookmark',0,0,0.8667,'I2512562',16),(20079,'icon-bookmark icon-bookmark-empty','icon-bookmark icon-bookmark-empty',0,1,2,'I2512562512562513',10),(20080,'icon-bookmark icon-bookmark-empty icon-briefcase','icon-bookmark icon-bookmark-empty icon-briefcase',0,1,2,'I2512562512562513251612',8),(20081,'icon-bookmark-empty','icon-bookmark-empty',0,0,1,'I2512562513',16),(20082,'icon-bookmark-empty icon-briefcase','icon-bookmark-empty icon-briefcase',0,1,2,'I2512562513251612',14),(20083,'icon-bookmark-empty icon-briefcase icon-bullhorn','icon-bookmark-empty icon-briefcase icon-bullhorn',0,1,2,'I251256251325161251465',13),(20084,'icon-briefcase','icon-briefcase',0,0,0.9333,'I251612',16),(20085,'icon-briefcase icon-bullhorn','icon-briefcase icon-bullhorn',0,1,1.9333,'I25161251465',15),(20086,'icon-briefcase icon-bullhorn icon-calendar','icon-briefcase icon-bullhorn icon-calendar',0,1,2,'I251612514652524536',15),(20087,'icon-bullhorn','icon-bullhorn',0,0,0.8667,'I251465',16),(20088,'icon-bullhorn icon-calendar','icon-bullhorn icon-calendar',0,1,1.9,'I2514652524536',16),(20089,'icon-bullhorn icon-calendar icon-camera','icon-bullhorn icon-calendar icon-camera',0,1,2,'I251465252453625256',15),(20090,'icon-calendar','icon-calendar',0,0,0.8667,'I2524536',16),(20091,'icon-calendar icon-camera','icon-calendar icon-camera',0,1,1.8333,'I252453625256',15),(20092,'icon-calendar icon-camera icon-camera-retro','icon-calendar icon-camera icon-camera-retro',0,1,2,'I2524536252562525636',15),(20093,'icon-camera','icon-camera',0,0,0.7333,'I25256',16),(20094,'icon-camera icon-camera-retro','icon-camera icon-camera-retro',0,1,1.9667,'I252562525636',16),(20095,'icon-camera icon-camera-retro icon-certificate','icon-camera icon-camera-retro icon-certificate',0,1,2,'I25256252563625263123',16),(20096,'icon-camera-retro','icon-camera-retro',0,0,1,'I2525636',16),(20097,'icon-camera-retro icon-certificate','icon-camera-retro icon-certificate',0,1,2,'I252563625263123',16),(20098,'icon-camera-retro icon-certificate icon-check','icon-camera-retro icon-certificate icon-check',0,1,2,'I252563625263123252',15),(20099,'icon-caret-down','icon-caret-down',0,0,1,'I252635',16),(20100,'icon-caret-down icon-caret-left','icon-caret-down icon-caret-left',0,1,2,'I25263525263413',16),(20101,'icon-caret-down icon-caret-left icon-caret-right','icon-caret-down icon-caret-left icon-caret-right',0,1,2,'I2526352526341325263623',16),(20102,'icon-caret-left','icon-caret-left',0,0,1,'I25263413',16),(20103,'icon-caret-left icon-caret-right','icon-caret-left icon-caret-right',0,1,2,'I2526341325263623',16),(20104,'icon-caret-left icon-caret-right icon-caret-up','icon-caret-left icon-caret-right icon-caret-up',0,1,2,'I2526341325263623252631',16),(20105,'icon-caret-right','icon-caret-right',0,0,1,'I25263623',16),(20106,'icon-caret-right icon-caret-up','icon-caret-right icon-caret-up',0,1,2,'I25263623252631',16),(20107,'icon-caret-right icon-caret-up icon-chevron-down','icon-caret-right icon-caret-up icon-chevron-down',0,1,2,'I2526362325263125216535',16),(20108,'icon-caret-up','icon-caret-up',0,0,0.8667,'I252631',16),(20109,'icon-caret-up icon-chevron-down','icon-caret-up icon-chevron-down',0,1,2,'I25263125216535',16),(20110,'icon-caret-up icon-chevron-down icon-chevron-left','icon-caret-up icon-chevron-down icon-chevron-left',0,1,2,'I25263125216535252165413',16),(20111,'icon-certificate','icon-certificate',0,0,1,'I25263123',16),(20112,'icon-certificate icon-check','icon-certificate icon-check',0,1,1.9,'I25263123252',15),(20113,'icon-certificate icon-check icon-check-empty','icon-certificate icon-check icon-check-empty',0,1,2,'I2526312325252513',15),(20114,'icon-check','icon-check',0,0,0.6667,'I252',16),(20115,'icon-check icon-check-empty','icon-check icon-check-empty',0,1,1.9,'I25252513',16),(20116,'icon-check icon-check-empty icon-circle','icon-check icon-check-empty icon-circle',0,1,2,'I25252513252624',16),(20117,'icon-check-empty','icon-check-empty',0,0,1,'I252513',16),(20118,'icon-check-empty icon-circle','icon-check-empty icon-circle',0,1,1.9333,'I252513252624',16),(20119,'icon-check-empty icon-circle icon-circle-blank','icon-check-empty icon-circle icon-circle-blank',0,1,2,'I2525132526242526241452',16),(20120,'icon-chevron-down','icon-chevron-down',0,0,1,'I25216535',16),(20121,'icon-chevron-down icon-chevron-left','icon-chevron-down icon-chevron-left',0,1,2,'I25216535252165413',16),(20122,'icon-chevron-down icon-chevron-left icon-chevron-right','icon-chevron-down icon-chevron-left icon-chevron-right',0,1,2,'I25216535252165413252165623',16),(20123,'icon-chevron-left','icon-chevron-left',0,0,1,'I252165413',16),(20124,'icon-chevron-left icon-chevron-right','icon-chevron-left icon-chevron-right',0,1,2,'I252165413252165623',16),(20125,'icon-chevron-left icon-chevron-right icon-chevron-up','icon-chevron-left icon-chevron-right icon-chevron-up',0,1,2,'I2521654132521656232521651',16),(20126,'icon-chevron-right','icon-chevron-right',0,0,1,'I252165623',16),(20127,'icon-chevron-right icon-chevron-up','icon-chevron-right icon-chevron-up',0,1,2,'I2521656232521651',16),(20128,'icon-chevron-right icon-chevron-up icon-circle-arrow-down','icon-chevron-right icon-chevron-up icon-circle-arrow-down',0,1,2,'I2521656232521651252624635',16),(20129,'icon-chevron-up','icon-chevron-up',0,0,1,'I2521651',16),(20130,'icon-chevron-up icon-circle-arrow-down','icon-chevron-up icon-circle-arrow-down',0,1,2,'I2521651252624635',16),(20131,'icon-chevron-up icon-circle-arrow-down icon-circle-arrow-left','icon-chevron-up icon-circle-arrow-down icon-circle-arrow-left',0,1,2,'I25216512526246352526246413',16),(20132,'icon-circle','icon-circle',0,0,0.7333,'I252624',16),(20133,'icon-circle icon-circle-blank','icon-circle icon-circle-blank',0,1,1.9667,'I2526242526241452',16),(20134,'icon-circle icon-circle-blank icon-cloud','icon-circle icon-circle-blank icon-cloud',0,1,2,'I25262425262414525243',16),(20135,'icon-circle icon-circle-blank video','icon-circle icon-circle-blank video',0,1,2,'I252624252624145213',15),(20136,'icon-circle-arrow-down','icon-circle-arrow-down',0,0,1,'I252624635',16),(20137,'icon-circle-arrow-down icon-circle-arrow-left','icon-circle-arrow-down icon-circle-arrow-left',0,1,2,'I2526246352526246413',16),(20138,'icon-circle-arrow-down icon-circle-arrow-left icon-circle-arrow-right','icon-circle-arrow-down icon-circle-arrow-left icon-circle-arrow-right',0,1,2,'I2526246352526246413252624623',16),(20139,'icon-circle-arrow-left','icon-circle-arrow-left',0,0,1,'I2526246413',16),(20140,'icon-circle-arrow-left icon-circle-arrow-right','icon-circle-arrow-left icon-circle-arrow-right',0,1,2,'I2526246413252624623',16),(20141,'icon-circle-arrow-left icon-circle-arrow-right icon-circle-arrow-up','icon-circle-arrow-left icon-circle-arrow-right icon-circle-arrow-up',0,1,2,'I252624641325262462325262461',16),(20142,'icon-circle-arrow-right','icon-circle-arrow-right',0,0,1,'I252624623',16),(20143,'icon-circle-arrow-right icon-circle-arrow-up','icon-circle-arrow-right icon-circle-arrow-up',0,1,2,'I25262462325262461',16),(20144,'icon-circle-arrow-right icon-circle-arrow-up icon-double-angle-left','icon-circle-arrow-right icon-circle-arrow-up icon-double-angle-left',0,1,2,'I252624623252624612531452413',16),(20145,'icon-circle-arrow-up','icon-circle-arrow-up',0,0,1,'I25262461',16),(20146,'icon-circle-arrow-up icon-double-angle-left','icon-circle-arrow-up icon-double-angle-left',0,1,2,'I252624612531452413',16),(20147,'icon-circle-arrow-up icon-double-angle-left icon-double-angle-right','icon-circle-arrow-up icon-double-angle-left icon-double-angle-right',0,1,2,'I25262461253145241325314524623',16),(20148,'icon-circle-blank','icon-circle-blank',0,0,1,'I2526241452',16),(20149,'icon-circle-blank icon-cloud','icon-circle-blank icon-cloud',0,1,1.9333,'I25262414525243',16),(20150,'icon-circle-blank icon-cloud icon-cloud-download','icon-circle-blank icon-cloud icon-cloud-download',0,1,2,'I2526241452524325243543',15),(20151,'icon-circle-blank video','icon-circle-blank video',0,1,1.7667,'I252624145213',16),(20152,'icon-circle-blank video player','icon-circle-blank video player',0,1,2,'I252624145213146',16),(20153,'icon-cloud','icon-cloud',0,0,0.6667,'I25243',16),(20154,'icon-cloud icon-cloud-download','icon-cloud icon-cloud-download',0,1,2,'I2524325243543',15),(20155,'icon-cloud icon-cloud-download icon-cloud-upload','icon-cloud icon-cloud-download icon-cloud-upload',0,1,2,'I252432524354325243143',15),(20156,'icon-cloud-download','icon-cloud-download',0,0,1,'I25243543',16),(20157,'icon-cloud-download icon-cloud-upload','icon-cloud-download icon-cloud-upload',0,1,2,'I2524354325243143',16),(20158,'icon-cloud-download icon-cloud-upload icon-coffee','icon-cloud-download icon-cloud-upload icon-coffee',0,1,2,'I25243543252431432521',16),(20159,'icon-cloud-upload','icon-cloud-upload',0,0,1,'I25243143',16),(20160,'icon-cloud-upload icon-coffee','icon-cloud-upload icon-coffee',0,1,1.9667,'I252431432521',16),(20161,'icon-cloud-upload icon-coffee icon-cog','icon-cloud-upload icon-coffee icon-cog',0,1,2,'I252431432521252',16),(20162,'icon-coffee','icon-coffee',0,0,0.7333,'I2521',16),(20163,'icon-coffee icon-cog','icon-coffee icon-cog',0,1,1.6667,'I2521252',16),(20164,'icon-coffee icon-cog icon-cogs','icon-coffee icon-cog icon-cogs',0,1,2,'I252125252',16),(20165,'icon-cog','icon-cog',0,0,0.5333,'I252',16),(20166,'icon-cog icon-cogs','icon-cog icon-cogs',0,1,1.6,'I25252',16),(20167,'icon-cog icon-cogs icon-comment','icon-cog icon-cogs icon-comment',0,1,2,'I252525253',16),(20168,'icon-cogs','icon-cogs',0,0,0.6,'I252',16),(20169,'icon-cogs icon-comment','icon-cogs icon-comment',0,1,1.7333,'I2525253',16),(20170,'icon-cogs icon-comment icon-comment-alt','icon-cogs icon-comment icon-comment-alt',0,1,2,'I25252532525343',16),(20171,'icon-columns','icon-columns',0,0,0.8,'I252452',16),(20172,'icon-columns icon-table','icon-columns icon-table',0,1,1.7667,'I2524525314',15),(20173,'icon-columns icon-table icon-th-large','icon-columns icon-table icon-th-large',0,1,2,'I2524525314253462',15),(20174,'icon-comment','icon-comment',0,0,0.8,'I25253',16),(20175,'icon-comment icon-comment-alt','icon-comment icon-comment-alt',0,1,1.9667,'I252532525343',16),(20176,'icon-comment icon-comment-alt icon-comments','icon-comment icon-comment-alt icon-comments',0,1,2,'I252532525343252532',16),(20177,'icon-comment-alt','icon-comment-alt',0,0,1,'I2525343',16),(20178,'icon-comment-alt icon-comments','icon-comment-alt icon-comments',0,1,2,'I2525343252532',16),(20179,'icon-comment-alt icon-comments icon-comments-alt','icon-comment-alt icon-comments icon-comments-alt',0,1,2,'I25253432525325253243',16),(20180,'icon-comments','icon-comments',0,0,0.8667,'I252532',16),(20181,'icon-comments icon-comments-alt','icon-comments icon-comments-alt',0,1,2,'I2525325253243',16),(20182,'icon-comments icon-comments-alt icon-credit-card','icon-comments icon-comments-alt icon-credit-card',0,1,2,'I252532525324325263263',16),(20183,'icon-comments-alt','icon-comments-alt',0,0,1,'I25253243',16),(20184,'icon-comments-alt icon-credit-card','icon-comments-alt icon-credit-card',0,1,2,'I2525324325263263',16),(20185,'icon-comments-alt icon-credit-card icon-dashboard','icon-comments-alt icon-credit-card icon-dashboard',0,1,2,'I25253243252632632532163',16),(20186,'icon-copy','icon-copy',0,0,0.6,'I2521',16),(20187,'icon-copy icon-paste','icon-copy icon-paste',0,1,1.6667,'I252125123',15),(20188,'icon-copy icon-paste icon-save','icon-copy icon-paste icon-save',0,1,2,'I2521251232521',15),(20189,'icon-credit-card','icon-credit-card',0,0,1,'I25263263',16),(20190,'icon-credit-card icon-dashboard','icon-credit-card icon-dashboard',0,1,2,'I252632632532163',16),(20191,'icon-credit-card icon-dashboard icon-desktop','icon-credit-card icon-dashboard icon-desktop',0,1,2,'I252632632532163253231',16),(20192,'icon-cut','icon-cut',0,0,0.5333,'I2523',16),(20193,'icon-cut icon-copy','icon-cut icon-copy',0,1,1.6,'I25232521',16),(20194,'icon-cut icon-copy icon-paste','icon-cut icon-copy icon-paste',0,1,1.9667,'I2523252125123',15),(20195,'icon-dashboard','icon-dashboard',0,0,0.9333,'I2532163',16),(20196,'icon-dashboard icon-desktop','icon-dashboard icon-desktop',0,1,1.9,'I2532163253231',16),(20197,'icon-dashboard icon-desktop icon-download','icon-dashboard icon-desktop icon-download',0,1,2,'I2532163253231253543',16),(20198,'icon-desktop','icon-desktop',0,0,0.8,'I253231',16),(20199,'icon-desktop icon-download','icon-desktop icon-download',0,1,1.8667,'I253231253543',16),(20200,'icon-desktop icon-download icon-download-alt','icon-desktop icon-download icon-download-alt',0,1,2,'I25323125354325354343',16),(20201,'icon-double-angle-down','icon-double-angle-down',0,0,1,'I2531452435',16),(20202,'icon-double-angle-left','icon-double-angle-left',0,0,1,'I2531452413',16),(20203,'icon-double-angle-left icon-double-angle-right','icon-double-angle-left icon-double-angle-right',0,1,2,'I253145241325314524623',16),(20204,'icon-double-angle-left icon-double-angle-right icon-double-angle-up','icon-double-angle-left icon-double-angle-right icon-double-angle-up',0,1,2,'I253145241325314524623253145241',16),(20205,'icon-double-angle-right','icon-double-angle-right',0,0,1,'I25314524623',16),(20206,'icon-double-angle-right icon-double-angle-up','icon-double-angle-right icon-double-angle-up',0,1,2,'I25314524623253145241',16),(20207,'icon-double-angle-right icon-double-angle-up icon-double-angle-down','icon-double-angle-right icon-double-angle-up icon-double-angle-down',0,1,2,'I253145246232531452412531452435',16),(20208,'icon-double-angle-up','icon-double-angle-up',0,0,1,'I253145241',16),(20209,'icon-double-angle-up icon-double-angle-down','icon-double-angle-up icon-double-angle-down',0,1,2,'I2531452412531452435',16),(20210,'icon-download','icon-download',0,0,0.8667,'I253543',16),(20211,'icon-download icon-download-alt','icon-download icon-download-alt',0,1,2,'I25354325354343',16),(20212,'icon-download icon-download-alt icon-edit','icon-download icon-download-alt icon-edit',0,1,2,'I25354325354343253',16),(20213,'icon-download-alt','icon-download-alt',0,0,1,'I25354343',16),(20214,'icon-download-alt icon-edit','icon-download-alt icon-edit',0,1,1.9,'I25354343253',16),(20215,'icon-download-alt icon-edit icon-envelope','icon-download-alt icon-edit icon-envelope',0,1,2,'I2535434325325141',16),(20216,'icon-edit','icon-edit',0,0,0.6,'I253',16),(20217,'icon-edit icon-envelope','icon-edit icon-envelope',0,1,1.7667,'I25325141',16),(20218,'icon-edit icon-envelope icon-envelope-alt','icon-edit icon-envelope icon-envelope-alt',0,1,2,'I253251412514143',16),(20219,'icon-eject','icon-eject',0,0,0.6667,'I2523',16),(20220,'icon-eject icon-fullscreen','icon-eject icon-fullscreen',0,1,1.8667,'I25232514265',16),(20221,'icon-eject icon-fullscreen icon-resize-full','icon-eject icon-fullscreen icon-resize-full',0,1,2,'I25232514265256214',16),(20222,'icon-envelope','icon-envelope',0,0,0.8667,'I25141',16),(20223,'icon-envelope icon-envelope-alt','icon-envelope icon-envelope-alt',0,1,2,'I251412514143',16),(20224,'icon-envelope icon-envelope-alt icon-exchange','icon-envelope icon-envelope-alt icon-exchange',0,1,2,'I25141251414325252',16),(20225,'icon-envelope-alt','icon-envelope-alt',0,0,1,'I2514143',16),(20226,'icon-envelope-alt icon-exchange','icon-envelope-alt icon-exchange',0,1,2,'I251414325252',16),(20227,'icon-envelope-alt icon-exchange icon-exclamation-sign','icon-envelope-alt icon-exchange icon-exclamation-sign',0,1,2,'I25141432525252453525',16),(20228,'icon-exchange','icon-exchange',0,0,0.8667,'I25252',16),(20229,'icon-exchange icon-exclamation-sign','icon-exchange icon-exclamation-sign',0,1,2,'I2525252453525',16),(20230,'icon-exchange icon-exclamation-sign icon-external-link','icon-exchange icon-exclamation-sign icon-external-link',0,1,2,'I2525252453525252365452',16),(20231,'icon-exclamation-sign','icon-exclamation-sign',0,0,1,'I252453525',16),(20232,'icon-exclamation-sign icon-external-link','icon-exclamation-sign icon-external-link',0,1,2,'I252453525252365452',16),(20233,'icon-exclamation-sign icon-external-link icon-eye-close','icon-exclamation-sign icon-external-link icon-eye-close',0,1,2,'I2524535252523654525242',15),(20234,'icon-external-link','icon-external-link',0,0,1,'I252365452',16),(20235,'icon-external-link icon-eye-close','icon-external-link icon-eye-close',0,1,2,'I2523654525242',15),(20236,'icon-external-link icon-eye-close icon-eye-open','icon-external-link icon-eye-close icon-eye-open',0,1,2,'I2523654525242515',9),(20237,'icon-eye-close','icon-eye-close',0,0,0.9333,'I25242',16),(20238,'icon-eye-close icon-eye-open','icon-eye-close icon-eye-open',0,1,1.9333,'I25242515',10),(20239,'icon-eye-close icon-eye-open icon-facetime-video','icon-eye-close icon-eye-open icon-facetime-video',0,1,2,'I2524251525123513',8),(20240,'icon-eye-open','icon-eye-open',0,0,0.8667,'I2515',16),(20241,'icon-eye-open icon-facetime-video','icon-eye-open icon-facetime-video',0,1,2,'I251525123513',14),(20242,'icon-eye-open icon-facetime-video icon-fighter-jet','icon-eye-open icon-facetime-video icon-fighter-jet',0,1,2,'I25152512351325123623',13),(20243,'icon-facebook','icon-facebook',0,0,0.8667,'I251212',16),(20244,'icon-facebook icon-facebook-sign','icon-facebook icon-facebook-sign',0,1,2,'I251212512125',16),(20245,'icon-facebook icon-facebook-sign icon-twitter','icon-facebook icon-facebook-sign icon-twitter',0,1,2,'I2512125121252536',16),(20246,'icon-facebook-sign','icon-facebook-sign',0,0,1,'I2512125',16),(20247,'icon-facebook-sign icon-twitter','icon-facebook-sign icon-twitter',0,1,2,'I25121252536',16),(20248,'icon-facebook-sign icon-twitter icon-twitter-sign','icon-facebook-sign icon-twitter icon-twitter-sign',0,1,2,'I25121252536253625',16),(20249,'icon-facetime-video','icon-facetime-video',0,0,1,'I25123513',16),(20250,'icon-facetime-video icon-fighter-jet','icon-facetime-video icon-fighter-jet',0,1,2,'I2512351325123623',15),(20251,'icon-facetime-video icon-fighter-jet icon-film','icon-facetime-video icon-fighter-jet icon-film',0,1,2,'I251235132512362325145',15),(20252,'icon-fast-backward','icon-fast-backward',0,0,1,'I251231263',16),(20253,'icon-fast-backward icon-backward','icon-fast-backward icon-backward',0,1,2,'I251231263251263',15),(20254,'icon-fast-backward icon-backward icon-forward','icon-fast-backward icon-backward icon-forward',0,1,2,'I25123126325126325163',15),(20255,'icon-fast-forward','icon-fast-forward',0,0,1,'I25123163',16),(20256,'icon-fast-forward icon-step-forward','icon-fast-forward icon-step-forward',0,1,2,'I251231632523163',16),(20257,'icon-fast-forward icon-step-forward icon-eject','icon-fast-forward icon-step-forward icon-eject',0,1,2,'I2512316325231632523',16),(20258,'icon-fighter-jet','icon-fighter-jet',0,0,1,'I25123623',16),(20259,'icon-fighter-jet icon-film','icon-fighter-jet icon-film',0,1,1.8667,'I2512362325145',16),(20260,'icon-fighter-jet icon-film icon-filter','icon-fighter-jet icon-film icon-filter',0,1,2,'I2512362325145251436',15),(20261,'icon-file','icon-file',0,0,0.6,'I2514',16),(20262,'icon-file icon-file-alt','icon-file icon-file-alt',0,1,1.7667,'I251425143',16),(20263,'icon-file icon-file-alt icon-cut','icon-file icon-file-alt icon-cut',0,1,2,'I2514251432523',15),(20264,'icon-file-alt','icon-file-alt',0,0,0.8667,'I25143',16),(20265,'icon-file-alt icon-cut','icon-file-alt icon-cut',0,1,1.7333,'I251432523',15),(20266,'icon-file-alt icon-cut icon-copy','icon-file-alt icon-cut icon-copy',0,1,2,'I2514325232521',15),(20267,'icon-film','icon-film',0,0,0.6,'I25145',16),(20268,'icon-film icon-filter','icon-film icon-filter',0,1,1.7,'I25145251436',15),(20269,'icon-film icon-filter icon-fire','icon-film icon-filter icon-fire',0,1,2,'I251452514362516',15),(20270,'icon-filter','icon-filter',0,0,0.7333,'I251436',16),(20271,'icon-filter icon-fire','icon-filter icon-fire',0,1,1.7,'I2514362516',16),(20272,'icon-filter icon-fire icon-flag','icon-filter icon-fire icon-flag',0,1,2,'I251436251625142',16),(20273,'icon-fire','icon-fire',0,0,0.6,'I2516',16),(20274,'icon-fire icon-flag','icon-fire icon-flag',0,1,1.6333,'I251625142',16),(20275,'icon-fire icon-flag icon-folder-close','icon-fire icon-flag icon-folder-close',0,1,2,'I25162514251436242',16),(20276,'icon-flag','icon-flag',0,0,0.6,'I25142',16),(20277,'icon-flag icon-folder-close','icon-flag icon-folder-close',0,1,1.9,'I2514251436242',16),(20278,'icon-flag icon-folder-close icon-folder-open','icon-flag icon-folder-close icon-folder-open',0,1,2,'I25142514362425143615',15),(20279,'icon-folder-close','icon-folder-close',0,0,1,'I251436242',16),(20280,'icon-folder-close icon-folder-open','icon-folder-close icon-folder-open',0,1,2,'I2514362425143615',15),(20281,'icon-folder-close icon-folder-open icon-folder-close-alt','icon-folder-close icon-folder-open icon-folder-close-alt',0,1,2,'I251436242514361525143624243',15),(20282,'icon-folder-close-alt','icon-folder-close-alt',0,0,1,'I25143624243',16),(20283,'icon-folder-close-alt icon-folder-open-alt','icon-folder-close-alt icon-folder-open-alt',0,1,2,'I251436242432514361543',16),(20284,'icon-folder-close-alt icon-folder-open-alt icon-food','icon-folder-close-alt icon-folder-open-alt icon-food',0,1,2,'I2514362424325143615432513',16),(20285,'icon-folder-open','icon-folder-open',0,0,1,'I25143615',16),(20286,'icon-folder-open icon-folder-close-alt','icon-folder-open icon-folder-close-alt',0,1,2,'I2514361525143624243',16),(20287,'icon-folder-open icon-folder-close-alt icon-folder-open-alt','icon-folder-open icon-folder-close-alt icon-folder-open-alt',0,1,2,'I25143615251436242432514361543',16),(20288,'icon-folder-open-alt','icon-folder-open-alt',0,0,1,'I2514361543',16),(20289,'icon-folder-open-alt icon-food','icon-folder-open-alt icon-food',0,1,2,'I25143615432513',16),(20290,'icon-folder-open-alt icon-food icon-gift','icon-folder-open-alt icon-food icon-gift',0,1,2,'I2514361543251325213',15),(20291,'icon-font','icon-font',0,0,0.6,'I25153',16),(20292,'icon-font icon-bold','icon-font icon-bold',0,1,1.6333,'I2515325143',16),(20293,'icon-font icon-bold icon-italic','icon-font icon-bold icon-italic',0,1,2,'I251532514325342',16),(20294,'icon-food','icon-food',0,0,0.6,'I2513',16),(20295,'icon-food icon-gift','icon-food icon-gift',0,1,1.6333,'I251325213',15),(20296,'icon-food icon-gift icon-glass','icon-food icon-gift icon-glass',0,1,2,'I25132521325242',14),(20297,'icon-forward','icon-forward',0,0,0.8,'I25163',16),(20298,'icon-forward icon-fast-forward','icon-forward icon-fast-forward',0,1,2,'I2516325123163',16),(20299,'icon-forward icon-fast-forward icon-step-forward','icon-forward icon-fast-forward icon-step-forward',0,1,2,'I25163251231632523163',16),(20300,'icon-fullscreen','icon-fullscreen',0,0,1,'I2514265',16),(20301,'icon-fullscreen icon-resize-full','icon-fullscreen icon-resize-full',0,1,2,'I2514265256214',16),(20302,'icon-fullscreen icon-resize-full icon-resize-small','icon-fullscreen icon-resize-full icon-resize-small',0,1,2,'I2514265256214256254',16),(20303,'icon-gift','icon-gift',0,0,0.6,'I25213',16),(20304,'icon-gift icon-glass','icon-gift icon-glass',0,1,1.6667,'I2521325242',15),(20305,'icon-gift icon-glass icon-globe','icon-gift icon-glass icon-globe',0,1,2,'I25213252425241',15),(20306,'icon-github','icon-github',0,0,0.7333,'I25231',16),(20307,'icon-github icon-github-alt','icon-github icon-github-alt',0,1,1.9,'I252312523143',10),(20308,'icon-github icon-github-alt icon-github-sign','icon-github icon-github-alt icon-github-sign',0,1,2,'I2523125231432523125',7),(20309,'icon-github-alt','icon-github-alt',0,0,1,'I2523143',16),(20310,'icon-github-alt icon-github-sign','icon-github-alt icon-github-sign',0,1,2,'I25231432523125',13),(20311,'icon-github-alt icon-github-sign icon-linkedin','icon-github-alt icon-github-sign icon-linkedin',0,1,2,'I252314325231252545235',12),(20312,'icon-github-sign','icon-github-sign',0,0,1,'I2523125',16),(20313,'icon-github-sign icon-linkedin','icon-github-sign icon-linkedin',0,1,2,'I25231252545235',15),(20314,'icon-github-sign icon-linkedin icon-linkedin-sign','icon-github-sign icon-linkedin icon-linkedin-sign',0,1,2,'I25231252545235254523525',15),(20315,'icon-glass','icon-glass',0,0,0.6667,'I25242',16),(20316,'icon-glass icon-globe','icon-glass icon-globe',0,1,1.7,'I252425241',16),(20317,'icon-glass icon-globe icon-group','icon-glass icon-globe icon-group',0,1,2,'I25242524125261',16),(20318,'icon-globe','icon-globe',0,0,0.6667,'I25241',16),(20319,'icon-globe icon-group','icon-globe icon-group',0,1,1.7,'I2524125261',16),(20320,'icon-globe icon-group icon-hdd','icon-globe icon-group icon-hdd',0,1,2,'I2524125261253',16),(20321,'icon-google-plus','icon-google-plus',0,0,1,'I2524142',16),(20322,'icon-google-plus icon-google-plus-sign','icon-google-plus icon-google-plus-sign',0,1,2,'I25241425241425',16),(20323,'icon-google-plus icon-google-plus-sign icon-sign-blank','icon-google-plus icon-google-plus-sign icon-sign-blank',0,1,2,'I2524142524142525251452',15),(20324,'icon-google-plus-sign','icon-google-plus-sign',0,0,1,'I25241425',16),(20325,'icon-google-plus-sign icon-sign-blank','icon-google-plus-sign icon-sign-blank',0,1,2,'I2524142525251452',15),(20326,'icon-google-plus-sign icon-sign-blank medical','icon-google-plus-sign icon-sign-blank medical',0,1,2,'I25241425252514525324',15),(20327,'icon-group','icon-group',0,0,0.6667,'I25261',16),(20328,'icon-group icon-hdd','icon-group icon-hdd',0,1,1.6333,'I25261253',16),(20329,'icon-group icon-hdd icon-headphones','icon-group icon-hdd icon-headphones',0,1,2,'I25261253253152',16),(20330,'icon-h-sign','icon-h-sign',0,0,0.7333,'I2525',16),(20331,'icon-h-sign icon-hospital','icon-h-sign icon-hospital',0,1,1.8333,'I2525252134',16),(20332,'icon-h-sign icon-hospital icon-medkit','icon-h-sign icon-hospital icon-medkit',0,1,2,'I252525213425323',16),(20333,'icon-hand-down','icon-hand-down',0,0,0.9333,'I2535',16),(20334,'icon-hand-down icon-hand-left','icon-hand-down icon-hand-left',0,1,1.9667,'I2535253413',9),(20335,'icon-hand-down icon-hand-left icon-hand-right','icon-hand-down icon-hand-left icon-hand-right',0,1,2,'I2535253413253623',9),(20336,'icon-hand-left','icon-hand-left',0,0,0.9333,'I253413',16),(20337,'icon-hand-left icon-hand-right','icon-hand-left icon-hand-right',0,1,2,'I253413253623',16),(20338,'icon-hand-left icon-hand-right icon-hand-up','icon-hand-left icon-hand-right icon-hand-up',0,1,2,'I2534132536232531',14),(20339,'icon-hand-right','icon-hand-right',0,0,1,'I253623',16),(20340,'icon-hand-right icon-hand-up','icon-hand-right icon-hand-up',0,1,1.9333,'I2536232531',14),(20341,'icon-hand-right icon-hand-up icon-circle','icon-hand-right icon-hand-up icon-circle',0,1,2,'I2536232531252624',13),(20342,'icon-hand-up','icon-hand-up',0,0,0.8,'I2531',16),(20343,'icon-hand-up icon-circle','icon-hand-up icon-circle',0,1,1.8,'I2531252624',15),(20344,'icon-hand-up icon-circle icon-circle-blank','icon-hand-up icon-circle icon-circle-blank',0,1,2,'I25312526242526241452',14),(20345,'icon-hdd','icon-hdd',0,0,0.5333,'I253',16),(20346,'icon-hdd icon-headphones','icon-hdd icon-headphones',0,1,1.8,'I253253152',16),(20347,'icon-hdd icon-headphones icon-heart','icon-hdd icon-headphones icon-heart',0,1,2,'I253253152563',16),(20348,'icon-headphones','icon-headphones',0,0,1,'I253152',16),(20349,'icon-headphones icon-heart','icon-headphones icon-heart',0,1,1.8667,'I253152563',16),(20350,'icon-headphones icon-heart icon-heart-empty','icon-headphones icon-heart icon-heart-empty',0,1,2,'I2531525632563513',16),(20351,'icon-heart','icon-heart',0,0,0.6667,'I2563',16),(20352,'icon-heart icon-heart-empty','icon-heart icon-heart-empty',0,1,1.9,'I25632563513',16),(20353,'icon-heart icon-heart-empty icon-home','icon-heart icon-heart-empty icon-home',0,1,2,'I2563256351325',16),(20354,'icon-heart-empty','icon-heart-empty',0,0,1,'I2563513',16),(20355,'icon-heart-empty icon-home','icon-heart-empty icon-home',0,1,1.8667,'I256351325',16),(20356,'icon-heart-empty icon-home icon-inbox','icon-heart-empty icon-home icon-inbox',0,1,2,'I2563513252512',16),(20357,'icon-home','icon-home',0,0,0.6,'I250',16),(20358,'icon-home icon-inbox','icon-home icon-inbox',0,1,1.6667,'I252512',16),(20359,'icon-home icon-inbox icon-info-sign','icon-home icon-inbox icon-info-sign',0,1,2,'I2525125125',16),(20360,'icon-hospital','icon-hospital',0,0,0.8667,'I252134',16),(20361,'icon-hospital icon-medkit','icon-hospital icon-medkit',0,1,1.8333,'I25213425323',16),(20362,'icon-hospital icon-medkit icon-plus-sign-alt','icon-hospital icon-medkit icon-plus-sign-alt',0,1,2,'I2521342532325142543',16),(20363,'icon-inbox','icon-inbox',0,0,0.6667,'I2512',16),(20364,'icon-inbox icon-info-sign','icon-inbox icon-info-sign',0,1,1.8333,'I25125125',16),(20365,'icon-inbox icon-info-sign icon-key','icon-inbox icon-info-sign icon-key',0,1,2,'I25125125252',16),(20366,'icon-indent-left','icon-indent-left',0,0,1,'I25353413',16),(20367,'icon-indent-left icon-indent-right','icon-indent-left icon-indent-right',0,1,2,'I2535341325353623',16),(20368,'icon-indent-left icon-indent-right icon-font','icon-indent-left icon-indent-right icon-font',0,1,2,'I253534132535362325153',16),(20369,'icon-indent-right','icon-indent-right',0,0,1,'I25353623',16),(20370,'icon-indent-right icon-font','icon-indent-right icon-font',0,1,1.9,'I2535362325153',16),(20371,'icon-indent-right icon-font icon-bold','icon-indent-right icon-font icon-bold',0,1,2,'I253536232515325143',16),(20372,'icon-info-sign','icon-info-sign',0,0,0.9333,'I25125',16),(20373,'icon-info-sign icon-key','icon-info-sign icon-key',0,1,1.7667,'I25125252',16),(20374,'icon-info-sign icon-key icon-leaf','icon-info-sign icon-key icon-leaf',0,1,2,'I25125252541',16),(20375,'icon-italic','icon-italic',0,0,0.7333,'I25342',16),(20376,'icon-italic icon-strikethrough','icon-italic icon-strikethrough',0,1,2,'I2534252362362',16),(20377,'icon-italic icon-strikethrough icon-underline','icon-italic icon-strikethrough icon-underline',0,1,2,'I253425236236253645',16),(20378,'icon-key','icon-key',0,0,0.5333,'I252',16),(20379,'icon-key icon-leaf','icon-key icon-leaf',0,1,1.6,'I252541',16),(20380,'icon-key icon-leaf icon-laptop','icon-key icon-leaf icon-laptop',0,1,2,'I252541254131',16),(20381,'icon-laptop','icon-laptop',0,0,0.7333,'I254131',16),(20382,'icon-laptop icon-legal','icon-laptop icon-legal',0,1,1.7333,'I25413125424',16),(20383,'icon-laptop icon-legal icon-lemon','icon-laptop icon-legal icon-lemon',0,1,2,'I254131254242545',16),(20384,'icon-leaf','icon-leaf',0,0,0.6,'I2541',16),(20385,'icon-leaf icon-laptop','icon-leaf icon-laptop',0,1,1.7,'I2541254131',16),(20386,'icon-leaf icon-laptop icon-legal','icon-leaf icon-laptop icon-legal',0,1,2,'I254125413125424',16),(20387,'icon-legal','icon-legal',0,0,0.6667,'I25424',16),(20388,'icon-legal icon-lemon','icon-legal icon-lemon',0,1,1.7,'I254242545',16),(20389,'icon-legal icon-lemon icon-lightbulb','icon-legal icon-lemon icon-lightbulb',0,1,2,'I25424254525423141',16),(20390,'icon-lemon','icon-lemon',0,0,0.6667,'I2545',16),(20391,'icon-lemon icon-lightbulb','icon-lemon icon-lightbulb',0,1,1.8333,'I254525423141',16),(20392,'icon-lemon icon-lightbulb icon-lock','icon-lemon icon-lightbulb icon-lock',0,1,2,'I2545254231412542',16),(20393,'icon-lightbulb','icon-lightbulb',0,0,0.9333,'I25423141',16),(20394,'icon-lightbulb icon-lock','icon-lightbulb icon-lock',0,1,1.8,'I254231412542',16),(20395,'icon-lightbulb icon-lock icon-unlock','icon-lightbulb icon-lock icon-unlock',0,1,2,'I254231412542542',16),(20396,'icon-link','icon-link',0,0,0.6,'I25452',16),(20397,'icon-link icon-paper-clip','icon-link icon-paper-clip',0,1,1.8333,'I25452516241',16),(20398,'icon-link icon-paper-clip icon-columns','icon-link icon-paper-clip icon-columns',0,1,2,'I25452516241252452',16),(20399,'icon-linkedin','icon-linkedin',0,0,0.8667,'I2545235',16),(20400,'icon-linkedin icon-linkedin-sign','icon-linkedin icon-linkedin-sign',0,1,2,'I2545235254523525',16),(20401,'icon-linkedin icon-linkedin-sign icon-pinterest','icon-linkedin icon-linkedin-sign icon-pinterest',0,1,2,'I254523525452352525153623',16),(20402,'icon-linkedin-sign','icon-linkedin-sign',0,0,1,'I254523525',16),(20403,'icon-linkedin-sign icon-pinterest','icon-linkedin-sign icon-pinterest',0,1,2,'I25452352525153623',16),(20404,'icon-linkedin-sign icon-pinterest icon-pinterest-sign','icon-linkedin-sign icon-pinterest icon-pinterest-sign',0,1,2,'I254523525251536232515362325',15),(20405,'icon-list','icon-list',0,0,0.6,'I25423',16),(20406,'icon-list icon-list-ol','icon-list icon-list-ol',0,1,1.7333,'I25423254234',16),(20407,'icon-list icon-list-ol icon-list-ul','icon-list icon-list-ol icon-list-ul',0,1,2,'I25423254234254234',16),(20408,'icon-list-alt','icon-list-alt',0,0,0.8667,'I2542343',16),(20409,'icon-list-alt directional','icon-list-alt directional',0,1,1.8333,'I254234362354',16),(20410,'icon-list-alt directional icons','icon-list-alt directional icons',0,1,2,'I254234362354252',16),(20411,'icon-list-ol','icon-list-ol',0,0,0.8,'I254234',16),(20412,'icon-list-ol icon-list-ul','icon-list-ol icon-list-ul',0,1,1.8333,'I254234254234',16),(20413,'icon-list-ol icon-list-ul icon-list-alt','icon-list-ol icon-list-ul icon-list-alt',0,1,2,'I2542342542342542343',9),(20414,'icon-list-ul','icon-list-ul',0,0,0.8,'I254234',16),(20415,'icon-list-ul icon-list-alt','icon-list-ul icon-list-alt',0,1,1.8667,'I2542342542343',9),(20416,'icon-list-ul icon-list-alt directional','icon-list-ul icon-list-alt directional',0,1,2,'I254234254234362354',9),(20417,'icon-lock','icon-lock',0,0,0.6,'I2542',16),(20418,'icon-lock icon-unlock','icon-lock icon-unlock',0,1,1.7,'I2542542',16),(20419,'icon-magic','icon-magic',0,0,0.6667,'I252',16),(20420,'icon-magic icon-magnet','icon-magic icon-magnet',0,1,1.7333,'I2525253',16),(20421,'icon-magic icon-magnet icon-map-marker','icon-magic icon-magnet icon-map-marker',0,1,2,'I25252532515626',16),(20422,'icon-magnet','icon-magnet',0,0,0.7333,'I25253',16),(20423,'icon-magnet icon-map-marker','icon-magnet icon-map-marker',0,1,1.9,'I252532515626',16),(20424,'icon-magnet icon-map-marker icon-minus','icon-magnet icon-map-marker icon-minus',0,1,2,'I252532515626252',16),(20425,'icon-map-marker','icon-map-marker',0,0,1,'I2515626',16),(20426,'icon-map-marker icon-minus','icon-map-marker icon-minus',0,1,1.8667,'I2515626252',16),(20427,'icon-map-marker icon-minus icon-minus-sign','icon-map-marker icon-minus icon-minus-sign',0,1,2,'I2515626252525',9),(20428,'icon-medkit','icon-medkit',0,0,0.7333,'I25323',16),(20429,'icon-medkit icon-plus-sign-alt','icon-medkit icon-plus-sign-alt',0,1,2,'I2532325142543',16),(20430,'icon-minus','icon-minus',0,0,0.6667,'I252',16),(20431,'icon-minus icon-minus-sign','icon-minus icon-minus-sign',0,1,1.8667,'I252525',9),(20432,'icon-minus icon-minus-sign icon-mobile-phone','icon-minus icon-minus-sign icon-mobile-phone',0,1,2,'I252525251415',7),(20433,'icon-minus-sign','icon-minus-sign',0,0,1,'I2525',16),(20434,'icon-minus-sign icon-mobile-phone','icon-minus-sign icon-mobile-phone',0,1,2,'I2525251415',14),(20435,'icon-minus-sign icon-mobile-phone icon-money','icon-minus-sign icon-mobile-phone icon-money',0,1,2,'I252525141525',14),(20436,'icon-mobile-phone','icon-mobile-phone',0,0,1,'I251415',16),(20437,'icon-mobile-phone icon-money','icon-mobile-phone icon-money',0,1,1.9333,'I25141525',16),(20438,'icon-mobile-phone icon-money icon-move','icon-mobile-phone icon-money icon-move',0,1,2,'I25141525251',15),(20439,'icon-money','icon-money',0,0,0.6667,'I250',16),(20440,'icon-money icon-move','icon-money icon-move',0,1,1.6667,'I25251',15),(20441,'icon-money icon-move icon-music','icon-money icon-move icon-music',0,1,2,'I25251252',15),(20442,'icon-move','icon-move',0,0,0.6,'I251',16),(20443,'icon-move icon-music','icon-move icon-music',0,1,1.6667,'I251252',16),(20444,'icon-move icon-music icon-off','icon-move icon-music icon-off',0,1,1.9667,'I25125251',15),(20445,'icon-music','icon-music',0,0,0.6667,'I252',16),(20446,'icon-music icon-off','icon-music icon-off',0,1,1.6333,'I25251',15),(20447,'icon-music icon-off icon-ok','icon-music icon-off icon-ok',0,1,1.9,'I25251252',15),(20448,'icon-off','icon-off',0,0,0.5333,'I251',16),(20449,'icon-off icon-ok','icon-off icon-ok',0,1,1.5333,'I251252',16),(20450,'icon-off icon-ok icon-ok-circle','icon-off icon-ok icon-ok-circle',0,1,2,'I25125252624',16),(20451,'icon-ok','icon-ok',0,0,0.4667,'I252',16),(20452,'icon-ok icon-ok-circle','icon-ok icon-ok-circle',0,1,1.7333,'I25252624',16),(20453,'icon-ok icon-ok-circle icon-ok-sign','icon-ok icon-ok-circle icon-ok-sign',0,1,2,'I252526242525',16),(20454,'icon-ok-circle','icon-ok-circle',0,0,0.9333,'I252624',16),(20455,'icon-ok-circle icon-ok-sign','icon-ok-circle icon-ok-sign',0,1,1.9,'I2526242525',16),(20456,'icon-ok-circle icon-ok-sign icon-pencil','icon-ok-circle icon-ok-sign icon-pencil',0,1,2,'I2526242525251524',15),(20457,'icon-ok-sign','icon-ok-sign',0,0,0.8,'I2525',16),(20458,'icon-ok-sign icon-pencil','icon-ok-sign icon-pencil',0,1,1.8,'I2525251524',15),(20459,'icon-ok-sign icon-pencil icon-picture','icon-ok-sign icon-pencil icon-picture',0,1,2,'I2525251524251236',15),(20460,'icon-paper-clip','icon-paper-clip',0,0,1,'I2516241',16),(20461,'icon-paper-clip icon-columns','icon-paper-clip icon-columns',0,1,1.9333,'I2516241252452',16),(20462,'icon-paper-clip icon-columns icon-table','icon-paper-clip icon-columns icon-table',0,1,2,'I25162412524525314',15),(20463,'icon-paste','icon-paste',0,0,0.6667,'I25123',16),(20464,'icon-paste icon-save','icon-paste icon-save',0,1,1.6667,'I251232521',16),(20465,'icon-paste icon-save icon-undo','icon-paste icon-save icon-undo',0,1,2,'I251232521253',16),(20466,'icon-pause','icon-pause',0,0,0.6667,'I2512',16),(20467,'icon-pause icon-stop','icon-pause icon-stop',0,1,1.6667,'I25125231',16),(20468,'icon-pause icon-stop icon-step-backward','icon-pause icon-stop icon-step-backward',0,1,2,'I2512523125231263',15),(20469,'icon-pencil','icon-pencil',0,0,0.7333,'I251524',16),(20470,'icon-pencil icon-picture','icon-pencil icon-picture',0,1,1.8,'I251524251236',16),(20471,'icon-pencil icon-picture icon-plane','icon-pencil icon-picture icon-plane',0,1,2,'I25152425123625145',16),(20472,'icon-phone','icon-phone',0,0,0.6667,'I2515',16),(20473,'icon-phone icon-phone-sign','icon-phone icon-phone-sign',0,1,1.8667,'I2515251525',16),(20474,'icon-phone icon-phone-sign icon-facebook','icon-phone icon-phone-sign icon-facebook',0,1,2,'I2515251525251212',16),(20475,'icon-phone-sign','icon-phone-sign',0,0,1,'I251525',16),(20476,'icon-phone-sign icon-facebook','icon-phone-sign icon-facebook',0,1,1.9667,'I251525251212',16),(20477,'icon-phone-sign icon-facebook icon-facebook-sign','icon-phone-sign icon-facebook icon-facebook-sign',0,1,2,'I251525251212512125',16),(20478,'icon-picture','icon-picture',0,0,0.8,'I251236',16),(20479,'icon-picture icon-plane','icon-picture icon-plane',0,1,1.7667,'I25123625145',16),(20480,'icon-picture icon-plane icon-plus','icon-picture icon-plane icon-plus',0,1,2,'I2512362514525142',16),(20481,'icon-pinterest','icon-pinterest',0,0,0.9333,'I25153623',16),(20482,'icon-pinterest icon-pinterest-sign','icon-pinterest icon-pinterest-sign',0,1,2,'I251536232515362325',15),(20483,'icon-pinterest icon-pinterest-sign icon-google-plus','icon-pinterest icon-pinterest-sign icon-google-plus',0,1,2,'I2515362325153623252524142',15),(20484,'icon-pinterest-sign','icon-pinterest-sign',0,0,1,'I2515362325',16),(20485,'icon-pinterest-sign icon-google-plus','icon-pinterest-sign icon-google-plus',0,1,2,'I25153623252524142',16),(20486,'icon-pinterest-sign icon-google-plus icon-google-plus-sign','icon-pinterest-sign icon-google-plus icon-google-plus-sign',0,1,2,'I251536232525241425241425',16),(20487,'icon-plane','icon-plane',0,0,0.6667,'I25145',16),(20488,'icon-plane icon-plus','icon-plane icon-plus',0,1,1.6667,'I2514525142',16),(20489,'icon-plane icon-plus icon-plus-sign','icon-plane icon-plus icon-plus-sign',0,1,2,'I251452514251425',16),(20490,'icon-play','icon-play',0,0,0.6,'I2514',16),(20491,'icon-play icon-pause','icon-play icon-pause',0,1,1.6667,'I25142512',16),(20492,'icon-play icon-pause icon-stop','icon-play icon-pause icon-stop',0,1,2,'I251425125231',16),(20493,'icon-play-circle','icon-play-circle',0,0,1,'I25142624',16),(20494,'icon-play-circle icon-play','icon-play-circle icon-play',0,1,1.8667,'I251426242514',16),(20495,'icon-play-circle icon-play icon-pause','icon-play-circle icon-play icon-pause',0,1,2,'I2514262425142512',16),(20496,'icon-plus','icon-plus',0,0,0.6,'I25142',16),(20497,'icon-plus icon-plus-sign','icon-plus icon-plus-sign',0,1,1.8,'I2514251425',16),(20498,'icon-plus icon-plus-sign icon-print','icon-plus icon-plus-sign icon-print',0,1,2,'I2514251425251653',15),(20499,'icon-plus-sign','icon-plus-sign',0,0,0.9333,'I251425',16),(20500,'icon-plus-sign icon-print','icon-plus-sign icon-print',0,1,1.8333,'I251425251653',15),(20501,'icon-plus-sign icon-print icon-pushpin','icon-plus-sign icon-print icon-pushpin',0,1,2,'I251425251653251215',15),(20502,'icon-plus-sign-alt','icon-plus-sign-alt',0,0,1,'I25142543',16),(20503,'icon-print','icon-print',0,0,0.6667,'I251653',16),(20504,'icon-print icon-pushpin','icon-print icon-pushpin',0,1,1.7667,'I251653251215',16),(20505,'icon-print icon-pushpin icon-qrcode','icon-print icon-pushpin icon-qrcode',0,1,2,'I251653251215252623',16),(20506,'icon-pushpin','icon-pushpin',0,0,0.8,'I251215',16),(20507,'icon-pushpin icon-qrcode','icon-pushpin icon-qrcode',0,1,1.8,'I251215252623',16),(20508,'icon-pushpin icon-qrcode icon-question-sign','icon-pushpin icon-qrcode icon-question-sign',0,1,2,'I2512152526232523525',16),(20509,'icon-qrcode','icon-qrcode',0,0,0.7333,'I252623',16),(20510,'icon-qrcode icon-question-sign','icon-qrcode icon-question-sign',0,1,2,'I2526232523525',16),(20511,'icon-qrcode icon-question-sign icon-quote-left','icon-qrcode icon-question-sign icon-quote-left',0,1,2,'I25262325235252523413',16),(20512,'icon-question-sign','icon-question-sign',0,0,1,'I2523525',16),(20513,'icon-question-sign icon-quote-left','icon-question-sign icon-quote-left',0,1,2,'I25235252523413',16),(20514,'icon-question-sign icon-quote-left icon-quote-right','icon-question-sign icon-quote-left icon-quote-right',0,1,2,'I252352525234132523623',16),(20515,'icon-quote-left','icon-quote-left',0,0,1,'I2523413',16),(20516,'icon-quote-left icon-quote-right','icon-quote-left icon-quote-right',0,1,2,'I25234132523623',16),(20517,'icon-quote-left icon-quote-right icon-random','icon-quote-left icon-quote-right icon-random',0,1,2,'I25234132523623256535',16),(20518,'icon-quote-right','icon-quote-right',0,0,1,'I2523623',16),(20519,'icon-quote-right icon-random','icon-quote-right icon-random',0,1,1.9333,'I2523623256535',16),(20520,'icon-quote-right icon-random icon-refresh','icon-quote-right icon-random icon-refresh',0,1,2,'I2523623256535256162',16),(20521,'icon-random','icon-random',0,0,0.7333,'I256535',16),(20522,'icon-random icon-refresh','icon-random icon-refresh',0,1,1.8,'I256535256162',16),(20523,'icon-random icon-refresh icon-remove','icon-random icon-refresh icon-remove',0,1,2,'I2565352561625651',16),(20524,'icon-refresh','icon-refresh',0,0,0.8,'I256162',16),(20525,'icon-refresh icon-remove','icon-refresh icon-remove',0,1,1.8,'I2561625651',16),(20526,'icon-refresh icon-remove icon-remove-circle','icon-refresh icon-remove icon-remove-circle',0,1,2,'I2561625651256512624',16),(20527,'icon-remove','icon-remove',0,0,0.7333,'I25651',16),(20528,'icon-remove icon-remove-circle','icon-remove icon-remove-circle',0,1,2,'I25651256512624',16),(20529,'icon-remove icon-remove-circle icon-remove-sign','icon-remove icon-remove-circle icon-remove-sign',0,1,2,'I256512565126242565125',16),(20530,'icon-remove-circle','icon-remove-circle',0,0,1,'I256512624',16),(20531,'icon-remove-circle icon-remove-sign','icon-remove-circle icon-remove-sign',0,1,2,'I2565126242565125',16),(20532,'icon-remove-circle icon-remove-sign icon-reorder','icon-remove-circle icon-remove-sign icon-reorder',0,1,2,'I256512624256512525636',16),(20533,'icon-remove-sign','icon-remove-sign',0,0,1,'I2565125',16),(20534,'icon-remove-sign icon-reorder','icon-remove-sign icon-reorder',0,1,1.9667,'I256512525636',16),(20535,'icon-remove-sign icon-reorder icon-reply','icon-remove-sign icon-reorder icon-reply',0,1,2,'I25651252563625614',16),(20536,'icon-reorder','icon-reorder',0,0,0.8,'I25636',16),(20537,'icon-reorder icon-reply','icon-reorder icon-reply',0,1,1.7667,'I2563625614',16),(20538,'icon-reorder icon-reply icon-resize-horizontal','icon-reorder icon-reply icon-resize-horizontal',0,1,2,'I2563625614256262534',16),(20539,'icon-repeat','icon-repeat',0,0,0.7333,'I25613',16),(20540,'icon-repeat icon-text-height','icon-repeat icon-text-height',0,1,1.9333,'I256132532323',16),(20541,'icon-repeat icon-text-height icon-text-width','icon-repeat icon-text-height icon-text-width',0,1,2,'I25613253232325323',16),(20542,'icon-reply','icon-reply',0,0,0.6667,'I25614',16),(20543,'icon-reply icon-resize-horizontal','icon-reply icon-resize-horizontal',0,1,2,'I25614256262534',16),(20544,'icon-reply icon-resize-horizontal icon-resize-vertical','icon-reply icon-resize-horizontal icon-resize-vertical',0,1,2,'I25614256262534256216324',16),(20545,'icon-resize-full','icon-resize-full',0,0,1,'I256214',16),(20546,'icon-resize-full icon-resize-small','icon-resize-full icon-resize-small',0,1,2,'I256214256254',16),(20547,'icon-resize-full icon-resize-small social','icon-resize-full icon-resize-small social',0,1,2,'I25621425625424',16),(20548,'icon-resize-horizontal','icon-resize-horizontal',0,0,1,'I256262534',16),(20549,'icon-resize-horizontal icon-resize-vertical','icon-resize-horizontal icon-resize-vertical',0,1,2,'I256262534256216324',16),(20550,'icon-resize-horizontal icon-resize-vertical icon-retweet','icon-resize-horizontal icon-resize-vertical icon-retweet',0,1,2,'I2562625342562163242563',16),(20551,'icon-resize-small','icon-resize-small',0,0,1,'I256254',16),(20552,'icon-resize-small social','icon-resize-small social',0,1,1.8,'I25625424',16),(20553,'icon-resize-small social icons','icon-resize-small social icons',0,1,2,'I25625424252',16),(20554,'icon-resize-vertical','icon-resize-vertical',0,0,1,'I256216324',16),(20555,'icon-resize-vertical icon-retweet','icon-resize-vertical icon-retweet',0,1,2,'I2562163242563',16),(20556,'icon-resize-vertical icon-retweet icon-road','icon-resize-vertical icon-retweet icon-road',0,1,2,'I25621632425632563',16),(20557,'icon-retweet','icon-retweet',0,0,0.8,'I2563',16),(20558,'icon-retweet icon-road','icon-retweet icon-road',0,1,1.7333,'I25632563',16),(20559,'icon-retweet icon-road icon-rss','icon-retweet icon-road icon-rss',0,1,2,'I256325632562',16),(20560,'icon-road','icon-road',0,0,0.6,'I2563',16),(20561,'icon-road icon-rss','icon-road icon-rss',0,1,1.6,'I25632562',16),(20562,'icon-road icon-rss icon-screenshot','icon-road icon-rss icon-screenshot',0,1,2,'I25632562526523',16),(20563,'icon-rss','icon-rss',0,0,0.5333,'I2562',16),(20564,'icon-rss icon-screenshot','icon-rss icon-screenshot',0,1,1.8,'I2562526523',16),(20565,'icon-rss icon-screenshot icon-search','icon-rss icon-screenshot icon-search',0,1,2,'I256252652325262',16),(20566,'icon-save','icon-save',0,0,0.6,'I2521',16),(20567,'icon-save icon-undo','icon-save icon-undo',0,1,1.6333,'I2521253',16),(20568,'icon-save icon-undo icon-repeat','icon-save icon-undo icon-repeat',0,1,2,'I252125325613',15),(20569,'icon-screenshot','icon-screenshot',0,0,1,'I2526523',16),(20570,'icon-screenshot icon-search','icon-screenshot icon-search',0,1,1.9,'I252652325262',16),(20571,'icon-screenshot icon-search icon-share','icon-screenshot icon-search icon-share',0,1,2,'I252652325262526',16),(20572,'icon-search','icon-search',0,0,0.7333,'I25262',16),(20573,'icon-search icon-share','icon-search icon-share',0,1,1.7333,'I25262526',16),(20574,'icon-search icon-share icon-share-alt','icon-search icon-share icon-share-alt',0,1,2,'I25262526252643',9),(20575,'icon-share','icon-share',0,0,0.6667,'I2526',16),(20576,'icon-share icon-share-alt','icon-share icon-share-alt',0,1,1.8333,'I2526252643',9),(20577,'icon-share icon-share-alt icon-shopping-cart','icon-share icon-share-alt icon-shopping-cart',0,1,2,'I252625264325215263',7),(20578,'icon-share-alt','icon-share-alt',0,0,0.9333,'I252643',16),(20579,'icon-share-alt icon-shopping-cart','icon-share-alt icon-shopping-cart',0,1,2,'I25264325215263',14),(20580,'icon-share-alt icon-shopping-cart icon-signal','icon-share-alt icon-shopping-cart icon-signal',0,1,2,'I2526432521526325254',14),(20581,'icon-shopping-cart','icon-shopping-cart',0,0,1,'I25215263',16),(20582,'icon-shopping-cart icon-signal','icon-shopping-cart icon-signal',0,1,2,'I2521526325254',16),(20583,'icon-shopping-cart icon-signal icon-signin','icon-shopping-cart icon-signal icon-signin',0,1,2,'I25215263252542525',15),(20584,'icon-sign-blank','icon-sign-blank',0,0,1,'I25251452',16),(20585,'icon-sign-blank medical','icon-sign-blank medical',0,1,1.7667,'I252514525324',16),(20586,'icon-sign-blank medical icons','icon-sign-blank medical icons',0,1,1.9667,'I252514525324252',16),(20587,'icon-signal','icon-signal',0,0,0.7333,'I25254',16),(20588,'icon-signal icon-signin','icon-signal icon-signin',0,1,1.7667,'I252542525',15),(20589,'icon-signal icon-signin icon-signout','icon-signal icon-signin icon-signout',0,1,2,'I25254252525253',14),(20590,'icon-signin','icon-signin',0,0,0.7333,'I2525',16),(20591,'icon-signin icon-signout','icon-signin icon-signout',0,1,1.8,'I252525253',15),(20592,'icon-signin icon-signout icon-sitemap','icon-signin icon-signout icon-sitemap',0,1,2,'I252525253252351',14),(20593,'icon-signout','icon-signout',0,0,0.8,'I25253',16),(20594,'icon-signout icon-sitemap','icon-signout icon-sitemap',0,1,1.8333,'I25253252351',15),(20595,'icon-signout icon-sitemap icon-sort','icon-signout icon-sitemap icon-sort',0,1,2,'I2525325235125263',15),(20596,'icon-sitemap','icon-sitemap',0,0,0.8,'I252351',16),(20597,'icon-sitemap icon-sort','icon-sitemap icon-sort',0,1,1.7333,'I25235125263',16),(20598,'icon-sitemap icon-sort icon-sort-down','icon-sitemap icon-sort icon-sort-down',0,1,2,'I25235125263252635',16),(20599,'icon-sort','icon-sort',0,0,0.6,'I25263',16),(20600,'icon-sort icon-sort-down','icon-sort icon-sort-down',0,1,1.8,'I25263252635',16),(20601,'icon-sort icon-sort-down icon-sort-up','icon-sort icon-sort-down icon-sort-up',0,1,2,'I25263252635252631',15),(20602,'icon-sort-down','icon-sort-down',0,0,0.9333,'I252635',16),(20603,'icon-sort-down icon-sort-up','icon-sort-down icon-sort-up',0,1,1.9,'I252635252631',15),(20604,'icon-sort-down icon-sort-up icon-spinner','icon-sort-down icon-sort-up icon-spinner',0,1,2,'I252635252631252156',15),(20605,'icon-sort-up','icon-sort-up',0,0,0.8,'I252631',16),(20606,'icon-sort-up icon-spinner','icon-sort-up icon-spinner',0,1,1.8333,'I252631252156',16),(20607,'icon-sort-up icon-spinner icon-star','icon-sort-up icon-spinner icon-star',0,1,2,'I25263125215625236',16),(20608,'icon-spinner','icon-spinner',0,0,0.8,'I252156',16),(20609,'icon-spinner icon-star','icon-spinner icon-star',0,1,1.7333,'I25215625236',16),(20610,'icon-spinner icon-star icon-star-empty','icon-spinner icon-star icon-star-empty',0,1,2,'I2521562523625236513',16),(20611,'icon-star','icon-star',0,0,0.6,'I25236',16),(20612,'icon-star icon-star-empty','icon-star icon-star-empty',0,1,1.8333,'I2523625236513',16),(20613,'icon-star icon-star-empty icon-star-half','icon-star icon-star-empty icon-star-half',0,1,2,'I25236252365132523641',16),(20614,'icon-star-empty','icon-star-empty',0,0,1,'I25236513',16),(20615,'icon-star-empty icon-star-half','icon-star-empty icon-star-half',0,1,2,'I252365132523641',16),(20616,'icon-star-empty icon-star-half icon-tablet','icon-star-empty icon-star-half icon-tablet',0,1,2,'I252365132523641253143',15),(20617,'icon-star-half','icon-star-half',0,0,0.9333,'I2523641',16),(20618,'icon-star-half icon-tablet','icon-star-half icon-tablet',0,1,1.8667,'I2523641253143',15),(20619,'icon-star-half icon-tablet icon-tag','icon-star-half icon-tablet icon-tag',0,1,2,'I25236412531432532',15),(20620,'icon-step-backward','icon-step-backward',0,0,1,'I25231263',16),(20621,'icon-step-backward icon-fast-backward','icon-step-backward icon-fast-backward',0,1,2,'I25231263251231263',16),(20622,'icon-step-backward icon-fast-backward icon-backward','icon-step-backward icon-fast-backward icon-backward',0,1,2,'I25231263251231263251263',15),(20623,'icon-step-forward','icon-step-forward',0,0,1,'I2523163',16),(20624,'icon-step-forward icon-eject','icon-step-forward icon-eject',0,1,1.9333,'I25231632523',16),(20625,'icon-step-forward icon-eject icon-fullscreen','icon-step-forward icon-eject icon-fullscreen',0,1,2,'I252316325232514265',16),(20626,'icon-stethoscope','icon-stethoscope',0,0,1,'I252321',16),(20627,'icon-stethoscope icon-user-md','icon-stethoscope icon-user-md',0,1,1.9667,'I252321252653',16),(20628,'icon-stop','icon-stop',0,0,0.6,'I25231',16),(20629,'icon-stop icon-step-backward','icon-stop icon-step-backward',0,1,1.9333,'I2523125231263',15),(20630,'icon-stop icon-step-backward icon-fast-backward','icon-stop icon-step-backward icon-fast-backward',0,1,2,'I2523125231263251231263',15),(20631,'icon-strikethrough','icon-strikethrough',0,0,1,'I252362362',16),(20632,'icon-strikethrough icon-underline','icon-strikethrough icon-underline',0,1,2,'I25236236253645',16),(20633,'icon-strikethrough icon-underline icon-link','icon-strikethrough icon-underline icon-link',0,1,2,'I2523623625364525452',16),(20634,'icon-table','icon-table',0,0,0.6667,'I25314',16),(20635,'icon-table icon-th-large','icon-table icon-th-large',0,1,1.8,'I25314253462',16),(20636,'icon-table icon-th-large icon-th','icon-table icon-th-large icon-th',0,1,2,'I2531425346253',16),(20637,'icon-tablet','icon-tablet',0,0,0.7333,'I253143',16),(20638,'icon-tablet icon-tag','icon-tablet icon-tag',0,1,1.6667,'I2531432532',16),(20639,'icon-tablet icon-tag icon-tags','icon-tablet icon-tag icon-tags',0,1,2,'I2531432532532',16),(20640,'icon-tag','icon-tag',0,0,0.5333,'I2532',16),(20641,'icon-tag icon-tags','icon-tag icon-tags',0,1,1.6,'I2532532',16),(20642,'icon-tag icon-tags icon-tasks','icon-tag icon-tags icon-tasks',0,1,1.9667,'I2532532532',16),(20643,'icon-tags','icon-tags',0,0,0.6,'I2532',16),(20644,'icon-tags icon-tasks','icon-tags icon-tasks',0,1,1.6667,'I2532532',16),(20645,'icon-tags icon-tasks icon-thumbs-down','icon-tags icon-tasks icon-thumbs-down',0,1,2,'I25325325351235',16),(20646,'icon-tasks','icon-tasks',0,0,0.6667,'I2532',16),(20647,'icon-tasks icon-thumbs-down','icon-tasks icon-thumbs-down',0,1,1.9,'I25325351235',16),(20648,'icon-tasks icon-thumbs-down icon-thumbs-up','icon-tasks icon-thumbs-down icon-thumbs-up',0,1,2,'I253253512352535121',16),(20649,'icon-text-height','icon-text-height',0,0,1,'I2532323',16),(20650,'icon-text-height icon-text-width','icon-text-height icon-text-width',0,1,2,'I253232325323',16),(20651,'icon-text-height icon-text-width icon-align-left','icon-text-height icon-text-width icon-align-left',0,1,2,'I25323232532325425413',16),(20652,'icon-text-width','icon-text-width',0,0,1,'I25323',16),(20653,'icon-text-width icon-align-left','icon-text-width icon-align-left',0,1,2,'I2532325425413',16),(20654,'icon-text-width icon-align-left icon-align-center','icon-text-width icon-align-left icon-align-center',0,1,2,'I2532325425413254252536',15),(20655,'icon-th','icon-th',0,0,0.4667,'I253',16),(20656,'icon-th icon-th-list','icon-th icon-th-list',0,1,1.6667,'I253253423',16),(20657,'icon-th icon-th-list icon-list','icon-th icon-th-list icon-list',0,1,2,'I25325342325423',16),(20658,'icon-th-large','icon-th-large',0,0,0.8667,'I253462',16),(20659,'icon-th-large icon-th','icon-th-large icon-th',0,1,1.7,'I25346253',16),(20660,'icon-th-large icon-th icon-th-list','icon-th-large icon-th icon-th-list',0,1,2,'I25346253253423',16),(20661,'icon-th-list','icon-th-list',0,0,0.8,'I253423',16),(20662,'icon-th-list icon-list','icon-th-list icon-list',0,1,1.7333,'I25342325423',16),(20663,'icon-th-list icon-list icon-list-ol','icon-th-list icon-list icon-list-ol',0,1,2,'I25342325423254234',16),(20664,'icon-thumbs-down','icon-thumbs-down',0,0,1,'I25351235',16),(20665,'icon-thumbs-down icon-thumbs-up','icon-thumbs-down icon-thumbs-up',0,1,2,'I253512352535121',16),(20666,'icon-thumbs-down icon-thumbs-up icon-time','icon-thumbs-down icon-thumbs-up icon-time',0,1,2,'I2535123525351212535',16),(20667,'icon-thumbs-up','icon-thumbs-up',0,0,0.9333,'I2535121',16),(20668,'icon-thumbs-up icon-time','icon-thumbs-up icon-time',0,1,1.8,'I25351212535',16),(20669,'icon-thumbs-up icon-time icon-tint','icon-thumbs-up icon-time icon-tint',0,1,2,'I2535121253525353',16),(20670,'icon-time','icon-time',0,0,0.6,'I2535',16),(20671,'icon-time icon-tint','icon-time icon-tint',0,1,1.6333,'I253525353',16),(20672,'icon-time icon-tint icon-trash','icon-time icon-tint icon-trash',0,1,2,'I25352535325362',16),(20673,'icon-tint','icon-tint',0,0,0.6,'I25353',16),(20674,'icon-tint icon-trash','icon-tint icon-trash',0,1,1.6667,'I2535325362',16),(20675,'icon-tint icon-trash icon-trophy','icon-tint icon-trash icon-trophy',0,1,2,'I25353253625361',16),(20676,'icon-trash','icon-trash',0,0,0.6667,'I25362',16),(20677,'icon-trash icon-trophy','icon-trash icon-trophy',0,1,1.7333,'I253625361',16),(20678,'icon-trash icon-trophy icon-truck','icon-trash icon-trophy icon-truck',0,1,2,'I25362536125362',16),(20679,'icon-trophy','icon-trophy',0,0,0.7333,'I25361',16),(20680,'icon-trophy icon-truck','icon-trophy icon-truck',0,1,1.7333,'I2536125362',16),(20681,'icon-trophy icon-truck icon-umbrella','icon-trophy icon-truck icon-umbrella',0,1,2,'I25361253625164',16),(20682,'icon-truck','icon-truck',0,0,0.6667,'I25362',16),(20683,'icon-truck icon-umbrella','icon-truck icon-umbrella',0,1,1.8,'I253625164',16),(20684,'icon-truck icon-umbrella icon-upload','icon-truck icon-umbrella icon-upload',0,1,2,'I25362516425143',16),(20685,'icon-twitter','icon-twitter',0,0,0.8,'I2536',16),(20686,'icon-twitter icon-twitter-sign','icon-twitter icon-twitter-sign',0,1,2,'I2536253625',16),(20687,'icon-twitter icon-twitter-sign icon-github','icon-twitter icon-twitter-sign icon-github',0,1,2,'I253625362525231',15),(20688,'icon-twitter-sign','icon-twitter-sign',0,0,1,'I253625',16),(20689,'icon-twitter-sign icon-github','icon-twitter-sign icon-github',0,1,1.9667,'I25362525231',15),(20690,'icon-twitter-sign icon-github icon-github-alt','icon-twitter-sign icon-github icon-github-alt',0,1,2,'I253625252312523143',9),(20691,'icon-umbrella','icon-umbrella',0,0,0.8667,'I25164',16),(20692,'icon-umbrella icon-upload','icon-umbrella icon-upload',0,1,1.8333,'I2516425143',16),(20693,'icon-umbrella icon-upload icon-upload-alt','icon-umbrella icon-upload icon-upload-alt',0,1,2,'I25164251432514343',16),(20694,'icon-underline','icon-underline',0,0,0.9333,'I253645',16),(20695,'icon-underline icon-link','icon-underline icon-link',0,1,1.8,'I25364525452',16),(20696,'icon-underline icon-link icon-paper-clip','icon-underline icon-link icon-paper-clip',0,1,2,'I25364525452516241',16),(20697,'icon-undo','icon-undo',0,0,0.6,'I253',16),(20698,'icon-undo icon-repeat','icon-undo icon-repeat',0,1,1.7,'I25325613',15),(20699,'icon-undo icon-repeat icon-text-height','icon-undo icon-repeat icon-text-height',0,1,2,'I253256132532323',15),(20700,'icon-unlock','icon-unlock',0,0,0.7333,'I2542',16),(20701,'icon-upload','icon-upload',0,0,0.7333,'I25143',16),(20702,'icon-upload icon-upload-alt','icon-upload icon-upload-alt',0,1,1.9,'I251432514343',16),(20703,'icon-upload icon-upload-alt icon-user','icon-upload icon-upload-alt icon-user',0,1,2,'I2514325143432526',16),(20704,'icon-upload-alt','icon-upload-alt',0,0,1,'I2514343',16),(20705,'icon-upload-alt icon-user','icon-upload-alt icon-user',0,1,1.8333,'I25143432526',16),(20706,'icon-upload-alt icon-user icon-user-md','icon-upload-alt icon-user icon-user-md',0,1,2,'I25143432526252653',16),(20707,'icon-user','icon-user',0,0,0.6,'I2526',16),(20708,'icon-user icon-user-md','icon-user icon-user-md',0,1,1.7333,'I2526252653',16),(20709,'icon-user icon-user-md icon-volume-off','icon-user icon-user-md icon-volume-off',0,1,2,'I2526252653251451',16),(20710,'icon-user-md','icon-user-md',0,0,0.8,'I252653',16),(20711,'icon-user-md icon-volume-off','icon-user-md icon-volume-off',0,1,1.9333,'I252653251451',16),(20712,'icon-user-md icon-volume-off icon-volume-down','icon-user-md icon-volume-off icon-volume-down',0,1,2,'I2526532514512514535',16),(20713,'icon-volume-down','icon-volume-down',0,0,1,'I2514535',16),(20714,'icon-volume-down icon-volume-up','icon-volume-down icon-volume-up',0,1,2,'I2514535251451',16),(20715,'icon-volume-down icon-volume-up icon-warning-sign','icon-volume-down icon-volume-up icon-warning-sign',0,1,2,'I2514535251451256525',16),(20716,'icon-volume-off','icon-volume-off',0,0,1,'I251451',16),(20717,'icon-volume-off icon-volume-down','icon-volume-off icon-volume-down',0,1,2,'I2514512514535',16),(20718,'icon-volume-off icon-volume-down icon-volume-up','icon-volume-off icon-volume-down icon-volume-up',0,1,2,'I2514512514535251451',16),(20719,'icon-volume-up','icon-volume-up',0,0,0.9333,'I251451',16),(20720,'icon-volume-up icon-warning-sign','icon-volume-up icon-warning-sign',0,1,2,'I251451256525',16),(20721,'icon-volume-up icon-warning-sign icon-wrench','icon-volume-up icon-warning-sign icon-wrench',0,1,2,'I25145125652525652',16),(20722,'icon-warning-sign','icon-warning-sign',0,0,1,'I256525',16),(20723,'icon-warning-sign icon-wrench','icon-warning-sign icon-wrench',0,1,1.9667,'I25652525652',16),(20724,'icon-warning-sign icon-wrench icon-zoom-in','icon-warning-sign icon-wrench icon-zoom-in',0,1,2,'I25652525652525',16),(20725,'icon-wrench','icon-wrench',0,0,0.7333,'I25652',16),(20726,'icon-wrench icon-zoom-in','icon-wrench icon-zoom-in',0,1,1.8,'I25652525',16),(20727,'icon-wrench icon-zoom-in icon-zoom-out','icon-wrench icon-zoom-in icon-zoom-out',0,1,2,'I2565252525253',16),(20728,'icon-zoom-in','icon-zoom-in',0,0,0.8,'I2525',16),(20729,'icon-zoom-in icon-zoom-out','icon-zoom-in icon-zoom-out',0,1,1.8667,'I252525253',16),(20730,'icon-zoom-in icon-zoom-out text','icon-zoom-in icon-zoom-out text',0,1,2,'I25252525323',16),(20731,'icon-zoom-out','icon-zoom-out',0,0,0.8667,'I25253',16),(20732,'icon-zoom-out text','icon-zoom-out text',0,1,1.6,'I2525323',16),(20733,'icon-zoom-out text editor','icon-zoom-out text editor',0,1,1.8333,'I25253236',16),(20734,'icons icon-adjust','icons icon-adjust',0,1,1.5667,'I2525323',15),(20735,'icons icon-adjust icon-asterisk','icons icon-adjust icon-asterisk',0,1,2,'I2525323252362',15),(20736,'icons icon-ambulance','icons icon-ambulance',0,1,1.6667,'I25251452',16),(20737,'icons icon-ambulance icon-beaker','icons icon-ambulance icon-beaker',0,1,2,'I252514525126',16),(20738,'icons icon-angle-left','icons icon-angle-left',0,1,1.7,'I25252413',13),(20739,'icons icon-angle-left icon-angle-right','icons icon-angle-left icon-angle-right',0,1,2,'I252524132524623',12),(20740,'icons icon-phone','icons icon-phone',0,1,1.5333,'I252515',16),(20741,'icons icon-phone icon-phone-sign','icons icon-phone icon-phone-sign',0,1,2,'I252515251525',16),(20742,'icons icon-play-circle','icons icon-play-circle',0,1,1.7333,'I2525142624',15),(20743,'icons icon-play-circle icon-play','icons icon-play-circle icon-play',0,1,2,'I25251426242514',15),(20744,'medical icons','medical icons',0,1,1.4333,'M324252',16),(20745,'medical icons icon-ambulance','medical icons icon-ambulance',0,1,1.9333,'M32425251452',16),(20746,'player icons','player icons',0,1,1.4,'P46252',16),(20747,'player icons icon-play-circle','player icons icon-play-circle',0,1,1.9667,'P462525142624',15),(20748,'set web','set web',0,1,1.2333,'S310',5),(20749,'set web application','set web application',0,1,1.6333,'S314235',5),(20750,'social icons icon-phone','social icons icon-phone',0,1,1.7667,'S4252515',16),(20751,'sodales icon','sodales icon',0,1,1.4,'S3425',5),(20752,'sodales icon set','sodales icon set',0,1,1.5333,'S342523',5),(20753,'text editor','text editor',0,1,1.3667,'T236',16),(20754,'text editor icons','text editor icons',0,1,1.5667,'T236252',15),(20755,'the-icons','the-icons',0,0,0.6,'T252',3),(20756,'the-icons icon-file','the-icons icon-file',0,1,1.6333,'T252514',2),(20757,'the-icons icon-file icon-file-alt','the-icons icon-file icon-file-alt',0,1,2,'T25251425143',2),(20758,'the-icons icon-hand-down','the-icons icon-hand-down',0,1,1.8,'T252535',2),(20759,'the-icons icon-hand-down icon-hand-left','the-icons icon-hand-down icon-hand-left',0,1,2,'T252535253413',2),(20760,'the-icons icon-stethoscope','the-icons icon-stethoscope',0,1,1.8667,'T25252321',2),(20761,'the-icons icon-stethoscope icon-user-md','the-icons icon-stethoscope icon-user-md',0,1,2,'T25252321252653',2),(20762,'urna sodales icon','urna sodales icon',0,1,1.5667,'U6523425',5),(20763,'video player','video player',0,1,1.4,'V3146',16),(20764,'video player icons','video player icons',0,1,1.6,'V3146252',16),(20765,'web application icons','web application icons',0,1,1.7,'W14235252',14),(20766,'class the-icons icon-magic','class the-icons icon-magic',0,1,1.8667,'C42325252',1),(20767,'the-icons icon-magic','the-icons icon-magic',0,1,1.6667,'T25252',1),(20768,'the-icons icon-magic icon-magnet','the-icons icon-magic icon-magnet',0,1,2,'T252525253',1),(20769,'class the-icons icon-table','class the-icons icon-table',0,1,1.8667,'C4232525314',1),(20770,'editor icons icon-file','editor icons icon-file',0,1,1.7333,'E36252514',5),(20771,'icon-double-angle-down icon-hand-down','icon-double-angle-down icon-hand-down',0,1,2,'I25314524352535',14),(20772,'icon-double-angle-down icon-hand-down icon-hand-left','icon-double-angle-down icon-hand-down icon-hand-left',0,1,2,'I25314524352535253413',7),(20773,'icon-double-angle-up icon-double-angle-down icon-hand-down','icon-double-angle-up icon-double-angle-down icon-hand-down',0,1,2,'I25314524125314524352535',14),(20774,'icon-lock icon-unlock icon-magic','icon-lock icon-unlock icon-magic',0,1,2,'I254254252',14),(20775,'icon-medkit icon-plus-sign-alt icon-stethoscope','icon-medkit icon-plus-sign-alt icon-stethoscope',0,1,2,'I2532325142543252321',14),(20776,'icon-plus-sign-alt icon-stethoscope','icon-plus-sign-alt icon-stethoscope',0,1,2,'I25142543252321',14),(20777,'icon-plus-sign-alt icon-stethoscope icon-user-md','icon-plus-sign-alt icon-stethoscope icon-user-md',0,1,2,'I25142543252321252653',14),(20778,'icon-unlock icon-magic','icon-unlock icon-magic',0,1,1.7333,'I254252',14),(20779,'icon-unlock icon-magic icon-magnet','icon-unlock icon-magic icon-magnet',0,1,2,'I2542525253',14),(20780,'icons icon-file','icons icon-file',0,1,1.5,'I252514',6),(20781,'icons icon-file icon-file-alt','icons icon-file icon-file-alt',0,1,1.9667,'I25251425143',6),(20782,'the-icons icon-table','the-icons icon-table',0,1,1.6667,'T2525314',1),(20783,'the-icons icon-table icon-th-large','the-icons icon-table icon-th-large',0,1,2,'T2525314253462',1),(20784,'class gkblockquote2 lorem','class gkblockquote2 lorem',0,1,1.8333,'C421423465',13),(20785,'class icon-align-center','class icon-align-center',0,1,1.7667,'C4254252536',1),(20786,'class icon-align-center icon-align-center','class icon-align-center icon-align-center',0,1,2,'C4254252536254252536',1),(20787,'class icon-caret-down','class icon-caret-down',0,1,1.7,'C4252635',1),(20788,'class icon-caret-down icon-caret-down','class icon-caret-down icon-caret-down',0,1,2,'C4252635252635',1),(20789,'class icon-cloud-download','class icon-cloud-download',0,1,1.8333,'C425243543',1),(20790,'class icon-cloud-download icon-cloud-download','class icon-cloud-download icon-cloud-download',0,1,2,'C42524354325243543',1),(20791,'class icon-gift','class icon-gift',0,1,1.5,'C425213',1),(20792,'class icon-gift icon-gift','class icon-gift icon-gift',0,1,1.8333,'C42521325213',1),(20793,'class icon-print','class icon-print',0,1,1.5333,'C4251653',1),(20794,'class icon-print icon-print','class icon-print icon-print',0,1,1.9,'C4251653251653',1),(20795,'gkblockquote2 lorem','gkblockquote2 lorem',0,1,1.6333,'G1423465',13),(20796,'gkblockquote2 lorem ipsum','gkblockquote2 lorem ipsum',0,1,1.8333,'G1423465125',13),(20797,'icon-align-center icon-align-center','icon-align-center icon-align-center',0,1,2,'I254252536254252536',1),(20798,'icon-align-center icon-align-center icon-align-right','icon-align-center icon-align-center icon-align-right',0,1,2,'I25425253625425253625425623',1),(20799,'icon-caret-down icon-caret-down','icon-caret-down icon-caret-down',0,1,2,'I252635252635',1),(20800,'icon-caret-down icon-caret-down icon-caret-left','icon-caret-down icon-caret-down icon-caret-left',0,1,2,'I25263525263525263413',1),(20801,'icon-cloud-download icon-cloud-download','icon-cloud-download icon-cloud-download',0,1,2,'I2524354325243543',1),(20802,'icon-cloud-download icon-cloud-download icon-cloud-upload','icon-cloud-download icon-cloud-download icon-cloud-upload',0,1,2,'I252435432524354325243143',1),(20803,'icon-gift icon-gift','icon-gift icon-gift',0,1,1.6333,'I2521325213',1),(20804,'icon-gift icon-gift icon-glass','icon-gift icon-gift icon-glass',0,1,2,'I252132521325242',1),(20805,'icon-print icon-print','icon-print icon-print',0,1,1.7,'I251653251653',1),(20806,'icon-print icon-print icon-pushpin','icon-print icon-print icon-pushpin',0,1,2,'I251653251653251215',1),(20807,'249','249',0,0,0.3,'',1),(20808,'249 icons','249 icons',0,1,1.3,'I252',1),(20809,'249 icons the','249 icons the',0,1,1.4333,'I2523',1),(20810,'3.0','3.0',0,0,0.3,'',12),(20811,'3.0 and','3.0 and',0,1,1.2333,'A530',1),(20812,'3.0 and you','3.0 and you',0,1,1.3667,'A530',1),(20813,'a pictographic','a pictographic',0,1,1.4667,'A1232612',1),(20814,'a pictographic language','a pictographic language',0,1,1.7667,'A1232612452',1),(20815,'actions','actions',0,0,0.4667,'A2352',1),(20816,'actions which','actions which',0,1,1.4333,'A2352',1),(20817,'actions which delivers','actions which delivers',0,1,1.7333,'A235234162',1),(20818,'and less','and less',0,1,1.2667,'A5342',1),(20819,'and less files','and less files',0,1,1.4667,'A5342142',1),(20820,'and you','and you',0,1,1.2333,'A530',1),(20821,'and you can','and you can',0,1,1.3667,'A5325',1),(20822,'application icons font','application icons font',0,1,1.7333,'A14235252153',1),(20823,'are licensed','are licensed',0,1,1.4,'A642523',1),(20824,'are licensed under','are licensed under',0,1,1.6,'A642523536',1),(20825,'at font','at font',0,1,1.2333,'A3153',1),(20826,'at font awesome','at font awesome',0,1,1.5,'A315325',1),(20827,'awesome http','awesome http',0,1,1.4,'A2531',1),(20828,'awesome http fortawesome','awesome http fortawesome',0,1,1.8,'A25316325',1),(20829,'awesome is','awesome is',0,1,1.3333,'A252',12),(20830,'awesome is a','awesome is a',0,1,1.4,'A252',12),(20831,'awesome webfont','awesome webfont',0,1,1.5,'A25153',1),(20832,'awesome webfont css','awesome webfont css',0,1,1.6333,'A251532',1),(20833,'by 3.0','by 3.0',0,1,1.2,'B000',12),(20834,'by 3.0 and','by 3.0 and',0,1,1.3333,'B530',1),(20835,'can find','can find',0,1,1.2667,'C5153',12),(20836,'can find the','can find the',0,1,1.4,'C5153',1),(20837,'cc','cc',0,0,0.1333,'C000',12),(20838,'cc by','cc by',0,1,1.1667,'C100',12),(20839,'cc by 3.0','cc by 3.0',0,1,1.3,'C100',12),(20840,'class demo-typo-col4 icon-pinterest-sign','class demo-typo-col4 icon-pinterest-sign',0,1,2,'C423531242515362325',1),(20841,'class icon-folder-open','class icon-folder-open',0,1,1.7333,'C425143615',1),(20842,'class icon-folder-open icon-folder-open','class icon-folder-open icon-folder-open',0,1,2,'C42514361525143615',1),(20843,'class icon-pencil','class icon-pencil',0,1,1.5667,'C4251524',1),(20844,'class icon-pencil icon-pencil','class icon-pencil icon-pencil',0,1,1.9667,'C4251524251524',1),(20845,'com font-awesome','com font-awesome',0,1,1.5333,'C515325',12),(20846,'com font-awesome icon-adjust','com font-awesome icon-adjust',0,1,1.9333,'C51532525323',1),(20847,'css and','css and',0,1,1.2333,'C530',1),(20848,'css and less','css and less',0,1,1.4,'C5342',1),(20849,'delivers','delivers',0,0,0.5333,'D4162',1),(20850,'delivers 249','delivers 249',0,1,1.4,'D4162',1),(20851,'delivers 249 icons','delivers 249 icons',0,1,1.6,'D416252',1),(20852,'demo-typo-col4 icon-pinterest-sign','demo-typo-col4 icon-pinterest-sign',0,1,2,'D531242515362325',1),(20853,'demo-typo-col4 icon-pinterest-sign icon-google-plus','demo-typo-col4 icon-pinterest-sign icon-google-plus',0,1,2,'D5312425153623252524142',1),(20854,'examples of usage','examples of usage',0,1,1.5667,'E2514212',1),(20855,'files','files',0,0,0.3333,'F420',1),(20856,'files are','files are',0,1,1.3,'F426',1),(20857,'files are licensed','files are licensed',0,1,1.6,'F42642523',1),(20858,'find the','find the',0,1,1.2667,'F530',1),(20859,'find the full','find the full',0,1,1.4333,'F5314',1),(20860,'font','font',0,0,0.2667,'F530',12),(20861,'font awesome','font awesome',0,1,1.4,'F5325',12),(20862,'font awesome http','font awesome http',0,1,1.5667,'F532531',1),(20863,'font awesome is','font awesome is',0,1,1.5,'F53252',12),(20864,'font awesome webfont','font awesome webfont',0,1,1.6667,'F5325153',1),(20865,'font-awesome','font-awesome',0,0,0.8,'F5325',12),(20866,'font-awesome icon-adjust','font-awesome icon-adjust',0,1,1.8,'F532525323',1),(20867,'font-awesome icon-adjust icon-asterisk','font-awesome icon-adjust icon-asterisk',0,1,2,'F532525323252362',1),(20868,'fortawesome','fortawesome',0,0,0.7333,'F6325',12),(20869,'fortawesome github','fortawesome github',0,1,1.6,'F6325231',12),(20870,'fortawesome github com','fortawesome github com',0,1,1.7333,'F632523125',12),(20871,'full examples','full examples',0,1,1.4333,'F425142',1),(20872,'full examples of','full examples of',0,1,1.5333,'F4251421',1),(20873,'github','github',0,0,0.4,'G310',12),(20874,'github com','github com',0,1,1.3333,'G3125',12),(20875,'github com font-awesome','github com font-awesome',0,1,1.7667,'G312515325',12),(20876,'http fortawesome','http fortawesome',0,1,1.5333,'H316325',12),(20877,'http fortawesome github','http fortawesome github',0,1,1.7667,'H316325231',12),(20878,'icon-folder-open icon-folder-open','icon-folder-open icon-folder-open',0,1,2,'I2514361525143615',1),(20879,'icon-folder-open icon-folder-open icon-folder-close-alt','icon-folder-open icon-folder-open icon-folder-close-alt',0,1,2,'I251436152514361525143624243',1),(20880,'icon-pencil icon-pencil','icon-pencil icon-pencil',0,1,1.7667,'I251524251524',1),(20881,'icon-pencil icon-pencil icon-picture','icon-pencil icon-pencil icon-picture',0,1,2,'I251524251524251236',1),(20882,'icons font','icons font',0,1,1.3333,'I252153',12),(20883,'icons font awesome','icons font awesome',0,1,1.6,'I25215325',12),(20884,'icons the','icons the',0,1,1.3,'I2523',1),(20885,'icons the font','icons the font',0,1,1.4667,'I2523153',1),(20886,'is a pictographic','is a pictographic',0,1,1.5667,'I21232612',1),(20887,'language','language',0,0,0.5333,'L520',1),(20888,'language of','language of',0,1,1.3667,'L521',1),(20889,'language of web-related','language of web-related',0,1,1.7667,'L521643',1),(20890,'less files','less files',0,1,1.3333,'L2142',1),(20891,'less files are','less files are',0,1,1.4667,'L21426',1),(20892,'licensed','licensed',0,0,0.5333,'L2523',12),(20893,'licensed under','licensed under',0,1,1.4667,'L2523536',12),(20894,'licensed under cc','licensed under cc',0,1,1.5667,'L25235362',1),(20895,'of usage','of usage',0,1,1.2667,'O120',1),(20896,'of usage at','of usage at',0,1,1.3667,'O123',1),(20897,'of web-related','of web-related',0,1,1.4667,'O1643',1),(20898,'of web-related actions','of web-related actions',0,1,1.7333,'O16432352',1),(20899,'pictographic','pictographic',0,0,0.8,'P232612',1),(20900,'pictographic language','pictographic language',0,1,1.7,'P232612452',1),(20901,'pictographic language of','pictographic language of',0,1,1.8,'P2326124521',1),(20902,'the font','the font',0,1,1.2667,'T153',12),(20903,'the font awesome','the font awesome',0,1,1.5333,'T15325',12),(20904,'the full','the full',0,1,1.2667,'T140',1),(20905,'the full examples','the full examples',0,1,1.5667,'T1425142',1),(20906,'under cc','under cc',0,1,1.2667,'U5362',1),(20907,'under cc by','under cc by',0,1,1.3667,'U53621',1),(20908,'usage at','usage at',0,1,1.2667,'U230',1),(20909,'usage at font','usage at font',0,1,1.4333,'U23153',1),(20910,'web-related','web-related',0,0,0.7333,'W1643',1),(20911,'web-related actions','web-related actions',0,1,1.6333,'W16432352',1),(20912,'web-related actions which','web-related actions which',0,1,1.8333,'W16432352',1),(20913,'webfont','webfont',0,0,0.4667,'W153',1),(20914,'webfont css','webfont css',0,1,1.3667,'W1532',1),(20915,'webfont css and','webfont css and',0,1,1.5,'W153253',1),(20916,'which delivers','which delivers',0,1,1.4667,'W234162',1),(20917,'which delivers 249','which delivers 249',0,1,1.6,'W234162',1),(20918,'you can find','you can find',0,1,1.4,'Y25153',12),(20919,'3.0 more','3.0 more',0,1,1.2667,'M600',11),(20920,'3.0 more details','3.0 more details',0,1,1.5333,'M6342',11),(20921,'3.0 unported','3.0 unported',0,1,1.4,'U5163',11),(20922,'3.0 unported cc','3.0 unported cc',0,1,1.5,'U51632',11),(20923,'and more','and more',0,1,1.2667,'A5356',11),(20924,'and more font','and more font',0,1,1.4333,'A5356153',11),(20925,'at http','at http',0,1,1.2333,'A310',11),(20926,'at http fortawesome','at http fortawesome',0,1,1.6333,'A316325',11),(20927,'attribution','attribution',0,0,0.7333,'A36135',11),(20928,'attribution 3.0','attribution 3.0',0,1,1.5,'A36135',11),(20929,'attribution 3.0 unported','attribution 3.0 unported',0,1,1.8,'A36135163',11),(20930,'awesome is licensed','awesome is licensed',0,1,1.6333,'A25242523',11),(20931,'awesome the','awesome the',0,1,1.3667,'A253',11),(20932,'awesome the font','awesome the font',0,1,1.5333,'A253153',11),(20933,'base icons','base icons',0,1,1.3333,'B252',11),(20934,'base icons similar','base icons similar',0,1,1.6,'B252546',11),(20935,'bootstrap','bootstrap',0,0,0.6,'B32361',11),(20936,'bootstrap plus','bootstrap plus',0,1,1.4667,'B3236142',11),(20937,'bootstrap plus a','bootstrap plus a',0,1,1.5333,'B3236142',11),(20938,'by 3.0 more','by 3.0 more',0,1,1.3667,'B560',11),(20939,'can find on','can find on',0,1,1.3667,'C51535',11),(20940,'class icon-camera','class icon-camera',0,1,1.5667,'C425256',1),(20941,'class icon-camera icon-camera','class icon-camera icon-camera',0,1,1.9667,'C42525625256',1),(20942,'class icon-filter','class icon-filter',0,1,1.5667,'C4251436',1),(20943,'class icon-filter icon-filter','class icon-filter icon-filter',0,1,1.9667,'C4251436251436',1),(20944,'class icon-off','class icon-off',0,1,1.4667,'C4251',1),(20945,'class icon-off icon-off','class icon-off icon-off',0,1,1.7667,'C4251251',1),(20946,'class icon-paste','class icon-paste',0,1,1.5333,'C425123',1),(20947,'class icon-paste icon-paste','class icon-paste icon-paste',0,1,1.9,'C42512325123',1),(20948,'class icon-sitemap','class icon-sitemap',0,1,1.6,'C4252351',1),(20949,'class icon-sitemap icon-sitemap','class icon-sitemap icon-sitemap',0,1,2,'C4252351252351',1),(20950,'cogs','cogs',0,0,0.2667,'C000',11),(20951,'cogs and','cogs and',0,1,1.2667,'C530',11),(20952,'cogs and more','cogs and more',0,1,1.4333,'C5356',11),(20953,'com font-awesome web','com font-awesome web',0,1,1.6667,'C5153251',2),(20954,'comments','comments',0,0,0.5333,'C532',11),(20955,'comments cogs','comments cogs',0,1,1.4333,'C532',11),(20956,'comments cogs and','comments cogs and',0,1,1.5667,'C53253',11),(20957,'commons','commons',0,0,0.4667,'C520',11),(20958,'commons attribution','commons attribution',0,1,1.6333,'C5236135',11),(20959,'commons attribution 3.0','commons attribution 3.0',0,1,1.7667,'C5236135',11),(20960,'creative commons','creative commons',0,1,1.5333,'C631252',11),(20961,'creative commons attribution','creative commons attribution',0,1,1.9333,'C63125236135',11),(20962,'details you','details you',0,1,1.3667,'D420',11),(20963,'details you can','details you can',0,1,1.5,'D425',11),(20964,'down comments','down comments',0,1,1.4333,'D52532',11),(20965,'down comments cogs','down comments cogs',0,1,1.6,'D52532',11),(20966,'extended icons','extended icons',0,1,1.4667,'E2353252',11),(20967,'extended icons that','extended icons that',0,1,1.6333,'E23532523',11),(20968,'external','external',0,0,0.5333,'E23654',11),(20969,'external links','external links',0,1,1.4667,'E2365452',11),(20970,'external links thumbs','external links thumbs',0,1,1.7,'E23654523512',11),(20971,'find on','find on',0,1,1.2333,'F535',11),(20972,'find on project','find on project',0,1,1.5,'F5351623',11),(20973,'font awesome the','font awesome the',0,1,1.5333,'F53253',11),(20974,'font-awesome web','font-awesome web',0,1,1.5333,'F53251',2),(20975,'font-awesome web application','font-awesome web application',0,1,1.9333,'F532514235',2),(20976,'for external','for external',0,1,1.4,'F623654',11),(20977,'for external links','for external links',0,1,1.6,'F62365452',11),(20978,'glyphicons','glyphicons',0,0,0.6667,'G41252',11),(20979,'glyphicons included','glyphicons included',0,1,1.6333,'G412525243',11),(20980,'glyphicons included with','glyphicons included with',0,1,1.8,'G412525243',11),(20981,'homepage at','homepage at',0,1,1.3667,'H5123',11),(20982,'homepage at http','homepage at http',0,1,1.5333,'H51231',11),(20983,'icon-camera icon-camera','icon-camera icon-camera',0,1,1.7667,'I2525625256',1),(20984,'icon-camera icon-camera icon-camera-retro','icon-camera icon-camera icon-camera-retro',0,1,2,'I25256252562525636',1),(20985,'icon-filter icon-filter','icon-filter icon-filter',0,1,1.7667,'I251436251436',1),(20986,'icon-filter icon-filter icon-fire','icon-filter icon-filter icon-fire',0,1,2,'I2514362514362516',1),(20987,'icon-off icon-off','icon-off icon-off',0,1,1.5667,'I251251',1),(20988,'icon-off icon-off icon-ok','icon-off icon-off icon-ok',0,1,1.8333,'I251251252',1),(20989,'icon-paste icon-paste','icon-paste icon-paste',0,1,1.7,'I2512325123',1),(20990,'icon-paste icon-paste icon-save','icon-paste icon-paste icon-save',0,1,2,'I25123251232521',1),(20991,'icon-sitemap icon-sitemap','icon-sitemap icon-sitemap',0,1,1.8333,'I252351252351',1),(20992,'icon-sitemap icon-sitemap icon-sort','icon-sitemap icon-sitemap icon-sort',0,1,2,'I25235125235125263',1),(20993,'icons similar','icons similar',0,1,1.4333,'I252546',11),(20994,'icons similar to','icons similar to',0,1,1.5333,'I2525463',11),(20995,'icons that','icons that',0,1,1.3333,'I2523',11),(20996,'icons that include','icons that include',0,1,1.6,'I25235243',11),(20997,'include','include',0,0,0.4667,'I5243',11),(20998,'include pictograms','include pictograms',0,1,1.6,'I52431232652',11),(20999,'include pictograms for','include pictograms for',0,1,1.7333,'I5243123265216',11),(21000,'included','included',0,0,0.5333,'I5243',11),(21001,'included with','included with',0,1,1.4333,'I5243',11),(21002,'included with bootstrap','included with bootstrap',0,1,1.7667,'I5243132361',11),(21003,'is a set','is a set',0,1,1.2667,'I230',11),(21004,'is licensed','is licensed',0,1,1.3667,'I242523',11),(21005,'is licensed under','is licensed under',0,1,1.5667,'I242523536',11),(21006,'licensed under the','licensed under the',0,1,1.6,'L25235363',11),(21007,'links thumbs','links thumbs',0,1,1.4,'L523512',11),(21008,'links thumbs up','links thumbs up',0,1,1.5,'L5235121',11),(21009,'more details','more details',0,1,1.4,'M6342',11),(21010,'more details you','more details you',0,1,1.5333,'M6342',11),(21011,'more font','more font',0,1,1.3,'M6153',11),(21012,'more font awesome','more font awesome',0,1,1.5667,'M615325',11),(21013,'of base','of base',0,1,1.2333,'O120',11),(21014,'of base icons','of base icons',0,1,1.4333,'O1252',11),(21015,'of extended','of extended',0,1,1.3667,'O12353',11),(21016,'of extended icons','of extended icons',0,1,1.5667,'O12353252',11),(21017,'on project','on project',0,1,1.3333,'O51623',11),(21018,'on project homepage','on project homepage',0,1,1.6333,'O51623512',11),(21019,'pictograms','pictograms',0,0,0.6667,'P232652',11),(21020,'pictograms for','pictograms for',0,1,1.4667,'P23265216',11),(21021,'pictograms for external','pictograms for external',0,1,1.7667,'P2326521623654',11),(21022,'plus a','plus a',0,1,1.2,'P420',11),(21023,'plus a set','plus a set',0,1,1.3333,'P423',11),(21024,'project homepage','project homepage',0,1,1.5333,'P623512',11),(21025,'project homepage at','project homepage at',0,1,1.6333,'P6235123',11),(21026,'set of base','set of base',0,1,1.3667,'S312',11),(21027,'set of extended','set of extended',0,1,1.5,'S312353',11),(21028,'similar','similar',0,0,0.4667,'S546',11),(21029,'similar to','similar to',0,1,1.3333,'S5463',11),(21030,'similar to the','similar to the',0,1,1.4667,'S5463',11),(21031,'sodales icons','sodales icons',0,1,1.4333,'S34252',11),(21032,'sodales icons font','sodales icons font',0,1,1.6,'S34252153',11),(21033,'that include','that include',0,1,1.4,'T5243',11),(21034,'that include pictograms','that include pictograms',0,1,1.7667,'T52431232652',11),(21035,'the creative commons','the creative commons',0,1,1.6667,'T2631252',11),(21036,'the glyphicons','the glyphicons',0,1,1.4667,'T241252',11),(21037,'the glyphicons included','the glyphicons included',0,1,1.7667,'T2412525243',11),(21038,'thumbs','thumbs',0,0,0.4,'T512',11),(21039,'thumbs up','thumbs up',0,1,1.3,'T5121',11),(21040,'thumbs up down','thumbs up down',0,1,1.4667,'T512135',11),(21041,'to the glyphicons','to the glyphicons',0,1,1.5667,'T241252',11),(21042,'under the creative','under the creative',0,1,1.6,'U53632631',11),(21043,'unported','unported',0,0,0.5333,'U5163',11),(21044,'unported cc','unported cc',0,1,1.3667,'U51632',11),(21045,'unported cc by','unported cc by',0,1,1.4667,'U516321',11),(21046,'up down','up down',0,1,1.2333,'U135',11),(21047,'up down comments','up down comments',0,1,1.5333,'U1352532',11),(21048,'urna sodales icons','urna sodales icons',0,1,1.6,'U65234252',11),(21049,'with bootstrap','with bootstrap',0,1,1.4667,'W3132361',11),(21050,'with bootstrap plus','with bootstrap plus',0,1,1.6333,'W313236142',11),(21051,'-class','-class',0,0,0.4,'C420',7),(21052,'-class name','-class name',0,1,1.3667,'C425',7),(21053,'-class name to','-class name to',0,1,1.4667,'C4253',5),(21054,'add -class','add -class',0,1,1.3333,'A3242',5),(21055,'add -class name','add -class name',0,1,1.5,'A32425',5),(21056,'any','any',0,0,0.2,'A500',7),(21057,'any element','any element',0,1,1.3667,'A5453',7),(21058,'any element web','any element web',0,1,1.5,'A54531',7),(21059,'can add','can add',0,1,1.2333,'C530',7),(21060,'can add -class','can add -class',0,1,1.4667,'C53242',5),(21061,'class demo-typo-col4 icon-file','class demo-typo-col4 icon-file',0,1,2,'C423531242514',6),(21062,'class icon-bookmark-empty','class icon-bookmark-empty',0,1,1.8333,'C42512562513',6),(21063,'class icon-bookmark-empty icon-bookmark-empty','class icon-bookmark-empty icon-bookmark-empty',0,1,2,'C425125625132512562513',6),(21064,'class icon-class','class icon-class',0,1,1.5333,'C425242',9),(21065,'class icon-class name','class icon-class name',0,1,1.7,'C4252425',9),(21066,'class icon-eye-open','class icon-eye-open',0,1,1.6333,'C42515',6),(21067,'class icon-eye-open icon-eye-open','class icon-eye-open icon-eye-open',0,1,2,'C425152515',6),(21068,'class icon-github-alt','class icon-github-alt',0,1,1.7,'C42523143',6),(21069,'class icon-github-alt icon-github-alt','class icon-github-alt icon-github-alt',0,1,2,'C425231432523143',6),(21070,'com font-awesome use','com font-awesome use',0,1,1.6667,'C5153252',9),(21071,'content here span','content here span',0,1,1.5667,'C53536215',5),(21072,'demo-typo-col4 icon-file','demo-typo-col4 icon-file',0,1,1.8,'D531242514',6),(21073,'demo-typo-col4 icon-file icon-file-alt','demo-typo-col4 icon-file icon-file-alt',0,1,2,'D53124251425143',6),(21074,'element web','element web',0,1,1.3667,'E4531',7),(21075,'element web application','element web application',0,1,1.7667,'E45314235',7),(21076,'font-awesome use','font-awesome use',0,1,1.5333,'F53252',9),(21077,'font-awesome use span','font-awesome use span',0,1,1.7,'F5325215',5),(21078,'here span you','here span you',0,1,1.4333,'H6215',5),(21079,'icon-bookmark-empty icon-bookmark-empty','icon-bookmark-empty icon-bookmark-empty',0,1,2,'I25125625132512562513',6),(21080,'icon-bookmark-empty icon-bookmark-empty icon-briefcase','icon-bookmark-empty icon-bookmark-empty icon-briefcase',0,1,2,'I25125625132512562513251612',6),(21081,'icon-class','icon-class',0,0,0.6667,'I25242',9),(21082,'icon-class name','icon-class name',0,1,1.5,'I252425',9),(21083,'icon-class name content','icon-class name content',0,1,1.7667,'I25242525353',7),(21084,'icon-eye-open icon-eye-open','icon-eye-open icon-eye-open',0,1,1.9,'I25152515',6),(21085,'icon-eye-open icon-eye-open icon-facetime-video','icon-eye-open icon-eye-open icon-facetime-video',0,1,2,'I2515251525123513',6),(21086,'icon-github-alt icon-github-alt','icon-github-alt icon-github-alt',0,1,2,'I25231432523143',6),(21087,'icon-github-alt icon-github-alt icon-github-sign','icon-github-alt icon-github-alt icon-github-sign',0,1,2,'I252314325231432523125',6),(21088,'name content','name content',0,1,1.4,'N25353',7),(21089,'name content here','name content here',0,1,1.5667,'N253536',7),(21090,'name to','name to',0,1,1.2333,'N300',5),(21091,'name to any','name to any',0,1,1.3667,'N350',5),(21092,'span class icon-class','span class icon-class',0,1,1.7,'S152425242',5),(21093,'span you','span you',0,1,1.2667,'S150',5),(21094,'span you can','span you can',0,1,1.4,'S1525',5),(21095,'to any','to any',0,1,1.2,'T500',5),(21096,'to any element','to any element',0,1,1.4667,'T5453',5),(21097,'you can add','you can add',0,1,1.3667,'Y253',7),(21099,'05 if you','05 if you',0,1,1.3,'I100',2),(21100,'14 pixels','14 pixels',0,1,1.3,'P242',2),(21101,'14 pixels as','14 pixels as',0,1,1.4,'P242',2),(21102,'65 pixels','65 pixels',0,1,1.3,'P242',2),(21103,'65 pixels you','65 pixels you',0,1,1.4333,'P242',2),(21104,'90 nsptitle90 05','90 nsptitle90 05',0,1,1.5333,'N2134',1),(21105,'achieve the','achieve the',0,1,1.3667,'A213',2),(21106,'achieve the smaller','achieve the smaller',0,1,1.6333,'A2132546',2),(21107,'as on','as on',0,1,1.1667,'A250',2),(21108,'as on the','as on the',0,1,1.3,'A253',2),(21109,'at demo','at demo',0,1,1.2333,'A350',2),(21110,'at demo content','at demo content',0,1,1.5,'A3525353',2),(21111,'be set','be set',0,1,1.2,'B230',2),(21112,'be set to','be set to',0,1,1.3,'B230',2),(21113,'between columns','between columns',0,1,1.5,'B352452',2),(21114,'between columns default','between columns default',0,1,1.7667,'B3524523143',2),(21115,'can use page','can use page',0,1,1.4,'C5212',2),(21116,'columns default','columns default',0,1,1.5,'C4523143',2),(21117,'columns default it','columns default it',0,1,1.6,'C4523143',2),(21118,'default it','default it',0,1,1.3333,'D143',2),(21119,'default it is','default it is',0,1,1.4333,'D1432',2),(21120,'frontpage at','frontpage at',0,1,1.4,'F653123',2),(21121,'frontpage at demo','frontpage at demo',0,1,1.5667,'F6531235',2),(21122,'gap','gap',0,0,0.2,'G100',2),(21123,'gap will','gap will',0,1,1.2667,'G140',2),(21124,'gap will be','gap will be',0,1,1.3667,'G141',2),(21125,'gaps','gaps',0,0,0.2667,'G120',2),(21126,'gaps between','gaps between',0,1,1.4,'G12135',2),(21127,'gaps between columns','gaps between columns',0,1,1.6667,'G121352452',2),(21128,'gridpage','gridpage',0,0,0.5333,'G6312',2),(21129,'gridpage then','gridpage then',0,1,1.4333,'G631235',2),(21130,'gridpage then the','gridpage then the',0,1,1.5667,'G6312353',2),(21131,'is 65','is 65',0,1,1.1667,'I200',2),(21132,'is 65 pixels','is 65 pixels',0,1,1.4,'I21242',2),(21133,'it is 65','it is 65',0,1,1.2667,'I320',2),(21134,'need to achieve','need to achieve',0,1,1.5,'N321',2),(21135,'nsptitle90 05','nsptitle90 05',0,1,1.4333,'N2134',1),(21136,'nsptitle90 05 if','nsptitle90 05 if',0,1,1.5333,'N21341',1),(21137,'page suffix gridpage','page suffix gridpage',0,1,1.6667,'P2126312',2),(21138,'pixels as','pixels as',0,1,1.3,'P242',2),(21139,'pixels as on','pixels as on',0,1,1.4,'P2425',2),(21140,'pixels you','pixels you',0,1,1.3333,'P242',2),(21141,'pixels you can','pixels you can',0,1,1.4667,'P2425',2),(21142,'set to 14','set to 14',0,1,1.3,'S300',2),(21143,'smaller gaps','smaller gaps',0,1,1.4,'S546212',2),(21144,'smaller gaps between','smaller gaps between',0,1,1.6667,'S546212135',2),(21145,'suffix gridpage','suffix gridpage',0,1,1.5,'S126312',2),(21146,'suffix gridpage then','suffix gridpage then',0,1,1.6667,'S12631235',2),(21147,'the frontpage at','the frontpage at',0,1,1.5333,'T1653123',2),(21148,'the gap','the gap',0,1,1.2333,'T210',2),(21149,'the gap will','the gap will',0,1,1.4,'T214',2),(21150,'the smaller','the smaller',0,1,1.3667,'T2546',2),(21151,'the smaller gaps','the smaller gaps',0,1,1.5333,'T2546212',2),(21152,'then the gap','then the gap',0,1,1.4,'T5321',2),(21153,'to 14','to 14',0,1,1.1667,'T000',2),(21154,'to 14 pixels','to 14 pixels',0,1,1.4,'T1242',2),(21155,'to achieve the','to achieve the',0,1,1.4667,'T213',2),(21156,'use page','use page',0,1,1.2667,'U212',2),(21157,'use page suffix','use page suffix',0,1,1.5,'U21212',2),(21158,'will be set','will be set',0,1,1.3667,'W4123',2),(21159,'s third','s third',0,1,1.2333,'S363',53),(21160,'s third studio','s third studio',0,1,1.4667,'S36323',53),(21161,'studio','studio',0,0,0.4,'S300',53),(21162,'studio album','studio album',0,1,1.4,'S3415',53),(21163,'the wanted','the wanted',0,1,1.3333,'T530',53),(21164,'the wanted s','the wanted s',0,1,1.4,'T532',53),(21165,'the wanted\'s','the wanted',0,1,1.4,'T532',189),(21166,'the wanted\'s third','the wanted third',0,1,1.6,'T532363',53),(21167,'third studio','third studio',0,1,1.4,'T6323',53),(21168,'third studio album','third studio album',0,1,1.6,'T6323415',53),(21169,'wanted','wanted',0,0,0.4,'W530',189),(21170,'wanted s','wanted s',0,1,1.2667,'W532',53),(21171,'wanted s third','wanted s third',0,1,1.4667,'W532363',53),(21172,'wanted\'s','wanted',0,0,0.5333,'W532',189),(21173,'wanted\'s third','wanted third',0,1,1.4667,'W532363',53),(21174,'wanted\'s third studio','wanted third studio',0,1,1.7,'W53236323',53),(21175,'auctor fringilla your','auctor fringilla your',0,1,1.7,'A236165246',1),(21176,'fringilla your','fringilla your',0,1,1.4667,'F65246',1),(21177,'fringilla your quoted','fringilla your quoted',0,1,1.7,'F6524623',1),(21178,'goes here cras','goes here cras',0,1,1.4667,'G6262',1),(21179,'here cras','here cras',0,1,1.3,'H6262',1),(21180,'here cras mattis','here cras mattis',0,1,1.5333,'H6262532',1),(21181,'a breakthrough','a breakthrough',0,1,1.4667,'A162362',3),(21182,'a breakthrough i\'m','a breakthrough i',0,1,1.6,'A1623625',3),(21183,'album wasn\'t','album wasn',0,1,1.4,'A415253',3),(21184,'album wasn\'t meant','album wasn meant',0,1,1.6,'A41525353',3),(21185,'auctor fringilla this','auctor fringilla this',0,1,1.7,'A2361652432',3),(21186,'be a breakthrough','be a breakthrough',0,1,1.5667,'B62362',3),(21187,'best cras','best cras',0,1,1.3,'B23262',1),(21188,'best cras mattis','best cras mattis',0,1,1.5333,'B23262532',1),(21189,'breakthrough','breakthrough',0,0,0.8,'B62362',3),(21190,'breakthrough i\'m','breakthrough i',0,1,1.5333,'B623625',3),(21191,'breakthrough i\'m just','breakthrough i just',0,1,1.7,'B62362523',3),(21192,'do best','do best',0,1,1.2333,'D123',3),(21193,'do best cras','do best cras',0,1,1.4,'D123262',1),(21194,'doing','doing',0,0,0.3333,'D520',4),(21195,'doing what','doing what',0,1,1.3333,'D523',3),(21196,'doing what i','doing what i',0,1,1.4,'D523',3),(21197,'fringilla this','fringilla this',0,1,1.4667,'F652432',3),(21198,'fringilla this album','fringilla this album',0,1,1.6667,'F652432415',3),(21199,'i do','i do',0,1,1.1333,'I300',3),(21200,'i do best','i do best',0,1,1.3,'I3123',3),(21201,'i\'m','i',0,0,0.2,'I500',3),(21202,'i\'m just','i just',0,1,1.2667,'I523',3),(21203,'i\'m just doing','i just doing',0,1,1.4667,'I52352',3),(21204,'just doing','just doing',0,1,1.3333,'J352',3),(21205,'just doing what','just doing what',0,1,1.5,'J3523',3),(21206,'meant','meant',0,0,0.3333,'M300',3),(21207,'meant to','meant to',0,1,1.2667,'M300',3),(21208,'meant to be','meant to be',0,1,1.3667,'M310',3),(21209,'this album','this album',0,1,1.3333,'T2415',3),(21210,'this album wasn\'t','this album wasn',0,1,1.5667,'T2415253',3),(21211,'to be a','to be a',0,1,1.2333,'T100',3),(21212,'wasn\'t','wasn',0,0,0.4,'W253',3),(21213,'wasn\'t meant','wasn meant',0,1,1.4,'W25353',3),(21214,'wasn\'t meant to','wasn meant to',0,1,1.5,'W25353',3),(21215,'what i','what i',0,1,1.2,'W300',3),(21216,'what i do','what i do',0,1,1.3,'W300',3),(21217,'all to','all to',0,1,1.2,'A430',2),(21218,'all to hear','all to hear',0,1,1.3667,'A436',2),(21219,'best can\'t','best can',0,1,1.3333,'B23253',2),(21220,'best can\'t wait','best can wait',0,1,1.5,'B23253',2),(21221,'can\'t','can',0,0,0.3333,'C530',2),(21222,'can\'t wait','can wait',0,1,1.3333,'C530',2),(21223,'can\'t wait for','can wait for',0,1,1.4667,'C5316',2),(21224,'do best can\'t','do best can',0,1,1.4333,'D123253',2),(21225,'for you all','for you all',0,1,1.3667,'F640',2),(21226,'hear it','hear it',0,1,1.2333,'H630',2),(21227,'hear it cras','hear it cras',0,1,1.4,'H63262',1),(21228,'it cras','it cras',0,1,1.2333,'I3262',2),(21229,'it cras mattis','it cras mattis',0,1,1.4667,'I3262532',2),(21230,'to hear','to hear',0,1,1.2333,'T600',2),(21231,'to hear it','to hear it',0,1,1.3333,'T630',2),(21232,'wait','wait',0,0,0.2667,'W300',2),(21233,'wait for','wait for',0,1,1.2667,'W316',2),(21234,'wait for you','wait for you',0,1,1.4,'W316',2),(21235,'you all','you all',0,1,1.2333,'Y400',2),(21236,'you all to','you all to',0,1,1.3333,'Y430',2),(21237,'amazing rlly','amazing rlly',0,1,1.4,'A525264',1),(21238,'amazing rlly i','amazing rlly i',0,1,1.4667,'A525264',1),(21239,'hear it it\'s','hear it it',0,1,1.4,'H632',1),(21240,'i love','i love',0,1,1.2,'I410',1),(21241,'i love it','i love it',0,1,1.3,'I413',1),(21242,'it it\'s','it it',0,1,1.2333,'I320',1),(21243,'it it\'s amazing','it it amazing',0,1,1.5,'I325252',1),(21244,'it\'s amazing','it amazing',0,1,1.4,'I325252',1),(21245,'it\'s amazing rlly','it amazing rlly',0,1,1.5667,'I32525264',1),(21246,'love it','love it',0,1,1.2333,'L130',1),(21247,'love it cras','love it cras',0,1,1.4,'L13262',1),(21248,'rlly','rlly',0,0,0.2667,'R400',1),(21249,'rlly i','rlly i',0,1,1.2,'R400',1),(21250,'rlly i love','rlly i love',0,1,1.3667,'R410',1),(21251,'a different','a different',0,1,1.3667,'A31653',1),(21252,'a different path','a different path',0,1,1.5333,'A3165313',1),(21253,'a liking','a liking',0,1,1.2667,'A4252',184),(21254,'a liking to','a liking to',0,1,1.3667,'A42523',184),(21255,'all the','all the',0,1,1.2333,'A430',178),(21256,'all the credit','all the credit',0,1,1.4667,'A43263',1),(21257,'amazing yet','amazing yet',0,1,1.3667,'A52523',184),(21258,'amazing yet down-to-earth','amazing yet down-to-earth',0,1,1.8333,'A525235363',184),(21259,'and i\'ve','and i',0,1,1.2667,'A531',1),(21260,'and i\'ve changed','and i changed',0,1,1.5333,'A5312523',1),(21261,'are just','are just',0,1,1.2667,'A623',184),(21262,'are just too','are just too',0,1,1.4,'A623',184),(21263,'auctor fringilla the','auctor fringilla the',0,1,1.6667,'A236165243',184),(21264,'back boys','back boys',0,1,1.3,'B212',184),(21265,'back boys i\'ve','back boys i',0,1,1.4667,'B2121',184),(21266,'be spoken','be spoken',0,1,1.3,'B2125',1),(21267,'be spoken they','be spoken they',0,1,1.4667,'B21253',1),(21268,'boys','boys',0,0,0.2667,'B200',184),(21269,'boys i\'ve','boys i',0,1,1.3,'B210',184),(21270,'boys i\'ve ever','boys i ever',0,1,1.4667,'B216',184),(21271,'but i','but i',0,1,1.1667,'B300',1),(21272,'but i m','but i m',0,1,1.2333,'B350',1),(21273,'but it\'s','but it',0,1,1.2667,'B320',1),(21274,'but it\'s true','but it true',0,1,1.4333,'B3236',1),(21275,'changed myself','changed myself',0,1,1.4667,'C5235241',1),(21276,'changed myself no','changed myself no',0,1,1.5667,'C52352415',1),(21277,'chilled','chilled',0,0,0.4667,'C430',184),(21278,'chilled back','chilled back',0,1,1.4,'C4312',184),(21279,'chilled back boys','chilled back boys',0,1,1.5667,'C431212',184),(21280,'compared','compared',0,0,0.5333,'C5163',184),(21281,'compared in','compared in',0,1,1.3667,'C51635',184),(21282,'compared in the','compared in the',0,1,1.5,'C516353',184),(21283,'completely','completely',0,0,0.6667,'C51434',1),(21284,'completely inspires','completely inspires',0,1,1.6333,'C5143452162',1),(21285,'completely inspires me','completely inspires me',0,1,1.7333,'C51434521625',1),(21286,'credit','credit',0,0,0.4,'C630',1),(21287,'credit in','credit in',0,1,1.3,'C635',1),(21288,'credit in the','credit in the',0,1,1.4333,'C6353',1),(21289,'deserve','deserve',0,0,0.4667,'D261',1),(21290,'deserve all','deserve all',0,1,1.3667,'D2614',1),(21291,'deserve all the','deserve all the',0,1,1.5,'D26143',1),(21292,'different compared','different compared',0,1,1.6,'D165325163',1),(21293,'different compared in','different compared in',0,1,1.7,'D1653251635',1),(21294,'different path','different path',0,1,1.4667,'D165313',1),(21295,'different path in','different path in',0,1,1.5667,'D1653135',1),(21296,'doing it','doing it',0,1,1.2667,'D523',1),(21297,'doing it but','doing it but',0,1,1.4,'D52313',1),(21298,'down-to-earth','down-to-earth',0,0,0.8667,'D5363',184),(21299,'down-to-earth chilled','down-to-earth chilled',0,1,1.7,'D5363243',184),(21300,'down-to-earth chilled back','down-to-earth chilled back',0,1,1.8667,'D536324312',184),(21301,'ever seen','ever seen',0,1,1.3,'E1625',184),(21302,'ever seen i\'ve','ever seen i',0,1,1.4667,'E16251',184),(21303,'for the sake','for the sake',0,1,1.4,'F632',1),(21304,'fringilla the','fringilla the',0,1,1.4333,'F65243',184),(21305,'fringilla the most','fringilla the most',0,1,1.6,'F65243523',184),(21306,'has to be','has to be',0,1,1.3,'H231',1),(21307,'i m','i m',0,1,1.1,'I500',1),(21308,'i m in','i m in',0,1,1.2,'I500',1),(21309,'i\'ve','i',0,0,0.2667,'I100',184),(21310,'i\'ve changed','i changed',0,1,1.4,'I12523',1),(21311,'i\'ve changed myself','i changed myself',0,1,1.6333,'I125235241',1),(21312,'i\'ve ever','i ever',0,1,1.3,'I160',184),(21313,'i\'ve ever seen','i ever seen',0,1,1.4667,'I1625',184),(21314,'i\'ve only','i only',0,1,1.3,'I154',184),(21315,'i\'ve only recently','i only recently',0,1,1.6,'I15462534',184),(21316,'in life','in life',0,1,1.2333,'I541',1),(21317,'in life and','in life and',0,1,1.3667,'I54153',1),(21318,'in love','in love',0,1,1.2333,'I541',1),(21319,'in love with','in love with',0,1,1.4,'I5413',1),(21320,'in the music','in the music',0,1,1.4,'I5352',184),(21321,'in the world','in the world',0,1,1.4,'I53643',1),(21322,'industry','industry',0,0,0.5333,'I53236',184),(21323,'industry no-judgments','industry no-judgments',0,1,1.7,'I532365232532',1),(21324,'industry no-judgments their','industry no-judgments their',0,1,1.9,'I53236523253236',1),(21325,'inspires','inspires',0,0,0.5333,'I52162',1),(21326,'inspires me','inspires me',0,1,1.3667,'I521625',1),(21327,'inspires me it\'s','inspires me it',0,1,1.5333,'I52162532',1),(21328,'into a','into a',0,1,1.2,'I530',3),(21329,'into a different','into a different',0,1,1.5333,'I531653',1),(21330,'it but','it but',0,1,1.2,'I313',1),(21331,'it but it\'s','it but it',0,1,1.3667,'I3132',1),(21332,'it\'s taken','it taken',0,1,1.3333,'I32325',1),(21333,'it\'s taken me','it taken me',0,1,1.4333,'I32325',1),(21334,'it\'s true','it true',0,1,1.3,'I3236',1),(21335,'it\'s true the','it true the',0,1,1.4333,'I32363',1),(21336,'just completely','just completely',0,1,1.5,'J3251434',1),(21337,'just completely inspires','just completely inspires',0,1,1.8,'J325143452162',1),(21338,'just like','just like',0,1,1.3,'J342',1),(21339,'just like they','just like they',0,1,1.4667,'J3423',1),(21340,'just praising','just praising',0,1,1.4333,'J316252',1),(21341,'just praising them','just praising them',0,1,1.6,'J31625235',1),(21342,'just too','just too',0,1,1.2667,'J300',184),(21343,'just too different','just too different',0,1,1.6,'J31653',1),(21344,'kidding','kidding',0,0,0.4667,'K352',1),(21345,'kidding x','kidding x',0,1,1.3,'K352',1),(21346,'kidding x not','kidding x not',0,1,1.4333,'K35253',1),(21347,'life and','life and',0,1,1.2667,'L153',1),(21348,'life and i\'ve','life and i',0,1,1.4333,'L1531',1),(21349,'like they','like they',0,1,1.3,'L230',1),(21350,'like they are','like they are',0,1,1.4333,'L236',1),(21351,'liking','liking',0,0,0.4,'L252',184),(21352,'liking to','liking to',0,1,1.3,'L2523',184),(21353,'liking to them','liking to them',0,1,1.4667,'L25235',184),(21354,'love with','love with',0,1,1.3,'L130',1),(21355,'love with them','love with them',0,1,1.4667,'L135',1),(21356,'m in','m in',0,1,1.1333,'M000',1),(21357,'m in love','m in love',0,1,1.3,'M410',1),(21358,'me into','me into',0,1,1.2333,'M300',1),(21359,'me into a','me into a',0,1,1.3,'M300',1),(21360,'me it\'s','me it',0,1,1.2333,'M320',1),(21361,'me it\'s taken','me it taken',0,1,1.4333,'M32325',1),(21362,'most amazing','most amazing',0,1,1.4,'M235252',184),(21363,'most amazing yet','most amazing yet',0,1,1.5333,'M2352523',184),(21364,'music industry','music industry',0,1,1.4667,'M253236',184),(21365,'music industry no-judgments','music industry no-judgments',0,1,1.9,'M2532365232532',1),(21366,'music just','music just',0,1,1.3333,'M230',1),(21367,'music just completely','music just completely',0,1,1.7,'M23251434',1),(21368,'myself','myself',0,0,0.4,'M241',1),(21369,'myself no','myself no',0,1,1.3,'M2415',1),(21370,'myself no kidding','myself no kidding',0,1,1.5667,'M24152352',1),(21371,'no kidding','no kidding',0,1,1.3333,'N2352',1),(21372,'no kidding x','no kidding x',0,1,1.4,'N2352',1),(21373,'no-judgments','no-judgments',0,0,0.8,'N232532',1),(21374,'no-judgments their','no-judgments their',0,1,1.6,'N23253236',1),(21375,'no-judgments their music','no-judgments their music',0,1,1.8,'N2325323652',1),(21376,'not just','not just',0,1,1.2667,'N323',1),(21377,'not just like','not just like',0,1,1.4333,'N32342',1),(21378,'not just praising','not just praising',0,1,1.5667,'N32316252',1),(21379,'of doing','of doing',0,1,1.2667,'O1352',1),(21380,'of doing it','of doing it',0,1,1.3667,'O13523',1),(21381,'only recently','only recently',0,1,1.4333,'O5462534',184),(21382,'only recently taken','only recently taken',0,1,1.6333,'O5462534325',184),(21383,'path','path',0,0,0.2667,'P300',1),(21384,'path in','path in',0,1,1.2333,'P350',1),(21385,'path in life','path in life',0,1,1.4,'P3541',1),(21386,'praising','praising',0,0,0.5333,'P6252',1),(21387,'praising them','praising them',0,1,1.4333,'P625235',1),(21388,'praising them for','praising them for',0,1,1.5667,'P62523516',1),(21389,'recently','recently',0,0,0.5333,'R2534',184),(21390,'recently taken','recently taken',0,1,1.4667,'R2534325',184),(21391,'recently taken a','recently taken a',0,1,1.5333,'R2534325',184),(21392,'sake','sake',0,0,0.2667,'S000',1),(21393,'sake of','sake of',0,1,1.2333,'S100',1),(21394,'sake of doing','sake of doing',0,1,1.4333,'S1352',1),(21395,'seen','seen',0,0,0.2667,'S500',184),(21396,'seen i\'ve','seen i',0,1,1.3,'S510',184),(21397,'seen i\'ve only','seen i only',0,1,1.4667,'S5154',184),(21398,'spoken','spoken',0,0,0.4,'S125',1),(21399,'spoken they','spoken they',0,1,1.3667,'S1253',1),(21400,'spoken they deserve','spoken they deserve',0,1,1.6333,'S1253261',1),(21401,'taken a','taken a',0,1,1.2333,'T250',184),(21402,'taken a liking','taken a liking',0,1,1.4667,'T254252',184),(21403,'taken me','taken me',0,1,1.2667,'T250',1),(21404,'taken me into','taken me into',0,1,1.4333,'T253',1),(21405,'the credit','the credit',0,1,1.3333,'T263',1),(21406,'the credit in','the credit in',0,1,1.4333,'T2635',1),(21407,'the most amazing','the most amazing',0,1,1.5333,'T5235252',184),(21408,'the music industry','the music industry',0,1,1.6,'T5253236',184),(21409,'the sake','the sake',0,1,1.2667,'T200',1),(21410,'the sake of','the sake of',0,1,1.3667,'T210',1),(21411,'the truth','the truth',0,1,1.3,'T630',1),(21412,'the truth has','the truth has',0,1,1.4333,'T632',1),(21413,'the world cras','the world cras',0,1,1.4667,'T643262',1),(21414,'their music','their music',0,1,1.3667,'T652',1),(21415,'their music just','their music just',0,1,1.5333,'T6523',1),(21416,'them','them',0,0,0.2667,'T500',184),(21417,'them but','them but',0,1,1.2667,'T513',1),(21418,'them but i','them but i',0,1,1.3333,'T513',1),(21419,'them for','them for',0,1,1.2667,'T516',1),(21420,'them for the','them for the',0,1,1.4,'T5163',1),(21421,'them not','them not',0,1,1.2667,'T530',1),(21422,'them not just','them not just',0,1,1.4333,'T5323',1),(21423,'they','they',0,0,0.2667,'T000',184),(21424,'they are','they are',0,1,1.2667,'T600',184),(21425,'they are just','they are just',0,1,1.4333,'T623',184),(21426,'they deserve','they deserve',0,1,1.4,'T261',1),(21427,'they deserve all','they deserve all',0,1,1.5333,'T2614',1),(21428,'to be spoken','to be spoken',0,1,1.4,'T12125',1),(21429,'to them','to them',0,1,1.2333,'T500',184),(21430,'to them but','to them but',0,1,1.3667,'T513',1),(21431,'too different','too different',0,1,1.4333,'T1653',1),(21432,'too different compared','too different compared',0,1,1.7333,'T165325163',1),(21433,'true','true',0,0,0.2667,'T600',1),(21434,'true the','true the',0,1,1.2667,'T630',1),(21435,'true the truth','true the truth',0,1,1.4667,'T6363',1),(21436,'truth','truth',0,0,0.3333,'T630',1),(21437,'truth has','truth has',0,1,1.3,'T632',1),(21438,'truth has to','truth has to',0,1,1.4,'T6323',1),(21439,'with them','with them',0,1,1.3,'W350',1),(21440,'with them not','with them not',0,1,1.4333,'W353',1),(21441,'world cras','world cras',0,1,1.3333,'W643262',1),(21442,'world cras mattis','world cras mattis',0,1,1.5667,'W643262532',1),(21443,'x not','x not',0,1,1.1667,'X530',1),(21444,'x not just','x not just',0,1,1.3333,'X5323',1),(21445,'yet down-to-earth','yet down-to-earth',0,1,1.5667,'Y35363',184),(21446,'yet down-to-earth chilled','yet down-to-earth chilled',0,1,1.8333,'Y35363243',184),(21447,'diffrent','diffrent',0,0,0.5333,'D1653',183),(21448,'diffrent compared','diffrent compared',0,1,1.5667,'D165325163',183),(21449,'diffrent compared in','diffrent compared in',0,1,1.6667,'D1653251635',183),(21450,'industry cras','industry cras',0,1,1.4333,'I53236262',183),(21451,'industry cras mattis','industry cras mattis',0,1,1.6667,'I53236262532',183),(21452,'just too diffrent','just too diffrent',0,1,1.5667,'J31653',183),(21453,'music industry cras','music industry cras',0,1,1.6333,'M253236262',183),(21454,'them they','them they',0,1,1.3,'T530',183),(21455,'them they are','them they are',0,1,1.4333,'T536',183),(21456,'to them they','to them they',0,1,1.4,'T530',183),(21457,'too diffrent','too diffrent',0,1,1.4,'T1653',183),(21458,'too diffrent compared','too diffrent compared',0,1,1.7,'T165325163',183),(21459,'\'the','the',0,0,0.2667,'T000',181),(21460,'\'the wanted','the wanted',0,1,1.3667,'T530',181),(21461,'\'the wanted life\'','the wanted life',0,1,1.5667,'T5341',181),(21462,'\'walks','walks',0,0,0.4,'W420',181),(21463,'\'walks like','walks like',0,1,1.3667,'W4242',181),(21464,'\'walks like rihanna\'','walks like rihanna',0,1,1.6667,'W424265',181),(21465,'2013 and','2013 and',0,1,1.2667,'A530',181),(21466,'2013 and will','2013 and will',0,1,1.4333,'A534',181),(21467,'29th','29th',0,0,0.2667,'T000',181),(21468,'29th april','29th april',0,1,1.3333,'T164',181),(21469,'7th','7th',0,0,0.2,'T000',181),(21470,'7th may','7th may',0,1,1.2333,'T500',181),(21471,'7th may cras','7th may cras',0,1,1.4,'T5262',180),(21472,'account with','account with',0,1,1.4,'A253',181),(21473,'account with their','account with their',0,1,1.6,'A2536',181),(21474,'after it','after it',0,1,1.2667,'A1363',181),(21475,'after it was','after it was',0,1,1.4,'A13632',181),(21476,'album and','album and',0,1,1.3,'A4153',181),(21477,'album and is','album and is',0,1,1.4,'A41532',181),(21478,'album in','album in',0,1,1.2667,'A415',181),(21479,'album in 2013','album in 2013',0,1,1.4333,'A415',181),(21480,'also be','also be',0,1,1.2333,'A421',181),(21481,'also be premiered','also be premiered',0,1,1.5667,'A4216563',181),(21482,'also be starring','also be starring',0,1,1.5333,'A42123652',181),(21483,'and beautiful','and beautiful',0,1,1.4333,'A531314',181),(21484,'and beautiful after','and beautiful after',0,1,1.6333,'A531314136',181),(21485,'and have been','and have been',0,1,1.4333,'A5315',181),(21486,'and is','and is',0,1,1.2,'A532',181),(21487,'and is released','and is released',0,1,1.5,'A5326423',181),(21488,'and siva\'s','and siva',0,1,1.3333,'A53212',181),(21489,'and siva\'s new','and siva new',0,1,1.4667,'A532125',181),(21490,'and will also','and will also',0,1,1.4333,'A5342',181),(21491,'anticipated the','anticipated the',0,1,1.5,'A53213',181),(21492,'anticipated the first','anticipated the first',0,1,1.7,'A532131623',181),(21493,'april','april',0,0,0.3333,'A164',181),(21494,'as fans','as fans',0,1,1.2333,'A2152',181),(21495,'as fans anticipated','as fans anticipated',0,1,1.6333,'A215253213',181),(21496,'as perfect','as perfect',0,1,1.3333,'A216123',181),(21497,'as perfect and','as perfect and',0,1,1.4667,'A21612353',181),(21498,'band\'s','band',0,0,0.4,'B532',181),(21499,'band\'s new','band new',0,1,1.3333,'B5325',181),(21500,'band\'s new single','band new single',0,1,1.5667,'B53252524',181),(21501,'be premiered','be premiered',0,1,1.4,'B6563',181),(21502,'be premiered for','be premiered for',0,1,1.5333,'B656316',181),(21503,'be starring','be starring',0,1,1.3667,'B23652',181),(21504,'be starring in','be starring in',0,1,1.4667,'B236525',181),(21505,'be taken','be taken',0,1,1.2667,'B325',181),(21506,'be taken from','be taken from',0,1,1.4333,'B325165',181),(21507,'beautiful after','beautiful after',0,1,1.5,'B314136',181),(21508,'beautiful after it','beautiful after it',0,1,1.6,'B3141363',181),(21509,'been bombarding','been bombarding',0,1,1.5,'B51516352',181),(21510,'been bombarding the','been bombarding the',0,1,1.6333,'B515163523',181),(21511,'been busy','been busy',0,1,1.3,'B512',181),(21512,'been busy working','been busy working',0,1,1.5667,'B5126252',181),(21513,'been taking','been taking',0,1,1.3667,'B53252',181),(21514,'been taking to','been taking to',0,1,1.4667,'B532523',181),(21515,'bombarding','bombarding',0,0,0.6667,'B516352',181),(21516,'bombarding the','bombarding the',0,1,1.4667,'B5163523',181),(21517,'bombarding the social','bombarding the social',0,1,1.7,'B516352324',181),(21518,'brand new album','brand new album',0,1,1.5,'B6535415',181),(21519,'busy','busy',0,0,0.2667,'B200',181),(21520,'busy working','busy working',0,1,1.4,'B26252',181),(21521,'busy working on','busy working on',0,1,1.5,'B262525',181),(21522,'capital','capital',0,0,0.4667,'C134',181),(21523,'capital and','capital and',0,1,1.3667,'C13453',181),(21524,'capital and have','capital and have',0,1,1.5333,'C134531',181),(21525,'capital fm','capital fm',0,1,1.3333,'C13415',181),(21526,'capital fm this','capital fm this',0,1,1.5,'C1341532',181),(21527,'e reality','e reality',0,1,1.3,'E643',181),(21528,'e reality tv','e reality tv',0,1,1.4,'E6431',181),(21529,'exclusively','exclusively',0,0,0.7333,'E24214',181),(21530,'exclusively played','exclusively played',0,1,1.6,'E24214143',181),(21531,'exclusively played for','exclusively played for',0,1,1.7333,'E2421414316',181),(21532,'fans anticipated','fans anticipated',0,1,1.5333,'F5253213',181),(21533,'fans anticipated the','fans anticipated the',0,1,1.6667,'F5253213',181),(21534,'fans have','fans have',0,1,1.3,'F521',181),(21535,'fans have been','fans have been',0,1,1.4667,'F5215',181),(21536,'first play','first play',0,1,1.3333,'F62314',181),(21537,'first play on','first play on',0,1,1.4333,'F623145',181),(21538,'first time','first time',0,1,1.3333,'F6235',181),(21539,'first time on','first time on',0,1,1.4333,'F6235',181),(21540,'first to','first to',0,1,1.2667,'F623',181),(21541,'first to be','first to be',0,1,1.3667,'F6231',181),(21542,'fm','fm',0,0,0.1333,'F500',181),(21543,'fm this','fm this',0,1,1.2333,'F532',181),(21544,'fm this morning','fm this morning',0,1,1.5,'F5325652',181),(21545,'for the first','for the first',0,1,1.4333,'F631623',181),(21546,'for the new','for the new',0,1,1.3667,'F635',181),(21547,'for the song','for the song',0,1,1.4,'F63252',181),(21548,'from their','from their',0,1,1.3333,'F6536',181),(21549,'from their brand','from their brand',0,1,1.5333,'F65361653',181),(21550,'group','group',0,0,0.3333,'G610',181),(21551,'group have','group have',0,1,1.3333,'G610',181),(21552,'group have been','group have been',0,1,1.5,'G615',181),(21553,'hail','hail',0,0,0.2667,'H400',181),(21554,'hail praise','hail praise',0,1,1.3667,'H4162',181),(21555,'hail praise the','hail praise the',0,1,1.5,'H41623',181),(21556,'have been','have been',0,1,1.3,'H150',181),(21557,'have been bombarding','have been bombarding',0,1,1.6667,'H151516352',181),(21558,'have been busy','have been busy',0,1,1.4667,'H1512',181),(21559,'have been taking','have been taking',0,1,1.5333,'H153252',181),(21560,'in 2013 and','in 2013 and',0,1,1.3667,'I530',181),(21561,'in june the','in june the',0,1,1.3667,'I5253',181),(21562,'in their','in their',0,1,1.2667,'I536',181),(21563,'in their e','in their e',0,1,1.3333,'I536',181),(21564,'is released','is released',0,1,1.3667,'I26423',181),(21565,'is released in','is released in',0,1,1.4667,'I264235',181),(21566,'is the first','is the first',0,1,1.4,'I231623',181),(21567,'it was exclusively','it was exclusively',0,1,1.6,'I324214',181),(21568,'jay','jay',0,0,0.2,'J000',181),(21569,'jay max','jay max',0,1,1.2333,'J520',181),(21570,'jay max tom','jay max tom',0,1,1.3667,'J5235',181),(21571,'june the','june the',0,1,1.2667,'J530',181),(21572,'june the song','june the song',0,1,1.4333,'J53252',181),(21573,'latest album','latest album',0,1,1.4,'L323415',181),(21574,'latest album in','latest album in',0,1,1.5,'L323415',181),(21575,'life\'','life',0,0,0.3333,'L100',181),(21576,'life\' this','life this',0,1,1.3333,'L132',181),(21577,'life\' this summer','life this summer',0,1,1.5667,'L13256',181),(21578,'like rihanna\'','like rihanna',0,1,1.4333,'L265',181),(21579,'like rihanna\' as','like rihanna as',0,1,1.5333,'L2652',181),(21580,'max tom','max tom',0,1,1.2333,'M235',181),(21581,'max tom nathan','max tom nathan',0,1,1.4667,'M23535',181),(21582,'may','may',0,0,0.2,'M000',181),(21583,'may cras','may cras',0,1,1.2667,'M262',180),(21584,'may cras mattis','may cras mattis',0,1,1.5,'M262532',180),(21585,'morning','morning',0,0,0.4667,'M652',181),(21586,'morning 29th','morning 29th',0,1,1.4,'M6523',181),(21587,'morning 29th april','morning 29th april',0,1,1.6,'M6523164',181),(21588,'nathan','nathan',0,0,0.4,'N350',181),(21589,'nathan and','nathan and',0,1,1.3333,'N353',181),(21590,'nathan and siva\'s','nathan and siva',0,1,1.5667,'N353212',181),(21591,'networking account','networking account',0,1,1.6,'N3625253',181),(21592,'networking account with','networking account with',0,1,1.7667,'N3625253',181),(21593,'new album and','new album and',0,1,1.4333,'N4153',181),(21594,'new single','new single',0,1,1.3333,'N2524',181),(21595,'new single \'walks','new single walks',0,1,1.5667,'N25242',181),(21596,'new track','new track',0,1,1.3,'N362',181),(21597,'new track is','new track is',0,1,1.4,'N362',181),(21598,'new track will','new track will',0,1,1.4667,'N3624',181),(21599,'number one worldwide','number one worldwide',0,1,1.6667,'N165643',181),(21600,'on 7th','on 7th',0,1,1.2,'O530',181),(21601,'on 7th may','on 7th may',0,1,1.3333,'O535',181),(21602,'on capital','on capital',0,1,1.3333,'O52134',181),(21603,'on capital and','on capital and',0,1,1.4667,'O5213453',181),(21604,'on capital fm','on capital fm',0,1,1.4333,'O5213415',181),(21605,'on their','on their',0,1,1.2667,'O536',181),(21606,'on their latest','on their latest',0,1,1.5,'O5364323',181),(21607,'one worldwide','one worldwide',0,1,1.4333,'O5643',181),(21608,'one worldwide as','one worldwide as',0,1,1.5333,'O56432',181),(21609,'perfect','perfect',0,0,0.4667,'P6123',181),(21610,'perfect and','perfect and',0,1,1.3667,'P612353',181),(21611,'perfect and beautiful','perfect and beautiful',0,1,1.7,'P6123531314',181),(21612,'play on','play on',0,1,1.2333,'P450',181),(21613,'play on capital','play on capital',0,1,1.5,'P452134',181),(21614,'played','played',0,0,0.4,'P430',181),(21615,'played for','played for',0,1,1.3333,'P4316',181),(21616,'played for the','played for the',0,1,1.4667,'P43163',181),(21617,'praise','praise',0,0,0.4,'P620',181),(21618,'praise for','praise for',0,1,1.3333,'P6216',181),(21619,'praise for the','praise for the',0,1,1.4667,'P62163',181),(21620,'praise the','praise the',0,1,1.3333,'P623',181),(21621,'praise the band\'s','praise the band',0,1,1.5667,'P6231532',181),(21622,'premiered','premiered',0,0,0.6,'P6563',181),(21623,'premiered for','premiered for',0,1,1.4333,'P656316',181),(21624,'premiered for the','premiered for the',0,1,1.5667,'P6563163',181),(21625,'reality tv','reality tv',0,1,1.3333,'R431',181),(21626,'reality tv series','reality tv series',0,1,1.5667,'R431262',181),(21627,'released in','released in',0,1,1.3667,'R4235',181),(21628,'released in june','released in june',0,1,1.5333,'R423525',181),(21629,'rihanna\'','rihanna',0,0,0.5333,'R500',181),(21630,'rihanna\' as','rihanna as',0,1,1.3667,'R520',181),(21631,'rihanna\' as perfect','rihanna as perfect',0,1,1.6333,'R5216123',181),(21632,'series \'the','series the',0,1,1.3667,'S623',181),(21633,'series \'the wanted','series the wanted',0,1,1.6,'S62353',181),(21634,'single \'walks','single walks',0,1,1.4333,'S5242',181),(21635,'single \'walks like','single walks like',0,1,1.6,'S524242',181),(21636,'siva\'s','siva',0,0,0.4,'S120',181),(21637,'siva\'s new','siva new',0,1,1.3333,'S125',181),(21638,'siva\'s new track','siva new track',0,1,1.5333,'S125362',181),(21639,'social networking account','social networking account',0,1,1.8333,'S453625253',181),(21640,'song','song',0,0,0.2667,'S520',181),(21641,'song the','song the',0,1,1.2667,'S523',181),(21642,'song the group','song the group',0,1,1.4667,'S523261',181),(21643,'song was','song was',0,1,1.2667,'S520',181),(21644,'song was trending','song was trending',0,1,1.5667,'S52365352',181),(21645,'starring','starring',0,0,0.5333,'S3652',181),(21646,'starring in','starring in',0,1,1.3667,'S36525',181),(21647,'starring in their','starring in their',0,1,1.5667,'S3652536',181),(21648,'summer the','summer the',0,1,1.3333,'S563',181),(21649,'summer the video','summer the video',0,1,1.5333,'S56313',181),(21650,'taken from','taken from',0,1,1.3333,'T25165',181),(21651,'taken from their','taken from their',0,1,1.5333,'T2516536',181),(21652,'taking to','taking to',0,1,1.3,'T2523',181),(21653,'taking to twitter','taking to twitter',0,1,1.5667,'T25236',181),(21654,'the band\'s','the band',0,1,1.3333,'T1532',181),(21655,'the band\'s new','the band new',0,1,1.4667,'T15325',181),(21656,'the first play','the first play',0,1,1.4667,'T162314',181),(21657,'the first time','the first time',0,1,1.4667,'T16235',181),(21658,'the first to','the first to',0,1,1.4,'T1623',181),(21659,'the group','the group',0,1,1.3,'T261',181),(21660,'the group have','the group have',0,1,1.4667,'T261',181),(21661,'the new track','the new track',0,1,1.4333,'T5362',181),(21662,'the social','the social',0,1,1.3333,'T240',181),(21663,'the social networking','the social networking',0,1,1.7,'T24536252',181),(21664,'the song','the song',0,1,1.2667,'T252',181),(21665,'the song the','the song the',0,1,1.4,'T2523',181),(21666,'the song was','the song was',0,1,1.4,'T252',181),(21667,'the video','the video',0,1,1.3,'T130',181),(21668,'the video for','the video for',0,1,1.4333,'T1316',181),(21669,'the wanted\'s fans','the wanted fans',0,1,1.5667,'T532152',181),(21670,'their brand','their brand',0,1,1.3667,'T61653',181),(21671,'their brand new','their brand new',0,1,1.5,'T616535',181),(21672,'their e','their e',0,1,1.2333,'T600',181),(21673,'their e reality','their e reality',0,1,1.5,'T643',181),(21674,'their latest','their latest',0,1,1.4,'T64323',181),(21675,'their latest album','their latest album',0,1,1.6,'T64323415',181),(21676,'their praise','their praise',0,1,1.4,'T6162',181),(21677,'their praise for','their praise for',0,1,1.5333,'T616216',181),(21678,'this morning','this morning',0,1,1.4,'T25652',181),(21679,'this morning 29th','this morning 29th',0,1,1.5667,'T256523',181),(21680,'this summer','this summer',0,1,1.3667,'T256',181),(21681,'this summer the','this summer the',0,1,1.5,'T2563',181),(21682,'time on','time on',0,1,1.2333,'T500',181),(21683,'time on 7th','time on 7th',0,1,1.3667,'T530',181),(21684,'time on capital','time on capital',0,1,1.5,'T52134',181),(21685,'to be taken','to be taken',0,1,1.3667,'T1325',181),(21686,'to hail','to hail',0,1,1.2333,'T400',181),(21687,'to hail praise','to hail praise',0,1,1.4667,'T4162',181),(21688,'to twitter','to twitter',0,1,1.3333,'T600',181),(21689,'to twitter to','to twitter to',0,1,1.4333,'T630',181),(21690,'tom nathan','tom nathan',0,1,1.3333,'T535',181),(21691,'tom nathan and','tom nathan and',0,1,1.4667,'T5353',181),(21692,'track','track',0,0,0.3333,'T620',181),(21693,'track is','track is',0,1,1.2667,'T620',181),(21694,'track is the','track is the',0,1,1.4,'T623',181),(21695,'track will','track will',0,1,1.3333,'T624',181),(21696,'track will also','track will also',0,1,1.5,'T6242',181),(21697,'trending','trending',0,0,0.5333,'T65352',181),(21698,'trending number','trending number',0,1,1.5,'T65352516',181),(21699,'trending number one','trending number one',0,1,1.6333,'T653525165',181),(21700,'tv series','tv series',0,1,1.3,'T1262',181),(21701,'tv series \'the','tv series the',0,1,1.4667,'T12623',181),(21702,'twitter to','twitter to',0,1,1.3333,'T630',181),(21703,'twitter to hail','twitter to hail',0,1,1.5,'T634',181),(21704,'video for the','video for the',0,1,1.4333,'V3163',181),(21705,'wanted life\'','wanted life',0,1,1.4,'W5341',181),(21706,'wanted life\' this','wanted life this',0,1,1.5667,'W534132',181),(21707,'wanted\'s fans','wanted fans',0,1,1.4333,'W532152',181),(21708,'wanted\'s fans have','wanted fans have',0,1,1.6,'W5321521',181),(21709,'was exclusively','was exclusively',0,1,1.5,'W24214',181),(21710,'was exclusively played','was exclusively played',0,1,1.7333,'W24214143',181),(21711,'was trending','was trending',0,1,1.4,'W2365352',181),(21712,'was trending number','was trending number',0,1,1.6333,'W2365352516',181),(21713,'will also','will also',0,1,1.3,'W420',181),(21714,'will also be','will also be',0,1,1.4,'W421',181),(21715,'with their','with their',0,1,1.3333,'W360',181),(21716,'with their praise','with their praise',0,1,1.5667,'W36162',181),(21717,'working','working',0,0,0.4667,'W6252',181),(21718,'working on','working on',0,1,1.3333,'W62525',181),(21719,'working on their','working on their',0,1,1.5333,'W6252536',181),(21720,'worldwide','worldwide',0,0,0.6,'W643',181),(21721,'worldwide as','worldwide as',0,1,1.4,'W6432',181),(21722,'worldwide as fans','worldwide as fans',0,1,1.5667,'W6432152',181),(21723,'2011','2011',0,0,0.4,'',13),(21724,'2011 through','2011 through',0,1,1.4,'T620',13),(21725,'2011 through island','2011 through island',0,1,1.6333,'T62453',13),(21726,'4 2011','4 2011',0,1,1.2,'',4),(21727,'4 november','4 november',0,1,1.3333,'N1516',13),(21728,'4 november 2011','4 november 2011',0,1,1.5,'N1516',13),(21729,'album released','album released',0,1,1.4667,'A4156423',13),(21730,'album released by','album released by',0,1,1.5667,'A41564231',13),(21731,'auctor fringilla battleground','auctor fringilla battleground',0,1,1.9667,'A236165241342653',13),(21732,'band','band',0,0,0.2667,'B530',87),(21733,'band the','band the',0,1,1.2667,'B530',13),(21734,'band the wanted','band the wanted',0,1,1.5,'B5353',13),(21735,'battleground','battleground',0,0,0.8,'B342653',14),(21736,'battleground battleground','battleground battleground',0,1,1.8333,'B3426531342653',6),(21737,'battleground battleground is','battleground battleground is',0,1,1.9333,'B34265313426532',6),(21738,'battleground is','battleground is',0,1,1.5,'B3426532',13),(21739,'battleground is the','battleground is the',0,1,1.6333,'B34265323',13),(21740,'boy','boy',0,0,0.2,'B000',13),(21741,'boy band','boy band',0,1,1.2667,'B530',13),(21742,'boy band the','boy band the',0,1,1.4,'B530',13),(21743,'british-irish','british-irish',0,0,0.8667,'B63262',13),(21744,'british-irish boy','british-irish boy',0,1,1.5667,'B632621',13),(21745,'british-irish boy band','british-irish boy band',0,1,1.7333,'B63262153',13),(21746,'by british-irish','by british-irish',0,1,1.5333,'B63262',13),(21747,'by british-irish boy','by british-irish boy',0,1,1.6667,'B632621',13),(21748,'date','date',0,0,0.2667,'D000',4),(21749,'date november','date november',0,1,1.4333,'D51516',4),(21750,'date november 4','date november 4',0,1,1.5,'D51516',4),(21751,'fringilla battleground','fringilla battleground',0,1,1.7333,'F65241342653',13),(21752,'fringilla battleground battleground','fringilla battleground battleground',0,1,2,'F652413426531342653',6),(21753,'island','island',0,0,0.4,'I2453',13),(21754,'island records','island records',0,1,1.4667,'I245362632',13),(21755,'island records release','island records release',0,1,1.7333,'I245362632642',4),(21756,'november 2011','november 2011',0,1,1.4333,'N1516',13),(21757,'november 2011 through','november 2011 through',0,1,1.7,'N1516362',13),(21758,'november 4','november 4',0,1,1.3333,'N1516',4),(21759,'november 4 2011','november 4 2011',0,1,1.5,'N1516',4),(21760,'on 4','on 4',0,1,1.1333,'O500',13),(21761,'on 4 november','on 4 november',0,1,1.4333,'O51516',13),(21762,'records release','records release',0,1,1.5,'R2632642',4),(21763,'records release date','records release date',0,1,1.6667,'R26326423',4),(21764,'release date','release date',0,1,1.4,'R423',4),(21765,'release date november','release date november',0,1,1.7,'R42351516',4),(21766,'released by','released by',0,1,1.3667,'R4231',13),(21767,'released by british-irish','released by british-irish',0,1,1.8333,'R423163262',13),(21768,'second studio','second studio',0,1,1.4333,'S5323',13),(21769,'second studio album','second studio album',0,1,1.6333,'S5323415',13),(21770,'studio album released','studio album released',0,1,1.7,'S34156423',13),(21771,'the second studio','the second studio',0,1,1.5667,'T25323',13),(21772,'the wanted on','the wanted on',0,1,1.4333,'T535',13),(21773,'through island','through island',0,1,1.4667,'T62453',13),(21774,'through island records','through island records',0,1,1.7333,'T6245362632',13),(21775,'wanted on','wanted on',0,1,1.3,'W535',13),(21776,'wanted on 4','wanted on 4',0,1,1.3667,'W535',13),(21777,'2011 songs','2011 songs',0,1,1.3333,'S520',3),(21778,'2011 songs glad','2011 songs glad',0,1,1.5,'S5243',3),(21779,'4 2011 songs','4 2011 songs',0,1,1.4,'S520',3),(21780,'all the weekend','all the weekend',0,1,1.5,'A43253',177),(21781,'be your','be your',0,1,1.2333,'B600',177),(21782,'be your strength','be your strength',0,1,1.5333,'B6236523',177),(21783,'belong','belong',0,0,0.4,'B452',177),(21784,'body','body',0,0,0.2667,'B300',177),(21785,'body turn','body turn',0,1,1.3,'B365',176),(21786,'body turn it','body turn it',0,1,1.4,'B3653',176),(21787,'came','came',0,0,0.2667,'C500',177),(21788,'came lightning','came lightning',0,1,1.4667,'C542352',177),(21789,'came lightning warzone','came lightning warzone',0,1,1.7333,'C542352625',177),(21790,'dagger','dagger',0,0,0.4,'D260',177),(21791,'dagger rock','dagger rock',0,1,1.3667,'D262',177),(21792,'dagger rock your','dagger rock your',0,1,1.5333,'D2626',177),(21793,'forever dagger','forever dagger',0,1,1.4667,'F616326',177),(21794,'forever dagger rock','forever dagger rock',0,1,1.6333,'F6163262',177),(21795,'glad','glad',0,0,0.2667,'G430',177),(21796,'glad you','glad you',0,1,1.2667,'G430',177),(21797,'glad you came','glad you came',0,1,1.4333,'G4325',177),(21798,'gold','gold',0,0,0.2667,'G430',177),(21799,'gold forever','gold forever',0,1,1.4,'G431616',177),(21800,'gold forever dagger','gold forever dagger',0,1,1.6333,'G431616326',177),(21801,'i belong','i belong',0,1,1.2667,'I1452',176),(21802,'i want','i want',0,1,1.2,'I530',177),(21803,'i want it','i want it',0,1,1.3,'I530',177),(21804,'i\'ll','i',0,0,0.2667,'I400',177),(21805,'i\'ll be','i be',0,1,1.2333,'I410',177),(21806,'i\'ll be your','i be your',0,1,1.4,'I416',177),(21807,'invincible','invincible',0,0,0.6667,'I515214',177),(21808,'invincible last','invincible last',0,1,1.5,'I51521423',177),(21809,'invincible last to','invincible last to',0,1,1.6,'I51521423',177),(21810,'it all','it all',0,1,1.2,'I340',177),(21811,'it all the','it all the',0,1,1.3333,'I343',177),(21812,'it off','it off',0,1,1.2,'I310',176),(21813,'it off where','it off where',0,1,1.4,'I316',172),(21814,'know i\'ll','know i',0,1,1.3,'K540',177),(21815,'know i\'ll be','know i be',0,1,1.4,'K541',177),(21816,'last to','last to',0,1,1.2333,'L230',177),(21817,'last to know','last to know',0,1,1.4,'L2325',177),(21818,'lie','lie',0,0,0.2,'L000',177),(21819,'lie to','lie to',0,1,1.2,'L300',177),(21820,'lie to me','lie to me',0,1,1.3,'L350',177),(21821,'lightning warzone','lightning warzone',0,1,1.5667,'L2352625',177),(21822,'lightning warzone invincible','lightning warzone invincible',0,1,1.9333,'L235262515214',177),(21823,'me gold','me gold',0,1,1.2333,'M243',177),(21824,'me gold forever','me gold forever',0,1,1.5,'M2431616',177),(21825,'off where','off where',0,1,1.3,'O160',173),(21826,'off where i','off where i',0,1,1.3667,'O160',173),(21827,'rock','rock',0,0,0.2667,'R200',177),(21828,'rock your','rock your',0,1,1.3,'R260',177),(21829,'rock your body','rock your body',0,1,1.4667,'R2613',177),(21830,'rocket i','rocket i',0,1,1.2667,'R230',177),(21831,'rocket i want','rocket i want',0,1,1.4333,'R2353',177),(21832,'songs','songs',0,0,0.3333,'S520',177),(21833,'songs glad','songs glad',0,1,1.3333,'S5243',177),(21834,'songs glad you','songs glad you',0,1,1.4667,'S5243',177),(21835,'strength','strength',0,0,0.5333,'S36523',177),(21836,'the weekend','the weekend',0,1,1.3667,'T253',177),(21837,'the weekend lie','the weekend lie',0,1,1.5,'T2534',177),(21838,'to know i\'ll','to know i',0,1,1.4,'T254',177),(21839,'to me','to me',0,1,1.1667,'T500',177),(21840,'to me gold','to me gold',0,1,1.3333,'T5243',177),(21841,'turn','turn',0,0,0.2667,'T650',177),(21842,'turn it','turn it',0,1,1.2333,'T653',177),(21843,'turn it off','turn it off',0,1,1.3667,'T6531',176),(21844,'want it','want it',0,1,1.2333,'W530',177),(21845,'want it all','want it all',0,1,1.3667,'W534',177),(21846,'warzone','warzone',0,0,0.4667,'W625',177),(21847,'warzone invincible','warzone invincible',0,1,1.6,'W62515214',177),(21848,'warzone invincible last','warzone invincible last',0,1,1.7667,'W6251521423',177),(21849,'weekend','weekend',0,0,0.4667,'W253',177),(21850,'weekend lie','weekend lie',0,1,1.3667,'W2534',177),(21851,'weekend lie to','weekend lie to',0,1,1.4667,'W25343',177),(21852,'where i belong','where i belong',0,1,1.4667,'W61452',176),(21853,'you came','you came',0,1,1.2667,'Y250',177),(21854,'you came lightning','you came lightning',0,1,1.6,'Y2542352',177),(21855,'your body','your body',0,1,1.3,'Y613',177),(21856,'your body turn','your body turn',0,1,1.4667,'Y61365',176),(21857,'your strength','your strength',0,1,1.4333,'Y6236523',177),(21858,'strength rocket','strength rocket',0,1,1.5,'S36523623',176),(21859,'strength rocket i','strength rocket i',0,1,1.5667,'S36523623',176),(21860,'your strength rocket','your strength rocket',0,1,1.6667,'Y6236523623',176),(21861,'island records songs','island records songs',0,1,1.6667,'I24536263252',9),(21862,'records songs','records songs',0,1,1.4333,'R263252',9),(21863,'records songs glad','records songs glad',0,1,1.6,'R26325243',9),(21864,'album battleground','album battleground',0,1,1.6,'A4151342653',7),(21865,'album battleground is','album battleground is',0,1,1.7,'A41513426532',7),(21866,'battleground album','battleground album',0,1,1.6,'B342653415',8),(21867,'battleground album battleground','battleground album battleground',0,1,2,'B3426534151342653',7),(21868,'fringilla battleground album','fringilla battleground album',0,1,1.9333,'F65241342653415',7),(21869,'7th may battleground','7th may battleground',0,1,1.6667,'T51342653',1),(21870,'belong cras','belong cras',0,1,1.3667,'B45262',4),(21871,'belong cras mattis','belong cras mattis',0,1,1.6,'B45262532',4),(21872,'i belong cras','i belong cras',0,1,1.4333,'I145262',4),(21873,'may battleground','may battleground',0,1,1.5333,'M1342653',1),(21874,'may battleground album','may battleground album',0,1,1.7333,'M1342653415',1),(21875,'album songs','album songs',0,1,1.3667,'A415252',1),(21876,'album songs glad','album songs glad',0,1,1.5333,'A41525243',1),(21877,'battleground album songs','battleground album songs',0,1,1.8,'B342653415252',1),(21878,'auctor fringilla popular','auctor fringilla popular',0,1,1.8,'A23616524146',164),(21879,'fringilla popular','fringilla popular',0,1,1.5667,'F6524146',164),(21880,'fringilla popular songs','fringilla popular songs',0,1,1.7667,'F6524146252',164),(21881,'popular','popular',0,0,0.4667,'P460',164),(21882,'popular songs','popular songs',0,1,1.4333,'P46252',164),(21883,'popular songs glad','popular songs glad',0,1,1.6,'P4625243',164),(21884,'a facilisis praesent','a facilisis praesent',0,1,1.6667,'A124216253',163),(21885,'a nunc','a nunc',0,1,1.2,'A520',163),(21886,'a nunc fusce','a nunc fusce',0,1,1.4,'A5212',163),(21887,'a velit fusce','a velit fusce',0,1,1.4333,'A14312',163),(21888,'ac dignissim','ac dignissim',0,1,1.4,'A232525',163),(21889,'ac dignissim cras','ac dignissim cras',0,1,1.5667,'A232525262',163),(21890,'ac luctus','ac luctus',0,1,1.3,'A24232',163),(21891,'ac luctus volutpat','ac luctus volutpat',0,1,1.6,'A2423214313',163),(21892,'ac mattis','ac mattis',0,1,1.3,'A2532',163),(21893,'ac mattis leo','ac mattis leo',0,1,1.4333,'A25324',163),(21894,'accumsan ac','accumsan ac',0,1,1.3667,'A25252',163),(21895,'accumsan ac dignissim','accumsan ac dignissim',0,1,1.7,'A2525232525',163),(21896,'aenean augue','aenean augue',0,1,1.4,'A520',163),(21897,'aenean augue lectus','aenean augue lectus',0,1,1.6333,'A524232',163),(21898,'auctor dolor','auctor dolor',0,1,1.4,'A236346',163),(21899,'auctor dolor a','auctor dolor a',0,1,1.4667,'A236346',163),(21900,'augue lectus','augue lectus',0,1,1.4,'A24232',163),(21901,'augue lectus congue','augue lectus congue',0,1,1.6333,'A2423252',163),(21902,'belong aenean','belong aenean',0,1,1.4333,'B4525',163),(21903,'belong aenean augue','belong aenean augue',0,1,1.6333,'B45252',163),(21904,'congue quis','congue quis',0,1,1.3667,'C520',163),(21905,'congue quis cursus','congue quis cursus',0,1,1.6,'C5262',163),(21906,'cursus vel','cursus vel',0,1,1.3333,'C6214',163),(21907,'cursus vel vestibulum','cursus vel vestibulum',0,1,1.7,'C6214123145',163),(21908,'dignissim cras','dignissim cras',0,1,1.4667,'D2525262',163),(21909,'dignissim cras mattis','dignissim cras mattis',0,1,1.7,'D2525262532',163),(21910,'dolor a','dolor a',0,1,1.2333,'D460',163),(21911,'dolor a facilisis','dolor a facilisis',0,1,1.5667,'D461242',163),(21912,'enim a','enim a',0,1,1.2,'E500',163),(21913,'enim a nunc','enim a nunc',0,1,1.3667,'E520',163),(21914,'facilisis praesent','facilisis praesent',0,1,1.6,'F24216253',163),(21915,'facilisis praesent ultrices','facilisis praesent ultrices',0,1,1.9,'F242162534362',163),(21916,'fusce nulla','fusce nulla',0,1,1.3667,'F254',163),(21917,'fusce nulla nunc','fusce nulla nunc',0,1,1.5333,'F25452',163),(21918,'fusce sollicitudin','fusce sollicitudin',0,1,1.6,'F24235',163),(21919,'fusce sollicitudin auctor','fusce sollicitudin auctor',0,1,1.8333,'F24235236',163),(21920,'i belong aenean','i belong aenean',0,1,1.5,'I14525',163),(21921,'lacus pulvinar','lacus pulvinar',0,1,1.4667,'L214156',163),(21922,'lacus pulvinar orci','lacus pulvinar orci',0,1,1.6333,'L2141562',163),(21923,'lectus congue','lectus congue',0,1,1.4333,'L23252',163),(21924,'lectus congue quis','lectus congue quis',0,1,1.6,'L23252',163),(21925,'leo enim a','leo enim a',0,1,1.3333,'L500',163),(21926,'luctus volutpat','luctus volutpat',0,1,1.5,'L23214313',163),(21927,'luctus volutpat risus','luctus volutpat risus',0,1,1.7,'L2321431362',163),(21928,'mattis leo','mattis leo',0,1,1.3333,'M324',163),(21929,'mattis leo enim','mattis leo enim',0,1,1.5,'M3245',163),(21930,'mauris ac','mauris ac',0,1,1.3,'M620',163),(21931,'mauris ac luctus','mauris ac luctus',0,1,1.5333,'M624232',163),(21932,'molestie vitae','molestie vitae',0,1,1.4667,'M42313',163),(21933,'molestie vitae accumsan','molestie vitae accumsan',0,1,1.7667,'M423132525',163),(21934,'nulla nunc','nulla nunc',0,1,1.3333,'N452',163),(21935,'nulla nunc molestie','nulla nunc molestie',0,1,1.6333,'N4525423',163),(21936,'nunc fusce','nunc fusce',0,1,1.3333,'N212',163),(21937,'nunc fusce nulla','nunc fusce nulla',0,1,1.5333,'N21254',163),(21938,'nunc molestie','nunc molestie',0,1,1.4333,'N25423',163),(21939,'nunc molestie vitae','nunc molestie vitae',0,1,1.6333,'N2542313',163),(21940,'orci ac','orci ac',0,1,1.2333,'O620',163),(21941,'orci ac mattis','orci ac mattis',0,1,1.4667,'O62532',163),(21942,'praesent ultrices','praesent ultrices',0,1,1.5667,'P62534362',163),(21943,'praesent ultrices mauris','praesent ultrices mauris',0,1,1.8,'P62534362562',163),(21944,'pulvinar orci','pulvinar orci',0,1,1.4333,'P41562',163),(21945,'pulvinar orci ac','pulvinar orci ac',0,1,1.5333,'P41562',163),(21946,'quis cursus vel','quis cursus vel',0,1,1.5,'Q6214',163),(21947,'risus lacus','risus lacus',0,1,1.3667,'R242',163),(21948,'risus lacus pulvinar','risus lacus pulvinar',0,1,1.6667,'R24214156',163),(21949,'sollicitudin auctor','sollicitudin auctor',0,1,1.6333,'S4235236',163),(21950,'sollicitudin auctor dolor','sollicitudin auctor dolor',0,1,1.8333,'S4235236346',163),(21951,'ultrices mauris','ultrices mauris',0,1,1.5,'U4362562',163),(21952,'ultrices mauris ac','ultrices mauris ac',0,1,1.6,'U4362562',163),(21953,'vel vestibulum','vel vestibulum',0,1,1.4667,'V4123145',163),(21954,'vel vestibulum a','vel vestibulum a',0,1,1.5333,'V4123145',163),(21955,'velit fusce','velit fusce',0,1,1.3667,'V4312',163),(21956,'velit fusce sollicitudin','velit fusce sollicitudin',0,1,1.8,'V43124235',163),(21957,'vestibulum a','vestibulum a',0,1,1.4,'V23145',163),(21958,'vestibulum a velit','vestibulum a velit',0,1,1.6,'V23145143',163),(21959,'vitae accumsan','vitae accumsan',0,1,1.4667,'V32525',163),(21960,'vitae accumsan ac','vitae accumsan ac',0,1,1.5667,'V325252',163),(21961,'volutpat risus','volutpat risus',0,1,1.4667,'V431362',163),(21962,'volutpat risus lacus','volutpat risus lacus',0,1,1.6667,'V43136242',163),(21963,'-class name inside','-class name inside',0,1,1.6,'C42523',2),(21964,'add the span','add the span',0,1,1.4,'A3215',1),(21965,'can add the','can add the',0,1,1.3667,'C530',2),(21966,'content here i','content here i',0,1,1.4667,'C53536',2),(21967,'element with -class','element with -class',0,1,1.6333,'E453242',2),(21968,'font-awesome use i','font-awesome use i',0,1,1.6,'F53252',4),(21969,'here i','here i',0,1,1.2,'H600',5),(21970,'here i you','here i you',0,1,1.3333,'H600',2),(21971,'i class','i class',0,1,1.2333,'I242',4),(21972,'i class icon-class','i class icon-class',0,1,1.6,'I2425242',4),(21973,'i you','i you',0,1,1.1667,'I000',2),(21974,'i you can','i you can',0,1,1.3,'I250',2),(21975,'inside any','inside any',0,1,1.3333,'I5235',2),(21976,'inside any element','inside any element',0,1,1.6,'I5235453',2),(21977,'name inside','name inside',0,1,1.3667,'N230',2),(21978,'name inside any','name inside any',0,1,1.5,'N235',2),(21979,'span element','span element',0,1,1.4,'S15453',1),(21980,'span element with','span element with',0,1,1.5667,'S15453',1),(21981,'the span','the span',0,1,1.2667,'T215',1),(21982,'the span element','the span element',0,1,1.5333,'T215453',1),(21983,'use i','use i',0,1,1.1667,'U200',4),(21984,'use i class','use i class',0,1,1.3667,'U242',4),(21985,'with -class','with -class',0,1,1.3667,'W3242',2),(21986,'with -class name','with -class name',0,1,1.5333,'W32425',2),(21987,'add the i','add the i',0,1,1.3,'A300',1),(21988,'class icon-hand-left','class icon-hand-left',0,1,1.6667,'C4253413',1),(21989,'class icon-hand-left icon-hand-left','class icon-hand-left icon-hand-left',0,1,2,'C4253413253413',1),(21990,'class icon-list-alt','class icon-list-alt',0,1,1.6333,'C42542343',1),(21991,'class icon-list-alt icon-list-alt','class icon-list-alt icon-list-alt',0,1,2,'C425423432542343',1),(21992,'class icon-minus-sign','class icon-minus-sign',0,1,1.7,'C42525',1),(21993,'class icon-minus-sign icon-minus-sign','class icon-minus-sign icon-minus-sign',0,1,2,'C425252525',1),(21994,'class icon-share-alt','class icon-share-alt',0,1,1.6667,'C4252643',1),(21995,'class icon-share-alt icon-share-alt','class icon-share-alt icon-share-alt',0,1,2,'C4252643252643',1),(21996,'i element','i element',0,1,1.3,'I453',1),(21997,'i element with','i element with',0,1,1.4667,'I453',1),(21998,'icon-hand-left icon-hand-left','icon-hand-left icon-hand-left',0,1,1.9667,'I253413253413',1),(21999,'icon-hand-left icon-hand-left icon-hand-right','icon-hand-left icon-hand-left icon-hand-right',0,1,2,'I253413253413253623',1),(22000,'icon-list-alt icon-list-alt','icon-list-alt icon-list-alt',0,1,1.9,'I25423432542343',1),(22001,'icon-list-alt icon-list-alt directional','icon-list-alt icon-list-alt directional',0,1,2,'I2542343254234362354',1),(22002,'icon-minus-sign icon-minus-sign','icon-minus-sign icon-minus-sign',0,1,2,'I25252525',1),(22003,'icon-minus-sign icon-minus-sign icon-mobile-phone','icon-minus-sign icon-minus-sign icon-mobile-phone',0,1,2,'I25252525251415',1),(22004,'icon-share-alt icon-share-alt','icon-share-alt icon-share-alt',0,1,1.9667,'I252643252643',1),(22005,'icon-share-alt icon-share-alt icon-shopping-cart','icon-share-alt icon-share-alt icon-shopping-cart',0,1,2,'I25264325264325215263',1),(22006,'the i','the i',0,1,1.1667,'T000',1),(22007,'the i element','the i element',0,1,1.4333,'T453',1),(22008,'fringilla aenean augue','fringilla aenean augue',0,1,1.7333,'F652452',159),(22009,'219','219',0,0,0.3,'',11),(22010,'category 1','category 1',0,1,1.3333,'C326',17),(22011,'copy of the','copy of the',0,1,1.3667,'C130',19),(22012,'of the wanted\'s','of the wanted',0,1,1.5,'O13532',19),(22013,'220','220',0,0,0.3,'',9),(22014,'221','221',0,0,0.3,'',14),(22015,'222','222',0,0,0.3,'',11),(22016,'and larger','and larger',0,1,1.3333,'A534626',12),(22017,'and larger than','and larger than',0,1,1.5,'A53462635',12),(22018,'and larger-than-life','and larger-than-life',0,1,1.6667,'A5346263541',12),(22019,'and larger-than-life personality','and larger-than-life personality',0,1,2,'A534626354162543',12),(22020,'bono','bono',0,0,0.2667,'B500',19),(22021,'bono with','bono with',0,1,1.3,'B530',12),(22022,'bono with his','bono with his',0,1,1.4333,'B532',12),(22023,'his soaring','his soaring',0,1,1.3667,'H2652',12),(22024,'his soaring voice','his soaring voice',0,1,1.5667,'H265212',12),(22025,'larger','larger',0,0,0.4,'L626',19),(22026,'larger than','larger than',0,1,1.3667,'L62635',19),(22027,'larger than life','larger than life',0,1,1.5333,'L6263541',19),(22028,'larger-than-life','larger-than-life',0,0,1,'L6263541',13),(22029,'larger-than-life personality','larger-than-life personality',0,1,1.9333,'L626354162543',13),(22030,'life personality','life personality',0,1,1.5333,'L162543',19),(22031,'personality','personality',0,0,0.7333,'P62543',19),(22032,'soaring','soaring',0,0,0.4667,'S652',12),(22033,'soaring voice','soaring voice',0,1,1.4333,'S65212',12),(22034,'soaring voice and','soaring voice and',0,1,1.5667,'S6521253',12),(22035,'than life','than life',0,1,1.3,'T541',19),(22036,'than life personality','than life personality',0,1,1.7,'T54162543',19),(22037,'voice','voice',0,0,0.3333,'V200',18),(22038,'voice and','voice and',0,1,1.3,'V253',12),(22039,'voice and larger','voice and larger',0,1,1.5333,'V2534626',12),(22040,'voice and larger-than-life','voice and larger-than-life',0,1,1.8667,'V25346263541',12),(22041,'with his','with his',0,1,1.2667,'W320',12),(22042,'with his soaring','with his soaring',0,1,1.5333,'W32652',12),(22043,'angels','angels',0,0,0.4,'A5242',3),(22044,'angels new','angels new',0,1,1.3333,'A52425',3),(22045,'angels new trent','angels new trent',0,1,1.5333,'A524253653',3),(22046,'destroy','destroy',0,0,0.4667,'D236',3),(22047,'destroy angels','destroy angels',0,1,1.4667,'D2365242',3),(22048,'destroy angels new','destroy angels new',0,1,1.6,'D23652425',3),(22049,'how to destroy','how to destroy',0,1,1.4667,'H3236',3),(22050,'new trent','new trent',0,1,1.3,'N3653',8),(22051,'new trent reznor','new trent reznor',0,1,1.5333,'N36536256',8),(22052,'reznor','reznor',0,0,0.4,'R256',16),(22053,'reznor project','reznor project',0,1,1.4667,'R2561623',8),(22054,'to destroy','to destroy',0,1,1.3333,'T236',3),(22055,'to destroy angels','to destroy angels',0,1,1.5667,'T2365242',3),(22056,'trent','trent',0,0,0.3333,'T653',10),(22057,'trent reznor','trent reznor',0,1,1.4,'T6536256',10),(22058,'trent reznor project','trent reznor project',0,1,1.6667,'T65362561623',8),(22059,'06','06',0,0,0.2,'',1),(22060,'06 if','06 if',0,1,1.1667,'I100',1),(22061,'06 if you','06 if you',0,1,1.3,'I100',1),(22062,'90 nsptitle90 for','90 nsptitle90 for',0,1,1.5667,'N213416',1),(22063,'achieve the news','achieve the news',0,1,1.5333,'A21352',1),(22064,'all other','all other',0,1,1.3,'A436',1),(22065,'all other elements','all other elements',0,1,1.6,'A4364532',1),(22066,'also remember','also remember',0,1,1.4333,'A426516',1),(22067,'also remember to','also remember to',0,1,1.5333,'A4265163',1),(22068,'and header','and header',0,1,1.3333,'A536',1),(22069,'and header this','and header this',0,1,1.5,'A53632',1),(22070,'article structure','article structure',0,1,1.5667,'A6324236236',1),(22071,'article structure all','article structure all',0,1,1.7,'A63242362364',1),(22072,'as on our','as on our',0,1,1.3,'A256',1),(22073,'best with','best with',0,1,1.3,'B230',1),(22074,'best with the','best with the',0,1,1.4333,'B230',1),(22075,'black title','black title',0,1,1.3667,'B4234',1),(22076,'black title text','black title text',0,1,1.5333,'B4234323',1),(22077,'can use suffixes','can use suffixes',0,1,1.5333,'C5212',1),(22078,'columns as','columns as',0,1,1.3333,'C452',1),(22079,'columns as on','columns as on',0,1,1.4333,'C4525',1),(22080,'demo 06','demo 06',0,1,1.2333,'D500',1),(22081,'demo 06 if','demo 06 if',0,1,1.3333,'D510',1),(22082,'disable in','disable in',0,1,1.3333,'D2145',1),(22083,'disable in the','disable in the',0,1,1.4667,'D21453',1),(22084,'elements than','elements than',0,1,1.4333,'E453235',1),(22085,'elements than image','elements than image',0,1,1.6333,'E4532352',1),(22086,'for the links','for the links',0,1,1.4333,'F63452',1),(22087,'gk5 style','gk5 style',0,1,1.3,'G340',1),(22088,'gk5 style with','gk5 style with',0,1,1.4667,'G343',1),(22089,'header this style','header this style',0,1,1.5667,'H363234',1),(22090,'image and header','image and header',0,1,1.5333,'I52536',1),(22091,'image please','image please',0,1,1.4,'I52142',1),(22092,'image please use','image please use',0,1,1.5333,'I52142',1),(22093,'in columns','in columns',0,1,1.3333,'I52452',1),(22094,'in columns as','in columns as',0,1,1.4333,'I52452',1),(22095,'in the article','in the article',0,1,1.4667,'I536324',1),(22096,'links in','links in',0,1,1.2667,'L525',1),(22097,'links in columns','links in columns',0,1,1.5333,'L5252452',1),(22098,'links titles','links titles',0,1,1.4,'L52342',1),(22099,'links titles you','links titles you',0,1,1.5333,'L52342',1),(22100,'looks best','looks best',0,1,1.3333,'L2123',1),(22101,'looks best with','looks best with',0,1,1.5,'L2123',1),(22102,'nsplinktitle30','nsplinktitle30',0,0,0.9333,'N2145234',1),(22103,'nsplinktitle30 nsplinktitle90','nsplinktitle30 nsplinktitle90',0,1,1.9667,'N214523452145234',1),(22104,'nsplinktitle30 nsplinktitle90 05','nsplinktitle30 nsplinktitle90 05',0,1,2,'N214523452145234',1),(22105,'nsplinktitle90','nsplinktitle90',0,0,0.9333,'N2145234',1),(22106,'nsplinktitle90 05','nsplinktitle90 05',0,1,1.5667,'N2145234',1),(22107,'nsplinktitle90 05 if','nsplinktitle90 05 if',0,1,1.6667,'N21452341',1),(22108,'nsptitle90 for','nsptitle90 for',0,1,1.4667,'N213416',1),(22109,'nsptitle90 for the','nsptitle90 for the',0,1,1.6,'N2134163',1),(22110,'on our','on our',0,1,1.2,'O560',1),(22111,'on our demo','on our demo',0,1,1.3667,'O5635',1),(22112,'or overlayblack','or overlayblack',0,1,1.5,'O6164142',1),(22113,'or overlayblack black','or overlayblack black',0,1,1.7,'O6164142142',1),(22114,'other elements','other elements',0,1,1.4667,'O364532',1),(22115,'other elements than','other elements than',0,1,1.6333,'O36453235',1),(22116,'our demo','our demo',0,1,1.2667,'O635',1),(22117,'our demo 06','our demo 06',0,1,1.3667,'O635',1),(22118,'over the image','over the image',0,1,1.4667,'O16352',1),(22119,'overlay','overlay',0,0,0.4667,'O164',1),(22120,'overlay over','overlay over',0,1,1.4,'O16416',1),(22121,'overlay over the','overlay over the',0,1,1.5333,'O164163',1),(22122,'overlayblack','overlayblack',0,0,0.8,'O164142',1),(22123,'overlayblack black','overlayblack black',0,1,1.6,'O164142142',1),(22124,'overlayblack black title','overlayblack black title',0,1,1.8,'O16414214234',1),(22125,'overlaywhite','overlaywhite',0,0,0.8,'O1643',1),(22126,'overlaywhite white','overlaywhite white',0,1,1.6,'O1643',1),(22127,'overlaywhite white title','overlaywhite white title',0,1,1.8,'O16434',1),(22128,'please also remember','please also remember',0,1,1.6667,'P42426516',1),(22129,'please use suffix','please use suffix',0,1,1.5667,'P4212',1),(22130,'pro gk5 style','pro gk5 style',0,1,1.4333,'P6234',1),(22131,'remember to disable','remember to disable',0,1,1.6333,'R5163214',1),(22132,'structure all','structure all',0,1,1.4333,'S362364',1),(22133,'structure all other','structure all other',0,1,1.6333,'S36236436',1),(22134,'style looks','style looks',0,1,1.3667,'S342',1),(22135,'style looks best','style looks best',0,1,1.5333,'S342123',1),(22136,'style with','style with',0,1,1.3333,'S343',1),(22137,'style with title','style with title',0,1,1.5333,'S3434',1),(22138,'suffix overlaywhite','suffix overlaywhite',0,1,1.6333,'S121643',1),(22139,'suffix overlaywhite white','suffix overlaywhite white',0,1,1.8333,'S121643',1),(22140,'suffixes nsplinktitle30','suffixes nsplinktitle30',0,1,1.7667,'S1252145234',1),(22141,'suffixes nsplinktitle30 nsplinktitle90','suffixes nsplinktitle30 nsplinktitle90',0,1,2,'S125214523452145234',1),(22142,'text or','text or',0,1,1.2333,'T236',1),(22143,'text or overlayblack','text or overlayblack',0,1,1.6667,'T236164142',1),(22144,'text please','text please',0,1,1.3667,'T23142',1),(22145,'text please also','text please also',0,1,1.5333,'T2314242',1),(22146,'than image','than image',0,1,1.3333,'T520',1),(22147,'than image and','than image and',0,1,1.4667,'T5253',1),(22148,'the article','the article',0,1,1.3667,'T6324',1),(22149,'the article structure','the article structure',0,1,1.7,'T6324236236',1),(22150,'the image please','the image please',0,1,1.5333,'T52142',1),(22151,'the links','the links',0,1,1.3,'T452',1),(22152,'the links in','the links in',0,1,1.4,'T4525',1),(22153,'the links titles','the links titles',0,1,1.5333,'T452342',1),(22154,'this style','this style',0,1,1.3333,'T234',1),(22155,'this style looks','this style looks',0,1,1.5333,'T2342',1),(22156,'title overlay','title overlay',0,1,1.4333,'T4164',1),(22157,'title overlay over','title overlay over',0,1,1.6,'T416416',1),(22158,'title text','title text',0,1,1.3333,'T4323',1),(22159,'title text or','title text or',0,1,1.4333,'T43236',1),(22160,'title text please','title text please',0,1,1.5667,'T4323142',1),(22161,'titles you','titles you',0,1,1.3333,'T420',1),(22162,'titles you can','titles you can',0,1,1.4667,'T425',1),(22163,'to disable','to disable',0,1,1.3333,'T214',1),(22164,'to disable in','to disable in',0,1,1.4333,'T2145',1),(22165,'use suffix','use suffix',0,1,1.3333,'U212',1),(22166,'use suffix overlaywhite','use suffix overlaywhite',0,1,1.7667,'U2121643',1),(22167,'use suffixes','use suffixes',0,1,1.4,'U212',1),(22168,'use suffixes nsplinktitle30','use suffixes nsplinktitle30',0,1,1.9,'U21252145234',1),(22169,'white title','white title',0,1,1.3667,'W340',1),(22170,'white title text','white title text',0,1,1.5333,'W34323',1),(22171,'with the links','with the links',0,1,1.4667,'W3452',1),(22172,'with title overlay','with title overlay',0,1,1.6,'W34164',1),(22173,'adele','adele',0,0,0.3333,'A340',1),(22174,'been the','been the',0,1,1.2667,'B530',4),(22175,'been the mastermind','been the mastermind',0,1,1.6333,'B53523653',4),(22176,'behind hits','behind hits',0,1,1.3667,'B532',4),(22177,'behind hits for','behind hits for',0,1,1.5,'B53216',1),(22178,'for adele','for adele',0,1,1.3,'F634',1),(22179,'has been the','has been the',0,1,1.4,'H2153',4),(22180,'hits for','hits for',0,1,1.2667,'H3216',1),(22181,'hits for adele','hits for adele',0,1,1.4667,'H321634',1),(22182,'mastermind','mastermind',0,0,0.6667,'M23653',10),(22183,'mastermind behind','mastermind behind',0,1,1.5667,'M23653153',5),(22184,'mastermind behind hits','mastermind behind hits',0,1,1.7333,'M236531532',4),(22185,'ryan','ryan',0,0,0.2667,'R500',10),(22186,'ryan tedder','ryan tedder',0,1,1.3667,'R536',10),(22187,'ryan tedder has','ryan tedder has',0,1,1.5,'R5362',4),(22188,'tedder','tedder',0,0,0.4,'T600',10),(22189,'tedder has','tedder has',0,1,1.3333,'T620',4),(22190,'tedder has been','tedder has been',0,1,1.5,'T6215',4),(22191,'the mastermind','the mastermind',0,1,1.4667,'T523653',10),(22192,'the mastermind behind','the mastermind behind',0,1,1.7,'T523653153',5),(22193,'contest','contest',0,0,0.4667,'C5323',2),(22194,'contest ends','contest ends',0,1,1.4,'C5323532',2),(22195,'contest ends tomorrow','contest ends tomorrow',0,1,1.7,'C5323532356',2),(22196,'ends tomorrow','ends tomorrow',0,1,1.4333,'E532356',2),(22197,'for you video','for you video',0,1,1.4333,'F613',7),(22198,'i waited','i waited',0,1,1.2667,'I300',8),(22199,'i waited for','i waited for',0,1,1.4,'I316',8),(22200,'valora','valora',0,0,0.4,'V460',8),(22201,'valora i','valora i',0,1,1.2667,'V460',8),(22202,'valora i waited','valora i waited',0,1,1.5,'V463',8),(22203,'video contest','video contest',0,1,1.4333,'V325323',2),(22204,'video contest ends','video contest ends',0,1,1.6,'V325323532',2),(22205,'waited','waited',0,0,0.4,'W300',8),(22206,'waited for','waited for',0,1,1.3333,'W316',8),(22207,'waited for you','waited for you',0,1,1.4667,'W316',8),(22208,'you video','you video',0,1,1.3,'Y130',7),(22209,'you video contest','you video contest',0,1,1.5667,'Y1325323',2),(22210,'band news','band news',0,1,1.3,'B5352',28),(22211,'223','223',0,0,0.3,'',10),(22212,'and entering','and entering',0,1,1.4,'A5353652',42),(22213,'breaking','breaking',0,0,0.5333,'B6252',42),(22214,'breaking and','breaking and',0,1,1.4,'B625253',42),(22215,'breaking and entering','breaking and entering',0,1,1.7,'B62525353652',42),(22216,'copy of bono','copy of bono',0,1,1.4,'C150',10),(22217,'entering','entering',0,0,0.5333,'E53652',42),(22218,'of bono','of bono',0,1,1.2333,'O150',10),(22219,'of bono with','of bono with',0,1,1.4,'O153',10),(22220,'226','226',0,0,0.3,'',15),(22221,'225','225',0,0,0.3,'',8),(22222,'224','224',0,0,0.3,'',9),(22223,'band drive','band drive',0,1,1.3333,'B5361',1),(22224,'band drive for','band drive for',0,1,1.4667,'B53616',1),(22225,'blue wave','blue wave',0,1,1.3,'B410',6),(22226,'blue wave band','blue wave band',0,1,1.4667,'B4153',1),(22227,'drive for','drive for',0,1,1.3,'D616',1),(22228,'drive for pride','drive for pride',0,1,1.5,'D616163',1),(22229,'for pride','for pride',0,1,1.3,'F6163',1),(22230,'for pride set','for pride set',0,1,1.4333,'F616323',1),(22231,'for saturday','for saturday',0,1,1.4,'F62363',6),(22232,'pride','pride',0,0,0.3333,'P630',1),(22233,'pride set','pride set',0,1,1.3,'P6323',1),(22234,'pride set for','pride set for',0,1,1.4333,'P632316',1),(22235,'saturday','saturday',0,0,0.5333,'S363',6),(22236,'set for','set for',0,1,1.2333,'S316',6),(22237,'set for saturday','set for saturday',0,1,1.5333,'S3162363',6),(22238,'wave band','wave band',0,1,1.3,'W153',1),(22239,'wave band drive','wave band drive',0,1,1.5,'W15361',1),(22240,'a long','a long',0,1,1.2,'A452',21),(22241,'a long time','a long time',0,1,1.3667,'A45235',21),(22242,'able','able',0,0,0.2667,'A140',11),(22243,'able to','able to',0,1,1.2333,'A143',11),(22244,'able to say','able to say',0,1,1.3667,'A1432',11),(22245,'been a','been a',0,1,1.2,'B500',21),(22246,'been a long','been a long',0,1,1.3667,'B5452',21),(22247,'been able','been able',0,1,1.3,'B514',11),(22248,'been able to','been able to',0,1,1.4,'B5143',11),(22249,'berkeley','berkeley',0,0,0.5333,'B624',1),(22250,'berkeley california','berkeley california',0,1,1.6333,'B62424165',1),(22251,'i ve','i ve',0,1,1.1333,'I100',19),(22252,'i ve been','i ve been',0,1,1.3,'I150',11),(22253,'i\'ve been','i been',0,1,1.3,'I150',11),(22254,'i\'ve been able','i been able',0,1,1.4667,'I1514',11),(22255,'it s been','it s been',0,1,1.3,'I3215',21),(22256,'it\'s been','it been',0,1,1.3,'I3215',21),(22257,'it\'s been a','it been a',0,1,1.3667,'I3215',21),(22258,'long','long',0,0,0.2667,'L520',21),(22259,'long time','long time',0,1,1.3,'L5235',21),(22260,'long time since','long time since',0,1,1.5,'L5235252',20),(22261,'s been','s been',0,1,1.2,'S150',21),(22262,'s been a','s been a',0,1,1.2667,'S150',21),(22263,'say','say',0,0,0.2,'S000',11),(22264,'say this','say this',0,1,1.2667,'S320',11),(22265,'say this berkeley','say this berkeley',0,1,1.5667,'S321624',1),(22266,'since i','since i',0,1,1.2333,'S520',19),(22267,'since i ve','since i ve',0,1,1.3333,'S521',19),(22268,'since i\'ve','since i',0,1,1.3333,'S521',19),(22269,'since i\'ve been','since i been',0,1,1.5,'S5215',11),(22270,'this berkeley','this berkeley',0,1,1.4333,'T21624',1),(22271,'this berkeley california','this berkeley california',0,1,1.8,'T2162424165',1),(22272,'time since','time since',0,1,1.3333,'T5252',20),(22273,'time since i','time since i',0,1,1.4,'T5252',19),(22274,'time since i\'ve','time since i',0,1,1.5,'T52521',19),(22275,'to say','to say',0,1,1.2,'T200',11),(22276,'to say this','to say this',0,1,1.3667,'T232',11),(22277,'ve','ve',0,0,0.1333,'V000',19),(22278,'ve been','ve been',0,1,1.2333,'V500',11),(22279,'ve been able','ve been able',0,1,1.4,'V514',11),(22280,'30 seconds','30 seconds',0,1,1.3333,'S532',7),(22281,'30 seconds to','30 seconds to',0,1,1.4333,'S5323',7),(22282,'air”','air”',0,0,0.2667,'A600',7),(22283,'in the air”','in the air”',0,1,1.3667,'I536',7),(22284,'mars','mars',0,0,0.2667,'M620',7),(22285,'mars music','mars music',0,1,1.3333,'M6252',2),(22286,'mars music video','mars music video',0,1,1.5333,'M625213',2),(22287,'music video','music video',0,1,1.3667,'M213',2),(22288,'music video for','music video for',0,1,1.5,'M21316',2),(22289,'new 30','new 30',0,1,1.2,'N000',2),(22290,'new 30 seconds','new 30 seconds',0,1,1.4667,'N2532',2),(22291,'seconds','seconds',0,0,0.4667,'S532',7),(22292,'seconds to','seconds to',0,1,1.3333,'S5323',7),(22293,'seconds to mars','seconds to mars',0,1,1.5,'S5323562',7),(22294,'song up','song up',0,1,1.2333,'S521',1),(22295,'song up in','song up in',0,1,1.3333,'S5215',1),(22296,'song “up','song “up',0,1,1.2667,'S521',1),(22297,'song “up in','song “up in',0,1,1.3667,'S5215',1),(22298,'the air”','the air”',0,1,1.2667,'T600',7),(22299,'the new 30','the new 30',0,1,1.3333,'T500',1),(22300,'the song up','the song up',0,1,1.3667,'T2521',1),(22301,'the song “up','the song “up',0,1,1.4,'T2521',1),(22302,'to mars','to mars',0,1,1.2333,'T562',7),(22303,'to mars music','to mars music',0,1,1.4333,'T56252',2),(22304,'up in the','up in the',0,1,1.3,'U153',7),(22305,'“up','“up',0,0,0.2,'“100',7),(22306,'“up in','“up in',0,1,1.2,'“150',7),(22307,'“up in the','“up in the',0,1,1.3333,'“153',7),(22308,'for up','for up',0,1,1.2,'F610',1),(22309,'for up in','for up in',0,1,1.3,'F615',1),(22310,'for “up','for “up',0,1,1.2333,'F610',1),(22311,'for “up in','for “up in',0,1,1.3333,'F615',1),(22312,'video for up','video for up',0,1,1.4,'V3161',1),(22313,'video for “up','video for “up',0,1,1.4333,'V3161',1),(22314,'added more','added more',0,1,1.3333,'A356',3),(22315,'added more tour','added more tour',0,1,1.5,'A35636',1),(22316,'american','american',0,0,0.5333,'A5625',7),(22317,'american tour','american tour',0,1,1.4333,'A562536',7),(22318,'dates','dates',0,0,0.3333,'D200',2),(22319,'dates to','dates to',0,1,1.2667,'D230',2),(22320,'dates to their','dates to their',0,1,1.4667,'D236',2),(22321,'more tour','more tour',0,1,1.3,'M636',1),(22322,'more tour dates','more tour dates',0,1,1.5,'M63632',1),(22323,'north','north',0,0,0.3333,'N630',7),(22324,'north american','north american',0,1,1.4667,'N635625',7),(22325,'north american tour','north american tour',0,1,1.6333,'N63562536',7),(22326,'rolling','rolling',0,0,0.4667,'R452',7),(22327,'rolling stones','rolling stones',0,1,1.4667,'R452352',7),(22328,'rolling stones added','rolling stones added',0,1,1.6667,'R4523523',3),(22329,'stones','stones',0,0,0.4,'S352',7),(22330,'stones added','stones added',0,1,1.4,'S3523',3),(22331,'stones added more','stones added more',0,1,1.5667,'S352356',3),(22332,'their north','their north',0,1,1.3667,'T6563',3),(22333,'their north american','their north american',0,1,1.6667,'T65635625',3),(22334,'to their','to their',0,1,1.2667,'T600',3),(22335,'to their north','to their north',0,1,1.4667,'T6563',3),(22336,'tour dates','tour dates',0,1,1.3333,'T632',1),(22337,'tour dates to','tour dates to',0,1,1.4333,'T6323',1),(22338,'added more dates','added more dates',0,1,1.5333,'A35632',1),(22339,'more dates','more dates',0,1,1.3333,'M632',1),(22340,'more dates to','more dates to',0,1,1.4333,'M6323',1),(22341,'added more to','added more to',0,1,1.4333,'A3563',1),(22342,'more to','more to',0,1,1.2333,'M630',1),(22343,'more to their','more to their',0,1,1.4333,'M636',1),(22344,'227','227',0,0,0.3,'',10),(22345,'band events','band events',0,1,1.3667,'B531532',45),(22346,'featured','featured',0,0,0.5333,'F363',45),(22347,'featured band','featured band',0,1,1.4333,'F363153',45),(22348,'featured band events','featured band events',0,1,1.6667,'F3631531532',45),(22349,'230','230',0,0,0.3,'',13),(22350,'copy of it\'s','copy of it',0,1,1.4,'C132',7),(22351,'of it\'s','of it',0,1,1.2333,'O132',7),(22352,'of it\'s been','of it been',0,1,1.4,'O13215',7),(22353,'229','229',0,0,0.3,'',10),(22354,'228','228',0,0,0.3,'',12),(22355,'acts','acts',0,0,0.2667,'A232',1),(22356,'acts before','acts before',0,1,1.3667,'A23216',1),(22357,'acts before him','acts before him',0,1,1.5,'A232165',1),(22358,'been other','been other',0,1,1.3333,'B536',1),(22359,'been other retro','been other retro',0,1,1.5333,'B53636',1),(22360,'before him','before him',0,1,1.3333,'B650',1),(22361,'before him but','before him but',0,1,1.4667,'B6513',1),(22362,'but lenny','but lenny',0,1,1.3,'B345',1),(22363,'but lenny kravitz','but lenny kravitz',0,1,1.5667,'B34526132',1),(22364,'have been other','have been other',0,1,1.5,'H1536',1),(22365,'him','him',0,0,0.2,'H500',1),(22366,'him but','him but',0,1,1.2333,'H513',1),(22367,'him but lenny','him but lenny',0,1,1.4333,'H51345',1),(22368,'kravitz','kravitz',0,0,0.4667,'K6132',1),(22369,'lenny','lenny',0,0,0.3333,'L500',1),(22370,'lenny kravitz','lenny kravitz',0,1,1.4333,'L526132',1),(22371,'may have','may have',0,1,1.2667,'M100',1),(22372,'may have been','may have been',0,1,1.4333,'M150',1),(22373,'other retro','other retro',0,1,1.3667,'O3636',1),(22374,'other retro rock','other retro rock',0,1,1.5333,'O36362',1),(22375,'retro','retro',0,0,0.3333,'R360',1),(22376,'retro rock','retro rock',0,1,1.3333,'R362',1),(22377,'retro rock acts','retro rock acts',0,1,1.5,'R36232',1),(22378,'rock acts','rock acts',0,1,1.3,'R232',1),(22379,'rock acts before','rock acts before',0,1,1.5333,'R23216',1),(22380,'there may','there may',0,1,1.3,'T650',1),(22381,'there may have','there may have',0,1,1.4667,'T651',1),(22382,'as one','as one',0,1,1.2,'A250',2),(22383,'as one of','as one of',0,1,1.3,'A251',2),(22384,'musicians','musicians',0,0,0.6,'M252',11),(22385,'musicians of','musicians of',0,1,1.4,'M2521',1),(22386,'musicians of our','musicians of our',0,1,1.5333,'M25216',1),(22387,'of our','of our',0,1,1.2,'O160',1),(22388,'of our time','of our time',0,1,1.3667,'O1635',1),(22389,'of the preeminent','of the preeminent',0,1,1.5667,'O131653',3),(22390,'our time','our time',0,1,1.2667,'O635',1),(22391,'preeminent','preeminent',0,0,0.6667,'P653',11),(22392,'preeminent rock','preeminent rock',0,1,1.5,'P65362',11),(22393,'preeminent rock musicians','preeminent rock musicians',0,1,1.8333,'P653625252',11),(22394,'regarded','regarded',0,0,0.5333,'R263',2),(22395,'regarded as','regarded as',0,1,1.3667,'R2632',2),(22396,'regarded as one','regarded as one',0,1,1.5,'R26325',2),(22397,'rock musicians','rock musicians',0,1,1.4667,'R25252',11),(22398,'rock musicians of','rock musicians of',0,1,1.5667,'R252521',1),(22399,'the preeminent','the preeminent',0,1,1.4667,'T1653',3),(22400,'the preeminent rock','the preeminent rock',0,1,1.6333,'T165362',3),(22401,'be read','be read',0,1,1.2333,'B630',1),(22402,'career','career',0,0,0.4,'C600',3),(22403,'career could','career could',0,1,1.4,'C6243',1),(22404,'career could in','career could in',0,1,1.5,'C62435',1),(22405,'could','could',0,0,0.3333,'C430',1),(22406,'could in','could in',0,1,1.2667,'C435',1),(22407,'could in many','could in many',0,1,1.4333,'C435',1),(22408,'in many','in many',0,1,1.2333,'I500',8),(22409,'in many ways','in many ways',0,1,1.4,'I520',8),(22410,'many','many',0,0,0.2667,'M000',8),(22411,'many ways','many ways',0,1,1.3,'M200',8),(22412,'many ways be','many ways be',0,1,1.4,'M210',1),(22413,'primal','primal',0,0,0.4,'P654',8),(22414,'primal scream','primal scream',0,1,1.4333,'P654265',8),(22415,'primal scream s','primal scream s',0,1,1.5,'P6542652',8),(22416,'primal scream\'s','primal scream',0,1,1.5,'P6542652',8),(22417,'primal scream\'s career','primal scream career',0,1,1.7333,'P65426526',3),(22418,'read','read',0,0,0.2667,'R300',1),(22419,'s career','s career',0,1,1.2667,'S600',3),(22420,'s career could','s career could',0,1,1.4667,'S6243',1),(22421,'scream','scream',0,0,0.4,'S650',8),(22422,'scream s','scream s',0,1,1.2667,'S652',8),(22423,'scream s career','scream s career',0,1,1.5,'S6526',3),(22424,'scream\'s','scream',0,0,0.5333,'S652',8),(22425,'scream\'s career','scream career',0,1,1.5,'S6526',3),(22426,'scream\'s career could','scream career could',0,1,1.7,'S6526243',1),(22427,'ways','ways',0,0,0.2667,'W200',8),(22428,'ways be','ways be',0,1,1.2333,'W210',1),(22429,'ways be read','ways be read',0,1,1.4,'W2163',1),(22430,'a british','a british',0,1,1.3,'A1632',1),(22431,'a british soul','a british soul',0,1,1.4667,'A16324',1),(22432,'better known','better known',0,1,1.4,'B3625',2),(22433,'better known by','better known by',0,1,1.5,'B36251',2),(22434,'british','british',0,0,0.4667,'B632',1),(22435,'british soul','british soul',0,1,1.4,'B6324',1),(22436,'british soul singer','british soul singer',0,1,1.6333,'B63242526',1),(22437,'by her','by her',0,1,1.2,'B600',2),(22438,'by her stage','by her stage',0,1,1.4,'B6232',2),(22439,'her','her',0,0,0.2,'H600',2),(22440,'her stage','her stage',0,1,1.3,'H6232',2),(22441,'her stage name','her stage name',0,1,1.4667,'H62325',2),(22442,'is a british','is a british',0,1,1.4,'I21632',1),(22443,'joss','joss',0,0,0.2667,'J000',8),(22444,'joss stone','joss stone',0,1,1.3333,'J350',8),(22445,'joss stone is','joss stone is',0,1,1.4333,'J352',1),(22446,'known by','known by',0,1,1.2667,'K510',2),(22447,'known by her','known by her',0,1,1.4,'K516',2),(22448,'name joss','name joss',0,1,1.3,'N200',2),(22449,'name joss stone','name joss stone',0,1,1.5,'N235',2),(22450,'singer','singer',0,0,0.4,'S526',1),(22451,'soul','soul',0,0,0.2667,'S400',1),(22452,'soul singer','soul singer',0,1,1.3667,'S42526',1),(22453,'stage','stage',0,0,0.3333,'S320',8),(22454,'stage name','stage name',0,1,1.3333,'S325',2),(22455,'stage name joss','stage name joss',0,1,1.5,'S3252',2),(22456,'stone','stone',0,0,0.3333,'S350',8),(22457,'stone is','stone is',0,1,1.2667,'S352',1),(22458,'stone is a','stone is a',0,1,1.3333,'S352',1),(22459,'a star','a star',0,1,1.2,'A236',2),(22460,'concert','concert',0,0,0.4667,'C5263',1),(22461,'concert review','concert review',0,1,1.4667,'C526361',1),(22462,'concert review trent','concert review trent',0,1,1.6667,'C5263613653',1),(22463,'into a star','into a star',0,1,1.3667,'I53236',2),(22464,'maandig','maandig',0,0,0.4667,'M320',2),(22465,'maandig into','maandig into',0,1,1.4,'M3253',2),(22466,'maandig into a','maandig into a',0,1,1.4667,'M3253',2),(22467,'mariqueen','mariqueen',0,0,0.6,'M625',8),(22468,'mariqueen maandig','mariqueen maandig',0,1,1.5667,'M62532',2),(22469,'mariqueen maandig into','mariqueen maandig into',0,1,1.7333,'M6253253',2),(22470,'review trent','review trent',0,1,1.4,'R13653',1),(22471,'review trent reznor','review trent reznor',0,1,1.6333,'R136536256',1),(22472,'reznor turns','reznor turns',0,1,1.4,'R2563652',8),(22473,'reznor turns wife','reznor turns wife',0,1,1.5667,'R25636521',2),(22474,'trent reznor turns','trent reznor turns',0,1,1.6,'T65362563652',2),(22475,'turns','turns',0,0,0.3333,'T652',8),(22476,'turns wife','turns wife',0,1,1.3333,'T6521',2),(22477,'turns wife mariqueen','turns wife mariqueen',0,1,1.6667,'T65215625',2),(22478,'wife','wife',0,0,0.2667,'W100',2),(22479,'wife mariqueen','wife mariqueen',0,1,1.4667,'W15625',2),(22480,'wife mariqueen maandig','wife mariqueen maandig',0,1,1.7333,'W1562532',2),(22481,'musicians star','musicians star',0,1,1.4667,'M25236',8),(22482,'rock musicians star','rock musicians star',0,1,1.6333,'R2525236',8),(22483,'career in','career in',0,1,1.3,'C650',2),(22484,'career in many','career in many',0,1,1.4667,'C650',2),(22485,'s career in','s career in',0,1,1.3667,'S650',2),(22486,'scream\'s career in','scream career in',0,1,1.6,'S65265',2),(22487,'primal scream\'s in','primal scream in',0,1,1.6,'P65426525',5),(22488,'s in','s in',0,1,1.1333,'S500',5),(22489,'s in many','s in many',0,1,1.3,'S500',5),(22490,'scream s in','scream s in',0,1,1.3667,'S6525',5),(22491,'scream\'s in','scream in',0,1,1.3667,'S6525',5),(22492,'scream\'s in many','scream in many',0,1,1.5333,'S6525',5),(22493,'in star','in star',0,1,1.2333,'I5236',6),(22494,'mariqueen in','mariqueen in',0,1,1.4,'M625',6),(22495,'mariqueen in star','mariqueen in star',0,1,1.5667,'M625236',6),(22496,'reznor turns mariqueen','reznor turns mariqueen',0,1,1.7333,'R25636525625',6),(22497,'turns mariqueen','turns mariqueen',0,1,1.5,'T6525625',6),(22498,'turns mariqueen in','turns mariqueen in',0,1,1.6,'T6525625',6),(22499,'named joss','named joss',0,1,1.3333,'N320',6),(22500,'named joss stone','named joss stone',0,1,1.5333,'N3235',6),(22501,'stage named','stage named',0,1,1.3667,'S3253',6),(22502,'stage named joss','stage named joss',0,1,1.5333,'S32532',6),(22503,'sweet voice','sweet voice',0,1,1.3667,'S312',6),(22504,'sweet voice stage','sweet voice stage',0,1,1.5667,'S31232',6),(22505,'voice stage','voice stage',0,1,1.3667,'V232',6),(22506,'voice stage named','voice stage named',0,1,1.5667,'V23253',6),(22507,'i ve want','i ve want',0,1,1.3,'I153',8),(22508,'i\'ve want','i want',0,1,1.3,'I153',8),(22509,'since i\'ve want','since i want',0,1,1.5,'S52153',8),(22510,'ve want','ve want',0,1,1.2333,'V530',8),(22511,'i\'ve want to','i want to',0,1,1.4,'I153',2),(22512,'ve want to','ve want to',0,1,1.3333,'V530',2),(22513,'blue wave set','blue wave set',0,1,1.4333,'B4123',5),(22514,'wave set','wave set',0,1,1.2667,'W123',5),(22515,'wave set for','wave set for',0,1,1.4,'W12316',5),(22516,'mars up','mars up',0,1,1.2333,'M621',5),(22517,'mars up in','mars up in',0,1,1.3333,'M6215',5),(22518,'mars “up','mars “up',0,1,1.2667,'M621',5),(22519,'mars “up in','mars “up in',0,1,1.3667,'M6215',5),(22520,'to mars up','to mars up',0,1,1.3333,'T5621',5),(22521,'to mars “up','to mars “up',0,1,1.3667,'T5621',5),(22522,'on north','on north',0,1,1.2667,'O563',4),(22523,'on north american','on north american',0,1,1.5667,'O5635625',4),(22524,'rolling stones on','rolling stones on',0,1,1.5667,'R4523525',4),(22525,'stones on','stones on',0,1,1.3,'S3525',4),(22526,'stones on north','stones on north',0,1,1.5,'S352563',4),(22527,'bono larger','bono larger',0,1,1.3667,'B54626',7),(22528,'bono larger than','bono larger than',0,1,1.5333,'B5462635',7),(22529,'bono larger-than-life','bono larger-than-life',0,1,1.7,'B546263541',1),(22530,'bono larger-than-life personality','bono larger-than-life personality',0,1,2,'B54626354162543',1),(22531,'ryan tedder the','ryan tedder the',0,1,1.5,'R5363',6),(22532,'tedder the','tedder the',0,1,1.3333,'T630',6),(22533,'tedder the mastermind','tedder the mastermind',0,1,1.7,'T63523653',6),(22534,'mastermind hits','mastermind hits',0,1,1.5,'M236532',5),(22535,'the mastermind hits','the mastermind hits',0,1,1.6333,'T5236532',5),(22536,'htda','htda',0,0,0.2667,'H300',5),(22537,'htda new','htda new',0,1,1.2667,'H350',5),(22538,'htda new trent','htda new trent',0,1,1.4667,'H353653',5),(22539,'class demo-typo-col4 icon-angle-left','class demo-typo-col4 icon-angle-left',0,1,2,'C42353124252413',2),(22540,'class demo-typo-col4 icon-github-sign','class demo-typo-col4 icon-github-sign',0,1,2,'C423531242523125',2),(22541,'class icon-briefcase','class icon-briefcase',0,1,1.6667,'C4251612',2),(22542,'class icon-briefcase icon-briefcase','class icon-briefcase icon-briefcase',0,1,2,'C425161251612',2),(22543,'class icon-facetime-video','class icon-facetime-video',0,1,1.8333,'C425123513',2),(22544,'class icon-facetime-video icon-facetime-video','class icon-facetime-video icon-facetime-video',0,1,2,'C42512351325123513',2),(22545,'class icon-hand-up','class icon-hand-up',0,1,1.6,'C42531',2),(22546,'class icon-hand-up icon-hand-up','class icon-hand-up icon-hand-up',0,1,2,'C425312531',2),(22547,'content here web','content here web',0,1,1.5333,'C535361',2),(22548,'demo-typo-col4 icon-angle-left','demo-typo-col4 icon-angle-left',0,1,2,'D53124252413',2),(22549,'demo-typo-col4 icon-angle-left icon-angle-right','demo-typo-col4 icon-angle-left icon-angle-right',0,1,2,'D531242524132524623',2),(22550,'demo-typo-col4 icon-github-sign','demo-typo-col4 icon-github-sign',0,1,2,'D531242523125',2),(22551,'demo-typo-col4 icon-github-sign icon-linkedin','demo-typo-col4 icon-github-sign icon-linkedin',0,1,2,'D5312425231252545235',2),(22552,'here web','here web',0,1,1.2667,'H610',2),(22553,'here web application','here web application',0,1,1.6667,'H614235',2),(22554,'i content','i content',0,1,1.3,'I25353',2),(22555,'i content here','i content here',0,1,1.4667,'I253536',2),(22556,'icon-briefcase icon-briefcase','icon-briefcase icon-briefcase',0,1,1.9667,'I25161251612',2),(22557,'icon-briefcase icon-briefcase icon-bullhorn','icon-briefcase icon-briefcase icon-bullhorn',0,1,2,'I2516125161251465',2),(22558,'icon-class name i','icon-class name i',0,1,1.5667,'I252425',2),(22559,'icon-facetime-video icon-facetime-video','icon-facetime-video icon-facetime-video',0,1,2,'I2512351325123513',2),(22560,'icon-facetime-video icon-facetime-video icon-fighter-jet','icon-facetime-video icon-facetime-video icon-fighter-jet',0,1,2,'I251235132512351325123623',2),(22561,'icon-hand-up icon-hand-up','icon-hand-up icon-hand-up',0,1,1.8333,'I25312531',2),(22562,'icon-hand-up icon-hand-up icon-circle','icon-hand-up icon-hand-up icon-circle',0,1,2,'I25312531252624',2),(22563,'name i','name i',0,1,1.2,'N000',2),(22564,'name i content','name i content',0,1,1.4667,'N25353',2),(22565,'233','233',0,0,0.3,'',7),(22566,'albums','albums',0,0,0.4,'A4152',25),(22567,'new albums','new albums',0,1,1.3333,'N4152',25),(22568,'232','232',0,0,0.3,'',10),(22569,'231','231',0,0,0.3,'',6),(22570,'dozen','dozen',0,0,0.3333,'D250',6),(22571,'dozen guitar','dozen guitar',0,1,1.4,'D25236',6),(22572,'dozen guitar virtuosos','dozen guitar virtuosos',0,1,1.7333,'D252361632',6),(22573,'guitar','guitar',0,0,0.4,'G360',6),(22574,'guitar virtuosos','guitar virtuosos',0,1,1.5333,'G361632',6),(22575,'guitar virtuosos perform','guitar virtuosos perform',0,1,1.8,'G36163216165',6),(22576,'nearly three dozen','nearly three dozen',0,1,1.6,'N6436325',6),(22577,'perform','perform',0,0,0.4667,'P6165',6),(22578,'three dozen','three dozen',0,1,1.3667,'T6325',6),(22579,'three dozen guitar','three dozen guitar',0,1,1.6,'T6325236',6),(22580,'virtuosos','virtuosos',0,0,0.6,'V632',6),(22581,'virtuosos perform','virtuosos perform',0,1,1.5667,'V63216165',6),(22582,'am waiting','am waiting',0,1,1.3333,'A5352',3),(22583,'am waiting i','am waiting i',0,1,1.4,'A5352',3),(22584,'am waiting i\'ll','am waiting i',0,1,1.5,'A53524',3),(22585,'have to leave','have to leave',0,1,1.4333,'H1341',3),(22586,'here i am','here i am',0,1,1.3,'H650',3),(22587,'i am waiting','i am waiting',0,1,1.4,'I5352',3),(22588,'i ll','i ll',0,1,1.1333,'I400',3),(22589,'i ll have','i ll have',0,1,1.3,'I410',3),(22590,'i\'ll have','i have',0,1,1.3,'I410',3),(22591,'i\'ll have to','i have to',0,1,1.4,'I413',3),(22592,'leave','leave',0,0,0.3333,'L100',3),(22593,'leave soon','leave soon',0,1,1.3333,'L125',3),(22594,'ll','ll',0,0,0.1333,'L000',3),(22595,'ll have','ll have',0,1,1.2333,'L100',3),(22596,'ll have to','ll have to',0,1,1.3333,'L130',3),(22597,'to leave','to leave',0,1,1.2667,'T410',3),(22598,'to leave soon','to leave soon',0,1,1.4333,'T4125',3),(22599,'waiting','waiting',0,0,0.4667,'W352',3),(22600,'waiting i','waiting i',0,1,1.3,'W352',3),(22601,'waiting i ll','waiting i ll',0,1,1.4,'W3524',3),(22602,'waiting i\'ll','waiting i',0,1,1.4,'W3524',3),(22603,'waiting i\'ll have','waiting i have',0,1,1.5667,'W35241',3),(22604,'bowie','bowie',0,0,0.3333,'B000',3),(22605,'bowie memento','bowie memento',0,1,1.4333,'B530',3),(22606,'david bowie','david bowie',0,1,1.3667,'D131',3),(22607,'david bowie memento','david bowie memento',0,1,1.6333,'D13153',3),(22608,'memento','memento',0,0,0.4667,'M300',3),(22609,'a short','a short',0,1,1.2333,'A263',2),(22610,'a short spell','a short spell',0,1,1.4333,'A263214',2),(22611,'for a short','for a short',0,1,1.3667,'F6263',2),(22612,'scorpions','scorpions',0,0,0.6,'S6152',2),(22613,'scorpions for','scorpions for',0,1,1.4333,'S615216',2),(22614,'scorpions for a','scorpions for a',0,1,1.5,'S615216',2),(22615,'short','short',0,0,0.3333,'S630',2),(22616,'short spell','short spell',0,1,1.3667,'S63214',2),(22617,'spell','spell',0,0,0.3333,'S140',2),(22618,'one republic','one republic',0,1,1.4,'O56142',4),(22619,'one republic top','one republic top',0,1,1.5333,'O5614231',4),(22620,'republic','republic',0,0,0.5333,'R142',4),(22621,'republic top','republic top',0,1,1.4,'R14231',4),(22622,'hit','hit',0,0,0.2,'H300',3),(22623,'republic top hit','republic top hit',0,1,1.5333,'R142313',3),(22624,'top hit','top hit',0,1,1.2333,'T130',3),(22625,'show starts','show starts',0,1,1.3667,'S3632',3),(22626,'show starts today','show starts today',0,1,1.5667,'S36323',3),(22627,'starts today','starts today',0,1,1.4,'S36323',3),(22628,'the show','the show',0,1,1.2667,'T200',3),(22629,'the show starts','the show starts',0,1,1.5,'T23632',3);


--
-- Table structure for table `#__finder_terms_common`
--



CREATE TABLE `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_terms_common`
--


INSERT INTO `#__finder_terms_common` (`term`, `language`) VALUES ('a','en'),('about','en'),('after','en'),('ago','en'),('all','en'),('am','en'),('an','en'),('and','en'),('ani','en'),('any','en'),('are','en'),('aren\'t','en'),('as','en'),('at','en'),('be','en'),('but','en'),('by','en'),('for','en'),('from','en'),('get','en'),('go','en'),('how','en'),('if','en'),('in','en'),('into','en'),('is','en'),('isn\'t','en'),('it','en'),('its','en'),('me','en'),('more','en'),('most','en'),('must','en'),('my','en'),('new','en'),('no','en'),('none','en'),('not','en'),('noth','en'),('nothing','en'),('of','en'),('off','en'),('often','en'),('old','en'),('on','en'),('onc','en'),('once','en'),('onli','en'),('only','en'),('or','en'),('other','en'),('our','en'),('ours','en'),('out','en'),('over','en'),('page','en'),('she','en'),('should','en'),('small','en'),('so','en'),('some','en'),('than','en'),('thank','en'),('that','en'),('the','en'),('their','en'),('theirs','en'),('them','en'),('then','en'),('there','en'),('these','en'),('they','en'),('this','en'),('those','en'),('thus','en'),('time','en'),('times','en'),('to','en'),('too','en'),('true','en'),('under','en'),('until','en'),('up','en'),('upon','en'),('use','en'),('user','en'),('users','en'),('veri','en'),('version','en'),('very','en'),('via','en'),('want','en'),('was','en'),('way','en'),('were','en'),('what','en'),('when','en'),('where','en'),('whi','en'),('which','en'),('who','en'),('whom','en'),('whose','en'),('why','en'),('wide','en'),('will','en'),('with','en'),('within','en'),('without','en'),('would','en'),('yes','en'),('yet','en'),('you','en'),('your','en'),('yours','en');


--
-- Table structure for table `#__finder_tokens`
--



CREATE TABLE `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '1',
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_tokens`
--




--
-- Table structure for table `#__finder_tokens_aggregate`
--



CREATE TABLE `#__finder_tokens_aggregate` (
  `term_id` int(10) unsigned NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `term_weight` float unsigned NOT NULL,
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `context_weight` float unsigned NOT NULL,
  `total_weight` float unsigned NOT NULL,
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_tokens_aggregate`
--




--
-- Table structure for table `#__finder_types`
--



CREATE TABLE `#__finder_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_types`
--


INSERT INTO `#__finder_types` (`id`, `title`, `mime`) VALUES (1,'K2 Item',''),(2,'Category',''),(3,'Contact',''),(4,'Article',''),(5,'News Feed',''),(6,'Web Link','');


--
-- Table structure for table `#__k2_attachments`
--



CREATE TABLE `#__k2_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `titleAttribute` text NOT NULL,
  `hits` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM AUTO_INCREMENT=76 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_attachments`
--




--
-- Table structure for table `#__k2_categories`
--



CREATE TABLE `#__k2_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `extraFieldsGroup` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `image` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category` (`published`,`access`,`trash`),
  KEY `parent` (`parent`),
  KEY `ordering` (`ordering`),
  KEY `published` (`published`),
  KEY `access` (`access`),
  KEY `trash` (`trash`),
  KEY `language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_categories`
--


INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES (26,'Staff Picks','staff-picks','',0,1,1,1,2,'','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"2\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"Large\",\"num_secondary_items\":\"0\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Large\",\"num_links\":\"0\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"1\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"0\",\"catTitleItemCounter\":\"0\",\"catDescription\":\"0\",\"catImage\":\"0\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"1\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"1\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"0\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"0\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"0\",\"itemDateModified\":\"0\",\"itemHits\":\"0\",\"itemCategory\":\"0\",\"itemTags\":\"1\",\"itemAttachments\":\"0\",\"itemAttachmentsCounter\":\"0\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"0\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"0\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"0\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',1,'','*'),(27,'Blogging','blogging','',0,1,1,1,3,'','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"2\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"Large\",\"num_secondary_items\":\"0\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Large\",\"num_links\":\"0\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"1\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"0\",\"catTitleItemCounter\":\"0\",\"catDescription\":\"0\",\"catImage\":\"0\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"1\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"1\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"0\",\"itemFontResizer\":\"0\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"0\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"0\",\"itemDateModified\":\"0\",\"itemHits\":\"0\",\"itemCategory\":\"0\",\"itemTags\":\"1\",\"itemAttachments\":\"0\",\"itemAttachmentsCounter\":\"0\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"0\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"0\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"0\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',1,'','*'),(28,'Web Design','design','',0,1,1,1,4,'','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"2\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"Large\",\"num_secondary_items\":\"0\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Large\",\"num_links\":\"0\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"1\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"0\",\"catTitleItemCounter\":\"0\",\"catDescription\":\"0\",\"catImage\":\"0\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"1\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"1\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"0\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"0\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"0\",\"itemDateModified\":\"0\",\"itemHits\":\"0\",\"itemCategory\":\"0\",\"itemTags\":\"1\",\"itemAttachments\":\"0\",\"itemAttachmentsCounter\":\"0\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"0\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"0\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"0\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',1,'','*'),(31,'New Albums','new-albums','',0,1,1,1,1,'','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"2\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"Large\",\"num_secondary_items\":\"0\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Large\",\"num_links\":\"0\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"1\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"0\",\"catTitleItemCounter\":\"0\",\"catDescription\":\"0\",\"catImage\":\"0\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"1\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"0\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"1\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"0\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"0\",\"itemDateModified\":\"0\",\"itemHits\":\"0\",\"itemCategory\":\"0\",\"itemTags\":\"1\",\"itemAttachments\":\"0\",\"itemAttachmentsCounter\":\"0\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"0\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"0\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"0\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(32,'Band News','band-news','',0,0,1,1,2,'','{\"inheritFrom\":\"31\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"1\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"1\",\"catImage\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"0\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"1\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(33,'Breaking and Entering','breaking-and-entering','',0,0,1,1,3,'','{\"inheritFrom\":\"31\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"1\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"1\",\"catImage\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"0\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"1\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(34,'Featured Band Events','featured-band-events','tsetsetsetsetsetse',0,0,1,1,4,'','{\"inheritFrom\":\"31\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"1\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"1\",\"catImage\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"0\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*');


--
-- Table structure for table `#__k2_comments`
--



CREATE TABLE `#__k2_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) NOT NULL,
  `commentDate` datetime NOT NULL,
  `commentText` text NOT NULL,
  `commentEmail` varchar(255) NOT NULL,
  `commentURL` varchar(255) NOT NULL,
  `published` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`),
  KEY `userID` (`userID`),
  KEY `published` (`published`),
  KEY `latestComments` (`published`,`commentDate`)
) ENGINE=MyISAM AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_comments`
--


INSERT INTO `#__k2_comments` (`id`, `itemID`, `userID`, `userName`, `commentDate`, `commentText`, `commentEmail`, `commentURL`, `published`) VALUES (56,218,0,'Robert','2013-04-30 19:39:34','Nunc quis odio ut orci cursus tristique. Phasellus at velit lectus. Curabitur venenatis odio tincidunt libero auctor gravida. Sed egestas.','robert@gavick.com','',1),(57,218,0,'Dziudek','2013-04-30 19:42:34','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas varius elit viverra mauris laoreet eu ornare felis molestie. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia.','dziudek@gavick.com','',1),(52,218,0,'Paulo','2013-04-30 18:45:00','Vivamus a sem urna, eget tempus purus. Sed dapibus, dolor a pellentesque ultrices, nisi ligula fermentum turpis, iaculis scelerisque nunc odio vitae elit','seichinha@gmail.com','',1);


--
-- Table structure for table `#__k2_extra_fields`
--



CREATE TABLE `#__k2_extra_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `group` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group` (`group`),
  KEY `published` (`published`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_extra_fields`
--


INSERT INTO `#__k2_extra_fields` (`id`, `name`, `value`, `type`, `group`, `published`, `ordering`) VALUES (7,'Gears','[{\"name\":null,\"value\":\"\",\"editor\":null,\"target\":null}]','textarea',1,1,3),(6,'Fork','[{\"name\":null,\"value\":\"\",\"editor\":null,\"target\":null}]','textarea',1,1,2),(5,'Frame','[{\"name\":null,\"value\":\"\",\"editor\":null,\"target\":null}]','textarea',1,1,1);


--
-- Table structure for table `#__k2_extra_fields_groups`
--



CREATE TABLE `#__k2_extra_fields_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_extra_fields_groups`
--


INSERT INTO `#__k2_extra_fields_groups` (`id`, `name`) VALUES (1,'Extra fields group');


--
-- Table structure for table `#__k2_items`
--



CREATE TABLE `#__k2_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `catid` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `video` text,
  `gallery` varchar(255) DEFAULT NULL,
  `extra_fields` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `extra_fields_search` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL,
  `publish_down` datetime NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `featured` smallint(6) NOT NULL DEFAULT '0',
  `featured_ordering` int(11) NOT NULL DEFAULT '0',
  `image_caption` text NOT NULL,
  `image_credits` varchar(255) NOT NULL,
  `video_caption` text NOT NULL,
  `video_credits` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL,
  `params` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `metakey` text NOT NULL,
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `item` (`published`,`publish_up`,`publish_down`,`trash`,`access`),
  KEY `catid` (`catid`),
  KEY `created_by` (`created_by`),
  KEY `ordering` (`ordering`),
  KEY `featured` (`featured`),
  KEY `featured_ordering` (`featured_ordering`),
  KEY `hits` (`hits`),
  KEY `created` (`created`),
  KEY `language` (`language`),
  FULLTEXT KEY `search` (`title`,`introtext`,`fulltext`,`extra_fields_search`,`image_caption`,`image_credits`,`video_caption`,`video_credits`,`metadesc`,`metakey`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM AUTO_INCREMENT=234 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_items`
--


INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES (229,'Primal Scream\'s in many ways','primal-scream-s-in-many-ways',34,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 17:45:26',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:41:51',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,1,0,2,'','','','',5,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(230,'Preeminent rock musicians star','preeminent-rock-musicians-star',34,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 17:45:29',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:41:31',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,2,0,2,'','','','',11,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(218,'The Wanted\'s third studio album','the-wanted-s-third-studio-album',31,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[{\"id\":\"5\",\"value\":\"\"},{\"id\":\"6\",\"value\":\"\"},{\"id\":\"7\",\"value\":\"\"}]','   ','2013-03-01 10:09:00',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:36:52',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,1,0,2,'','','','',275,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(223,'Rolling Stones on North American Tour','rolling-stones-on-north-american-tour',33,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 17:24:39',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:41:09',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,1,0,1,'Rolling Stones added more tour dates to their North American Tour','','','',8,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(220,'HTDA: New Trent Reznor Project','htda-new-trent-reznor-project',32,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 16:48:41',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:38:16',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,1,0,2,'','','','',4,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(221,'Ryan Tedder the mastermind hits','ryan-tedder-the-mastermind-hits',32,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 16:48:44',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:37:38',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,2,0,2,'','','','',9,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(222,'Bono larger than life personality','bono-larger-than-life-personality',32,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 16:48:49',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:37:17',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,3,0,1,'','','','',16,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(224,'30 Seconds to Mars “Up in the Air”','30-seconds-to-mars-up-in-the-air',33,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 17:26:14',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:40:49',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,2,0,1,'The new 30 Seconds to Mars music video for the song “Up in the Air” ','','','',6,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(225,'Blue Wave set for Saturday','blue-wave-set-for-saturday',33,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 17:26:18',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:40:30',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,3,0,1,'Bono with his soaring voice and larger-than-life personality','','','',5,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(228,'Reznor turns Mariqueen in star','reznor-turns-mariqueen-in-star',34,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 17:45:23',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:42:13',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,3,0,2,'','','','',7,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(226,'\"It\'s been a long time since i\'ve want...\"','it-s-been-a-long-time-since-i-ve-want',33,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 17:26:21',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:38:46',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,4,0,2,'\"It\'s been a long time since I\'ve been able to say this. Berkeley, California!\"','','','',12,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(227,'Sweet voice stage named Joss Stone','sweet-voice-stage-named-joss-stone',34,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 17:45:02',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:42:34',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,4,0,2,'','','','',4,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(219,'Valora \"I Waited For You\" video','valora-i-waited-for-you-video',32,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[]','','2013-04-30 16:46:47',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:37:57',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,4,0,2,'','','','',3,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(231,'Here I am waiting I\'ll have to leave soon','here-i-am-waiting-i-ll-have-to-leave-soon',31,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[{\"id\":\"5\",\"value\":\"\"},{\"id\":\"6\",\"value\":\"\"},{\"id\":\"7\",\"value\":\"\"}]','   ','2013-04-30 18:58:50',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:36:31',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,2,0,2,'','','','',4,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(232,'Nearly three dozen guitar virtuosos perform','nearly-three-dozen-guitar-virtuosos-perform',31,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[{\"id\":\"5\",\"value\":\"\"},{\"id\":\"6\",\"value\":\"\"},{\"id\":\"7\",\"value\":\"\"}]','   ','2013-04-30 18:58:55',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:36:10',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,3,0,2,'','','','',5,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*'),(233,'Feat. Pitbull & Havana Brown Single Premiereft','feat-pitbull-havana-brown-single-premiereft',31,1,'<p>The Wanted\'s fans have been taking to Twitter to hail praise the band\'s new single \'Walks Like Rihanna\' as \"perfect\" and \"beautiful\" after it was exclusively played for the first time on Capital FM this morning (29th April).<p>\r\n','\r\n<p>Jay, Max, Tom, Nathan and Siva\'s new track is the first to be taken from their brand new album and is released in June. The song was trending number one worldwide as fans anticipated the first play on Capital and have been bombarding the social networking account with their praise for the song.</p>\r\n<p>The group have been busy working on their latest album in 2013 and will also be starring in their E! Reality TV series \'The Wanted Life\' this summer. The video for the new track will also be premiered for the first time on 7th May.</p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<div class=\"gkblock-1\">\r\n	<img src=\"images/demo/baatle.jpg\" alt=\"\" align=\"right\" style=\"margin-left: 16px\"/>\r\n	<h5><i class=\"icon-music\"></i>Popular Songs</h5>\r\n	<small>Glad You Came, Lightning, Warzone, Invincible, Last to Know, I\'ll Be Your Strength, Rocket, I Want It All, The Weekend, Lie to Me, Gold Forever, Dagger, Rock Your Body, Turn It Off, Where I Belong</small>\r\n</div>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim. </p>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<blockquote><div class=\"gkBlockquote4\"><div>The most amazing yet down-to-earth chilled back boys I\'ve ever seen! I\'ve only recently taken a liking to them ... they are just too diffrent compared in the music industry!  </div></div></blockquote>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Aenean augue lectus, congue quis cursus vel, vestibulum a velit. Fusce sollicitudin auctor dolor a facilisis. Praesent ultrices, mauris ac luctus volutpat, risus lacus pulvinar orci, ac mattis leo enim a nunc. Fusce nulla nunc, molestie vitae accumsan ac, dignissim.</p>',NULL,NULL,'[{\"id\":\"5\",\"value\":\"\"},{\"id\":\"6\",\"value\":\"\"},{\"id\":\"7\",\"value\":\"\"}]','   ','2013-04-30 18:59:02',838,'',0,'0000-00-00 00:00:00','2013-04-30 21:35:44',838,'2013-02-01 00:00:00','0000-00-00 00:00:00',0,1,4,0,2,'','','','',12,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"0\",\"itemVideoAnchor\":\"0\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"0\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','{\"k2storeitem_price\":\"354\",\"k2storeitem_tax\":\"1\",\"k2storeitem_shipping\":\"1\"}','*');


--
-- Table structure for table `#__k2_rating`
--



CREATE TABLE `#__k2_rating` (
  `itemID` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(11) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(11) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_rating`
--


INSERT INTO `#__k2_rating` (`itemID`, `rating_sum`, `rating_count`, `lastip`) VALUES (1,5,1,'93.108.248.29'),(2,5,1,'93.108.248.29'),(3,8,2,'83.4.217.228'),(4,5,1,'93.108.248.29'),(11,5,1,'79.169.211.170'),(12,9,2,'80.51.169.8'),(7,5,1,'79.169.211.170'),(15,5,1,'93.108.248.29'),(14,4,1,'93.108.248.29'),(19,5,1,'93.108.248.29'),(16,5,1,'79.169.211.170'),(18,4,1,'79.169.211.170'),(17,4,1,'79.169.211.170'),(23,4,1,'79.169.211.170'),(22,4,1,'79.169.211.170'),(21,4,1,'79.169.211.170'),(20,5,1,'93.108.248.29'),(28,4,1,'93.108.248.29'),(6,4,1,'93.108.248.29'),(30,5,1,'93.108.248.29'),(29,5,1,'80.51.169.8'),(31,5,1,'95.93.13.97'),(32,5,1,'95.93.13.97'),(34,4,1,'95.93.13.97'),(38,4,1,'93.108.248.29'),(37,5,1,'93.108.248.29'),(33,5,1,'93.108.248.29'),(35,2,1,'80.51.169.8'),(42,4,1,'80.51.169.8'),(46,4,1,'95.93.13.97'),(43,9,2,'95.93.13.97'),(48,4,1,'95.93.13.97'),(36,5,1,'95.93.13.97'),(40,4,1,'95.93.13.97'),(50,5,1,'95.93.13.97'),(49,5,1,'95.93.13.97'),(54,4,1,'95.93.13.97'),(58,4,1,'95.93.13.97'),(45,5,1,'95.93.13.97'),(60,5,1,'95.93.13.97'),(55,4,1,'95.93.13.97'),(67,4,1,'95.93.13.97'),(59,5,1,'95.93.13.97'),(71,13,3,'80.51.169.8'),(80,4,1,'95.93.13.97'),(86,9,2,'93.108.248.29'),(72,5,1,'95.93.13.97'),(73,5,1,'95.93.13.97'),(77,4,1,'95.93.13.97'),(76,5,1,'95.93.13.97'),(75,5,1,'95.93.13.97'),(87,4,1,'95.93.13.97'),(84,5,1,'95.93.13.97'),(82,5,1,'95.93.13.97'),(81,5,1,'95.93.13.97'),(79,4,1,'95.93.13.97'),(78,5,1,'95.93.13.97'),(85,5,1,'93.108.248.29'),(83,5,1,'95.93.13.97'),(95,5,1,'95.93.13.97'),(92,5,1,'95.93.13.97'),(99,5,1,'95.93.13.97'),(104,5,1,'95.93.13.97'),(103,4,1,'95.93.13.97'),(102,5,1,'95.93.13.97'),(94,4,1,'95.93.13.97'),(93,4,1,'95.93.13.97'),(107,5,1,'95.93.13.97'),(96,5,1,'93.108.248.29'),(98,5,1,'79.169.180.8'),(97,5,1,'95.93.13.97'),(100,5,1,'95.93.13.97'),(109,5,1,'95.93.13.97'),(110,44,10,'176.111.20.37'),(112,9,2,'79.169.209.160'),(142,8,2,'79.169.209.160'),(127,5,1,'89.214.114.235'),(132,5,1,'217.98.68.118'),(156,9,2,'79.169.209.160'),(137,10,2,'176.111.20.37'),(136,13,3,'79.169.209.160'),(151,3,1,'92.250.59.141'),(150,3,1,'92.250.59.141'),(115,5,1,'92.250.59.141'),(139,4,1,'92.250.59.141'),(144,5,1,'217.98.68.118'),(124,9,2,'92.250.90.178'),(143,4,1,'92.250.90.178'),(114,5,1,'92.250.90.178'),(119,4,1,'92.250.90.178'),(113,5,1,'92.250.90.178'),(147,4,1,'176.111.20.35'),(155,12,3,'79.169.209.160'),(154,5,1,'79.169.209.160'),(190,15,3,'79.169.209.160'),(180,5,1,'109.49.205.43'),(179,5,1,'109.49.205.43'),(185,4,1,'176.111.20.37'),(182,5,1,'79.169.209.160'),(183,5,1,'79.169.209.160'),(188,5,1,'79.169.209.160'),(135,5,1,'79.169.209.160'),(186,3,1,'79.169.209.160'),(140,2,1,'79.169.209.160'),(184,1,1,'79.169.209.160'),(176,5,1,'79.169.209.160'),(178,2,1,'79.169.209.160'),(174,5,1,'79.169.209.160'),(170,5,1,'79.169.209.160'),(172,5,1,'79.169.209.160'),(167,2,1,'79.169.209.160'),(165,5,1,'79.169.209.160'),(191,4,1,'79.169.209.160'),(187,5,1,'79.169.209.160'),(175,4,1,'176.111.20.37'),(181,4,1,'176.111.20.37'),(171,4,1,'176.111.20.37'),(192,5,1,'93.108.248.29'),(201,5,1,'79.169.209.160'),(205,5,1,'176.111.20.37'),(208,5,1,'176.111.20.37'),(218,9,2,'93.108.248.29'),(226,5,1,'93.108.248.29'),(230,5,1,'93.108.248.29'),(232,3,1,'176.111.20.37');


--
-- Table structure for table `#__k2_tags`
--



CREATE TABLE `#__k2_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `published` (`published`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=1075 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_tags`
--


INSERT INTO `#__k2_tags` (`id`, `name`, `published`) VALUES (1054,'U2',1),(1055,'HTDA',1),(1053,'Bono',1),(1049,'music',1),(1050,'album',1),(1052,'rock',1),(1057,'Ryan Tedder',1),(1058,'Performance',1),(1059,'Live',1),(1060,'Concert',1),(1061,'Valora',1),(1062,'Video',1),(1063,'Blue Wave',1),(1064,'Saturday',1),(1065,'Green day',1),(1066,'30 Seconds to Mars',1),(1068,'Band',1),(1069,'Tour',1),(1071,'Career',1),(1072,'Track List',1),(1073,'Joss Stone',1),(1074,'Star',1);


--
-- Table structure for table `#__k2_tags_xref`
--



CREATE TABLE `#__k2_tags_xref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tagID` int(11) NOT NULL,
  `itemID` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tagID` (`tagID`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM AUTO_INCREMENT=13376 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_tags_xref`
--


INSERT INTO `#__k2_tags_xref` (`id`, `tagID`, `itemID`) VALUES (13375,1074,227),(13301,1064,225),(13300,1063,225),(13247,1054,222),(13246,1053,222),(13374,1069,227),(13231,1049,231),(13273,1062,219),(13313,1060,224),(13272,1060,219),(13312,1062,224),(13311,1066,224),(13271,1061,219),(13261,1060,221),(13260,1059,221),(13310,1052,224),(13309,1050,224),(13323,1069,223),(13322,1060,223),(13270,1049,219),(13321,1068,223),(13320,1049,223),(13319,1052,223),(13269,1050,219),(13268,1052,219),(13281,1055,220),(13245,1052,222),(13244,1050,222),(13243,1049,222),(13230,1050,231),(13237,1052,218),(13236,1050,218),(13345,1072,229),(13235,1049,218),(13229,1052,231),(13359,1071,228),(13358,1069,228),(13373,1071,227),(13372,1073,227),(13333,1069,230),(13332,1060,230),(13331,1052,230),(13330,1050,230),(13329,1049,230),(13344,1050,229),(13343,1069,229),(13342,1071,229),(13341,1049,229),(13340,1060,229),(13357,1074,228),(13356,1060,228),(13355,1052,228),(13354,1050,228),(13353,1049,228),(13371,1049,227),(13370,1050,227),(13369,1052,227),(13368,1060,227),(13291,1060,226),(13290,1065,226),(13289,1052,226),(13288,1050,226),(13287,1049,226),(13299,1052,225),(13298,1050,225),(13297,1049,225),(13308,1049,224),(13259,1058,221),(13258,1057,221),(13257,1052,221),(13256,1050,221),(13255,1049,221),(13280,1052,220),(13279,1050,220),(13278,1049,220),(13225,1049,232),(13224,1050,232),(13223,1052,232),(13219,1060,233),(13218,1049,233),(13217,1050,233),(13216,1052,233);


--
-- Table structure for table `#__k2_user_groups`
--



CREATE TABLE `#__k2_user_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `permissions` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_user_groups`
--


INSERT INTO `#__k2_user_groups` (`id`, `name`, `permissions`) VALUES (1,'Registered','{\"comment\":\"1\",\"frontEdit\":\"0\",\"add\":\"0\",\"editOwn\":\"0\",\"editAll\":\"0\",\"publish\":\"0\",\"inheritance\":0,\"categories\":\"all\"}'),(2,'Site Owner','{\"comment\":\"1\",\"frontEdit\":\"1\",\"add\":\"1\",\"editOwn\":\"1\",\"editAll\":\"1\",\"publish\":\"1\",\"inheritance\":1,\"categories\":\"all\"}');


--
-- Table structure for table `#__k2_users`
--



CREATE TABLE `#__k2_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) DEFAULT NULL,
  `gender` enum('m','f') NOT NULL DEFAULT 'm',
  `description` text NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `group` int(11) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `ip` varchar(15) NOT NULL,
  `hostname` varchar(255) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userID` (`userID`),
  KEY `group` (`group`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_users`
--


INSERT INTO `#__k2_users` (`id`, `userID`, `userName`, `gender`, `description`, `image`, `url`, `group`, `plugins`, `ip`, `hostname`, `notes`) VALUES (19,0,NULL,'m','',NULL,NULL,1,'','176.111.20.37','ip-176-111-20-37.himax.com.pl',''),(20,838,'Super User','m','Nulla vitae elit libero, a pharetra augue. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Nullam quis risus eget urna mollis ornare vel eu leo.',NULL,'',1,'','176.111.20.37','ip-176-111-20-37.himax.com.pl',''),(4,0,NULL,'m','',NULL,NULL,1,'','93.108.248.29','29.248.108.93.rev.vodafone.pt',''),(7,0,NULL,'m','',NULL,NULL,1,'','95.93.13.97','a95-93-13-97.cpe.netcabo.pt',''),(5,0,NULL,'m','',NULL,NULL,1,'','78.30.90.149','ip-78-30-90-149.multi.internet.cyfrowypolsat.pl',''),(6,0,NULL,'m','',NULL,NULL,1,'','95.93.13.97','a95-93-13-97.cpe.netcabo.pt',''),(8,0,NULL,'m','',NULL,NULL,1,'','93.108.248.29','29.248.108.93.rev.vodafone.pt',''),(9,0,NULL,'m','',NULL,NULL,1,'','195.74.50.129','gw.ms.lnet.pl',''),(10,0,NULL,'m','',NULL,NULL,1,'','176.111.20.37','ip-176-111-20-37.himax.com.pl',''),(11,0,NULL,'m','',NULL,NULL,1,'','195.74.50.129','gw.ms.lnet.pl',''),(15,0,NULL,'m','',NULL,NULL,1,'','195.74.48.244','nat8.ms.lnet.pl',''),(16,0,NULL,'m','',NULL,NULL,1,'','176.111.20.37','ip-176-111-20-37.himax.com.pl',''),(17,0,NULL,'m','',NULL,NULL,1,'','176.111.20.37','ip-176-111-20-37.himax.com.pl',''),(18,0,NULL,'m','',NULL,NULL,1,'','176.111.20.37','ip-176-111-20-37.himax.com.pl',''),(14,0,NULL,'m','',NULL,NULL,1,'','176.111.20.37','ip-176-111-20-37.himax.com.pl','');


--
-- Table structure for table `#__k2store_address`
--



CREATE TABLE `#__k2store_address` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `first_name` varchar(255) NOT NULL,
  `last_name` varchar(255) NOT NULL,
  `address_1` varchar(255) NOT NULL,
  `address_2` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `zip` varchar(255) NOT NULL,
  `state` varchar(255) NOT NULL,
  `country` varchar(255) NOT NULL,
  `phone_1` varchar(255) NOT NULL,
  `phone_2` varchar(255) NOT NULL,
  `fax` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2store_address`
--


INSERT INTO `#__k2store_address` (`id`, `user_id`, `first_name`, `last_name`, `address_1`, `address_2`, `city`, `zip`, `state`, `country`, `phone_1`, `phone_2`, `fax`) VALUES (1,42,'test','test','testsetset','','Krjnasd','33333','','Poland','1234567','','');


--
-- Table structure for table `#__k2store_mycart`
--



CREATE TABLE `#__k2store_mycart` (
  `cart_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `session_id` varchar(200) NOT NULL,
  `product_id` int(11) NOT NULL,
  `vendor_id` int(11) NOT NULL,
  `product_attributes` text NOT NULL COMMENT 'A CSV of productattributeoption_id values, always in numerical order',
  `product_qty` int(11) NOT NULL DEFAULT '1',
  `last_updated` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `cartitem_params` text COMMENT 'Params for the cart item',
  PRIMARY KEY (`cart_id`),
  KEY `idx_user_product` (`user_id`,`product_id`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


--
-- Dumping data for table `#__k2store_mycart`
--


INSERT INTO `#__k2store_mycart` (`cart_id`, `user_id`, `session_id`, `product_id`, `vendor_id`, `product_attributes`, `product_qty`, `last_updated`, `cartitem_params`) VALUES (1,0,'b1c30d98b6be2edc2d709a07c37a5be3',71,0,',',3,'2012-04-27 01:53:40',NULL),(2,0,'b1c30d98b6be2edc2d709a07c37a5be3',71,0,'3',5,'2012-04-27 02:04:46',NULL),(14,0,'5e2d2543649a5670768dec70187010c6',71,0,'2',3,'2012-04-28 05:01:08',NULL),(4,0,'3a7a193717845f8308a80420ab12c53f',71,0,'2',1,'2012-04-27 02:10:08',NULL),(15,0,'eef2adc97cac88743571956633a5398b',71,0,'2',1,'2012-04-28 07:35:49',NULL),(9,0,'916697fe29b7d04e87d28467fa7484a4',71,0,'2',18,'2012-04-27 03:37:43',NULL),(10,0,'916697fe29b7d04e87d28467fa7484a4',71,0,'3',20,'2012-04-27 03:04:27',NULL),(26,0,'8950b9356146e31592f562ccaa543c33',110,0,'',1,'2012-07-05 04:03:41',NULL),(28,42,'476662b467bc91c7492318bf0e14a0b1',110,0,'',29,'2012-07-05 04:57:15',NULL),(29,0,'658e569fe4ec8aadd3a8917d875cea69',110,0,'',1,'2012-07-05 09:49:35',NULL);


--
-- Table structure for table `#__k2store_orderitemattributes`
--



CREATE TABLE `#__k2store_orderitemattributes` (
  `orderitemattribute_id` int(11) NOT NULL AUTO_INCREMENT,
  `orderitem_id` int(11) NOT NULL,
  `productattributeoption_id` int(11) NOT NULL,
  `orderitemattribute_name` varchar(255) NOT NULL,
  `orderitemattribute_price` decimal(12,5) NOT NULL,
  `orderitemattribute_code` varchar(255) NOT NULL,
  `orderitemattribute_prefix` varchar(1) NOT NULL,
  PRIMARY KEY (`orderitemattribute_id`),
  KEY `productattribute_id` (`productattributeoption_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2store_orderitemattributes`
--


INSERT INTO `#__k2store_orderitemattributes` (`orderitemattribute_id`, `orderitem_id`, `productattributeoption_id`, `orderitemattribute_name`, `orderitemattribute_price`, `orderitemattribute_code`, `orderitemattribute_prefix`) VALUES (1,1,3,'Hot Dish','0.00000','','+'),(2,2,2,'Frozen Dish','0.00000','','+');


--
-- Table structure for table `#__k2store_orderitems`
--



CREATE TABLE `#__k2store_orderitems` (
  `orderitem_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `product_id` int(11) DEFAULT NULL,
  `orderitem_attributes` text NOT NULL COMMENT 'A CSV of productattributeoption_id values, always in numerical order',
  `orderitem_attribute_names` text NOT NULL COMMENT 'A CSV of productattributeoption_name values',
  `orderitem_sku` varchar(64) NOT NULL DEFAULT '',
  `orderitem_name` varchar(64) NOT NULL DEFAULT '',
  `orderitem_quantity` int(11) DEFAULT NULL,
  `orderitem_price` decimal(15,5) NOT NULL DEFAULT '0.00000' COMMENT 'Base price of the item',
  `orderitem_attributes_price` varchar(64) NOT NULL COMMENT 'The increase or decrease in price per item as a result of attributes. Includes + or - sign',
  `orderitem_discount` decimal(15,5) NOT NULL DEFAULT '0.00000' COMMENT 'Coupon discount applied to each item',
  `orderitem_final_price` decimal(15,5) NOT NULL DEFAULT '0.00000' COMMENT 'Price of item inclusive of quantity, attributes, tax, and shipping',
  `orderitem_tax` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `orderitem_shipping` decimal(12,5) NOT NULL DEFAULT '0.00000',
  `orderitem_shipping_tax` decimal(12,5) NOT NULL DEFAULT '0.00000',
  `orderitem_status` char(1) DEFAULT NULL,
  `modified_date` datetime NOT NULL COMMENT 'GMT',
  PRIMARY KEY (`orderitem_id`),
  KEY `idx_order_item_order_id` (`order_id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2store_orderitems`
--


INSERT INTO `#__k2store_orderitems` (`orderitem_id`, `order_id`, `product_id`, `orderitem_attributes`, `orderitem_attribute_names`, `orderitem_sku`, `orderitem_name`, `orderitem_quantity`, `orderitem_price`, `orderitem_attributes_price`, `orderitem_discount`, `orderitem_final_price`, `orderitem_tax`, `orderitem_shipping`, `orderitem_shipping_tax`, `orderitem_status`, `modified_date`) VALUES (1,1335611456,71,'3','Delivery Method: Hot Dish','','Roast Turkey Dinner',24,'50.00000','+0.00000','0.00000','1200.00000','0.00000','0.00000','0.00000',NULL,'2012-04-28 11:10:56'),(2,1335611456,71,'2','Delivery Method: Frozen Dish','','Roast Turkey Dinner',5,'50.00000','+0.00000','0.00000','250.00000','0.00000','0.00000','0.00000',NULL,'2012-04-28 11:10:56'),(3,1341491128,94,'','','','',1,'0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000',NULL,'2012-07-05 12:25:28'),(4,1341491128,99,'','','','',1,'0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000',NULL,'2012-07-05 12:25:28'),(5,1341491128,102,'','','','',1,'0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000',NULL,'2012-07-05 12:25:28'),(6,1341491128,104,'','','','Pinarello unveil new Dogma 65.1 Think 2 frame',1,'4.85000','0.00000','0.00000','4.85000','0.00000','0.00000','0.00000',NULL,'2012-07-05 12:25:28'),(7,1341491128,110,'','','','Trinity Composite W\'s lightweight',16,'354.00000','0.00000','0.00000','5664.00000','130272.00000','0.00000','0.00000',NULL,'2012-07-05 12:25:28');


--
-- Table structure for table `#__k2store_orders`
--



CREATE TABLE `#__k2store_orders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` varchar(255) NOT NULL DEFAULT '',
  `shipping_method_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `orderpayment_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'Element name of payment plugin',
  `orderpayment_amount` decimal(15,5) DEFAULT '0.00000',
  `orderpayment_tax` decimal(15,5) DEFAULT '0.00000',
  `order_total` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `order_subtotal` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `order_tax` decimal(10,2) NOT NULL DEFAULT '0.00',
  `order_shipping` decimal(10,2) NOT NULL,
  `order_discount` decimal(10,2) NOT NULL,
  `transaction_id` varchar(255) NOT NULL DEFAULT '',
  `transaction_status` varchar(255) NOT NULL DEFAULT '',
  `transaction_details` text NOT NULL,
  `created_date` datetime NOT NULL COMMENT 'GMT',
  `order_state` varchar(255) NOT NULL,
  `order_state_id` int(11) NOT NULL,
  `paypal_status` varchar(255) NOT NULL,
  `ip_address` varchar(255) NOT NULL,
  `customer_note` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2store_orders`
--


INSERT INTO `#__k2store_orders` (`id`, `order_id`, `shipping_method_id`, `user_id`, `orderpayment_type`, `orderpayment_amount`, `orderpayment_tax`, `order_total`, `order_subtotal`, `order_tax`, `order_shipping`, `order_discount`, `transaction_id`, `transaction_status`, `transaction_details`, `created_date`, `order_state`, `order_state_id`, `paypal_status`, `ip_address`, `customer_note`) VALUES (1,'1335611456',0,42,'payment_offline','1450.00000','0.00000','1450.00000','1450.00000','0.00','0.00','0.00','','Pending Payment','moneyorder','2012-04-28 11:10:56','Pending',4,'','80.51.169.8',''),(2,'1341491128',0,42,'payment_offline','135940.85000','0.00000','135940.85000','5668.85000','130272.00','0.00','0.00','','Pending Payment','cod','2012-07-05 12:25:28','Pending',4,'','217.98.68.118','');


--
-- Table structure for table `#__k2store_productattributeoptions`
--



CREATE TABLE `#__k2store_productattributeoptions` (
  `productattributeoption_id` int(11) NOT NULL AUTO_INCREMENT,
  `productattribute_id` int(11) NOT NULL,
  `productattributeoption_name` varchar(255) NOT NULL,
  `productattributeoption_price` decimal(12,5) NOT NULL,
  `productattributeoption_code` varchar(255) NOT NULL,
  `productattributeoption_prefix` varchar(1) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`productattributeoption_id`),
  KEY `productattribute_id` (`productattribute_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2store_productattributeoptions`
--


INSERT INTO `#__k2store_productattributeoptions` (`productattributeoption_id`, `productattribute_id`, `productattributeoption_name`, `productattributeoption_price`, `productattributeoption_code`, `productattributeoption_prefix`, `ordering`) VALUES (2,3,'Frozen Dish','0.00000','','+',1),(3,3,'Hot Dish','0.00000','','+',2);


--
-- Table structure for table `#__k2store_productattributes`
--



CREATE TABLE `#__k2store_productattributes` (
  `productattribute_id` int(11) NOT NULL AUTO_INCREMENT,
  `productattribute_name` varchar(255) NOT NULL,
  `product_id` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`productattribute_id`),
  KEY `product_id` (`product_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2store_productattributes`
--


INSERT INTO `#__k2store_productattributes` (`productattribute_id`, `productattribute_name`, `product_id`, `ordering`) VALUES (3,'Delivery Method',71,1);


--
-- Table structure for table `#__k2store_shippingmethods`
--



CREATE TABLE `#__k2store_shippingmethods` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `shipping_method_name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `published` tinyint(1) NOT NULL,
  `shipping_method_type` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


--
-- Dumping data for table `#__k2store_shippingmethods`
--




--
-- Table structure for table `#__k2store_shippingrates`
--



CREATE TABLE `#__k2store_shippingrates` (
  `shipping_rate_id` int(11) NOT NULL AUTO_INCREMENT,
  `shipping_method_id` int(11) NOT NULL,
  `shipping_rate_price` decimal(12,5) NOT NULL,
  `shipping_rate_weight_start` decimal(11,3) NOT NULL,
  `shipping_rate_weight_end` decimal(11,3) NOT NULL,
  `shipping_rate_handling` decimal(12,5) NOT NULL,
  `created_date` datetime NOT NULL COMMENT 'GMT Only',
  `modified_date` datetime NOT NULL COMMENT 'GMT Only',
  PRIMARY KEY (`shipping_rate_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2store_shippingrates`
--




--
-- Table structure for table `#__k2store_taxprofiles`
--



CREATE TABLE `#__k2store_taxprofiles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `taxprofile_name` varchar(255) NOT NULL,
  `tax_percent` decimal(10,5) NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2store_taxprofiles`
--


INSERT INTO `#__k2store_taxprofiles` (`id`, `taxprofile_name`, `tax_percent`, `published`) VALUES (1,'23%','23.00000',1);


--
-- Table structure for table `#__languages`
--



CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_ordering` (`ordering`),
  KEY `idx_access` (`access`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__languages`
--


INSERT INTO `#__languages` (`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES (1,'en-GB','English (UK)','English (UK)','en','en','','','','',1,0,1);


--
-- Table structure for table `#__menu`
--



CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `ordering` int(11) NOT NULL DEFAULT '0' COMMENT 'The relative ordering of the menu item in the tree.',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned DEFAULT NULL,
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(333)),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=692 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__menu`
--


INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES (1,'','Menu_Item_Root','root','','','','',1,0,0,0,0,0,'0000-00-00 00:00:00',0,0,'',0,'',0,273,0,'*',0),(2,'menu','com_banners','Banners','','Banners','index.php?option=com_banners','component',0,1,1,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',3,12,0,'*',1),(3,'menu','com_banners','Banners','','Banners/Banners','index.php?option=com_banners','component',0,2,2,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',4,5,0,'*',1),(4,'menu','com_banners_categories','Categories','','Banners/Categories','index.php?option=com_categories&extension=com_banners','component',0,2,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:banners-cat',0,'',6,7,0,'*',1),(5,'menu','com_banners_clients','Clients','','Banners/Clients','index.php?option=com_banners&view=clients','component',0,2,2,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners-clients',0,'',8,9,0,'*',1),(6,'menu','com_banners_tracks','Tracks','','Banners/Tracks','index.php?option=com_banners&view=tracks','component',0,2,2,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners-tracks',0,'',10,11,0,'*',1),(7,'menu','com_contact','Contacts','','Contacts','index.php?option=com_contact','component',0,1,1,8,0,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',97,102,0,'*',1),(8,'menu','com_contact','Contacts','','Contacts/Contacts','index.php?option=com_contact','component',0,7,2,8,0,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',98,99,0,'*',1),(9,'menu','com_contact_categories','Categories','','Contacts/Categories','index.php?option=com_categories&extension=com_contact','component',0,7,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:contact-cat',0,'',100,101,0,'*',1),(10,'menu','com_messages','Messaging','','Messaging','index.php?option=com_messages','component',0,1,1,15,0,0,'0000-00-00 00:00:00',0,0,'class:messages',0,'',103,108,0,'*',1),(11,'menu','com_messages_add','New Private Message','','Messaging/New Private Message','index.php?option=com_messages&task=message.add','component',0,10,2,15,0,0,'0000-00-00 00:00:00',0,0,'class:messages-add',0,'',104,105,0,'*',1),(12,'menu','com_messages_read','Read Private Message','','Messaging/Read Private Message','index.php?option=com_messages','component',0,10,2,15,0,0,'0000-00-00 00:00:00',0,0,'class:messages-read',0,'',106,107,0,'*',1),(13,'menu','com_newsfeeds','News Feeds','','News Feeds','index.php?option=com_newsfeeds','component',0,1,1,17,0,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',111,116,0,'*',1),(14,'menu','com_newsfeeds_feeds','Feeds','','News Feeds/Feeds','index.php?option=com_newsfeeds','component',0,13,2,17,0,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',112,113,0,'*',1),(15,'menu','com_newsfeeds_categories','Categories','','News Feeds/Categories','index.php?option=com_categories&extension=com_newsfeeds','component',0,13,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds-cat',0,'',114,115,0,'*',1),(16,'menu','com_redirect','Redirect','','Redirect','index.php?option=com_redirect','component',0,1,1,24,0,0,'0000-00-00 00:00:00',0,0,'class:redirect',0,'',125,126,0,'*',1),(17,'menu','com_search','Search','','Search','index.php?option=com_search','component',0,1,1,19,0,0,'0000-00-00 00:00:00',0,0,'class:search',0,'',117,118,0,'*',1),(18,'menu','com_weblinks','Weblinks','','Weblinks','index.php?option=com_weblinks','component',0,1,1,21,0,0,'0000-00-00 00:00:00',0,0,'class:weblinks',0,'',119,124,0,'*',1),(19,'menu','com_weblinks_links','Links','','Weblinks/Links','index.php?option=com_weblinks','component',0,18,2,21,0,0,'0000-00-00 00:00:00',0,0,'class:weblinks',0,'',120,121,0,'*',1),(20,'menu','com_weblinks_categories','Categories','','Weblinks/Categories','index.php?option=com_categories&extension=com_weblinks','component',0,18,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:weblinks-cat',0,'',122,123,0,'*',1),(102,'mainmenu','Template','template','','template','index.php?option=com_content&view=category&id=7','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',25,94,0,'*',0),(103,'mainmenu','Features','template-features','','template-features','index.php?option=com_content&view=categories&id=0','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_articles_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',211,224,0,'*',0),(105,'mainmenu','Error page','error-page','','template-features/error-page','?option=non-existing-component','url',1,103,2,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',212,213,0,'*',0),(106,'mainmenu','Offline page','offline-page','','template-features/offline-page','?tmpl=offline','url',1,103,2,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',214,215,0,'*',0),(107,'mainmenu','Module positions','module-positions','','template-features/module-positions','index.php?option=com_content&view=article&id=2','component',1,103,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',216,217,0,'*',0),(113,'mainmenu','Layouts','layouts','','template/layouts','http://www.gavick.com/documentation/joomla-templates/templates-for-joomla-1-6/responsive-layout-2/','url',1,102,2,0,0,0,'0000-00-00 00:00:00',1,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',64,65,0,'*',0),(681,'main','COM_K2','com-k2','','com-k2','index.php?option=com_k2','component',0,1,1,10021,0,0,'0000-00-00 00:00:00',0,1,'../media/k2/assets/images/system/k2_16x16.png',0,'',251,272,0,'',1),(127,'mainmenu','Module variations','module-variations','','template-features/module-variations','index.php?option=com_content&view=article&id=18','component',1,103,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',218,219,0,'*',0),(152,'footmenu','Home','home2','','home2','index.php?Itemid=','alias',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"640\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',13,14,0,'*',0),(468,'footmenu','Contact Us','2012-03-06-18-05-05','','2012-03-06-18-05-05','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',19,20,0,'*',0),(469,'footmenu','Site Map','2012-03-06-18-05-25','','2012-03-06-18-05-25','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',21,22,0,'*',0),(156,'mobile-menu','Home','home-2','','home-2','index.php?option=com_content&view=featured','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"num_leading_articles\":\"1\",\"num_intro_articles\":\"3\",\"num_columns\":\"3\",\"num_links\":\"0\",\"multi_column_order\":\"1\",\"orderby_pri\":\"\",\"orderby_sec\":\"front\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',127,128,0,'*',0),(157,'mobile-menu','Template articles','template-articles','','template-articles','','separator',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',129,140,0,'*',0),(158,'mobile-menu','Typography','typography','','template-articles/typography','index.php?option=com_content&view=article&id=1','component',1,157,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\" demo_typography\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\" demo_typography\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',130,131,0,'*',0),(159,'mobile-menu','Error page','error-page','','template-articles/error-page','?option=non-existing-component','url',1,157,2,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',132,133,0,'*',0),(160,'mobile-menu','Offline page','offline-page','','template-articles/offline-page','?tmpl=offline','url',1,157,2,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',134,135,0,'*',0),(161,'mobile-menu','Messages','messages','','template-articles/messages','index.php?option=com_content&view=article&id=3','component',1,157,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',136,137,0,'*',0),(162,'mobile-menu','Chrome frame','chrome-frame','','template-articles/chrome-frame','index.php?option=com_content&view=article&id=4','component',1,157,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',138,139,0,'*',0),(175,'mobile-menu','Joomla pages I','joomla-pages-i','','joomla-pages-i','','separator',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',141,154,0,'*',0),(176,'mobile-menu','Contact categories','contact-categories','','joomla-pages-i/contact-categories','index.php?option=com_contact&view=categories&id=0','component',1,175,2,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',142,143,0,'*',0),(177,'mobile-menu','Contacts in Category','contacts-in-category','','joomla-pages-i/contacts-in-category','index.php?option=com_contact&view=category&id=10','component',1,175,2,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"0\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"1\",\"show_fax_headings\":\"1\",\"show_suburb_headings\":\"0\",\"show_state_headings\":\"0\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',144,145,0,'*',0),(178,'mobile-menu','Single Contact','single-contact','','joomla-pages-i/single-contact','index.php?option=com_contact&view=contact&id=1','component',1,175,2,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"0\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"0\",\"show_state\":\"0\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',146,147,0,'*',0),(179,'mobile-menu','Weblink single category','weblink-single-category','','joomla-pages-i/weblink-single-category','index.php?option=com_weblinks&view=category&id=13','component',1,175,2,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',148,149,0,'*',0),(180,'mobile-menu','Web Link Categories Link','web-link-categories-link','','joomla-pages-i/web-link-categories-link','index.php?option=com_weblinks&view=categories&id=0','component',1,175,2,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_links_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',150,151,0,'*',0),(181,'mobile-menu','Featured contacts','featured-contacts','','joomla-pages-i/featured-contacts','index.php?option=com_contact&view=featured','component',1,175,2,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',152,153,0,'*',0),(182,'mobile-menu','Joomla Pages II','joomla-pages-ii','','joomla-pages-ii','index.php?Itemid=','separator',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',155,170,0,'*',0),(183,'mobile-menu','News feeds categories list','news-feeds-categories-list','','joomla-pages-ii/news-feeds-categories-list','index.php?option=com_newsfeeds&view=categories&id=0','component',1,182,2,17,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_articles\":\"\",\"show_link\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',156,157,0,'*',0),(184,'mobile-menu','News feeds in a category','news-feeds-in-a-category','','joomla-pages-ii/news-feeds-in-a-category','index.php?option=com_weblinks&view=category&id=13','component',1,182,2,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',158,159,0,'*',0),(185,'mobile-menu','User login','user-login','','joomla-pages-ii/user-login','index.php?option=com_users&view=login','component',1,182,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',160,161,0,'*',0),(186,'mobile-menu','User registration','user-registration','','joomla-pages-ii/user-registration','index.php?option=com_users&view=registration','component',1,182,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',162,163,0,'*',0),(187,'mobile-menu','User profile','user-profile','','joomla-pages-ii/user-profile','index.php?option=com_users&view=profile','component',1,182,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',164,165,0,'*',0),(188,'mobile-menu','User remind','user-remind','','joomla-pages-ii/user-remind','index.php?option=com_users&view=remind','component',1,182,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',166,167,0,'*',0),(189,'mobile-menu','Password reset','password-reset','','joomla-pages-ii/password-reset','index.php?option=com_users&view=reset','component',1,182,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',168,169,0,'*',0),(190,'mobile-menu','Joomla pages III','joomla-pages-iii','','joomla-pages-iii','index.php?Itemid=','separator',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',171,184,0,'*',0),(191,'mobile-menu','Archieved Articles','archieved-articles','','joomla-pages-iii/archieved-articles','index.php?option=com_content&view=archive','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"orderby_sec\":\"alpha\",\"order_date\":\"created\",\"display_num\":\"5\",\"filter_field\":\"hide\",\"introtext_limit\":\"100\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_hits\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',172,173,0,'*',0),(192,'mobile-menu','Single Article','single-article','','joomla-pages-iii/single-article','index.php?option=com_content&view=article&id=4','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',174,175,0,'*',0),(193,'mobile-menu','Categories List','categories-list','','joomla-pages-iii/categories-list','index.php?option=com_content&view=categories&id=0','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_articles_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',176,177,0,'*',0),(194,'mobile-menu','Blog Layout','blog-layout','','joomla-pages-iii/blog-layout','index.php?option=com_content&view=category&layout=blog&id=7','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"2\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',178,179,0,'*',0),(195,'mobile-menu','Category List','category-list','','joomla-pages-iii/category-list','index.php?option=com_content&view=category&id=7','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',180,181,0,'*',0),(196,'mobile-menu','Featured Articles','featured-articles','','joomla-pages-iii/featured-articles','index.php?option=com_content&view=featured','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"num_leading_articles\":\"1\",\"num_intro_articles\":\"3\",\"num_columns\":\"3\",\"num_links\":\"0\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',182,183,0,'*',0),(199,'mainemu','Your Profile','your-profile','','your-profile','index.php?option=com_users&view=profile','component',1,1,1,25,0,0,'0000-00-00 00:00:00',0,2,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',195,196,0,'*',0),(200,'mainemu','Edit Profile','edit-profile','','edit-profile','index.php?option=com_users&view=profile&layout=edit','component',1,1,1,25,0,0,'0000-00-00 00:00:00',0,2,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',197,198,0,'*',0),(201,'mainemu','Create Article','create-article','','create-article','index.php?option=com_content&view=form&layout=edit','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,2,'',0,'{\"enable_category\":\"0\",\"catid\":\"2\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',199,200,0,'*',0),(202,'mainemu','Submit a Web Link','submit-a-web-link','','submit-a-web-link','index.php?option=com_weblinks&view=form&layout=edit','component',1,1,1,21,0,0,'0000-00-00 00:00:00',0,2,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',201,202,0,'*',0),(272,'mainmenu','Page breaks','page-breaks','','template-features/page-breaks','index.php?option=com_content&view=article&id=56','component',1,103,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',220,221,0,'*',0),(263,'mainmenu','Typography','typography','','typography','index.php?option=com_content&view=article&id=1','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',249,250,0,'*',0),(463,'main','K2_MEDIA_MANAGER','k2-media-manager','','com-k2/k2-media-manager','index.php?option=com_k2&view=media','component',0,454,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',118,119,0,'',1),(462,'main','K2_EXTRA_FIELD_GROUPS','k2-extra-field-groups','','com-k2/k2-extra-field-groups','index.php?option=com_k2&view=extrafieldsgroups','component',0,454,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',116,117,0,'',1),(461,'main','K2_EXTRA_FIELDS','k2-extra-fields','','com-k2/k2-extra-fields','index.php?option=com_k2&view=extrafields','component',0,454,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',114,115,0,'',1),(460,'main','K2_USER_GROUPS','k2-user-groups','','com-k2/k2-user-groups','index.php?option=com_k2&view=usergroups','component',0,454,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',112,113,0,'',1),(459,'main','K2_USERS','k2-users','','com-k2/k2-users','index.php?option=com_k2&view=users','component',0,454,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',110,111,0,'',1),(22,'menu','com_joomlaupdate','Joomla! Update','','Joomla! Update','index.php?option=com_joomlaupdate','component',0,1,1,28,0,0,'0000-00-00 00:00:00',0,0,'class:joomlaupdate',0,'',109,110,0,'*',1),(682,'main','K2_ITEMS','k2-items','','com-k2/k2-items','index.php?option=com_k2&view=items','component',0,681,2,10021,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',252,253,0,'',1),(414,'mainmenu','Articles','articles','','template/articles','index.php?option=com_content&view=category&id=32','component',1,102,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"hide\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"alpha\",\"order_date\":\"created\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"display_num\":\"5\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',26,45,0,'*',0),(21,'menu','com_finder','Smart Search','','Smart Search','index.php?option=com_finder','component',0,1,1,27,0,0,'0000-00-00 00:00:00',0,0,'class:finder',0,'',95,96,0,'*',1),(415,'mainmenu','Archived articles','archived-articles','','template/articles/archived-articles','index.php?option=com_content&view=archive','component',1,414,3,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"orderby_sec\":\"alpha\",\"order_date\":\"created\",\"display_num\":\"5\",\"filter_field\":\"hide\",\"introtext_limit\":\"100\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_hits\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',27,34,0,'*',0),(416,'mainmenu','by Title','archived-articles-by-title','','template/articles/archived-articles/archived-articles-by-title','index.php?option=com_content&view=archive','component',1,415,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"orderby_sec\":\"alpha\",\"order_date\":\"created\",\"display_num\":\"5\",\"filter_field\":\"title\",\"introtext_limit\":\"100\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_hits\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"Archived articles sorted by title\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',28,29,0,'*',0),(417,'mainmenu','by Author','archived-articles-by-author','','template/articles/archived-articles/archived-articles-by-author','index.php?option=com_content&view=archive','component',1,415,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"orderby_sec\":\"author\",\"order_date\":\"created\",\"display_num\":\"5\",\"filter_field\":\"author\",\"introtext_limit\":\"100\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_hits\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"Archived articles sorted by author\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',30,31,0,'*',0),(418,'mainmenu','by Hits','archived-articles-by-hits','','template/articles/archived-articles/archived-articles-by-hits','index.php?option=com_content&view=archive','component',1,415,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"orderby_sec\":\"alpha\",\"order_date\":\"created\",\"display_num\":\"5\",\"filter_field\":\"hits\",\"introtext_limit\":\"100\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_hits\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"Archived articles sorted by hits\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',32,33,0,'*',0),(419,'mainmenu','Single Article','single-article','','template/articles/single-article','index.php?option=com_content&view=article&id=67','component',1,414,3,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"Example of the single article\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',35,36,0,'*',0),(420,'mainmenu','List All Categories','list-all-categories','','template/articles/list-all-categories','index.php?option=com_content&view=categories&id=0','component',1,414,3,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"0\",\"categories_description\":\"\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"1\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_articles_cat\":\"1\",\"show_category_title\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"maxLevel\":\"-1\",\"show_empty_categories\":\"1\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"1\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"List of the all categories\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"List of the all categories.\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',37,38,0,'*',0),(421,'mainmenu','Category blog','category-blog','','template/articles/category-blog','index.php?option=com_content&view=category&layout=blog&id=32','component',1,414,3,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"0\",\"show_description\":\"0\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"5\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"1\",\"orderby_pri\":\"\",\"orderby_sec\":\"order\",\"order_date\":\"\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"Category with the blog layout.\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',39,40,0,'*',0),(422,'mainmenu','Category list','category-list','','template/articles/category-list','index.php?option=com_content&view=category&id=32','component',1,414,3,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"0\",\"show_description\":\"0\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"List of the items in the specific category.\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',41,42,0,'*',0),(423,'mainmenu','Featured Articles','featured-articles','','template/articles/featured-articles','index.php?option=com_content&view=featured','component',1,414,3,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"2\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"5\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"List of the featured articles\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',43,44,0,'*',0),(426,'mainmenu','Contacts','contacts','','template/contacts','index.php?option=com_contact&view=categories&id=0','component',1,102,2,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"1\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"show_with_link\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',46,55,0,'*',0),(427,'mainmenu','List All Contact Categories','list-all-contact-categories','','template/contacts/list-all-contact-categories','index.php?option=com_contact&view=categories&id=0','component',1,426,3,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',49,50,0,'*',0),(428,'mainmenu','List Contacts in a Category','list-contacts-in-a-category','','template/contacts/list-contacts-in-a-category','index.php?option=com_contact&view=category&id=10','component',1,426,3,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"initial_sort\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',47,48,0,'*',0),(429,'mainmenu','Featured Contacts','featured-contacts','','template/contacts/featured-contacts','index.php?option=com_contact&view=featured','component',1,426,3,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',51,52,0,'*',0),(430,'mainmenu','Single Contact','single-contact','','template/contacts/single-contact','index.php?option=com_contact&view=contact&id=1','component',1,426,3,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',53,54,0,'*',0),(431,'mainmenu','Newsfeeds','newsfeeds','','template/newsfeeds','index.php?option=com_newsfeeds&view=categories&id=0','component',1,102,2,17,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_articles\":\"\",\"show_link\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',56,63,0,'*',0),(432,'mainmenu','List All News Feed Categories','list-all-news-feed-categories','','template/newsfeeds/list-all-news-feed-categories','index.php?option=com_newsfeeds&view=categories&id=0','component',1,431,3,17,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_articles\":\"\",\"show_link\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',57,58,0,'*',0),(433,'mainmenu','List News Feeds in a Category','list-news-feeds-in-a-category','','template/newsfeeds/list-news-feeds-in-a-category','index.php?option=com_newsfeeds&view=category&id=14','component',1,431,3,17,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_articles\":\"\",\"show_link\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"feed_display_order\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',59,60,0,'*',0),(434,'mainmenu','Single News Feed','single-news-feed','','template/newsfeeds/single-news-feed','index.php?option=com_newsfeeds&view=newsfeed&id=1','component',1,431,3,17,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"feed_display_order\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',61,62,0,'*',0),(435,'mainmenu','Iframe wrapper','iframe-wrapper','','template-features/iframe-wrapper','index.php?option=com_wrapper&view=wrapper','component',1,103,2,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"url\":\"http:\\/\\/www.gavick.com\",\"scrolling\":\"yes\",\"width\":\"100%\",\"height\":\"500\",\"height_auto\":\"1\",\"add_scheme\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',222,223,0,'*',0),(436,'mainmenu','Search','search','','template/search','index.php?option=com_search&view=search&searchword=','component',1,102,2,19,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"search_areas\":\"\",\"show_date\":\"\",\"searchphrase\":\"0\",\"ordering\":\"newest\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',66,71,0,'*',0),(437,'mainmenu','Search','com-search','','template/search/com-search','index.php?option=com_search&view=search&searchword=','component',1,436,3,19,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"search_areas\":\"\",\"show_date\":\"\",\"searchphrase\":\"0\",\"ordering\":\"newest\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"com_search component\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',69,70,0,'*',0),(438,'mainmenu','Smart search','smart-search','','template/search/smart-search','index.php?option=com_finder&view=search&q=&f=','component',1,436,3,27,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_date_filters\":\"\",\"show_advanced\":\"\",\"expand_advanced\":\"\",\"show_description\":\"\",\"description_length\":255,\"show_url\":\"\",\"show_pagination_limit\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"allow_empty_query\":\"0\",\"sort_order\":\"\",\"sort_direction\":\"\",\"show_feed\":\"0\",\"show_feed_text\":\"0\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"com_finder component\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',67,68,0,'*',0),(439,'mainmenu','Weblinks','weblinks','','template/weblinks','index.php?option=com_weblinks&view=categories&id=0','component',1,102,2,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_links_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',72,79,0,'*',0),(440,'mainmenu','List All Web Link Categories','list-all-web-link-categories','','template/weblinks/list-all-web-link-categories','index.php?option=com_weblinks&view=categories&id=0','component',1,439,3,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_links_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',73,74,0,'*',0),(441,'mainmenu','List Web Links in a Category','list-web-links-in-a-category','','template/weblinks/list-web-links-in-a-category','index.php?option=com_weblinks&view=category&id=13','component',1,439,3,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',75,76,0,'*',0),(442,'mainmenu','Submit a Web Link','submit-a-web-link','','template/weblinks/submit-a-web-link','index.php?option=com_weblinks&view=form&layout=edit','component',1,439,3,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',77,78,0,'*',0),(443,'mainmenu','Users','users','','template/users','index.php?option=com_users&view=login','component',1,102,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',80,93,0,'*',0),(444,'mainmenu','Login form','login-form','','template/users/login-form','index.php?option=com_users&view=login','component',1,443,3,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"Sign in\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',81,82,0,'*',0),(445,'mainmenu','User profile','user-profile','','template/users/user-profile','index.php?option=com_users&view=profile','component',1,443,3,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',83,84,0,'*',0),(446,'mainmenu','Edit User Profile','edit-user-profile','','template/users/edit-user-profile','index.php?option=com_users&view=profile&layout=edit','component',1,443,3,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',85,86,0,'*',0),(447,'mainmenu','Registration form','registration-form','','template/users/registration-form','index.php?option=com_users&view=registration','component',1,443,3,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',87,88,0,'*',0),(448,'mainmenu','Username Reminder Request','username-reminder-request','','template/users/username-reminder-request','index.php?option=com_users&view=remind','component',1,443,3,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',91,92,0,'*',0),(449,'mainmenu','Password Reset','password-reset','','template/users/password-reset','index.php?option=com_users&view=reset','component',1,443,3,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',89,90,0,'*',0),(464,'main','K2_INFORMATION','k2-information','','com-k2/k2-information','index.php?option=com_k2&view=info','component',0,454,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',120,121,0,'',1),(683,'main','K2_CATEGORIES','k2-categories','','com-k2/k2-categories','index.php?option=com_k2&view=categories','component',0,681,2,10021,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',254,255,0,'',1),(684,'main','K2_TAGS','k2-tags','','com-k2/k2-tags','index.php?option=com_k2&view=tags','component',0,681,2,10021,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',256,257,0,'',1),(685,'main','K2_COMMENTS','k2-comments','','com-k2/k2-comments','index.php?option=com_k2&view=comments','component',0,681,2,10021,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',258,259,0,'',1),(686,'main','K2_USERS','k2-users','','com-k2/k2-users','index.php?option=com_k2&view=users','component',0,681,2,10021,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',260,261,0,'',1),(687,'main','K2_USER_GROUPS','k2-user-groups','','com-k2/k2-user-groups','index.php?option=com_k2&view=usergroups','component',0,681,2,10021,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',262,263,0,'',1),(688,'main','K2_EXTRA_FIELDS','k2-extra-fields','','com-k2/k2-extra-fields','index.php?option=com_k2&view=extrafields','component',0,681,2,10021,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',264,265,0,'',1),(689,'main','K2_EXTRA_FIELD_GROUPS','k2-extra-field-groups','','com-k2/k2-extra-field-groups','index.php?option=com_k2&view=extrafieldsgroups','component',0,681,2,10021,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',266,267,0,'',1),(498,'topnav','Facebook','2012-03-21-12-46-51','','2012-03-21-12-46-51','https://www.facebook.com/gavickpro','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',185,186,0,'*',0),(499,'topnav','mySpace','2012-03-21-12-47-07','','2012-03-21-12-47-07','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',191,192,0,'*',0),(500,'topnav','Twitter','2012-03-21-12-47-17','','2012-03-21-12-47-17','https://twitter.com/gavickpro','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',187,188,0,'*',0),(501,'topnav','Google+','2012-03-21-12-47-37','','2012-03-21-12-47-37','https://plus.google.com/+gavickpro/','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',189,190,0,'*',0),(612,'footmenu','Opinions','2012-12-25-22-21-11','','2012-12-25-22-21-11','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',23,24,0,'*',0),(614,'footmenu','Terms of Service','2012-12-25-22-22-08','','2012-12-25-22-22-08','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',15,16,0,'*',0),(615,'footmenu','Privacy guidelines','2012-12-25-22-23-17','','2012-12-25-22-23-17','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',17,18,0,'*',0),(616,'footmenu','Help','2012-12-25-22-24-31','','2012-12-25-22-24-31','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',193,194,0,'*',0),(640,'mainmenu','Home','home','','home','index.php?option=com_content&view=featured','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"\",\"num_links\":\"\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',1,2,1,'*',0),(690,'main','K2_MEDIA_MANAGER','k2-media-manager','','com-k2/k2-media-manager','index.php?option=com_k2&view=media','component',0,681,2,10021,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',268,269,0,'',1),(663,'mainmenu','Blog','k2','','k2','','separator',1,1,1,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',225,248,0,'*',0),(667,'mainmenu','Article','k2-item','','k2/k2-item','index.php?option=com_k2&view=item&layout=item&id=218','component',1,663,2,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',226,227,0,'*',0),(668,'mainmenu','Categories','k2-categories','','k2/k2-categories','index.php?option=com_k2&view=itemlist&layout=category&task=&id=','component',1,663,2,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"31\",\"32\",\"33\",\"34\"],\"catCatalogMode\":\"0\",\"theme\":\"default\",\"num_leading_items\":\"4\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"0\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"Large\",\"num_secondary_items\":\"0\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Large\",\"num_links\":\"0\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catFeaturedItems\":\"0\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',228,237,0,'*',0),(669,'mainmenu','Tags','k2-tag','','k2/k2-tag','index.php?option=com_k2&view=itemlist&layout=tag&tag=Concert&task=tag','component',1,663,2,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"tagOrdering\":\"\",\"tagFeedLink\":\"1\",\"tagFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',238,239,0,'*',0),(670,'mainmenu','User page','k2-user-page','','k2/k2-user-page','index.php?option=com_k2&view=itemlist&layout=user&id=838&task=user','component',1,663,2,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"userCategoriesFilter\":[\"31\"],\"userOrdering\":\"rdate\",\"userFeedLink\":\"1\",\"userFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',240,241,0,'*',0),(671,'mainmenu','1 column','k2-items-1-col','','k2/k2-items-1-col','index.php?option=com_k2&view=latest&layout=latest','component',1,663,2,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"source\":\"1\",\"latestItemsCols\":\"1\",\"latestItemsLimit\":\"1\",\"latestItemsDisplayEffect\":\"all\",\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeed\":\"1\",\"categoryIDs\":[\"31\",\"32\",\"33\",\"34\"],\"categoryTitle\":\"0\",\"categoryDescription\":\"0\",\"categoryImage\":\"0\",\"categoryFeed\":\"0\",\"latestItemTitle\":\"1\",\"latestItemTitleLinked\":\"1\",\"latestItemDateCreated\":\"1\",\"latestItemImage\":\"1\",\"latestItemImageSize\":\"Large\",\"latestItemVideo\":\"1\",\"latestItemVideoWidth\":\"\",\"latestItemVideoHeight\":\"\",\"latestItemAudioWidth\":\"\",\"latestItemAudioHeight\":\"\",\"latestItemVideoAutoPlay\":\"0\",\"latestItemIntroText\":\"1\",\"latestItemCategory\":\"1\",\"latestItemTags\":\"0\",\"latestItemReadMore\":\"1\",\"latestItemCommentsAnchor\":\"0\",\"feedLink\":\"1\",\"latestItemK2Plugins\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',242,243,0,'*',0),(672,'mainmenu','2 columns','k2-items-2-cols','','k2/k2-items-2-cols','index.php?option=com_k2&view=latest&layout=latest','component',1,663,2,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"source\":\"1\",\"latestItemsCols\":\"2\",\"latestItemsLimit\":\"2\",\"latestItemsDisplayEffect\":\"all\",\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeed\":\"1\",\"categoryIDs\":[\"32\",\"33\",\"34\",\"31\"],\"categoryTitle\":\"0\",\"categoryDescription\":\"0\",\"categoryImage\":\"0\",\"categoryFeed\":\"0\",\"latestItemTitle\":\"1\",\"latestItemTitleLinked\":\"1\",\"latestItemDateCreated\":\"0\",\"latestItemImage\":\"1\",\"latestItemImageSize\":\"Medium\",\"latestItemVideo\":\"1\",\"latestItemVideoWidth\":\"\",\"latestItemVideoHeight\":\"\",\"latestItemAudioWidth\":\"\",\"latestItemAudioHeight\":\"\",\"latestItemVideoAutoPlay\":\"0\",\"latestItemIntroText\":\"1\",\"latestItemCategory\":\"1\",\"latestItemTags\":\"0\",\"latestItemReadMore\":\"1\",\"latestItemCommentsAnchor\":\"0\",\"feedLink\":\"1\",\"latestItemK2Plugins\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"2\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',244,245,0,'*',0),(673,'mainmenu','New Albums','new-albums','','k2/k2-categories/new-albums','index.php?option=com_k2&view=itemlist&layout=category&task=category&id=31','component',1,668,3,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"31\"],\"singleCatOrdering\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',229,230,0,'*',0),(674,'mainmenu','Band News','band-news','','k2/k2-categories/band-news','index.php?option=com_k2&view=itemlist&layout=category&task=category&id=32','component',1,668,3,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"32\"],\"singleCatOrdering\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',231,232,0,'*',0),(675,'mainmenu','Breaking and Entering','breaking-and-entering','','k2/k2-categories/breaking-and-entering','index.php?option=com_k2&view=itemlist&layout=category&task=category&id=33','component',1,668,3,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"33\"],\"singleCatOrdering\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',233,234,0,'*',0),(676,'mainmenu','Featured Band Events','featured-band-events','','k2/k2-categories/featured-band-events','index.php?option=com_k2&view=itemlist&layout=category&task=&id=','component',1,668,3,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"catCatalogMode\":\"0\",\"theme\":\"default\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',235,236,0,'*',0),(677,'mainmenu','3 columns','k2-items-3-cols','','k2/k2-items-3-cols','index.php?option=com_k2&view=latest&layout=latest','component',1,663,2,10021,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"source\":\"1\",\"latestItemsCols\":\"3\",\"latestItemsLimit\":\"3\",\"latestItemsDisplayEffect\":\"all\",\"userName\":\"0\",\"userImage\":\"0\",\"userDescription\":\"0\",\"userURL\":\"0\",\"userEmail\":\"0\",\"userFeed\":\"0\",\"categoryIDs\":[\"32\",\"33\",\"34\"],\"categoryTitle\":\"0\",\"categoryDescription\":\"0\",\"categoryImage\":\"0\",\"categoryFeed\":\"0\",\"latestItemTitle\":\"1\",\"latestItemTitleLinked\":\"1\",\"latestItemDateCreated\":\"0\",\"latestItemImage\":\"1\",\"latestItemImageSize\":\"Medium\",\"latestItemVideo\":\"1\",\"latestItemVideoWidth\":\"\",\"latestItemVideoHeight\":\"\",\"latestItemAudioWidth\":\"\",\"latestItemAudioHeight\":\"\",\"latestItemVideoAutoPlay\":\"0\",\"latestItemIntroText\":\"1\",\"latestItemCategory\":\"1\",\"latestItemTags\":\"0\",\"latestItemReadMore\":\"1\",\"latestItemCommentsAnchor\":\"0\",\"feedLink\":\"1\",\"latestItemK2Plugins\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\",\"gk_rel\":\"0\"}',246,247,0,'*',0),(691,'main','K2_INFORMATION','k2-information','','com-k2/k2-information','index.php?option=com_k2&view=info','component',0,681,2,10021,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',270,271,0,'',1);


--
-- Table structure for table `#__menu_types`
--



CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__menu_types`
--


INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES (1,'mainmenu','Main Menu','The main menu for the site'),(2,'footmenu','Footer menu',''),(3,'mobile-menu','Mobile menu','Menu for mobile devices'),(4,'mainemu','User Menu',''),(8,'topnav','Top nav','');


--
-- Table structure for table `#__messages`
--



CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__messages`
--




--
-- Table structure for table `#__messages_cfg`
--



CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__messages_cfg`
--




--
-- Table structure for table `#__modules`
--



CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned DEFAULT NULL,
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=663 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__modules`
--


INSERT INTO `#__modules` (`id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES (2,'Login','','',1,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'',1,'*'),(3,'Popular Articles','','',3,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_popular',3,1,'{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(4,'Recently Added Articles','','',4,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_latest',3,1,'{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(6,'Unread Messages','','',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_unread',3,1,'',1,'*'),(7,'Online Users','','',2,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_online',3,1,'',1,'*'),(8,'Toolbar','','',1,'toolbar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_toolbar',3,1,'',1,'*'),(9,'Quick Icons','','',1,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_quickicon',3,1,'',1,'*'),(10,'Logged-in Users','','',2,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_logged',3,1,'{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(12,'Admin Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',3,1,'{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}',1,'*'),(13,'Admin Submenu','','',1,'submenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_submenu',3,1,'',1,'*'),(14,'User Status','','',2,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_status',3,1,'',1,'*'),(15,'Title','','',1,'title',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_title',3,1,'',1,'*'),(66,'Breadcrumbs','','',1,'breadcrumb',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_breadcrumbs',1,0,'{\"showHere\":\"1\",\"showHome\":\"1\",\"homeText\":\"Home\",\"showLast\":\"1\",\"separator\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(68,'Footer menu','','',1,'footer_nav',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"footmenu\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(150,'K2 QuickIcons (admin)','','',99,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_quickicons',3,1,'',1,'*'),(151,'K2 Stats (admin)','','',0,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_stats',3,1,'',1,'*'),(224,'Multilanguage status','','',1,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_multilangstatus',3,1,'{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),(344,'Joomla Version','','',1,'footer',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_version',3,1,'{\"format\":\"short\",\"product\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),(373,'Banner module','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_banners',1,1,'{\"target\":\"1\",\"count\":\"4\",\"cid\":\"0\",\"catid\":[\"\"],\"tag_search\":\"0\",\"ordering\":\"0\",\"header_text\":\"Featured links:\",\"footer_text\":\"Ads by Joomla!\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(421,'Suffix \" advertisement\"','','<p>Aenean lacinia bibendum nulla sed consectetur. Etiam porta sem malesuada magna mollis euismod. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum.</p>',1,'mainbody_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" advertisement\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(449,'Comments','','',1,'tab2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_comments',1,1,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"catfilter\":\"0\",\"comments_limit\":\"3\",\"comments_word_limit\":\"7\",\"commenterName\":\"1\",\"commentAvatar\":\"1\",\"commentAvatarWidthSelect\":\"custom\",\"commentAvatarWidth\":\"50\",\"commentDate\":\"0\",\"commentDateFormat\":\"relative\",\"commentLink\":\"1\",\"itemTitle\":\"0\",\"itemCategory\":\"0\",\"feed\":\"0\",\"commenters_limit\":\"4\",\"commenterNameOrUsername\":\"1\",\"commenterAvatar\":\"1\",\"commenterAvatarWidthSelect\":\"custom\",\"commenterAvatarWidth\":\"50\",\"commenterLink\":\"1\",\"commenterCommentsCounter\":\"1\",\"commenterLatestComment\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(508,'Tag Cloud','','',10,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"7\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"40\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"16\",\"cloud_category\":[\"31\",\"32\",\"33\",\"34\"],\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(507,'Categories','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\"menu \",\"module_usage\":\"4\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"order\",\"categoriesListItemsCounter\":\"0\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":[\"0\"],\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(454,'Menu','','',12,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{\"menutype\":\"footmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"menu\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(460,'Top I','','<p>Maecenas faucibus mollis interdum. Donec id elit non mi porta gravida at eget metus.</p>',1,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(461,'Top II','','<p>Maecenas faucibus mollis interdum. Donec id elit non mi porta gravida at eget metus.</p>',1,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(462,'Top III','','<p>Maecenas faucibus mollis interdum. Donec id elit non mi porta gravida at eget metus.</p>',1,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(493,'Suffix \" dark\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. </p>\r\n<ul>\r\n<li><a href=\"#\">Maecenas faucibus</a></li>\r\n<li><a href=\"#\">Vivamus sagittis.</a></li>\r\n<li><a href=\"#\">Praesent commodo.</a></li>\r\n</ul>',6,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" dark\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(512,'Top navigation','','',1,'topmenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{\"menutype\":\"topnav\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(514,'Social icons','','<a class=\"gkTwitter\" href=\"#\">Twitter</a><a class=\"gkFb\" href=\"#\">Facebook</a><a class=\"gkPinterest\" href=\"#\">Pinterest</a><a class=\"gkGplus\" href=\"#\">Google+</a>',1,'social',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(515,'Search','','',1,'search',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_search',1,1,'{\"label\":\"\",\"width\":\"22\",\"text\":\"\",\"button\":\"\",\"button_pos\":\"right\",\"imagebutton\":\"\",\"button_text\":\"\",\"opensearch\":\"1\",\"opensearch_title\":\"\",\"set_itemid\":\"667\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(517,'User area','','',1,'usermenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{\"menutype\":\"mainemu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\" gkBullet1\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(537,'Suffix \" light\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.</p>\r\n<ul>\r\n<li><a href=\"#\">Maecenas faucibus</a></li>\r\n<li><a href=\"#\">Vivamus sagittis.</a></li>\r\n<li><a href=\"#\">Praesent commodo.</a></li>\r\n</ul>',7,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" light\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(555,'Login','','',0,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',0,'*'),(564,'Archives','','',7,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":[\"0\"],\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(637,'Bottom I','','<p>Maecenas faucibus mollis interdum. Donec id elit non mi porta gravida at eget metus.</p>\r\n<ul>\r\n<li><a href=\"#\">Dapibus Cursus Ornare</a></li>\r\n<li><a href=\"#\">Porta Dapibus Bibendum Mattis</a></li>\r\n<li><a href=\"#\">Cras Ullamcorper</a></li>\r\n<li><a href=\"#\">Ullamcorper Malesuada Dolor</a></li>\r\n</ul>',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(638,'Bottom II','','<p>Maecenas faucibus mollis interdum. Donec id elit non mi porta gravida at eget metus.</p>\r\n<ul>\r\n<li><a href=\"#\">Dapibus Cursus Ornare</a></li>\r\n<li><a href=\"#\">Porta Dapibus Bibendum Mattis</a></li>\r\n<li><a href=\"#\">Cras Ullamcorper</a></li>\r\n<li><a href=\"#\">Ullamcorper Malesuada Dolor</a></li>\r\n</ul>',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(639,'Bottom III','','<p>Maecenas faucibus mollis interdum. Donec id elit non mi porta gravida at eget metus.</p>\r\n<ul>\r\n<li><a href=\"#\">Dapibus Cursus Ornare</a></li>\r\n<li><a href=\"#\">Porta Dapibus Bibendum Mattis</a></li>\r\n<li><a href=\"#\">Cras Ullamcorper</a></li>\r\n<li><a href=\"#\">Ullamcorper Malesuada Dolor</a></li>\r\n</ul>',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(633,'NSP GK5','','',1,'mainbody_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk5',1,1,'{\"moduleclass_sfx\":\"\",\"module_unique_id\":\"\",\"module_mode\":\"normal\",\"use_own_article_format\":\"0\",\"article_format\":\"-1\",\"data_source\":\"k2_all\",\"source_name\":\"com_k2\",\"com_content_categories\":[\"32\"],\"com_content_articles\":\"\",\"k2_articles\":\"\",\"json_file\":\"-1\",\"xml_file\":\"-1\",\"com_virtuemart_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_in\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"full\",\"com_content_comments_source\":\"none\",\"k2_comments_source\":\"k2\",\"vm_itemid\":\"9999\",\"vm_out_of_stock\":\"1\",\"vm_show_price_type\":\"base\",\"vm_show_price_with_tax\":\"0\",\"vm_add_to_cart\":\"0\",\"vm_show_discount_amount\":\"0\",\"vm_show_tax\":\"0\",\"vm_display_type\":\"text_price\",\"portal_mode_news_gallery_amount\":\"9\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"0\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"portal_mode_product_gallery_amount\":\"10\",\"portal_mode_product_gallery_cols\":\"3\",\"portal_mode_product_gallery_nav\":\"1\",\"portal_mode_product_gallery_autoanimation\":\"1\",\"portal_mode_product_gallery_autoanimation_time\":\"5000\",\"portal_mode_news_blocks_cols\":\"2\",\"portal_mode_news_blocks_rows\":\"2\",\"portal_mode_title_overlay_text_pos\":\"top\",\"portal_mode_title_overlay_text_padding\":\"30px\",\"portal_mode_title_overlay_text_bg\":\"transparent\",\"portal_mode_title_overlay_text_width\":\"100\",\"news_full_pages\":\"2\",\"news_column\":\"2\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 16px 10px 0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"2\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"responsive_images\":\"1\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"380\",\"img_height\":\"220\",\"img_margin\":\"0 0 20px 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"0\",\"img_quality\":\"60\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"0\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}',0,'*'),(618,'Banner ','','<p><em>Put your banner here ...</em></p>',1,'bannertop',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(636,'Music & More','','<ul>\r\n<li><a href=\"#\">Search / Browse</a></li>\r\n<li><a href=\"#\">Top Songs / Top Downloads</a></li>\r\n<li><a href=\"#\">Past Features / Albums</a></li>\r\n<li><a href=\"#\">Events</a></li>\r\n<li><a href=\"#\">Record Labels</a></li>\r\n<li><a href=\"#\">Mobile</a></li>\r\n<li><a href=\"#\">Contact Us</a></li>\r\n<li><a href=\"#\">Sitemap</a></li>\r\n<li><a href=\"#\">FAQ</a></li>\r\n<li><a href=\"#\">Feedback</a></li>\r\n</ul>',0,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(642,'Suffix \" color\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. </p>\r\n<ul>\r\n<li><a href=\"#\">Maecenas faucibus</a></li>\r\n<li><a href=\"#\">Vivamus sagittis.</a></li>\r\n<li><a href=\"#\">Praesent commodo.</a></li>\r\n</ul>',6,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" color\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(643,'Image Show GK4','','',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_image_show_gk4',1,1,'{\"automatic_module_id\":\"1\",\"module_id\":\"gk-is-1\",\"moduleclass_sfx\":\"\",\"module_style\":\"gk_rockwall\",\"last_modification\":\"1367357683\",\"image_show_data\":\"[{\\\"name\\\":\\\"Green Day announces US tour\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/rock_is_demo.jpg\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"richard more  new songs:  be brave\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/rock_is_demo.jpg\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Lorem ipsum dolor\\\",\\\"url\\\":\\\"#2\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"We want this party started\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/rock_is_demo.jpg\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"text text text\\\",\\\"url\\\":\\\"#3\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"}]\",\"config\":\"{\\\"gk_appsite1\\\":{\\\"gk_appsite1_image_width\\\":\\\"166\\\",\\\"gk_appsite1_image_height\\\":\\\"166\\\",\\\"gk_appsite1_image_bg\\\":\\\"#000000\\\",\\\"gk_appsite1_quality\\\":\\\"95\\\",\\\"gk_appsite1_show_text_block\\\":\\\"1\\\",\\\"gk_appsite1_text_block_x\\\":\\\"0\\\",\\\"gk_appsite1_text_block_y\\\":\\\"215\\\",\\\"gk_appsite1_text_block_width\\\":\\\"1000\\\",\\\"gk_appsite1_image_y\\\":\\\"65\\\",\\\"gk_appsite1_module_height\\\":\\\"450\\\",\\\"gk_appsite1_pagination\\\":\\\"1\\\",\\\"gk_appsite1_slide_links\\\":\\\"1\\\",\\\"gk_appsite1_animation_speed\\\":\\\"500\\\",\\\"gk_appsite1_animation_interval\\\":\\\"5000\\\",\\\"gk_appsite1_autoanimation\\\":\\\"1\\\"},\\\"gk_appsprotech\\\":{\\\"gk_appsprotech_image_width\\\":\\\"166\\\",\\\"gk_appsprotech_image_height\\\":\\\"166\\\",\\\"gk_appsprotech_image_bg\\\":\\\"#000000\\\",\\\"gk_appsprotech_quality\\\":\\\"95\\\",\\\"gk_appsprotech_show_desc\\\":\\\"1\\\",\\\"gk_appsprotech_show_title\\\":\\\"1\\\",\\\"gk_appsprotech_text_block_y\\\":\\\"0\\\",\\\"gk_appsprotech_title_chars_amount\\\":\\\"20\\\",\\\"gk_appsprotech_desc_chars_amount\\\":\\\"30\\\",\\\"gk_appsprotech_image_y\\\":\\\"65\\\",\\\"gk_appsprotech_module_height\\\":\\\"450\\\",\\\"gk_appsprotech_pagination\\\":\\\"1\\\",\\\"gk_appsprotech_slide_links\\\":\\\"1\\\",\\\"gk_appsprotech_animation_speed\\\":\\\"500\\\",\\\"gk_appsprotech_animation_interval\\\":\\\"5000\\\",\\\"gk_appsprotech_autoanimation\\\":\\\"1\\\"},\\\"gk_bikestore\\\":{\\\"gk_bikestore_image_width\\\":\\\"640\\\",\\\"gk_bikestore_image_height\\\":\\\"320\\\",\\\"gk_bikestore_image_bg\\\":\\\"#000000\\\",\\\"gk_bikestore_quality\\\":\\\"95\\\",\\\"gk_bikestore_show_title_block\\\":\\\"1\\\",\\\"gk_bikestore_title_block_position\\\":\\\"bottom\\\",\\\"gk_bikestore_title_block_position_x\\\":\\\"left\\\",\\\"gk_bikestore_title_block_length\\\":\\\"30\\\",\\\"gk_bikestore_pagination\\\":\\\"1\\\",\\\"gk_bikestore_pagination_position\\\":\\\"top\\\",\\\"gk_bikestore_slide_links\\\":\\\"1\\\",\\\"gk_bikestore_animation_speed\\\":\\\"500\\\",\\\"gk_bikestore_animation_interval\\\":\\\"5000\\\",\\\"gk_bikestore_autoanimation\\\":\\\"1\\\"},\\\"gk_black_and_white\\\":{\\\"gk_black_and_white_image_width\\\":\\\"978\\\",\\\"gk_black_and_white_image_height\\\":\\\"362\\\",\\\"gk_black_and_white_image_bg\\\":\\\"#000000\\\",\\\"gk_black_and_white_quality\\\":\\\"95\\\",\\\"gk_black_and_white_text_block_position_x\\\":\\\"20\\\",\\\"gk_black_and_white_text_block_position_y\\\":\\\"20\\\",\\\"gk_black_and_white_text_block_width\\\":\\\"300\\\",\\\"gk_black_and_white_show_text_block\\\":\\\"1\\\",\\\"gk_black_and_white_clean_xhtml\\\":\\\"1\\\",\\\"gk_black_and_white_wordcount\\\":\\\"10\\\",\\\"gk_black_and_white_title_char_amount\\\":\\\"30\\\",\\\"gk_black_and_white_pagination\\\":\\\"1\\\",\\\"gk_black_and_white_pagination_position_x\\\":\\\"20\\\",\\\"gk_black_and_white_pagination_position_y\\\":\\\"320\\\",\\\"gk_black_and_white_show_readmore\\\":\\\"1\\\",\\\"gk_black_and_white_stripe_width\\\":\\\"60\\\",\\\"gk_black_and_white_slide_links\\\":\\\"1\\\",\\\"gk_black_and_white_animation_speed\\\":\\\"1800\\\",\\\"gk_black_and_white_animation_interval\\\":\\\"5000\\\",\\\"gk_black_and_white_autoanimation\\\":\\\"1\\\",\\\"gk_black_and_white_animation_type\\\":\\\"opacity\\\",\\\"gk_black_and_white_show_title_block\\\":\\\"1\\\",\\\"gk_black_and_white_title_link\\\":\\\"1\\\",\\\"gk_black_and_white_interface\\\":\\\"1\\\"},\\\"gk_boutique\\\":{\\\"gk_boutique_image_width\\\":\\\"680\\\",\\\"gk_boutique_image_height\\\":\\\"390\\\",\\\"gk_boutique_image_bg\\\":\\\"#000000\\\",\\\"gk_boutique_quality\\\":\\\"95\\\",\\\"gk_boutique_interface\\\":\\\"1\\\",\\\"gk_boutique_slide_links\\\":\\\"1\\\",\\\"gk_boutique_animation_speed\\\":\\\"500\\\",\\\"gk_boutique_animation_interval\\\":\\\"5000\\\",\\\"gk_boutique_autoanimation\\\":\\\"1\\\",\\\"gk_boutique_animation_type\\\":\\\"opacity\\\"},\\\"gk_cherrydesign\\\":{\\\"gk_cherrydesign_image_width\\\":\\\"480\\\",\\\"gk_cherrydesign_image_height\\\":\\\"320\\\",\\\"gk_cherrydesign_image_bg\\\":\\\"#000000\\\",\\\"gk_cherrydesign_quality\\\":\\\"95\\\",\\\"gk_cherrydesign_show_text_block\\\":\\\"1\\\",\\\"gk_cherrydesign_slide_links\\\":\\\"1\\\",\\\"gk_cherrydesign_pagination\\\":\\\"1\\\",\\\"gk_cherrydesign_pagination_position\\\":\\\"left\\\",\\\"gk_cherrydesign_readmore_text\\\":\\\"Read more...\\\",\\\"gk_cherrydesign_clean_xhtml\\\":\\\"1\\\",\\\"gk_cherrydesign_wordcount\\\":\\\"30\\\",\\\"gk_cherrydesign_animation_speed\\\":\\\"500\\\",\\\"gk_cherrydesign_animation_interval\\\":\\\"5000\\\",\\\"gk_cherrydesign_autoanimation\\\":\\\"1\\\",\\\"gk_cherrydesign_animation_type\\\":\\\"opacity\\\"},\\\"gk_coffe\\\":{\\\"gk_coffe_image_width\\\":\\\"480\\\",\\\"gk_coffe_image_height\\\":\\\"320\\\",\\\"gk_coffe_image_bg\\\":\\\"#000000\\\",\\\"gk_coffe_quality\\\":\\\"95\\\",\\\"gk_coffe_show_title_block\\\":\\\"1\\\",\\\"gk_coffe_title_link\\\":\\\"1\\\",\\\"gk_coffe_interface\\\":\\\"1\\\",\\\"gk_coffe_slide_links\\\":\\\"1\\\",\\\"gk_coffe_animation_speed\\\":\\\"500\\\",\\\"gk_coffe_animation_interval\\\":\\\"5000\\\",\\\"gk_coffe_autoanimation\\\":\\\"1\\\",\\\"gk_coffe_animation_type\\\":\\\"opacity\\\"},\\\"gk_corporate2\\\":{\\\"gk_corporate2_image_width\\\":\\\"480\\\",\\\"gk_corporate2_image_height\\\":\\\"320\\\",\\\"gk_corporate2_image_bg\\\":\\\"#000000\\\",\\\"gk_corporate2_quality\\\":\\\"95\\\",\\\"gk_corporate2_show_list\\\":\\\"1\\\",\\\"gk_corporate2_list_title_small\\\":\\\"Why to choose\\\",\\\"gk_corporate2_list_title_big\\\":\\\"our company\\\",\\\"gk_corporate2_list_char_count\\\":\\\"25\\\",\\\"gk_corporate2_list_text_overflow\\\":\\\"...\\\",\\\"gk_corporate2_image_position\\\":\\\"gkRightFloat\\\",\\\"gk_corporate2_list_position\\\":\\\"gkRightFloat\\\",\\\"gk_corporate2_art_width\\\":\\\"70\\\",\\\"gk_corporate2_title\\\":\\\"1\\\",\\\"gk_corporate2_title_link\\\":\\\"1\\\",\\\"gk_corporate2_clean_xhtml\\\":\\\"1\\\",\\\"gk_corporate2_wordcount\\\":\\\"30\\\",\\\"gk_corporate2_readmore_button\\\":\\\"1\\\",\\\"gk_corporate2_readmore_text\\\":\\\"Find more\\\",\\\"gk_corporate2_interface\\\":\\\"1\\\",\\\"gk_corporate2_interface_animation\\\":\\\"0\\\",\\\"gk_corporate2_animation_speed\\\":\\\"500\\\",\\\"gk_corporate2_animation_interval\\\":\\\"5000\\\",\\\"gk_corporate2_autoanimation\\\":\\\"1\\\",\\\"gk_corporate2_animation_type\\\":\\\"opacity\\\"},\\\"gk_eSport\\\":{\\\"gk_eSport_image_w\\\":\\\"1000\\\",\\\"gk_eSport_image_h\\\":\\\"550\\\",\\\"gk_eSport_thumb_w\\\":\\\"200\\\",\\\"gk_eSport_thumb_h\\\":\\\"120\\\",\\\"gk_eSport_image_bg\\\":\\\"#000000\\\",\\\"gk_eSport_quality\\\":\\\"95\\\",\\\"gk_eSport_thumbnails\\\":\\\"1\\\",\\\"gk_eSport_thumbnails_position\\\":\\\"gkThumbsBottom\\\",\\\"gk_eSport_text_block\\\":\\\"1\\\",\\\"gk_eSport_slide_links\\\":\\\"1\\\",\\\"gk_eSport_anim_type\\\":\\\"gkDrops\\\",\\\"gk_eSport_animation_speed\\\":\\\"750\\\",\\\"gk_eSport_animation_interval\\\":\\\"35\\\",\\\"gk_eSport_row_amount\\\":\\\"4\\\",\\\"gk_eSport_lvl2_divider\\\":\\\"4\\\",\\\"gk_eSport_max_anim\\\":\\\"5\\\",\\\"gk_eSport_slide_interval\\\":\\\"5000\\\",\\\"gk_eSport_autoanimation\\\":\\\"1\\\"},\\\"gk_fashion\\\":{\\\"gk_fashion_image_width\\\":\\\"640\\\",\\\"gk_fashion_image_height\\\":\\\"320\\\",\\\"gk_fashion_image_bg\\\":\\\"#000000\\\",\\\"gk_fashion_quality\\\":\\\"95\\\",\\\"gk_fashion_show_title_block\\\":\\\"1\\\",\\\"gk_fashion_title_block_position\\\":\\\"bottom\\\",\\\"gk_fashion_title_block_length\\\":\\\"30\\\",\\\"gk_fashion_pagination\\\":\\\"1\\\",\\\"gk_fashion_pagination_position\\\":\\\"top\\\",\\\"gk_fashion_slide_links\\\":\\\"1\\\",\\\"gk_fashion_animation_speed\\\":\\\"500\\\",\\\"gk_fashion_animation_interval\\\":\\\"5000\\\",\\\"gk_fashion_autoanimation\\\":\\\"1\\\"},\\\"gk_financial_business\\\":{\\\"gk_financial_business_image_width\\\":\\\"166\\\",\\\"gk_financial_business_image_height\\\":\\\"166\\\",\\\"gk_financial_business_image_bg\\\":\\\"#000000\\\",\\\"gk_financial_business_quality\\\":\\\"95\\\",\\\"gk_financial_business_date_format\\\":\\\"d-m-Y\\\",\\\"gk_financial_business_interface\\\":\\\"1\\\",\\\"gk_financial_business_slide_links\\\":\\\"1\\\",\\\"gk_financial_business_animation_speed\\\":\\\"500\\\",\\\"gk_financial_business_animation_interval\\\":\\\"5000\\\",\\\"gk_financial_business_autoanimation\\\":\\\"1\\\",\\\"gk_financial_business_animation_type\\\":\\\"opacity\\\"},\\\"gk_game_magazine\\\":{\\\"gk_game_magazine_image_width\\\":\\\"600\\\",\\\"gk_game_magazine_image_height\\\":\\\"600\\\",\\\"gk_game_magazine_image_bg\\\":\\\"#ffffff\\\",\\\"gk_game_magazine_quality\\\":\\\"95\\\",\\\"gk_game_magazine_text_block_position\\\":\\\"right\\\",\\\"gk_game_magazine_total_width\\\":\\\"946\\\",\\\"gk_game_magazine_show_text_block\\\":\\\"1\\\",\\\"gk_game_magazine_text_block_x\\\":\\\"32\\\",\\\"gk_game_magazine_text_block_y\\\":\\\"32\\\",\\\"gk_game_magazine_title_chars_amount\\\":\\\"20\\\",\\\"gk_game_magazine_text_chars_amount\\\":\\\"40\\\",\\\"gk_game_magazine_slide_links\\\":\\\"1\\\",\\\"gk_game_magazine_animation_speed\\\":\\\"500\\\",\\\"gk_game_magazine_animation_interval\\\":\\\"5000\\\",\\\"gk_game_magazine_autoanimation\\\":\\\"1\\\",\\\"gk_game_magazine_animation_type\\\":\\\"opacity\\\",\\\"gk_game_magazine_animation_text_type\\\":\\\"opacity\\\"},\\\"gk_gamebox\\\":{\\\"gk_gamebox_image_width\\\":\\\"640\\\",\\\"gk_gamebox_image_height\\\":\\\"360\\\",\\\"gk_gamebox_image_bg\\\":\\\"#000000\\\",\\\"gk_gamebox_quality\\\":\\\"95\\\",\\\"gk_gamebox_show_text_block\\\":\\\"1\\\",\\\"gk_gamebox_show_info\\\":\\\"1\\\",\\\"gk_gamebox_date_format\\\":\\\"A e, B Y\\\",\\\"gk_gamebox_author_name\\\":\\\"username\\\",\\\"gk_gamebox_info_format\\\":\\\"Written: %date by %author\\\",\\\"gk_gamebox_readmore_text\\\":\\\"Read more\\\",\\\"gk_gamebox_text_position\\\":\\\"280\\\",\\\"gk_gamebox_text_height\\\":\\\"80\\\",\\\"gk_gamebox_interface\\\":\\\"1\\\",\\\"gk_gamebox_slide_links\\\":\\\"1\\\",\\\"gk_gamebox_animation_speed\\\":\\\"500\\\",\\\"gk_gamebox_animation_interval\\\":\\\"5000\\\",\\\"gk_gamebox_autoanimation\\\":\\\"1\\\",\\\"gk_gamebox_animation_type\\\":\\\"opacity\\\"},\\\"gk_league_news1\\\":{\\\"gk_league_news1_image_width\\\":\\\"570\\\",\\\"gk_league_news1_image_height\\\":\\\"360\\\",\\\"gk_league_news1_image_bg\\\":\\\"#000000\\\",\\\"gk_league_news1_quality\\\":\\\"95\\\",\\\"gk_league_news1_show_title_block\\\":\\\"1\\\",\\\"gk_league_news1_thumb_width\\\":\\\"120\\\",\\\"gk_league_news1_thumb_height\\\":\\\"80\\\",\\\"gk_league_news1_title_chars\\\":\\\"15\\\",\\\"gk_league_news1_desc_chars\\\":\\\"15\\\",\\\"gk_league_news1_animation_speed\\\":\\\"500\\\",\\\"gk_league_news1_animation_interval\\\":\\\"5000\\\",\\\"gk_league_news1_autoanimation\\\":\\\"1\\\"},\\\"gk_memovie\\\":{\\\"gk_memovie_image_width\\\":\\\"670\\\",\\\"gk_memovie_image_height\\\":\\\"313\\\",\\\"gk_memovie_image_bg\\\":\\\"#000000\\\",\\\"gk_memovie_quality\\\":\\\"95\\\",\\\"gk_memovie_interface\\\":\\\"1\\\",\\\"gk_memovie_interface_animation\\\":\\\"0\\\",\\\"gk_memovie_interface_x\\\":\\\"30\\\",\\\"gk_memovie_interface_y\\\":\\\"30\\\",\\\"gk_memovie_slide_links\\\":\\\"1\\\",\\\"gk_memovie_animation_speed\\\":\\\"500\\\",\\\"gk_memovie_animation_interval\\\":\\\"5000\\\",\\\"gk_memovie_autoanimation\\\":\\\"1\\\",\\\"gk_memovie_animation_type\\\":\\\"opacity\\\"},\\\"gk_music\\\":{\\\"gk_music_image_width\\\":\\\"165\\\",\\\"gk_music_image_height\\\":\\\"165\\\",\\\"gk_music_image_bg\\\":\\\"#000000\\\",\\\"gk_music_quality\\\":\\\"95\\\",\\\"gk_music_show_title_block\\\":\\\"1\\\",\\\"gk_music_show_date_block\\\":\\\"1\\\",\\\"gk_music_date_format\\\":\\\"F d, Y\\\",\\\"gk_music_title\\\":\\\"What\'s new in this week\\\",\\\"gk_music_show_pagination\\\":\\\"1\\\",\\\"gk_music_slides_per_page\\\":\\\"5\\\",\\\"gk_music_title_block\\\":\\\"1\\\",\\\"gk_music_title_chars\\\":\\\"15\\\",\\\"gk_music_loader\\\":\\\"1\\\",\\\"gk_music_animation_speed\\\":\\\"500\\\",\\\"gk_music_animation_interval\\\":\\\"5000\\\",\\\"gk_music_autoanimation\\\":\\\"1\\\"},\\\"gk_musicity\\\":{\\\"gk_musicity_image_width\\\":\\\"627\\\",\\\"gk_musicity_image_height\\\":\\\"345\\\",\\\"gk_musicity_image_bg\\\":\\\"#000000\\\",\\\"gk_musicity_quality\\\":\\\"95\\\",\\\"gk_musicity_show_title_block\\\":\\\"1\\\",\\\"gk_musicity_show_date_block\\\":\\\"1\\\",\\\"gk_musicity_date_format\\\":\\\"F d, Y\\\",\\\"gk_musicity_interface\\\":\\\"1\\\",\\\"gk_musicity_title_block_y\\\":\\\"23\\\",\\\"gk_musicity_date_block_y\\\":\\\"14\\\",\\\"gk_musicity_slide_links\\\":\\\"1\\\",\\\"gk_musicity_animation_speed\\\":\\\"500\\\",\\\"gk_musicity_animation_interval\\\":\\\"5000\\\",\\\"gk_musicity_autoanimation\\\":\\\"1\\\",\\\"gk_musicity_animation_type\\\":\\\"opacity\\\"},\\\"gk_mystore\\\":{\\\"gk_mystore_image_width\\\":\\\"300\\\",\\\"gk_mystore_image_height\\\":\\\"270\\\",\\\"gk_mystore_image_bg\\\":\\\"#000000\\\",\\\"gk_mystore_quality\\\":\\\"95\\\",\\\"gk_mystore_show_pagination\\\":\\\"1\\\",\\\"gk_mystore_slides_per_page\\\":\\\"3\\\",\\\"gk_mystore_animation_speed\\\":\\\"500\\\",\\\"gk_mystore_animation_interval\\\":\\\"5000\\\",\\\"gk_mystore_autoanimation\\\":\\\"1\\\"},\\\"gk_partyfreak\\\":{\\\"gk_partyfreak_image_width\\\":\\\"600\\\",\\\"gk_partyfreak_image_height\\\":\\\"600\\\",\\\"gk_partyfreak_thumb_width\\\":\\\"70\\\",\\\"gk_partyfreak_thumb_height\\\":\\\"70\\\",\\\"gk_partyfreak_image_bg\\\":\\\"#ffffff\\\",\\\"gk_partyfreak_quality\\\":\\\"95\\\",\\\"gk_partyfreak_total_width\\\":\\\"980\\\",\\\"gk_partyfreak_thumbs_margin\\\":\\\"0 0 0 0\\\",\\\"gk_partyfreak_thumbs_padding\\\":\\\"0 0 0 0\\\",\\\"gk_partyfreak_thumbs_amount\\\":\\\"3\\\",\\\"gk_partyfreak_thumbs_space\\\":\\\"8\\\",\\\"gk_partyfreak_thumbs_text_word_amount\\\":\\\"14\\\",\\\"gk_partyfreak_show_title\\\":\\\"1\\\",\\\"gk_partyfreak_text_block_height\\\":\\\"80\\\",\\\"gk_partyfreak_show_text\\\":\\\"1\\\",\\\"gk_partyfreak_text_word_amount\\\":\\\"40\\\",\\\"gk_partyfreak_slide_links\\\":\\\"1\\\",\\\"gk_partyfreak_animation_speed\\\":\\\"500\\\",\\\"gk_partyfreak_animation_interval\\\":\\\"5000\\\",\\\"gk_partyfreak_autoanimation\\\":\\\"1\\\",\\\"gk_partyfreak_animation_type\\\":\\\"opacity\\\"},\\\"gk_publisher\\\":{\\\"gk_publisher_image_width\\\":\\\"640\\\",\\\"gk_publisher_image_height\\\":\\\"320\\\",\\\"gk_publisher_image_bg\\\":\\\"#000000\\\",\\\"gk_publisher_quality\\\":\\\"95\\\",\\\"gk_publisher_title_block_position\\\":\\\"bottom\\\",\\\"gk_publisher_show_content_block\\\":\\\"1\\\",\\\"gk_publisher_show_title_block\\\":\\\"1\\\",\\\"gk_publisher_show_text_block\\\":\\\"1\\\",\\\"gk_publisher_title_block_length\\\":\\\"30\\\",\\\"gk_publisher_text_block_length\\\":\\\"80\\\",\\\"gk_publisher_pagination\\\":\\\"1\\\",\\\"gk_publisher_pagination_position\\\":\\\"bottom\\\",\\\"gk_publisher_slide_links\\\":\\\"1\\\",\\\"gk_publisher_animation_speed\\\":\\\"500\\\",\\\"gk_publisher_animation_interval\\\":\\\"5000\\\",\\\"gk_publisher_autoanimation\\\":\\\"1\\\"},\\\"gk_rockwall\\\":{\\\"gk_rockwall_image_width\\\":\\\"1150\\\",\\\"gk_rockwall_image_height\\\":\\\"460\\\",\\\"gk_rockwall_image_bg\\\":\\\"#000000\\\",\\\"gk_rockwall_quality\\\":\\\"70\\\",\\\"gk_rockwall_show_title_block\\\":\\\"1\\\",\\\"gk_rockwall_title_block_bg\\\":\\\"transparent\\\",\\\"gk_rockwall_title_block_color\\\":\\\"#fff\\\",\\\"gk_rockwall_title_block_position\\\":\\\"left\\\",\\\"gk_rockwall_slide_links\\\":\\\"1\\\",\\\"gk_rockwall_animation_speed\\\":\\\"500\\\",\\\"gk_rockwall_animation_interval\\\":\\\"5000\\\",\\\"gk_rockwall_autoanimation\\\":\\\"1\\\",\\\"gk_rockwall_title_block_padding\\\":\\\"12% 0 0 5%\\\",\\\"gk_rockwall_title_block_width\\\":\\\"40\\\"},\\\"gk_sporter1\\\":{\\\"gk_sporter1_image_width\\\":\\\"637\\\",\\\"gk_sporter1_image_height\\\":\\\"346\\\",\\\"gk_sporter1_image_bg\\\":\\\"#000000\\\",\\\"gk_sporter1_quality\\\":\\\"95\\\",\\\"gk_sporter1_text_position\\\":\\\"246\\\",\\\"gk_sporter1_text_height\\\":\\\"90\\\",\\\"gk_sporter1_show_text_block\\\":\\\"1\\\",\\\"gk_sporter1_pagination\\\":\\\"1\\\",\\\"gk_sporter1_pagination_cols\\\":\\\"4\\\",\\\"gk_sporter1_pagination_date\\\":\\\"1\\\",\\\"gk_sporter1_pagination_date_format\\\":\\\"d m, Y\\\",\\\"gk_sporter1_pagination_limit\\\":\\\"39\\\",\\\"gk_sporter1_readmore_text\\\":\\\"Read more\\\",\\\"gk_sporter1_pagination_position\\\":\\\"left\\\",\\\"gk_sporter1_clean_xhtml\\\":\\\"1\\\",\\\"gk_sporter1_wordcount\\\":\\\"24\\\",\\\"gk_sporter1_title_char_amount\\\":\\\"27\\\",\\\"gk_sporter1_show_info\\\":\\\"1\\\",\\\"gk_sporter1_date_format\\\":\\\"F d, Y\\\",\\\"gk_sporter1_author_name\\\":\\\"name\\\",\\\"gk_sporter1_info_format\\\":\\\"Written: %date by %author\\\",\\\"gk_sporter1_slide_links\\\":\\\"1\\\",\\\"gk_sporter1_animation_speed\\\":\\\"500\\\",\\\"gk_sporter1_animation_interval\\\":\\\"5000\\\",\\\"gk_sporter1_autoanimation\\\":\\\"1\\\",\\\"gk_sporter1_animation_type\\\":\\\"opacity\\\"},\\\"gk_sporter2\\\":{\\\"gk_sporter2_image_width\\\":\\\"600\\\",\\\"gk_sporter2_image_height\\\":\\\"600\\\",\\\"gk_sporter2_thumb_width\\\":\\\"70\\\",\\\"gk_sporter2_thumb_height\\\":\\\"70\\\",\\\"gk_sporter2_image_bg\\\":\\\"#ffffff\\\",\\\"gk_sporter2_quality\\\":\\\"95\\\",\\\"gk_sporter2_image_rows\\\":\\\"3\\\",\\\"gk_sporter2_image_cols\\\":\\\"3\\\",\\\"gk_sporter2_image_margin\\\":\\\"0\\\",\\\"gk_sporter2_image_padding\\\":\\\"0\\\",\\\"gk_sporter2_image_border\\\":\\\"0\\\",\\\"gk_sporter2_slide_popups\\\":\\\"1\\\",\\\"gk_sporter2_overlay\\\":\\\"1\\\",\\\"gk_sporter2_show_text_block\\\":\\\"1\\\",\\\"gk_sporter2_text_block_height\\\":\\\"100\\\",\\\"gk_sporter2_clean_xhtml\\\":\\\"1\\\",\\\"gk_sporter2_readmore_text\\\":\\\"Read more\\\",\\\"gk_sporter2_title_char_amount\\\":\\\"30\\\",\\\"gk_sporter2_text_wordcount\\\":\\\"30\\\"},\\\"gk_startup\\\":{\\\"gk_startup_image_bg\\\":\\\"transparent\\\",\\\"gk_startup_quality\\\":\\\"95\\\",\\\"gk_startup_desktop_width\\\":\\\"1000\\\",\\\"gk_startup_image_width\\\":\\\"804\\\",\\\"gk_startup_module_height\\\":\\\"920\\\",\\\"gk_startup_tablet_width\\\":\\\"920\\\",\\\"gk_startup_tablet_image_width\\\":\\\"603\\\",\\\"gk_startup_tablet_module_height\\\":\\\"690\\\",\\\"gk_startup_mobile_width\\\":\\\"580\\\",\\\"gk_startup_mobile_image_width\\\":\\\"338\\\",\\\"gk_startup_mobile_module_height\\\":\\\"386\\\",\\\"gk_startup_pagination\\\":\\\"1\\\",\\\"gk_startup_arrows\\\":\\\"1\\\",\\\"gk_startup_slide_links\\\":\\\"1\\\",\\\"gk_startup_animation_speed\\\":\\\"500\\\",\\\"gk_startup_animation_interval\\\":\\\"5000\\\",\\\"gk_startup_autoanimation\\\":\\\"1\\\"},\\\"gk_storebox\\\":{\\\"gk_storebox_image_width\\\":\\\"640\\\",\\\"gk_storebox_image_height\\\":\\\"320\\\",\\\"gk_storebox_image_bg\\\":\\\"#000000\\\",\\\"gk_storebox_quality\\\":\\\"95\\\",\\\"gk_storebox_show_title_block\\\":\\\"1\\\",\\\"gk_storebox_title_block_bg\\\":\\\"transparent\\\",\\\"gk_storebox_title_block_color\\\":\\\"#fff\\\",\\\"gk_storebox_title_block_position_y\\\":\\\"30\\\",\\\"gk_storebox_title_block_position_x\\\":\\\"30\\\",\\\"gk_storebox_pagination\\\":\\\"1\\\",\\\"gk_storebox_slide_links\\\":\\\"1\\\",\\\"gk_storebox_animation_speed\\\":\\\"500\\\",\\\"gk_storebox_animation_interval\\\":\\\"5000\\\",\\\"gk_storebox_autoanimation\\\":\\\"1\\\"},\\\"gk_the_real_design\\\":{\\\"gk_the_real_design_module_height\\\":\\\"605\\\",\\\"gk_the_real_design_image_y\\\":\\\"60\\\",\\\"gk_the_real_design_image_x\\\":\\\"0\\\",\\\"gk_the_real_design_text_y\\\":\\\"150\\\",\\\"gk_the_real_design_text_x\\\":\\\"0\\\",\\\"gk_the_real_design_image_bg\\\":\\\"#000000\\\",\\\"gk_the_real_design_quality\\\":\\\"95\\\",\\\"gk_the_real_design_interface\\\":\\\"1\\\",\\\"gk_the_real_design_slide_links\\\":\\\"1\\\",\\\"gk_the_real_design_animation_speed\\\":\\\"500\\\",\\\"gk_the_real_design_animation_interval\\\":\\\"5000\\\",\\\"gk_the_real_design_autoanimation\\\":\\\"1\\\"},\\\"gk_yourshop\\\":{\\\"gk_yourshop_image_width\\\":\\\"673\\\",\\\"gk_yourshop_image_height\\\":\\\"262\\\",\\\"gk_yourshop_image_bg\\\":\\\"#000000\\\",\\\"gk_yourshop_quality\\\":\\\"95\\\",\\\"gk_yourshop_text_position\\\":\\\"246\\\",\\\"gk_yourshop_text_height\\\":\\\"90\\\",\\\"gk_yourshop_show_text_block\\\":\\\"1\\\",\\\"gk_yourshop_readmore_text\\\":\\\"Read more\\\",\\\"gk_yourshop_clean_xhtml\\\":\\\"1\\\",\\\"gk_yourshop_wordcount\\\":\\\"24\\\",\\\"gk_yourshop_title_char_amount\\\":\\\"27\\\",\\\"gk_yourshop_slide_links\\\":\\\"1\\\",\\\"gk_yourshop_animation_speed\\\":\\\"500\\\",\\\"gk_yourshop_animation_interval\\\":\\\"5000\\\",\\\"gk_yourshop_autoanimation\\\":\\\"1\\\",\\\"gk_yourshop_animation_type\\\":\\\"opacity\\\"}}\",\"use_style_css\":\"0\"}',0,'*'),(644,'Tabs GK5','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_tabs_gk5',1,1,'{\"automatic_module_id\":\"1\",\"module_id\":\"gk-tab-1\",\"moduleclass_sfx\":\"\",\"module_data_source\":\"tabsmanager\",\"tabs_data\":\"[{\\\"name\\\":\\\"Tab I\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"[leftbracket]p[rightbracket]Vestibulum id ligula porta felis euismod semper. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.[leftbracket]\\/p[rightbracket]\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"1\\\",\\\"id\\\":\\\"\\\",\\\"animation\\\":\\\"opacity\\\"},{\\\"name\\\":\\\"Tab II\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"[leftbracket]p[rightbracket]Vestibulum id ligula porta felis euismod semper. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.[leftbracket]\\/p[rightbracket]\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"1\\\",\\\"id\\\":\\\"\\\",\\\"animation\\\":\\\"default\\\"},{\\\"name\\\":\\\"Tab III\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"[leftbracket]p[rightbracket]Vestibulum id ligula porta felis euismod semper. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.[leftbracket]\\/p[rightbracket]\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"1\\\",\\\"id\\\":\\\"\\\",\\\"animation\\\":\\\"default\\\"}]\",\"external_source\":\"-1\",\"styleCSS\":\"style1\",\"module_auto_height\":\"1\",\"module_height\":\"200\",\"tabs_position\":\"top\",\"tabs_width\":\"200\",\"tabs_spans\":\"0\",\"buttons\":\"0\",\"activator\":\"click\",\"animation\":\"1\",\"animation_speed\":\"250\",\"animation_interval\":\"5000\",\"animation_type\":\"opacity\",\"animation_function\":\"Fx.Transitions.linear\",\"url_tab_selection\":\"1\",\"cookie_tab_selection\":\"0\",\"parse_plugins\":\"1\",\"useCSS\":\"0\",\"useScript\":\"1\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\",\"rtl\":\"0\"}',0,'*'),(646,'Mainbody NSP','','',1,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk5',1,0,'{\"moduleclass_sfx\":\"clear\",\"module_unique_id\":\"\",\"module_mode\":\"Title_Overlay\",\"use_own_article_format\":\"0\",\"article_format\":\"-1\",\"data_source\":\"k2_articles\",\"source_name\":\"com_k2\",\"com_content_articles\":\"75\",\"k2_articles\":\"231\",\"json_file\":\"-1\",\"xml_file\":\"-1\",\"com_virtuemart_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_in\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"full\",\"com_content_comments_source\":\"none\",\"k2_comments_source\":\"k2\",\"vm_itemid\":\"9999\",\"vm_out_of_stock\":\"1\",\"vm_show_price_type\":\"base\",\"vm_show_price_with_tax\":\"0\",\"vm_add_to_cart\":\"0\",\"vm_show_discount_amount\":\"0\",\"vm_show_tax\":\"0\",\"vm_display_type\":\"text_price\",\"portal_mode_news_gallery_amount\":\"10\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"1\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"portal_mode_product_gallery_amount\":\"10\",\"portal_mode_product_gallery_cols\":\"3\",\"portal_mode_product_gallery_nav\":\"1\",\"portal_mode_product_gallery_autoanimation\":\"1\",\"portal_mode_product_gallery_autoanimation_time\":\"5000\",\"portal_mode_news_blocks_cols\":\"2\",\"portal_mode_news_blocks_rows\":\"2\",\"portal_mode_title_overlay_text_pos\":\"top\",\"portal_mode_title_overlay_text_padding\":\"40px 45px\",\"portal_mode_title_overlay_text_bg\":\"transparent\",\"portal_mode_title_overlay_text_width\":\"50\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 20px 20px 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"responsive_images\":\"0\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"567\",\"img_height\":\"377\",\"img_margin\":\"0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"75\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"0\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}',0,'*'),(645,'Suffix \" colortitle\"','','<p>Vestibulum id ligula porta felis euismod semper. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Donec ullamcorper nulla non metus auctor fringilla. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Maecenas faucibus mollis interdum. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Maecenas faucibus mollis interdum. Donec id elit non mi porta gravida at eget metus. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>',0,'mainbody_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"colortitle\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(647,'Sidebar NSP','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk5',1,0,'{\"moduleclass_sfx\":\"clear notablet nomobile\",\"module_unique_id\":\"\",\"module_mode\":\"Title_Overlay\",\"use_own_article_format\":\"0\",\"article_format\":\"-1\",\"data_source\":\"k2_articles\",\"source_name\":\"com_k2\",\"com_content_articles\":\"76\",\"k2_articles\":\"231\",\"json_file\":\"-1\",\"xml_file\":\"-1\",\"com_virtuemart_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_in\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"full\",\"com_content_comments_source\":\"none\",\"k2_comments_source\":\"k2\",\"vm_itemid\":\"9999\",\"vm_out_of_stock\":\"1\",\"vm_show_price_type\":\"base\",\"vm_show_price_with_tax\":\"0\",\"vm_add_to_cart\":\"0\",\"vm_show_discount_amount\":\"0\",\"vm_show_tax\":\"0\",\"vm_display_type\":\"text_price\",\"portal_mode_news_gallery_amount\":\"10\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"1\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"portal_mode_product_gallery_amount\":\"10\",\"portal_mode_product_gallery_cols\":\"3\",\"portal_mode_product_gallery_nav\":\"1\",\"portal_mode_product_gallery_autoanimation\":\"1\",\"portal_mode_product_gallery_autoanimation_time\":\"5000\",\"portal_mode_news_blocks_cols\":\"2\",\"portal_mode_news_blocks_rows\":\"2\",\"portal_mode_title_overlay_text_pos\":\"top\",\"portal_mode_title_overlay_text_padding\":\"40px 20px\",\"portal_mode_title_overlay_text_bg\":\"transparent\",\"portal_mode_title_overlay_text_width\":\"90\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 20px 20px 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"responsive_images\":\"0\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"247\",\"img_height\":\"377\",\"img_margin\":\"0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"60\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"30\",\"simple_crop_right\":\"30\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"0\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}',0,'*'),(648,'Inset NSP','','',1,'inset',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk5',1,0,'{\"moduleclass_sfx\":\"clear nsptitle80\",\"module_unique_id\":\"\",\"module_mode\":\"normal\",\"use_own_article_format\":\"0\",\"article_format\":\"-1\",\"data_source\":\"k2_articles\",\"source_name\":\"com_k2\",\"com_content_articles\":\"77\",\"k2_articles\":\"231\",\"json_file\":\"-1\",\"xml_file\":\"-1\",\"com_virtuemart_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_in\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"full\",\"com_content_comments_source\":\"none\",\"k2_comments_source\":\"k2\",\"vm_itemid\":\"9999\",\"vm_out_of_stock\":\"1\",\"vm_show_price_type\":\"base\",\"vm_show_price_with_tax\":\"0\",\"vm_add_to_cart\":\"0\",\"vm_show_discount_amount\":\"0\",\"vm_show_tax\":\"0\",\"vm_display_type\":\"text_price\",\"portal_mode_news_gallery_amount\":\"10\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"1\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"portal_mode_product_gallery_amount\":\"10\",\"portal_mode_product_gallery_cols\":\"3\",\"portal_mode_product_gallery_nav\":\"1\",\"portal_mode_product_gallery_autoanimation\":\"1\",\"portal_mode_product_gallery_autoanimation_time\":\"5000\",\"portal_mode_news_blocks_cols\":\"2\",\"portal_mode_news_blocks_rows\":\"2\",\"portal_mode_title_overlay_text_pos\":\"top\",\"portal_mode_title_overlay_text_padding\":\"40px 45px\",\"portal_mode_title_overlay_text_bg\":\"transparent\",\"portal_mode_title_overlay_text_width\":\"100\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"words\",\"title_limit\":\"20\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"18\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"responsive_images\":\"1\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"309\",\"img_height\":\"175\",\"img_margin\":\"0 0 14px 0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"60\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"0\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}',0,'*'),(649,'Bottom NSP I','','',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk5',1,0,'{\"moduleclass_sfx\":\"clear\",\"module_unique_id\":\"\",\"module_mode\":\"Title_Overlay\",\"use_own_article_format\":\"0\",\"article_format\":\"-1\",\"data_source\":\"k2_articles\",\"source_name\":\"com_k2\",\"com_content_articles\":\"78\",\"k2_articles\":\"231\",\"json_file\":\"-1\",\"xml_file\":\"-1\",\"com_virtuemart_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_in\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"full\",\"com_content_comments_source\":\"none\",\"k2_comments_source\":\"k2\",\"vm_itemid\":\"9999\",\"vm_out_of_stock\":\"1\",\"vm_show_price_type\":\"base\",\"vm_show_price_with_tax\":\"0\",\"vm_add_to_cart\":\"0\",\"vm_show_discount_amount\":\"0\",\"vm_show_tax\":\"0\",\"vm_display_type\":\"text_price\",\"portal_mode_news_gallery_amount\":\"10\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"1\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"portal_mode_product_gallery_amount\":\"10\",\"portal_mode_product_gallery_cols\":\"3\",\"portal_mode_product_gallery_nav\":\"1\",\"portal_mode_product_gallery_autoanimation\":\"1\",\"portal_mode_product_gallery_autoanimation_time\":\"5000\",\"portal_mode_news_blocks_cols\":\"2\",\"portal_mode_news_blocks_rows\":\"2\",\"portal_mode_title_overlay_text_pos\":\"bottom\",\"portal_mode_title_overlay_text_padding\":\"30px\",\"portal_mode_title_overlay_text_bg\":\"transparent\",\"portal_mode_title_overlay_text_width\":\"100\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 20px 20px 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"responsive_images\":\"0\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"278\",\"img_height\":\"182\",\"img_margin\":\"0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"75\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"7\",\"simple_crop_right\":\"7\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"0\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}',0,'*'),(650,'Bottom NSP II','','',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk5',1,0,'{\"moduleclass_sfx\":\"clear\",\"module_unique_id\":\"\",\"module_mode\":\"Title_Overlay\",\"use_own_article_format\":\"0\",\"article_format\":\"-1\",\"data_source\":\"k2_articles\",\"source_name\":\"com_k2\",\"com_content_articles\":\"79\",\"k2_articles\":\"231\",\"json_file\":\"-1\",\"xml_file\":\"-1\",\"com_virtuemart_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_in\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"full\",\"com_content_comments_source\":\"none\",\"k2_comments_source\":\"k2\",\"vm_itemid\":\"9999\",\"vm_out_of_stock\":\"1\",\"vm_show_price_type\":\"base\",\"vm_show_price_with_tax\":\"0\",\"vm_add_to_cart\":\"0\",\"vm_show_discount_amount\":\"0\",\"vm_show_tax\":\"0\",\"vm_display_type\":\"text_price\",\"portal_mode_news_gallery_amount\":\"10\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"1\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"portal_mode_product_gallery_amount\":\"10\",\"portal_mode_product_gallery_cols\":\"3\",\"portal_mode_product_gallery_nav\":\"1\",\"portal_mode_product_gallery_autoanimation\":\"1\",\"portal_mode_product_gallery_autoanimation_time\":\"5000\",\"portal_mode_news_blocks_cols\":\"2\",\"portal_mode_news_blocks_rows\":\"2\",\"portal_mode_title_overlay_text_pos\":\"bottom\",\"portal_mode_title_overlay_text_padding\":\"30px\",\"portal_mode_title_overlay_text_bg\":\"transparent\",\"portal_mode_title_overlay_text_width\":\"100\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 20px 20px 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"responsive_images\":\"0\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"278\",\"img_height\":\"182\",\"img_margin\":\"0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"75\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"7\",\"simple_crop_right\":\"7\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"0\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}',0,'*'),(651,'Bottom NSP III','','',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk5',1,0,'{\"moduleclass_sfx\":\"clear\",\"module_unique_id\":\"\",\"module_mode\":\"Title_Overlay\",\"use_own_article_format\":\"0\",\"article_format\":\"-1\",\"data_source\":\"k2_articles\",\"source_name\":\"com_k2\",\"com_content_articles\":\"80\",\"k2_articles\":\"231\",\"json_file\":\"-1\",\"xml_file\":\"-1\",\"com_virtuemart_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_in\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"full\",\"com_content_comments_source\":\"none\",\"k2_comments_source\":\"k2\",\"vm_itemid\":\"9999\",\"vm_out_of_stock\":\"1\",\"vm_show_price_type\":\"base\",\"vm_show_price_with_tax\":\"0\",\"vm_add_to_cart\":\"0\",\"vm_show_discount_amount\":\"0\",\"vm_show_tax\":\"0\",\"vm_display_type\":\"text_price\",\"portal_mode_news_gallery_amount\":\"10\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"1\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"portal_mode_product_gallery_amount\":\"10\",\"portal_mode_product_gallery_cols\":\"3\",\"portal_mode_product_gallery_nav\":\"1\",\"portal_mode_product_gallery_autoanimation\":\"1\",\"portal_mode_product_gallery_autoanimation_time\":\"5000\",\"portal_mode_news_blocks_cols\":\"2\",\"portal_mode_news_blocks_rows\":\"2\",\"portal_mode_title_overlay_text_pos\":\"bottom\",\"portal_mode_title_overlay_text_padding\":\"30px\",\"portal_mode_title_overlay_text_bg\":\"transparent\",\"portal_mode_title_overlay_text_width\":\"100\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 20px 20px 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"responsive_images\":\"0\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"278\",\"img_height\":\"182\",\"img_margin\":\"0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"75\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"7\",\"simple_crop_right\":\"7\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"0\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}',0,'*'),(652,'Bottom NSP IV','','',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk5',1,0,'{\"moduleclass_sfx\":\"clear\",\"module_unique_id\":\"\",\"module_mode\":\"Title_Overlay\",\"use_own_article_format\":\"0\",\"article_format\":\"-1\",\"data_source\":\"k2_articles\",\"source_name\":\"com_k2\",\"com_content_articles\":\"81\",\"k2_articles\":\"231\",\"json_file\":\"-1\",\"xml_file\":\"-1\",\"com_virtuemart_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_in\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"full\",\"com_content_comments_source\":\"none\",\"k2_comments_source\":\"k2\",\"vm_itemid\":\"9999\",\"vm_out_of_stock\":\"1\",\"vm_show_price_type\":\"base\",\"vm_show_price_with_tax\":\"0\",\"vm_add_to_cart\":\"0\",\"vm_show_discount_amount\":\"0\",\"vm_show_tax\":\"0\",\"vm_display_type\":\"text_price\",\"portal_mode_news_gallery_amount\":\"10\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"1\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"portal_mode_product_gallery_amount\":\"10\",\"portal_mode_product_gallery_cols\":\"3\",\"portal_mode_product_gallery_nav\":\"1\",\"portal_mode_product_gallery_autoanimation\":\"1\",\"portal_mode_product_gallery_autoanimation_time\":\"5000\",\"portal_mode_news_blocks_cols\":\"2\",\"portal_mode_news_blocks_rows\":\"2\",\"portal_mode_title_overlay_text_pos\":\"bottom\",\"portal_mode_title_overlay_text_padding\":\"30px\",\"portal_mode_title_overlay_text_bg\":\"transparent\",\"portal_mode_title_overlay_text_width\":\"100\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 20px 20px 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"responsive_images\":\"0\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"278\",\"img_height\":\"182\",\"img_margin\":\"0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"75\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"0\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}',0,'*'),(653,'News and Features __Music News, Videos, Pictures, Artists, Playlists and More__','','',1,'bottom2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk5',1,1,'{\"moduleclass_sfx\":\"bigtitle nsptitle70 nsplinktitle70 overlaywhite\",\"module_unique_id\":\"\",\"module_mode\":\"normal\",\"use_own_article_format\":\"0\",\"article_format\":\"-1\",\"data_source\":\"k2_categories\",\"source_name\":\"com_k2\",\"com_content_articles\":\"\",\"k2_categories\":[\"33\",\"34\"],\"k2_articles\":\"\",\"json_file\":\"-1\",\"xml_file\":\"-1\",\"com_virtuemart_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_in\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"first\",\"com_content_comments_source\":\"none\",\"k2_comments_source\":\"k2\",\"vm_itemid\":\"9999\",\"vm_out_of_stock\":\"1\",\"vm_show_price_type\":\"base\",\"vm_show_price_with_tax\":\"0\",\"vm_add_to_cart\":\"0\",\"vm_show_discount_amount\":\"0\",\"vm_show_tax\":\"0\",\"vm_display_type\":\"text_price\",\"portal_mode_news_gallery_amount\":\"10\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"1\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"portal_mode_product_gallery_amount\":\"10\",\"portal_mode_product_gallery_cols\":\"3\",\"portal_mode_product_gallery_nav\":\"1\",\"portal_mode_product_gallery_autoanimation\":\"1\",\"portal_mode_product_gallery_autoanimation_time\":\"5000\",\"portal_mode_news_blocks_cols\":\"2\",\"portal_mode_news_blocks_rows\":\"2\",\"portal_mode_title_overlay_text_pos\":\"top\",\"portal_mode_title_overlay_text_padding\":\"30px\",\"portal_mode_title_overlay_text_bg\":\"transparent\",\"portal_mode_title_overlay_text_width\":\"100\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"1\",\"links_amount\":\"2\",\"links_columns_amount\":\"2\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0 0 0 48px\",\"links_position\":\"right\",\"links_width\":\"65\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"12\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"18\",\"responsive_images\":\"1\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"410\",\"img_height\":\"340\",\"img_margin\":\"0\",\"img_bg\":\"#000\",\"img_stretch\":\"0\",\"img_quality\":\"60\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"0\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}',0,'*'),(654,'Suffix \"bigtitle\" __Use double underscores to achieve the small text__','','<p>This suffix uses the following syntax: <strong>__Lorem ipsum__</strong> if you need to achieve the second line text with smaller text and lighter color.</p>',1,'mainbody_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"bigtitle\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(655,'People','','<ul>\r\n<li><a href=\"#\">Listener Signup</a></li>\r\n<li><a href=\"#\">Community</a></li>\r\n<li><a href=\"#\">Browse People</a></li>\r\n</ul>\r\n\r\n<h3>Help</h3>\r\n<ul>\r\n<li><a href=\"#\">FAQ</a></li>\r\n<li><a href=\"#\">Support</a></li>\r\n</ul>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(656,'Promote your band','','<ul>\r\n<li><a href=\"#\">News</a></li>\r\n<li><a href=\"#\">Reviews</a></li>\r\n<li><a href=\"#\">Photos</a></li>\r\n<li><a href=\"#\">Video</a></li>\r\n<li><a href=\"#\">Blogs</a></li>\r\n<li><a href=\"#\">Concert Tickets</a></li>\r\n<li><a href=\"#\">iPhone App</a></li>\r\n<li><a href=\"#\">Festivals</a></li>\r\n<li><a href=\"#\">Artists</a></li>\r\n<li><a href=\"#\">New Music</a></li>\r\n<li><a href=\"#\">Shop</a></li>\r\n<li><a href=\"#\">Magazine</a></li>\r\n</ul>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(657,'Explore','','<ul>\r\n<li><a href=\"#\">Lyrics</a></li>\r\n<li><a href=\"#\">News Archive</a></li>\r\n<li><a href=\"#\">Photos Archive</a></li>\r\n<li><a href=\"#\">Videos Archive</a></li>\r\n</ul>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(658,'Info','','<ul>\r\n<li><a href=\"#\">About Us & Contact</a></li>\r\n<li><a href=\"#\">Advertise</a></li>\r\n<li><a href=\"#\">Terms of Use</a></li>\r\n<li><a href=\"#\">Privacy Policy</a></li>\r\n<li><a href=\"#\">Our Ads</a></li>\r\n</ul>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(659,'Search middle','','',1,'search_middle',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_search',1,0,'{\"label\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"1\",\"button_pos\":\"right\",\"imagebutton\":\"\",\"button_text\":\"\",\"opensearch\":\"1\",\"opensearch_title\":\"\",\"set_itemid\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"-middle\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(660,'Tags:','','',1,'tags',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"7\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"1\",\"liveSearch\":\"\",\"width\":\"40\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"16\",\"cloud_category\":[\"31\",\"32\",\"33\",\"34\"],\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(662,'NSP on TAB','','',1,'tab1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk5',1,0,'{\"moduleclass_sfx\":\"clear nsptitle80\",\"module_unique_id\":\"\",\"module_mode\":\"normal\",\"use_own_article_format\":\"0\",\"article_format\":\"-1\",\"data_source\":\"k2_categories\",\"source_name\":\"com_k2\",\"com_content_articles\":\"77\",\"k2_categories\":[\"32\",\"33\",\"34\",\"31\"],\"k2_articles\":\"231\",\"json_file\":\"-1\",\"xml_file\":\"-1\",\"com_virtuemart_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"offset\":\"0\",\"news_since\":\"\",\"news_in\":\"\",\"news_featured\":\"1\",\"only_featured\":\"0\",\"news_unauthorized\":\"0\",\"time_offset\":\"0\",\"thumb_image_type\":\"full\",\"com_content_comments_source\":\"none\",\"k2_comments_source\":\"k2\",\"vm_itemid\":\"9999\",\"vm_out_of_stock\":\"1\",\"vm_show_price_type\":\"base\",\"vm_show_price_with_tax\":\"0\",\"vm_add_to_cart\":\"0\",\"vm_show_discount_amount\":\"0\",\"vm_show_tax\":\"0\",\"vm_display_type\":\"text_price\",\"portal_mode_news_gallery_amount\":\"10\",\"portal_mode_news_gallery_cols\":\"3\",\"portal_mode_news_gallery_autoanimation\":\"1\",\"portal_mode_news_gallery_autoanimation_time\":\"5000\",\"portal_mode_product_gallery_amount\":\"10\",\"portal_mode_product_gallery_cols\":\"3\",\"portal_mode_product_gallery_nav\":\"1\",\"portal_mode_product_gallery_autoanimation\":\"1\",\"portal_mode_product_gallery_autoanimation_time\":\"5000\",\"portal_mode_news_blocks_cols\":\"2\",\"portal_mode_news_blocks_rows\":\"2\",\"portal_mode_title_overlay_text_pos\":\"top\",\"portal_mode_title_overlay_text_padding\":\"40px 45px\",\"portal_mode_title_overlay_text_bg\":\"transparent\",\"portal_mode_title_overlay_text_width\":\"100\",\"news_full_pages\":\"1\",\"news_column\":\"2\",\"news_rows\":\"4\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"center\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"10\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"8\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"0\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"0\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"1\",\"links_amount\":\"2\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"3\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"6\",\"responsive_images\":\"1\",\"wrap_content\":\"0\",\"memory_limit\":\"128M\",\"use_curl_download\":\"0\",\"create_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"309\",\"img_height\":\"175\",\"img_margin\":\"3px\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"60\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"useCSS\":\"0\",\"useScript\":\"2\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\"}',0,'*'),(661,'Tabs','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_tabs_gk5',1,0,'{\"automatic_module_id\":\"1\",\"module_id\":\"gk-tab-1\",\"moduleclass_sfx\":\"\",\"module_data_source\":\"tabsmanager\",\"tabs_data\":\"[{\\\"name\\\":\\\"Popular\\\",\\\"type\\\":\\\"module\\\",\\\"content\\\":\\\"tab1\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"1\\\",\\\"id\\\":\\\"\\\",\\\"animation\\\":\\\"opacity\\\"},{\\\"name\\\":\\\"Comments\\\",\\\"type\\\":\\\"module\\\",\\\"content\\\":\\\"tab2\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"1\\\",\\\"id\\\":\\\"\\\",\\\"animation\\\":\\\"default\\\"}]\",\"external_source\":\"-1\",\"styleCSS\":\"style1\",\"module_auto_height\":\"1\",\"module_height\":\"200\",\"tabs_position\":\"top\",\"tabs_width\":\"200\",\"tabs_spans\":\"0\",\"buttons\":\"0\",\"activator\":\"click\",\"animation\":\"1\",\"animation_speed\":\"250\",\"animation_interval\":\"5000\",\"animation_type\":\"opacity\",\"animation_function\":\"Fx.Transitions.linear\",\"url_tab_selection\":\"1\",\"cookie_tab_selection\":\"0\",\"parse_plugins\":\"1\",\"useCSS\":\"0\",\"useScript\":\"1\",\"engine_mode\":\"mootools\",\"include_jquery\":\"0\",\"rtl\":\"0\"}',0,'*');


--
-- Table structure for table `#__modules_menu`
--



CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__modules_menu`
--


INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES (2,0),(3,0),(4,0),(6,0),(7,0),(8,0),(9,0),(10,0),(12,0),(13,0),(14,0),(15,0),(16,0),(17,0),(66,0),(68,0),(79,0),(86,0),(96,0),(97,0),(150,0),(151,0),(344,0),(373,127),(421,127),(449,0),(454,127),(460,127),(461,127),(462,127),(493,127),(507,419),(507,420),(507,421),(507,423),(507,436),(507,663),(507,667),(507,668),(507,669),(507,670),(507,671),(507,673),(507,674),(507,675),(507,676),(508,663),(508,667),(508,668),(508,669),(508,670),(508,673),(508,674),(508,675),(508,676),(512,0),(514,0),(515,0),(516,0),(517,0),(537,127),(555,0),(564,419),(564,420),(564,421),(564,423),(564,663),(564,667),(564,668),(564,669),(564,670),(564,671),(564,673),(564,674),(564,675),(564,676),(618,0),(633,127),(636,102),(636,103),(636,105),(636,106),(636,107),(636,113),(636,127),(636,152),(636,156),(636,157),(636,158),(636,159),(636,160),(636,161),(636,162),(636,175),(636,176),(636,177),(636,178),(636,179),(636,180),(636,181),(636,182),(636,183),(636,184),(636,185),(636,186),(636,187),(636,188),(636,189),(636,190),(636,191),(636,192),(636,193),(636,194),(636,195),(636,196),(636,199),(636,200),(636,201),(636,202),(636,263),(636,272),(636,414),(636,415),(636,416),(636,417),(636,418),(636,419),(636,420),(636,421),(636,422),(636,423),(636,426),(636,427),(636,428),(636,429),(636,430),(636,431),(636,432),(636,433),(636,434),(636,435),(636,436),(636,437),(636,438),(636,439),(636,440),(636,441),(636,442),(636,443),(636,444),(636,445),(636,446),(636,447),(636,448),(636,449),(636,468),(636,469),(636,498),(636,499),(636,500),(636,501),(636,612),(636,614),(636,615),(636,616),(636,640),(636,663),(636,667),(636,668),(636,669),(636,670),(636,671),(636,672),(636,673),(636,674),(636,675),(636,676),(636,677),(637,127),(638,127),(639,127),(642,127),(643,640),(644,127),(645,127),(646,640),(647,640),(648,640),(649,640),(650,640),(651,640),(652,640),(653,640),(654,127),(655,102),(655,103),(655,105),(655,106),(655,107),(655,113),(655,127),(655,152),(655,156),(655,157),(655,158),(655,159),(655,160),(655,161),(655,162),(655,175),(655,176),(655,177),(655,178),(655,179),(655,180),(655,181),(655,182),(655,183),(655,184),(655,185),(655,186),(655,187),(655,188),(655,189),(655,190),(655,191),(655,192),(655,193),(655,194),(655,195),(655,196),(655,199),(655,200),(655,201),(655,202),(655,263),(655,272),(655,414),(655,415),(655,416),(655,417),(655,418),(655,419),(655,420),(655,421),(655,422),(655,423),(655,426),(655,427),(655,428),(655,429),(655,430),(655,431),(655,432),(655,433),(655,434),(655,435),(655,436),(655,437),(655,438),(655,439),(655,440),(655,441),(655,442),(655,443),(655,444),(655,445),(655,446),(655,447),(655,448),(655,449),(655,468),(655,469),(655,498),(655,499),(655,500),(655,501),(655,612),(655,614),(655,615),(655,616),(655,640),(655,663),(655,667),(655,668),(655,669),(655,670),(655,671),(655,672),(655,673),(655,674),(655,675),(655,676),(655,677),(656,0),(657,0),(658,0),(659,0),(660,0),(661,667),(661,668),(661,669),(661,670),(661,671),(661,673),(661,674),(661,675),(661,676),(662,0);


--
-- Table structure for table `#__newsfeeds`
--



CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `filename` varchar(200) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__newsfeeds`
--


INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `filename`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`) VALUES (14,1,'GavickPro News','gavickpro-news','http://www.gavickmagazine.com/index.php?format=feed&type=rss',NULL,1,5,3600,0,'0000-00-00 00:00:00',1,0,1,'*','{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"newsfeed_layout\":\"\",\"feed_display_order\":\"\"}','2012-03-14 22:54:46',42,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\"}','','0000-00-00 00:00:00','0000-00-00 00:00:00');


--
-- Table structure for table `#__overrider`
--



CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__overrider`
--




--
-- Table structure for table `#__redirect_links`
--



CREATE TABLE `#__redirect_links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `old_url` varchar(255) NOT NULL,
  `new_url` varchar(255) NOT NULL,
  `referer` varchar(150) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_link_old` (`old_url`),
  KEY `idx_link_modifed` (`modified_date`)
) ENGINE=MyISAM AUTO_INCREMENT=115 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__redirect_links`
--


INSERT INTO `#__redirect_links` (`id`, `old_url`, `new_url`, `referer`, `comment`, `hits`, `published`, `created_date`, `modified_date`) VALUES (1,'http://project.gavick.com/_updates/joomla25/league_news_fixed/','','http://project.gavick.com/_updates/joomla25/','',0,-2,'2012-03-14 19:55:26','0000-00-00 00:00:00'),(2,'http://project.gavick.com/_updates/joomla25/league_news_fixed/index.php','','http://project.gavick.com/_updates/joomla25/league_news_fixed/','',0,-2,'2012-03-14 19:57:51','0000-00-00 00:00:00'),(3,'http://project.gavick.com/_updates/joomla25/league_news_fixed/index.php/template/lorem-ipsum/template-articles/index.php','','http://project.gavick.com/_updates/joomla25/league_news_fixed/index.php/template/lorem-ipsum/template-articles/module-variations','',0,-2,'2012-03-14 22:32:46','0000-00-00 00:00:00'),(4,'http://project.gavick.com/templates/2012_3/?option=non-existing-component','','http://project.gavick.com/templates/2012_3/index.php/template/lorem-ipsum-ii/users','',0,-2,'2012-03-21 15:19:24','0000-00-00 00:00:00'),(5,'http://project.gavick.com/templates/2012_3/index.php/template/lorem-ipsum-ii/index.php','','http://project.gavick.com/templates/2012_3/index.php/template/lorem-ipsum-ii/users','',0,-2,'2012-03-22 12:23:39','0000-00-00 00:00:00'),(6,'http://project.gavick.com/templates/2012_3/index.php/template/lorem-ipsum/template-articles/index.php','','http://project.gavick.com/templates/2012_3/index.php/template/lorem-ipsum/template-articles/module-variations','',0,-2,'2012-03-24 21:52:22','0000-00-00 00:00:00'),(7,'http://project.gavick.com/templates/2012_3/index.php/typography/administrator','','','',0,-2,'2012-03-26 14:50:43','0000-00-00 00:00:00'),(8,'http://project.gavick.com/templates/2012_3/index.php?option=non-existing-component','','http://project.gavick.com/templates/2012_3/index.php?option=com_k2&view=itemlist&task=date&year=2012&month=3&day=6&Itemid=424','',0,-2,'2012-03-29 14:16:44','0000-00-00 00:00:00'),(9,'http://project.gavick.com/templates/2012_4/?option=non-existing-component','','http://project.gavick.com/templates/2012_4/','',0,-2,'2012-04-24 09:07:32','0000-00-00 00:00:00'),(10,'http://project.gavick.com/templates/2012_4/index.php/template/lorem-ipsum/articles/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/template/lorem-ipsum/articles/category-blog','',0,-2,'2012-04-26 09:28:07','0000-00-00 00:00:00'),(11,'http://project.gavick.com/templates/2012_4/index.php/template/lorem-ipsum/template-articles/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/template/lorem-ipsum/template-articles/page-breaks','',0,-2,'2012-04-26 10:49:01','0000-00-00 00:00:00'),(12,'http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/item','',0,-2,'2012-04-26 12:02:31','0000-00-00 00:00:00'),(13,'http://project.gavick.com/templates/2012_4/index.php/images/style1/comment.png','','','',0,-2,'2012-04-26 14:42:04','0000-00-00 00:00:00'),(14,'http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/categories/item/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/categories/item/87-isweeller-pro','',0,-2,'2012-04-26 15:25:54','0000-00-00 00:00:00'),(15,'http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/user-page/itemlist/category/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/user-page/itemlist/category/16-demo-subcategory','',0,-2,'2012-04-26 15:34:33','0000-00-00 00:00:00'),(16,'http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/user-page/item/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/user-page/item/89-the-igk-tablet','',0,-2,'2012-04-26 15:35:53','0000-00-00 00:00:00'),(17,'http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/item/item/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/item/item/91-igk-tablet','',0,-2,'2012-04-26 15:57:47','0000-00-00 00:00:00'),(18,'http://project.gavick.com/templates/2012_4/index.php/template/lorem-ipsum/articles/category-list/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/template/lorem-ipsum/articles/category-list/67-lorem-ipsum-9','',0,-2,'2012-04-26 17:50:52','0000-00-00 00:00:00'),(19,'http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/item/itemlist/category/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/item/itemlist/category/16-demo-subcategory','',0,-2,'2012-04-27 07:40:04','0000-00-00 00:00:00'),(20,'http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/categories/itemlist/category/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/categories/itemlist/category/17-demo-subcategory-2','',0,-2,'2012-04-28 12:24:42','0000-00-00 00:00:00'),(21,'http://project.gavick.com/templates/2012_4/index.php/component/k2/itemlist/category/blank.gif','','http://project.gavick.com/templates/2012_4/index.php/component/k2/itemlist/category/22-season-salads','',0,-2,'2012-04-28 16:10:52','0000-00-00 00:00:00'),(22,'http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/categories/itemlist/category/index.php','','http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/categories/itemlist/category/19-sweets-and-desserts','',0,-2,'2012-04-28 17:15:29','0000-00-00 00:00:00'),(23,'http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/index.php','','http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/categories','',0,-2,'2012-04-28 18:11:46','0000-00-00 00:00:00'),(24,'http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/categories/item/index.php','','http://project.gavick.com/templates/2012_4/index.php/2011-08-04-23-47-02/categories/item/95-grilled-salmon-and-vegetables','',0,-2,'2012-04-28 20:19:17','0000-00-00 00:00:00'),(25,'http://project.gavick.com/templates/2012_4/index.php/template/lorem-ipsum/template-articles/index.php','','http://project.gavick.com/templates/2012_4/index.php/template/lorem-ipsum/template-articles/module-variations','',0,-2,'2012-04-29 01:23:42','0000-00-00 00:00:00'),(26,'http://project.gavick.com/templates/2012_5/index.php/joomla-pages-ii/index.php','','http://project.gavick.com/templates/2012_5/index.php/joomla-pages-ii/user-login','',0,-2,'2012-05-15 10:09:04','0000-00-00 00:00:00'),(27,'http://project.gavick.com/templates/2012_5/?option=non-existing-component','','http://project.gavick.com/templates/2012_5/','',0,-2,'2012-05-15 17:28:58','0000-00-00 00:00:00'),(28,'http://project.gavick.com/templates/2012_5/index.php/images/style1/tags.png','','','',0,-2,'2012-05-23 10:45:31','0000-00-00 00:00:00'),(29,'http://project.gavick.com/templates/2012_5/index.php/images/style1/fonts.png','','','',0,-2,'2012-05-24 09:00:59','0000-00-00 00:00:00'),(30,'http://project.gavick.com/templates/2012_5/?option=x','','','',0,-2,'2012-05-25 09:32:08','0000-00-00 00:00:00'),(31,'http://project.gavick.com/templates/2012_5/index.php/template/lorem-ipsum/template-articles/index.php','','http://project.gavick.com/templates/2012_5/index.php/template/lorem-ipsum/template-articles/module-variations','',0,-2,'2012-05-28 13:07:16','0000-00-00 00:00:00'),(32,'http://project.gavick.com/templates/2012_5/index.php/2011-08-04-23-47-02/index.php','','http://project.gavick.com/templates/2012_5/index.php/2011-08-04-23-47-02/item','',0,-2,'2012-05-28 13:18:10','0000-00-00 00:00:00'),(33,'http://project.gavick.com/templates/2012_5/index.php/template/lorem-ipsum-ii/index.php','','http://project.gavick.com/templates/2012_5/index.php/template/lorem-ipsum-ii/users','',0,-2,'2012-05-29 11:29:12','0000-00-00 00:00:00'),(34,'http://project.gavick.com/templates/2012_5/index.php/2011-08-04-23-47-02/categories/item/index.php','','http://project.gavick.com/templates/2012_5/index.php/2011-08-04-23-47-02/categories/item/83-sexy-stylish-and-seductive-shoes','',0,-2,'2012-05-29 12:02:34','0000-00-00 00:00:00'),(35,'http://project.gavick.com/_updates/joomla25/fashion/index.php/2011-08-04-23-47-02/index.php','','http://project.gavick.com/_updates/joomla25/fashion/index.php/2011-08-04-23-47-02/user-page','',0,-2,'2012-05-31 20:54:23','0000-00-00 00:00:00'),(36,'http://project.gavick.com/_updates/joomla25/fashion/?option=non-existing-component','','http://project.gavick.com/_updates/joomla25/fashion/','',0,-2,'2012-06-01 06:19:19','0000-00-00 00:00:00'),(37,'http://project.gavick.com/_updates/joomla25/fashion/index.php/2011-08-04-23-47-02/k2-items/index.php','','http://project.gavick.com/_updates/joomla25/fashion/index.php/2011-08-04-23-47-02/k2-items/latest-items-two-columns','',0,-2,'2012-06-01 08:03:41','0000-00-00 00:00:00'),(38,'http://project.gavick.com/_updates/joomla25/fashion/index.php/template/lorem-ipsum/template-articles/index.php','','http://project.gavick.com/_updates/joomla25/fashion/index.php/template/lorem-ipsum/template-articles/module-positions','',0,-2,'2012-06-01 08:42:55','0000-00-00 00:00:00'),(39,'http://project.gavick.com/_updates/joomla25/fashion/index.php/2011-08-04-23-47-02/categories/item/index.php','','http://project.gavick.com/_updates/joomla25/fashion/index.php/2011-08-04-23-47-02/categories/item/85-giovanni-galli-outlet-collection','',0,-2,'2012-06-01 08:46:53','0000-00-00 00:00:00'),(40,'http://project.gavick.com/templates/2012_6/index.php/template/lorem-ipsum/template-articles/index.php','','http://project.gavick.com/templates/2012_6/index.php/template/lorem-ipsum/template-articles/module-variations','',4,-2,'2012-06-23 23:35:46','0000-00-00 00:00:00'),(41,'http://project.gavick.com/templates/2012_6/index.php/2011-08-04-23-47-02/index.php','','http://project.gavick.com/templates/2012_6/index.php/2011-08-04-23-47-02/item','',64,-2,'2012-06-28 14:07:39','0000-00-00 00:00:00'),(42,'http://project.gavick.com/templates/2012_6/?option=non-existing-component','','http://project.gavick.com/templates/2012_6/','',27,-2,'2012-06-29 19:30:15','0000-00-00 00:00:00'),(43,'http://project.gavick.com/templates/2012_6/index.php/2011-08-04-23-47-02/item','','http://project.gavick.com/templates/2012_6/index.php/2011-08-04-23-47-02/categories','',1,-2,'2012-07-04 15:25:22','0000-00-00 00:00:00'),(44,'http://project.gavick.com/_updates/joomla25/bikestore/?option=non-existing-component','','http://project.gavick.com/_updates/joomla25/bikestore/','',6,-2,'2012-07-05 16:13:13','0000-00-00 00:00:00'),(45,'http://project.gavick.com/_updates/joomla25/bikestore/index.php/template/lorem-ipsum/template-articles/index.php','','http://project.gavick.com/_updates/joomla25/bikestore/index.php/template/lorem-ipsum/template-articles/module-variations','',2,-2,'2012-07-05 16:53:34','0000-00-00 00:00:00'),(46,'http://project.gavick.com/_updates/joomla25/bikestore/index.php/2011-08-04-23-47-02/index.php','','http://project.gavick.com/_updates/joomla25/bikestore/index.php/2011-08-04-23-47-02/item','',4,-2,'2012-07-05 17:55:10','0000-00-00 00:00:00'),(47,'http://project.gavick.com/_updates/joomla25/bikestore/index.php/template/lorem-ipsum/articles/single-article','','http://project.gavick.com/_updates/joomla25/bikestore/','',5,-2,'2012-07-12 11:33:56','0000-00-00 00:00:00'),(48,'http://project.gavick.com/templates/2012_7/index.php?Itemid=537','','http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/item','',1,-2,'2012-07-29 16:30:08','0000-00-00 00:00:00'),(49,'http://project.gavick.com/templates/2012_7/index.php?Itemid=535','','http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/item','',1,-2,'2012-07-29 16:30:09','0000-00-00 00:00:00'),(50,'http://project.gavick.com/templates/2012_7/?option=non-existing-component','','http://project.gavick.com/templates/2012_7/','',49,-2,'2012-07-29 17:20:48','0000-00-00 00:00:00'),(51,'http://project.gavick.com/templates/2012_7/index.php/template/lorem-ipsum-ii/index.php','','http://project.gavick.com/templates/2012_7/index.php/template/lorem-ipsum-ii/users','',2,-2,'2012-07-29 19:27:42','0000-00-00 00:00:00'),(52,'http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/latest-items-two-columns','','http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/latest-items-one-column','',3,-2,'2012-07-30 10:00:06','0000-00-00 00:00:00'),(53,'http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/','','http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/latest-items-two-columns','',1,-2,'2012-07-30 10:00:24','0000-00-00 00:00:00'),(54,'http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/k2-items/latest-items-four-columns','','','',5,-2,'2012-07-30 14:11:17','0000-00-00 00:00:00'),(55,'http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/k2-items/','','http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/k2-items/latest-items-four-columns','',2,-2,'2012-07-30 14:13:26','0000-00-00 00:00:00'),(56,'http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/k2-items/latest-items-four-columns/item/115-fashion-responsive-joomla-template','','http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/k2-items/latest-items-four-columns','',1,-2,'2012-07-30 14:59:16','0000-00-00 00:00:00'),(57,'http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/item','','http://project.gavick.com/templates/2012_7/index.php/price-table','',3,-2,'2012-07-30 15:38:52','0000-00-00 00:00:00'),(58,'http://project.gavick.com/templates/2012_7/index.php/2011-08-04-23-47-02/categories','','http://project.gavick.com/templates/2012_7/index.php/price-table','',1,-2,'2012-07-30 15:39:01','0000-00-00 00:00:00'),(59,'http://project.gavick.com/templates/2012_7/index.php/blog','','http://project.gavick.com/templates/2012_7/','',1,-2,'2012-07-31 06:57:15','0000-00-00 00:00:00'),(60,'http://project.gavick.com/templates/2012_7/index.php/k2-categories/blog','','http://project.gavick.com/templates/2012_7/index.php/k2/latest-items-one-column','',1,-2,'2012-07-31 19:41:59','0000-00-00 00:00:00'),(61,'http://project.gavick.com/templates/2012_7/index.php/template/lorem-ipsum/articles/single-article','','http://project.gavick.com/templates/2012_7/','',2,-2,'2012-08-01 08:25:58','0000-00-00 00:00:00'),(62,'http://project.gavick.com/templates/2012_8/?option=non-existing-component','','http://project.gavick.com/templates/2012_8/index.php/k2/categories','',35,-2,'2012-08-28 11:19:03','0000-00-00 00:00:00'),(63,'http://project.gavick.com/templates/2012_10/?option=non-existing-component','','http://project.gavick.com/templates/2012_10/','',9,-2,'2012-10-29 20:38:11','0000-00-00 00:00:00'),(64,'http://project.gavick.com/templates/2012_10/index.php/template/lorem-ipsum/articles/list-all-categories/8-menu-types/16-dropline-menu','','','',1,-2,'2012-10-30 11:36:36','0000-00-00 00:00:00'),(65,'http://project.gavick.com/templates/2012_10/index.php/k2/categories/action/item/index.php','','http://project.gavick.com/templates/2012_10/index.php/k2/categories/action/item/156-spec-ops-the-line-on-steam','',4,-2,'2012-10-30 18:46:06','0000-00-00 00:00:00'),(66,'http://project.gavick.com/templates/2012_10/index.php/k2/categories/role-play','','http://project.gavick.com/templates/2012_10/index.php/k2/categories/shooter','',1,-2,'2012-10-31 12:31:36','0000-00-00 00:00:00'),(67,'http://project.gavick.com/templates/2012_10/index.php/k2/latest-items-one-column?option=non-existing-component','','http://project.gavick.com/templates/2012_10/index.php/k2/latest-items-one-column','',1,-2,'2012-10-31 12:53:48','0000-00-00 00:00:00'),(68,'http://project.gavick.com/templates/2012_10/index.php/template/lorem-ipsum/template-articles/module-variations','','','',1,-2,'2012-10-31 15:59:29','0000-00-00 00:00:00'),(69,'http://project.gavick.com/templates/2012_10/index.php/template/lorem-ipsum/contacts/index.php','','http://project.gavick.com/templates/2012_10/index.php/template/lorem-ipsum/contacts/single-contact','',1,-2,'2012-10-31 16:05:15','0000-00-00 00:00:00'),(70,'http://project.gavick.com/templates/2012_10/index.php/template/lorem-ipsum/contacts/single-contact','','http://project.gavick.com/templates/2012_10/','',2,-2,'2012-10-31 16:20:00','0000-00-00 00:00:00'),(71,'http://project.gavick.com/templates/2012_10/index.php/template/lorem-ipsum/template-articles/module-positions','','','',1,-2,'2012-10-31 16:40:32','0000-00-00 00:00:00'),(72,'http://project.gavick.com/_updates/joomla25/startup/index.php/template/userslol','','','',3,-2,'2012-11-10 00:17:45','0000-00-00 00:00:00'),(73,'http://127.0.0.1:8080/news/index.php/images/topmenu_bg.png','','http://127.0.0.1:8080/news/index.php/joomla-pages-ii/news-feeds-in-a-category','',2,-2,'2012-12-18 21:47:44','0000-00-00 00:00:00'),(74,'http://project.gavick.com/templates/2012_12/?option=non-existing-component','','http://project.gavick.com/templates/2012_12/','',12,-2,'2012-12-23 22:59:08','0000-00-00 00:00:00'),(75,'http://project.gavick.com/templates/2012_12/index.php/k2/latest-items-two-columns','','http://project.gavick.com/templates/2012_12/index.php/k2/latest-items-one-column','',1,-2,'2012-12-30 14:31:08','0000-00-00 00:00:00'),(76,'http://project.gavick.com/templates/2012_12/index.php/k2/categories/world/item/190-unresolved-conflict-between-israelis-and-palestinians-at-the-centre','','','',2,-2,'2012-12-30 14:48:59','0000-00-00 00:00:00'),(77,'http://project.gavick.com/_updates/joomla25/news/index.php/k2/categories/world/item/index.php','','http://project.gavick.com/_updates/joomla25/news/index.php/k2/categories/world/item/189-turkish-prime-minister-recep-tayyip-erdogan-said-intercepted-p','',13,-2,'2013-01-09 14:13:11','0000-00-00 00:00:00'),(78,'http://project.gavick.com/_updates/joomla25/news/?option=non-existing-component','','http://project.gavick.com/_updates/joomla25/news/','',10,-2,'2013-01-18 10:58:09','0000-00-00 00:00:00'),(79,'http://project.gavick.com/templates/2013_1/?option=non-existing-component','','http://project.gavick.com/templates/2013_1/index.php/k2/item','',26,-2,'2013-01-30 10:14:21','0000-00-00 00:00:00'),(80,'http://project.gavick.com/templates/2013_1/index.php/loool','','','',1,-2,'2013-01-30 11:52:28','0000-00-00 00:00:00'),(81,'http://project.gavick.com/templates/2013_1/index.php/k2/index.php','','http://project.gavick.com/templates/2013_1/index.php/k2/item','',13,-2,'2013-01-31 11:31:03','0000-00-00 00:00:00'),(82,'http://project.gavick.com/templates/2013_1/index.php/k2/categories/tech/item/index.php','','http://project.gavick.com/templates/2013_1/index.php/k2/categories/tech/item/173-will-google-x-phone-beat-samsung-galaxy-s4-and-apple-iphone-5','',2,-2,'2013-01-31 11:46:46','0000-00-00 00:00:00'),(83,'http://project.gavick.com/templates/2013_1/index.php/k2/categories/k2-categories/index.php','','http://project.gavick.com/templates/2013_1/index.php/k2/categories/k2-categories/smartphone-s','',2,-2,'2013-01-31 12:56:00','0000-00-00 00:00:00'),(84,'http://project.gavick.com/templates/2013_1/index.php/k2/categories/k2-tags/k2-comments/index.php','','http://project.gavick.com/templates/2013_1/index.php/k2/categories/k2-tags/k2-comments/notebooks','',2,-2,'2013-01-31 13:56:18','0000-00-00 00:00:00'),(85,'http://project.gavick.com/templates/2013_1/index.php/k2','','http://project.gavick.com/templates/2013_1/index.php/k2/categories/k2-tags/k2-comments/ultrabook-s?start=2','',3,-2,'2013-01-31 15:38:16','0000-00-00 00:00:00'),(86,'http://project.gavick.com/templates/2013_1/index.php/k2/user-page','','http://project.gavick.com/templates/2013_1/index.php/template/search/com-search','',3,-2,'2013-01-31 17:17:19','0000-00-00 00:00:00'),(87,'http://project.gavick.com/templates/2013_1/index.php/k2/tag','','http://project.gavick.com/templates/2013_1/index.php/k2/item','',2,-2,'2013-01-31 17:21:37','0000-00-00 00:00:00'),(88,'http://project.gavick.com/templates/2013_1/index.php/k2/categories/k2-items/tv-s/item/index.php','','http://project.gavick.com/templates/2013_1/index.php/k2/categories/k2-items/tv-s/item/181-samsung-oled-tv-brings-new-1ghz-dual-core-chipset','',6,-2,'2013-01-31 18:34:48','0000-00-00 00:00:00'),(89,'http://project.gavick.com/templates/2013_1/index.php/k2/k2-tags/k2-user-page','','http://project.gavick.com/templates/2013_1/index.php/k2/k2-categories/smartphone-s?start=4','',1,-2,'2013-02-01 01:33:44','0000-00-00 00:00:00'),(90,'http://project.gavick.com/templates/2013_1/index.php/k2/item','','','',2,-2,'2013-02-01 07:10:37','0000-00-00 00:00:00'),(91,'http://project.gavick.com/templates/2013_1/index.php/k2/k2-item','','http://project.gavick.com/templates/2013_1/','',2,-2,'2013-02-01 10:57:20','0000-00-00 00:00:00'),(92,'http://project.gavick.com/templates/2013_1/index.php/home/k2-items/k2-categories/k2-tags/index.php','','http://project.gavick.com/templates/2013_1/index.php/home/k2-items/k2-categories/k2-tags/k2-user-page','',2,-2,'2013-02-01 11:24:37','0000-00-00 00:00:00'),(93,'http://project.gavick.com/templates/2013_1/index.php/k2/k2-categories?format=feed','','http://project.gavick.com/templates/2013_1/index.php/home/k2-item','',1,-2,'2013-02-01 14:31:40','0000-00-00 00:00:00'),(94,'http://project.gavick.com/_updates/joomla25/magazine/index.php/home/k2-items/k2-categories/k2-tags/index.php','','http://project.gavick.com/_updates/joomla25/magazine/index.php/home/k2-items/k2-categories/k2-tags/k2-user-page','',1,-2,'2013-02-05 15:22:35','0000-00-00 00:00:00'),(95,'http://project.gavick.com/templates/2013_2/index.php?option=lol','','','',8,-2,'2013-02-26 11:48:04','0000-00-00 00:00:00'),(96,'http://project.gavick.com/templates/2013_2/?option=non-existing-component','','http://project.gavick.com/templates/2013_2/','',11,-2,'2013-02-26 14:47:27','0000-00-00 00:00:00'),(97,'http://project.gavick.com/templates/2013_2/index.php/k2/k2-tag','','http://project.gavick.com/templates/2013_2/index.php/k2/k2-categories','',10,-2,'2013-02-27 21:52:13','0000-00-00 00:00:00'),(98,'http://project.gavick.com/templates/2013_2/index.php/k2/k2-item','','http://project.gavick.com/templates/2013_2/','',4,-2,'2013-02-28 12:21:11','0000-00-00 00:00:00'),(99,'http://project.gavick.com/templates/2013_2/','','http://project.gavick.com/templates/2013_2/index.php/k2/k2-item','',2,-2,'2013-02-28 12:21:20','0000-00-00 00:00:00'),(100,'http://project.gavick.com/templates/2013_2/index.php?option=com_k2&view=extrafieldsgroups','','','',1,-2,'2013-02-28 12:26:47','0000-00-00 00:00:00'),(101,'http://project.gavick.com/templates/2013_2/index.php/component/k2/item/150-kevin-durant-has-oklahoma-city-thunder-ing-along-at-the-top','','http://project.gavick.com/templates/2013_2/','',1,-2,'2013-02-28 14:28:12','0000-00-00 00:00:00'),(102,'http://project.gavick.com/templates/2013_2/index.php/component/k2/item/112-the-xperia-tablet-s-is-a-touchscreen-android-tablet-designed-by-sony','','http://project.gavick.com/templates/2013_2/','',1,-2,'2013-02-28 19:06:36','0000-00-00 00:00:00'),(103,'http://project.gavick.com/templates/2013_2/index.php/template/articles/images/demo/magazine_blog_1.jpg','','http://project.gavick.com/templates/2013_2/index.php/template/articles/single-article','',1,-2,'2013-03-01 09:33:52','0000-00-00 00:00:00'),(104,'http://project.gavick.com/templates/2013_2/index.php/k2/k2-categories/tablet-s','','http://project.gavick.com/templates/2013_2/index.php/k2/k2-item','',1,-2,'2013-03-01 13:38:53','0000-00-00 00:00:00'),(105,'http://project.gavick.com/templates/2013_2/index.php/template/users/password-reset?option=non-existing-component','','http://project.gavick.com/templates/2013_2/index.php/template/users/password-reset','',1,0,'2013-03-01 18:58:52','0000-00-00 00:00:00'),(106,'http://project.gavick.com/_updates/joomla25/simplicity/?option=non-existing-component','','http://project.gavick.com/_updates/joomla25/simplicity/index.php/k2','',1,0,'2013-03-02 07:34:39','0000-00-00 00:00:00'),(107,'http://project.gavick.com/templates/2013_4/index.php/k2/k2-itemzzz','','','',6,0,'2013-04-26 12:32:25','0000-00-00 00:00:00'),(108,'http://project.gavick.com/templates/2013_4/?option=non-existing-component','','http://project.gavick.com/templates/2013_4/','',141,0,'2013-04-26 16:14:07','0000-00-00 00:00:00'),(109,'http://project.gavick.com/templates/2013_4/index.php/abcc','','','',1,0,'2013-04-29 13:10:47','0000-00-00 00:00:00'),(110,'http://project.gavick.com/templates/2013_4/index.php?option=com_m','','','',1,0,'2013-04-29 19:39:43','0000-00-00 00:00:00'),(111,'http://project.gavick.com/templates/2013_4/index.php/k2/k2-tag','','http://project.gavick.com/templates/2013_4/','',6,0,'2013-04-30 10:47:48','0000-00-00 00:00:00'),(112,'http://project.gavick.com/templates/2013_4/index.php/k2/k2-categories/staff-picks','','http://project.gavick.com/templates/2013_4/index.php/k2/k2-categories/product-news','',1,0,'2013-04-30 16:47:09','0000-00-00 00:00:00'),(113,'http://project.gavick.com/templates/2013_4/index.php/k2/k2-categories/band-news/item/index.php','','http://project.gavick.com/templates/2013_4/index.php/k2/k2-categories/band-news/item/222-bono-with-his-soaring-voice-and-larger-than-life-personality','',2,0,'2013-04-30 19:28:14','0000-00-00 00:00:00'),(114,'http://project.gavick.com/templates/2013_4/index.php/template-features/page-breaks?option=non-existing-component','','http://project.gavick.com/templates/2013_4/index.php/template-features/page-breaks?showall=&start=3','',5,0,'2013-04-30 19:37:50','0000-00-00 00:00:00');


--
-- Table structure for table `#__schemas`
--



CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__schemas`
--





--
-- Table structure for table `#__session`
--



CREATE TABLE `#__session` (
  `session_id` varchar(200) NOT NULL DEFAULT '',
  `client_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `guest` tinyint(4) unsigned DEFAULT '1',
  `time` varchar(14) DEFAULT '',
  `data` text,
  `userid` int(11) DEFAULT '0',
  `username` varchar(150) DEFAULT '',
  `usertype` varchar(50) DEFAULT '',
  PRIMARY KEY (`session_id`),
  KEY `whosonline` (`guest`,`usertype`),
  KEY `userid` (`userid`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__session`
--


INSERT INTO `#__session` (`session_id`, `client_id`, `guest`, `time`, `data`, `userid`, `username`, `usertype`) VALUES ('844ada5deb1bc608767e2bc39f4ff06c',1,1,'1367358959','__default|a:8:{s:15:\"session.counter\";i:1;s:19:\"session.timer.start\";i:1367358959;s:18:\"session.timer.last\";i:1367358959;s:17:\"session.timer.now\";i:1367358959;s:22:\"session.client.browser\";s:72:\"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20100101 Firefox/20.0\";s:8:\"registry\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":0:{}}s:4:\"user\";O:5:\"JUser\":25:{s:9:\"\0*\0isRoot\";N;s:2:\"id\";i:0;s:4:\"name\";N;s:8:\"username\";N;s:5:\"email\";N;s:8:\"password\";N;s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";N;s:5:\"block\";N;s:9:\"sendEmail\";i:0;s:12:\"registerDate\";N;s:13:\"lastvisitDate\";N;s:10:\"activation\";N;s:6:\"params\";N;s:6:\"groups\";a:0:{}s:5:\"guest\";i:1;s:13:\"lastResetTime\";N;s:10:\"resetCount\";N;s:10:\"\0*\0_params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":0:{}}s:14:\"\0*\0_authGroups\";N;s:14:\"\0*\0_authLevels\";a:2:{i:0;i:1;i:1;i:1;}s:15:\"\0*\0_authActions\";N;s:12:\"\0*\0_errorMsg\";N;s:10:\"\0*\0_errors\";a:0:{}s:3:\"aid\";i:0;}s:13:\"session.token\";s:32:\"9e7071018aa8a64ad39a59a26dfaf187\";}',0,'',''),('fd7512c21d83bbc8720249669dd19257',0,1,'1367359578','__default|a:9:{s:15:\"session.counter\";i:4;s:19:\"session.timer.start\";i:1367359300;s:18:\"session.timer.last\";i:1367359376;s:17:\"session.timer.now\";i:1367359578;s:22:\"session.client.browser\";s:119:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_3) AppleWebKit/537.31 (KHTML, like Gecko) Chrome/26.0.1410.65 Safari/537.31\";s:8:\"registry\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":0:{}}s:4:\"user\";O:5:\"JUser\":26:{s:9:\"\0*\0isRoot\";b:0;s:2:\"id\";i:0;s:4:\"name\";N;s:8:\"username\";N;s:5:\"email\";N;s:8:\"password\";N;s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";N;s:5:\"block\";N;s:9:\"sendEmail\";i:0;s:12:\"registerDate\";N;s:13:\"lastvisitDate\";N;s:10:\"activation\";N;s:6:\"params\";N;s:6:\"groups\";a:0:{}s:5:\"guest\";i:1;s:13:\"lastResetTime\";N;s:10:\"resetCount\";N;s:10:\"\0*\0_params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":0:{}}s:14:\"\0*\0_authGroups\";a:1:{i:0;i:1;}s:14:\"\0*\0_authLevels\";a:2:{i:0;i:1;i:1;i:1;}s:15:\"\0*\0_authActions\";N;s:12:\"\0*\0_errorMsg\";N;s:10:\"\0*\0_errors\";a:0:{}s:3:\"aid\";i:0;s:3:\"gid\";i:1;}s:13:\"session.token\";s:32:\"993cd27fb9b1d3ba11047adb7e11d148\";s:16:\"com_mailto.links\";a:1:{s:40:\"3e90b3460dec012a38b45f6779831e2e242eae94\";O:8:\"stdClass\":2:{s:4:\"link\";s:73:\"http://project.gavick.com/_updates/joomla25/rockwall/index.php/k2/k2-item\";s:6:\"expiry\";i:1367359341;}}}',0,'',''),('35fb85ce552e63b8ec4865e1e3cb4a4e',0,1,'1367359515','__default|a:9:{s:15:\"session.counter\";i:18;s:19:\"session.timer.start\";i:1367358686;s:18:\"session.timer.last\";i:1367359509;s:17:\"session.timer.now\";i:1367359515;s:22:\"session.client.browser\";s:72:\"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20100101 Firefox/20.0\";s:8:\"registry\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":0:{}}s:4:\"user\";O:5:\"JUser\":26:{s:9:\"\0*\0isRoot\";b:0;s:2:\"id\";i:0;s:4:\"name\";N;s:8:\"username\";N;s:5:\"email\";N;s:8:\"password\";N;s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";N;s:5:\"block\";N;s:9:\"sendEmail\";i:0;s:12:\"registerDate\";N;s:13:\"lastvisitDate\";N;s:10:\"activation\";N;s:6:\"params\";N;s:6:\"groups\";a:0:{}s:5:\"guest\";i:1;s:13:\"lastResetTime\";N;s:10:\"resetCount\";N;s:10:\"\0*\0_params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":0:{}}s:14:\"\0*\0_authGroups\";a:1:{i:0;i:1;}s:14:\"\0*\0_authLevels\";a:2:{i:0;i:1;i:1;i:1;}s:15:\"\0*\0_authActions\";N;s:12:\"\0*\0_errorMsg\";N;s:10:\"\0*\0_errors\";a:0:{}s:3:\"aid\";i:0;s:3:\"gid\";i:1;}s:13:\"session.token\";s:32:\"5df84a7e36f6f9d5cd1d112e2c7e8fb8\";s:16:\"com_mailto.links\";a:2:{s:40:\"27dd0f95247875fa6ffbca5c9ec3a25fd61b9987\";O:8:\"stdClass\":2:{s:4:\"link\";s:119:\"http://project.gavick.com/_updates/joomla25/rockwall/index.php/k2/k2-categories/item/228-reznor-turns-mariqueen-in-star\";s:6:\"expiry\";i:1367358705;}s:40:\"3e90b3460dec012a38b45f6779831e2e242eae94\";O:8:\"stdClass\":2:{s:4:\"link\";s:73:\"http://project.gavick.com/_updates/joomla25/rockwall/index.php/k2/k2-item\";s:6:\"expiry\";i:1367359482;}}}',0,'',''),('b0abb8f6ca7b8ba463b4c07596e274f1',1,0,'1367359700','__default|a:8:{s:15:\"session.counter\";i:7;s:19:\"session.timer.start\";i:1367359689;s:18:\"session.timer.last\";i:1367359698;s:17:\"session.timer.now\";i:1367359700;s:22:\"session.client.browser\";s:119:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_3) AppleWebKit/537.31 (KHTML, like Gecko) Chrome/26.0.1410.65 Safari/537.31\";s:8:\"registry\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:11:\"application\";O:8:\"stdClass\":1:{s:4:\"lang\";s:0:\"\";}s:13:\"com_installer\";O:8:\"stdClass\":2:{s:7:\"message\";s:0:\"\";s:17:\"extension_message\";s:0:\"\";}}}s:4:\"user\";O:5:\"JUser\":26:{s:9:\"\0*\0isRoot\";b:1;s:2:\"id\";s:3:\"838\";s:4:\"name\";s:10:\"Super User\";s:8:\"username\";s:7:\"gkadmin\";s:5:\"email\";s:17:\"dziudek@gmail.com\";s:8:\"password\";s:65:\"b80e192c8a5da31b2cc7edcd5b55b659:KDw5LFQ09GFXwuIP7fxFFM5QsJM0cnNr\";s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";s:10:\"deprecated\";s:5:\"block\";s:1:\"0\";s:9:\"sendEmail\";s:1:\"1\";s:12:\"registerDate\";s:19:\"2013-04-22 09:01:54\";s:13:\"lastvisitDate\";s:19:\"2013-04-30 22:08:09\";s:10:\"activation\";s:1:\"0\";s:6:\"params\";s:92:\"{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}\";s:6:\"groups\";a:1:{i:8;s:1:\"8\";}s:5:\"guest\";i:0;s:13:\"lastResetTime\";s:19:\"0000-00-00 00:00:00\";s:10:\"resetCount\";s:1:\"0\";s:10:\"\0*\0_params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":6:{s:11:\"admin_style\";s:0:\"\";s:14:\"admin_language\";s:0:\"\";s:8:\"language\";s:0:\"\";s:6:\"editor\";s:0:\"\";s:8:\"helpsite\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:14:\"\0*\0_authGroups\";a:2:{i:0;i:1;i:1;i:8;}s:14:\"\0*\0_authLevels\";a:4:{i:0;i:1;i:1;i:1;i:2;i:2;i:3;i:3;}s:15:\"\0*\0_authActions\";N;s:12:\"\0*\0_errorMsg\";N;s:10:\"\0*\0_errors\";a:0:{}s:3:\"aid\";i:0;s:3:\"gid\";i:1000;}s:13:\"session.token\";s:32:\"9285b6c21b72fe45bf6813e31799922b\";}',838,'gkadmin','');


--
-- Table structure for table `#__template_styles`
--



CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__template_styles`
--


INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES (2,'bluestork',1,'1','Bluestork - Default','{\"useRoundedCorners\":\"1\",\"showSiteName\":\"0\"}'),(3,'atomic',0,'0','Atomic - Default','{}'),(4,'beez_20',0,'0','Beez2 - Default','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"logo\":\"images\\/joomla_black.gif\",\"sitetitle\":\"Joomla!\",\"sitedescription\":\"Open Source Content Management\",\"navposition\":\"left\",\"templatecolor\":\"personal\",\"html5\":\"0\"}'),(5,'hathor',1,'0','Hathor - Default','{\"showSiteName\":\"0\",\"colourChoice\":\"\",\"boldText\":\"0\"}'),(6,'beez5',0,'0','Beez5 - Default','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"logo\":\"images\\/sampledata\\/fruitshop\\/fruits.gif\",\"sitetitle\":\"Joomla!\",\"sitedescription\":\"Open Source Content Management\",\"navposition\":\"left\",\"html5\":\"0\"}'),(9,'gk_rockwall',0,'1','gk_rockwall - Default','{\"template_color\":\"1\",\"default_layout\":\"default\",\"layout_override\":\"\",\"template_width\":\"1150\",\"tablet_width\":\"1030\",\"tablet_small_width\":\"820\",\"mobile_width\":\"580\",\"sidebar_position\":\"right\",\"sidebar_width\":\"32\",\"sidebar_width_for_pages\":\"640=22.75\\r\\n\",\"inset_position\":\"left\",\"inset_width\":\"36\",\"inset_width_for_pages\":\"\",\"rwd\":\"1\",\"font_name_group1\":\"standard;Arial, Helvetica, sans-serif\",\"font_rules_group1\":\"body,\\r\\nhtml, \\r\\nbody button, \\r\\nbody input, \\r\\nbody select, \\r\\nbody textarea,\\r\\n.bigtitle .header\",\"font_name_group2\":\"google;own;http:\\/\\/fonts.googleapis.com\\/css?family=Raleway:600,700;Raleway\",\"font_rules_group2\":\"h1,h2,h3,h4,h5,h6,\\r\\n.gkMenu ul li, .box.menu, .gkTabsWrap ol li\",\"font_name_group3\":\"standard;Arial, Helvetica, sans-serif\",\"font_rules_group3\":\".blank,\\r\\n.gkMenu > ul li div.childcontent li\",\"font_name_group4\":\"standard;Arial, Helvetica, sans-serif\",\"font_rules_group4\":\".blank\",\"login_url\":\"index.php?option=com_users&view=login\",\"logo_type\":\"css\",\"logo_image\":\"\",\"logo_text\":\"RockWall\",\"logo_slogan\":\"Music Template\",\"print_logo\":\"\",\"print_behaviour\":\"nothing\",\"favicon_image\":\"\",\"stylearea\":\"1\",\"framework_logo\":\"1\",\"copyrights\":\"Template Design &copy; <a href=\\\"http:\\/\\/www.gavick.com\\\" title=\\\"Joomla Templates\\\">Joomla Templates<\\/a> GavickPro. All rights reserved.\",\"webmaster_contact_type\":\"email\",\"webmaster_contact\":\"webmaster@gavick.com\",\"typography\":\"1\",\"google_analytics\":\"\",\"tools\":\"none\",\"tools_for_pages\":\"com_k2=enabled\\r\\n101=enabled\\r\\n\",\"mootools_for_pages\":\"\",\"suffix_override\":\"640=gridpage\\r\\n\",\"module_override\":\"\",\"show_menu\":\"1\",\"menu_name\":\"mainmenu\",\"startlevel\":\"0\",\"endlevel\":\"-1\",\"menu_animation\":\"slide_fade\",\"menu_height\":\"1\",\"menu_width\":\"1\",\"menu_col_width\":\"220\",\"menu_duration\":\"250\",\"fb_api_id\":\"171342606239806\",\"fb_lang\":\"en_US\",\"fb_login\":\"1\",\"fb_like\":\"1\",\"fb_like_send\":\"1\",\"fb_like_layout\":\"standard\",\"fb_like_show_faces\":\"true\",\"fb_like_width\":\"400\",\"fb_like_action\":\"like\",\"fb_like_font\":\"arial\",\"fb_like_colorscheme\":\"light\",\"google_plus\":\"1\",\"google_plus_count\":\"1\",\"google_plus_size\":\"medium\",\"google_plus_lang\":\"en-GB\",\"google_plus_share\":\"1\",\"google_plus_share_annotation\":\"bubble\",\"google_plus_share_size\":\"20\",\"tweet_btn\":\"1\",\"tweet_btn_data_count\":\"horizontal\",\"tweet_btn_data_via\":\"\",\"tweet_btn_data_lang\":\"en\",\"pinterest_btn\":\"1\",\"pinterest_btn_style\":\"horizontal\",\"excluded_arts\":\"\",\"excluded_cats\":[\"7\"],\"cookie_consent\":\"0\",\"consenttype\":\"explicit\",\"cookie_latest_version\":\"0\",\"cookie_use_ssl\":\"0\",\"banner_position\":\"bottom\",\"banner_tag_placement\":\"bottom-right\",\"cookie_style\":\"light\",\"refreshOnConsent\":\"0\",\"cookiecss\":\"1\",\"use_gk_cache\":\"0\",\"css_cache\":\"0\",\"css_compression\":\"0\",\"css_override\":\"0\",\"css_prefixer\":\"0\",\"js_compression\":\"0\",\"jscss_excluded\":\"\",\"css_custom\":\"\"}');


--
-- Table structure for table `#__update_categories`
--



CREATE TABLE `#__update_categories` (
  `categoryid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) DEFAULT '',
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `updatesite` int(11) DEFAULT '0',
  PRIMARY KEY (`categoryid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Update Categories';


--
-- Dumping data for table `#__update_categories`
--




--
-- Table structure for table `#__update_sites`
--



CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  PRIMARY KEY (`update_site_id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Update Sites';


--
-- Dumping data for table `#__update_sites`
--


INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`) VALUES (1,'Joomla Core','collection','http://update.joomla.org/core/list.xml',1,1367356263),(2,'Joomla Extension Directory','collection','http://update.joomla.org/jed/list.xml',1,1367356263),(3,'K2 Updates','extension','http://getk2.org/update.xml',1,1367356263),(6,'Accredited Joomla! Translations','collection','http://update.joomla.org/language/translationlist.xml',1,1367356263),(9,'News Show Pro GK5 Updates','extension','https://www.gavick.com/update_server/joomla25/nsp_gk5.xml',1,1367356263),(10,'Tabs GK5 Updates','extension','https://www.gavick.com/update_server/joomla25/tabs_gk5.xml',1,1367356263);


--
-- Table structure for table `#__update_sites_extensions`
--



CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';


--
-- Dumping data for table `#__update_sites_extensions`
--


INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES (1,700),(2,700),(3,10021),(6,600),(9,10076),(10,10078);


--
-- Table structure for table `#__updates`
--



CREATE TABLE `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `categoryid` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(10) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  PRIMARY KEY (`update_id`)
) ENGINE=MyISAM AUTO_INCREMENT=691 DEFAULT CHARSET=utf8 COMMENT='Available Updates';


--
-- Dumping data for table `#__updates`
--


INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `categoryid`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`) VALUES (1,6,0,0,'Armenian','','pkg_hy-AM','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/hy-AM_details.xml',''),(2,6,0,0,'Bahasa Indonesia','','pkg_id-ID','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/id-ID_details.xml',''),(3,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.9.2','','http://update.joomla.org/language/details/da-DK_details.xml',''),(4,6,0,0,'Khmer','','pkg_km-KH','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/km-KH_details.xml',''),(5,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(6,6,0,0,'Hungarian','','pkg_hu-HU','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/hu-HU_details.xml',''),(7,6,0,0,'Bulgarian','','pkg_bg-BG','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/bg-BG_details.xml',''),(8,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(9,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(10,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(11,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(12,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.7.2','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(13,6,0,0,'Ukrainian','','pkg_uk-UA','package','',0,'2.5.7.2','','http://update.joomla.org/language/details/uk-UA_details.xml',''),(14,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(15,6,0,0,'Belarusian','','pkg_be-BY','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/be-BY_details.xml',''),(16,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(17,6,0,0,'Estonian','','pkg_et-EE','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/et-EE_details.xml',''),(18,6,0,0,'Romanian','','pkg_ro-RO','package','',0,'2.5.5.3','','http://update.joomla.org/language/details/ro-RO_details.xml',''),(19,6,0,0,'Flemish','','pkg_nl-BE','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/nl-BE_details.xml',''),(20,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(21,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(22,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(23,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(24,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(25,6,0,0,'Norwegian Bokmal','','pkg_nb-NO','package','',0,'2.5.9.2','','http://update.joomla.org/language/details/nb-NO_details.xml',''),(26,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(27,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(28,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(29,6,0,0,'Lithuanian','','pkg_lt-LT','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/lt-LT_details.xml',''),(30,6,0,0,'Albanian','','pkg_sq-AL','package','',0,'2.5.1.5','','http://update.joomla.org/language/details/sq-AL_details.xml',''),(31,6,0,0,'Persian','','pkg_fa-IR','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/fa-IR_details.xml',''),(32,6,0,0,'Galician','','pkg_gl-ES','package','',0,'2.5.7.4','','http://update.joomla.org/language/details/gl-ES_details.xml',''),(33,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(34,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(35,6,0,0,'Portuguese','','pkg_pt-PT','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/pt-PT_details.xml',''),(36,6,0,0,'Russian','','pkg_ru-RU','package','',0,'2.5.8.4','','http://update.joomla.org/language/details/ru-RU_details.xml',''),(37,6,0,0,'Hebrew','','pkg_he-IL','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/he-IL_details.xml',''),(38,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(39,6,0,0,'Laotian','','pkg_lo-LA','package','',0,'2.5.6.1','','http://update.joomla.org/language/details/lo-LA_details.xml',''),(40,6,0,0,'Afrikaans','','pkg_af-ZA','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/af-ZA_details.xml',''),(41,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(42,6,0,0,'Greek','','pkg_el-GR','package','',0,'2.5.6.1','','http://update.joomla.org/language/details/el-GR_details.xml',''),(43,6,0,0,'Esperanto','','pkg_eo-XX','package','',0,'2.5.6.1','','http://update.joomla.org/language/details/eo-XX_details.xml',''),(44,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(45,6,0,0,'Portuguese Brazil','','pkg_pt-BR','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/pt-BR_details.xml',''),(46,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.7.2','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(47,6,0,0,'Vietnamese','','pkg_vi-VN','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/vi-VN_details.xml',''),(48,6,0,0,'Kurdish Sorani','','pkg_ckb-IQ','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/ckb-IQ_details.xml',''),(49,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(50,6,0,0,'Croatian','','pkg_hr-HR','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/hr-HR_details.xml',''),(51,6,0,0,'Azeri','','pkg_az-AZ','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/az-AZ_details.xml',''),(52,6,0,0,'Norwegian Nynorsk','','pkg_nn-NO','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/nn-NO_details.xml',''),(53,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(54,6,0,0,'Scottish Gaelic','','pkg_gd-GB','package','',0,'2.5.7.1','','http://update.joomla.org/language/details/gd-GB_details.xml',''),(55,6,0,0,'Thai','','pkg_th-TH','package','',0,'2.5.8.1','','http://update.joomla.org/language/details/th-TH_details.xml',''),(56,6,0,0,'Basque','','pkg_eu-ES','package','',0,'1.7.0.1','','http://update.joomla.org/language/details/eu-ES_details.xml',''),(57,6,0,0,'Uyghur','','pkg_ug-CN','package','',0,'2.5.7.2','','http://update.joomla.org/language/details/ug-CN_details.xml',''),(58,6,0,0,'Korean','','pkg_ko-KR','package','',0,'2.5.7.2','','http://update.joomla.org/language/details/ko-KR_details.xml',''),(59,6,0,0,'Hindi','','pkg_hi-IN','package','',0,'2.5.6.1','','http://update.joomla.org/language/details/hi-IN_details.xml',''),(60,6,0,0,'Welsh','','pkg_cy-GB','package','',0,'2.5.6.1','','http://update.joomla.org/language/details/cy-GB_details.xml',''),(61,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.9.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(63,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(64,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(75,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(66,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(67,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(68,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(93,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(74,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(70,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(71,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(72,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(76,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(77,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(78,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(79,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(80,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(81,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(82,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(83,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(84,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(85,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(86,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(87,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(88,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(89,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(90,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(91,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(94,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(95,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(96,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(97,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(98,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(99,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(100,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(101,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(102,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(103,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(104,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(105,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(106,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(107,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(108,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(109,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(110,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(111,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(112,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(113,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(114,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(115,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(116,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(117,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(118,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(119,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(120,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(121,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(122,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(123,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(124,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(125,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(126,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(127,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(128,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(129,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(130,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(131,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(132,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(133,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(134,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(135,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(136,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(137,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(138,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(139,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(140,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(141,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(142,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(143,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(144,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(145,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(146,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(147,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(148,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(149,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(150,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(151,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(152,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(153,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(154,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(155,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(156,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(157,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(158,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(159,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(160,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(161,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(162,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(163,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(164,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(218,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(166,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(167,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(168,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(169,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(170,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(171,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(172,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(173,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(174,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(175,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(176,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(177,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(178,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(179,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(180,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(181,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(182,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(183,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(184,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(185,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(186,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(187,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(188,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(189,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(190,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(191,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(192,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(193,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(194,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(195,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(196,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(197,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(198,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(199,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(200,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(201,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(202,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(203,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(204,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(205,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(206,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(207,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(208,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(209,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(210,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(211,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(212,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(213,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(214,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(215,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(216,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(217,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(219,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(220,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(221,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(222,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(223,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(224,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(225,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(226,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(227,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(228,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(229,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(230,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(231,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(232,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(233,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(234,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(235,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(236,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(237,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(238,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(239,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(240,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(241,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(242,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(243,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(244,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(245,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(246,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(247,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(248,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(249,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(250,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(251,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(252,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(253,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(254,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(255,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(256,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(257,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(258,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(259,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(260,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(261,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(262,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(263,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(264,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(265,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(266,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(267,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(268,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(269,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(270,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(271,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(272,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(273,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(274,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(275,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(276,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(277,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(278,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(279,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(280,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(281,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(282,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(283,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(284,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(285,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(286,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(287,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(288,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(289,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(290,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(291,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(292,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(293,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(294,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(295,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(296,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(297,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(298,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(299,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(300,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(301,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(302,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(303,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(304,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(305,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(306,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(307,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(308,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(309,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(310,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(311,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(312,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(313,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(314,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(315,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(316,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(317,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(318,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(319,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(320,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(321,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(322,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(323,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(324,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(325,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(326,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(327,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(328,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(329,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(330,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(331,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(332,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(333,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(334,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(335,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(336,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(337,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(338,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(339,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(340,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(341,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(342,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(343,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(344,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(345,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(346,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(347,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(348,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(349,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(350,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(351,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(352,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(353,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(354,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(355,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(356,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(357,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(358,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(359,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(360,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(361,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(362,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(363,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(364,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(365,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(366,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(367,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(368,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(369,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(370,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(371,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(372,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(373,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(374,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(375,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(376,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(377,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(378,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(379,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(380,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(381,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(382,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(383,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(384,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(385,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(386,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(387,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(388,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(389,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(390,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(391,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(392,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(393,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(394,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(395,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(396,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(397,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(398,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(399,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(400,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(401,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(402,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(403,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(404,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(405,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(406,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(407,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(408,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(409,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(410,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(411,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(412,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(413,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(414,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(415,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(416,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(417,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(418,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(419,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(420,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(421,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(422,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(423,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(424,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(425,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(426,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(427,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(428,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(429,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(430,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(431,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(432,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(433,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(434,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(435,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(436,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(437,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(438,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(439,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(440,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(441,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(442,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(443,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(444,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(445,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(446,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(447,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(448,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(449,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(450,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(451,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(452,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(453,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(454,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(455,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(456,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(457,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(458,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(459,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(460,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(461,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(462,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(463,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(464,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(465,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(466,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(467,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(468,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(469,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(470,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(471,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(472,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(473,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(474,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(475,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(476,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(477,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(478,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(479,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(480,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(481,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(482,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(483,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(484,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(485,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(486,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(487,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(488,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(489,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(490,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(491,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(492,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(493,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(494,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(495,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(496,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(497,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(498,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(499,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(500,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(501,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(502,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(503,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(504,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(505,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(506,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(507,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(508,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(509,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(510,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(511,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(512,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(513,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(514,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(515,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(516,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(517,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(518,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(519,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(520,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(521,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(522,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(523,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(524,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(525,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(526,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(527,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(528,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(529,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(530,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(531,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(532,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(533,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(534,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(535,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(536,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(537,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(538,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(539,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(540,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(541,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(542,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(543,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(544,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(545,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(546,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(547,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(548,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(549,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(550,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(551,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(552,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(553,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(554,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(555,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(556,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(557,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(558,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(559,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(560,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(561,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(562,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(563,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(564,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(565,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(566,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(567,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(568,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(569,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(570,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(571,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(572,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(573,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(574,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(575,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(576,6,0,0,'Afrikaans','','pkg_af-ZA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/af-ZA_details.xml',''),(577,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(578,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(579,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(580,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(581,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(582,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(583,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(584,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(585,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(586,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(587,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(588,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(589,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(590,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(591,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(592,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(593,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(594,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(595,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(596,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(597,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(598,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(599,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(600,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(601,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(602,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(603,6,0,0,'Afrikaans','','pkg_af-ZA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/af-ZA_details.xml',''),(604,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(605,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(606,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(607,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(608,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(609,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(610,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(611,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(612,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(613,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(614,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(615,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(616,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(617,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(618,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(619,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(620,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(621,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(622,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(623,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(624,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(625,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(626,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(627,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(628,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(629,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(630,6,0,0,'Afrikaans','','pkg_af-ZA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/af-ZA_details.xml',''),(631,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(632,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(633,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(634,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(635,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(636,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(637,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(638,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(639,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(640,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(641,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(642,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(643,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(644,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(645,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(646,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(647,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(648,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(649,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(650,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(651,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(652,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(653,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(654,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(655,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(656,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(657,6,0,0,'Afrikaans','','pkg_af-ZA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/af-ZA_details.xml',''),(658,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(659,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(660,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(661,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(662,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(663,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml',''),(664,6,0,0,'Danish','','pkg_da-DK','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/da-DK_details.xml',''),(665,6,0,0,'Swedish','','pkg_sv-SE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sv-SE_details.xml',''),(666,6,0,0,'French','','pkg_fr-FR','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/fr-FR_details.xml',''),(667,6,0,0,'Italian','','pkg_it-IT','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/it-IT_details.xml',''),(668,6,0,0,'Spanish','','pkg_es-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/es-ES_details.xml',''),(669,6,0,0,'Dutch','','pkg_nl-NL','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/nl-NL_details.xml',''),(670,6,0,0,'Turkish','','pkg_tr-TR','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/tr-TR_details.xml',''),(671,6,0,0,'Slovak','','pkg_sk-SK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sk-SK_details.xml',''),(672,6,0,0,'Latvian','','pkg_lv-LV','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/lv-LV_details.xml',''),(673,6,0,0,'Macedonian','','pkg_mk-MK','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/mk-MK_details.xml',''),(674,6,0,0,'Japanese','','pkg_ja-JP','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ja-JP_details.xml',''),(675,6,0,0,'Serbian Latin','','pkg_sr-YU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-YU_details.xml',''),(676,6,0,0,'Arabic Unitag','','pkg_ar-AA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ar-AA_details.xml',''),(677,6,0,0,'German','','pkg_de-DE','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/de-DE_details.xml',''),(678,6,0,0,'English AU','','pkg_en-AU','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-AU_details.xml',''),(679,6,0,0,'English US','','pkg_en-US','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/en-US_details.xml',''),(680,6,0,0,'Serbian Cyrillic','','pkg_sr-RS','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sr-RS_details.xml',''),(681,6,0,0,'Polish','','pkg_pl-PL','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/pl-PL_details.xml',''),(682,6,0,0,'Syriac','','pkg_sy-IQ','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sy-IQ_details.xml',''),(683,6,0,0,'Catalan','','pkg_ca-ES','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/ca-ES_details.xml',''),(684,6,0,0,'Afrikaans','','pkg_af-ZA','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/af-ZA_details.xml',''),(685,6,0,0,'Chinese Simplified','','pkg_zh-CN','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-CN_details.xml',''),(686,6,0,0,'Finnish','','pkg_fi-FI','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/fi-FI_details.xml',''),(687,6,0,0,'Chinese Traditional','','pkg_zh-TW','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/zh-TW_details.xml',''),(688,6,0,0,'Bosnian','','pkg_bs-BA','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/bs-BA_details.xml',''),(689,6,0,0,'Tamil India','','pkg_ta-IN','package','',0,'2.5.11.1','','http://update.joomla.org/language/details/ta-IN_details.xml',''),(690,6,0,0,'Swahili','','pkg_sw-KE','package','',0,'2.5.10.1','','http://update.joomla.org/language/details/sw-KE_details.xml','');


--
-- Table structure for table `#__user_notes`
--



CREATE TABLE `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__user_notes`
--




--
-- Table structure for table `#__user_profiles`
--



CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Simple user profile storage table';


--
-- Dumping data for table `#__user_profiles`
--




--
-- Table structure for table `#__user_usergroup_map`
--



CREATE TABLE `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__user_usergroup_map`
--


INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES (1,1),(45,2),(838,8);


--
-- Table structure for table `#__usergroups`
--



CREATE TABLE `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__usergroups`
--


INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES (1,0,1,20,'Public'),(2,1,6,17,'Registered'),(3,2,7,14,'Author'),(4,3,8,11,'Editor'),(5,4,9,10,'Publisher'),(6,1,2,5,'Manager'),(7,6,3,4,'Administrator'),(8,1,18,19,'Super Users');


--
-- Table structure for table `#__users`
--



CREATE TABLE `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `usertype` varchar(25) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT '0',
  `sendEmail` tinyint(4) DEFAULT '0',
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT '0' COMMENT 'Count of password resets since lastResetTime',
  PRIMARY KEY (`id`),
  KEY `usertype` (`usertype`),
  KEY `idx_name` (`name`),
  KEY `idx_block` (`block`),
  KEY `username` (`username`),
  KEY `email` (`email`)
) ENGINE=MyISAM AUTO_INCREMENT=935 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__users`
--


INSERT INTO `#__users` (`id`, `name`, `username`, `email`, `password`, `usertype`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`, `lastResetTime`, `resetCount`) VALUES (838,'Super User','gkadmin','dziudek@gmail.com','b80e192c8a5da31b2cc7edcd5b55b659:KDw5LFQ09GFXwuIP7fxFFM5QsJM0cnNr','deprecated',0,1,'2013-04-22 09:01:54','2013-04-30 22:08:17','0','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}','0000-00-00 00:00:00',0);


--
-- Table structure for table `#__viewlevels`
--



CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__viewlevels`
--


INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES (1,'Public',0,'[1]'),(2,'Registered',1,'[6,2,8]'),(3,'Special',2,'[6,3,8]');


--
-- Table structure for table `#__weblinks`
--



CREATE TABLE `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `archived` tinyint(1) NOT NULL DEFAULT '0',
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__weblinks`
--


INSERT INTO `#__weblinks` (`id`, `catid`, `sid`, `title`, `alias`, `url`, `description`, `date`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `archived`, `approved`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES (1,13,0,'GavickPro Demo','gavickpro-demo','http://demo.gavick.com','','0000-00-00 00:00:00',2,1,0,'0000-00-00 00:00:00',1,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2012-03-14 22:56:57',42,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(2,13,0,'GavickPro Facebook','gavickpro-facebook','http://www.facebook.com/gavickpro','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',2,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2012-03-14 22:57:23',42,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(3,13,0,'GavickPro Homepage','gavickpro-homepage','http://www.gavick.com','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',3,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2012-03-14 22:57:51',42,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(4,13,0,'GavickPro Magazine','gavickpro-magazine','http://www.gavickmagazine.com','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',4,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2012-03-14 22:58:30',42,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(5,13,0,'GavickPro RSS & News','gavickpro-rss-news','http://www.gavickmagazine.com/index.php?format=feed&type=rss','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',5,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2012-03-14 22:58:54',42,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00');











-- Dump completed on 2013-05-01  0:23:24
UPDATE `#__users` SET block=1 WHERE block=0
